window.__translations_en = {
  sidebar: {
    history: 'Last Viewed Recipes',
    search: 'Search',
    favorites: 'Favorites',
    recommend: 'Recommender',
    settings: 'Settings',
    shoppingCart: 'Shopping Cart',
    signout: 'Sign Out'
  },

  history: {
    header: 'History',
    recipe: 'Recipe',
    emptyheader: 'No recipes viewed yet',
    emptytext: 'You can browse recipes either in the <a href="#/app/search">search</a> or the <a href="#/app/recommend">recommender</a>.'
  },

  coldstart: {
    header: 'Welcome',
    why: 'Please answer a few questions to let us know you a little bit. Swipe right for like, and left for dislike.'
  },

  search: {
    header: 'Search recipes',
    placeholder: 'Search',
    showingNResults: 'Showing {{n}} results'
  },

  recommend: {
    title: 'Recipe recommender',
    information: 'Information',
    description: 'These recipes are recommended to you based on your and other users history. The more you use the application and rate recipes, the better the recommendations will you get.',
    emptyheader: 'No recommendations available',
    emptytext: 'We have no recommendations available for you right now. Please come back later for more personalized recommendations.',
    yes: 'Yes Please',
    no: 'No Thanks'
  },

  settings: {
    header: 'Settings',
    personalInformation: 'Personal Information',
    email: 'Email',
    name: 'Name',
    city: 'City',
    aboutDivider: 'About',
    dangerZone: 'Danger zone',
    aboutLink: 'About this project',
    resetMyAI: 'Reset my knowledge base',
    resetLocalStorage: 'Reset the local storage used',
    about: {
      header: 'About'
    },
    resetMyAIWarningHeader: 'Are you sure?',
    resetMyAIWarningDescription: 'We will remove all your collected data',
    resetLocalStorageHeader: 'Are you sure?',
    resetLocalStorageDescription: 'We will remove all your data stores on your device',
  },

  shoppingCart: {
    header: 'Shopping Cart',
    elementsInShoppingCart: 'Showing elements in shopping cart',
    clearCompleted: 'Clear completed ingredients',
    emptyheader: 'No items in your shopping cart',
    emptytext: 'You can add items in your shopping cart by clicking the button in the bottom of each recipe. Hint: Increase the number of portions to scale up the items in your shopping cart'
  },

  recipe: {
    portions: 'Portions',
    ingredients: 'Ingredients',
    showNutrient: 'Show nutrients',
    procedure: 'Procedure',
    addToFavorites: 'Add to favorites',
    addToCart: 'Add to shopping cart',
    translateHours: '{{h}}h',
    translateMinutes: '{{m}}m',
    source: 'Source for the recipe',

    infoStarHeader: 'Information',
    infoStarDescription: 'Remember to give the recipe a rating to help us give you a better recommendation later on.'
  },

  nutrientsModal: {
    header: 'Nutrients',
    showText: 'Showing nutrients for 1 portion',
    fat: 'Fat',
    cholesterol: 'Cholesterol',
    sodium: 'Sodium',
    potassium: 'Potassium',
    carbohydrate: 'Carbohydrate',
    protein: 'Protein'
  },

  favorites: {
    header: 'Favorites',
    remove: 'Delete',
    emptyheader: 'No favorites :(',
    emptytext: 'You can add favorites by clicking the button in the bottom of each recipe.'
  },

  signup: {
    header: 'Sign Up',
    facebookDescription: 'Login with your Facebook account',
    googleDescription: 'Login with your Google account',
    freshHeader: 'Register a new account',
    freshDescription: 'Register a new user with your email address',

    fresh: {
      userAccount: 'User account',
      firstname: 'First name',
      lastname: 'Last name',
      email: 'Email',
      password: 'Password',
      passwordAgain: 'Password again',
      otherInformation: 'Other information',
      yearOfBirth: 'Year of birth',
      city: 'City',
      signupCompleteButton: 'Register new user account',
      validationErrorsHeader: 'Validation errors:',
      errors: {
        disjointPasswords: 'Passwords does not match',
        emptyPassword: 'Empty password fields',
        noAlpha: 'The email is not valid',
        userexists: 'A user with that email already exists',
        generic: 'Something went wrong, please try again'
      }
    }
  },

  login: {
    header: 'Login',
    username: 'Email',
    password: 'Password',
    loginSubmitButton: 'Login',
    newAccount: 'Sign up a new user account',
    forgotPassword: 'I forgot my password',
    wrongpworuser: 'Wrong email and/or password'
  },

  forgot: {
    header: 'Forgot password',
    email: 'Email',
    sendEmail: 'Send email',
    doneMessage: 'We have sent you a email with instructions to reset you password'
  },

  generic: {
    back: 'Back',
    noInternetHeader: 'No internet connection',
    noInternetDescription: 'You need an internet connection to use this part of the application.'
  },

  //units
  pcs: 'pcs',
  teaspoon: 'teaspoon',
  gram: 'grams',
  tablespoon: 'tablespoon',
  deciliter: 'deciliter',
  liter: 'liter',
  kilogram: 'kg',
  cup: 'cup',
  bag: 'bag',
  can: 'can',
  clove: 'clove',
  leafs: 'leafs',
  slice: 'slice',
  pinch: 'pinch',

  // Cold start API-strings
  'Do you like meat?': 'Do you like meat?',
  'Do you like spicy food?': 'Do you like spicy food?',
  'Do you view yourself as a good chef?': 'Do you view yourself as a good chef?',
  'Do you like fish?': 'Do you like fish?',
  'Do you like chicken?': 'Do you like chicken?'
};
