--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: cold_start; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE cold_start (
    id bigint NOT NULL,
    image text NOT NULL,
    identifier text NOT NULL,
    description text NOT NULL
);


ALTER TABLE public.cold_start OWNER TO "mealchooser-db";

--
-- Name: cold_start_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE cold_start_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cold_start_id_seq OWNER TO "mealchooser-db";

--
-- Name: cold_start_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE cold_start_id_seq OWNED BY cold_start.id;


--
-- Name: favorites; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE favorites (
    user_id bigint,
    recipe_id bigint
);


ALTER TABLE public.favorites OWNER TO "mealchooser-db";

--
-- Name: given_recommendation; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE given_recommendation (
    id bigint NOT NULL,
    user_id bigint,
    recipe_id bigint,
    type text,
    ranking integer,
    created timestamp without time zone,
    data json
);


ALTER TABLE public.given_recommendation OWNER TO "mealchooser-db";

--
-- Name: given_recommendation_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE given_recommendation_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.given_recommendation_id_seq OWNER TO "mealchooser-db";

--
-- Name: given_recommendation_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE given_recommendation_id_seq OWNED BY given_recommendation.id;


--
-- Name: ingredient; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE ingredient (
    id bigint NOT NULL,
    name text NOT NULL,
    image json,
    default_unit bigint,
    netto real,
    water real,
    calories real,
    proteins real,
    fat real,
    saturated_fat real,
    trans_fat real,
    mono_fat real,
    poly_fat real,
    cholesterol real,
    carbs real,
    starch real,
    mono_di real,
    sugar real,
    fiber real,
    nacl real,
    alcho real,
    retinol real,
    b_caro real,
    vit_a real,
    vit_d real,
    vit_e real,
    vit_b1 real,
    vit_b2 real,
    niacin real,
    niaekv real,
    vit_b6 real,
    folat real,
    vit_b12 real,
    vit_c real,
    ca real,
    fe real,
    na real,
    potassium real,
    mg real,
    zn real,
    iodine real,
    se real,
    cu real,
    phosphorus real
);


ALTER TABLE public.ingredient OWNER TO "mealchooser-db";

--
-- Name: ingredient_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE ingredient_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ingredient_id_seq OWNER TO "mealchooser-db";

--
-- Name: ingredient_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE ingredient_id_seq OWNED BY ingredient.id;


--
-- Name: ingredient_in_recipe; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE ingredient_in_recipe (
    recipe_id bigint,
    ingredient_id bigint,
    unit_id bigint,
    amount real
);


ALTER TABLE public.ingredient_in_recipe OWNER TO "mealchooser-db";

--
-- Name: ingredient_in_tag; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE ingredient_in_tag (
    ingredient_id bigint,
    tag_id bigint
);


ALTER TABLE public.ingredient_in_tag OWNER TO "mealchooser-db";

--
-- Name: ingredient_tag; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE ingredient_tag (
    id bigint NOT NULL,
    name text NOT NULL
);


ALTER TABLE public.ingredient_tag OWNER TO "mealchooser-db";

--
-- Name: ingredient_tag_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE ingredient_tag_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ingredient_tag_id_seq OWNER TO "mealchooser-db";

--
-- Name: ingredient_tag_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE ingredient_tag_id_seq OWNED BY ingredient_tag.id;


--
-- Name: language; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE language (
    id bigint NOT NULL,
    locale text NOT NULL,
    name text NOT NULL
);


ALTER TABLE public.language OWNER TO "mealchooser-db";

--
-- Name: language_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE language_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.language_id_seq OWNER TO "mealchooser-db";

--
-- Name: language_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE language_id_seq OWNED BY language.id;


--
-- Name: logininfo; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE logininfo (
    id bigint NOT NULL,
    provider_id text,
    provider_key text
);


ALTER TABLE public.logininfo OWNER TO "mealchooser-db";

--
-- Name: logininfo_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE logininfo_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.logininfo_id_seq OWNER TO "mealchooser-db";

--
-- Name: logininfo_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE logininfo_id_seq OWNED BY logininfo.id;


--
-- Name: oauth1info; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE oauth1info (
    id bigint NOT NULL,
    token text,
    secret text,
    login_info_id bigint
);


ALTER TABLE public.oauth1info OWNER TO "mealchooser-db";

--
-- Name: oauth1info_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE oauth1info_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.oauth1info_id_seq OWNER TO "mealchooser-db";

--
-- Name: oauth1info_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE oauth1info_id_seq OWNED BY oauth1info.id;


--
-- Name: oauth2info; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE oauth2info (
    id bigint NOT NULL,
    accesstoken text,
    tokentype text,
    expiresin bigint,
    refreshtoken text,
    login_info_id bigint
);


ALTER TABLE public.oauth2info OWNER TO "mealchooser-db";

--
-- Name: oauth2info_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE oauth2info_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.oauth2info_id_seq OWNER TO "mealchooser-db";

--
-- Name: oauth2info_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE oauth2info_id_seq OWNED BY oauth2info.id;


--
-- Name: passwordinfo; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE passwordinfo (
    hasher text,
    password text,
    salt text,
    login_info_id bigint
);


ALTER TABLE public.passwordinfo OWNER TO "mealchooser-db";

--
-- Name: recipe; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE recipe (
    id bigint NOT NULL,
    name text NOT NULL,
    image text,
    description text,
    language bigint NOT NULL,
    calories real,
    procedure text,
    spicy integer,
    "time" integer,
    difficulty text,
    created timestamp without time zone NOT NULL,
    modified timestamp without time zone NOT NULL,
    published timestamp without time zone,
    deleted timestamp without time zone,
    created_by bigint NOT NULL,
    source text,
    CONSTRAINT spicy_check CHECK (((spicy > 0) AND (spicy < 4))),
    CONSTRAINT time_check CHECK (("time" > 0))
);


ALTER TABLE public.recipe OWNER TO "mealchooser-db";

--
-- Name: recipe_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE recipe_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.recipe_id_seq OWNER TO "mealchooser-db";

--
-- Name: recipe_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE recipe_id_seq OWNED BY recipe.id;


--
-- Name: recipe_in_tag; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE recipe_in_tag (
    recipe_id bigint,
    tag_id bigint
);


ALTER TABLE public.recipe_in_tag OWNER TO "mealchooser-db";

--
-- Name: tags; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE tags (
    id bigint NOT NULL,
    name text NOT NULL
);


ALTER TABLE public.tags OWNER TO "mealchooser-db";

--
-- Name: tags_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE tags_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tags_id_seq OWNER TO "mealchooser-db";

--
-- Name: tags_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE tags_id_seq OWNED BY tags.id;


--
-- Name: unit; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE unit (
    id bigint NOT NULL,
    name text NOT NULL
);


ALTER TABLE public.unit OWNER TO "mealchooser-db";

--
-- Name: unit_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE unit_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.unit_id_seq OWNER TO "mealchooser-db";

--
-- Name: unit_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE unit_id_seq OWNED BY unit.id;


--
-- Name: user_cold_start; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE user_cold_start (
    user_id bigint NOT NULL,
    cold_start_id bigint NOT NULL,
    answer boolean,
    answer_time timestamp without time zone
);


ALTER TABLE public.user_cold_start OWNER TO "mealchooser-db";

--
-- Name: user_ingredient_tag; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE user_ingredient_tag (
    user_id bigint,
    ingredient_tag_id bigint,
    value real,
    CONSTRAINT value_check CHECK (((value >= ((-5.0))::double precision) AND (value <= (5.0)::double precision)))
);


ALTER TABLE public.user_ingredient_tag OWNER TO "mealchooser-db";

--
-- Name: user_preferences; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE user_preferences (
    user_id bigint
);


ALTER TABLE public.user_preferences OWNER TO "mealchooser-db";

--
-- Name: user_recipe_tag; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE user_recipe_tag (
    user_id bigint,
    recipe_tag_id bigint,
    value real,
    CONSTRAINT value_check CHECK (((value >= ((-5.0))::double precision) AND (value <= (5.0)::double precision)))
);


ALTER TABLE public.user_recipe_tag OWNER TO "mealchooser-db";

--
-- Name: user_star_rate_recipe; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE user_star_rate_recipe (
    user_id bigint,
    recipe_id bigint,
    rating real,
    created timestamp without time zone,
    created_long bigint,
    source text,
    data json,
    CONSTRAINT rating_check CHECK (((rating >= (0.0)::double precision) AND (rating <= (5.0)::double precision)))
);


ALTER TABLE public.user_star_rate_recipe OWNER TO "mealchooser-db";

--
-- Name: user_viewed_recipe; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE user_viewed_recipe (
    user_id bigint NOT NULL,
    recipe_id bigint NOT NULL,
    duration bigint NOT NULL,
    last_seen timestamp without time zone NOT NULL
);


ALTER TABLE public.user_viewed_recipe OWNER TO "mealchooser-db";

--
-- Name: user_yes_no_rate_recipe; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE user_yes_no_rate_recipe (
    user_id bigint,
    recipe_id bigint,
    rating integer,
    last_seen timestamp without time zone
);


ALTER TABLE public.user_yes_no_rate_recipe OWNER TO "mealchooser-db";

--
-- Name: userlogininfo; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE userlogininfo (
    user_id bigint NOT NULL,
    login_info_id bigint NOT NULL
);


ALTER TABLE public.userlogininfo OWNER TO "mealchooser-db";

--
-- Name: users; Type: TABLE; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE TABLE users (
    id bigint NOT NULL,
    first_name text,
    last_name text,
    email text NOT NULL,
    image text,
    role text,
    created timestamp without time zone,
    recipe_language bigint,
    app_language bigint,
    city text,
    country text,
    sex text,
    year_born integer,
    enrolled boolean,
    metric_system boolean,
    CONSTRAINT age_check CHECK (((year_born > 1900) AND (year_born < 2016)))
);


ALTER TABLE public.users OWNER TO "mealchooser-db";

--
-- Name: users_id_seq; Type: SEQUENCE; Schema: public; Owner: mealchooser-db
--

CREATE SEQUENCE users_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.users_id_seq OWNER TO "mealchooser-db";

--
-- Name: users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: mealchooser-db
--

ALTER SEQUENCE users_id_seq OWNED BY users.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY cold_start ALTER COLUMN id SET DEFAULT nextval('cold_start_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY given_recommendation ALTER COLUMN id SET DEFAULT nextval('given_recommendation_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY ingredient ALTER COLUMN id SET DEFAULT nextval('ingredient_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY ingredient_tag ALTER COLUMN id SET DEFAULT nextval('ingredient_tag_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY language ALTER COLUMN id SET DEFAULT nextval('language_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY logininfo ALTER COLUMN id SET DEFAULT nextval('logininfo_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY oauth1info ALTER COLUMN id SET DEFAULT nextval('oauth1info_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY oauth2info ALTER COLUMN id SET DEFAULT nextval('oauth2info_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY recipe ALTER COLUMN id SET DEFAULT nextval('recipe_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY tags ALTER COLUMN id SET DEFAULT nextval('tags_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY unit ALTER COLUMN id SET DEFAULT nextval('unit_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY users ALTER COLUMN id SET DEFAULT nextval('users_id_seq'::regclass);


--
-- Data for Name: cold_start; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY cold_start (id, image, identifier, description) FROM stdin;
1	http://res.cloudinary.com/hnjelkrui/image/upload/v1423661777/meat-hi_copy_bs47gz.jpg	meat	Do you like meat?
2	http://res.cloudinary.com/hnjelkrui/image/upload/v1423661876/spicy_bdur6z.jpg	spicy	Do you like spicy food?
3	http://res.cloudinary.com/hnjelkrui/image/upload/v1423661797/chef_owzejt.jpg	skills	Do you view yourself as a good chef?
4	http://res.cloudinary.com/hnjelkrui/image/upload/v1423661835/fish_q3ga7g.png	fish	Do you like fish?
5	http://res.cloudinary.com/hnjelkrui/image/upload/v1423667343/chicken_copy_wthzdg.jpg	chicken	Do you like chicken?
\.


--
-- Name: cold_start_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('cold_start_id_seq', 5, true);


--
-- Data for Name: favorites; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY favorites (user_id, recipe_id) FROM stdin;
1	23
1	42
16	58
19	58
20	64
26	60
26	63
26	35
27	23
27	60
24	23
27	85
31	30
31	29
27	58
31	65
31	49
27	4
33	29
34	19
31	50
39	21
39	4
40	23
40	60
40	49
28	23
27	21
29	60
27	50
27	32
27	29
27	57
27	9
27	40
27	7
27	33
27	55
50	52
27	79
53	4
53	23
27	65
55	58
55	23
18	23
64	79
64	65
64	23
64	85
64	97
64	78
64	72
64	60
68	23
70	49
70	23
82	64
83	64
86	4
91	58
91	23
98	23
98	99
98	86
98	67
98	19
98	78
101	26
101	1
103	79
103	21
103	60
103	4
109	61
109	64
100	79
108	47
114	78
114	58
114	79
114	10
96	47
96	54
85	26
83	62
99	26
119	47
119	64
119	21
120	65
120	60
120	97
120	67
120	26
120	58
120	87
27	86
96	78
122	97
122	60
122	26
122	19
122	101
27	97
27	48
27	68
27	26
123	26
91	60
108	60
124	89
126	64
127	28
127	59
\.


--
-- Data for Name: given_recommendation; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY given_recommendation (id, user_id, recipe_id, type, ranking, created, data) FROM stdin;
360	16	4	tags	0	2015-03-17 10:16:46.776	{"score":1.0}
361	16	58	tags	1	2015-03-17 10:16:46.788	{"score":1.0}
362	16	67	tags	2	2015-03-17 10:16:46.797	{"score":1.0}
363	16	61	tags	3	2015-03-17 10:16:46.806	{"score":1.0}
364	16	73	random	4	2015-03-17 10:16:46.813	\N
365	16	74	random	5	2015-03-17 10:16:46.818	\N
366	16	39	random	6	2015-03-17 10:16:46.822	\N
367	16	92	random	7	2015-03-17 10:16:46.825	\N
368	16	47	random	8	2015-03-17 10:16:46.83	\N
369	16	38	random	9	2015-03-17 10:16:46.833	\N
370	16	4	tags	0	2015-03-17 10:17:05.115	{"score":1.0}
371	16	58	tags	1	2015-03-17 10:17:05.125	{"score":1.0}
372	16	67	tags	2	2015-03-17 10:17:05.136	{"score":1.0}
373	16	61	tags	3	2015-03-17 10:17:05.146	{"score":1.0}
374	16	64	random	4	2015-03-17 10:17:05.155	\N
375	16	91	random	5	2015-03-17 10:17:05.162	\N
376	16	32	random	6	2015-03-17 10:17:05.167	\N
377	16	57	random	7	2015-03-17 10:17:05.178	\N
378	16	48	random	8	2015-03-17 10:17:05.182	\N
379	16	83	random	9	2015-03-17 10:17:05.186	\N
380	16	67	tags	0	2015-03-17 10:19:10.297	{"score":1.0}
381	16	58	tags	1	2015-03-17 10:19:10.302	{"score":1.0}
382	16	61	tags	2	2015-03-17 10:19:10.305	{"score":1.0}
383	16	62	tags	3	2015-03-17 10:19:10.309	{"score":0.875}
384	16	22	random	4	2015-03-17 10:19:10.32	\N
385	16	14	random	5	2015-03-17 10:19:10.324	\N
386	16	86	random	6	2015-03-17 10:19:10.328	\N
387	16	83	random	7	2015-03-17 10:19:10.331	\N
388	16	32	random	8	2015-03-17 10:19:10.335	\N
389	16	77	random	9	2015-03-17 10:19:10.338	\N
390	17	5	random	0	2015-03-17 13:03:13.436	\N
391	17	44	random	1	2015-03-17 13:03:13.442	\N
392	17	32	random	2	2015-03-17 13:03:13.447	\N
393	17	49	random	3	2015-03-17 13:03:13.451	\N
394	17	59	random	4	2015-03-17 13:03:13.455	\N
395	17	96	random	5	2015-03-17 13:03:13.46	\N
396	17	80	random	6	2015-03-17 13:03:13.464	\N
397	17	93	random	7	2015-03-17 13:03:13.467	\N
398	17	79	random	8	2015-03-17 13:03:13.47	\N
399	17	83	random	9	2015-03-17 13:03:13.474	\N
400	16	58	tags	0	2015-03-17 14:04:43.613	{"score":1.0}
401	16	87	tags	1	2015-03-17 14:04:43.661	{"score":0.7599999904632568}
402	16	66	tags	2	2015-03-17 14:04:43.671	{"score":0.6714285441807338}
403	16	18	tags	3	2015-03-17 14:04:43.675	{"score":0.6666666666666666}
404	16	45	random	4	2015-03-17 14:04:43.679	\N
405	16	99	random	5	2015-03-17 14:04:43.684	\N
406	16	14	random	6	2015-03-17 14:04:43.689	\N
407	16	18	random	7	2015-03-17 14:04:43.693	\N
408	16	75	random	8	2015-03-17 14:04:43.698	\N
409	16	98	random	9	2015-03-17 14:04:43.702	\N
410	16	58	tags	0	2015-03-17 14:13:04.826	{"score":1.0}
411	16	87	tags	1	2015-03-17 14:13:04.832	{"score":0.7599999904632568}
412	16	66	tags	2	2015-03-17 14:13:04.837	{"score":0.6714285441807338}
413	16	18	tags	3	2015-03-17 14:13:04.84	{"score":0.6666666666666666}
414	16	90	random	4	2015-03-17 14:13:04.845	\N
415	16	36	random	5	2015-03-17 14:13:04.848	\N
416	16	67	random	6	2015-03-17 14:13:04.852	\N
417	16	76	random	7	2015-03-17 14:13:04.857	\N
418	16	86	random	8	2015-03-17 14:13:04.861	\N
419	16	31	random	9	2015-03-17 14:13:04.866	\N
420	16	58	tags	0	2015-03-17 14:13:17.845	{"score":1.0}
421	16	87	tags	1	2015-03-17 14:13:17.85	{"score":0.7599999904632568}
422	16	66	tags	2	2015-03-17 14:13:17.854	{"score":0.6714285441807338}
423	16	18	tags	3	2015-03-17 14:13:17.861	{"score":0.6666666666666666}
424	16	99	random	4	2015-03-17 14:13:17.865	\N
425	16	90	random	5	2015-03-17 14:13:17.87	\N
426	16	9	random	6	2015-03-17 14:13:17.873	\N
427	16	64	random	7	2015-03-17 14:13:17.876	\N
428	16	65	random	8	2015-03-17 14:13:17.879	\N
429	16	97	random	9	2015-03-17 14:13:17.883	\N
430	16	58	tags	0	2015-03-17 14:14:11.85	{"score":1.5}
431	16	18	tags	1	2015-03-17 14:14:11.859	{"score":1.4666666984558105}
432	16	10	tags	2	2015-03-17 14:14:11.868	{"score":1.4399999618530273}
433	16	12	tags	3	2015-03-17 14:14:11.872	{"score":1.399999976158142}
434	16	92	random	4	2015-03-17 14:14:11.877	\N
435	16	54	random	5	2015-03-17 14:14:11.881	\N
436	16	4	random	6	2015-03-17 14:14:11.885	\N
437	16	35	random	7	2015-03-17 14:14:11.889	\N
438	16	25	random	8	2015-03-17 14:14:11.894	\N
439	16	69	random	9	2015-03-17 14:14:11.898	\N
440	16	58	tags	0	2015-03-17 14:15:12.442	{"score":2.0}
441	16	87	tags	1	2015-03-17 14:15:12.447	{"score":1.5199999809265137}
442	16	18	tags	2	2015-03-17 14:15:12.452	{"score":1.4666666984558105}
443	16	10	tags	3	2015-03-17 14:15:12.459	{"score":1.4399999618530273}
444	16	78	random	4	2015-03-17 14:15:12.464	\N
445	16	93	random	5	2015-03-17 14:15:12.469	\N
446	16	48	random	6	2015-03-17 14:15:12.486	\N
447	16	32	random	7	2015-03-17 14:15:12.49	\N
448	16	67	random	8	2015-03-17 14:15:12.495	\N
449	16	31	random	9	2015-03-17 14:15:12.499	\N
450	16	58	tags	0	2015-03-17 14:15:50.806	{"score":3.0}
451	16	87	tags	1	2015-03-17 14:15:50.81	{"score":2.279999923706055}
452	16	18	tags	2	2015-03-17 14:15:50.814	{"score":2.2000001271565757}
453	16	10	tags	3	2015-03-17 14:15:50.818	{"score":2.1599998474121094}
454	16	34	random	4	2015-03-17 14:15:50.839	\N
455	16	37	random	5	2015-03-17 14:15:50.869	\N
456	16	41	random	6	2015-03-17 14:15:50.892	\N
458	16	60	random	8	2015-03-17 14:15:50.994	\N
457	16	47	random	7	2015-03-17 14:15:50.95	\N
459	16	16	random	9	2015-03-17 14:15:51.028	\N
460	17	101	random	0	2015-03-17 14:18:32.428	\N
461	17	55	random	1	2015-03-17 14:18:32.433	\N
462	17	67	random	2	2015-03-17 14:18:32.438	\N
463	17	78	random	3	2015-03-17 14:18:32.443	\N
464	17	35	random	4	2015-03-17 14:18:32.447	\N
465	17	93	random	5	2015-03-17 14:18:32.451	\N
466	17	33	random	6	2015-03-17 14:18:32.455	\N
467	17	2	random	7	2015-03-17 14:18:32.458	\N
468	17	29	random	8	2015-03-17 14:18:32.461	\N
469	17	18	random	9	2015-03-17 14:18:32.466	\N
470	16	58	tags	0	2015-03-17 14:25:58.498	{"score":3.0}
475	16	93	random	5	2015-03-17 14:25:58.553	\N
481	16	87	tags	1	2015-03-17 14:26:34.916	{"score":2.279999923706055}
486	16	60	random	6	2015-03-17 14:26:34.933	\N
490	16	58	tags	0	2015-03-17 14:26:43.885	{"score":3.5}
491	16	68	tags	1	2015-03-17 14:26:43.892	{"score":2.75}
492	16	87	tags	2	2015-03-17 14:26:43.899	{"score":2.6799999237060548}
493	16	40	tags	3	2015-03-17 14:26:43.905	{"score":2.6666666666666665}
494	16	74	random	4	2015-03-17 14:26:43.912	\N
495	16	5	random	5	2015-03-17 14:26:43.915	\N
496	16	85	random	6	2015-03-17 14:26:43.924	\N
497	16	39	random	7	2015-03-17 14:26:43.927	\N
498	16	79	random	8	2015-03-17 14:26:43.931	\N
499	16	66	random	9	2015-03-17 14:26:43.934	\N
471	16	87	tags	1	2015-03-17 14:25:58.521	{"score":2.279999923706055}
472	16	18	tags	2	2015-03-17 14:25:58.526	{"score":2.2000001271565757}
476	16	57	random	6	2015-03-17 14:25:58.557	\N
477	16	27	random	7	2015-03-17 14:25:58.561	\N
482	16	18	tags	2	2015-03-17 14:26:34.92	{"score":2.2000001271565757}
484	16	99	random	4	2015-03-17 14:26:34.927	\N
487	16	2	random	7	2015-03-17 14:26:34.938	\N
489	16	50	random	9	2015-03-17 14:26:34.945	\N
473	16	10	tags	3	2015-03-17 14:25:58.538	{"score":2.1599998474121094}
474	16	42	random	4	2015-03-17 14:25:58.545	\N
478	16	99	random	8	2015-03-17 14:25:58.569	\N
479	16	22	random	9	2015-03-17 14:25:58.573	\N
480	16	58	tags	0	2015-03-17 14:26:34.908	{"score":3.0}
483	16	10	tags	3	2015-03-17 14:26:34.924	{"score":2.1599998474121094}
485	16	69	random	5	2015-03-17 14:26:34.93	\N
488	16	4	random	8	2015-03-17 14:26:34.941	\N
500	16	58	tags	0	2015-03-17 14:28:41.57	{"score":3.5}
501	16	68	tags	1	2015-03-17 14:28:41.575	{"score":2.75}
502	16	87	tags	2	2015-03-17 14:28:41.579	{"score":2.6799999237060548}
503	16	40	tags	3	2015-03-17 14:28:41.583	{"score":2.6666666666666665}
504	16	19	random	4	2015-03-17 14:28:41.587	\N
505	16	50	random	5	2015-03-17 14:28:41.59	\N
506	16	88	random	6	2015-03-17 14:28:41.594	\N
507	16	62	random	7	2015-03-17 14:28:41.597	\N
508	16	55	random	8	2015-03-17 14:28:41.6	\N
509	16	10	random	9	2015-03-17 14:28:41.603	\N
510	16	58	tags	0	2015-03-17 14:28:56.374	{"score":4.5}
511	16	68	tags	1	2015-03-17 14:28:56.378	{"score":3.5500001907348633}
512	16	87	tags	2	2015-03-17 14:28:56.383	{"score":3.4400001525878907}
513	16	9	tags	3	2015-03-17 14:28:56.387	{"score":3.3363637057217685}
514	16	80	random	4	2015-03-17 14:28:56.394	\N
515	16	91	random	5	2015-03-17 14:28:56.397	\N
516	16	48	random	6	2015-03-17 14:28:56.401	\N
517	16	75	random	7	2015-03-17 14:28:56.405	\N
518	16	67	random	8	2015-03-17 14:28:56.409	\N
519	16	93	random	9	2015-03-17 14:28:56.413	\N
520	16	58	tags	0	2015-03-17 14:30:11.379	{"score":4.5}
521	16	68	tags	1	2015-03-17 14:30:11.385	{"score":3.5500001907348633}
522	16	87	tags	2	2015-03-17 14:30:11.392	{"score":3.4400001525878907}
523	16	9	tags	3	2015-03-17 14:30:11.396	{"score":3.3363637057217685}
524	16	56	random	4	2015-03-17 14:30:11.401	\N
525	16	85	random	5	2015-03-17 14:30:11.406	\N
526	16	42	random	6	2015-03-17 14:30:11.412	\N
527	16	24	random	7	2015-03-17 14:30:11.419	\N
528	16	101	random	8	2015-03-17 14:30:11.427	\N
529	16	18	random	9	2015-03-17 14:30:11.432	\N
530	16	58	tags	0	2015-03-17 14:30:14.21	{"score":4.5}
531	16	68	tags	1	2015-03-17 14:30:14.215	{"score":3.5500001907348633}
532	16	87	tags	2	2015-03-17 14:30:14.222	{"score":3.4400001525878907}
533	16	9	tags	3	2015-03-17 14:30:14.227	{"score":3.3363637057217685}
534	16	68	random	4	2015-03-17 14:30:14.231	\N
535	16	39	random	5	2015-03-17 14:30:14.235	\N
536	16	54	random	6	2015-03-17 14:30:14.241	\N
537	16	12	random	7	2015-03-17 14:30:14.245	\N
538	16	13	random	8	2015-03-17 14:30:14.249	\N
539	16	91	random	9	2015-03-17 14:30:14.253	\N
540	16	58	tags	0	2015-03-17 14:30:33.156	{"score":5.0}
541	16	87	tags	1	2015-03-17 14:30:33.161	{"score":4.0}
542	16	4	tags	2	2015-03-17 14:30:33.165	{"score":4.0}
543	16	18	tags	3	2015-03-17 14:30:33.168	{"score":3.8999999364217124}
544	16	69	random	4	2015-03-17 14:30:33.176	\N
545	16	42	random	5	2015-03-17 14:30:33.185	\N
546	16	40	random	6	2015-03-17 14:30:33.188	\N
547	16	98	random	7	2015-03-17 14:30:33.192	\N
548	16	81	random	8	2015-03-17 14:30:33.195	\N
549	16	2	random	9	2015-03-17 14:30:33.199	\N
550	16	58	tags	0	2015-03-17 14:33:41.116	{"score":5.0}
551	16	87	tags	1	2015-03-17 14:33:41.12	{"score":4.0}
552	16	4	tags	2	2015-03-17 14:33:41.123	{"score":4.0}
553	16	18	tags	3	2015-03-17 14:33:41.127	{"score":3.8999999364217124}
554	16	18	random	4	2015-03-17 14:33:41.13	\N
555	16	91	random	5	2015-03-17 14:33:41.133	\N
556	16	76	random	6	2015-03-17 14:33:41.136	\N
557	16	19	random	7	2015-03-17 14:33:41.138	\N
558	16	82	random	8	2015-03-17 14:33:41.141	\N
559	16	93	random	9	2015-03-17 14:33:41.144	\N
560	17	11	random	0	2015-03-17 14:33:42.149	\N
561	17	79	random	1	2015-03-17 14:33:42.152	\N
562	17	100	random	2	2015-03-17 14:33:42.156	\N
563	17	84	random	3	2015-03-17 14:33:42.159	\N
564	17	21	random	4	2015-03-17 14:33:42.162	\N
565	17	92	random	5	2015-03-17 14:33:42.165	\N
566	17	78	random	6	2015-03-17 14:33:42.168	\N
567	17	38	random	7	2015-03-17 14:33:42.171	\N
568	17	77	random	8	2015-03-17 14:33:42.173	\N
569	17	95	random	9	2015-03-17 14:33:42.177	\N
570	16	58	tags	0	2015-03-17 14:33:47.549	{"score":5.0}
571	16	87	tags	1	2015-03-17 14:33:47.552	{"score":4.0}
572	16	4	tags	2	2015-03-17 14:33:47.558	{"score":4.0}
573	16	18	tags	3	2015-03-17 14:33:47.561	{"score":3.8999999364217124}
574	16	9	random	4	2015-03-17 14:33:47.566	\N
575	16	95	random	5	2015-03-17 14:33:47.569	\N
576	16	64	random	6	2015-03-17 14:33:47.572	\N
577	16	43	random	7	2015-03-17 14:33:47.576	\N
578	16	70	random	8	2015-03-17 14:33:47.58	\N
579	16	85	random	9	2015-03-17 14:33:47.583	\N
580	17	78	random	0	2015-03-17 14:34:09.793	\N
581	17	100	random	1	2015-03-17 14:34:09.797	\N
582	17	69	random	2	2015-03-17 14:34:09.8	\N
583	17	92	random	3	2015-03-17 14:34:09.804	\N
584	17	58	random	4	2015-03-17 14:34:09.807	\N
585	17	89	random	5	2015-03-17 14:34:09.81	\N
586	17	83	random	6	2015-03-17 14:34:09.813	\N
587	17	85	random	7	2015-03-17 14:34:09.816	\N
588	17	55	random	8	2015-03-17 14:34:09.82	\N
589	17	18	random	9	2015-03-17 14:34:09.823	\N
590	17	71	random	0	2015-03-17 14:37:06.288	\N
591	17	42	random	1	2015-03-17 14:37:06.292	\N
592	17	79	random	2	2015-03-17 14:37:06.295	\N
593	17	92	random	3	2015-03-17 14:37:06.298	\N
594	17	16	random	4	2015-03-17 14:37:06.301	\N
595	17	33	random	5	2015-03-17 14:37:06.305	\N
596	17	24	random	6	2015-03-17 14:37:06.309	\N
597	17	59	random	7	2015-03-17 14:37:06.312	\N
598	17	2	random	8	2015-03-17 14:37:06.316	\N
599	17	55	random	9	2015-03-17 14:37:06.32	\N
604	16	86	random	4	2015-03-17 14:42:48.507	\N
609	16	41	random	9	2015-03-17 14:42:48.525	\N
610	17	66	random	0	2015-03-17 14:43:19.57	\N
615	17	60	random	5	2015-03-17 14:43:19.588	\N
623	17	12	random	3	2015-03-17 14:44:08.191	\N
628	17	90	random	8	2015-03-17 14:44:08.27	\N
634	17	98	random	4	2015-03-17 14:44:27.652	\N
639	17	57	random	9	2015-03-17 14:44:27.667	\N
600	16	58	tags	0	2015-03-17 14:42:48.48	{"score":5.0}
601	16	87	tags	1	2015-03-17 14:42:48.485	{"score":4.0}
602	16	4	tags	2	2015-03-17 14:42:48.495	{"score":4.0}
605	16	29	random	5	2015-03-17 14:42:48.51	\N
606	16	73	random	6	2015-03-17 14:42:48.514	\N
607	16	85	random	7	2015-03-17 14:42:48.517	\N
611	17	40	random	1	2015-03-17 14:43:19.574	\N
612	17	36	random	2	2015-03-17 14:43:19.578	\N
613	17	47	random	3	2015-03-17 14:43:19.581	\N
616	17	20	random	6	2015-03-17 14:43:19.591	\N
617	17	101	random	7	2015-03-17 14:43:19.594	\N
618	17	46	random	8	2015-03-17 14:43:19.599	\N
620	17	73	random	0	2015-03-17 14:44:08.122	\N
621	17	36	random	1	2015-03-17 14:44:08.16	\N
624	17	56	random	4	2015-03-17 14:44:08.207	\N
625	17	75	random	5	2015-03-17 14:44:08.223	\N
626	17	23	random	6	2015-03-17 14:44:08.239	\N
629	17	14	random	9	2015-03-17 14:44:08.29	\N
630	17	8	random	0	2015-03-17 14:44:27.638	\N
631	17	97	random	1	2015-03-17 14:44:27.642	\N
632	17	54	random	2	2015-03-17 14:44:27.646	\N
635	17	61	random	5	2015-03-17 14:44:27.655	\N
636	17	41	random	6	2015-03-17 14:44:27.658	\N
637	17	80	random	7	2015-03-17 14:44:27.661	\N
603	16	18	tags	3	2015-03-17 14:42:48.504	{"score":3.8999999364217124}
608	16	27	random	8	2015-03-17 14:42:48.521	\N
614	17	97	random	4	2015-03-17 14:43:19.584	\N
619	17	44	random	9	2015-03-17 14:43:19.602	\N
622	17	50	random	2	2015-03-17 14:44:08.178	\N
627	17	59	random	7	2015-03-17 14:44:08.254	\N
633	17	32	random	3	2015-03-17 14:44:27.649	\N
638	17	28	random	8	2015-03-17 14:44:27.664	\N
640	17	14	random	0	2015-03-17 14:44:55.316	\N
641	17	87	random	1	2015-03-17 14:44:55.321	\N
642	17	70	random	2	2015-03-17 14:44:55.324	\N
643	17	56	random	3	2015-03-17 14:44:55.329	\N
644	17	85	random	4	2015-03-17 14:44:55.334	\N
645	17	96	random	5	2015-03-17 14:44:55.341	\N
646	17	69	random	6	2015-03-17 14:44:55.352	\N
647	17	58	random	7	2015-03-17 14:44:55.359	\N
648	17	75	random	8	2015-03-17 14:44:55.365	\N
649	17	63	random	9	2015-03-17 14:44:55.369	\N
650	18	7	random	0	2015-03-17 14:53:18.049	\N
651	18	92	random	1	2015-03-17 14:53:18.055	\N
652	18	23	random	2	2015-03-17 14:53:18.059	\N
653	18	40	random	3	2015-03-17 14:53:18.064	\N
654	18	25	random	4	2015-03-17 14:53:18.067	\N
655	18	2	random	5	2015-03-17 14:53:18.071	\N
656	18	94	random	6	2015-03-17 14:53:18.075	\N
657	18	35	random	7	2015-03-17 14:53:18.08	\N
658	18	16	random	8	2015-03-17 14:53:18.084	\N
659	18	64	random	9	2015-03-17 14:53:18.088	\N
660	16	58	tags	0	2015-03-17 15:03:12.796	{"score":5.0}
661	16	87	tags	1	2015-03-17 15:03:12.805	{"score":4.0}
662	16	4	tags	2	2015-03-17 15:03:12.812	{"score":4.0}
663	16	18	tags	3	2015-03-17 15:03:12.818	{"score":3.8999999364217124}
664	16	18	random	4	2015-03-17 15:03:12.825	\N
665	16	17	random	5	2015-03-17 15:03:12.828	\N
666	16	65	random	6	2015-03-17 15:03:12.832	\N
667	16	89	random	7	2015-03-17 15:03:12.835	\N
668	16	20	random	8	2015-03-17 15:03:12.837	\N
669	16	78	random	9	2015-03-17 15:03:12.84	\N
670	17	40	random	0	2015-03-17 15:17:31.067	\N
671	17	35	random	1	2015-03-17 15:17:31.171	\N
672	17	21	random	2	2015-03-17 15:17:31.183	\N
673	16	58	tags	0	2015-03-17 15:17:31.136	{"score":5.0}
674	17	72	random	3	2015-03-17 15:17:31.189	\N
675	16	87	tags	1	2015-03-17 15:17:31.192	{"score":4.0}
676	16	4	tags	2	2015-03-17 15:17:31.218	{"score":4.0}
677	16	18	tags	3	2015-03-17 15:17:31.249	{"score":3.8999999364217124}
678	16	30	random	4	2015-03-17 15:17:31.305	\N
679	17	20	random	4	2015-03-17 15:17:31.219	\N
680	16	66	random	5	2015-03-17 15:17:31.363	\N
681	17	53	random	5	2015-03-17 15:17:31.368	\N
682	17	89	random	6	2015-03-17 15:17:31.382	\N
683	16	40	random	6	2015-03-17 15:17:31.384	\N
684	17	59	random	7	2015-03-17 15:17:31.387	\N
685	17	85	random	8	2015-03-17 15:17:31.391	\N
686	16	64	random	7	2015-03-17 15:17:31.4	\N
687	17	100	random	9	2015-03-17 15:17:31.395	\N
688	16	38	random	8	2015-03-17 15:17:31.408	\N
689	16	16	random	9	2015-03-17 15:17:31.429	\N
690	16	58	tags	0	2015-03-17 15:17:33.453	{"score":5.0}
691	16	87	tags	1	2015-03-17 15:17:33.458	{"score":4.0}
692	16	4	tags	2	2015-03-17 15:17:33.466	{"score":4.0}
693	16	18	tags	3	2015-03-17 15:17:33.471	{"score":3.8999999364217124}
694	16	74	random	4	2015-03-17 15:17:33.475	\N
695	16	27	random	5	2015-03-17 15:17:33.483	\N
696	16	96	random	6	2015-03-17 15:17:33.487	\N
697	16	79	random	7	2015-03-17 15:17:33.491	\N
698	16	100	random	8	2015-03-17 15:17:33.495	\N
699	16	34	random	9	2015-03-17 15:17:33.5	\N
700	17	25	random	0	2015-03-17 15:25:54.363	\N
701	17	90	random	1	2015-03-17 15:25:54.383	\N
702	17	69	random	2	2015-03-17 15:25:54.39	\N
703	17	85	random	3	2015-03-17 15:25:54.398	\N
704	17	48	random	4	2015-03-17 15:25:54.415	\N
705	17	101	random	5	2015-03-17 15:25:54.421	\N
706	17	75	random	6	2015-03-17 15:25:54.425	\N
707	17	87	random	7	2015-03-17 15:25:54.43	\N
708	17	92	random	8	2015-03-17 15:25:54.434	\N
709	17	56	random	9	2015-03-17 15:25:54.438	\N
710	17	72	random	0	2015-03-17 19:36:29.275	\N
711	17	95	random	1	2015-03-17 19:36:29.284	\N
712	17	22	random	2	2015-03-17 19:36:29.29	\N
713	17	57	random	3	2015-03-17 19:36:29.295	\N
714	17	24	random	4	2015-03-17 19:36:29.305	\N
715	17	54	random	5	2015-03-17 19:36:29.317	\N
716	17	33	random	6	2015-03-17 19:36:29.321	\N
717	17	31	random	7	2015-03-17 19:36:29.324	\N
718	17	92	random	8	2015-03-17 19:36:29.328	\N
719	17	77	random	9	2015-03-17 19:36:29.334	\N
720	19	58	tags	0	2015-03-17 19:37:09.861	{"score":1.0}
721	19	4	tags	1	2015-03-17 19:37:09.871	{"score":1.0}
722	19	14	tags	2	2015-03-17 19:37:09.881	{"score":0.6699999809265137}
723	19	87	tags	3	2015-03-17 19:37:09.89	{"score":0.6666666666666666}
724	19	100	random	4	2015-03-17 19:37:09.898	\N
725	19	3	random	5	2015-03-17 19:37:09.901	\N
726	19	30	random	6	2015-03-17 19:37:09.905	\N
727	19	87	random	7	2015-03-17 19:37:09.908	\N
728	19	97	random	8	2015-03-17 19:37:09.911	\N
729	19	37	random	9	2015-03-17 19:37:09.915	\N
730	19	58	tags	0	2015-03-17 19:38:05.171	{"score":1.0}
731	19	4	tags	1	2015-03-17 19:38:05.18	{"score":1.0}
732	19	14	tags	2	2015-03-17 19:38:05.188	{"score":0.6699999809265137}
733	19	87	tags	3	2015-03-17 19:38:05.198	{"score":0.6666666666666666}
734	19	58	random	4	2015-03-17 19:38:05.208	\N
738	19	4	random	8	2015-03-17 19:38:05.222	\N
739	19	84	random	9	2015-03-17 19:38:05.225	\N
735	19	73	random	5	2015-03-17 19:38:05.212	\N
736	19	35	random	6	2015-03-17 19:38:05.215	\N
737	19	31	random	7	2015-03-17 19:38:05.219	\N
740	19	58	tags	0	2015-03-17 19:38:12.796	{"score":1.0}
745	19	79	random	5	2015-03-17 19:38:12.819	\N
754	19	84	random	4	2015-03-17 19:38:23.937	\N
759	19	73	random	9	2015-03-17 19:38:23.954	\N
741	19	4	tags	1	2015-03-17 19:38:12.8	{"score":1.0}
746	19	81	random	6	2015-03-17 19:38:12.823	\N
750	19	58	tags	0	2015-03-17 19:38:23.92	{"score":1.0}
755	19	31	random	5	2015-03-17 19:38:23.939	\N
742	19	14	tags	2	2015-03-17 19:38:12.803	{"score":0.6699999809265137}
747	19	12	random	7	2015-03-17 19:38:12.847	\N
751	19	4	tags	1	2015-03-17 19:38:23.924	{"score":1.0}
756	19	35	random	6	2015-03-17 19:38:23.943	\N
743	19	87	tags	3	2015-03-17 19:38:12.807	{"score":0.6666666666666666}
748	19	35	random	8	2015-03-17 19:38:12.855	\N
752	19	14	tags	2	2015-03-17 19:38:23.927	{"score":0.6699999809265137}
757	19	62	random	7	2015-03-17 19:38:23.947	\N
744	19	9	random	4	2015-03-17 19:38:12.816	\N
749	19	24	random	9	2015-03-17 19:38:12.858	\N
753	19	87	tags	3	2015-03-17 19:38:23.933	{"score":0.6666666666666666}
758	19	75	random	8	2015-03-17 19:38:23.95	\N
760	19	58	tags	0	2015-03-17 19:39:18.031	{"score":1.0}
761	19	4	tags	1	2015-03-17 19:39:18.034	{"score":1.0}
762	19	14	tags	2	2015-03-17 19:39:18.037	{"score":0.6699999809265137}
763	19	87	tags	3	2015-03-17 19:39:18.041	{"score":0.6666666666666666}
764	19	101	random	4	2015-03-17 19:39:18.044	\N
765	19	90	random	5	2015-03-17 19:39:18.048	\N
766	19	87	random	6	2015-03-17 19:39:18.051	\N
767	19	5	random	7	2015-03-17 19:39:18.054	\N
768	19	12	random	8	2015-03-17 19:39:18.057	\N
769	19	43	random	9	2015-03-17 19:39:18.06	\N
770	19	58	tags	0	2015-03-17 19:39:45.509	{"score":1.0}
771	19	4	tags	1	2015-03-17 19:39:45.513	{"score":1.0}
772	19	14	tags	2	2015-03-17 19:39:45.516	{"score":0.6699999809265137}
773	19	87	tags	3	2015-03-17 19:39:45.519	{"score":0.6666666666666666}
774	19	10	random	4	2015-03-17 19:39:45.522	\N
775	19	3	random	5	2015-03-17 19:39:45.525	\N
776	19	95	random	6	2015-03-17 19:39:45.529	\N
777	19	90	random	7	2015-03-17 19:39:45.531	\N
778	19	85	random	8	2015-03-17 19:39:45.534	\N
779	19	89	random	9	2015-03-17 19:39:45.537	\N
780	19	58	tags	0	2015-03-17 19:40:03.759	{"score":1.0}
781	19	4	tags	1	2015-03-17 19:40:03.762	{"score":1.0}
782	19	14	tags	2	2015-03-17 19:40:03.767	{"score":0.6699999809265137}
783	19	87	tags	3	2015-03-17 19:40:03.771	{"score":0.6666666666666666}
784	19	96	random	4	2015-03-17 19:40:03.774	\N
785	19	28	random	5	2015-03-17 19:40:03.777	\N
786	19	17	random	6	2015-03-17 19:40:03.782	\N
787	19	91	random	7	2015-03-17 19:40:03.787	\N
788	19	21	random	8	2015-03-17 19:40:03.791	\N
789	19	10	random	9	2015-03-17 19:40:03.795	\N
790	17	4	CF	0	2015-03-17 20:09:06.149	{"prediction":3.5833333333333335}
791	17	58	CF	1	2015-03-17 20:09:06.159	{"prediction":3.4166666666666665}
792	17	58	cbr	2	2015-03-17 20:09:06.169	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
793	17	37	random	3	2015-03-17 20:09:06.178	\N
794	17	83	random	4	2015-03-17 20:09:06.184	\N
795	17	94	random	5	2015-03-17 20:09:06.187	\N
796	17	20	random	6	2015-03-17 20:09:06.19	\N
797	17	35	random	7	2015-03-17 20:09:06.195	\N
798	17	93	random	8	2015-03-17 20:09:06.198	\N
799	17	96	random	9	2015-03-17 20:09:06.201	\N
800	17	58	cbr	0	2015-03-17 20:09:25.087	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
801	17	4	CF	1	2015-03-17 20:09:25.094	{"prediction":3.5833333333333335}
802	17	58	CF	2	2015-03-17 20:09:25.097	{"prediction":3.4166666666666665}
803	17	80	random	3	2015-03-17 20:09:25.101	\N
804	17	38	random	4	2015-03-17 20:09:25.105	\N
805	17	10	random	5	2015-03-17 20:09:25.108	\N
806	17	8	random	6	2015-03-17 20:09:25.112	\N
807	17	89	random	7	2015-03-17 20:09:25.117	\N
808	17	5	random	8	2015-03-17 20:09:25.121	\N
809	17	76	random	9	2015-03-17 20:09:25.128	\N
810	17	58	cbr	0	2015-03-17 20:09:29.798	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
811	17	4	CF	1	2015-03-17 20:09:29.802	{"prediction":3.5833333333333335}
812	17	58	CF	2	2015-03-17 20:09:29.808	{"prediction":3.4166666666666665}
813	17	48	random	3	2015-03-17 20:09:29.811	\N
814	17	77	random	4	2015-03-17 20:09:29.814	\N
815	17	33	random	5	2015-03-17 20:09:29.817	\N
816	17	52	random	6	2015-03-17 20:09:29.82	\N
817	17	89	random	7	2015-03-17 20:09:29.823	\N
818	17	60	random	8	2015-03-17 20:09:29.825	\N
819	17	57	random	9	2015-03-17 20:09:29.828	\N
820	20	4	CF	0	2015-03-18 07:12:51.407	{"prediction":3.5833333333333335}
821	20	58	CF	1	2015-03-18 07:12:51.423	{"prediction":3.4166666666666665}
822	20	4	tags	2	2015-03-18 07:12:51.431	{"score":1.0}
823	20	18	tags	3	2015-03-18 07:12:51.441	{"score":0.7333333492279053}
824	20	10	tags	4	2015-03-18 07:12:51.451	{"score":0.7199999809265136}
825	20	100	tags	5	2015-03-18 07:12:51.459	{"score":0.699999988079071}
826	20	58	cbr	6	2015-03-18 07:12:51.463	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
827	20	62	random	7	2015-03-18 07:12:51.466	\N
828	20	64	random	8	2015-03-18 07:12:51.469	\N
829	20	8	random	9	2015-03-18 07:12:51.473	\N
830	20	4	CF	0	2015-03-18 07:14:03.402	{"prediction":3.5833333333333335}
831	20	58	CF	1	2015-03-18 07:14:03.41	{"prediction":3.4166666666666665}
832	20	4	tags	2	2015-03-18 07:14:03.418	{"score":1.0}
833	20	18	tags	3	2015-03-18 07:14:03.427	{"score":0.7333333492279053}
834	20	10	tags	4	2015-03-18 07:14:03.436	{"score":0.7199999809265136}
835	20	100	tags	5	2015-03-18 07:14:03.443	{"score":0.699999988079071}
836	20	58	cbr	6	2015-03-18 07:14:03.451	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
837	20	22	random	7	2015-03-18 07:14:03.454	\N
838	20	8	random	8	2015-03-18 07:14:03.458	\N
839	20	56	random	9	2015-03-18 07:14:03.463	\N
840	20	4	CF	0	2015-03-18 07:15:59.436	{"prediction":3.5833333333333335}
841	20	58	CF	1	2015-03-18 07:15:59.44	{"prediction":3.4166666666666665}
842	20	4	tags	2	2015-03-18 07:15:59.447	{"score":1.0}
843	20	18	tags	3	2015-03-18 07:15:59.45	{"score":0.7333333492279053}
844	20	10	tags	4	2015-03-18 07:15:59.459	{"score":0.7199999809265136}
847	20	55	random	7	2015-03-18 07:15:59.471	\N
845	20	100	tags	5	2015-03-18 07:15:59.462	{"score":0.699999988079071}
846	20	58	cbr	6	2015-03-18 07:15:59.468	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
848	20	81	random	8	2015-03-18 07:15:59.475	\N
849	20	68	random	9	2015-03-18 07:15:59.479	\N
850	20	4	CF	0	2015-03-18 07:17:06.969	{"prediction":3.5833333333333335}
851	20	58	CF	1	2015-03-18 07:17:06.973	{"prediction":3.4166666666666665}
852	20	4	tags	2	2015-03-18 07:17:06.977	{"score":1.0}
853	20	18	tags	3	2015-03-18 07:17:06.98	{"score":0.7333333492279053}
854	20	10	tags	4	2015-03-18 07:17:06.983	{"score":0.7199999809265136}
855	20	100	tags	5	2015-03-18 07:17:06.986	{"score":0.699999988079071}
856	20	58	cbr	6	2015-03-18 07:17:06.989	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
857	20	95	random	7	2015-03-18 07:17:06.992	\N
858	20	78	random	8	2015-03-18 07:17:06.995	\N
859	20	84	random	9	2015-03-18 07:17:06.998	\N
860	20	4	CF	0	2015-03-18 07:17:13.612	{"prediction":3.5833333333333335}
861	20	58	CF	1	2015-03-18 07:17:13.626	{"prediction":3.4166666666666665}
862	20	58	cbr	2	2015-03-18 07:17:13.635	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
863	20	4	tags	3	2015-03-18 07:17:13.647	{"score":1.0}
864	20	18	tags	4	2015-03-18 07:17:13.655	{"score":0.7333333492279053}
865	20	10	tags	5	2015-03-18 07:17:13.667	{"score":0.7199999809265136}
866	20	100	tags	6	2015-03-18 07:17:13.67	{"score":0.699999988079071}
867	20	93	random	7	2015-03-18 07:17:13.673	\N
868	20	27	random	8	2015-03-18 07:17:13.676	\N
869	20	75	random	9	2015-03-18 07:17:13.679	\N
870	20	58	cbr	0	2015-03-18 07:17:20.827	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
871	20	4	CF	1	2015-03-18 07:17:20.832	{"prediction":3.5833333333333335}
872	20	58	CF	2	2015-03-18 07:17:20.835	{"prediction":3.4166666666666665}
873	20	4	tags	3	2015-03-18 07:17:20.848	{"score":1.0}
874	20	18	tags	4	2015-03-18 07:17:20.851	{"score":0.7333333492279053}
875	20	10	tags	5	2015-03-18 07:17:20.854	{"score":0.7199999809265136}
876	20	100	tags	6	2015-03-18 07:17:20.873	{"score":0.699999988079071}
877	20	52	random	7	2015-03-18 07:17:20.876	\N
878	20	2	random	8	2015-03-18 07:17:20.879	\N
879	20	65	random	9	2015-03-18 07:17:20.882	\N
880	20	4	CF	0	2015-03-18 07:17:26.112	{"prediction":3.5833333333333335}
881	20	58	CF	1	2015-03-18 07:17:26.117	{"prediction":3.4166666666666665}
882	20	4	tags	2	2015-03-18 07:17:26.127	{"score":1.0}
883	20	18	tags	3	2015-03-18 07:17:26.131	{"score":0.7333333492279053}
884	20	10	tags	4	2015-03-18 07:17:26.134	{"score":0.7199999809265136}
885	20	100	tags	5	2015-03-18 07:17:26.136	{"score":0.699999988079071}
886	20	58	cbr	6	2015-03-18 07:17:26.139	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
887	20	35	random	7	2015-03-18 07:17:26.142	\N
888	20	36	random	8	2015-03-18 07:17:26.148	\N
889	20	32	random	9	2015-03-18 07:17:26.153	\N
890	20	58	cbr	0	2015-03-18 07:17:45.018	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
891	20	4	CF	1	2015-03-18 07:17:45.025	{"prediction":3.5833333333333335}
892	20	58	CF	2	2015-03-18 07:17:45.033	{"prediction":3.4166666666666665}
893	20	4	tags	3	2015-03-18 07:17:45.039	{"score":1.0}
894	20	18	tags	4	2015-03-18 07:17:45.043	{"score":0.7333333492279053}
895	20	10	tags	5	2015-03-18 07:17:45.047	{"score":0.7199999809265136}
896	20	100	tags	6	2015-03-18 07:17:45.055	{"score":0.699999988079071}
897	20	18	random	7	2015-03-18 07:17:45.067	\N
898	20	19	random	8	2015-03-18 07:17:45.075	\N
899	20	59	random	9	2015-03-18 07:17:45.112	\N
900	20	4	tags	0	2015-03-18 07:17:48.537	{"score":1.0}
901	20	18	tags	1	2015-03-18 07:17:48.542	{"score":0.7333333492279053}
902	20	10	tags	2	2015-03-18 07:17:48.546	{"score":0.7199999809265136}
903	20	100	tags	3	2015-03-18 07:17:48.55	{"score":0.699999988079071}
904	20	58	cbr	4	2015-03-18 07:17:48.554	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
905	20	4	CF	5	2015-03-18 07:17:48.563	{"prediction":3.5833333333333335}
906	20	58	CF	6	2015-03-18 07:17:48.566	{"prediction":3.4166666666666665}
907	20	17	random	7	2015-03-18 07:17:48.569	\N
908	20	100	random	8	2015-03-18 07:17:48.573	\N
909	20	90	random	9	2015-03-18 07:17:48.576	\N
910	20	58	cbr	0	2015-03-18 07:19:08.181	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
911	20	4	tags	1	2015-03-18 07:19:08.184	{"score":1.0}
912	20	18	tags	2	2015-03-18 07:19:08.188	{"score":0.7333333492279053}
913	20	10	tags	3	2015-03-18 07:19:08.191	{"score":0.7199999809265136}
914	20	100	tags	4	2015-03-18 07:19:08.195	{"score":0.699999988079071}
915	20	4	CF	5	2015-03-18 07:19:08.198	{"prediction":3.5833333333333335}
916	20	58	CF	6	2015-03-18 07:19:08.201	{"prediction":3.4166666666666665}
917	20	40	random	7	2015-03-18 07:19:08.205	\N
918	20	36	random	8	2015-03-18 07:19:08.209	\N
919	20	100	random	9	2015-03-18 07:19:08.212	\N
920	20	58	cbr	0	2015-03-18 07:19:46.58	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
921	20	4	CF	1	2015-03-18 07:19:46.588	{"prediction":3.5833333333333335}
922	20	58	CF	2	2015-03-18 07:19:46.591	{"prediction":3.4166666666666665}
923	20	4	tags	3	2015-03-18 07:19:46.594	{"score":1.0}
924	20	18	tags	4	2015-03-18 07:19:46.597	{"score":0.7333333492279053}
925	20	10	tags	5	2015-03-18 07:19:46.6	{"score":0.7199999809265136}
926	20	100	tags	6	2015-03-18 07:19:46.602	{"score":0.699999988079071}
927	20	64	random	7	2015-03-18 07:19:46.605	\N
928	20	29	random	8	2015-03-18 07:19:46.608	\N
929	20	83	random	9	2015-03-18 07:19:46.611	\N
930	16	64	CF	0	2015-03-18 08:01:54.27	{"prediction":4.166666666666667}
931	16	4	CF	1	2015-03-18 08:01:54.28	{"prediction":4.0}
932	16	58	CF	2	2015-03-18 08:01:54.289	{"prediction":3.8333333333333335}
933	16	58	tags	3	2015-03-18 08:01:54.297	{"score":5.0}
934	16	87	tags	4	2015-03-18 08:01:54.306	{"score":4.0}
935	16	4	tags	5	2015-03-18 08:01:54.314	{"score":4.0}
936	16	18	tags	6	2015-03-18 08:01:54.318	{"score":3.8999999364217124}
937	16	58	cbr	7	2015-03-18 08:01:54.321	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":3.0}
938	16	43	random	8	2015-03-18 08:01:54.325	\N
939	16	52	random	9	2015-03-18 08:01:54.328	\N
940	17	58	cbr	0	2015-03-18 08:42:53.106	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
941	17	64	CF	1	2015-03-18 08:42:53.117	{"prediction":4.166666666666667}
942	17	4	CF	2	2015-03-18 08:42:53.124	{"prediction":4.0}
943	17	58	CF	3	2015-03-18 08:42:53.134	{"prediction":3.8333333333333335}
944	17	50	random	4	2015-03-18 08:42:53.145	\N
945	17	10	random	5	2015-03-18 08:42:53.151	\N
946	17	66	random	6	2015-03-18 08:42:53.154	\N
947	17	44	random	7	2015-03-18 08:42:53.157	\N
948	17	81	random	8	2015-03-18 08:42:53.16	\N
949	17	82	random	9	2015-03-18 08:42:53.163	\N
950	17	58	cbr	0	2015-03-18 08:43:04.894	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
951	17	64	CF	1	2015-03-18 08:43:04.903	{"prediction":4.166666666666667}
952	17	4	CF	2	2015-03-18 08:43:04.943	{"prediction":4.0}
953	17	58	CF	3	2015-03-18 08:43:04.953	{"prediction":3.8333333333333335}
954	17	13	random	4	2015-03-18 08:43:04.964	\N
955	17	92	random	5	2015-03-18 08:43:04.968	\N
956	17	75	random	6	2015-03-18 08:43:04.972	\N
957	17	51	random	7	2015-03-18 08:43:04.975	\N
958	17	29	random	8	2015-03-18 08:43:04.978	\N
959	17	16	random	9	2015-03-18 08:43:04.981	\N
960	17	64	CF	0	2015-03-18 08:43:11.044	{"prediction":4.166666666666667}
961	17	4	CF	1	2015-03-18 08:43:11.048	{"prediction":4.0}
962	17	58	CF	2	2015-03-18 08:43:11.051	{"prediction":3.8333333333333335}
963	17	58	cbr	3	2015-03-18 08:43:11.061	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
964	17	38	random	4	2015-03-18 08:43:11.065	\N
965	17	7	random	5	2015-03-18 08:43:11.068	\N
966	17	5	random	6	2015-03-18 08:43:11.071	\N
967	17	96	random	7	2015-03-18 08:43:11.074	\N
968	17	20	random	8	2015-03-18 08:43:11.077	\N
969	17	62	random	9	2015-03-18 08:43:11.08	\N
970	17	64	CF	0	2015-03-18 08:43:15.512	{"prediction":4.166666666666667}
971	17	4	CF	1	2015-03-18 08:43:15.518	{"prediction":4.0}
972	17	58	CF	2	2015-03-18 08:43:15.521	{"prediction":3.8333333333333335}
973	17	58	cbr	3	2015-03-18 08:43:15.524	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
974	17	6	random	4	2015-03-18 08:43:15.527	\N
975	17	87	random	5	2015-03-18 08:43:15.531	\N
976	17	5	random	6	2015-03-18 08:43:15.535	\N
977	17	38	random	7	2015-03-18 08:43:15.538	\N
978	17	35	random	8	2015-03-18 08:43:15.54	\N
979	17	7	random	9	2015-03-18 08:43:15.544	\N
980	17	64	CF	0	2015-03-18 08:43:20.523	{"prediction":4.166666666666667}
981	17	4	CF	1	2015-03-18 08:43:20.527	{"prediction":4.0}
982	17	58	CF	2	2015-03-18 08:43:20.531	{"prediction":3.8333333333333335}
983	17	58	cbr	3	2015-03-18 08:43:20.537	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
984	17	97	random	4	2015-03-18 08:43:20.543	\N
985	17	54	random	5	2015-03-18 08:43:20.561	\N
986	17	1	random	6	2015-03-18 08:43:20.567	\N
987	17	72	random	7	2015-03-18 08:43:20.572	\N
988	17	52	random	8	2015-03-18 08:43:20.576	\N
989	17	17	random	9	2015-03-18 08:43:20.58	\N
990	16	58	tags	0	2015-03-18 09:59:25.542	{"score":5.0}
991	16	87	tags	1	2015-03-18 09:59:25.566	{"score":4.0}
992	16	4	tags	2	2015-03-18 09:59:25.574	{"score":4.0}
993	16	18	tags	3	2015-03-18 09:59:25.582	{"score":3.8999999364217124}
994	16	58	cbr	4	2015-03-18 09:59:25.594	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":3.0}
995	16	64	CF	5	2015-03-18 09:59:25.603	{"prediction":4.166666666666667}
996	16	4	CF	6	2015-03-18 09:59:25.607	{"prediction":4.0}
997	16	58	CF	7	2015-03-18 09:59:25.611	{"prediction":3.8333333333333335}
998	16	72	random	8	2015-03-18 09:59:25.614	\N
999	16	19	random	9	2015-03-18 09:59:25.617	\N
1000	16	58	cbr	0	2015-03-18 10:08:31.444	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":3.0}
1001	16	58	tags	1	2015-03-18 10:08:31.463	{"score":5.0}
1002	16	87	tags	2	2015-03-18 10:08:31.47	{"score":4.0}
1003	16	4	tags	3	2015-03-18 10:08:31.478	{"score":4.0}
1004	16	18	tags	4	2015-03-18 10:08:31.487	{"score":3.8999999364217124}
1005	16	64	CF	5	2015-03-18 10:08:31.497	{"prediction":4.166666666666667}
1006	16	4	CF	6	2015-03-18 10:08:31.501	{"prediction":4.0}
1007	16	58	CF	7	2015-03-18 10:08:31.505	{"prediction":3.8333333333333335}
1008	16	25	random	8	2015-03-18 10:08:31.508	\N
1009	16	18	random	9	2015-03-18 10:08:31.511	\N
1010	17	58	cbr	0	2015-03-18 10:11:41.063	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1011	17	87	cbr	1	2015-03-18 10:11:41.067	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1012	17	64	CF	2	2015-03-18 10:11:41.07	{"prediction":4.166666666666667}
1013	17	4	CF	3	2015-03-18 10:11:41.073	{"prediction":4.0}
1014	17	87	CF	4	2015-03-18 10:11:41.076	{"prediction":4.0}
1015	17	58	CF	5	2015-03-18 10:11:41.079	{"prediction":3.8333333333333335}
1016	17	94	random	6	2015-03-18 10:11:41.081	\N
1031	17	87	cbr	1	2015-03-18 10:11:55.952	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1036	17	73	random	6	2015-03-18 10:11:55.983	\N
1017	17	1	random	7	2015-03-18 10:11:41.085	\N
1033	17	4	CF	3	2015-03-18 10:11:55.962	{"prediction":4.0}
1038	17	52	random	8	2015-03-18 10:11:55.99	\N
1018	17	65	random	8	2015-03-18 10:11:41.089	\N
1032	17	64	CF	2	2015-03-18 10:11:55.956	{"prediction":4.166666666666667}
1037	17	13	random	7	2015-03-18 10:11:55.986	\N
1019	17	84	random	9	2015-03-18 10:11:41.092	\N
1020	17	64	CF	0	2015-03-18 10:11:52.009	{"prediction":4.166666666666667}
1021	17	4	CF	1	2015-03-18 10:11:52.016	{"prediction":4.0}
1022	17	87	CF	2	2015-03-18 10:11:52.023	{"prediction":4.0}
1023	17	58	CF	3	2015-03-18 10:11:52.031	{"prediction":3.8333333333333335}
1024	17	58	cbr	4	2015-03-18 10:11:52.038	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1025	17	87	cbr	5	2015-03-18 10:11:52.041	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1026	17	11	random	6	2015-03-18 10:11:52.044	\N
1027	17	34	random	7	2015-03-18 10:11:52.047	\N
1028	17	96	random	8	2015-03-18 10:11:52.049	\N
1029	17	85	random	9	2015-03-18 10:11:52.052	\N
1030	17	58	cbr	0	2015-03-18 10:11:55.947	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1035	17	58	CF	5	2015-03-18 10:11:55.978	{"prediction":3.8333333333333335}
1034	17	87	CF	4	2015-03-18 10:11:55.97	{"prediction":4.0}
1039	17	96	random	9	2015-03-18 10:11:55.993	\N
1040	17	58	cbr	0	2015-03-18 11:58:47.567	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1041	17	87	cbr	1	2015-03-18 11:58:47.592	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1042	17	64	CF	2	2015-03-18 11:58:47.602	{"prediction":4.166666666666667}
1043	17	4	CF	3	2015-03-18 11:58:47.616	{"prediction":4.0}
1044	17	87	CF	4	2015-03-18 11:58:47.632	{"prediction":4.0}
1045	17	58	CF	5	2015-03-18 11:58:47.648	{"prediction":3.8333333333333335}
1046	17	52	random	6	2015-03-18 11:58:47.653	\N
1047	17	17	random	7	2015-03-18 11:58:47.658	\N
1048	17	29	random	8	2015-03-18 11:58:47.662	\N
1049	17	99	random	9	2015-03-18 11:58:47.666	\N
1050	17	58	cbr	0	2015-03-18 11:58:55.604	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1051	17	87	cbr	1	2015-03-18 11:58:55.608	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1052	17	64	CF	2	2015-03-18 11:58:55.613	{"prediction":4.166666666666667}
1053	17	4	CF	3	2015-03-18 11:58:55.617	{"prediction":4.0}
1054	17	87	CF	4	2015-03-18 11:58:55.623	{"prediction":4.0}
1055	17	58	CF	5	2015-03-18 11:58:55.628	{"prediction":3.8333333333333335}
1056	17	20	random	6	2015-03-18 11:58:55.631	\N
1057	17	17	random	7	2015-03-18 11:58:55.635	\N
1058	17	56	random	8	2015-03-18 11:58:55.639	\N
1059	17	87	random	9	2015-03-18 11:58:55.659	\N
1060	17	58	cbr	0	2015-03-18 11:59:00.523	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1061	17	87	cbr	1	2015-03-18 11:59:00.533	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1062	17	64	CF	2	2015-03-18 11:59:00.542	{"prediction":4.166666666666667}
1063	17	4	CF	3	2015-03-18 11:59:00.556	{"prediction":4.0}
1064	17	87	CF	4	2015-03-18 11:59:00.567	{"prediction":4.0}
1065	17	58	CF	5	2015-03-18 11:59:00.575	{"prediction":3.8333333333333335}
1066	17	78	random	6	2015-03-18 11:59:00.579	\N
1067	17	8	random	7	2015-03-18 11:59:00.582	\N
1068	17	27	random	8	2015-03-18 11:59:00.586	\N
1069	17	41	random	9	2015-03-18 11:59:00.589	\N
1070	17	58	cbr	0	2015-03-18 11:59:08.315	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1071	17	87	cbr	1	2015-03-18 11:59:08.324	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1072	17	64	CF	2	2015-03-18 11:59:08.331	{"prediction":4.166666666666667}
1073	17	4	CF	3	2015-03-18 11:59:08.341	{"prediction":4.0}
1074	17	87	CF	4	2015-03-18 11:59:08.35	{"prediction":4.0}
1075	17	58	CF	5	2015-03-18 11:59:08.358	{"prediction":3.8333333333333335}
1076	17	56	random	6	2015-03-18 11:59:08.361	\N
1077	17	7	random	7	2015-03-18 11:59:08.366	\N
1078	17	36	random	8	2015-03-18 11:59:08.369	\N
1079	17	85	random	9	2015-03-18 11:59:08.373	\N
1080	17	64	CF	0	2015-03-18 11:59:22.456	{"prediction":4.166666666666667}
1081	17	4	CF	1	2015-03-18 11:59:22.461	{"prediction":4.0}
1082	17	87	CF	2	2015-03-18 11:59:22.466	{"prediction":4.0}
1083	17	58	CF	3	2015-03-18 11:59:22.473	{"prediction":3.8333333333333335}
1084	17	58	cbr	4	2015-03-18 11:59:22.48	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1085	17	87	cbr	5	2015-03-18 11:59:22.487	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1086	17	74	random	6	2015-03-18 11:59:22.491	\N
1087	17	79	random	7	2015-03-18 11:59:22.5	\N
1088	17	95	random	8	2015-03-18 11:59:22.504	\N
1089	17	16	random	9	2015-03-18 11:59:22.509	\N
1090	17	58	cbr	0	2015-03-18 11:59:28.256	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1091	17	87	cbr	1	2015-03-18 11:59:28.261	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1092	17	64	CF	2	2015-03-18 11:59:28.265	{"prediction":4.166666666666667}
1093	17	4	CF	3	2015-03-18 11:59:28.268	{"prediction":4.0}
1094	17	87	CF	4	2015-03-18 11:59:28.273	{"prediction":4.0}
1095	17	58	CF	5	2015-03-18 11:59:28.277	{"prediction":3.8333333333333335}
1096	17	75	random	6	2015-03-18 11:59:28.281	\N
1097	17	51	random	7	2015-03-18 11:59:28.284	\N
1098	17	12	random	8	2015-03-18 11:59:28.288	\N
1099	17	30	random	9	2015-03-18 11:59:28.296	\N
1100	17	58	cbr	0	2015-03-18 11:59:35.97	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1101	17	87	cbr	1	2015-03-18 11:59:35.975	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1102	17	64	CF	2	2015-03-18 11:59:35.98	{"prediction":4.166666666666667}
1103	17	4	CF	3	2015-03-18 11:59:35.983	{"prediction":4.0}
1104	17	87	CF	4	2015-03-18 11:59:35.992	{"prediction":4.0}
1105	17	58	CF	5	2015-03-18 11:59:36.016	{"prediction":3.8333333333333335}
1106	17	81	random	6	2015-03-18 11:59:36.033	\N
1107	17	18	random	7	2015-03-18 11:59:36.041	\N
1108	17	19	random	8	2015-03-18 11:59:36.053	\N
1109	17	94	random	9	2015-03-18 11:59:36.073	\N
1110	17	58	cbr	0	2015-03-18 11:59:42.64	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1111	17	87	cbr	1	2015-03-18 11:59:42.652	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1112	17	64	CF	2	2015-03-18 11:59:42.655	{"prediction":4.166666666666667}
1113	17	4	CF	3	2015-03-18 11:59:42.659	{"prediction":4.0}
1114	17	87	CF	4	2015-03-18 11:59:42.663	{"prediction":4.0}
1115	17	58	CF	5	2015-03-18 11:59:42.666	{"prediction":3.8333333333333335}
1116	17	2	random	6	2015-03-18 11:59:42.671	\N
1117	17	1	random	7	2015-03-18 11:59:42.678	\N
1118	17	44	random	8	2015-03-18 11:59:42.683	\N
1119	17	71	random	9	2015-03-18 11:59:42.688	\N
1120	17	64	CF	0	2015-03-18 11:59:50.528	{"prediction":4.166666666666667}
1121	17	4	CF	1	2015-03-18 11:59:50.533	{"prediction":4.0}
1126	17	100	random	6	2015-03-18 11:59:50.582	\N
1122	17	87	CF	2	2015-03-18 11:59:50.54	{"prediction":4.0}
1127	17	46	random	7	2015-03-18 11:59:50.587	\N
1123	17	58	CF	3	2015-03-18 11:59:50.547	{"prediction":3.8333333333333335}
1128	17	96	random	8	2015-03-18 11:59:50.6	\N
1124	17	58	cbr	4	2015-03-18 11:59:50.56	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1129	17	101	random	9	2015-03-18 11:59:50.61	\N
1125	17	87	cbr	5	2015-03-18 11:59:50.574	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1130	17	64	CF	0	2015-03-18 11:59:57.938	{"prediction":4.166666666666667}
1135	17	87	cbr	5	2015-03-18 11:59:57.956	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1131	17	4	CF	1	2015-03-18 11:59:57.942	{"prediction":4.0}
1136	17	38	random	6	2015-03-18 11:59:57.961	\N
1132	17	87	CF	2	2015-03-18 11:59:57.946	{"prediction":4.0}
1137	17	46	random	7	2015-03-18 11:59:57.964	\N
1133	17	58	CF	3	2015-03-18 11:59:57.949	{"prediction":3.8333333333333335}
1138	17	53	random	8	2015-03-18 11:59:57.967	\N
1134	17	58	cbr	4	2015-03-18 11:59:57.952	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1139	17	87	random	9	2015-03-18 11:59:57.97	\N
1140	17	58	cbr	0	2015-03-18 12:00:06.413	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1145	17	58	CF	5	2015-03-18 12:00:06.437	{"prediction":3.8333333333333335}
1141	17	87	cbr	1	2015-03-18 12:00:06.418	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1146	17	95	random	6	2015-03-18 12:00:06.441	\N
1142	17	64	CF	2	2015-03-18 12:00:06.423	{"prediction":4.166666666666667}
1147	17	29	random	7	2015-03-18 12:00:06.446	\N
1143	17	4	CF	3	2015-03-18 12:00:06.429	{"prediction":4.0}
1148	17	32	random	8	2015-03-18 12:00:06.45	\N
1144	17	87	CF	4	2015-03-18 12:00:06.433	{"prediction":4.0}
1149	17	53	random	9	2015-03-18 12:00:06.453	\N
1150	21	64	CF	0	2015-03-18 12:01:18.765	{"prediction":4.166666666666667}
1151	21	4	CF	1	2015-03-18 12:01:18.771	{"prediction":4.0}
1152	21	87	CF	2	2015-03-18 12:01:18.774	{"prediction":4.0}
1153	21	58	CF	3	2015-03-18 12:01:18.778	{"prediction":3.8333333333333335}
1154	21	58	tags	4	2015-03-18 12:01:18.782	{"score":1.0}
1155	21	4	tags	5	2015-03-18 12:01:18.785	{"score":1.0}
1156	21	30	tags	6	2015-03-18 12:01:18.788	{"score":0.699999988079071}
1157	21	14	tags	7	2015-03-18 12:01:18.791	{"score":0.6699999809265137}
1158	21	17	random	8	2015-03-18 12:01:18.794	\N
1159	21	56	random	9	2015-03-18 12:01:18.797	\N
1160	21	14	tags	0	2015-03-18 12:02:55.18	{"score":1.2699999928474426}
1161	21	23	tags	1	2015-03-18 12:02:55.19	{"score":1.262499988079071}
1162	21	71	tags	2	2015-03-18 12:02:55.194	{"score":1.2571428418159485}
1163	21	32	tags	3	2015-03-18 12:02:55.203	{"score":1.2333333293596902}
1164	21	64	CF	4	2015-03-18 12:02:55.208	{"prediction":4.166666666666667}
1165	21	4	CF	5	2015-03-18 12:02:55.211	{"prediction":4.0}
1166	21	87	CF	6	2015-03-18 12:02:55.214	{"prediction":4.0}
1167	21	58	CF	7	2015-03-18 12:02:55.217	{"prediction":3.8333333333333335}
1168	21	4	random	8	2015-03-18 12:02:55.22	\N
1169	21	35	random	9	2015-03-18 12:02:55.223	\N
1170	21	60	tags	0	2015-03-18 12:03:57.36	{"score":4.850000023841858}
1171	21	38	tags	1	2015-03-18 12:03:57.366	{"score":4.7000000238418576}
1172	21	32	tags	2	2015-03-18 12:03:57.37	{"score":4.690909093076533}
1173	21	20	tags	3	2015-03-18 12:03:57.375	{"score":4.614285894802638}
1174	21	64	CF	4	2015-03-18 12:03:57.378	{"prediction":5.0}
1175	21	4	CF	5	2015-03-18 12:03:57.381	{"prediction":4.833333333333334}
1176	21	87	CF	6	2015-03-18 12:03:57.385	{"prediction":4.833333333333334}
1177	21	58	CF	7	2015-03-18 12:03:57.388	{"prediction":4.666666666666666}
1178	21	50	random	8	2015-03-18 12:03:57.471	\N
1179	21	40	random	9	2015-03-18 12:03:57.555	\N
1180	21	64	CF	0	2015-03-18 12:04:51.443	{"prediction":5.0}
1181	21	4	CF	1	2015-03-18 12:04:51.446	{"prediction":4.833333333333334}
1182	21	87	CF	2	2015-03-18 12:04:51.451	{"prediction":4.833333333333334}
1183	21	58	CF	3	2015-03-18 12:04:51.457	{"prediction":4.666666666666666}
1184	21	38	tags	4	2015-03-18 12:04:51.46	{"score":7.153333632151286}
1185	21	63	tags	5	2015-03-18 12:04:51.465	{"score":6.654545827345414}
1186	21	62	tags	6	2015-03-18 12:04:51.471	{"score":6.19166644414266}
1187	21	19	tags	7	2015-03-18 12:04:51.474	{"score":5.877777934074402}
1188	21	9	random	8	2015-03-18 12:04:51.487	\N
1189	21	69	random	9	2015-03-18 12:04:51.491	\N
1190	21	38	tags	0	2015-03-18 12:06:17.548	{"score":5.6733333746592205}
1191	21	63	tags	1	2015-03-18 12:06:17.559	{"score":5.236363432624124}
1192	21	62	tags	2	2015-03-18 12:06:17.579	{"score":5.191666523615519}
1193	21	42	tags	3	2015-03-18 12:06:17.587	{"score":4.0199998140335085}
1194	21	58	cbr	4	2015-03-18 12:06:17.596	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":3.0}
1195	21	64	CF	5	2015-03-18 12:06:17.607	{"prediction":4.4897959183673475}
1196	21	87	CF	6	2015-03-18 12:06:17.612	{"prediction":4.3231292517006805}
1197	21	4	CF	7	2015-03-18 12:06:17.617	{"prediction":4.3231292517006805}
1198	21	35	random	8	2015-03-18 12:06:17.621	\N
1199	21	96	random	9	2015-03-18 12:06:17.643	\N
1200	21	58	cbr	0	2015-03-18 12:07:49.48	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":3.0}
1201	21	38	tags	1	2015-03-18 12:07:49.484	{"score":7.073333581288655}
1202	21	63	tags	2	2015-03-18 12:07:49.487	{"score":6.545454848896373}
1203	21	62	tags	3	2015-03-18 12:07:49.49	{"score":6.066666762034098}
1204	21	42	tags	4	2015-03-18 12:07:49.494	{"score":5.060000475247701}
1205	21	64	CF	5	2015-03-18 12:07:49.497	{"prediction":4.4897959183673475}
1206	21	87	CF	6	2015-03-18 12:07:49.5	{"prediction":4.3231292517006805}
1207	21	4	CF	7	2015-03-18 12:07:49.503	{"prediction":4.3231292517006805}
1208	21	94	random	8	2015-03-18 12:07:49.505	\N
1209	21	59	random	9	2015-03-18 12:07:49.508	\N
1210	21	64	CF	0	2015-03-18 12:07:50.046	{"prediction":4.4897959183673475}
1211	21	87	CF	1	2015-03-18 12:07:50.051	{"prediction":4.3231292517006805}
1212	21	4	CF	2	2015-03-18 12:07:50.055	{"prediction":4.3231292517006805}
1213	21	58	cbr	3	2015-03-18 12:07:50.059	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":3.0}
1214	21	38	tags	4	2015-03-18 12:07:50.063	{"score":7.073333581288655}
1215	21	63	tags	5	2015-03-18 12:07:50.066	{"score":6.545454848896373}
1216	21	62	tags	6	2015-03-18 12:07:50.079	{"score":6.066666762034098}
1217	21	42	tags	7	2015-03-18 12:07:50.083	{"score":5.060000475247701}
1218	21	36	random	8	2015-03-18 12:07:50.086	\N
1219	21	78	random	9	2015-03-18 12:07:50.089	\N
1220	21	38	tags	0	2015-03-18 12:07:50.539	{"score":7.073333581288655}
1221	21	63	tags	1	2015-03-18 12:07:50.55	{"score":6.545454848896373}
1222	21	62	tags	2	2015-03-18 12:07:50.554	{"score":6.066666762034098}
1223	21	42	tags	3	2015-03-18 12:07:50.557	{"score":5.060000475247701}
1224	21	58	cbr	4	2015-03-18 12:07:50.564	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":3.0}
1225	21	64	CF	5	2015-03-18 12:07:50.569	{"prediction":4.4897959183673475}
1226	21	87	CF	6	2015-03-18 12:07:50.572	{"prediction":4.3231292517006805}
1227	21	4	CF	7	2015-03-18 12:07:50.576	{"prediction":4.3231292517006805}
1228	21	58	random	8	2015-03-18 12:07:50.579	\N
1229	21	81	random	9	2015-03-18 12:07:50.582	\N
1230	17	58	cbr	0	2015-03-18 13:01:49.883	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1231	17	58	cbr	1	2015-03-18 13:01:49.897	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1232	17	87	cbr	2	2015-03-18 13:01:49.91	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1233	17	23	CF	3	2015-03-18 13:01:49.927	{"prediction":4.2857142857142865}
1234	17	64	CF	4	2015-03-18 13:01:49.948	{"prediction":4.2857142857142865}
1235	17	60	CF	5	2015-03-18 13:01:49.964	{"prediction":4.2857142857142865}
1236	17	87	CF	6	2015-03-18 13:01:49.973	{"prediction":4.1190476190476195}
1237	17	64	random	7	2015-03-18 13:01:49.976	\N
1238	17	33	random	8	2015-03-18 13:01:49.988	\N
1239	17	8	random	9	2015-03-18 13:01:50.018	\N
1240	17	58	cbr	0	2015-03-18 13:03:08.308	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1241	17	58	cbr	1	2015-03-18 13:03:08.319	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1242	17	87	cbr	2	2015-03-18 13:03:08.329	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1243	17	23	CF	3	2015-03-18 13:03:08.344	{"prediction":4.2857142857142865}
1244	17	64	CF	4	2015-03-18 13:03:08.36	{"prediction":4.2857142857142865}
1245	17	60	CF	5	2015-03-18 13:03:08.368	{"prediction":4.2857142857142865}
1246	17	87	CF	6	2015-03-18 13:03:08.373	{"prediction":4.1190476190476195}
1247	17	4	random	7	2015-03-18 13:03:08.38	\N
1248	17	52	random	8	2015-03-18 13:03:08.385	\N
1249	17	67	random	9	2015-03-18 13:03:08.39	\N
1250	17	23	CF	0	2015-03-18 13:03:08.627	{"prediction":4.2857142857142865}
1251	17	64	CF	1	2015-03-18 13:03:08.631	{"prediction":4.2857142857142865}
1252	17	60	CF	2	2015-03-18 13:03:08.634	{"prediction":4.2857142857142865}
1253	17	87	CF	3	2015-03-18 13:03:08.637	{"prediction":4.1190476190476195}
1254	17	58	cbr	4	2015-03-18 13:03:08.64	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1255	17	58	cbr	5	2015-03-18 13:03:08.642	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1256	17	87	cbr	6	2015-03-18 13:03:08.646	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1257	17	84	random	7	2015-03-18 13:03:08.649	\N
1258	17	70	random	8	2015-03-18 13:03:08.651	\N
1259	17	74	random	9	2015-03-18 13:03:08.655	\N
1260	17	58	cbr	0	2015-03-18 13:03:12.842	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1261	17	58	cbr	1	2015-03-18 13:03:12.847	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1262	17	87	cbr	2	2015-03-18 13:03:12.85	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1263	17	23	CF	3	2015-03-18 13:03:12.853	{"prediction":4.2857142857142865}
1264	17	64	CF	4	2015-03-18 13:03:12.858	{"prediction":4.2857142857142865}
1265	17	60	CF	5	2015-03-18 13:03:12.863	{"prediction":4.2857142857142865}
1266	17	87	CF	6	2015-03-18 13:03:12.866	{"prediction":4.1190476190476195}
1267	17	77	random	7	2015-03-18 13:03:12.869	\N
1268	17	34	random	8	2015-03-18 13:03:12.872	\N
1269	17	83	random	9	2015-03-18 13:03:12.876	\N
1270	17	23	CF	0	2015-03-18 13:06:45.377	{"prediction":4.2857142857142865}
1271	17	64	CF	1	2015-03-18 13:06:45.386	{"prediction":4.2857142857142865}
1272	17	60	CF	2	2015-03-18 13:06:45.398	{"prediction":4.2857142857142865}
1273	17	87	CF	3	2015-03-18 13:06:45.409	{"prediction":4.1190476190476195}
1274	17	58	cbr	4	2015-03-18 13:06:45.418	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1275	17	58	cbr	5	2015-03-18 13:06:45.425	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1276	17	87	cbr	6	2015-03-18 13:06:45.429	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1277	17	18	random	7	2015-03-18 13:06:45.432	\N
1278	17	26	random	8	2015-03-18 13:06:45.436	\N
1279	17	66	random	9	2015-03-18 13:06:45.446	\N
1280	17	58	cbr	0	2015-03-18 13:06:46.69	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1281	17	58	cbr	1	2015-03-18 13:06:46.698	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1282	17	87	cbr	2	2015-03-18 13:06:46.702	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1283	17	23	CF	3	2015-03-18 13:06:46.707	{"prediction":4.2857142857142865}
1284	17	64	CF	4	2015-03-18 13:06:46.712	{"prediction":4.2857142857142865}
1285	17	60	CF	5	2015-03-18 13:06:46.715	{"prediction":4.2857142857142865}
1286	17	87	CF	6	2015-03-18 13:06:46.72	{"prediction":4.1190476190476195}
1287	17	63	random	7	2015-03-18 13:06:46.724	\N
1288	17	47	random	8	2015-03-18 13:06:46.727	\N
1289	17	36	random	9	2015-03-18 13:06:46.735	\N
1290	17	58	cbr	0	2015-03-18 13:06:47.613	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1291	17	58	cbr	1	2015-03-18 13:06:47.616	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1292	17	87	cbr	2	2015-03-18 13:06:47.62	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1293	17	23	CF	3	2015-03-18 13:06:47.627	{"prediction":4.2857142857142865}
1294	17	64	CF	4	2015-03-18 13:06:47.633	{"prediction":4.2857142857142865}
1295	17	60	CF	5	2015-03-18 13:06:47.641	{"prediction":4.2857142857142865}
1296	17	87	CF	6	2015-03-18 13:06:47.645	{"prediction":4.1190476190476195}
1297	17	7	random	7	2015-03-18 13:06:47.649	\N
1298	17	94	random	8	2015-03-18 13:06:47.656	\N
1299	17	42	random	9	2015-03-18 13:06:47.661	\N
1300	17	23	CF	0	2015-03-18 13:06:48.808	{"prediction":4.2857142857142865}
1301	17	64	CF	1	2015-03-18 13:06:48.82	{"prediction":4.2857142857142865}
1302	17	60	CF	2	2015-03-18 13:06:48.835	{"prediction":4.2857142857142865}
1303	17	87	CF	3	2015-03-18 13:06:48.848	{"prediction":4.1190476190476195}
1309	17	19	random	9	2015-03-18 13:06:48.983	\N
1304	17	58	cbr	4	2015-03-18 13:06:48.912	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1307	17	72	random	7	2015-03-18 13:06:48.955	\N
1310	17	58	cbr	0	2015-03-18 13:06:49.928	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1315	17	60	CF	5	2015-03-18 13:06:49.974	{"prediction":4.2857142857142865}
1324	17	58	cbr	4	2015-03-18 13:06:51.004	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1329	17	89	random	9	2015-03-18 13:06:51.024	\N
1333	17	23	CF	3	2015-03-18 13:06:51.66	{"prediction":4.2857142857142865}
1338	17	98	random	8	2015-03-18 13:06:51.694	\N
1342	17	60	CF	2	2015-03-18 13:06:52.608	{"prediction":4.2857142857142865}
1347	17	82	random	7	2015-03-18 13:06:52.673	\N
1351	17	58	cbr	1	2015-03-18 13:06:53.404	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1356	17	87	CF	6	2015-03-18 13:06:53.431	{"prediction":4.1190476190476195}
1361	17	58	cbr	1	2015-03-18 13:06:54.434	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1366	17	87	CF	6	2015-03-18 13:06:54.466	{"prediction":4.1190476190476195}
1387	17	63	random	7	2015-03-18 13:06:56.311	\N
1401	17	64	CF	1	2015-03-18 13:06:59.641	{"prediction":4.2857142857142865}
1406	17	87	cbr	6	2015-03-18 13:06:59.656	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1410	17	58	cbr	0	2015-03-18 13:07:00.706	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1415	17	60	CF	5	2015-03-18 13:07:00.727	{"prediction":4.2857142857142865}
1305	17	58	cbr	5	2015-03-18 13:06:48.924	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1308	17	36	random	8	2015-03-18 13:06:48.98	\N
1311	17	58	cbr	1	2015-03-18 13:06:49.951	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1316	17	87	CF	6	2015-03-18 13:06:49.979	{"prediction":4.1190476190476195}
1320	17	23	CF	0	2015-03-18 13:06:50.886	{"prediction":4.2857142857142865}
1325	17	58	cbr	5	2015-03-18 13:06:51.007	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1334	17	64	CF	4	2015-03-18 13:06:51.668	{"prediction":4.2857142857142865}
1339	17	4	random	9	2015-03-18 13:06:51.698	\N
1343	17	87	CF	3	2015-03-18 13:06:52.618	{"prediction":4.1190476190476195}
1348	17	13	random	8	2015-03-18 13:06:52.683	\N
1352	17	87	cbr	2	2015-03-18 13:06:53.408	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1357	17	11	random	7	2015-03-18 13:06:53.433	\N
1362	17	87	cbr	2	2015-03-18 13:06:54.439	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1367	17	36	random	7	2015-03-18 13:06:54.471	\N
1382	17	87	cbr	2	2015-03-18 13:06:56.275	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1386	17	87	CF	6	2015-03-18 13:06:56.303	{"prediction":4.1190476190476195}
1400	17	23	CF	0	2015-03-18 13:06:59.637	{"prediction":4.2857142857142865}
1405	17	58	cbr	5	2015-03-18 13:06:59.653	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1414	17	64	CF	4	2015-03-18 13:07:00.722	{"prediction":4.2857142857142865}
1419	17	32	random	9	2015-03-18 13:07:00.743	\N
1306	17	87	cbr	6	2015-03-18 13:06:48.949	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1314	17	64	CF	4	2015-03-18 13:06:49.966	{"prediction":4.2857142857142865}
1319	17	24	random	9	2015-03-18 13:06:49.999	\N
1323	17	87	CF	3	2015-03-18 13:06:50.976	{"prediction":4.1190476190476195}
1328	17	25	random	8	2015-03-18 13:06:51.021	\N
1332	17	87	cbr	2	2015-03-18 13:06:51.656	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1337	17	77	random	7	2015-03-18 13:06:51.691	\N
1341	17	64	CF	1	2015-03-18 13:06:52.586	{"prediction":4.2857142857142865}
1346	17	87	cbr	6	2015-03-18 13:06:52.658	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1354	17	64	CF	4	2015-03-18 13:06:53.425	{"prediction":4.2857142857142865}
1363	17	23	CF	3	2015-03-18 13:06:54.442	{"prediction":4.2857142857142865}
1368	17	55	random	8	2015-03-18 13:06:54.476	\N
1383	17	23	CF	3	2015-03-18 13:06:56.282	{"prediction":4.2857142857142865}
1388	17	11	random	8	2015-03-18 13:06:56.318	\N
1402	17	60	CF	2	2015-03-18 13:06:59.644	{"prediction":4.2857142857142865}
1407	17	95	random	7	2015-03-18 13:06:59.659	\N
1411	17	58	cbr	1	2015-03-18 13:07:00.709	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1416	17	87	CF	6	2015-03-18 13:07:00.73	{"prediction":4.1190476190476195}
1312	17	87	cbr	2	2015-03-18 13:06:49.957	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1317	17	5	random	7	2015-03-18 13:06:49.987	\N
1321	17	64	CF	1	2015-03-18 13:06:50.92	{"prediction":4.2857142857142865}
1326	17	87	cbr	6	2015-03-18 13:06:51.012	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1330	17	58	cbr	0	2015-03-18 13:06:51.646	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1335	17	60	CF	5	2015-03-18 13:06:51.682	{"prediction":4.2857142857142865}
1344	17	58	cbr	4	2015-03-18 13:06:52.636	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1349	17	84	random	9	2015-03-18 13:06:52.688	\N
1353	17	23	CF	3	2015-03-18 13:06:53.421	{"prediction":4.2857142857142865}
1358	17	94	random	8	2015-03-18 13:06:53.436	\N
1364	17	64	CF	4	2015-03-18 13:06:54.445	{"prediction":4.2857142857142865}
1369	17	63	random	9	2015-03-18 13:06:54.479	\N
1380	17	58	cbr	0	2015-03-18 13:06:56.262	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1384	17	64	CF	4	2015-03-18 13:06:56.287	{"prediction":4.2857142857142865}
1389	17	78	random	9	2015-03-18 13:06:56.327	\N
1403	17	87	CF	3	2015-03-18 13:06:59.647	{"prediction":4.1190476190476195}
1408	17	74	random	8	2015-03-18 13:06:59.661	\N
1412	17	87	cbr	2	2015-03-18 13:07:00.712	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1417	17	19	random	7	2015-03-18 13:07:00.733	\N
1313	17	23	CF	3	2015-03-18 13:06:49.962	{"prediction":4.2857142857142865}
1318	17	2	random	8	2015-03-18 13:06:49.995	\N
1322	17	60	CF	2	2015-03-18 13:06:50.94	{"prediction":4.2857142857142865}
1327	17	33	random	7	2015-03-18 13:06:51.016	\N
1331	17	58	cbr	1	2015-03-18 13:06:51.651	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1336	17	87	CF	6	2015-03-18 13:06:51.687	{"prediction":4.1190476190476195}
1340	17	23	CF	0	2015-03-18 13:06:52.569	{"prediction":4.2857142857142865}
1345	17	58	cbr	5	2015-03-18 13:06:52.644	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1350	17	58	cbr	0	2015-03-18 13:06:53.393	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1355	17	60	CF	5	2015-03-18 13:06:53.428	{"prediction":4.2857142857142865}
1359	17	75	random	9	2015-03-18 13:06:53.439	\N
1360	17	58	cbr	0	2015-03-18 13:06:54.429	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1365	17	60	CF	5	2015-03-18 13:06:54.448	{"prediction":4.2857142857142865}
1370	17	23	CF	0	2015-03-18 13:06:55.276	{"prediction":4.2857142857142865}
1371	17	64	CF	1	2015-03-18 13:06:55.31	{"prediction":4.2857142857142865}
1372	17	60	CF	2	2015-03-18 13:06:55.322	{"prediction":4.2857142857142865}
1373	17	87	CF	3	2015-03-18 13:06:55.338	{"prediction":4.1190476190476195}
1374	17	58	cbr	4	2015-03-18 13:06:55.344	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1375	17	58	cbr	5	2015-03-18 13:06:55.348	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1376	17	87	cbr	6	2015-03-18 13:06:55.351	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1377	17	76	random	7	2015-03-18 13:06:55.359	\N
1378	17	4	random	8	2015-03-18 13:06:55.362	\N
1379	17	32	random	9	2015-03-18 13:06:55.367	\N
1381	17	58	cbr	1	2015-03-18 13:06:56.267	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1385	17	60	CF	5	2015-03-18 13:06:56.298	{"prediction":4.2857142857142865}
1390	17	58	cbr	0	2015-03-18 13:06:57.542	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1391	17	58	cbr	1	2015-03-18 13:06:57.549	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1392	17	87	cbr	2	2015-03-18 13:06:57.553	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1393	17	23	CF	3	2015-03-18 13:06:57.558	{"prediction":4.2857142857142865}
1394	17	64	CF	4	2015-03-18 13:06:57.565	{"prediction":4.2857142857142865}
1395	17	60	CF	5	2015-03-18 13:06:57.569	{"prediction":4.2857142857142865}
1396	17	87	CF	6	2015-03-18 13:06:57.573	{"prediction":4.1190476190476195}
1397	17	50	random	7	2015-03-18 13:06:57.578	\N
1398	17	86	random	8	2015-03-18 13:06:57.584	\N
1399	17	5	random	9	2015-03-18 13:06:57.589	\N
1404	17	58	cbr	4	2015-03-18 13:06:59.65	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1409	17	71	random	9	2015-03-18 13:06:59.664	\N
1413	17	23	CF	3	2015-03-18 13:07:00.718	{"prediction":4.2857142857142865}
1418	17	17	random	8	2015-03-18 13:07:00.74	\N
1420	17	23	CF	0	2015-03-18 13:07:01.672	{"prediction":4.2857142857142865}
1421	17	64	CF	1	2015-03-18 13:07:01.685	{"prediction":4.2857142857142865}
1422	17	60	CF	2	2015-03-18 13:07:01.689	{"prediction":4.2857142857142865}
1423	17	87	CF	3	2015-03-18 13:07:01.695	{"prediction":4.1190476190476195}
1424	17	58	cbr	4	2015-03-18 13:07:01.716	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1425	17	58	cbr	5	2015-03-18 13:07:01.722	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
1426	17	87	cbr	6	2015-03-18 13:07:01.725	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1427	17	19	random	7	2015-03-18 13:07:01.728	\N
1428	17	66	random	8	2015-03-18 13:07:01.731	\N
1429	17	20	random	9	2015-03-18 13:07:01.738	\N
1430	22	23	CF	0	2015-03-18 14:07:36.303	{"prediction":4.2857142857142865}
1431	22	64	CF	1	2015-03-18 14:07:36.334	{"prediction":4.2857142857142865}
1432	22	60	CF	2	2015-03-18 14:07:36.346	{"prediction":4.2857142857142865}
1433	22	4	CF	3	2015-03-18 14:07:36.359	{"prediction":4.1190476190476195}
1434	22	58	cbr	4	2015-03-18 14:07:36.371	{"similarUserId":22,"similarityToUser":1.0,"similarUserRating":3.0}
1435	22	58	cbr	5	2015-03-18 14:07:36.379	{"similarUserId":22,"similarityToUser":1.0,"similarUserRating":3.0}
1436	22	87	cbr	6	2015-03-18 14:07:36.383	{"similarUserId":22,"similarityToUser":1.0,"similarUserRating":4.0}
1437	22	4	cbr	7	2015-03-18 14:07:36.387	{"similarUserId":22,"similarityToUser":1.0,"similarUserRating":4.0}
1438	22	54	random	8	2015-03-18 14:07:36.392	\N
1439	22	98	random	9	2015-03-18 14:07:36.395	\N
1440	22	58	cbr	0	2015-03-18 14:11:01.295	{"similarUserId":22,"similarityToUser":1.0,"similarUserRating":3.0}
1441	22	58	cbr	1	2015-03-18 14:11:01.344	{"similarUserId":22,"similarityToUser":1.0,"similarUserRating":3.0}
1442	22	87	cbr	2	2015-03-18 14:11:01.358	{"similarUserId":22,"similarityToUser":1.0,"similarUserRating":4.0}
1443	22	4	cbr	3	2015-03-18 14:11:01.367	{"similarUserId":22,"similarityToUser":1.0,"similarUserRating":4.0}
1444	22	23	CF	4	2015-03-18 14:11:01.377	{"prediction":4.2857142857142865}
1445	22	64	CF	5	2015-03-18 14:11:01.386	{"prediction":4.2857142857142865}
1446	22	60	CF	6	2015-03-18 14:11:01.391	{"prediction":4.2857142857142865}
1447	22	4	CF	7	2015-03-18 14:11:01.396	{"prediction":4.1190476190476195}
1448	22	35	random	8	2015-03-18 14:11:01.401	\N
1449	22	60	random	9	2015-03-18 14:11:01.405	\N
1450	16	23	CF	0	2015-03-18 14:11:53.208	{"prediction":4.166666666666667}
1451	16	64	CF	1	2015-03-18 14:11:53.222	{"prediction":4.166666666666667}
1452	16	60	CF	2	2015-03-18 14:11:53.233	{"prediction":4.166666666666667}
1453	16	4	CF	3	2015-03-18 14:11:53.242	{"prediction":4.0}
1454	16	4	tags	4	2015-03-18 14:11:53.251	{"score":4.0}
1455	16	18	tags	5	2015-03-18 14:11:53.261	{"score":3.8999999364217124}
1474	17	60	CF	4	2015-03-18 14:12:22.143	{"prediction":4.2857142857142865}
1479	17	68	random	9	2015-03-18 14:12:22.174	\N
1522	19	20	tags	3	2015-03-18 14:19:07.821	{"score":4.857142814568111}
1527	19	12	random	8	2015-03-18 14:19:07.838	\N
1559	19	28	tags	0	2015-03-18 14:23:14.958	{"score":3.668181636116721}
1564	19	71	random	5	2015-03-18 14:23:14.994	\N
1456	16	4	cbr	6	2015-03-18 14:11:53.266	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":4.0}
1473	17	64	CF	3	2015-03-18 14:12:22.139	{"prediction":4.2857142857142865}
1478	17	28	random	8	2015-03-18 14:12:22.168	\N
1520	19	87	tags	1	2015-03-18 14:19:07.814	{"score":4.949999630451202}
1525	19	60	CF	6	2015-03-18 14:19:07.833	{"prediction":3.9335317460317456}
1561	19	30	tags	2	2015-03-18 14:23:14.972	{"score":3.3999999284744264}
1566	19	42	random	7	2015-03-18 14:23:15.001	\N
1457	16	23	cbr	7	2015-03-18 14:11:53.271	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":5.0}
1472	17	64	cbr	2	2015-03-18 14:12:22.131	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":5.0}
1477	17	31	random	7	2015-03-18 14:12:22.164	\N
1521	19	19	tags	2	2015-03-18 14:19:07.817	{"score":4.888888816038768}
1526	19	87	CF	7	2015-03-18 14:19:07.835	{"prediction":3.7668650793650795}
1563	19	44	random	4	2015-03-18 14:23:14.99	\N
1568	19	86	random	9	2015-03-18 14:23:15.01	\N
1458	16	39	random	8	2015-03-18 14:11:53.274	\N
1470	17	87	cbr	0	2015-03-18 14:12:22.119	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1475	17	87	CF	5	2015-03-18 14:12:22.148	{"prediction":4.1190476190476195}
1523	19	23	CF	4	2015-03-18 14:19:07.826	{"prediction":3.9335317460317456}
1528	19	62	random	9	2015-03-18 14:19:07.841	\N
1560	19	49	tags	1	2015-03-18 14:23:14.966	{"score":3.416666785875956}
1565	19	26	random	6	2015-03-18 14:23:14.997	\N
1459	16	100	random	9	2015-03-18 14:11:53.278	\N
1460	17	23	CF	0	2015-03-18 14:12:12.66	{"prediction":4.2857142857142865}
1461	17	64	CF	1	2015-03-18 14:12:12.669	{"prediction":4.2857142857142865}
1462	17	60	CF	2	2015-03-18 14:12:12.678	{"prediction":4.2857142857142865}
1463	17	87	CF	3	2015-03-18 14:12:12.687	{"prediction":4.1190476190476195}
1464	17	87	cbr	4	2015-03-18 14:12:12.695	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1465	17	23	cbr	5	2015-03-18 14:12:12.703	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":5.0}
1466	17	60	cbr	6	2015-03-18 14:12:12.707	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":5.0}
1467	17	64	cbr	7	2015-03-18 14:12:12.71	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":5.0}
1468	17	53	random	8	2015-03-18 14:12:12.715	\N
1469	17	19	random	9	2015-03-18 14:12:12.718	\N
1471	17	60	cbr	1	2015-03-18 14:12:22.125	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":5.0}
1476	17	20	random	6	2015-03-18 14:12:22.159	\N
1490	17	64	CF	0	2015-03-18 14:16:01.163	{"prediction":4.2857142857142865}
1491	17	60	CF	1	2015-03-18 14:16:01.167	{"prediction":4.2857142857142865}
1492	17	60	cbr	2	2015-03-18 14:16:01.171	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":5.0}
1493	17	64	cbr	3	2015-03-18 14:16:01.174	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":5.0}
1494	17	65	random	4	2015-03-18 14:16:01.178	\N
1495	17	51	random	5	2015-03-18 14:16:01.181	\N
1496	17	16	random	6	2015-03-18 14:16:01.184	\N
1497	17	34	random	7	2015-03-18 14:16:01.187	\N
1498	17	96	random	8	2015-03-18 14:16:01.19	\N
1499	17	2	random	9	2015-03-18 14:16:01.195	\N
1510	19	14	tags	0	2015-03-18 14:18:49.975	{"score":0.6699999809265137}
1511	19	87	tags	1	2015-03-18 14:18:49.98	{"score":0.6666666666666666}
1512	19	87	cbr	2	2015-03-18 14:18:49.983	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":4.0}
1513	19	23	cbr	3	2015-03-18 14:18:49.986	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":5.0}
1514	19	23	CF	4	2015-03-18 14:18:49.989	{"prediction":3.8180272108843543}
1515	19	64	CF	5	2015-03-18 14:18:49.993	{"prediction":3.8180272108843543}
1516	19	60	CF	6	2015-03-18 14:18:49.995	{"prediction":3.8180272108843543}
1517	19	70	random	7	2015-03-18 14:18:49.998	\N
1518	19	35	random	8	2015-03-18 14:18:50.002	\N
1519	19	64	tags	0	2015-03-18 14:19:07.81	{"score":5.299999535083771}
1524	19	64	CF	5	2015-03-18 14:19:07.829	{"prediction":3.9335317460317456}
1529	19	23	cbr	0	2015-03-18 14:19:27.752	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":5.0}
1530	19	60	cbr	1	2015-03-18 14:19:27.756	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":5.0}
1531	19	23	CF	2	2015-03-18 14:19:27.759	{"prediction":3.5681216931216935}
1532	19	60	CF	3	2015-03-18 14:19:27.761	{"prediction":3.5681216931216935}
1533	19	21	tags	4	2015-03-18 14:19:27.765	{"score":2.8999998910086497}
1534	19	32	tags	5	2015-03-18 14:19:27.768	{"score":2.809090782295574}
1535	19	77	tags	6	2015-03-18 14:19:27.77	{"score":2.7999998239370494}
1536	19	25	random	7	2015-03-18 14:19:27.774	\N
1537	19	54	random	8	2015-03-18 14:19:27.776	\N
1538	19	77	random	9	2015-03-18 14:19:27.779	\N
1549	19	32	tags	0	2015-03-18 14:22:58.446	{"score":6.045454361222007}
1550	19	42	tags	1	2015-03-18 14:22:58.451	{"score":5.679999820391337}
1551	19	60	tags	2	2015-03-18 14:22:58.455	{"score":5.649999891008649}
1552	19	60	cbr	3	2015-03-18 14:22:58.458	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":5.0}
1553	19	60	CF	4	2015-03-18 14:22:58.461	{"prediction":3.8333333333333335}
1554	19	6	random	5	2015-03-18 14:22:58.464	\N
1555	19	20	random	6	2015-03-18 14:22:58.467	\N
1556	19	68	random	7	2015-03-18 14:22:58.47	\N
1557	19	67	random	8	2015-03-18 14:22:58.474	\N
1558	19	28	random	9	2015-03-18 14:22:58.477	\N
1562	19	36	random	3	2015-03-18 14:23:14.976	\N
1567	19	88	random	8	2015-03-18 14:23:15.006	\N
1569	19	38	tags	0	2015-03-18 14:23:28.565	{"score":4.08000005086263}
1570	19	85	random	1	2015-03-18 14:23:28.569	\N
1571	19	30	random	2	2015-03-18 14:23:28.572	\N
1572	19	27	random	3	2015-03-18 14:23:28.575	\N
1573	19	97	random	4	2015-03-18 14:23:28.578	\N
1574	19	36	random	5	2015-03-18 14:23:28.582	\N
1575	19	43	random	6	2015-03-18 14:23:28.585	\N
1576	19	51	random	7	2015-03-18 14:23:28.588	\N
1577	19	20	random	8	2015-03-18 14:23:28.591	\N
1578	19	73	random	9	2015-03-18 14:23:28.594	\N
1589	19	41	tags	0	2015-03-18 14:23:52.06	{"score":3.7200002511342367}
1590	19	4	random	1	2015-03-18 14:23:52.064	\N
1591	19	29	random	2	2015-03-18 14:23:52.067	\N
1592	19	84	random	3	2015-03-18 14:23:52.074	\N
1593	19	64	random	4	2015-03-18 14:23:52.078	\N
1594	19	49	random	5	2015-03-18 14:23:52.082	\N
1595	19	36	random	6	2015-03-18 14:23:52.094	\N
1596	19	44	random	7	2015-03-18 14:23:52.099	\N
1597	19	40	random	8	2015-03-18 14:23:52.102	\N
1598	19	31	random	9	2015-03-18 14:23:52.107	\N
1599	19	79	random	0	2015-03-18 14:24:08.583	\N
1600	19	66	random	1	2015-03-18 14:24:08.586	\N
1601	19	57	random	2	2015-03-18 14:24:08.589	\N
1602	19	74	random	3	2015-03-18 14:24:08.592	\N
1603	19	34	random	4	2015-03-18 14:24:08.594	\N
1604	19	88	random	5	2015-03-18 14:24:08.597	\N
1605	19	38	random	6	2015-03-18 14:24:08.601	\N
1606	19	44	random	7	2015-03-18 14:24:08.604	\N
1607	19	69	random	8	2015-03-18 14:24:08.606	\N
1608	19	36	random	9	2015-03-18 14:24:08.61	\N
1609	19	17	random	0	2015-03-18 14:24:34.313	\N
1480	16	64	CF	0	2015-03-18 14:13:03.738	{"prediction":4.166666666666667}
1485	16	84	tags	5	2015-03-18 14:13:03.761	{"score":3.544444613986545}
1504	17	91	random	4	2015-03-18 14:16:10.025	\N
1509	17	83	random	9	2015-03-18 14:16:10.048	\N
1539	19	60	cbr	0	2015-03-18 14:20:44.618	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":5.0}
1544	19	27	random	5	2015-03-18 14:20:44.635	\N
1581	19	33	random	2	2015-03-18 14:23:41.822	\N
1585	19	18	random	6	2015-03-18 14:23:41.839	\N
1481	16	60	CF	1	2015-03-18 14:13:03.746	{"prediction":4.166666666666667}
1486	16	32	tags	6	2015-03-18 14:13:03.795	{"score":3.4181821075352756}
1500	17	60	CF	0	2015-03-18 14:16:10.008	{"prediction":4.2857142857142865}
1505	17	55	random	5	2015-03-18 14:16:10.03	\N
1541	19	42	tags	2	2015-03-18 14:20:44.625	{"score":5.679999820391337}
1546	19	22	random	7	2015-03-18 14:20:44.642	\N
1583	19	68	random	4	2015-03-18 14:23:41.831	\N
1588	19	48	random	9	2015-03-18 14:23:41.855	\N
1482	16	4	CF	2	2015-03-18 14:13:03.75	{"prediction":4.0}
1487	16	4	cbr	7	2015-03-18 14:13:03.798	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":4.0}
1501	17	60	cbr	1	2015-03-18 14:16:10.014	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":5.0}
1506	17	90	random	6	2015-03-18 14:16:10.034	\N
1543	19	60	CF	4	2015-03-18 14:20:44.631	{"prediction":3.8333333333333335}
1548	19	90	random	9	2015-03-18 14:20:44.653	\N
1580	19	10	random	1	2015-03-18 14:23:41.819	\N
1584	19	30	random	5	2015-03-18 14:23:41.835	\N
1483	16	64	tags	3	2015-03-18 14:13:03.753	{"score":4.800000011920929}
1488	16	74	random	8	2015-03-18 14:13:03.81	\N
1503	17	54	random	3	2015-03-18 14:16:10.021	\N
1508	17	29	random	8	2015-03-18 14:16:10.043	\N
1542	19	60	tags	3	2015-03-18 14:20:44.628	{"score":5.649999891008649}
1547	19	29	random	8	2015-03-18 14:20:44.647	\N
1579	19	65	random	0	2015-03-18 14:23:41.816	\N
1587	19	43	random	8	2015-03-18 14:23:41.852	\N
1484	16	22	tags	4	2015-03-18 14:13:03.757	{"score":3.6444447106785245}
1489	16	82	random	9	2015-03-18 14:13:03.814	\N
1502	17	69	random	2	2015-03-18 14:16:10.017	\N
1507	17	19	random	7	2015-03-18 14:16:10.038	\N
1540	19	32	tags	1	2015-03-18 14:20:44.621	{"score":6.045454361222007}
1545	19	4	random	6	2015-03-18 14:20:44.638	\N
1582	19	8	random	3	2015-03-18 14:23:41.827	\N
1586	19	29	random	7	2015-03-18 14:23:41.844	\N
1610	19	32	random	1	2015-03-18 14:24:34.316	\N
1615	19	56	random	6	2015-03-18 14:24:34.331	\N
1611	19	8	random	2	2015-03-18 14:24:34.319	\N
1616	19	97	random	7	2015-03-18 14:24:34.334	\N
1612	19	28	random	3	2015-03-18 14:24:34.322	\N
1617	19	48	random	8	2015-03-18 14:24:34.336	\N
1613	19	83	random	4	2015-03-18 14:24:34.325	\N
1618	19	94	random	9	2015-03-18 14:24:34.339	\N
1614	19	26	random	5	2015-03-18 14:24:34.328	\N
1619	19	62	tags	0	2015-03-18 14:24:47.357	{"score":2.375000139077504}
1620	19	78	tags	1	2015-03-18 14:24:47.361	{"score":2.1272729472680525}
1621	19	11	random	2	2015-03-18 14:24:47.364	\N
1622	19	100	random	3	2015-03-18 14:24:47.367	\N
1623	19	62	random	4	2015-03-18 14:24:47.37	\N
1624	19	75	random	5	2015-03-18 14:24:47.373	\N
1625	19	50	random	6	2015-03-18 14:24:47.376	\N
1626	19	86	random	7	2015-03-18 14:24:47.379	\N
1627	19	22	random	8	2015-03-18 14:24:47.381	\N
1628	19	2	random	9	2015-03-18 14:24:47.384	\N
1629	19	97	tags	0	2015-03-18 14:24:54.897	{"score":5.0133336623509726}
1630	19	50	tags	1	2015-03-18 14:24:54.9	{"score":4.993333713213603}
1631	19	95	tags	2	2015-03-18 14:24:54.903	{"score":4.9846157018954935}
1632	19	101	random	3	2015-03-18 14:24:54.907	\N
1633	19	50	random	4	2015-03-18 14:24:54.91	\N
1634	19	7	random	5	2015-03-18 14:24:54.913	\N
1635	19	33	random	6	2015-03-18 14:24:54.915	\N
1636	19	90	random	7	2015-03-18 14:24:54.918	\N
1637	19	68	random	8	2015-03-18 14:24:54.921	\N
1638	19	81	random	9	2015-03-18 14:24:54.923	\N
1639	19	50	tags	0	2015-03-18 14:25:03.058	{"score":7.326666863759359}
1640	19	54	tags	1	2015-03-18 14:25:03.062	{"score":7.324999968210856}
1641	19	95	tags	2	2015-03-18 14:25:03.066	{"score":7.276923289665809}
1642	19	7	random	3	2015-03-18 14:25:03.069	\N
1643	19	38	random	4	2015-03-18 14:25:03.072	\N
1644	19	19	random	5	2015-03-18 14:25:03.075	\N
1645	19	5	random	6	2015-03-18 14:25:03.078	\N
1646	19	60	random	7	2015-03-18 14:25:03.081	\N
1647	19	33	random	8	2015-03-18 14:25:03.084	\N
1648	19	49	random	9	2015-03-18 14:25:03.087	\N
1649	16	64	tags	0	2015-03-18 14:41:00.139	{"score":4.800000011920929}
1650	16	22	tags	1	2015-03-18 14:41:00.153	{"score":3.6444447106785245}
1651	16	84	tags	2	2015-03-18 14:41:00.168	{"score":3.544444613986545}
1652	16	32	tags	3	2015-03-18 14:41:00.179	{"score":3.4181821075352756}
1653	16	64	CF	4	2015-03-18 14:41:00.188	{"prediction":4.166666666666667}
1654	16	78	CF	5	2015-03-18 14:41:00.199	{"prediction":4.166666666666667}
1655	16	97	CF	6	2015-03-18 14:41:00.203	{"prediction":4.166666666666667}
1656	16	60	CF	7	2015-03-18 14:41:00.209	{"prediction":4.031328320802005}
1657	16	20	random	8	2015-03-18 14:41:00.214	\N
1658	16	56	random	9	2015-03-18 14:41:00.222	\N
1659	23	23	CF	0	2015-03-18 14:46:00.299	{"prediction":4.097744360902256}
1660	23	64	CF	1	2015-03-18 14:46:00.31	{"prediction":3.947368421052632}
1661	23	78	CF	2	2015-03-18 14:46:00.319	{"prediction":3.947368421052632}
1662	23	97	CF	3	2015-03-18 14:46:00.328	{"prediction":3.947368421052632}
1663	23	67	tags	4	2015-03-18 14:46:00.349	{"score":1.0}
1664	23	61	tags	5	2015-03-18 14:46:00.359	{"score":1.0}
1665	23	28	tags	6	2015-03-18 14:46:00.366	{"score":1.0}
1666	23	14	tags	7	2015-03-18 14:46:00.382	{"score":1.0}
1667	23	52	random	8	2015-03-18 14:46:00.394	\N
1668	23	51	random	9	2015-03-18 14:46:00.398	\N
1669	23	64	tags	0	2015-03-18 14:46:31.262	{"score":1.800000011920929}
1670	23	32	tags	1	2015-03-18 14:46:31.266	{"score":1.4818181937391108}
1671	23	35	tags	2	2015-03-18 14:46:31.27	{"score":1.4727272499691357}
1672	23	75	tags	3	2015-03-18 14:46:31.274	{"score":1.4399999737739564}
1673	23	64	CF	4	2015-03-18 14:46:31.28	{"prediction":3.947368421052632}
1674	23	78	CF	5	2015-03-18 14:46:31.284	{"prediction":3.947368421052632}
1675	23	97	CF	6	2015-03-18 14:46:31.29	{"prediction":3.947368421052632}
1676	23	60	CF	7	2015-03-18 14:46:31.294	{"prediction":3.81203007518797}
1677	23	98	random	8	2015-03-18 14:46:31.302	\N
1678	23	71	random	9	2015-03-18 14:46:31.308	\N
1679	23	19	cbr	0	2015-03-18 14:46:37.671	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
1680	23	32	tags	1	2015-03-18 14:46:37.681	{"score":1.9999999891627918}
1681	23	35	tags	2	2015-03-18 14:46:37.693	{"score":1.9909089586951516}
1682	23	63	tags	3	2015-03-18 14:46:37.705	{"score":1.9333332512113783}
1683	23	78	CF	4	2015-03-18 14:46:37.713	{"prediction":3.947368421052632}
1684	23	97	CF	5	2015-03-18 14:46:37.723	{"prediction":3.947368421052632}
1685	23	60	CF	6	2015-03-18 14:46:37.726	{"prediction":3.81203007518797}
1686	23	30	CF	7	2015-03-18 14:46:37.73	{"prediction":3.780701754385965}
1687	23	84	random	8	2015-03-18 14:46:37.736	\N
1688	23	52	random	9	2015-03-18 14:46:37.741	\N
1689	24	4	tags	0	2015-03-18 15:35:31.099	{"score":1.0}
1690	24	58	tags	1	2015-03-18 15:35:31.109	{"score":1.0}
1691	24	87	tags	2	2015-03-18 15:35:31.118	{"score":0.7599999904632568}
1692	24	18	tags	3	2015-03-18 15:35:31.138	{"score":0.6999999682108561}
1693	24	23	CF	4	2015-03-18 15:35:31.146	{"prediction":4.142857142857142}
1694	24	64	CF	5	2015-03-18 15:35:31.15	{"prediction":4.142857142857142}
1695	24	78	CF	6	2015-03-18 15:35:31.159	{"prediction":4.0}
1696	24	97	CF	7	2015-03-18 15:35:31.174	{"prediction":4.0}
1697	24	7	random	8	2015-03-18 15:35:31.181	\N
1698	24	88	random	9	2015-03-18 15:35:31.186	\N
1699	24	19	cbr	0	2015-03-18 15:35:57.282	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":2.0}
1700	24	58	tags	1	2015-03-18 15:35:57.29	{"score":1.6250000596046448}
1701	24	12	tags	2	2015-03-18 15:35:57.298	{"score":1.4166666467984517}
1702	24	68	tags	3	2015-03-18 15:35:57.309	{"score":1.3750000596046448}
1703	24	23	CF	4	2015-03-18 15:35:57.318	{"prediction":4.142857142857142}
1704	24	64	CF	5	2015-03-18 15:35:57.327	{"prediction":4.142857142857142}
1705	24	78	CF	6	2015-03-18 15:35:57.33	{"prediction":4.0}
1706	24	97	CF	7	2015-03-18 15:35:57.334	{"prediction":4.0}
1707	24	72	random	8	2015-03-18 15:35:57.34	\N
1708	24	51	random	9	2015-03-18 15:35:57.343	\N
1709	24	19	cbr	0	2015-03-18 15:36:13.842	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":2.0}
1714	24	58	tags	5	2015-03-18 15:36:13.866	{"score":1.6250000596046448}
1710	24	23	CF	1	2015-03-18 15:36:13.847	{"prediction":4.142857142857142}
1715	24	12	tags	6	2015-03-18 15:36:13.869	{"score":1.4166666467984517}
1711	24	64	CF	2	2015-03-18 15:36:13.851	{"prediction":4.142857142857142}
1716	24	68	tags	7	2015-03-18 15:36:13.873	{"score":1.3750000596046448}
1712	24	78	CF	3	2015-03-18 15:36:13.858	{"prediction":4.0}
1717	24	44	random	8	2015-03-18 15:36:13.877	\N
1713	24	97	CF	4	2015-03-18 15:36:13.862	{"prediction":4.0}
1718	24	6	random	9	2015-03-18 15:36:13.882	\N
1719	25	23	CF	0	2015-03-18 16:35:52.13	{"prediction":4.142857142857142}
1720	25	64	CF	1	2015-03-18 16:35:52.14	{"prediction":4.142857142857142}
1721	25	78	CF	2	2015-03-18 16:35:52.15	{"prediction":4.0}
1722	25	97	CF	3	2015-03-18 16:35:52.156	{"prediction":4.0}
1723	25	4	tags	4	2015-03-18 16:35:52.164	{"score":1.0}
1724	25	58	tags	5	2015-03-18 16:35:52.171	{"score":1.0}
1725	25	30	tags	6	2015-03-18 16:35:52.174	{"score":0.699999988079071}
1726	25	14	tags	7	2015-03-18 16:35:52.177	{"score":0.6699999809265137}
1727	25	9	random	8	2015-03-18 16:35:52.18	\N
1728	25	85	random	9	2015-03-18 16:35:52.184	\N
1729	25	64	tags	0	2015-03-18 16:36:18.982	{"score":2.2999998927116394}
1730	25	19	tags	1	2015-03-18 16:36:18.987	{"score":1.688888794846005}
1731	25	20	tags	2	2015-03-18 16:36:18.991	{"score":1.685714270387377}
1732	25	32	tags	3	2015-03-18 16:36:18.995	{"score":1.6818180897019126}
1733	25	64	CF	4	2015-03-18 16:36:19	{"prediction":4.142857142857142}
1734	25	78	CF	5	2015-03-18 16:36:19.006	{"prediction":4.0}
1735	25	97	CF	6	2015-03-18 16:36:19.011	{"prediction":4.0}
1736	25	60	CF	7	2015-03-18 16:36:19.014	{"prediction":3.857142857142857}
1737	25	18	random	8	2015-03-18 16:36:19.017	\N
1738	25	95	random	9	2015-03-18 16:36:19.026	\N
1739	25	78	CF	0	2015-03-18 16:36:48.08	{"prediction":4.0}
1740	25	97	CF	1	2015-03-18 16:36:48.084	{"prediction":4.0}
1741	25	60	CF	2	2015-03-18 16:36:48.087	{"prediction":3.857142857142857}
1742	25	30	CF	3	2015-03-18 16:36:48.09	{"prediction":3.833333333333333}
1743	25	47	tags	4	2015-03-18 16:36:48.093	{"score":1.2499999403953552}
1744	25	75	tags	5	2015-03-18 16:36:48.098	{"score":1.1636363755572927}
1745	25	92	tags	6	2015-03-18 16:36:48.102	{"score":1.1124999523162842}
1746	25	95	random	7	2015-03-18 16:36:48.105	\N
1747	25	77	random	8	2015-03-18 16:36:48.107	\N
1748	25	64	random	9	2015-03-18 16:36:48.111	\N
1749	26	23	CF	0	2015-03-18 16:41:41.808	{"prediction":4.142857142857142}
1750	26	64	CF	1	2015-03-18 16:41:41.816	{"prediction":4.142857142857142}
1751	26	78	CF	2	2015-03-18 16:41:41.826	{"prediction":4.0}
1752	26	97	CF	3	2015-03-18 16:41:41.85	{"prediction":4.0}
1753	26	58	tags	4	2015-03-18 16:41:41.858	{"score":1.0}
1754	26	4	tags	5	2015-03-18 16:41:41.865	{"score":1.0}
1755	26	62	tags	6	2015-03-18 16:41:41.869	{"score":0.8333333333333334}
1756	26	76	tags	7	2015-03-18 16:41:41.872	{"score":0.7666666507720947}
1757	26	9	random	8	2015-03-18 16:41:41.875	\N
1758	26	36	random	9	2015-03-18 16:41:41.879	\N
1759	26	64	tags	0	2015-03-18 16:42:20.836	{"score":5.299999554951985}
1760	26	75	tags	1	2015-03-18 16:42:20.84	{"score":4.109999859333039}
1761	26	42	tags	2	2015-03-18 16:42:20.844	{"score":4.014285726206643}
1762	26	32	tags	3	2015-03-18 16:42:20.847	{"score":4.000000081279062}
1763	26	64	CF	4	2015-03-18 16:42:20.851	{"prediction":4.018707482993197}
1764	26	97	CF	5	2015-03-18 16:42:20.853	{"prediction":3.876984126984127}
1765	26	78	CF	6	2015-03-18 16:42:20.857	{"prediction":3.876984126984127}
1766	26	60	CF	7	2015-03-18 16:42:20.859	{"prediction":3.7329931972789114}
1767	26	90	random	8	2015-03-18 16:42:20.863	\N
1768	26	28	random	9	2015-03-18 16:42:20.865	\N
1769	26	42	tags	0	2015-03-18 16:42:27.437	{"score":4.492857166699}
1770	26	32	tags	1	2015-03-18 16:42:27.449	{"score":4.481818275018172}
1771	26	20	tags	2	2015-03-18 16:42:27.457	{"score":4.414285847118922}
1772	26	97	CF	3	2015-03-18 16:42:27.466	{"prediction":3.876984126984127}
1773	26	78	CF	4	2015-03-18 16:42:27.471	{"prediction":3.876984126984127}
1774	26	60	CF	5	2015-03-18 16:42:27.482	{"prediction":3.7329931972789114}
1775	26	85	CF	6	2015-03-18 16:42:27.489	{"prediction":3.71031746031746}
1776	26	22	random	7	2015-03-18 16:42:27.496	\N
1777	26	2	random	8	2015-03-18 16:42:27.507	\N
1778	26	27	random	9	2015-03-18 16:42:27.512	\N
1779	26	20	tags	0	2015-03-18 16:42:40.977	{"score":4.1571425540106635}
1780	26	60	tags	1	2015-03-18 16:42:40.98	{"score":4.092857275690351}
1781	26	19	tags	2	2015-03-18 16:42:40.983	{"score":4.055555409855312}
1782	26	97	CF	3	2015-03-18 16:42:40.986	{"prediction":3.601325757575758}
1783	26	78	CF	4	2015-03-18 16:42:40.994	{"prediction":3.601325757575758}
1784	26	60	CF	5	2015-03-18 16:42:41.002	{"prediction":3.4617153679653683}
1785	26	85	CF	6	2015-03-18 16:42:41.008	{"prediction":3.434659090909091}
1786	26	56	random	7	2015-03-18 16:42:41.012	\N
1787	26	52	random	8	2015-03-18 16:42:41.018	\N
1788	26	23	random	9	2015-03-18 16:42:41.025	\N
1789	26	97	CF	0	2015-03-18 16:42:57.223	{"prediction":4.073067632850242}
1790	26	78	CF	1	2015-03-18 16:42:57.231	{"prediction":4.073067632850242}
1791	26	29	CF	2	2015-03-18 16:42:57.235	{"prediction":3.906400966183575}
1792	26	30	CF	3	2015-03-18 16:42:57.24	{"prediction":3.906400966183575}
1793	26	38	tags	4	2015-03-18 16:42:57.246	{"score":7.139999993642172}
1794	26	63	tags	5	2015-03-18 16:42:57.255	{"score":6.763636459003795}
1795	26	55	random	6	2015-03-18 16:42:57.261	\N
1796	26	76	random	7	2015-03-18 16:42:57.266	\N
1797	26	3	random	8	2015-03-18 16:42:57.27	\N
1798	26	49	random	9	2015-03-18 16:42:57.274	\N
1799	26	38	tags	0	2015-03-18 16:43:06.602	{"score":7.246666558583578}
1800	26	63	tags	1	2015-03-18 16:43:06.605	{"score":6.763636459003795}
1801	26	78	CF	2	2015-03-18 16:43:06.608	{"prediction":4.056547619047619}
1806	26	70	random	7	2015-03-18 16:43:06.623	\N
1802	26	30	CF	3	2015-03-18 16:43:06.611	{"prediction":3.889880952380952}
1807	26	45	random	8	2015-03-18 16:43:06.626	\N
1803	26	85	CF	4	2015-03-18 16:43:06.614	{"prediction":3.889880952380952}
1808	26	47	random	9	2015-03-18 16:43:06.629	\N
1804	26	87	CF	5	2015-03-18 16:43:06.617	{"prediction":3.889880952380952}
1805	26	88	random	6	2015-03-18 16:43:06.621	\N
1809	26	35	tags	0	2015-03-18 16:43:31.679	{"score":7.213333225250244}
1814	26	23	random	5	2015-03-18 16:43:31.698	\N
1810	26	78	CF	1	2015-03-18 16:43:31.683	{"prediction":4.079285714285715}
1815	26	87	random	6	2015-03-18 16:43:31.702	\N
1811	26	30	CF	2	2015-03-18 16:43:31.687	{"prediction":3.9126190476190477}
1816	26	8	random	7	2015-03-18 16:43:31.706	\N
1812	26	85	CF	3	2015-03-18 16:43:31.69	{"prediction":3.9126190476190477}
1817	26	68	random	8	2015-03-18 16:43:31.709	\N
1813	26	87	CF	4	2015-03-18 16:43:31.694	{"prediction":3.9126190476190477}
1818	26	38	random	9	2015-03-18 16:43:31.713	\N
1819	26	78	CF	0	2015-03-18 16:44:35.951	{"prediction":4.079285714285715}
1820	26	30	CF	1	2015-03-18 16:44:35.956	{"prediction":3.9126190476190477}
1821	26	85	CF	2	2015-03-18 16:44:35.959	{"prediction":3.9126190476190477}
1822	26	87	CF	3	2015-03-18 16:44:35.962	{"prediction":3.9126190476190477}
1823	26	54	random	4	2015-03-18 16:44:35.965	\N
1824	26	26	random	5	2015-03-18 16:44:35.968	\N
1825	26	97	random	6	2015-03-18 16:44:35.972	\N
1826	26	47	random	7	2015-03-18 16:44:35.975	\N
1827	26	89	random	8	2015-03-18 16:44:35.977	\N
1828	26	77	random	9	2015-03-18 16:44:35.98	\N
1829	26	78	CF	0	2015-03-18 16:45:06.45	{"prediction":4.079285714285715}
1830	26	30	CF	1	2015-03-18 16:45:06.454	{"prediction":3.9126190476190477}
1831	26	85	CF	2	2015-03-18 16:45:06.458	{"prediction":3.9126190476190477}
1832	26	87	CF	3	2015-03-18 16:45:06.461	{"prediction":3.9126190476190477}
1833	26	91	random	4	2015-03-18 16:45:06.464	\N
1834	26	82	random	5	2015-03-18 16:45:06.467	\N
1835	26	99	random	6	2015-03-18 16:45:06.47	\N
1836	26	14	random	7	2015-03-18 16:45:06.474	\N
1837	26	73	random	8	2015-03-18 16:45:06.477	\N
1838	26	88	random	9	2015-03-18 16:45:06.481	\N
1839	17	97	CF	0	2015-03-18 16:47:08.305	{"prediction":4.0285714285714285}
1840	17	60	CF	1	2015-03-18 16:47:08.311	{"prediction":4.025}
1841	17	14	CF	2	2015-03-18 16:47:08.318	{"prediction":3.8666666666666667}
1842	17	85	CF	3	2015-03-18 16:47:08.323	{"prediction":3.8666666666666667}
1843	17	97	cbr	4	2015-03-18 16:47:08.328	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
1844	17	74	random	5	2015-03-18 16:47:08.333	\N
1845	17	88	random	6	2015-03-18 16:47:08.338	\N
1846	17	41	random	7	2015-03-18 16:47:08.343	\N
1847	17	70	random	8	2015-03-18 16:47:08.347	\N
1848	17	87	random	9	2015-03-18 16:47:08.352	\N
1849	27	75	tags	0	2015-03-18 16:48:34.596	{"score":0.6166666746139526}
1850	27	29	tags	1	2015-03-18 16:48:34.6	{"score":0.5636363462968306}
1851	27	32	cbr	2	2015-03-18 16:48:34.603	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
1852	27	23	cbr	3	2015-03-18 16:48:34.606	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
1853	27	64	CF	4	2015-03-18 16:48:34.61	{"prediction":4.171428571428572}
1854	27	23	CF	5	2015-03-18 16:48:34.613	{"prediction":4.15}
1855	27	78	CF	6	2015-03-18 16:48:34.615	{"prediction":4.033333333333333}
1856	27	97	CF	7	2015-03-18 16:48:34.618	{"prediction":4.0285714285714285}
1857	27	99	random	8	2015-03-18 16:48:34.621	\N
1858	27	41	random	9	2015-03-18 16:48:34.624	\N
1859	27	92	tags	0	2015-03-18 16:52:29.016	{"score":1.4799999356269837}
1860	27	64	CF	1	2015-03-18 16:52:29.021	{"prediction":4.171428571428572}
1861	27	23	CF	2	2015-03-18 16:52:29.024	{"prediction":4.15}
1862	27	78	CF	3	2015-03-18 16:52:29.028	{"prediction":4.033333333333333}
1863	27	97	CF	4	2015-03-18 16:52:29.034	{"prediction":4.0285714285714285}
1864	27	32	cbr	5	2015-03-18 16:52:29.039	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
1865	27	23	cbr	6	2015-03-18 16:52:29.042	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
1866	27	97	cbr	7	2015-03-18 16:52:29.046	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
1867	27	73	random	8	2015-03-18 16:52:29.05	\N
1868	27	82	random	9	2015-03-18 16:52:29.056	\N
1869	27	60	tags	0	2015-03-18 16:53:24.629	{"score":1.1714286684199218}
1870	27	32	cbr	1	2015-03-18 16:53:24.633	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
1871	27	97	cbr	2	2015-03-18 16:53:24.638	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
1872	27	78	CF	3	2015-03-18 16:53:24.641	{"prediction":4.033333333333333}
1873	27	97	CF	4	2015-03-18 16:53:24.645	{"prediction":4.0285714285714285}
1874	27	60	CF	5	2015-03-18 16:53:24.647	{"prediction":4.025}
1875	27	87	CF	6	2015-03-18 16:53:24.65	{"prediction":3.8666666666666667}
1876	27	60	random	7	2015-03-18 16:53:24.654	\N
1877	27	79	random	8	2015-03-18 16:53:24.656	\N
1878	27	52	random	9	2015-03-18 16:53:24.659	\N
1879	25	97	CF	0	2015-03-18 16:57:49.064	{"prediction":4.0285714285714285}
1880	25	60	CF	1	2015-03-18 16:57:49.098	{"prediction":4.025}
1881	25	87	CF	2	2015-03-18 16:57:49.108	{"prediction":3.8666666666666667}
1882	25	14	CF	3	2015-03-18 16:57:49.116	{"prediction":3.8666666666666667}
1883	25	32	cbr	4	2015-03-18 16:57:49.124	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":3.0}
1884	25	97	cbr	5	2015-03-18 16:57:49.132	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":4.0}
1885	25	54	tags	6	2015-03-18 16:57:49.135	{"score":2.033333122730255}
1886	25	50	tags	7	2015-03-18 16:57:49.137	{"score":1.9466666022936503}
1887	25	9	random	8	2015-03-18 16:57:49.14	\N
1888	25	77	random	9	2015-03-18 16:57:49.144	\N
1889	28	64	CF	0	2015-03-18 17:08:35.564	{"prediction":4.171428571428572}
1890	28	23	CF	1	2015-03-18 17:08:35.575	{"prediction":4.15}
1891	28	78	CF	2	2015-03-18 17:08:35.598	{"prediction":4.033333333333333}
1892	28	97	CF	3	2015-03-18 17:08:35.61	{"prediction":4.0285714285714285}
1893	28	57	tags	4	2015-03-18 17:08:35.626	{"score":0.6400000095367432}
1894	28	91	tags	5	2015-03-18 17:08:35.638	{"score":0.6400000095367432}
1895	28	30	tags	6	2015-03-18 17:08:35.642	{"score":0.574999988079071}
1896	28	78	tags	7	2015-03-18 17:08:35.646	{"score":0.5714285714285714}
1897	28	25	random	8	2015-03-18 17:08:35.65	\N
1898	28	99	random	9	2015-03-18 17:08:35.654	\N
1899	28	64	CF	0	2015-03-18 17:09:25.082	{"prediction":4.171428571428572}
1904	28	91	tags	5	2015-03-18 17:09:25.097	{"score":0.6400000095367432}
1922	29	97	CF	3	2015-03-18 17:13:06.994	{"prediction":4.0285714285714285}
1926	29	57	tags	7	2015-03-18 17:13:07.009	{"score":1.0}
1931	29	97	CF	2	2015-03-18 17:13:36.196	{"prediction":4.0285714285714285}
1936	29	48	tags	7	2015-03-18 17:13:36.216	{"score":0.9000000357627869}
1900	28	23	CF	1	2015-03-18 17:09:25.085	{"prediction":4.15}
1905	28	30	tags	6	2015-03-18 17:09:25.1	{"score":0.574999988079071}
1923	29	14	tags	4	2015-03-18 17:13:06.997	{"score":1.0}
1928	29	100	random	9	2015-03-18 17:13:07.019	\N
1932	29	60	CF	3	2015-03-18 17:13:36.199	{"prediction":4.025}
1937	29	9	random	8	2015-03-18 17:13:36.219	\N
1901	28	78	CF	2	2015-03-18 17:09:25.088	{"prediction":4.033333333333333}
1906	28	78	tags	7	2015-03-18 17:09:25.102	{"score":0.5714285714285714}
1920	29	23	CF	1	2015-03-18 17:13:06.987	{"prediction":4.15}
1924	29	4	tags	5	2015-03-18 17:13:07.002	{"score":1.0}
1929	29	23	CF	0	2015-03-18 17:13:36.174	{"prediction":4.15}
1934	29	14	tags	5	2015-03-18 17:13:36.206	{"score":0.9666666785875956}
1902	28	97	CF	3	2015-03-18 17:09:25.091	{"prediction":4.0285714285714285}
1907	28	90	random	8	2015-03-18 17:09:25.105	\N
1919	29	64	CF	0	2015-03-18 17:13:06.983	{"prediction":4.171428571428572}
1927	29	35	random	8	2015-03-18 17:13:07.013	\N
1933	29	4	tags	4	2015-03-18 17:13:36.203	{"score":1.0}
1938	29	94	random	9	2015-03-18 17:13:36.222	\N
1903	28	57	tags	4	2015-03-18 17:09:25.094	{"score":0.6400000095367432}
1908	28	6	random	9	2015-03-18 17:09:25.109	\N
1909	28	64	CF	0	2015-03-18 17:10:34.774	{"prediction":4.171428571428572}
1910	28	23	CF	1	2015-03-18 17:10:34.783	{"prediction":4.15}
1911	28	78	CF	2	2015-03-18 17:10:34.794	{"prediction":4.033333333333333}
1912	28	97	CF	3	2015-03-18 17:10:34.803	{"prediction":4.0285714285714285}
1913	28	57	tags	4	2015-03-18 17:10:34.811	{"score":0.6400000095367432}
1914	28	91	tags	5	2015-03-18 17:10:34.818	{"score":0.6400000095367432}
1915	28	30	tags	6	2015-03-18 17:10:34.822	{"score":0.574999988079071}
1916	28	78	tags	7	2015-03-18 17:10:34.831	{"score":0.5714285714285714}
1917	28	77	random	8	2015-03-18 17:10:34.838	\N
1918	28	63	random	9	2015-03-18 17:10:34.842	\N
1921	29	78	CF	2	2015-03-18 17:13:06.99	{"prediction":4.033333333333333}
1925	29	91	tags	6	2015-03-18 17:13:07.006	{"score":1.0}
1930	29	78	CF	1	2015-03-18 17:13:36.189	{"prediction":4.033333333333333}
1935	29	28	tags	6	2015-03-18 17:13:36.209	{"score":0.9000000357627869}
1939	20	23	CF	0	2015-03-18 17:32:01.093	{"prediction":4.9785714285714295}
1940	20	78	CF	1	2015-03-18 17:32:01.106	{"prediction":4.861904761904762}
1941	20	97	CF	2	2015-03-18 17:32:01.115	{"prediction":4.857142857142858}
1942	20	60	CF	3	2015-03-18 17:32:01.123	{"prediction":4.8535714285714295}
1943	20	12	tags	4	2015-03-18 17:32:01.131	{"score":0.699999988079071}
1944	20	19	cbr	5	2015-03-18 17:32:01.141	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1945	20	79	cbr	6	2015-03-18 17:32:01.144	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1946	20	65	cbr	7	2015-03-18 17:32:01.148	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1947	20	100	random	8	2015-03-18 17:32:01.151	\N
1948	20	53	random	9	2015-03-18 17:32:01.154	\N
1949	20	78	CF	0	2015-03-18 17:32:16.248	{"prediction":4.834249084249084}
1950	20	97	CF	1	2015-03-18 17:32:16.252	{"prediction":4.824175824175824}
1951	20	60	CF	2	2015-03-18 17:32:16.262	{"prediction":4.816620879120879}
1952	20	85	CF	3	2015-03-18 17:32:16.274	{"prediction":4.667582417582418}
1953	20	19	cbr	4	2015-03-18 17:32:16.278	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1954	20	79	cbr	5	2015-03-18 17:32:16.281	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1955	20	32	tags	6	2015-03-18 17:32:16.283	{"score":5.390909162434665}
1956	20	38	tags	7	2015-03-18 17:32:16.286	{"score":5.1000000715255736}
1957	20	51	random	8	2015-03-18 17:32:16.289	\N
1958	20	19	random	9	2015-03-18 17:32:16.292	\N
1959	20	32	tags	0	2015-03-18 17:32:36.538	{"score":5.500000140883706}
1960	20	38	tags	1	2015-03-18 17:32:36.543	{"score":5.260000173250834}
1961	20	97	CF	2	2015-03-18 17:32:36.547	{"prediction":4.824175824175824}
1962	20	60	CF	3	2015-03-18 17:32:36.553	{"prediction":4.816620879120879}
1963	20	85	CF	4	2015-03-18 17:32:36.557	{"prediction":4.667582417582418}
1964	20	63	CF	5	2015-03-18 17:32:36.562	{"prediction":4.667582417582418}
1965	20	19	cbr	6	2015-03-18 17:32:36.566	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1966	20	79	cbr	7	2015-03-18 17:32:36.569	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1967	20	93	random	8	2015-03-18 17:32:36.572	\N
1968	20	31	random	9	2015-03-18 17:32:36.575	\N
1969	20	60	CF	0	2015-03-18 17:32:52.206	{"prediction":4.816620879120879}
1970	20	85	CF	1	2015-03-18 17:32:52.215	{"prediction":4.667582417582418}
1971	20	63	CF	2	2015-03-18 17:32:52.227	{"prediction":4.667582417582418}
1972	20	14	CF	3	2015-03-18 17:32:52.234	{"prediction":4.667582417582418}
1973	20	28	tags	4	2015-03-18 17:32:52.248	{"score":4.1499997485767715}
1974	20	19	cbr	5	2015-03-18 17:32:52.251	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1975	20	79	cbr	6	2015-03-18 17:32:52.254	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1976	20	65	cbr	7	2015-03-18 17:32:52.257	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1977	20	87	random	8	2015-03-18 17:32:52.267	\N
1978	20	57	random	9	2015-03-18 17:32:52.275	\N
1979	20	28	tags	0	2015-03-18 17:32:53.011	{"score":4.1499997485767715}
1980	20	60	CF	1	2015-03-18 17:32:53.016	{"prediction":4.816620879120879}
1981	20	85	CF	2	2015-03-18 17:32:53.075	{"prediction":4.667582417582418}
1982	20	63	CF	3	2015-03-18 17:32:53.078	{"prediction":4.667582417582418}
1983	20	14	CF	4	2015-03-18 17:32:53.081	{"prediction":4.667582417582418}
1984	20	19	cbr	5	2015-03-18 17:32:53.096	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1985	20	79	cbr	6	2015-03-18 17:32:53.099	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1986	20	65	cbr	7	2015-03-18 17:32:53.109	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1987	20	36	random	8	2015-03-18 17:32:53.113	\N
1988	20	80	random	9	2015-03-18 17:32:53.116	\N
1989	20	60	CF	0	2015-03-18 17:32:53.554	{"prediction":4.816620879120879}
1990	20	85	CF	1	2015-03-18 17:32:53.557	{"prediction":4.667582417582418}
1991	20	63	CF	2	2015-03-18 17:32:53.562	{"prediction":4.667582417582418}
1992	20	14	CF	3	2015-03-18 17:32:53.578	{"prediction":4.667582417582418}
1993	20	19	cbr	4	2015-03-18 17:32:53.584	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1994	20	79	cbr	5	2015-03-18 17:32:53.588	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1995	20	65	cbr	6	2015-03-18 17:32:53.591	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
1996	20	28	tags	7	2015-03-18 17:32:53.594	{"score":4.1499997485767715}
1997	20	29	random	8	2015-03-18 17:32:53.599	\N
1998	20	22	random	9	2015-03-18 17:32:53.603	\N
1999	24	23	CF	0	2015-03-18 18:07:38.432	{"prediction":4.269230769230769}
2000	24	64	CF	1	2015-03-18 18:07:38.441	{"prediction":4.2032967032967035}
2001	24	78	CF	2	2015-03-18 18:07:38.454	{"prediction":4.07051282051282}
2002	24	97	CF	3	2015-03-18 18:07:38.467	{"prediction":4.06043956043956}
2003	24	19	cbr	4	2015-03-18 18:07:38.475	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":2.0}
2004	24	58	tags	5	2015-03-18 18:07:38.483	{"score":1.6250000596046448}
2005	24	12	tags	6	2015-03-18 18:07:38.487	{"score":1.4166666467984517}
2006	24	68	tags	7	2015-03-18 18:07:38.493	{"score":1.3750000596046448}
2007	24	12	random	8	2015-03-18 18:07:38.497	\N
2008	24	51	random	9	2015-03-18 18:07:38.5	\N
2009	30	58	tags	0	2015-03-18 18:13:14.684	{"score":1.0}
2010	30	61	tags	1	2015-03-18 18:13:14.69	{"score":1.0}
2011	30	4	tags	2	2015-03-18 18:13:14.693	{"score":1.0}
2012	30	26	tags	3	2015-03-18 18:13:14.696	{"score":0.9333333174387614}
2013	30	23	CF	4	2015-03-18 18:13:14.699	{"prediction":4.269230769230769}
2014	30	64	CF	5	2015-03-18 18:13:14.702	{"prediction":4.2032967032967035}
2015	30	78	CF	6	2015-03-18 18:13:14.705	{"prediction":4.07051282051282}
2016	30	97	CF	7	2015-03-18 18:13:14.708	{"prediction":4.06043956043956}
2017	30	42	random	8	2015-03-18 18:13:14.711	\N
2018	30	74	random	9	2015-03-18 18:13:14.714	\N
2019	28	57	tags	0	2015-03-18 18:47:05.172	{"score":0.6400000095367432}
2020	28	91	tags	1	2015-03-18 18:47:05.188	{"score":0.6400000095367432}
2021	28	30	tags	2	2015-03-18 18:47:05.208	{"score":0.574999988079071}
2022	28	78	tags	3	2015-03-18 18:47:05.218	{"score":0.5714285714285714}
2023	28	23	CF	4	2015-03-18 18:47:05.227	{"prediction":4.269230769230769}
2024	28	64	CF	5	2015-03-18 18:47:05.239	{"prediction":4.2032967032967035}
2025	28	78	CF	6	2015-03-18 18:47:05.243	{"prediction":4.07051282051282}
2026	28	97	CF	7	2015-03-18 18:47:05.246	{"prediction":4.06043956043956}
2027	28	94	random	8	2015-03-18 18:47:05.249	\N
2028	28	72	random	9	2015-03-18 18:47:05.254	\N
2029	28	57	tags	0	2015-03-18 18:48:07.559	{"score":0.6400000095367432}
2030	28	91	tags	1	2015-03-18 18:48:07.568	{"score":0.6400000095367432}
2031	28	30	tags	2	2015-03-18 18:48:07.576	{"score":0.574999988079071}
2032	28	78	tags	3	2015-03-18 18:48:07.584	{"score":0.5714285714285714}
2033	28	23	CF	4	2015-03-18 18:48:07.592	{"prediction":4.269230769230769}
2034	28	64	CF	5	2015-03-18 18:48:07.6	{"prediction":4.2032967032967035}
2035	28	78	CF	6	2015-03-18 18:48:07.607	{"prediction":4.07051282051282}
2036	28	97	CF	7	2015-03-18 18:48:07.612	{"prediction":4.06043956043956}
2037	28	26	random	8	2015-03-18 18:48:07.615	\N
2038	28	35	random	9	2015-03-18 18:48:07.618	\N
2039	23	32	tags	0	2015-03-18 18:58:36.217	{"score":7.454545627940785}
2040	23	35	tags	1	2015-03-18 18:58:36.221	{"score":7.44545468417081}
2041	23	42	tags	2	2015-03-18 18:58:36.225	{"score":7.342857088361468}
2042	23	63	tags	3	2015-03-18 18:58:36.228	{"score":7.3000000847710504}
2043	23	78	CF	4	2015-03-18 18:58:36.231	{"prediction":4.867216117216117}
2044	23	97	CF	5	2015-03-18 18:58:36.233	{"prediction":4.857142857142857}
2045	23	60	CF	6	2015-03-18 18:58:36.236	{"prediction":4.8495879120879115}
2046	23	14	CF	7	2015-03-18 18:58:36.239	{"prediction":4.700549450549451}
2047	23	20	random	8	2015-03-18 18:58:36.242	\N
2048	23	5	random	9	2015-03-18 18:58:36.244	\N
2049	23	78	CF	0	2015-03-18 18:58:57.128	{"prediction":4.867216117216117}
2050	23	97	CF	1	2015-03-18 18:58:57.137	{"prediction":4.857142857142857}
2051	23	60	CF	2	2015-03-18 18:58:57.145	{"prediction":4.8495879120879115}
2052	23	14	CF	3	2015-03-18 18:58:57.149	{"prediction":4.700549450549451}
2053	23	19	cbr	4	2015-03-18 18:58:57.152	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
2054	23	38	tags	5	2015-03-18 18:58:57.16	{"score":7.1200000762939455}
2055	23	63	tags	6	2015-03-18 18:58:57.163	{"score":7.100000034679066}
2056	23	60	tags	7	2015-03-18 18:58:57.166	{"score":7.05714293888637}
2057	23	84	random	8	2015-03-18 18:58:57.169	\N
2058	23	76	random	9	2015-03-18 18:58:57.172	\N
2059	23	97	CF	0	2015-03-18 18:59:05.017	{"prediction":4.857142857142857}
2060	23	60	CF	1	2015-03-18 18:59:05.027	{"prediction":4.8495879120879115}
2061	23	14	CF	2	2015-03-18 18:59:05.03	{"prediction":4.700549450549451}
2062	23	87	CF	3	2015-03-18 18:59:05.038	{"prediction":4.700549450549451}
2063	23	19	cbr	4	2015-03-18 18:59:05.042	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
2064	23	60	tags	5	2015-03-18 18:59:05.059	{"score":7.7214284624372205}
2065	23	38	tags	6	2015-03-18 18:59:05.062	{"score":7.6399998982747395}
2066	23	63	tags	7	2015-03-18 18:59:05.065	{"score":7.53636360168457}
2067	23	72	random	8	2015-03-18 18:59:05.068	\N
2068	23	99	random	9	2015-03-18 18:59:05.071	\N
2069	23	19	cbr	0	2015-03-18 18:59:22.645	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
2070	23	38	tags	1	2015-03-18 18:59:22.65	{"score":7.93999989827474}
2071	23	63	tags	2	2015-03-18 18:59:22.653	{"score":7.836363532326438}
2072	23	42	tags	3	2015-03-18 18:59:22.656	{"score":7.6666662216186525}
2073	23	14	CF	4	2015-03-18 18:59:22.659	{"prediction":4.700549450549451}
2074	23	87	CF	5	2015-03-18 18:59:22.663	{"prediction":4.700549450549451}
2075	23	85	CF	6	2015-03-18 18:59:22.665	{"prediction":4.700549450549451}
2076	23	63	CF	7	2015-03-18 18:59:22.668	{"prediction":4.700549450549451}
2077	23	88	random	8	2015-03-18 18:59:22.671	\N
2078	23	86	random	9	2015-03-18 18:59:22.673	\N
2092	23	22	tags	3	2015-03-18 18:59:39.064	{"score":8.422222137451172}
2097	23	21	random	8	2015-03-18 18:59:39.08	\N
2101	23	63	CF	2	2015-03-18 18:59:55.277	{"prediction":4.700549450549451}
2106	23	79	cbr	7	2015-03-18 18:59:55.307	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
2109	23	79	cbr	0	2015-03-18 19:00:01.213	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
2114	23	63	CF	5	2015-03-18 19:00:01.228	{"prediction":4.700549450549451}
2121	23	22	tags	2	2015-03-18 19:00:28.532	{"score":8.655555725097656}
2126	23	30	CF	7	2015-03-18 19:00:28.552	{"prediction":4.700549450549451}
2079	23	14	CF	0	2015-03-18 18:59:28.854	{"prediction":4.700549450549451}
2084	23	42	tags	5	2015-03-18 18:59:28.87	{"score":8.666666412353516}
2080	23	87	CF	1	2015-03-18 18:59:28.858	{"prediction":4.700549450549451}
2085	23	20	tags	6	2015-03-18 18:59:28.872	{"score":8.487500190734863}
2081	23	85	CF	2	2015-03-18 18:59:28.861	{"prediction":4.700549450549451}
2086	23	22	tags	7	2015-03-18 18:59:28.875	{"score":8.211111280653212}
2082	23	63	CF	3	2015-03-18 18:59:28.863	{"prediction":4.700549450549451}
2087	23	20	random	8	2015-03-18 18:59:28.878	\N
2083	23	38	tags	4	2015-03-18 18:59:28.867	{"score":8.67999979654948}
2088	23	29	random	9	2015-03-18 18:59:28.88	\N
2089	23	38	tags	0	2015-03-18 18:59:39.054	{"score":8.91999994913737}
2094	23	85	CF	5	2015-03-18 18:59:39.069	{"prediction":4.700549450549451}
2103	23	42	tags	4	2015-03-18 18:59:55.286	{"score":8.993333180745443}
2108	23	21	random	9	2015-03-18 18:59:55.318	\N
2111	23	20	tags	2	2015-03-18 19:00:01.219	{"score":8.900000095367432}
2116	23	30	CF	7	2015-03-18 19:00:01.233	{"prediction":4.700549450549451}
2119	23	42	tags	0	2015-03-18 19:00:28.525	{"score":9.033333333333333}
2124	23	63	CF	5	2015-03-18 19:00:28.541	{"prediction":4.700549450549451}
2090	23	42	tags	1	2015-03-18 18:59:39.057	{"score":8.873333231608072}
2095	23	63	CF	6	2015-03-18 18:59:39.072	{"prediction":4.700549450549451}
2100	23	85	CF	1	2015-03-18 18:59:55.274	{"prediction":4.700549450549451}
2105	23	22	tags	6	2015-03-18 18:59:55.298	{"score":8.588888804117838}
2110	23	42	tags	1	2015-03-18 19:00:01.217	{"score":9.033333333333333}
2115	23	4	CF	6	2015-03-18 19:00:01.231	{"prediction":4.700549450549451}
2120	23	20	tags	1	2015-03-18 19:00:28.528	{"score":8.900000095367432}
2125	23	4	CF	6	2015-03-18 19:00:28.543	{"prediction":4.700549450549451}
2091	23	20	tags	2	2015-03-18 18:59:39.06	{"score":8.712500095367432}
2096	23	4	CF	7	2015-03-18 18:59:39.075	{"prediction":4.700549450549451}
2099	23	87	CF	0	2015-03-18 18:59:55.27	{"prediction":4.700549450549451}
2104	23	20	tags	5	2015-03-18 18:59:55.291	{"score":8.824999809265137}
2112	23	22	tags	3	2015-03-18 19:00:01.222	{"score":8.655555725097656}
2117	23	59	random	8	2015-03-18 19:00:01.236	\N
2122	23	65	cbr	3	2015-03-18 19:00:28.535	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
2127	23	83	random	8	2015-03-18 19:00:28.554	\N
2093	23	87	CF	4	2015-03-18 18:59:39.066	{"prediction":4.700549450549451}
2098	23	78	random	9	2015-03-18 18:59:39.086	\N
2102	23	4	CF	3	2015-03-18 18:59:55.282	{"prediction":4.700549450549451}
2107	23	80	random	8	2015-03-18 18:59:55.314	\N
2113	23	85	CF	4	2015-03-18 19:00:01.225	{"prediction":4.700549450549451}
2118	23	97	random	9	2015-03-18 19:00:01.24	\N
2123	23	85	CF	4	2015-03-18 19:00:28.538	{"prediction":4.700549450549451}
2128	23	10	random	9	2015-03-18 19:00:28.557	\N
2129	1	19	cbr	0	2015-03-18 19:12:53.851	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
2130	1	79	cbr	1	2015-03-18 19:12:53.862	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
2131	1	65	cbr	2	2015-03-18 19:12:53.874	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
2132	1	58	cbr	3	2015-03-18 19:12:53.885	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
2133	1	23	CF	4	2015-03-18 19:12:53.893	{"prediction":4.269230769230769}
2134	1	64	CF	5	2015-03-18 19:12:53.898	{"prediction":4.2032967032967035}
2135	1	78	CF	6	2015-03-18 19:12:53.901	{"prediction":4.07051282051282}
2136	1	97	CF	7	2015-03-18 19:12:53.903	{"prediction":4.06043956043956}
2137	1	11	random	8	2015-03-18 19:12:53.906	\N
2138	1	98	random	9	2015-03-18 19:12:53.91	\N
2139	19	50	tags	0	2015-03-18 20:09:05.633	{"score":7.326666863759359}
2140	19	54	tags	1	2015-03-18 20:09:05.645	{"score":7.324999968210856}
2141	19	95	tags	2	2015-03-18 20:09:05.653	{"score":7.276923289665809}
2142	19	63	CF	3	2015-03-18 20:09:05.661	{"prediction":3.5548305860805858}
2143	19	77	random	4	2015-03-18 20:09:05.669	\N
2144	19	14	random	5	2015-03-18 20:09:05.674	\N
2145	19	27	random	6	2015-03-18 20:09:05.677	\N
2146	19	65	random	7	2015-03-18 20:09:05.68	\N
2147	19	93	random	8	2015-03-18 20:09:05.683	\N
2148	19	78	random	9	2015-03-18 20:09:05.686	\N
2149	27	19	cbr	0	2015-03-18 20:52:19.593	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
2150	27	79	cbr	1	2015-03-18 20:52:19.606	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
2151	27	78	CF	2	2015-03-18 20:52:19.617	{"prediction":4.07051282051282}
2152	27	97	CF	3	2015-03-18 20:52:19.633	{"prediction":4.06043956043956}
2153	27	87	CF	4	2015-03-18 20:52:19.641	{"prediction":3.9038461538461537}
2154	27	14	CF	5	2015-03-18 20:52:19.654	{"prediction":3.9038461538461537}
2155	27	58	tags	6	2015-03-18 20:52:19.657	{"score":2.54999977350235}
2156	27	38	tags	7	2015-03-18 20:52:19.665	{"score":2.53333331545194}
2157	27	58	random	8	2015-03-18 20:52:19.669	\N
2158	27	78	random	9	2015-03-18 20:52:19.672	\N
2159	27	78	CF	0	2015-03-18 20:54:36.665	{"prediction":4.07051282051282}
2160	27	97	CF	1	2015-03-18 20:54:36.669	{"prediction":4.06043956043956}
2161	27	87	CF	2	2015-03-18 20:54:36.672	{"prediction":3.9038461538461537}
2162	27	14	CF	3	2015-03-18 20:54:36.676	{"prediction":3.9038461538461537}
2163	27	65	cbr	4	2015-03-18 20:54:36.679	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
2164	27	58	cbr	5	2015-03-18 20:54:36.682	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
2165	27	32	cbr	6	2015-03-18 20:54:36.685	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
2166	27	87	cbr	7	2015-03-18 20:54:36.688	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
2167	27	25	random	8	2015-03-18 20:54:36.691	\N
2168	27	87	random	9	2015-03-18 20:54:36.694	\N
2169	31	58	tags	0	2015-03-18 21:12:08.778	{"score":1.0}
2170	31	61	tags	1	2015-03-18 21:12:08.788	{"score":1.0}
2171	31	4	tags	2	2015-03-18 21:12:08.797	{"score":1.0}
2172	31	26	tags	3	2015-03-18 21:12:08.805	{"score":0.8999999761581421}
2173	31	23	CF	4	2015-03-18 21:12:08.812	{"prediction":4.269230769230769}
2174	31	64	CF	5	2015-03-18 21:12:08.819	{"prediction":4.2032967032967035}
2175	31	78	CF	6	2015-03-18 21:12:08.822	{"prediction":4.07051282051282}
2176	31	97	CF	7	2015-03-18 21:12:08.825	{"prediction":4.06043956043956}
2177	31	63	random	8	2015-03-18 21:12:08.828	\N
2178	31	85	random	9	2015-03-18 21:12:08.831	\N
2179	31	23	CF	0	2015-03-18 21:13:01.524	{"prediction":4.269230769230769}
2180	31	64	CF	1	2015-03-18 21:13:01.53	{"prediction":4.2032967032967035}
2181	31	78	CF	2	2015-03-18 21:13:01.533	{"prediction":4.07051282051282}
2182	31	97	CF	3	2015-03-18 21:13:01.538	{"prediction":4.06043956043956}
2183	31	61	tags	4	2015-03-18 21:13:01.542	{"score":1.25}
2184	31	29	tags	5	2015-03-18 21:13:01.547	{"score":1.0687500834465027}
2185	31	66	tags	6	2015-03-18 21:13:01.552	{"score":1.0555554827054343}
2186	31	19	cbr	7	2015-03-18 21:13:01.555	{"similarUserId":31,"similarityToUser":1.0,"similarUserRating":2.0}
2187	31	43	random	8	2015-03-18 21:13:01.559	\N
2188	31	8	random	9	2015-03-18 21:13:01.564	\N
2189	31	64	CF	0	2015-03-18 21:13:24.441	{"prediction":4.2032967032967035}
2190	31	78	CF	1	2015-03-18 21:13:24.445	{"prediction":4.07051282051282}
2191	31	97	CF	2	2015-03-18 21:13:24.449	{"prediction":4.06043956043956}
2192	31	60	CF	3	2015-03-18 21:13:24.452	{"prediction":4.052884615384615}
2193	31	19	cbr	4	2015-03-18 21:13:24.455	{"similarUserId":31,"similarityToUser":1.0,"similarUserRating":2.0}
2194	31	64	tags	5	2015-03-18 21:13:24.458	{"score":2.2999998927116394}
2195	31	77	tags	6	2015-03-18 21:13:24.46	{"score":2.120000088214874}
2196	31	29	tags	7	2015-03-18 21:13:24.463	{"score":2.08124977350235}
2197	31	22	random	8	2015-03-18 21:13:24.466	\N
2198	31	25	random	9	2015-03-18 21:13:24.469	\N
2199	31	19	cbr	0	2015-03-18 21:14:37.985	{"similarUserId":31,"similarityToUser":1.0,"similarUserRating":2.0}
2200	31	78	CF	1	2015-03-18 21:14:37.996	{"prediction":4.07051282051282}
2201	31	97	CF	2	2015-03-18 21:14:38.009	{"prediction":4.06043956043956}
2202	31	60	CF	3	2015-03-18 21:14:38.025	{"prediction":4.052884615384615}
2203	31	87	CF	4	2015-03-18 21:14:38.042	{"prediction":3.9038461538461537}
2205	31	63	tags	6	2015-03-18 21:14:38.057	{"score":2.5111110077963934}
2206	31	42	tags	7	2015-03-18 21:14:38.06	{"score":2.4999996423721313}
2207	31	20	random	8	2015-03-18 21:14:38.066	\N
2208	31	58	random	9	2015-03-18 21:14:38.07	\N
2228	31	85	CF	0	2015-03-18 21:16:45.131	{"prediction":3.9038461538461537}
2229	31	63	CF	1	2015-03-18 21:16:45.135	{"prediction":3.9038461538461537}
2231	31	30	CF	3	2015-03-18 21:16:45.143	{"prediction":3.9038461538461537}
2232	31	1	tags	4	2015-03-18 21:16:45.146	{"score":1.2125000357627869}
2233	31	34	tags	5	2015-03-18 21:16:45.15	{"score":1.0833333333333333}
2234	31	22	tags	6	2015-03-18 21:16:45.155	{"score":1.0444445742501154}
2236	31	78	random	8	2015-03-18 21:16:45.167	\N
2237	31	79	random	9	2015-03-18 21:16:45.179	\N
2204	31	35	tags	5	2015-03-18 21:14:38.053	{"score":2.5636362487619575}
2230	31	4	CF	2	2015-03-18 21:16:45.138	{"prediction":3.9038461538461537}
2235	31	79	cbr	7	2015-03-18 21:16:45.164	{"similarUserId":31,"similarityToUser":1.0,"similarUserRating":2.0}
2209	27	85	CF	0	2015-03-18 21:16:12.814	{"prediction":3.9038461538461537}
2214	27	67	tags	5	2015-03-18 21:16:12.85	{"score":0.1000000536441803}
2222	31	24	tags	4	2015-03-18 21:16:28.001	{"score":0.3571428826877049}
2227	31	28	random	9	2015-03-18 21:16:28.018	\N
2240	27	59	tags	2	2015-03-18 21:17:35.942	{"score":0.5611111554834578}
2245	27	29	CF	7	2015-03-18 21:17:35.955	{"prediction":3.9038461538461537}
2210	27	63	CF	1	2015-03-18 21:16:12.818	{"prediction":3.9038461538461537}
2215	27	61	tags	6	2015-03-18 21:16:12.854	{"score":0.07500007748603821}
2218	31	14	CF	0	2015-03-18 21:16:27.988	{"prediction":3.9038461538461537}
2223	31	1	tags	5	2015-03-18 21:16:28.005	{"score":0.3500000238418579}
2239	27	67	tags	1	2015-03-18 21:17:35.938	{"score":0.5875000357627869}
2244	27	30	CF	6	2015-03-18 21:17:35.952	{"prediction":3.9038461538461537}
2211	27	4	CF	2	2015-03-18 21:16:12.826	{"prediction":3.9038461538461537}
2216	27	58	cbr	7	2015-03-18 21:16:12.858	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
2219	31	85	CF	1	2015-03-18 21:16:27.991	{"prediction":3.9038461538461537}
2224	31	34	tags	6	2015-03-18 21:16:28.008	{"score":0.3333333532015483}
2242	27	63	CF	4	2015-03-18 21:17:35.947	{"prediction":3.9038461538461537}
2247	27	28	random	9	2015-03-18 21:17:35.967	\N
2212	27	30	CF	3	2015-03-18 21:16:12.83	{"prediction":3.9038461538461537}
2217	27	95	random	8	2015-03-18 21:16:12.861	\N
2220	31	63	CF	2	2015-03-18 21:16:27.994	{"prediction":3.9038461538461537}
2225	31	39	tags	7	2015-03-18 21:16:28.012	{"score":0.3000000331224773}
2241	27	68	tags	3	2015-03-18 21:17:35.945	{"score":0.5000000596046448}
2246	27	65	random	8	2015-03-18 21:17:35.963	\N
2213	27	59	tags	4	2015-03-18 21:16:12.845	{"score":0.1277778645356496}
2221	31	4	CF	3	2015-03-18 21:16:27.997	{"prediction":3.9038461538461537}
2226	31	35	random	8	2015-03-18 21:16:28.015	\N
2238	27	58	cbr	0	2015-03-18 21:17:35.935	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
2243	27	4	CF	5	2015-03-18 21:17:35.95	{"prediction":3.9038461538461537}
2248	31	29	CF	0	2015-03-18 21:17:49.483	{"prediction":3.9038461538461537}
2249	31	32	CF	1	2015-03-18 21:17:49.486	{"prediction":3.7371794871794872}
2250	31	79	CF	2	2015-03-18 21:17:49.489	{"prediction":3.5705128205128203}
2251	31	65	CF	3	2015-03-18 21:17:49.492	{"prediction":3.5705128205128203}
2252	31	49	tags	4	2015-03-18 21:17:49.494	{"score":0.9833333988984426}
2253	31	1	tags	5	2015-03-18 21:17:49.498	{"score":0.9125000834465027}
2254	31	39	tags	6	2015-03-18 21:17:49.5	{"score":0.8700000405311584}
2255	31	34	tags	7	2015-03-18 21:17:49.503	{"score":0.5857143487249101}
2256	31	27	random	8	2015-03-18 21:17:49.506	\N
2257	31	9	random	9	2015-03-18 21:17:49.509	\N
2258	31	79	cbr	0	2015-03-18 21:18:04.484	{"similarUserId":31,"similarityToUser":1.0,"similarUserRating":2.0}
2259	31	32	CF	1	2015-03-18 21:18:04.488	{"prediction":3.7371794871794872}
2260	31	79	CF	2	2015-03-18 21:18:04.491	{"prediction":3.5705128205128203}
2261	31	65	CF	3	2015-03-18 21:18:04.494	{"prediction":3.5705128205128203}
2262	31	8	CF	4	2015-03-18 21:18:04.497	{"prediction":3.5705128205128203}
2263	31	49	tags	5	2015-03-18 21:18:04.5	{"score":1.4333334167798362}
2264	31	48	tags	6	2015-03-18 21:18:04.504	{"score":1.3285714643342155}
2265	31	1	tags	7	2015-03-18 21:18:04.507	{"score":1.3250000178813934}
2266	31	5	random	8	2015-03-18 21:18:04.514	\N
2267	31	99	random	9	2015-03-18 21:18:04.518	\N
2268	31	49	tags	0	2015-03-18 21:18:36.726	{"score":0.9333333969116211}
2269	31	39	tags	1	2015-03-18 21:18:36.733	{"score":0.7800000190734864}
2270	31	1	tags	2	2015-03-18 21:18:36.741	{"score":0.5750000476837158}
2271	31	34	tags	3	2015-03-18 21:18:36.746	{"score":0.3714286429541451}
2272	31	8	CF	4	2015-03-18 21:18:36.766	{"prediction":3.5705128205128203}
2273	31	55	random	5	2015-03-18 21:18:36.769	\N
2274	31	98	random	6	2015-03-18 21:18:36.772	\N
2275	31	28	random	7	2015-03-18 21:18:36.775	\N
2276	31	51	random	8	2015-03-18 21:18:36.779	\N
2277	31	101	random	9	2015-03-18 21:18:36.782	\N
2278	31	8	CF	0	2015-03-18 21:18:52.651	{"prediction":3.5705128205128203}
2279	31	39	tags	1	2015-03-18 21:18:52.655	{"score":1.230000078678131}
2280	31	1	tags	2	2015-03-18 21:18:52.657	{"score":1.0250000804662704}
2281	31	34	tags	3	2015-03-18 21:18:52.66	{"score":0.7142857909202576}
2282	31	72	random	4	2015-03-18 21:18:52.662	\N
2283	31	53	random	5	2015-03-18 21:18:52.665	\N
2284	31	82	random	6	2015-03-18 21:18:52.668	\N
2285	31	91	random	7	2015-03-18 21:18:52.674	\N
2286	31	89	random	8	2015-03-18 21:18:52.676	\N
2287	31	50	random	9	2015-03-18 21:18:52.679	\N
2288	27	68	tags	0	2015-03-18 21:19:51.116	{"score":1.1000000715255738}
2289	27	4	tags	1	2015-03-18 21:19:51.119	{"score":0.8777778546015422}
2290	27	80	tags	2	2015-03-18 21:19:51.122	{"score":0.8375000655651093}
2291	27	61	tags	3	2015-03-18 21:19:51.124	{"score":0.8250000476837158}
2292	27	63	CF	4	2015-03-18 21:19:51.128	{"prediction":3.9038461538461537}
2293	27	4	CF	5	2015-03-18 21:19:51.132	{"prediction":3.9038461538461537}
2294	27	30	CF	6	2015-03-18 21:19:51.137	{"prediction":3.9038461538461537}
2295	27	29	CF	7	2015-03-18 21:19:51.143	{"prediction":3.9038461538461537}
2296	27	92	random	8	2015-03-18 21:19:51.145	\N
2297	27	45	random	9	2015-03-18 21:19:51.148	\N
2298	27	63	CF	0	2015-03-18 21:21:02.164	{"prediction":3.9038461538461537}
2299	27	30	CF	1	2015-03-18 21:21:02.168	{"prediction":3.9038461538461537}
2300	27	29	CF	2	2015-03-18 21:21:02.174	{"prediction":3.9038461538461537}
2301	27	32	CF	3	2015-03-18 21:21:02.177	{"prediction":3.7371794871794872}
2302	27	80	tags	4	2015-03-18 21:21:02.181	{"score":1.212499976158142}
2786	24	90	random	8	2015-03-19 19:01:09.459	\N
2303	27	13	tags	5	2015-03-18 21:21:02.184	{"score":1.1333333571751911}
2304	27	32	cbr	6	2015-03-18 21:21:02.189	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
2305	27	62	random	7	2015-03-18 21:21:02.194	\N
2306	27	91	random	8	2015-03-18 21:21:02.199	\N
2307	27	37	random	9	2015-03-18 21:21:02.202	\N
2308	27	30	CF	0	2015-03-18 21:22:22.446	{"prediction":3.9038461538461537}
2309	27	29	CF	1	2015-03-18 21:22:22.451	{"prediction":3.9038461538461537}
2310	27	32	CF	2	2015-03-18 21:22:22.453	{"prediction":3.7371794871794872}
2311	27	8	CF	3	2015-03-18 21:22:22.46	{"prediction":3.5705128205128203}
2312	27	80	tags	4	2015-03-18 21:22:22.463	{"score":1.8124998807907104}
2313	27	13	tags	5	2015-03-18 21:22:22.47	{"score":1.7733332554499308}
2314	27	32	cbr	6	2015-03-18 21:22:22.474	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
2315	27	51	random	7	2015-03-18 21:22:22.478	\N
2316	27	28	random	8	2015-03-18 21:22:22.481	\N
2317	27	59	random	9	2015-03-18 21:22:22.484	\N
2318	32	4	tags	0	2015-03-19 00:01:00.447	{"score":1.0}
2319	32	14	tags	1	2015-03-19 00:01:00.457	{"score":1.0}
2320	32	57	tags	2	2015-03-19 00:01:00.464	{"score":1.0}
2321	32	77	tags	3	2015-03-19 00:01:00.473	{"score":1.0}
2322	32	23	CF	4	2015-03-19 00:01:00.483	{"prediction":4.269230769230769}
2323	32	64	CF	5	2015-03-19 00:01:00.491	{"prediction":4.2032967032967035}
2324	32	78	CF	6	2015-03-19 00:01:00.495	{"prediction":4.07051282051282}
2325	32	97	CF	7	2015-03-19 00:01:00.5	{"prediction":4.06043956043956}
2341	32	97	CF	3	2015-03-19 00:03:12.314	{"prediction":4.06043956043956}
2346	32	53	random	8	2015-03-19 00:03:12.329	\N
2358	32	60	CF	0	2015-03-19 00:03:54.101	{"prediction":4.052884615384615}
2363	32	6	tags	5	2015-03-19 00:03:54.117	{"score":0.550000011920929}
2370	32	24	tags	2	2015-03-19 00:04:38.567	{"score":0.15000000596046448}
2375	32	29	CF	7	2015-03-19 00:04:38.582	{"prediction":3.9038461538461537}
2379	32	63	CF	1	2015-03-19 00:04:50.59	{"prediction":3.9038461538461537}
2384	32	48	tags	6	2015-03-19 00:04:50.605	{"score":0.7499999403953552}
2411	32	73	random	3	2015-03-19 00:06:00.082	\N
2416	32	57	random	8	2015-03-19 00:06:00.1	\N
2439	32	59	random	1	2015-03-19 00:06:43.866	\N
2444	32	19	random	6	2015-03-19 00:06:43.879	\N
2462	32	21	random	4	2015-03-19 00:06:57.396	\N
2467	32	77	random	9	2015-03-19 00:06:57.409	\N
2468	32	58	random	0	2015-03-19 00:07:05.938	\N
2473	32	21	random	5	2015-03-19 00:07:05.954	\N
2326	32	37	random	8	2015-03-19 00:01:00.504	\N
2342	32	77	tags	4	2015-03-19 00:03:12.317	{"score":1.6400000691413879}
2347	32	69	random	9	2015-03-19 00:03:12.332	\N
2362	32	77	tags	4	2015-03-19 00:03:54.114	{"score":0.5916666984558105}
2367	32	71	random	9	2015-03-19 00:03:54.128	\N
2369	32	39	tags	1	2015-03-19 00:04:38.564	{"score":0.22999997735023497}
2374	32	30	CF	6	2015-03-19 00:04:38.579	{"prediction":3.9038461538461537}
2382	32	19	cbr	4	2015-03-19 00:04:50.6	{"similarUserId":32,"similarityToUser":1.0,"similarUserRating":2.0}
2387	32	34	random	9	2015-03-19 00:04:50.613	\N
2408	32	65	CF	0	2015-03-19 00:06:00.072	{"prediction":3.5705128205128203}
2413	32	92	random	5	2015-03-19 00:06:00.088	\N
2438	32	83	random	0	2015-03-19 00:06:43.863	\N
2443	32	2	random	5	2015-03-19 00:06:43.876	\N
2461	32	34	random	3	2015-03-19 00:06:57.394	\N
2466	32	79	random	8	2015-03-19 00:06:57.407	\N
2472	32	53	random	4	2015-03-19 00:07:05.95	\N
2477	32	70	random	9	2015-03-19 00:07:05.966	\N
2327	32	65	random	9	2015-03-19 00:01:00.507	\N
2328	32	23	CF	0	2015-03-19 00:02:02.705	{"prediction":4.269230769230769}
2329	32	64	CF	1	2015-03-19 00:02:02.715	{"prediction":4.2032967032967035}
2330	32	78	CF	2	2015-03-19 00:02:02.722	{"prediction":4.07051282051282}
2331	32	97	CF	3	2015-03-19 00:02:02.729	{"prediction":4.06043956043956}
2332	32	77	tags	4	2015-03-19 00:02:02.739	{"score":1.6400000691413879}
2333	32	29	tags	5	2015-03-19 00:02:02.747	{"score":1.6285714677401952}
2334	32	57	tags	6	2015-03-19 00:02:02.75	{"score":1.5800000309944153}
2335	32	21	tags	7	2015-03-19 00:02:02.754	{"score":1.5666667421658833}
2336	32	73	random	8	2015-03-19 00:02:02.758	\N
2337	32	74	random	9	2015-03-19 00:02:02.761	\N
2339	32	64	CF	1	2015-03-19 00:03:12.308	{"prediction":4.2032967032967035}
2344	32	57	tags	6	2015-03-19 00:03:12.323	{"score":1.5800000309944153}
2348	32	78	CF	0	2015-03-19 00:03:28.628	{"prediction":4.07051282051282}
2349	32	97	CF	1	2015-03-19 00:03:28.631	{"prediction":4.06043956043956}
2350	32	60	CF	2	2015-03-19 00:03:28.634	{"prediction":4.052884615384615}
2351	32	87	CF	3	2015-03-19 00:03:28.636	{"prediction":3.9038461538461537}
2352	32	19	cbr	4	2015-03-19 00:03:28.639	{"similarUserId":32,"similarityToUser":1.0,"similarUserRating":2.0}
2353	32	21	tags	5	2015-03-19 00:03:28.643	{"score":0.5714285629136222}
2354	32	12	tags	6	2015-03-19 00:03:28.647	{"score":0.550000011920929}
2355	32	77	tags	7	2015-03-19 00:03:28.649	{"score":0.5416666666666666}
2356	32	7	random	8	2015-03-19 00:03:28.653	\N
2357	32	47	random	9	2015-03-19 00:03:28.656	\N
2359	32	87	CF	1	2015-03-19 00:03:54.105	{"prediction":3.9038461538461537}
2364	32	21	tags	6	2015-03-19 00:03:54.119	{"score":0.5285714013235909}
2372	32	85	CF	4	2015-03-19 00:04:38.572	{"prediction":3.9038461538461537}
2377	32	22	random	9	2015-03-19 00:04:38.588	\N
2378	32	85	CF	0	2015-03-19 00:04:50.587	{"prediction":3.9038461538461537}
2787	24	93	random	9	2015-03-19 19:01:09.463	\N
2383	32	79	cbr	5	2015-03-19 00:04:50.602	{"similarUserId":32,"similarityToUser":1.0,"similarUserRating":2.0}
2388	32	42	tags	0	2015-03-19 00:04:56.3	{"score":1.3499999642372131}
2389	32	22	tags	1	2015-03-19 00:04:56.305	{"score":1.3333332339922586}
2390	32	63	CF	2	2015-03-19 00:04:56.308	{"prediction":3.9038461538461537}
2391	32	30	CF	3	2015-03-19 00:04:56.311	{"prediction":3.9038461538461537}
2392	32	29	CF	4	2015-03-19 00:04:56.315	{"prediction":3.9038461538461537}
2393	32	32	CF	5	2015-03-19 00:04:56.318	{"prediction":3.7371794871794872}
2394	32	19	cbr	6	2015-03-19 00:04:56.321	{"similarUserId":32,"similarityToUser":1.0,"similarUserRating":2.0}
2395	32	79	cbr	7	2015-03-19 00:04:56.324	{"similarUserId":32,"similarityToUser":1.0,"similarUserRating":2.0}
2396	32	94	random	8	2015-03-19 00:04:56.326	\N
2397	32	27	random	9	2015-03-19 00:04:56.329	\N
2398	32	29	CF	0	2015-03-19 00:05:06.66	{"prediction":3.9038461538461537}
2399	32	32	CF	1	2015-03-19 00:05:06.663	{"prediction":3.7371794871794872}
2400	32	58	CF	2	2015-03-19 00:05:06.665	{"prediction":3.631868131868132}
2401	32	79	CF	3	2015-03-19 00:05:06.669	{"prediction":3.5705128205128203}
2402	32	39	tags	4	2015-03-19 00:05:06.674	{"score":0.23636358976364136}
2403	32	34	tags	5	2015-03-19 00:05:06.68	{"score":0.17142853566578456}
2404	32	1	tags	6	2015-03-19 00:05:06.684	{"score":0.037499964237213135}
2405	32	19	cbr	7	2015-03-19 00:05:06.686	{"similarUserId":32,"similarityToUser":1.0,"similarUserRating":2.0}
2406	32	18	random	8	2015-03-19 00:05:06.69	\N
2407	32	46	random	9	2015-03-19 00:05:06.698	\N
2409	32	8	CF	1	2015-03-19 00:06:00.076	{"prediction":3.5705128205128203}
2414	32	74	random	6	2015-03-19 00:06:00.093	\N
2418	32	8	CF	0	2015-03-19 00:06:14.033	{"prediction":3.5705128205128203}
2419	32	53	random	1	2015-03-19 00:06:14.038	\N
2420	32	21	random	2	2015-03-19 00:06:14.041	\N
2421	32	100	random	3	2015-03-19 00:06:14.044	\N
2422	32	9	random	4	2015-03-19 00:06:14.047	\N
2423	32	44	random	5	2015-03-19 00:06:14.05	\N
2424	32	81	random	6	2015-03-19 00:06:14.053	\N
2425	32	3	random	7	2015-03-19 00:06:14.056	\N
2426	32	33	random	8	2015-03-19 00:06:14.059	\N
2427	32	72	random	9	2015-03-19 00:06:14.064	\N
2428	32	62	random	0	2015-03-19 00:06:35.402	\N
2429	32	55	random	1	2015-03-19 00:06:35.407	\N
2430	32	79	random	2	2015-03-19 00:06:35.41	\N
2431	32	21	random	3	2015-03-19 00:06:35.414	\N
2432	32	48	random	4	2015-03-19 00:06:35.417	\N
2433	32	52	random	5	2015-03-19 00:06:35.421	\N
2434	32	87	random	6	2015-03-19 00:06:35.424	\N
2435	32	1	random	7	2015-03-19 00:06:35.427	\N
2436	32	34	random	8	2015-03-19 00:06:35.43	\N
2437	32	28	random	9	2015-03-19 00:06:35.436	\N
2440	32	58	random	2	2015-03-19 00:06:43.869	\N
2445	32	72	random	7	2015-03-19 00:06:43.882	\N
2448	32	5	random	0	2015-03-19 00:06:50.247	\N
2449	32	31	random	1	2015-03-19 00:06:50.25	\N
2450	32	80	random	2	2015-03-19 00:06:50.252	\N
2451	32	10	random	3	2015-03-19 00:06:50.256	\N
2452	32	74	random	4	2015-03-19 00:06:50.258	\N
2453	32	90	random	5	2015-03-19 00:06:50.262	\N
2454	32	13	random	6	2015-03-19 00:06:50.264	\N
2455	32	9	random	7	2015-03-19 00:06:50.269	\N
2456	32	62	random	8	2015-03-19 00:06:50.271	\N
2457	32	68	random	9	2015-03-19 00:06:50.274	\N
2460	32	25	random	2	2015-03-19 00:06:57.392	\N
2465	32	81	random	7	2015-03-19 00:06:57.404	\N
2471	32	61	random	3	2015-03-19 00:07:05.948	\N
2476	32	95	random	8	2015-03-19 00:07:05.963	\N
2338	32	23	CF	0	2015-03-19 00:03:12.304	{"prediction":4.269230769230769}
2343	32	29	tags	5	2015-03-19 00:03:12.32	{"score":1.6285714677401952}
2360	32	14	CF	2	2015-03-19 00:03:54.107	{"prediction":3.9038461538461537}
2365	32	19	cbr	7	2015-03-19 00:03:54.123	{"similarUserId":32,"similarityToUser":1.0,"similarUserRating":2.0}
2371	32	1	tags	3	2015-03-19 00:04:38.57	{"score":0.12857140387807572}
2376	32	58	random	8	2015-03-19 00:04:38.585	\N
2380	32	30	CF	2	2015-03-19 00:04:50.593	{"prediction":3.9038461538461537}
2385	32	22	tags	7	2015-03-19 00:04:50.607	{"score":0.7333332896232605}
2412	32	13	random	4	2015-03-19 00:06:00.085	\N
2417	32	89	random	9	2015-03-19 00:06:00.103	\N
2441	32	87	random	3	2015-03-19 00:06:43.871	\N
2446	32	53	random	8	2015-03-19 00:06:43.884	\N
2459	32	87	random	1	2015-03-19 00:06:57.389	\N
2464	32	18	random	6	2015-03-19 00:06:57.402	\N
2469	32	80	random	1	2015-03-19 00:07:05.941	\N
2474	32	51	random	6	2015-03-19 00:07:05.958	\N
2340	32	78	CF	2	2015-03-19 00:03:12.311	{"prediction":4.07051282051282}
2345	32	21	tags	7	2015-03-19 00:03:12.326	{"score":1.5666667421658833}
2361	32	85	CF	3	2015-03-19 00:03:54.111	{"prediction":3.9038461538461537}
2366	32	25	random	8	2015-03-19 00:03:54.125	\N
2368	32	7	tags	0	2015-03-19 00:04:38.561	{"score":0.2444444199403127}
2373	32	63	CF	5	2015-03-19 00:04:38.575	{"prediction":3.9038461538461537}
2381	32	29	CF	3	2015-03-19 00:04:50.596	{"prediction":3.9038461538461537}
2386	32	29	random	8	2015-03-19 00:04:50.609	\N
2410	32	65	cbr	2	2015-03-19 00:06:00.079	{"similarUserId":32,"similarityToUser":1.0,"similarUserRating":2.0}
2415	32	4	random	7	2015-03-19 00:06:00.097	\N
2442	32	28	random	4	2015-03-19 00:06:43.874	\N
2447	32	11	random	9	2015-03-19 00:06:43.887	\N
2458	32	101	random	0	2015-03-19 00:06:57.386	\N
2463	32	10	random	5	2015-03-19 00:06:57.399	\N
2470	32	64	random	2	2015-03-19 00:07:05.944	\N
2475	32	12	random	7	2015-03-19 00:07:05.961	\N
2478	16	78	CF	0	2015-03-19 08:32:10.162	{"prediction":4.166666666666666}
2479	16	97	CF	1	2015-03-19 08:32:10.171	{"prediction":4.156593406593406}
2480	16	60	CF	2	2015-03-19 08:32:10.185	{"prediction":4.149038461538461}
2481	16	85	CF	3	2015-03-19 08:32:10.194	{"prediction":4.0}
2482	16	19	cbr	4	2015-03-19 08:32:10.206	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
2483	16	79	cbr	5	2015-03-19 08:32:10.218	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
2484	16	32	tags	6	2015-03-19 08:32:10.222	{"score":3.772727007215673}
2485	16	7	tags	7	2015-03-19 08:32:10.224	{"score":3.6111110382609897}
2486	16	46	random	8	2015-03-19 08:32:10.23	\N
2487	16	45	random	9	2015-03-19 08:32:10.234	\N
2488	17	19	cbr	0	2015-03-19 08:42:25.64	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
2489	17	79	cbr	1	2015-03-19 08:42:25.651	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
2490	17	65	cbr	2	2015-03-19 08:42:25.66	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
2491	17	97	cbr	3	2015-03-19 08:42:25.67	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
2492	17	97	CF	4	2015-03-19 08:42:25.68	{"prediction":4.06043956043956}
2493	17	60	CF	5	2015-03-19 08:42:25.688	{"prediction":4.052884615384615}
2494	17	14	CF	6	2015-03-19 08:42:25.691	{"prediction":3.9038461538461537}
2495	17	85	CF	7	2015-03-19 08:42:25.695	{"prediction":3.9038461538461537}
2496	17	90	random	8	2015-03-19 08:42:25.698	\N
2497	17	97	random	9	2015-03-19 08:42:25.702	\N
2498	33	58	tags	0	2015-03-19 12:33:37.518	{"score":1.0}
2499	33	4	tags	1	2015-03-19 12:33:37.531	{"score":1.0}
2500	33	62	tags	2	2015-03-19 12:33:37.54	{"score":0.8333333333333334}
2501	33	51	tags	3	2015-03-19 12:33:37.547	{"score":0.75}
2502	33	23	CF	4	2015-03-19 12:33:37.554	{"prediction":4.269230769230769}
2503	33	64	CF	5	2015-03-19 12:33:37.56	{"prediction":4.2032967032967035}
2504	33	78	CF	6	2015-03-19 12:33:37.563	{"prediction":4.07051282051282}
2505	33	97	CF	7	2015-03-19 12:33:37.565	{"prediction":4.06043956043956}
2506	33	94	random	8	2015-03-19 12:33:37.569	\N
2507	33	10	random	9	2015-03-19 12:33:37.572	\N
2508	33	29	tags	0	2015-03-19 12:40:45.016	{"score":1.0062500834465027}
2509	33	68	tags	1	2015-03-19 12:40:45.032	{"score":0.9750000238418579}
2510	33	60	tags	2	2015-03-19 12:40:45.065	{"score":0.9499999710491726}
2511	33	23	CF	3	2015-03-19 12:40:45.083	{"prediction":4.269230769230769}
2512	33	64	CF	4	2015-03-19 12:40:45.164	{"prediction":4.2032967032967035}
2513	33	78	CF	5	2015-03-19 12:40:45.171	{"prediction":4.07051282051282}
2514	33	97	CF	6	2015-03-19 12:40:45.188	{"prediction":4.06043956043956}
2515	33	19	cbr	7	2015-03-19 12:40:45.192	{"similarUserId":33,"similarityToUser":1.0,"similarUserRating":2.0}
2516	33	39	random	8	2015-03-19 12:40:45.196	\N
2517	33	53	random	9	2015-03-19 12:40:45.199	\N
2518	21	78	CF	0	2015-03-19 12:53:10.708	{"prediction":4.419184981684982}
2519	21	97	CF	1	2015-03-19 12:53:10.716	{"prediction":4.409111721611722}
2520	21	30	CF	2	2015-03-19 12:53:10.723	{"prediction":4.252518315018315}
2521	21	85	CF	3	2015-03-19 12:53:10.729	{"prediction":4.252518315018315}
2522	21	19	cbr	4	2015-03-19 12:53:10.736	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2523	21	79	cbr	5	2015-03-19 12:53:10.739	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2524	21	65	cbr	6	2015-03-19 12:53:10.744	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2525	21	63	tags	7	2015-03-19 12:53:10.748	{"score":6.545454848896373}
2526	21	7	random	8	2015-03-19 12:53:10.764	\N
2527	21	31	random	9	2015-03-19 12:53:10.768	\N
2528	21	63	tags	0	2015-03-19 12:54:45.323	{"score":6.7727272293784395}
2529	21	19	cbr	1	2015-03-19 12:54:45.347	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2530	21	79	cbr	2	2015-03-19 12:54:45.364	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2531	21	65	cbr	3	2015-03-19 12:54:45.383	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2532	21	97	CF	4	2015-03-19 12:54:45.388	{"prediction":4.523680922986479}
2533	21	30	CF	5	2015-03-19 12:54:45.392	{"prediction":4.37200543797766}
2534	21	63	CF	6	2015-03-19 12:54:45.397	{"prediction":4.37200543797766}
2535	21	85	CF	7	2015-03-19 12:54:45.4	{"prediction":4.37200543797766}
2536	21	49	random	8	2015-03-19 12:54:45.404	\N
2537	21	10	random	9	2015-03-19 12:54:45.409	\N
2538	21	19	cbr	0	2015-03-19 12:55:25.892	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2539	21	79	cbr	1	2015-03-19 12:55:25.896	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2540	21	65	cbr	2	2015-03-19 12:55:25.899	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2541	21	32	cbr	3	2015-03-19 12:55:25.904	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":3.0}
2545	21	29	CF	7	2015-03-19 12:55:25.964	{"prediction":4.37200543797766}
2546	21	24	random	8	2015-03-19 12:55:25.976	\N
2549	21	79	cbr	1	2015-03-19 12:55:26.509	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2550	21	65	cbr	2	2015-03-19 12:55:26.515	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2554	21	85	CF	6	2015-03-19 12:55:26.531	{"prediction":4.37200543797766}
2555	21	29	CF	7	2015-03-19 12:55:26.534	{"prediction":4.37200543797766}
2542	21	97	CF	4	2015-03-19 12:55:25.928	{"prediction":4.523680922986479}
2547	21	75	random	9	2015-03-19 12:55:25.985	\N
2551	21	32	cbr	3	2015-03-19 12:55:26.523	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":3.0}
2556	21	14	random	8	2015-03-19 12:55:26.536	\N
2543	21	30	CF	5	2015-03-19 12:55:25.94	{"prediction":4.37200543797766}
2552	21	97	CF	4	2015-03-19 12:55:26.526	{"prediction":4.523680922986479}
2557	21	56	random	9	2015-03-19 12:55:26.54	\N
2544	21	85	CF	6	2015-03-19 12:55:25.944	{"prediction":4.37200543797766}
2548	21	19	cbr	0	2015-03-19 12:55:26.504	{"similarUserId":21,"similarityToUser":1.0,"similarUserRating":2.0}
2553	21	30	CF	5	2015-03-19 12:55:26.529	{"prediction":4.37200543797766}
2558	34	23	CF	0	2015-03-19 14:07:51.257	{"prediction":4.292181069958848}
2559	34	78	CF	1	2015-03-19 14:07:51.265	{"prediction":4.232804232804233}
2560	34	64	CF	2	2015-03-19 14:07:51.272	{"prediction":4.232804232804233}
2561	34	97	CF	3	2015-03-19 14:07:51.28	{"prediction":4.08994708994709}
2562	34	19	cbr	4	2015-03-19 14:07:51.286	{"similarUserId":34,"similarityToUser":1.0,"similarUserRating":2.0}
2563	34	79	cbr	5	2015-03-19 14:07:51.291	{"similarUserId":34,"similarityToUser":1.0,"similarUserRating":2.0}
2564	34	65	cbr	6	2015-03-19 14:07:51.294	{"similarUserId":34,"similarityToUser":1.0,"similarUserRating":2.0}
2565	34	58	cbr	7	2015-03-19 14:07:51.296	{"similarUserId":34,"similarityToUser":1.0,"similarUserRating":3.0}
2566	34	88	random	8	2015-03-19 14:07:51.3	\N
2567	34	53	random	9	2015-03-19 14:07:51.302	\N
2568	34	78	CF	0	2015-03-19 14:08:12.225	{"prediction":4.232804232804233}
2569	34	64	CF	1	2015-03-19 14:08:12.23	{"prediction":4.232804232804233}
2570	34	97	CF	2	2015-03-19 14:08:12.233	{"prediction":4.08994708994709}
2571	34	60	CF	3	2015-03-19 14:08:12.239	{"prediction":4.078703703703704}
2572	34	64	tags	4	2015-03-19 14:08:12.244	{"score":1.800000011920929}
2573	34	35	tags	5	2015-03-19 14:08:12.249	{"score":1.55999995470047}
2574	34	63	tags	6	2015-03-19 14:08:12.256	{"score":1.5374999642372131}
2575	34	60	tags	7	2015-03-19 14:08:12.259	{"score":1.4769230301563556}
2576	34	62	random	8	2015-03-19 14:08:12.261	\N
2577	34	18	random	9	2015-03-19 14:08:12.263	\N
2578	34	32	tags	0	2015-03-19 14:09:16.318	{"score":1.2545455477454446}
2579	34	42	tags	1	2015-03-19 14:09:16.324	{"score":1.178571479661124}
2580	34	63	tags	2	2015-03-19 14:09:16.33	{"score":1.1666667328940497}
2581	34	19	cbr	3	2015-03-19 14:09:16.337	{"similarUserId":34,"similarityToUser":1.0,"similarUserRating":2.0}
2582	34	97	CF	4	2015-03-19 14:09:16.343	{"prediction":4.08994708994709}
2583	34	60	CF	5	2015-03-19 14:09:16.349	{"prediction":4.078703703703704}
2584	34	87	CF	6	2015-03-19 14:09:16.351	{"prediction":3.9382716049382718}
2585	34	14	CF	7	2015-03-19 14:09:16.354	{"prediction":3.9382716049382718}
2586	34	21	random	8	2015-03-19 14:09:16.356	\N
2587	34	96	random	9	2015-03-19 14:09:16.359	\N
2588	34	19	cbr	0	2015-03-19 14:10:08.491	{"similarUserId":34,"similarityToUser":1.0,"similarUserRating":2.0}
2589	34	97	CF	1	2015-03-19 14:10:08.494	{"prediction":4.285714285714286}
2590	34	60	CF	2	2015-03-19 14:10:08.497	{"prediction":4.274234693877551}
2591	34	30	CF	3	2015-03-19 14:10:08.5	{"prediction":4.134353741496598}
2592	34	14	CF	4	2015-03-19 14:10:08.503	{"prediction":4.134353741496598}
2593	34	42	tags	5	2015-03-19 14:10:08.506	{"score":4.435714381081717}
2594	34	20	tags	6	2015-03-19 14:10:08.508	{"score":4.428571632930211}
2595	34	19	tags	7	2015-03-19 14:10:08.511	{"score":4.200000180138482}
2596	34	95	random	8	2015-03-19 14:10:08.514	\N
2597	34	47	random	9	2015-03-19 14:10:08.517	\N
2598	34	42	tags	0	2015-03-19 14:11:14.742	{"score":5.3785717487335205}
2599	34	20	tags	1	2015-03-19 14:11:14.758	{"score":5.025000333786011}
2600	34	97	CF	2	2015-03-19 14:11:14.761	{"prediction":4.285714285714286}
2601	34	60	CF	3	2015-03-19 14:11:14.765	{"prediction":4.274234693877551}
2602	34	30	CF	4	2015-03-19 14:11:14.769	{"prediction":4.134353741496598}
2603	34	14	CF	5	2015-03-19 14:11:14.774	{"prediction":4.134353741496598}
2604	34	79	cbr	6	2015-03-19 14:11:14.776	{"similarUserId":34,"similarityToUser":1.0,"similarUserRating":2.0}
2605	34	65	cbr	7	2015-03-19 14:11:14.779	{"similarUserId":34,"similarityToUser":1.0,"similarUserRating":2.0}
2606	34	9	random	8	2015-03-19 14:11:14.781	\N
2607	34	39	random	9	2015-03-19 14:11:14.784	\N
2608	34	97	CF	0	2015-03-19 14:13:56.628	{"prediction":4.285714285714286}
2609	34	60	CF	1	2015-03-19 14:13:56.631	{"prediction":4.274234693877551}
2610	34	30	CF	2	2015-03-19 14:13:56.634	{"prediction":4.134353741496598}
2611	34	14	CF	3	2015-03-19 14:13:56.636	{"prediction":4.134353741496598}
2612	34	42	tags	4	2015-03-19 14:13:56.644	{"score":5.3785717487335205}
2613	34	20	tags	5	2015-03-19 14:13:56.646	{"score":5.025000333786011}
2614	34	79	cbr	6	2015-03-19 14:13:56.648	{"similarUserId":34,"similarityToUser":1.0,"similarUserRating":2.0}
2615	34	65	cbr	7	2015-03-19 14:13:56.651	{"similarUserId":34,"similarityToUser":1.0,"similarUserRating":2.0}
2616	34	66	random	8	2015-03-19 14:13:56.653	\N
2617	34	78	random	9	2015-03-19 14:13:56.655	\N
2618	25	60	CF	0	2015-03-19 14:19:55.677	{"prediction":4.080357142857142}
2619	25	87	CF	1	2015-03-19 14:19:55.681	{"prediction":3.9404761904761902}
2620	25	14	CF	2	2015-03-19 14:19:55.685	{"prediction":3.9404761904761902}
2621	25	85	CF	3	2015-03-19 14:19:55.689	{"prediction":3.9404761904761902}
2622	25	79	cbr	4	2015-03-19 14:19:55.692	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":2.0}
2623	25	65	cbr	5	2015-03-19 14:19:55.694	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":2.0}
2624	25	54	tags	6	2015-03-19 14:19:55.7	{"score":3.383333166440328}
2625	25	79	tags	7	2015-03-19 14:19:55.704	{"score":3.349999815225601}
2626	25	89	random	8	2015-03-19 14:19:55.708	\N
2627	25	88	random	9	2015-03-19 14:19:55.711	\N
2628	16	32	tags	0	2015-03-19 14:38:05.098	{"score":3.772727007215673}
2629	16	7	tags	1	2015-03-19 14:38:05.106	{"score":3.6111110382609897}
2630	16	78	CF	2	2015-03-19 14:38:05.113	{"prediction":4.29421768707483}
2631	16	97	CF	3	2015-03-19 14:38:05.121	{"prediction":4.151360544217686}
2632	16	60	CF	4	2015-03-19 14:38:05.13	{"prediction":4.139880952380952}
2636	16	58	random	8	2015-03-19 14:38:05.145	\N
2637	16	93	random	9	2015-03-19 14:38:05.148	\N
2633	16	85	CF	5	2015-03-19 14:38:05.137	{"prediction":4.0}
2634	16	19	cbr	6	2015-03-19 14:38:05.14	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
2635	16	79	cbr	7	2015-03-19 14:38:05.143	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
2638	35	23	CF	0	2015-03-19 14:52:34.938	{"prediction":4.2936507936507935}
2639	35	78	CF	1	2015-03-19 14:52:34.946	{"prediction":4.23469387755102}
2640	35	64	CF	2	2015-03-19 14:52:34.968	{"prediction":4.23469387755102}
2641	35	97	CF	3	2015-03-19 14:52:34.991	{"prediction":4.091836734693877}
2642	35	61	tags	4	2015-03-19 14:52:35.003	{"score":1.0}
2643	35	4	tags	5	2015-03-19 14:52:35.014	{"score":1.0}
2644	35	26	tags	6	2015-03-19 14:52:35.028	{"score":1.0}
2645	35	89	tags	7	2015-03-19 14:52:35.06	{"score":1.0}
2646	35	96	random	8	2015-03-19 14:52:35.068	\N
2647	35	42	random	9	2015-03-19 14:52:35.077	\N
2648	36	23	CF	0	2015-03-19 14:54:27.012	{"prediction":4.2936507936507935}
2649	36	78	CF	1	2015-03-19 14:54:27.015	{"prediction":4.23469387755102}
2650	36	64	CF	2	2015-03-19 14:54:27.019	{"prediction":4.23469387755102}
2651	36	97	CF	3	2015-03-19 14:54:27.022	{"prediction":4.091836734693877}
2652	36	19	cbr	4	2015-03-19 14:54:27.025	{"similarUserId":36,"similarityToUser":1.0,"similarUserRating":2.0}
2653	36	79	cbr	5	2015-03-19 14:54:27.034	{"similarUserId":36,"similarityToUser":1.0,"similarUserRating":2.0}
2654	36	65	cbr	6	2015-03-19 14:54:27.037	{"similarUserId":36,"similarityToUser":1.0,"similarUserRating":2.0}
2655	36	32	cbr	7	2015-03-19 14:54:27.039	{"similarUserId":36,"similarityToUser":1.0,"similarUserRating":3.0}
2656	36	22	random	8	2015-03-19 14:54:27.041	\N
2657	36	52	random	9	2015-03-19 14:54:27.044	\N
2658	16	32	tags	0	2015-03-19 14:54:42.135	{"score":3.772727007215673}
2659	16	7	tags	1	2015-03-19 14:54:42.138	{"score":3.6111110382609897}
2660	16	19	cbr	2	2015-03-19 14:54:42.153	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
2661	16	79	cbr	3	2015-03-19 14:54:42.156	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
2662	16	78	CF	4	2015-03-19 14:54:42.159	{"prediction":4.29421768707483}
2663	16	97	CF	5	2015-03-19 14:54:42.161	{"prediction":4.151360544217686}
2664	16	60	CF	6	2015-03-19 14:54:42.163	{"prediction":4.139880952380952}
2665	16	85	CF	7	2015-03-19 14:54:42.167	{"prediction":4.0}
2666	16	19	random	8	2015-03-19 14:54:42.17	\N
2667	16	59	random	9	2015-03-19 14:54:42.175	\N
2668	37	19	cbr	0	2015-03-19 15:26:35.47	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
2669	37	79	cbr	1	2015-03-19 15:26:35.477	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
2670	37	65	cbr	2	2015-03-19 15:26:35.486	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
2671	37	32	cbr	3	2015-03-19 15:26:35.494	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":3.0}
2672	37	23	CF	4	2015-03-19 15:26:35.507	{"prediction":4.2936507936507935}
2673	37	78	CF	5	2015-03-19 15:26:35.528	{"prediction":4.23469387755102}
2674	37	64	CF	6	2015-03-19 15:26:35.531	{"prediction":4.23469387755102}
2675	37	97	CF	7	2015-03-19 15:26:35.534	{"prediction":4.091836734693877}
2676	37	50	random	8	2015-03-19 15:26:35.537	\N
2677	37	86	random	9	2015-03-19 15:26:35.539	\N
2678	37	23	CF	0	2015-03-19 15:26:52.173	{"prediction":4.2936507936507935}
2679	37	78	CF	1	2015-03-19 15:26:52.177	{"prediction":4.23469387755102}
2680	37	64	CF	2	2015-03-19 15:26:52.195	{"prediction":4.23469387755102}
2681	37	97	CF	3	2015-03-19 15:26:52.205	{"prediction":4.091836734693877}
2682	37	58	tags	4	2015-03-19 15:26:52.212	{"score":1.0}
2683	37	4	tags	5	2015-03-19 15:26:52.216	{"score":1.0}
2684	37	18	tags	6	2015-03-19 15:26:52.22	{"score":0.8000000317891439}
2685	37	12	tags	7	2015-03-19 15:26:52.224	{"score":0.800000011920929}
2686	37	29	random	8	2015-03-19 15:26:52.226	\N
2687	37	26	random	9	2015-03-19 15:26:52.229	\N
2688	38	58	tags	0	2015-03-19 15:29:34.833	{"score":1.0}
2689	38	4	tags	1	2015-03-19 15:29:34.84	{"score":1.0}
2690	38	18	tags	2	2015-03-19 15:29:34.843	{"score":0.8000000317891439}
2691	38	12	tags	3	2015-03-19 15:29:34.848	{"score":0.800000011920929}
2692	38	23	CF	4	2015-03-19 15:29:34.85	{"prediction":4.295019157088123}
2693	38	64	CF	5	2015-03-19 15:29:34.858	{"prediction":4.236453201970443}
2694	38	78	CF	6	2015-03-19 15:29:34.861	{"prediction":4.236453201970443}
2695	38	97	CF	7	2015-03-19 15:29:34.864	{"prediction":4.093596059113301}
2696	38	36	random	8	2015-03-19 15:29:34.866	\N
2697	38	72	random	9	2015-03-19 15:29:34.872	\N
2698	24	60	tags	0	2015-03-19 16:10:42.462	{"score":2.52142847435815}
2699	24	58	tags	1	2015-03-19 16:10:42.487	{"score":2.4499998688697815}
2700	24	32	tags	2	2015-03-19 16:10:42.505	{"score":2.3454545573754744}
2701	24	64	tags	3	2015-03-19 16:10:42.516	{"score":2.2999998927116394}
2702	24	64	CF	4	2015-03-19 16:10:42.524	{"prediction":4.236453201970443}
2703	24	78	CF	5	2015-03-19 16:10:42.549	{"prediction":4.236453201970443}
2704	24	97	CF	6	2015-03-19 16:10:42.568	{"prediction":4.093596059113301}
2705	24	60	CF	7	2015-03-19 16:10:42.571	{"prediction":4.081896551724138}
2706	24	20	random	8	2015-03-19 16:10:42.574	\N
2707	24	101	random	9	2015-03-19 16:10:42.576	\N
2708	16	19	cbr	0	2015-03-19 16:17:42.156	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
2709	16	79	cbr	1	2015-03-19 16:17:42.174	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
2710	16	32	tags	2	2015-03-19 16:17:42.181	{"score":3.772727007215673}
2711	16	7	tags	3	2015-03-19 16:17:42.188	{"score":3.6111110382609897}
2712	16	78	CF	4	2015-03-19 16:17:42.192	{"prediction":4.2896825396825395}
2713	16	60	CF	5	2015-03-19 16:17:42.2	{"prediction":4.231481481481482}
2715	16	30	CF	7	2015-03-19 16:17:42.211	{"prediction":4.0}
2714	16	97	CF	6	2015-03-19 16:17:42.204	{"prediction":4.146825396825397}
2716	16	56	random	8	2015-03-19 16:17:42.217	\N
2717	16	62	random	9	2015-03-19 16:17:42.22	\N
2718	16	19	cbr	0	2015-03-19 18:32:09.5	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
2719	16	79	cbr	1	2015-03-19 18:32:09.536	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
2720	16	32	tags	2	2015-03-19 18:32:09.556	{"score":3.772727007215673}
2721	16	7	tags	3	2015-03-19 18:32:09.576	{"score":3.6111110382609897}
2722	16	78	CF	4	2015-03-19 18:32:09.585	{"prediction":4.2896825396825395}
2723	16	60	CF	5	2015-03-19 18:32:09.611	{"prediction":4.231481481481482}
2724	16	97	CF	6	2015-03-19 18:32:09.62	{"prediction":4.146825396825397}
2725	16	30	CF	7	2015-03-19 18:32:09.622	{"prediction":4.0}
2726	16	9	random	8	2015-03-19 18:32:09.627	\N
2727	16	40	random	9	2015-03-19 18:32:09.631	\N
2728	17	19	cbr	0	2015-03-19 18:50:57.635	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
2729	17	79	cbr	1	2015-03-19 18:50:57.649	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
2730	17	65	cbr	2	2015-03-19 18:50:57.67	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
2731	17	97	cbr	3	2015-03-19 18:50:57.68	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
2732	17	60	CF	4	2015-03-19 18:50:57.687	{"prediction":4.203703703703704}
2733	17	97	CF	5	2015-03-19 18:50:57.698	{"prediction":4.1190476190476195}
2734	17	30	CF	6	2015-03-19 18:50:57.702	{"prediction":3.9722222222222223}
2735	17	14	CF	7	2015-03-19 18:50:57.705	{"prediction":3.9722222222222223}
2736	17	13	random	8	2015-03-19 18:50:57.707	\N
2737	17	70	random	9	2015-03-19 18:50:57.716	\N
2738	17	60	CF	0	2015-03-19 18:51:03.512	{"prediction":4.203703703703704}
2739	17	97	CF	1	2015-03-19 18:51:03.522	{"prediction":4.1190476190476195}
2740	17	30	CF	2	2015-03-19 18:51:03.528	{"prediction":3.9722222222222223}
2741	17	14	CF	3	2015-03-19 18:51:03.536	{"prediction":3.9722222222222223}
2742	17	19	cbr	4	2015-03-19 18:51:03.544	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
2743	17	79	cbr	5	2015-03-19 18:51:03.553	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
2744	17	65	cbr	6	2015-03-19 18:51:03.56	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
2745	17	97	cbr	7	2015-03-19 18:51:03.564	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
2746	17	95	random	8	2015-03-19 18:51:03.568	\N
2747	17	99	random	9	2015-03-19 18:51:03.576	\N
2748	19	63	CF	0	2015-03-19 18:56:31.189	{"prediction":3.5431783824640966}
2749	19	100	CF	1	2015-03-19 18:56:31.194	{"prediction":3.5431783824640966}
2750	19	50	tags	2	2015-03-19 18:56:31.197	{"score":7.326666863759359}
2751	19	54	tags	3	2015-03-19 18:56:31.204	{"score":7.324999968210856}
2752	19	95	tags	4	2015-03-19 18:56:31.208	{"score":7.276923289665809}
2753	19	100	cbr	5	2015-03-19 18:56:31.212	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":4.0}
2754	19	28	random	6	2015-03-19 18:56:31.215	\N
2755	19	86	random	7	2015-03-19 18:56:31.218	\N
2756	19	51	random	8	2015-03-19 18:56:31.22	\N
2757	19	69	random	9	2015-03-19 18:56:31.224	\N
2758	19	95	tags	0	2015-03-19 18:57:22.727	{"score":6.261538615593544}
2759	19	44	tags	1	2015-03-19 18:57:22.744	{"score":6.190908908843994}
2760	19	50	tags	2	2015-03-19 18:57:22.752	{"score":6.166666762034098}
2761	19	100	cbr	3	2015-03-19 18:57:22.756	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":4.0}
2762	19	100	CF	4	2015-03-19 18:57:22.759	{"prediction":3.4547192353643967}
2763	19	80	random	5	2015-03-19 18:57:22.763	\N
2764	19	88	random	6	2015-03-19 18:57:22.772	\N
2765	19	42	random	7	2015-03-19 18:57:22.775	\N
2766	19	48	random	8	2015-03-19 18:57:22.78	\N
2767	19	66	random	9	2015-03-19 18:57:22.783	\N
2768	19	100	cbr	0	2015-03-19 18:57:46.215	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":4.0}
2769	19	100	CF	1	2015-03-19 18:57:46.223	{"prediction":3.4889942956349205}
2770	19	54	tags	2	2015-03-19 18:57:46.237	{"score":7.5333335399627686}
2771	19	60	random	3	2015-03-19 18:57:46.244	\N
2772	19	4	random	4	2015-03-19 18:57:46.252	\N
2773	19	53	random	5	2015-03-19 18:57:46.258	\N
2774	19	79	random	6	2015-03-19 18:57:46.261	\N
2775	19	2	random	7	2015-03-19 18:57:46.269	\N
2776	19	26	random	8	2015-03-19 18:57:46.283	\N
2777	19	68	random	9	2015-03-19 18:57:46.289	\N
2778	24	19	cbr	0	2015-03-19 19:01:09.402	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":2.0}
2779	24	38	tags	1	2015-03-19 19:01:09.414	{"score":7.446666367848715}
2780	24	63	tags	2	2015-03-19 19:01:09.424	{"score":6.954545497894287}
2781	24	35	tags	3	2015-03-19 19:01:09.43	{"score":6.864285673413958}
2782	24	64	CF	4	2015-03-19 19:01:09.437	{"prediction":5.048611111111111}
2783	24	78	CF	5	2015-03-19 19:01:09.442	{"prediction":5.048611111111111}
2784	24	97	CF	6	2015-03-19 19:01:09.448	{"prediction":4.905753968253968}
2785	24	14	CF	7	2015-03-19 19:01:09.455	{"prediction":4.751736111111111}
2788	24	79	cbr	0	2015-03-19 19:01:14.668	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":2.0}
2789	24	38	tags	1	2015-03-19 19:01:14.674	{"score":7.466666571299235}
2790	24	35	tags	2	2015-03-19 19:01:14.678	{"score":6.864285673413958}
2791	24	51	tags	3	2015-03-19 19:01:14.688	{"score":6.461538296479445}
2792	24	64	CF	4	2015-03-19 19:01:14.698	{"prediction":5.048611111111111}
2793	24	78	CF	5	2015-03-19 19:01:14.704	{"prediction":5.048611111111111}
2794	24	97	CF	6	2015-03-19 19:01:14.707	{"prediction":4.905753968253968}
2796	24	20	random	8	2015-03-19 19:01:14.714	\N
2795	24	14	CF	7	2015-03-19 19:01:14.711	{"prediction":4.751736111111111}
2797	24	34	random	9	2015-03-19 19:01:14.716	\N
2798	24	35	tags	0	2015-03-19 19:01:23.555	{"score":7.185713870184762}
2803	24	14	CF	5	2015-03-19 19:01:23.568	{"prediction":4.751736111111111}
2808	24	65	cbr	0	2015-03-19 19:01:31.898	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":2.0}
2813	24	97	CF	5	2015-03-19 19:01:31.951	{"prediction":4.905753968253968}
2799	24	64	tags	1	2015-03-19 19:01:23.558	{"score":6.433333396911621}
2804	24	65	cbr	6	2015-03-19 19:01:23.571	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":2.0}
2810	24	58	cbr	2	2015-03-19 19:01:31.918	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":3.0}
2815	24	30	CF	7	2015-03-19 19:01:31.96	{"prediction":4.751736111111111}
2800	24	64	CF	2	2015-03-19 19:01:23.56	{"prediction":5.048611111111111}
2805	24	32	cbr	7	2015-03-19 19:01:23.575	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":3.0}
2811	24	58	tags	3	2015-03-19 19:01:31.933	{"score":4.949999809265137}
2816	24	91	random	8	2015-03-19 19:01:31.965	\N
2801	24	78	CF	3	2015-03-19 19:01:23.563	{"prediction":5.048611111111111}
2806	24	31	random	8	2015-03-19 19:01:23.577	\N
2809	24	32	cbr	1	2015-03-19 19:01:31.902	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":3.0}
2814	24	14	CF	6	2015-03-19 19:01:31.955	{"prediction":4.751736111111111}
2802	24	97	CF	4	2015-03-19 19:01:23.566	{"prediction":4.905753968253968}
2807	24	72	random	9	2015-03-19 19:01:23.58	\N
2812	24	78	CF	4	2015-03-19 19:01:31.942	{"prediction":5.048611111111111}
2817	24	85	random	9	2015-03-19 19:01:31.97	\N
2818	31	100	cbr	0	2015-03-19 19:21:05.48	{"similarUserId":31,"similarityToUser":1.0,"similarUserRating":4.0}
2819	31	100	CF	1	2015-03-19 19:21:05.51	{"prediction":3.921875}
2820	31	50	CF	2	2015-03-19 19:21:05.528	{"prediction":3.921875}
2821	31	53	random	3	2015-03-19 19:21:05.54	\N
2822	31	97	random	4	2015-03-19 19:21:05.547	\N
2823	31	20	random	5	2015-03-19 19:21:05.567	\N
2824	31	101	random	6	2015-03-19 19:21:05.572	\N
2825	31	60	random	7	2015-03-19 19:21:05.576	\N
2826	31	43	random	8	2015-03-19 19:21:05.583	\N
2827	31	70	random	9	2015-03-19 19:21:05.592	\N
2828	31	25	random	0	2015-03-19 19:21:44.513	\N
2829	31	101	random	1	2015-03-19 19:21:44.52	\N
2830	31	84	random	2	2015-03-19 19:21:44.524	\N
2831	31	67	random	3	2015-03-19 19:21:44.528	\N
2832	31	24	random	4	2015-03-19 19:21:44.532	\N
2833	31	92	random	5	2015-03-19 19:21:44.536	\N
2834	31	60	random	6	2015-03-19 19:21:44.539	\N
2835	31	23	random	7	2015-03-19 19:21:44.544	\N
2836	31	97	random	8	2015-03-19 19:21:44.548	\N
2837	31	90	random	9	2015-03-19 19:21:44.552	\N
2838	39	4	tags	0	2015-03-19 21:11:55.531	{"score":1.0}
2839	39	58	tags	1	2015-03-19 21:11:55.55	{"score":1.0}
2840	39	30	tags	2	2015-03-19 21:11:55.562	{"score":0.699999988079071}
2841	39	14	tags	3	2015-03-19 21:11:55.576	{"score":0.6699999809265137}
2842	39	23	CF	4	2015-03-19 21:11:55.588	{"prediction":4.28125}
2843	39	64	CF	5	2015-03-19 21:11:55.597	{"prediction":4.21875}
2844	39	78	CF	6	2015-03-19 21:11:55.602	{"prediction":4.21875}
2845	39	60	CF	7	2015-03-19 21:11:55.605	{"prediction":4.170138888888889}
2846	39	69	random	8	2015-03-19 21:11:55.61	\N
2847	39	59	random	9	2015-03-19 21:11:55.619	\N
2848	39	19	cbr	0	2015-03-19 21:12:38.408	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
2849	39	21	tags	1	2015-03-19 21:12:38.414	{"score":1.4571429235594613}
2850	39	58	tags	2	2015-03-19 21:12:38.417	{"score":1.3750000596046448}
2851	39	68	tags	3	2015-03-19 21:12:38.42	{"score":1.3750000596046448}
2852	39	23	CF	4	2015-03-19 21:12:38.424	{"prediction":4.28125}
2853	39	64	CF	5	2015-03-19 21:12:38.426	{"prediction":4.21875}
2854	39	78	CF	6	2015-03-19 21:12:38.429	{"prediction":4.21875}
2855	39	60	CF	7	2015-03-19 21:12:38.431	{"prediction":4.170138888888889}
2856	39	11	random	8	2015-03-19 21:12:38.433	\N
2857	39	37	random	9	2015-03-19 21:12:38.437	\N
2858	39	77	tags	0	2015-03-19 22:00:35.505	{"score":6.634615017817571}
2859	39	68	tags	1	2015-03-19 22:00:35.516	{"score":6.474999904632568}
2860	39	23	CF	2	2015-03-19 22:00:35.524	{"prediction":5.183501683501683}
2861	39	64	CF	3	2015-03-19 22:00:35.531	{"prediction":5.126262626262626}
2862	39	78	CF	4	2015-03-19 22:00:35.538	{"prediction":5.126262626262626}
2863	39	60	CF	5	2015-03-19 22:00:35.546	{"prediction":5.072390572390573}
2864	39	79	cbr	6	2015-03-19 22:00:35.549	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
2865	39	65	cbr	7	2015-03-19 22:00:35.553	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
2866	39	93	random	8	2015-03-19 22:00:35.556	\N
2867	39	56	random	9	2015-03-19 22:00:35.559	\N
2868	40	19	cbr	0	2015-03-19 22:42:43.7	{"similarUserId":40,"similarityToUser":1.0,"similarUserRating":2.0}
2869	40	79	cbr	1	2015-03-19 22:42:43.711	{"similarUserId":40,"similarityToUser":1.0,"similarUserRating":2.0}
2870	40	65	cbr	2	2015-03-19 22:42:43.718	{"similarUserId":40,"similarityToUser":1.0,"similarUserRating":2.0}
2871	40	32	cbr	3	2015-03-19 22:42:43.724	{"similarUserId":40,"similarityToUser":1.0,"similarUserRating":3.0}
2872	40	23	CF	4	2015-03-19 22:42:43.732	{"prediction":4.299663299663299}
2873	40	64	CF	5	2015-03-19 22:42:43.739	{"prediction":4.242424242424242}
2874	40	78	CF	6	2015-03-19 22:42:43.741	{"prediction":4.242424242424242}
2875	40	60	CF	7	2015-03-19 22:42:43.743	{"prediction":4.188552188552189}
2876	40	19	random	8	2015-03-19 22:42:43.746	\N
2877	40	43	random	9	2015-03-19 22:42:43.748	\N
2878	40	64	tags	0	2015-03-19 22:46:18.211	{"score":4.600000063578288}
2879	40	35	tags	1	2015-03-19 22:46:18.215	{"score":2.9500000079472857}
2880	40	38	tags	2	2015-03-19 22:46:18.231	{"score":2.9133334557215376}
2881	40	58	cbr	3	2015-03-19 22:46:18.237	{"similarUserId":40,"similarityToUser":1.0,"similarUserRating":3.0}
2882	40	64	CF	4	2015-03-19 22:46:18.24	{"prediction":4.879411764705882}
2883	40	78	CF	5	2015-03-19 22:46:18.242	{"prediction":4.879411764705882}
2884	40	60	CF	6	2015-03-19 22:46:18.249	{"prediction":4.820588235294117}
2885	40	21	CF	7	2015-03-19 22:46:18.252	{"prediction":4.756862745098039}
2886	40	9	random	8	2015-03-19 22:46:18.255	\N
2887	40	51	random	9	2015-03-19 22:46:18.258	\N
2888	40	97	cbr	0	2015-03-19 22:47:12.774	{"similarUserId":40,"similarityToUser":1.0,"similarUserRating":4.0}
2889	40	67	tags	1	2015-03-19 22:47:12.78	{"score":0.9750000834465027}
2890	40	49	tags	2	2015-03-19 22:47:12.786	{"score":0.7500000347693762}
2891	40	69	tags	3	2015-03-19 22:47:12.792	{"score":0.6625000312924385}
2892	40	21	CF	4	2015-03-19 22:47:12.798	{"prediction":4.756862745098039}
2893	40	97	CF	5	2015-03-19 22:47:12.801	{"prediction":4.7365546218487395}
2894	40	87	CF	6	2015-03-19 22:47:12.803	{"prediction":4.590196078431372}
2895	40	29	CF	7	2015-03-19 22:47:12.805	{"prediction":4.590196078431372}
2896	40	72	random	8	2015-03-19 22:47:12.807	\N
2897	40	12	random	9	2015-03-19 22:47:12.809	\N
2900	40	21	CF	2	2015-03-19 22:47:58.591	{"prediction":4.461904761904762}
2905	40	1	tags	7	2015-03-19 22:47:58.603	{"score":0.9125000648200512}
2910	40	50	CF	2	2015-03-19 22:48:43.315	{"prediction":4.295238095238095}
2915	40	69	random	7	2015-03-19 22:48:43.326	\N
2921	40	63	CF	3	2015-03-19 22:49:31.456	{"prediction":4.012925170068027}
2926	40	14	random	8	2015-03-19 22:49:31.468	\N
2898	40	87	cbr	0	2015-03-19 22:47:58.585	{"similarUserId":40,"similarityToUser":1.0,"similarUserRating":4.0}
2902	40	29	CF	4	2015-03-19 22:47:58.595	{"prediction":4.295238095238095}
2907	40	9	random	9	2015-03-19 22:47:58.608	\N
2912	40	39	tags	4	2015-03-19 22:48:43.319	{"score":0.9818181774832986}
2917	40	23	random	9	2015-03-19 22:48:43.33	\N
2919	40	85	CF	1	2015-03-19 22:49:31.451	{"prediction":4.295238095238095}
2924	40	63	random	6	2015-03-19 22:49:31.464	\N
2899	40	100	cbr	1	2015-03-19 22:47:58.588	{"similarUserId":40,"similarityToUser":1.0,"similarUserRating":4.0}
2903	40	14	CF	5	2015-03-19 22:47:58.598	{"prediction":4.295238095238095}
2908	40	29	CF	0	2015-03-19 22:48:43.309	{"prediction":4.295238095238095}
2913	40	1	tags	5	2015-03-19 22:48:43.322	{"score":0.6875001043081284}
2922	40	8	CF	4	2015-03-19 22:49:31.458	{"prediction":3.9619047619047616}
2927	40	44	random	9	2015-03-19 22:49:31.471	\N
2901	40	87	CF	3	2015-03-19 22:47:58.593	{"prediction":4.295238095238095}
2906	40	6	random	8	2015-03-19 22:47:58.606	\N
2911	40	4	CF	3	2015-03-19 22:48:43.317	{"prediction":4.295238095238095}
2916	40	20	random	8	2015-03-19 22:48:43.328	\N
2920	40	30	CF	2	2015-03-19 22:49:31.453	{"prediction":4.295238095238095}
2925	40	99	random	7	2015-03-19 22:49:31.466	\N
2904	40	39	tags	6	2015-03-19 22:47:58.6	{"score":1.118181824684143}
2909	40	14	CF	1	2015-03-19 22:48:43.311	{"prediction":4.295238095238095}
2914	40	16	tags	6	2015-03-19 22:48:43.324	{"score":0.28000010251998897}
2918	40	39	tags	0	2015-03-19 22:49:31.449	{"score":0.4909091049974615}
2923	40	78	random	5	2015-03-19 22:49:31.462	\N
2928	28	23	CF	0	2015-03-20 05:10:28.274	{"prediction":4.385714285714286}
2929	28	64	CF	1	2015-03-20 05:10:28.299	{"prediction":4.26530612244898}
2930	28	78	CF	2	2015-03-20 05:10:28.308	{"prediction":4.26530612244898}
2931	28	60	CF	3	2015-03-20 05:10:28.315	{"prediction":4.2063492063492065}
2932	28	30	tags	4	2015-03-20 05:10:28.325	{"score":0.574999988079071}
2933	28	78	tags	5	2015-03-20 05:10:28.334	{"score":0.5714285714285714}
2934	28	16	tags	6	2015-03-20 05:10:28.337	{"score":0.5666666825612386}
2935	28	84	tags	7	2015-03-20 05:10:28.34	{"score":0.5625}
2936	28	25	random	8	2015-03-20 05:10:28.343	\N
2937	28	8	random	9	2015-03-20 05:10:28.347	\N
2938	27	21	CF	0	2015-03-20 06:45:21.139	{"prediction":4.142857142857143}
2939	27	50	CF	1	2015-03-20 06:45:21.155	{"prediction":3.9761904761904763}
2940	27	49	CF	2	2015-03-20 06:45:21.167	{"prediction":3.9761904761904763}
2941	27	29	CF	3	2015-03-20 06:45:21.179	{"prediction":3.9761904761904763}
2942	27	32	cbr	4	2015-03-20 06:45:21.201	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
2943	27	100	cbr	5	2015-03-20 06:45:21.212	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
2944	27	21	cbr	6	2015-03-20 06:45:21.215	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":5.0}
2945	27	80	tags	7	2015-03-20 06:45:21.218	{"score":2.3749998807907104}
2946	27	29	random	8	2015-03-20 06:45:21.223	\N
2947	27	58	random	9	2015-03-20 06:45:21.234	\N
3349	27	21	random	1	2015-03-21 15:15:42.91	\N
2948	26	19	cbr	0	2015-03-20 08:58:03.87	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
2949	26	79	cbr	1	2015-03-20 08:58:03.884	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
2950	26	65	cbr	2	2015-03-20 08:58:03.893	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
2951	26	58	cbr	3	2015-03-20 08:58:03.903	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":3.0}
2952	26	78	CF	4	2015-03-20 08:58:03.912	{"prediction":4.216281179138322}
2953	26	21	CF	5	2015-03-20 08:58:03.925	{"prediction":4.093832199546486}
2954	26	85	CF	6	2015-03-20 08:58:03.928	{"prediction":3.9271655328798185}
2955	26	14	CF	7	2015-03-20 08:58:03.931	{"prediction":3.9271655328798185}
2956	26	16	random	8	2015-03-20 08:58:03.933	\N
2957	26	17	random	9	2015-03-20 08:58:03.937	\N
2958	26	19	cbr	0	2015-03-20 09:10:26.244	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
2959	26	79	cbr	1	2015-03-20 09:10:26.262	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
2960	26	65	cbr	2	2015-03-20 09:10:26.274	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
2961	26	58	cbr	3	2015-03-20 09:10:26.285	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":3.0}
2962	26	78	CF	4	2015-03-20 09:10:26.293	{"prediction":4.216281179138322}
2963	26	21	CF	5	2015-03-20 09:10:26.296	{"prediction":4.093832199546486}
2964	26	85	CF	6	2015-03-20 09:10:26.3	{"prediction":3.9271655328798185}
2965	26	14	CF	7	2015-03-20 09:10:26.302	{"prediction":3.9271655328798185}
2966	26	98	random	8	2015-03-20 09:10:26.316	\N
2967	26	59	random	9	2015-03-20 09:10:26.323	\N
2968	29	23	CF	0	2015-03-20 10:16:24.337	{"prediction":4.385714285714286}
2969	29	78	CF	1	2015-03-20 10:16:24.352	{"prediction":4.26530612244898}
2970	29	60	CF	2	2015-03-20 10:16:24.36	{"prediction":4.2063492063492065}
2971	29	21	CF	3	2015-03-20 10:16:24.368	{"prediction":4.142857142857143}
2972	29	4	tags	4	2015-03-20 10:16:24.376	{"score":1.0}
2973	29	14	tags	5	2015-03-20 10:16:24.385	{"score":0.9666666785875956}
2974	29	48	tags	6	2015-03-20 10:16:24.388	{"score":0.9000000357627869}
2975	29	40	tags	7	2015-03-20 10:16:24.392	{"score":0.9000000357627869}
2976	29	63	random	8	2015-03-20 10:16:24.395	\N
2977	29	96	random	9	2015-03-20 10:16:24.399	\N
2978	29	21	CF	0	2015-03-20 10:17:06.348	{"prediction":3.9574074074074077}
2979	29	97	CF	1	2015-03-20 10:17:06.351	{"prediction":3.936904761904762}
2980	29	85	CF	2	2015-03-20 10:17:06.354	{"prediction":3.7907407407407407}
2981	29	14	CF	3	2015-03-20 10:17:06.357	{"prediction":3.7907407407407407}
2982	29	19	cbr	4	2015-03-20 10:17:06.359	{"similarUserId":29,"similarityToUser":1.0,"similarUserRating":2.0}
2983	29	58	tags	5	2015-03-20 10:17:06.362	{"score":2.8999999165534973}
2984	29	38	tags	6	2015-03-20 10:17:06.364	{"score":2.759999732176463}
2985	29	51	tags	7	2015-03-20 10:17:06.367	{"score":2.683332920074463}
2986	29	59	random	8	2015-03-20 10:17:06.369	\N
2987	29	20	random	9	2015-03-20 10:17:06.372	\N
2988	41	23	CF	0	2015-03-20 11:12:09.425	{"prediction":4.386111111111111}
2989	41	64	CF	1	2015-03-20 11:12:09.439	{"prediction":4.265873015873016}
2990	41	78	CF	2	2015-03-20 11:12:09.455	{"prediction":4.265873015873016}
2991	41	60	CF	3	2015-03-20 11:12:09.463	{"prediction":4.186111111111111}
2992	41	61	tags	4	2015-03-20 11:12:09.473	{"score":1.0}
2993	41	96	tags	5	2015-03-20 11:12:09.487	{"score":1.0}
2994	41	83	tags	6	2015-03-20 11:12:09.491	{"score":1.0}
2995	41	67	tags	7	2015-03-20 11:12:09.497	{"score":1.0}
2996	41	30	random	8	2015-03-20 11:12:09.5	\N
2997	41	99	random	9	2015-03-20 11:12:09.504	\N
2998	41	75	tags	0	2015-03-20 11:15:15.783	{"score":1.42727270451459}
2999	41	60	tags	1	2015-03-20 11:15:15.794	{"score":1.3999999846730913}
3000	41	64	CF	2	2015-03-20 11:15:15.802	{"prediction":4.265873015873016}
3001	41	78	CF	3	2015-03-20 11:15:15.809	{"prediction":4.265873015873016}
3002	41	60	CF	4	2015-03-20 11:15:15.818	{"prediction":4.186111111111111}
3005	41	79	cbr	7	2015-03-20 11:15:15.833	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
3006	41	10	random	8	2015-03-20 11:15:15.835	\N
3007	41	75	random	9	2015-03-20 11:15:15.838	\N
3008	41	97	CF	0	2015-03-20 11:16:39.769	{"prediction":4.1230158730158735}
3010	41	14	CF	2	2015-03-20 11:16:39.778	{"prediction":3.976851851851852}
3012	41	65	cbr	4	2015-03-20 11:16:39.786	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
3013	41	32	cbr	5	2015-03-20 11:16:39.789	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
3015	41	97	cbr	7	2015-03-20 11:16:39.796	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
3017	41	35	random	9	2015-03-20 11:16:39.802	\N
3003	41	21	CF	5	2015-03-20 11:15:15.825	{"prediction":4.143518518518519}
3011	41	4	CF	3	2015-03-20 11:16:39.782	{"prediction":3.976851851851852}
3016	41	86	random	8	2015-03-20 11:16:39.799	\N
3004	41	19	cbr	6	2015-03-20 11:15:15.83	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
3009	41	85	CF	1	2015-03-20 11:16:39.772	{"prediction":3.976851851851852}
3014	41	58	cbr	6	2015-03-20 11:16:39.792	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
3018	26	78	CF	0	2015-03-20 14:01:42.906	{"prediction":4.22047619047619}
3019	26	21	CF	1	2015-03-20 14:01:43.005	{"prediction":4.098121693121693}
3020	26	85	CF	2	2015-03-20 14:01:43.017	{"prediction":3.9314550264550268}
3021	26	14	CF	3	2015-03-20 14:01:43.046	{"prediction":3.9314550264550268}
3022	26	19	cbr	4	2015-03-20 14:01:43.054	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
3350	27	64	random	2	2015-03-21 15:15:42.917	\N
3023	26	79	cbr	5	2015-03-20 14:01:43.064	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
3024	26	65	cbr	6	2015-03-20 14:01:43.075	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
3025	26	58	cbr	7	2015-03-20 14:01:43.084	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":3.0}
3026	26	59	random	8	2015-03-20 14:01:43.11	\N
3027	26	69	random	9	2015-03-20 14:01:43.126	\N
3028	28	64	CF	0	2015-03-20 14:02:36.404	{"prediction":4.265873015873016}
3029	28	78	CF	1	2015-03-20 14:02:36.552	{"prediction":4.265873015873016}
3030	28	60	CF	2	2015-03-20 14:02:36.664	{"prediction":4.186111111111111}
3031	28	21	CF	3	2015-03-20 14:02:36.696	{"prediction":4.143518518518519}
3032	28	64	tags	4	2015-03-20 14:02:36.747	{"score":2.2999998927116394}
3033	28	60	tags	5	2015-03-20 14:02:36.837	{"score":1.6285714677401952}
3034	28	32	tags	6	2015-03-20 14:02:36.904	{"score":1.5909089987928218}
3035	28	42	tags	7	2015-03-20 14:02:36.968	{"score":1.5333333452542623}
3036	28	51	random	8	2015-03-20 14:02:37.024	\N
3037	28	8	random	9	2015-03-20 14:02:37.056	\N
3038	24	32	cbr	0	2015-03-20 14:02:42.792	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":3.0}
3039	24	58	cbr	1	2015-03-20 14:02:42.804	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":3.0}
3040	24	97	cbr	2	2015-03-20 14:02:42.824	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":4.0}
3041	24	58	tags	3	2015-03-20 14:02:42.843	{"score":5.624999761581421}
3042	24	78	CF	4	2015-03-20 14:02:42.864	{"prediction":5.079761904761905}
3043	24	21	CF	5	2015-03-20 14:02:42.916	{"prediction":4.957407407407408}
3044	24	97	CF	6	2015-03-20 14:02:42.951	{"prediction":4.936904761904763}
3045	24	85	CF	7	2015-03-20 14:02:43.012	{"prediction":4.790740740740741}
3046	24	18	random	8	2015-03-20 14:02:43.03	\N
3047	24	75	random	9	2015-03-20 14:02:43.091	\N
3048	26	19	cbr	0	2015-03-20 14:04:32.942	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
3049	26	79	cbr	1	2015-03-20 14:04:32.964	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
3050	26	65	cbr	2	2015-03-20 14:04:32.971	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
3051	26	58	cbr	3	2015-03-20 14:04:32.976	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":3.0}
3052	26	78	CF	4	2015-03-20 14:04:32.98	{"prediction":4.201428571428571}
3053	26	21	CF	5	2015-03-20 14:04:32.989	{"prediction":4.082380952380952}
3054	26	85	CF	6	2015-03-20 14:04:32.995	{"prediction":3.9157142857142855}
3055	26	14	CF	7	2015-03-20 14:04:33.004	{"prediction":3.9157142857142855}
3056	26	74	random	8	2015-03-20 14:04:33.009	\N
3057	26	26	random	9	2015-03-20 14:04:33.019	\N
3058	25	21	CF	0	2015-03-20 15:54:44.068	{"prediction":4.166666666666667}
3059	25	85	CF	1	2015-03-20 15:54:44.117	{"prediction":4.0}
3060	25	14	CF	2	2015-03-20 15:54:44.126	{"prediction":4.0}
3061	25	4	CF	3	2015-03-20 15:54:44.138	{"prediction":4.0}
3062	25	79	tags	4	2015-03-20 15:54:44.154	{"score":4.9099998533725735}
3063	25	54	tags	5	2015-03-20 15:54:44.167	{"score":4.5916668176651}
3064	25	79	cbr	6	2015-03-20 15:54:44.171	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":2.0}
3065	25	65	cbr	7	2015-03-20 15:54:44.175	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":2.0}
3066	25	77	random	8	2015-03-20 15:54:44.18	\N
3067	25	4	random	9	2015-03-20 15:54:44.191	\N
3068	25	79	cbr	0	2015-03-20 15:55:21.9	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":2.0}
3069	25	65	cbr	1	2015-03-20 15:55:21.912	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":2.0}
3070	25	79	tags	2	2015-03-20 15:55:21.922	{"score":5.030000311136246}
3071	25	54	tags	3	2015-03-20 15:55:21.935	{"score":4.741666754086812}
3072	25	85	CF	4	2015-03-20 15:55:21.946	{"prediction":4.0}
3073	25	14	CF	5	2015-03-20 15:55:21.959	{"prediction":4.0}
3074	25	4	CF	6	2015-03-20 15:55:21.974	{"prediction":4.0}
3075	25	50	CF	7	2015-03-20 15:55:21.98	{"prediction":4.0}
3076	25	100	random	8	2015-03-20 15:55:21.987	\N
3077	25	21	random	9	2015-03-20 15:55:22.006	\N
3078	25	85	CF	0	2015-03-20 15:55:41.37	{"prediction":4.0}
3079	25	14	CF	1	2015-03-20 15:55:41.378	{"prediction":4.0}
3080	25	4	CF	2	2015-03-20 15:55:41.396	{"prediction":4.0}
3081	25	50	CF	3	2015-03-20 15:55:41.403	{"prediction":4.0}
3082	25	65	cbr	4	2015-03-20 15:55:41.42	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":2.0}
3083	25	32	cbr	5	2015-03-20 15:55:41.425	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":3.0}
3084	25	54	tags	6	2015-03-20 15:55:41.429	{"score":5.141666829586029}
3085	25	72	tags	7	2015-03-20 15:55:41.678	{"score":4.8181817152283415}
3086	25	80	random	8	2015-03-20 15:55:41.683	\N
3087	25	98	random	9	2015-03-20 15:55:41.686	\N
3088	42	4	tags	0	2015-03-20 15:57:12.524	{"score":2.0}
3089	42	100	tags	1	2015-03-20 15:57:12.533	{"score":1.25}
3090	42	30	tags	2	2015-03-20 15:57:12.543	{"score":1.0}
3091	42	58	tags	3	2015-03-20 15:57:12.573	{"score":1.0}
3092	42	23	CF	4	2015-03-20 15:57:12.592	{"prediction":4.4}
3096	42	32	random	8	2015-03-20 15:57:12.624	\N
3097	42	1	random	9	2015-03-20 15:57:12.628	\N
3100	25	50	CF	2	2015-03-20 15:58:37.166	{"prediction":4.0}
3101	25	87	CF	3	2015-03-20 15:58:37.18	{"prediction":4.0}
3105	25	65	cbr	7	2015-03-20 15:58:37.225	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":2.0}
3106	25	67	random	8	2015-03-20 15:58:37.23	\N
3108	25	65	cbr	0	2015-03-20 16:00:46.33	{"similarUserId":25,"similarityToUser":1.0,"similarUserRating":2.0}
3112	25	87	CF	4	2015-03-20 16:00:46.362	{"prediction":4.0}
3113	25	54	tags	5	2015-03-20 16:00:46.372	{"score":5.516666650772095}
3117	25	41	random	9	2015-03-20 16:00:46.41	\N
3138	42	23	CF	0	2015-03-20 16:02:10.478	{"prediction":4.4}
3140	42	78	CF	2	2015-03-20 16:02:10.506	{"prediction":4.285714285714286}
3143	42	21	tags	5	2015-03-20 16:02:10.549	{"score":1.6285714677401952}
3145	42	100	tags	7	2015-03-20 16:02:10.566	{"score":1.4600000381469727}
3148	42	19	cbr	0	2015-03-20 16:03:17.65	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
3151	42	12	tags	3	2015-03-20 16:03:17.667	{"score":0.5833333532015483}
3153	42	97	CF	5	2015-03-20 16:03:17.74	{"prediction":4.25}
3156	42	9	random	8	2015-03-20 16:03:17.786	\N
3093	42	64	CF	5	2015-03-20 15:57:12.604	{"prediction":4.285714285714286}
3098	25	14	CF	0	2015-03-20 15:58:37.138	{"prediction":4.0}
3103	25	72	tags	5	2015-03-20 15:58:37.206	{"score":5.17272738976912}
3110	25	4	CF	2	2015-03-20 16:00:46.346	{"prediction":4.0}
3115	25	50	tags	7	2015-03-20 16:00:46.385	{"score":5.1133331775665285}
3139	42	64	CF	1	2015-03-20 16:02:10.496	{"prediction":4.285714285714286}
3144	42	77	tags	6	2015-03-20 16:02:10.555	{"score":1.4846154405520513}
3150	42	77	tags	2	2015-03-20 16:03:17.662	{"score":0.6769230961799622}
3155	42	21	CF	7	2015-03-20 16:03:17.78	{"prediction":4.166666666666667}
3094	42	78	CF	6	2015-03-20 15:57:12.609	{"prediction":4.285714285714286}
3102	25	54	tags	4	2015-03-20 15:58:37.192	{"score":5.516666650772095}
3107	25	91	random	9	2015-03-20 15:58:37.245	\N
3109	25	14	CF	1	2015-03-20 16:00:46.342	{"prediction":4.0}
3114	25	72	tags	6	2015-03-20 16:00:46.377	{"score":5.17272738976912}
3141	42	97	CF	3	2015-03-20 16:02:10.512	{"prediction":4.25}
3146	42	75	random	8	2015-03-20 16:02:10.569	\N
3152	42	78	CF	4	2015-03-20 16:03:17.671	{"prediction":4.285714285714286}
3157	42	90	random	9	2015-03-20 16:03:17.792	\N
3095	42	97	CF	7	2015-03-20 15:57:12.616	{"prediction":4.25}
3099	25	4	CF	1	2015-03-20 15:58:37.154	{"prediction":4.0}
3104	25	50	tags	6	2015-03-20 15:58:37.214	{"score":5.1133331775665285}
3111	25	50	CF	3	2015-03-20 16:00:46.352	{"prediction":4.0}
3116	25	40	random	8	2015-03-20 16:00:46.399	\N
3142	42	19	cbr	4	2015-03-20 16:02:10.544	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
3147	42	71	random	9	2015-03-20 16:02:10.576	\N
3149	42	21	tags	1	2015-03-20 16:03:17.657	{"score":0.8142857125827244}
3154	42	60	CF	6	2015-03-20 16:03:17.763	{"prediction":4.2}
3118	42	23	CF	0	2015-03-20 16:01:00.225	{"prediction":4.4}
3123	42	21	tags	5	2015-03-20 16:01:00.255	{"score":1.6285714677401952}
3158	42	43	tags	0	2015-03-20 16:05:50.528	{"score":0.34545452911966207}
3163	42	79	cbr	5	2015-03-20 16:05:50.588	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
3119	42	64	CF	1	2015-03-20 16:01:00.235	{"prediction":4.285714285714286}
3124	42	77	tags	6	2015-03-20 16:01:00.26	{"score":1.4846154405520513}
3162	42	85	CF	4	2015-03-20 16:05:50.583	{"prediction":4.0}
3167	42	67	random	9	2015-03-20 16:05:50.625	\N
3120	42	78	CF	2	2015-03-20 16:01:00.24	{"prediction":4.285714285714286}
3125	42	100	tags	7	2015-03-20 16:01:00.271	{"score":1.4600000381469727}
3159	42	78	CF	1	2015-03-20 16:05:50.54	{"prediction":4.285714285714286}
3164	42	65	cbr	6	2015-03-20 16:05:50.597	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
3121	42	97	CF	3	2015-03-20 16:01:00.244	{"prediction":4.25}
3126	42	56	random	8	2015-03-20 16:01:00.276	\N
3161	42	60	CF	3	2015-03-20 16:05:50.574	{"prediction":4.2}
3166	42	86	random	8	2015-03-20 16:05:50.61	\N
3122	42	19	cbr	4	2015-03-20 16:01:00.251	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
3127	42	43	random	9	2015-03-20 16:01:00.282	\N
3160	42	97	CF	2	2015-03-20 16:05:50.547	{"prediction":4.25}
3165	42	32	cbr	7	2015-03-20 16:05:50.604	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":3.0}
3128	42	23	CF	0	2015-03-20 16:01:10.788	{"prediction":4.4}
3133	42	21	tags	5	2015-03-20 16:01:10.819	{"score":1.6285714677401952}
3129	42	64	CF	1	2015-03-20 16:01:10.793	{"prediction":4.285714285714286}
3134	42	77	tags	6	2015-03-20 16:01:10.822	{"score":1.4846154405520513}
3130	42	78	CF	2	2015-03-20 16:01:10.808	{"prediction":4.285714285714286}
3135	42	100	tags	7	2015-03-20 16:01:10.827	{"score":1.4600000381469727}
3131	42	97	CF	3	2015-03-20 16:01:10.811	{"prediction":4.25}
3136	42	5	random	8	2015-03-20 16:01:10.831	\N
3132	42	19	cbr	4	2015-03-20 16:01:10.815	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
3137	42	23	random	9	2015-03-20 16:01:10.835	\N
3168	23	42	tags	0	2015-03-20 16:22:19.012	{"score":9.033333333333333}
3169	23	20	tags	1	2015-03-20 16:22:19.023	{"score":8.899999856948853}
3170	23	22	tags	2	2015-03-20 16:22:19.036	{"score":8.655555725097656}
3171	23	21	CF	3	2015-03-20 16:22:19.055	{"prediction":4.880952380952381}
3172	23	85	CF	4	2015-03-20 16:22:19.084	{"prediction":4.714285714285714}
3173	23	100	CF	5	2015-03-20 16:22:19.098	{"prediction":4.714285714285714}
3174	23	49	CF	6	2015-03-20 16:22:19.108	{"prediction":4.714285714285714}
3175	23	65	cbr	7	2015-03-20 16:22:19.116	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
3176	23	58	random	8	2015-03-20 16:22:19.125	\N
3177	23	36	random	9	2015-03-20 16:22:19.131	\N
3178	23	65	cbr	0	2015-03-20 16:22:26.746	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
3179	23	58	cbr	1	2015-03-20 16:22:26.77	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":3.0}
3180	23	20	tags	2	2015-03-20 16:22:26.778	{"score":9.012499809265137}
3181	23	22	tags	3	2015-03-20 16:22:26.787	{"score":8.788888719346788}
3182	23	21	CF	4	2015-03-20 16:22:26.797	{"prediction":4.880952380952381}
3183	23	85	CF	5	2015-03-20 16:22:26.805	{"prediction":4.714285714285714}
3184	23	100	CF	6	2015-03-20 16:22:26.808	{"prediction":4.714285714285714}
3185	23	49	CF	7	2015-03-20 16:22:26.811	{"prediction":4.714285714285714}
3186	23	31	random	8	2015-03-20 16:22:26.815	\N
3187	23	85	random	9	2015-03-20 16:22:26.818	\N
3188	23	20	tags	0	2015-03-20 16:22:30.932	{"score":9.087500095367432}
3189	23	22	tags	1	2015-03-20 16:22:30.949	{"score":8.855555640326607}
3190	23	21	CF	2	2015-03-20 16:22:30.959	{"prediction":4.880952380952381}
3191	23	85	CF	3	2015-03-20 16:22:30.983	{"prediction":4.714285714285714}
3192	23	100	CF	4	2015-03-20 16:22:31.003	{"prediction":4.714285714285714}
3193	23	49	CF	5	2015-03-20 16:22:31.015	{"prediction":4.714285714285714}
3194	23	58	cbr	6	2015-03-20 16:22:31.02	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":3.0}
3195	23	85	cbr	7	2015-03-20 16:22:31.023	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":4.0}
3196	23	4	random	8	2015-03-20 16:22:31.027	\N
3197	23	24	random	9	2015-03-20 16:22:31.031	\N
3198	27	50	CF	0	2015-03-20 18:37:19.245	{"prediction":4.0}
3199	27	49	CF	1	2015-03-20 18:37:19.256	{"prediction":4.0}
3200	27	29	CF	2	2015-03-20 18:37:19.266	{"prediction":4.0}
3201	27	100	CF	3	2015-03-20 18:37:19.276	{"prediction":4.0}
3202	27	80	tags	4	2015-03-20 18:37:19.285	{"score":3.0499998927116394}
3203	27	32	cbr	5	2015-03-20 18:37:19.293	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
3204	27	100	cbr	6	2015-03-20 18:37:19.297	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
3205	27	43	random	7	2015-03-20 18:37:19.314	\N
3206	27	92	random	8	2015-03-20 18:37:19.319	\N
3207	27	56	random	9	2015-03-20 18:37:19.322	\N
3208	27	80	tags	0	2015-03-20 18:37:51.578	{"score":3.275000035762787}
3209	27	32	cbr	1	2015-03-20 18:37:51.587	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
3210	27	100	cbr	2	2015-03-20 18:37:51.597	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
3211	27	49	CF	3	2015-03-20 18:37:51.605	{"prediction":4.0}
3212	27	29	CF	4	2015-03-20 18:37:51.613	{"prediction":4.0}
3213	27	100	CF	5	2015-03-20 18:37:51.622	{"prediction":4.0}
3214	27	32	CF	6	2015-03-20 18:37:51.626	{"prediction":3.857142857142857}
3215	27	45	random	7	2015-03-20 18:37:51.629	\N
3216	27	76	random	8	2015-03-20 18:37:51.632	\N
3217	27	70	random	9	2015-03-20 18:37:51.635	\N
3218	27	49	CF	0	2015-03-20 18:38:25.418	{"prediction":4.0}
3219	27	29	CF	1	2015-03-20 18:38:25.423	{"prediction":4.0}
3220	27	100	CF	2	2015-03-20 18:38:25.428	{"prediction":4.0}
3221	27	8	CF	3	2015-03-20 18:38:25.431	{"prediction":3.6666666666666665}
3222	27	100	cbr	4	2015-03-20 18:38:25.436	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
3223	27	91	random	5	2015-03-20 18:38:25.44	\N
3224	27	69	random	6	2015-03-20 18:38:25.443	\N
3225	27	100	random	7	2015-03-20 18:38:25.462	\N
3226	27	93	random	8	2015-03-20 18:38:25.466	\N
3227	27	78	random	9	2015-03-20 18:38:25.473	\N
3228	27	100	CF	0	2015-03-20 18:38:56.155	{"prediction":4.0}
3229	27	8	CF	1	2015-03-20 18:38:56.159	{"prediction":3.6666666666666665}
3230	27	100	cbr	2	2015-03-20 18:38:56.167	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
3231	27	57	tags	3	2015-03-20 18:38:56.171	{"score":3.8777778678470187}
3232	27	59	random	4	2015-03-20 18:38:56.175	\N
3233	27	72	random	5	2015-03-20 18:38:56.185	\N
3234	27	22	random	6	2015-03-20 18:38:56.188	\N
3235	27	73	random	7	2015-03-20 18:38:56.191	\N
3236	27	93	random	8	2015-03-20 18:38:56.194	\N
3237	27	71	random	9	2015-03-20 18:38:56.198	\N
3238	24	85	cbr	0	2015-03-20 21:25:36.998	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":4.0}
3239	24	87	cbr	1	2015-03-20 21:25:37.034	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":4.0}
3240	24	100	cbr	2	2015-03-20 21:25:37.087	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":4.0}
3241	24	54	tags	3	2015-03-20 21:25:37.14	{"score":5.924999872843425}
3242	24	78	CF	4	2015-03-20 21:25:37.171	{"prediction":5.060714285714286}
3243	24	21	CF	5	2015-03-20 21:25:37.191	{"prediction":4.941666666666667}
3244	24	14	CF	6	2015-03-20 21:25:37.197	{"prediction":4.775}
3245	24	29	CF	7	2015-03-20 21:25:37.214	{"prediction":4.775}
3246	24	32	random	8	2015-03-20 21:25:37.228	\N
3247	24	6	random	9	2015-03-20 21:25:37.239	\N
3248	43	67	tags	0	2015-03-20 21:42:33.008	{"score":1.0}
3249	43	61	tags	1	2015-03-20 21:42:33.018	{"score":1.0}
3250	43	28	tags	2	2015-03-20 21:42:33.029	{"score":1.0}
3251	43	14	tags	3	2015-03-20 21:42:33.037	{"score":1.0}
3252	43	23	CF	4	2015-03-20 21:42:33.048	{"prediction":4.4}
3253	43	64	CF	5	2015-03-20 21:42:33.057	{"prediction":4.285714285714286}
3254	43	78	CF	6	2015-03-20 21:42:33.064	{"prediction":4.285714285714286}
3255	43	97	CF	7	2015-03-20 21:42:33.068	{"prediction":4.25}
3256	43	101	random	8	2015-03-20 21:42:33.075	\N
3257	43	52	random	9	2015-03-20 21:42:33.079	\N
3258	43	23	CF	0	2015-03-20 21:43:31.938	{"prediction":5.224786324786325}
3259	43	78	CF	1	2015-03-20 21:43:31.946	{"prediction":5.115995115995116}
3260	43	64	CF	2	2015-03-20 21:43:31.953	{"prediction":5.115995115995116}
3261	43	97	CF	3	2015-03-20 21:43:31.961	{"prediction":5.077991452991452}
3262	43	60	tags	4	2015-03-20 21:43:31.969	{"score":3.4000001351038613}
3263	43	61	tags	5	2015-03-20 21:43:31.978	{"score":3.3666666746139526}
3264	43	75	tags	6	2015-03-20 21:43:31.981	{"score":3.3222223785188465}
3265	43	38	tags	7	2015-03-20 21:43:31.984	{"score":3.2666667699813843}
3266	43	9	random	8	2015-03-20 21:43:31.987	\N
3267	43	18	random	9	2015-03-20 21:43:31.99	\N
3268	43	64	CF	0	2015-03-20 21:43:41.567	{"prediction":4.978625541125541}
3269	43	78	CF	1	2015-03-20 21:43:41.574	{"prediction":4.978625541125541}
3270	43	97	CF	2	2015-03-20 21:43:41.581	{"prediction":4.93844696969697}
3271	43	60	CF	3	2015-03-20 21:43:41.588	{"prediction":4.882196969696969}
3272	43	60	tags	4	2015-03-20 21:43:41.6	{"score":6.935713972364153}
3273	43	64	tags	5	2015-03-20 21:43:41.605	{"score":6.733333428700765}
3274	43	75	tags	6	2015-03-20 21:43:41.609	{"score":6.709090536290949}
3275	43	38	tags	7	2015-03-20 21:43:41.612	{"score":6.639999802907308}
3276	43	51	random	8	2015-03-20 21:43:41.615	\N
3277	43	17	random	9	2015-03-20 21:43:41.618	\N
3278	43	60	tags	0	2015-03-20 21:43:48.291	{"score":8.235713924680438}
3279	43	38	tags	1	2015-03-20 21:43:48.296	{"score":7.939999755223592}
3280	43	62	tags	2	2015-03-20 21:43:48.3	{"score":7.674999475479126}
3281	43	19	cbr	3	2015-03-20 21:43:48.303	{"similarUserId":43,"similarityToUser":1.0,"similarUserRating":2.0}
3282	43	78	CF	4	2015-03-20 21:43:48.307	{"prediction":4.959252806813782}
3283	43	97	CF	5	2015-03-20 21:43:48.311	{"prediction":4.917005420054201}
3284	43	60	CF	6	2015-03-20 21:43:48.316	{"prediction":4.857859078590786}
3285	43	21	CF	7	2015-03-20 21:43:48.319	{"prediction":4.848915989159892}
3286	43	37	random	8	2015-03-20 21:43:48.322	\N
3287	43	48	random	9	2015-03-20 21:43:48.326	\N
3288	23	58	cbr	0	2015-03-21 00:12:23.522	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":3.0}
3289	23	85	cbr	1	2015-03-21 00:12:23.537	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":4.0}
3290	23	20	tags	2	2015-03-21 00:12:23.548	{"score":9.087500095367432}
3291	23	22	tags	3	2015-03-21 00:12:23.556	{"score":8.855555640326607}
3292	23	67	CF	4	2015-03-21 00:12:23.568	{"prediction":4.806910569105691}
3293	23	21	CF	5	2015-03-21 00:12:23.58	{"prediction":4.806910569105691}
3294	23	100	CF	6	2015-03-21 00:12:23.586	{"prediction":4.640243902439024}
3295	23	50	CF	7	2015-03-21 00:12:23.589	{"prediction":4.640243902439024}
3296	23	92	random	8	2015-03-21 00:12:23.598	\N
3297	23	101	random	9	2015-03-21 00:12:23.602	\N
3298	19	100	cbr	0	2015-03-21 00:13:24.19	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":4.0}
3299	19	67	cbr	1	2015-03-21 00:13:24.198	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":5.0}
3300	19	21	cbr	2	2015-03-21 00:13:24.206	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":5.0}
3301	19	54	tags	3	2015-03-21 00:13:24.214	{"score":7.5333335399627686}
3302	19	67	CF	4	2015-03-21 00:13:24.223	{"prediction":3.6552101480836234}
3303	19	21	CF	5	2015-03-21 00:13:24.232	{"prediction":3.6552101480836234}
3304	19	100	CF	6	2015-03-21 00:13:24.235	{"prediction":3.4885434814169565}
3305	19	47	random	7	2015-03-21 00:13:24.239	\N
3306	19	63	random	8	2015-03-21 00:13:24.242	\N
3307	19	97	random	9	2015-03-21 00:13:24.245	\N
3308	19	84	tags	0	2015-03-21 00:13:55.483	{"score":5.200000153647529}
3309	19	67	random	1	2015-03-21 00:13:55.486	\N
3310	19	39	random	2	2015-03-21 00:13:55.489	\N
3311	19	98	random	3	2015-03-21 00:13:55.492	\N
3312	19	96	random	4	2015-03-21 00:13:55.495	\N
3313	19	13	random	5	2015-03-21 00:13:55.498	\N
3314	19	75	random	6	2015-03-21 00:13:55.501	\N
3315	19	79	random	7	2015-03-21 00:13:55.504	\N
3316	19	77	random	8	2015-03-21 00:13:55.507	\N
3317	19	7	random	9	2015-03-21 00:13:55.509	\N
3318	27	67	cbr	0	2015-03-21 07:31:26.5	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":5.0}
3319	27	67	CF	1	2015-03-21 07:31:26.51	{"prediction":3.8741496598639453}
3320	27	91	random	2	2015-03-21 07:31:26.528	\N
3321	27	64	random	3	2015-03-21 07:31:26.534	\N
3322	27	8	random	4	2015-03-21 07:31:26.543	\N
3323	27	38	random	5	2015-03-21 07:31:26.553	\N
3324	27	36	random	6	2015-03-21 07:31:26.559	\N
3325	27	101	random	7	2015-03-21 07:31:26.563	\N
3326	27	62	random	8	2015-03-21 07:31:26.566	\N
3327	27	66	random	9	2015-03-21 07:31:26.569	\N
3328	27	66	tags	0	2015-03-21 09:12:28.631	{"score":3.3699997425079347}
3329	27	99	random	1	2015-03-21 09:12:28.655	\N
3330	27	19	random	2	2015-03-21 09:12:28.661	\N
3331	27	84	random	3	2015-03-21 09:12:28.666	\N
3332	27	69	random	4	2015-03-21 09:12:28.676	\N
3336	27	4	random	8	2015-03-21 09:12:28.698	\N
3337	27	61	random	9	2015-03-21 09:12:28.701	\N
3333	27	79	random	5	2015-03-21 09:12:28.687	\N
3334	27	30	random	6	2015-03-21 09:12:28.691	\N
3335	27	76	random	7	2015-03-21 09:12:28.695	\N
3338	27	66	tags	0	2015-03-21 15:14:54.27	{"score":3.3699997425079347}
3339	27	87	random	1	2015-03-21 15:14:55.092	\N
3340	27	33	random	2	2015-03-21 15:14:55.102	\N
3341	27	70	random	3	2015-03-21 15:14:55.113	\N
3342	27	54	random	4	2015-03-21 15:14:55.122	\N
3343	27	84	random	5	2015-03-21 15:14:55.129	\N
3344	27	16	random	6	2015-03-21 15:14:55.138	\N
3345	27	44	random	7	2015-03-21 15:14:55.142	\N
3346	27	17	random	8	2015-03-21 15:14:55.147	\N
3347	27	62	random	9	2015-03-21 15:14:55.156	\N
3348	27	55	tags	0	2015-03-21 15:15:42.873	{"score":2.2666665116945905}
3351	27	92	random	3	2015-03-21 15:15:42.923	\N
3352	27	11	random	4	2015-03-21 15:15:42.931	\N
3353	27	45	random	5	2015-03-21 15:15:42.936	\N
3354	27	85	random	6	2015-03-21 15:15:42.943	\N
3355	27	35	random	7	2015-03-21 15:15:42.948	\N
3356	27	75	random	8	2015-03-21 15:15:42.959	\N
3357	27	72	random	9	2015-03-21 15:15:42.964	\N
3358	27	64	CF	0	2015-03-21 17:48:03.573	{"prediction":4.3898809523809526}
3359	27	64	cbr	1	2015-03-21 17:48:03.582	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":5.0}
3360	27	64	cbr	2	2015-03-21 17:48:03.59	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":5.0}
3361	27	64	cbr	3	2015-03-21 17:48:03.602	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":5.0}
3362	27	31	random	4	2015-03-21 17:48:03.618	\N
3363	27	39	random	5	2015-03-21 17:48:03.626	\N
3364	27	17	random	6	2015-03-21 17:48:03.635	\N
3365	27	24	random	7	2015-03-21 17:48:03.652	\N
3366	27	63	random	8	2015-03-21 17:48:03.694	\N
3367	27	83	random	9	2015-03-21 17:48:03.699	\N
3368	41	65	cbr	0	2015-03-21 17:52:51.588	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
3369	41	32	cbr	1	2015-03-21 17:52:51.625	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
3370	41	58	cbr	2	2015-03-21 17:52:51.631	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
3371	41	85	cbr	3	2015-03-21 17:52:51.642	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
3372	41	29	CF	4	2015-03-21 17:52:51.654	{"prediction":4.01984126984127}
3373	41	14	CF	5	2015-03-21 17:52:51.66	{"prediction":4.01984126984127}
3374	41	4	CF	6	2015-03-21 17:52:51.665	{"prediction":4.01984126984127}
3375	41	50	CF	7	2015-03-21 17:52:51.668	{"prediction":4.01984126984127}
3376	41	95	random	8	2015-03-21 17:52:51.672	\N
3377	41	65	random	9	2015-03-21 17:52:51.675	\N
3378	41	49	CF	0	2015-03-21 17:53:11.467	{"prediction":4.01984126984127}
3379	41	100	CF	1	2015-03-21 17:53:11.475	{"prediction":4.01984126984127}
3380	41	30	CF	2	2015-03-21 17:53:11.482	{"prediction":4.01984126984127}
3381	41	87	CF	3	2015-03-21 17:53:11.489	{"prediction":4.01984126984127}
3382	41	87	cbr	4	2015-03-21 17:53:11.498	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
3383	41	100	cbr	5	2015-03-21 17:53:11.506	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
3384	41	67	cbr	6	2015-03-21 17:53:11.509	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":5.0}
3385	41	84	random	7	2015-03-21 17:53:11.512	\N
3386	41	57	random	8	2015-03-21 17:53:11.515	\N
3387	41	54	random	9	2015-03-21 17:53:11.519	\N
3388	41	63	CF	0	2015-03-21 17:53:19.825	{"prediction":3.7312925170068025}
3389	41	8	CF	1	2015-03-21 17:53:19.844	{"prediction":3.6865079365079363}
3390	41	41	random	2	2015-03-21 17:53:19.85	\N
3391	41	11	random	3	2015-03-21 17:53:19.853	\N
3392	41	31	random	4	2015-03-21 17:53:19.859	\N
3393	41	43	random	5	2015-03-21 17:53:19.864	\N
3394	41	7	random	6	2015-03-21 17:53:19.867	\N
3395	41	50	random	7	2015-03-21 17:53:19.87	\N
3396	41	55	random	8	2015-03-21 17:53:19.873	\N
3397	41	73	random	9	2015-03-21 17:53:19.88	\N
3398	41	94	random	0	2015-03-21 17:53:24.896	\N
3399	41	99	random	1	2015-03-21 17:53:24.9	\N
3400	41	54	random	2	2015-03-21 17:53:24.907	\N
3401	41	69	random	3	2015-03-21 17:53:24.91	\N
3402	41	90	random	4	2015-03-21 17:53:24.913	\N
3403	41	7	random	5	2015-03-21 17:53:24.916	\N
3404	41	95	random	6	2015-03-21 17:53:24.919	\N
3405	41	24	random	7	2015-03-21 17:53:24.922	\N
3406	41	78	random	8	2015-03-21 17:53:24.926	\N
3407	41	12	random	9	2015-03-21 17:53:24.933	\N
3408	41	39	random	0	2015-03-21 17:53:30.847	\N
3409	41	2	random	1	2015-03-21 17:53:30.852	\N
3410	41	68	random	2	2015-03-21 17:53:30.858	\N
3411	41	11	random	3	2015-03-21 17:53:30.862	\N
3412	41	33	random	4	2015-03-21 17:53:30.88	\N
3413	41	80	random	5	2015-03-21 17:53:30.888	\N
3414	41	28	random	6	2015-03-21 17:53:30.891	\N
3415	41	53	random	7	2015-03-21 17:53:30.897	\N
3416	41	50	random	8	2015-03-21 17:53:30.9	\N
3417	41	1	random	9	2015-03-21 17:53:30.903	\N
3418	41	57	random	0	2015-03-21 17:53:36.599	\N
3419	41	23	random	1	2015-03-21 17:53:36.603	\N
3420	41	7	random	2	2015-03-21 17:53:36.606	\N
3421	41	18	random	3	2015-03-21 17:53:36.609	\N
3422	41	21	random	4	2015-03-21 17:53:36.611	\N
3423	41	64	random	5	2015-03-21 17:53:36.615	\N
3424	41	50	random	6	2015-03-21 17:53:36.617	\N
3425	41	48	random	7	2015-03-21 17:53:36.621	\N
3426	41	52	random	8	2015-03-21 17:53:36.624	\N
3427	41	9	random	9	2015-03-21 17:53:36.627	\N
3428	41	51	random	0	2015-03-21 17:53:42.036	\N
3429	41	46	random	1	2015-03-21 17:53:42.04	\N
3430	41	59	random	2	2015-03-21 17:53:42.044	\N
3431	41	83	random	3	2015-03-21 17:53:42.052	\N
3436	41	30	random	8	2015-03-21 17:53:42.067	\N
3489	41	17	random	1	2015-03-21 17:54:07.517	\N
3494	41	40	random	6	2015-03-21 17:54:07.535	\N
3432	41	49	random	4	2015-03-21 17:53:42.055	\N
3437	41	71	random	9	2015-03-21 17:53:42.071	\N
3490	41	33	random	2	2015-03-21 17:54:07.521	\N
3495	41	59	random	7	2015-03-21 17:54:07.538	\N
3433	41	1	random	5	2015-03-21 17:53:42.058	\N
3491	41	98	random	3	2015-03-21 17:54:07.524	\N
3496	41	57	random	8	2015-03-21 17:54:07.542	\N
3434	41	8	random	6	2015-03-21 17:53:42.061	\N
3492	41	96	random	4	2015-03-21 17:54:07.529	\N
3497	41	20	random	9	2015-03-21 17:54:07.546	\N
3435	41	91	random	7	2015-03-21 17:53:42.064	\N
3488	41	32	random	0	2015-03-21 17:54:07.511	\N
3493	41	94	random	5	2015-03-21 17:54:07.532	\N
3438	41	50	random	0	2015-03-21 17:53:48.81	\N
3443	41	9	random	5	2015-03-21 17:53:48.829	\N
3451	41	60	random	3	2015-03-21 17:53:51.846	\N
3456	41	29	random	8	2015-03-21 17:53:51.873	\N
3459	41	22	random	1	2015-03-21 17:53:55.34	\N
3464	41	93	random	6	2015-03-21 17:53:55.367	\N
3472	41	59	random	4	2015-03-21 17:54:03.297	\N
3477	41	12	random	9	2015-03-21 17:54:03.336	\N
3480	41	99	random	2	2015-03-21 17:54:05.542	\N
3485	41	30	random	7	2015-03-21 17:54:05.56	\N
3498	41	73	random	0	2015-03-21 17:54:16.094	\N
3503	41	37	random	5	2015-03-21 17:54:16.114	\N
3508	41	16	random	0	2015-03-21 17:54:18.117	\N
3513	41	7	random	5	2015-03-21 17:54:18.132	\N
3439	41	47	random	1	2015-03-21 17:53:48.815	\N
3444	41	87	random	6	2015-03-21 17:53:48.832	\N
3452	41	86	random	4	2015-03-21 17:53:51.856	\N
3457	41	28	random	9	2015-03-21 17:53:51.879	\N
3460	41	12	random	2	2015-03-21 17:53:55.345	\N
3465	41	21	random	7	2015-03-21 17:53:55.373	\N
3468	41	75	random	0	2015-03-21 17:54:03.267	\N
3473	41	14	random	5	2015-03-21 17:54:03.308	\N
3481	41	84	random	3	2015-03-21 17:54:05.546	\N
3486	41	74	random	8	2015-03-21 17:54:05.563	\N
3499	41	18	random	1	2015-03-21 17:54:16.098	\N
3504	41	30	random	6	2015-03-21 17:54:16.117	\N
3509	41	75	random	1	2015-03-21 17:54:18.121	\N
3514	41	11	random	6	2015-03-21 17:54:18.135	\N
3440	41	79	random	2	2015-03-21 17:53:48.818	\N
3445	41	4	random	7	2015-03-21 17:53:48.834	\N
3448	41	27	random	0	2015-03-21 17:53:51.83	\N
3453	41	14	random	5	2015-03-21 17:53:51.862	\N
3461	41	56	random	3	2015-03-21 17:53:55.351	\N
3466	41	7	random	8	2015-03-21 17:53:55.377	\N
3469	41	48	random	1	2015-03-21 17:54:03.273	\N
3474	41	52	random	6	2015-03-21 17:54:03.315	\N
3482	41	92	random	4	2015-03-21 17:54:05.549	\N
3487	41	2	random	9	2015-03-21 17:54:05.565	\N
3500	41	77	random	2	2015-03-21 17:54:16.101	\N
3505	41	54	random	7	2015-03-21 17:54:16.12	\N
3510	41	24	random	2	2015-03-21 17:54:18.123	\N
3515	41	67	random	7	2015-03-21 17:54:18.139	\N
3441	41	101	random	3	2015-03-21 17:53:48.822	\N
3446	41	91	random	8	2015-03-21 17:53:48.837	\N
3449	41	64	random	1	2015-03-21 17:53:51.838	\N
3454	41	70	random	6	2015-03-21 17:53:51.865	\N
3462	41	70	random	4	2015-03-21 17:53:55.361	\N
3467	41	42	random	9	2015-03-21 17:53:55.38	\N
3470	41	1	random	2	2015-03-21 17:54:03.284	\N
3475	41	43	random	7	2015-03-21 17:54:03.319	\N
3478	41	12	random	0	2015-03-21 17:54:05.535	\N
3483	41	80	random	5	2015-03-21 17:54:05.553	\N
3501	41	28	random	3	2015-03-21 17:54:16.109	\N
3506	41	27	random	8	2015-03-21 17:54:16.123	\N
3511	41	85	random	3	2015-03-21 17:54:18.126	\N
3516	41	79	random	8	2015-03-21 17:54:18.145	\N
3442	41	13	random	4	2015-03-21 17:53:48.825	\N
3447	41	62	random	9	2015-03-21 17:53:48.84	\N
3450	41	35	random	2	2015-03-21 17:53:51.842	\N
3455	41	73	random	7	2015-03-21 17:53:51.869	\N
3458	41	76	random	0	2015-03-21 17:53:55.332	\N
3463	41	91	random	5	2015-03-21 17:53:55.364	\N
3471	41	51	random	3	2015-03-21 17:54:03.29	\N
3476	41	19	random	8	2015-03-21 17:54:03.329	\N
3479	41	50	random	1	2015-03-21 17:54:05.538	\N
3484	41	58	random	6	2015-03-21 17:54:05.557	\N
3502	41	1	random	4	2015-03-21 17:54:16.112	\N
3507	41	29	random	9	2015-03-21 17:54:16.126	\N
3512	41	82	random	4	2015-03-21 17:54:18.129	\N
3517	41	60	random	9	2015-03-21 17:54:18.152	\N
3518	41	86	random	0	2015-03-21 17:54:25.319	\N
3523	41	100	random	5	2015-03-21 17:54:25.358	\N
3519	41	34	random	1	2015-03-21 17:54:25.326	\N
3524	41	69	random	6	2015-03-21 17:54:25.373	\N
3520	41	12	random	2	2015-03-21 17:54:25.33	\N
3525	41	6	random	7	2015-03-21 17:54:25.383	\N
3521	41	54	random	3	2015-03-21 17:54:25.333	\N
3526	41	13	random	8	2015-03-21 17:54:25.397	\N
3522	41	63	random	4	2015-03-21 17:54:25.347	\N
3527	41	30	random	9	2015-03-21 17:54:25.403	\N
3528	41	16	random	0	2015-03-21 18:09:57.793	\N
3529	41	4	random	1	2015-03-21 18:09:57.828	\N
3530	41	13	random	2	2015-03-21 18:09:57.833	\N
3531	41	57	random	3	2015-03-21 18:09:57.838	\N
3532	41	17	random	4	2015-03-21 18:09:57.86	\N
3533	41	80	random	5	2015-03-21 18:09:57.865	\N
3534	41	58	random	6	2015-03-21 18:09:57.88	\N
3535	41	85	random	7	2015-03-21 18:09:57.885	\N
3536	41	60	random	8	2015-03-21 18:09:57.894	\N
3537	41	25	random	9	2015-03-21 18:09:57.897	\N
3538	41	2	random	0	2015-03-21 18:10:03.218	\N
3539	41	46	random	1	2015-03-21 18:10:03.229	\N
3540	41	96	random	2	2015-03-21 18:10:03.237	\N
3541	41	4	random	3	2015-03-21 18:10:03.243	\N
3542	41	28	random	4	2015-03-21 18:10:03.25	\N
3543	41	21	random	5	2015-03-21 18:10:03.256	\N
3544	41	47	random	6	2015-03-21 18:10:03.262	\N
3545	41	78	random	7	2015-03-21 18:10:03.267	\N
3546	41	35	random	8	2015-03-21 18:10:03.272	\N
3547	41	19	random	9	2015-03-21 18:10:03.283	\N
3548	41	25	random	0	2015-03-21 18:10:05.074	\N
3549	41	59	random	1	2015-03-21 18:10:05.091	\N
3550	41	86	random	2	2015-03-21 18:10:05.095	\N
3551	41	5	random	3	2015-03-21 18:10:05.1	\N
3552	41	1	random	4	2015-03-21 18:10:05.107	\N
3553	41	80	random	5	2015-03-21 18:10:05.112	\N
3554	41	85	random	6	2015-03-21 18:10:05.12	\N
3555	41	8	random	7	2015-03-21 18:10:05.123	\N
3556	41	29	random	8	2015-03-21 18:10:05.127	\N
3557	41	34	random	9	2015-03-21 18:10:05.13	\N
3558	41	26	random	0	2015-03-21 18:10:14.863	\N
3559	41	41	random	1	2015-03-21 18:10:14.867	\N
3560	41	40	random	2	2015-03-21 18:10:14.871	\N
3561	41	92	random	3	2015-03-21 18:10:14.874	\N
3562	41	18	random	4	2015-03-21 18:10:14.877	\N
3563	41	14	random	5	2015-03-21 18:10:14.88	\N
3564	41	49	random	6	2015-03-21 18:10:14.884	\N
3565	41	57	random	7	2015-03-21 18:10:14.887	\N
3566	41	85	random	8	2015-03-21 18:10:14.89	\N
3567	41	82	random	9	2015-03-21 18:10:14.893	\N
3568	41	9	random	0	2015-03-21 18:10:21.846	\N
3569	41	20	random	1	2015-03-21 18:10:21.858	\N
3570	41	3	random	2	2015-03-21 18:10:21.868	\N
3571	41	87	random	3	2015-03-21 18:10:21.874	\N
3572	41	49	random	4	2015-03-21 18:10:21.882	\N
3573	41	17	random	5	2015-03-21 18:10:21.89	\N
3574	41	21	random	6	2015-03-21 18:10:21.906	\N
3575	41	22	random	7	2015-03-21 18:10:21.914	\N
3576	41	44	random	8	2015-03-21 18:10:21.923	\N
3577	41	27	random	9	2015-03-21 18:10:21.93	\N
3578	41	34	random	0	2015-03-21 18:10:26.588	\N
3579	41	19	random	1	2015-03-21 18:10:26.592	\N
3580	41	23	random	2	2015-03-21 18:10:26.595	\N
3581	41	48	random	3	2015-03-21 18:10:26.598	\N
3582	41	46	random	4	2015-03-21 18:10:26.6	\N
3583	41	7	random	5	2015-03-21 18:10:26.603	\N
3584	41	58	random	6	2015-03-21 18:10:26.606	\N
3585	41	11	random	7	2015-03-21 18:10:26.609	\N
3586	41	25	random	8	2015-03-21 18:10:26.612	\N
3587	41	17	random	9	2015-03-21 18:10:26.614	\N
3588	41	55	random	0	2015-03-21 18:10:35.106	\N
3589	41	50	random	1	2015-03-21 18:10:35.111	\N
3590	41	85	random	2	2015-03-21 18:10:35.114	\N
3591	41	42	random	3	2015-03-21 18:10:35.118	\N
3592	41	13	random	4	2015-03-21 18:10:35.122	\N
3593	41	87	random	5	2015-03-21 18:10:35.125	\N
3594	41	81	random	6	2015-03-21 18:10:35.127	\N
3595	41	12	random	7	2015-03-21 18:10:35.13	\N
3596	41	99	random	8	2015-03-21 18:10:35.134	\N
3597	41	67	random	9	2015-03-21 18:10:35.138	\N
3598	41	73	random	0	2015-03-21 18:10:50.89	\N
3599	41	66	random	1	2015-03-21 18:10:50.893	\N
3600	41	41	random	2	2015-03-21 18:10:50.896	\N
3601	41	93	random	3	2015-03-21 18:10:50.899	\N
3602	41	18	random	4	2015-03-21 18:10:50.902	\N
3603	41	77	random	5	2015-03-21 18:10:50.905	\N
3604	41	94	random	6	2015-03-21 18:10:50.909	\N
3605	41	90	random	7	2015-03-21 18:10:50.912	\N
3606	41	63	random	8	2015-03-21 18:10:50.917	\N
3607	41	76	random	9	2015-03-21 18:10:50.921	\N
3608	41	69	random	0	2015-03-21 18:10:57.643	\N
3609	41	97	random	1	2015-03-21 18:10:57.648	\N
3610	41	8	random	2	2015-03-21 18:10:57.651	\N
3611	41	100	random	3	2015-03-21 18:10:57.659	\N
3612	41	80	random	4	2015-03-21 18:10:57.664	\N
3613	41	71	random	5	2015-03-21 18:10:57.674	\N
3614	41	63	random	6	2015-03-21 18:10:57.683	\N
3615	41	84	random	7	2015-03-21 18:10:57.702	\N
3616	41	32	random	8	2015-03-21 18:10:57.725	\N
3617	41	54	random	9	2015-03-21 18:10:57.73	\N
3618	17	19	cbr	0	2015-03-22 11:39:53.708	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
3619	17	79	cbr	1	2015-03-22 11:39:53.801	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
3620	17	65	cbr	2	2015-03-22 11:39:53.813	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
3621	17	32	cbr	3	2015-03-22 11:39:53.824	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
3622	17	23	CF	4	2015-03-22 11:39:53.839	{"prediction":4.465367965367966}
3623	17	64	CF	5	2015-03-22 11:39:53.851	{"prediction":4.3898809523809526}
3624	17	97	CF	6	2015-03-22 11:39:53.859	{"prediction":4.2648809523809526}
3625	17	60	CF	7	2015-03-22 11:39:53.867	{"prediction":4.211904761904762}
3626	17	10	random	8	2015-03-22 11:39:53.88	\N
3627	17	19	random	9	2015-03-22 11:39:53.89	\N
3628	27	19	cbr	0	2015-03-22 12:44:55.589	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
3629	27	97	cbr	1	2015-03-22 12:44:55.614	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
3630	27	78	CF	2	2015-03-22 12:44:55.623	{"prediction":4.302721088435374}
3631	27	97	CF	3	2015-03-22 12:44:55.633	{"prediction":4.2648809523809526}
3632	27	14	CF	4	2015-03-22 12:44:55.643	{"prediction":4.01984126984127}
3633	27	19	CF	5	2015-03-22 12:44:55.647	{"prediction":3.6865079365079363}
3634	27	13	tags	6	2015-03-22 12:44:55.65	{"score":3.4333332061767576}
3635	27	64	random	7	2015-03-22 12:44:55.655	\N
3636	27	66	random	8	2015-03-22 12:44:55.659	\N
3637	42	43	tags	0	2015-03-22 15:47:14.064	{"score":0.34545452911966207}
3638	42	79	cbr	1	2015-03-22 15:47:14.074	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
3639	42	65	cbr	2	2015-03-22 15:47:14.083	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
3640	42	32	cbr	3	2015-03-22 15:47:14.093	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":3.0}
3641	42	78	CF	4	2015-03-22 15:47:14.101	{"prediction":4.318936877076412}
3642	42	97	CF	5	2015-03-22 15:47:14.104	{"prediction":4.279069767441861}
3643	42	60	CF	6	2015-03-22 15:47:14.108	{"prediction":4.223255813953489}
3644	42	29	CF	7	2015-03-22 15:47:14.111	{"prediction":4.038759689922481}
3645	42	2	random	8	2015-03-22 15:47:14.115	\N
3646	42	28	random	9	2015-03-22 15:47:14.118	\N
3647	16	64	CF	0	2015-03-22 16:02:23.688	{"prediction":4.36531007751938}
3648	16	78	CF	1	2015-03-22 16:02:23.699	{"prediction":4.280177187153932}
3649	16	21	CF	2	2015-03-22 16:02:23.708	{"prediction":4.280177187153932}
3650	16	97	CF	3	2015-03-22 16:02:23.717	{"prediction":4.24031007751938}
3651	16	64	tags	4	2015-03-22 16:02:23.725	{"score":4.900000204642613}
3652	16	32	tags	5	2015-03-22 16:02:23.728	{"score":3.772727007215673}
3653	16	7	tags	6	2015-03-22 16:02:23.733	{"score":3.6111110382609897}
3654	16	22	tags	7	2015-03-22 16:02:23.736	{"score":3.6099998593330382}
3655	16	62	random	8	2015-03-22 16:02:23.74	\N
3656	16	77	random	9	2015-03-22 16:02:23.744	\N
3657	30	23	CF	0	2015-03-22 18:52:14.059	{"prediction":4.475687103594081}
3658	30	64	CF	1	2015-03-22 18:52:14.073	{"prediction":4.404069767441861}
3659	30	78	CF	2	2015-03-22 18:52:14.088	{"prediction":4.318936877076412}
3660	30	21	CF	3	2015-03-22 18:52:14.1	{"prediction":4.318936877076412}
3661	30	19	cbr	4	2015-03-22 18:52:14.108	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3662	30	61	tags	5	2015-03-22 18:52:14.112	{"score":1.2666667103767395}
3663	30	10	tags	6	2015-03-22 18:52:14.115	{"score":1.128571399620601}
3664	30	8	tags	7	2015-03-22 18:52:14.12	{"score":1.1199999928474427}
3665	30	83	random	8	2015-03-22 18:52:14.124	\N
3666	30	60	random	9	2015-03-22 18:52:14.128	\N
3667	30	64	CF	0	2015-03-22 18:53:10.055	{"prediction":4.404069767441861}
3668	30	78	CF	1	2015-03-22 18:53:10.067	{"prediction":4.318936877076412}
3669	30	21	CF	2	2015-03-22 18:53:10.076	{"prediction":4.318936877076412}
3670	30	97	CF	3	2015-03-22 18:53:10.087	{"prediction":4.279069767441861}
3671	30	19	cbr	4	2015-03-22 18:53:10.098	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3672	30	79	cbr	5	2015-03-22 18:53:10.104	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3673	30	60	tags	6	2015-03-22 18:53:10.107	{"score":2.071428392614637}
3674	30	32	tags	7	2015-03-22 18:53:10.111	{"score":2.0454544533382766}
3675	30	10	random	8	2015-03-22 18:53:10.118	\N
3676	30	74	random	9	2015-03-22 18:53:10.122	\N
3677	30	60	tags	0	2015-03-22 18:53:43.155	{"score":2.071428392614637}
3678	30	32	tags	1	2015-03-22 18:53:43.163	{"score":2.0454544533382766}
3679	30	19	cbr	2	2015-03-22 18:53:43.17	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3680	30	79	cbr	3	2015-03-22 18:53:43.178	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3681	30	64	CF	4	2015-03-22 18:53:43.186	{"prediction":4.404069767441861}
3682	30	78	CF	5	2015-03-22 18:53:43.188	{"prediction":4.318936877076412}
3683	30	21	CF	6	2015-03-22 18:53:43.191	{"prediction":4.318936877076412}
3684	30	97	CF	7	2015-03-22 18:53:43.194	{"prediction":4.279069767441861}
3685	30	76	random	8	2015-03-22 18:53:43.197	\N
3686	30	68	random	9	2015-03-22 18:53:43.2	\N
3687	30	60	tags	0	2015-03-22 18:54:23.298	{"score":2.071428392614637}
3688	30	32	tags	1	2015-03-22 18:54:23.302	{"score":2.0454544533382766}
3689	30	64	CF	2	2015-03-22 18:54:23.305	{"prediction":4.404069767441861}
3690	30	78	CF	3	2015-03-22 18:54:23.308	{"prediction":4.318936877076412}
3691	30	21	CF	4	2015-03-22 18:54:23.311	{"prediction":4.318936877076412}
3692	30	97	CF	5	2015-03-22 18:54:23.314	{"prediction":4.279069767441861}
3693	30	19	cbr	6	2015-03-22 18:54:23.317	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3694	30	79	cbr	7	2015-03-22 18:54:23.32	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3695	30	21	random	8	2015-03-22 18:54:23.323	\N
3696	30	37	random	9	2015-03-22 18:54:23.326	\N
3697	1	19	cbr	0	2015-03-23 08:49:03.474	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3698	1	79	cbr	1	2015-03-23 08:49:03.485	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3699	1	65	cbr	2	2015-03-23 08:49:03.495	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3700	1	32	cbr	3	2015-03-23 08:49:03.504	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3701	1	23	CF	4	2015-03-23 08:49:03.511	{"prediction":4.475687103594081}
3702	1	64	CF	5	2015-03-23 08:49:03.515	{"prediction":4.404069767441861}
3703	1	78	CF	6	2015-03-23 08:49:03.518	{"prediction":4.318936877076412}
3708	1	64	CF	1	2015-03-23 08:49:03.814	{"prediction":4.404069767441861}
3712	1	79	cbr	5	2015-03-23 08:49:03.828	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3716	1	29	random	9	2015-03-23 08:49:03.84	\N
3720	1	32	cbr	3	2015-03-23 08:49:15.421	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3724	1	21	CF	7	2015-03-23 08:49:15.435	{"prediction":4.318936877076412}
3729	1	65	cbr	2	2015-03-23 08:49:32.737	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3733	1	78	CF	6	2015-03-23 08:49:32.775	{"prediction":4.318936877076412}
3738	1	79	cbr	1	2015-03-23 08:49:35.363	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3742	1	64	CF	5	2015-03-23 08:49:35.425	{"prediction":4.404069767441861}
3746	1	98	random	9	2015-03-23 08:49:35.455	\N
3757	1	19	cbr	0	2015-03-23 08:49:43.876	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3761	1	23	CF	4	2015-03-23 08:49:43.908	{"prediction":4.475687103594081}
3765	1	99	random	8	2015-03-23 08:49:43.937	\N
3704	1	21	CF	7	2015-03-23 08:49:03.522	{"prediction":4.318936877076412}
3709	1	78	CF	2	2015-03-23 08:49:03.817	{"prediction":4.318936877076412}
3713	1	65	cbr	6	2015-03-23 08:49:03.831	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3718	1	79	cbr	1	2015-03-23 08:49:15.414	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3722	1	64	CF	5	2015-03-23 08:49:15.428	{"prediction":4.404069767441861}
3726	1	76	random	9	2015-03-23 08:49:15.441	\N
3727	1	19	cbr	0	2015-03-23 08:49:32.72	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3731	1	23	CF	4	2015-03-23 08:49:32.76	{"prediction":4.475687103594081}
3735	1	41	random	8	2015-03-23 08:49:32.786	\N
3740	1	32	cbr	3	2015-03-23 08:49:35.38	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3744	1	21	CF	7	2015-03-23 08:49:35.44	{"prediction":4.318936877076412}
3759	1	65	cbr	2	2015-03-23 08:49:43.888	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3763	1	78	CF	6	2015-03-23 08:49:43.92	{"prediction":4.318936877076412}
3705	1	13	random	8	2015-03-23 08:49:03.526	\N
3710	1	21	CF	3	2015-03-23 08:49:03.821	{"prediction":4.318936877076412}
3714	1	32	cbr	7	2015-03-23 08:49:03.834	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3717	1	19	cbr	0	2015-03-23 08:49:15.409	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3721	1	23	CF	4	2015-03-23 08:49:15.425	{"prediction":4.475687103594081}
3725	1	28	random	8	2015-03-23 08:49:15.438	\N
3730	1	32	cbr	3	2015-03-23 08:49:32.747	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3734	1	21	CF	7	2015-03-23 08:49:32.779	{"prediction":4.318936877076412}
3739	1	65	cbr	2	2015-03-23 08:49:35.369	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3743	1	78	CF	6	2015-03-23 08:49:35.434	{"prediction":4.318936877076412}
3758	1	79	cbr	1	2015-03-23 08:49:43.884	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3762	1	64	CF	5	2015-03-23 08:49:43.916	{"prediction":4.404069767441861}
3766	1	48	random	9	2015-03-23 08:49:43.95	\N
3706	1	32	random	9	2015-03-23 08:49:03.529	\N
3707	1	23	CF	0	2015-03-23 08:49:03.81	{"prediction":4.475687103594081}
3711	1	19	cbr	4	2015-03-23 08:49:03.825	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3715	1	46	random	8	2015-03-23 08:49:03.837	\N
3719	1	65	cbr	2	2015-03-23 08:49:15.417	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3723	1	78	CF	6	2015-03-23 08:49:15.432	{"prediction":4.318936877076412}
3728	1	79	cbr	1	2015-03-23 08:49:32.728	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3732	1	64	CF	5	2015-03-23 08:49:32.772	{"prediction":4.404069767441861}
3736	1	54	random	9	2015-03-23 08:49:32.79	\N
3737	1	19	cbr	0	2015-03-23 08:49:35.356	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3741	1	23	CF	4	2015-03-23 08:49:35.397	{"prediction":4.475687103594081}
3745	1	76	random	8	2015-03-23 08:49:35.445	\N
3747	1	19	cbr	0	2015-03-23 08:49:42.017	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3748	1	79	cbr	1	2015-03-23 08:49:42.028	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3749	1	65	cbr	2	2015-03-23 08:49:42.044	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3750	1	32	cbr	3	2015-03-23 08:49:42.057	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3751	1	23	CF	4	2015-03-23 08:49:42.099	{"prediction":4.475687103594081}
3752	1	64	CF	5	2015-03-23 08:49:42.117	{"prediction":4.404069767441861}
3753	1	78	CF	6	2015-03-23 08:49:42.144	{"prediction":4.318936877076412}
3754	1	21	CF	7	2015-03-23 08:49:42.161	{"prediction":4.318936877076412}
3755	1	24	random	8	2015-03-23 08:49:42.182	\N
3756	1	93	random	9	2015-03-23 08:49:42.194	\N
3760	1	32	cbr	3	2015-03-23 08:49:43.9	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3764	1	21	CF	7	2015-03-23 08:49:43.928	{"prediction":4.318936877076412}
3767	1	23	CF	0	2015-03-23 08:49:45.404	{"prediction":4.475687103594081}
3768	1	64	CF	1	2015-03-23 08:49:45.408	{"prediction":4.404069767441861}
3769	1	78	CF	2	2015-03-23 08:49:45.419	{"prediction":4.318936877076412}
3770	1	21	CF	3	2015-03-23 08:49:45.423	{"prediction":4.318936877076412}
3771	1	19	cbr	4	2015-03-23 08:49:45.426	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3772	1	79	cbr	5	2015-03-23 08:49:45.429	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3773	1	65	cbr	6	2015-03-23 08:49:45.433	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3774	1	32	cbr	7	2015-03-23 08:49:45.437	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3775	1	100	random	8	2015-03-23 08:49:45.444	\N
3776	1	67	random	9	2015-03-23 08:49:45.448	\N
3777	1	23	CF	0	2015-03-23 08:49:48.12	{"prediction":4.475687103594081}
3778	1	64	CF	1	2015-03-23 08:49:48.124	{"prediction":4.404069767441861}
3779	1	78	CF	2	2015-03-23 08:49:48.127	{"prediction":4.318936877076412}
3780	1	21	CF	3	2015-03-23 08:49:48.131	{"prediction":4.318936877076412}
3781	1	19	cbr	4	2015-03-23 08:49:48.134	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3782	1	79	cbr	5	2015-03-23 08:49:48.136	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3783	1	65	cbr	6	2015-03-23 08:49:48.139	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3784	1	32	cbr	7	2015-03-23 08:49:48.143	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3785	1	20	random	8	2015-03-23 08:49:48.146	\N
3786	1	65	random	9	2015-03-23 08:49:48.149	\N
3787	1	23	CF	0	2015-03-23 08:49:49.483	{"prediction":4.475687103594081}
3788	1	64	CF	1	2015-03-23 08:49:49.488	{"prediction":4.404069767441861}
3789	1	78	CF	2	2015-03-23 08:49:49.494	{"prediction":4.318936877076412}
3790	1	21	CF	3	2015-03-23 08:49:49.497	{"prediction":4.318936877076412}
3791	1	19	cbr	4	2015-03-23 08:49:49.5	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3792	1	79	cbr	5	2015-03-23 08:49:49.503	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3793	1	65	cbr	6	2015-03-23 08:49:49.506	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3794	1	32	cbr	7	2015-03-23 08:49:49.509	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3795	1	23	random	8	2015-03-23 08:49:49.512	\N
3796	1	22	random	9	2015-03-23 08:49:49.514	\N
3797	1	23	CF	0	2015-03-23 08:49:52.065	{"prediction":4.475687103594081}
3798	1	64	CF	1	2015-03-23 08:49:52.069	{"prediction":4.404069767441861}
3799	1	78	CF	2	2015-03-23 08:49:52.072	{"prediction":4.318936877076412}
3800	1	21	CF	3	2015-03-23 08:49:52.075	{"prediction":4.318936877076412}
3801	1	19	cbr	4	2015-03-23 08:49:52.078	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3802	1	79	cbr	5	2015-03-23 08:49:52.081	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3803	1	65	cbr	6	2015-03-23 08:49:52.084	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3804	1	32	cbr	7	2015-03-23 08:49:52.088	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3805	1	42	random	8	2015-03-23 08:49:52.091	\N
3806	1	56	random	9	2015-03-23 08:49:52.094	\N
3807	1	19	cbr	0	2015-03-23 08:49:53.385	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3808	1	79	cbr	1	2015-03-23 08:49:53.388	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3809	1	65	cbr	2	2015-03-23 08:49:53.391	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3810	1	32	cbr	3	2015-03-23 08:49:53.394	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3811	1	23	CF	4	2015-03-23 08:49:53.397	{"prediction":4.475687103594081}
3812	1	64	CF	5	2015-03-23 08:49:53.4	{"prediction":4.404069767441861}
3813	1	78	CF	6	2015-03-23 08:49:53.403	{"prediction":4.318936877076412}
3814	1	21	CF	7	2015-03-23 08:49:53.406	{"prediction":4.318936877076412}
3819	1	78	CF	2	2015-03-23 08:49:54.785	{"prediction":4.318936877076412}
3823	1	65	cbr	6	2015-03-23 08:49:54.796	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3815	1	92	random	8	2015-03-23 08:49:53.409	\N
3820	1	21	CF	3	2015-03-23 08:49:54.788	{"prediction":4.318936877076412}
3824	1	32	cbr	7	2015-03-23 08:49:54.799	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
3816	1	95	random	9	2015-03-23 08:49:53.412	\N
3817	1	23	CF	0	2015-03-23 08:49:54.778	{"prediction":4.475687103594081}
3821	1	19	cbr	4	2015-03-23 08:49:54.79	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3825	1	25	random	8	2015-03-23 08:49:54.803	\N
3818	1	64	CF	1	2015-03-23 08:49:54.781	{"prediction":4.404069767441861}
3822	1	79	cbr	5	2015-03-23 08:49:54.794	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
3826	1	16	random	9	2015-03-23 08:49:54.805	\N
3827	30	64	CF	0	2015-03-23 11:27:37.885	{"prediction":4.404069767441861}
3828	30	78	CF	1	2015-03-23 11:27:37.896	{"prediction":4.318936877076412}
3829	30	21	CF	2	2015-03-23 11:27:37.903	{"prediction":4.318936877076412}
3830	30	97	CF	3	2015-03-23 11:27:37.914	{"prediction":4.279069767441861}
3831	30	19	cbr	4	2015-03-23 11:27:37.922	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3832	30	79	cbr	5	2015-03-23 11:27:37.925	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3833	30	60	tags	6	2015-03-23 11:27:37.928	{"score":2.071428392614637}
3834	30	32	tags	7	2015-03-23 11:27:37.932	{"score":2.0454544533382766}
3835	30	31	random	8	2015-03-23 11:27:37.935	\N
3836	30	27	random	9	2015-03-23 11:27:37.938	\N
3837	30	19	cbr	0	2015-03-23 11:28:12.325	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3838	30	79	cbr	1	2015-03-23 11:28:12.331	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
3839	30	21	CF	2	2015-03-23 11:28:12.34	{"prediction":4.318936877076412}
3840	30	97	CF	3	2015-03-23 11:28:12.344	{"prediction":4.279069767441861}
3841	30	60	CF	4	2015-03-23 11:28:12.347	{"prediction":4.223255813953489}
3842	30	29	CF	5	2015-03-23 11:28:12.35	{"prediction":4.038759689922481}
3843	30	60	tags	6	2015-03-23 11:28:12.354	{"score":2.5857144551617757}
3844	30	29	tags	7	2015-03-23 11:28:12.36	{"score":2.582353132612565}
3845	30	75	random	8	2015-03-23 11:28:12.363	\N
3846	30	23	random	9	2015-03-23 11:28:12.366	\N
3847	39	77	tags	0	2015-03-23 16:46:01.332	{"score":5.399999765249399}
3848	39	43	tags	1	2015-03-23 16:46:01.518	{"score":5.254545558582652}
3849	39	6	tags	2	2015-03-23 16:46:01.534	{"score":5.249999682108561}
3850	39	64	CF	3	2015-03-23 16:46:01.56	{"prediction":5.085132890365449}
3851	39	78	CF	4	2015-03-23 16:46:01.571	{"prediction":5.0}
3852	39	97	CF	5	2015-03-23 16:46:01.577	{"prediction":4.960132890365449}
3853	39	60	CF	6	2015-03-23 16:46:01.588	{"prediction":4.904318936877076}
3854	39	19	cbr	7	2015-03-23 16:46:01.606	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
3855	39	11	random	8	2015-03-23 16:46:01.62	\N
3856	39	75	random	9	2015-03-23 16:46:01.632	\N
3857	39	64	CF	0	2015-03-23 16:46:52.977	{"prediction":5.085132890365449}
3858	39	78	CF	1	2015-03-23 16:46:52.996	{"prediction":5.0}
3859	39	97	CF	2	2015-03-23 16:46:53.01	{"prediction":4.960132890365449}
3860	39	60	CF	3	2015-03-23 16:46:53.027	{"prediction":4.904318936877076}
3861	39	6	tags	4	2015-03-23 16:46:53.055	{"score":4.74999992052714}
3862	39	57	tags	5	2015-03-23 16:46:53.061	{"score":4.477777613533868}
3863	39	19	cbr	6	2015-03-23 16:46:53.073	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
3864	39	79	cbr	7	2015-03-23 16:46:53.084	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
3865	39	10	random	8	2015-03-23 16:46:53.092	\N
3866	39	67	random	9	2015-03-23 16:46:53.099	\N
3867	39	65	cbr	0	2015-03-23 16:47:36.804	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
3868	39	32	cbr	1	2015-03-23 16:47:36.813	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
3869	39	58	cbr	2	2015-03-23 16:47:36.824	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
3870	39	85	cbr	3	2015-03-23 16:47:36.829	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":4.0}
3871	39	30	CF	4	2015-03-23 16:47:36.832	{"prediction":4.719822812846068}
3872	39	14	CF	5	2015-03-23 16:47:36.837	{"prediction":4.719822812846068}
3873	39	49	CF	6	2015-03-23 16:47:36.841	{"prediction":4.719822812846068}
3874	39	50	CF	7	2015-03-23 16:47:36.845	{"prediction":4.719822812846068}
3875	39	5	random	8	2015-03-23 16:47:36.848	\N
3876	39	2	random	9	2015-03-23 16:47:36.851	\N
3877	23	38	tags	0	2015-03-23 18:15:41.135	{"score":9.3}
3878	23	42	tags	1	2015-03-23 18:15:41.151	{"score":9.253333282470702}
3879	23	20	tags	2	2015-03-23 18:15:41.174	{"score":9.087500095367432}
3880	23	22	tags	3	2015-03-23 18:15:41.211	{"score":8.855555640326607}
3881	23	21	CF	4	2015-03-23 18:15:41.247	{"prediction":4.914867109634551}
3882	23	78	CF	5	2015-03-23 18:15:41.266	{"prediction":4.914867109634551}
3883	23	97	CF	6	2015-03-23 18:15:41.286	{"prediction":4.875}
3884	23	60	CF	7	2015-03-23 18:15:41.295	{"prediction":4.8191860465116285}
3885	23	96	random	8	2015-03-23 18:15:41.309	\N
3886	23	87	random	9	2015-03-23 18:15:41.327	\N
3887	26	78	CF	0	2015-03-23 21:08:20.012	{"prediction":4.195759589247961}
3888	26	21	CF	1	2015-03-23 21:08:20.022	{"prediction":4.195759589247961}
3889	26	49	CF	2	2015-03-23 21:08:20.03	{"prediction":3.91558240209403}
3890	26	29	CF	3	2015-03-23 21:08:20.044	{"prediction":3.91558240209403}
3891	26	19	cbr	4	2015-03-23 21:08:20.059	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
3892	26	79	cbr	5	2015-03-23 21:08:20.064	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
3893	26	65	cbr	6	2015-03-23 21:08:20.069	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
3894	26	38	tags	7	2015-03-23 21:08:20.076	{"score":7.840000200271606}
3895	26	16	random	8	2015-03-23 21:08:20.079	\N
3896	26	69	random	9	2015-03-23 21:08:20.083	\N
3897	37	19	cbr	0	2015-03-24 08:40:53.402	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
3898	37	18	tags	1	2015-03-24 08:40:53.414	{"score":1.6285714421953474}
3899	37	90	tags	2	2015-03-24 08:40:53.423	{"score":1.6181818355213513}
3900	37	43	tags	3	2015-03-24 08:40:53.438	{"score":1.6000000346790662}
3904	37	21	CF	7	2015-03-24 08:40:53.461	{"prediction":4.280177187153932}
3910	37	90	tags	1	2015-03-24 08:40:56.73	{"score":1.6181818355213513}
3916	37	64	CF	5	2015-03-24 08:40:56.778	{"prediction":4.36531007751938}
3924	37	42	random	9	2015-03-24 08:40:56.792	\N
3930	37	19	cbr	3	2015-03-24 08:40:59.373	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
3934	37	21	CF	7	2015-03-24 08:40:59.391	{"prediction":4.280177187153932}
3948	37	64	CF	1	2015-03-24 08:41:17.239	{"prediction":4.36531007751938}
3951	37	18	tags	4	2015-03-24 08:41:17.412	{"score":1.6285714421953474}
3953	37	43	tags	6	2015-03-24 08:41:17.426	{"score":1.6000000346790662}
3959	37	43	tags	2	2015-03-24 08:41:17.859	{"score":1.6000000346790662}
3964	37	19	cbr	7	2015-03-24 08:41:17.898	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
3966	37	14	random	9	2015-03-24 08:41:17.92	\N
3972	37	78	CF	5	2015-03-24 08:41:18.378	{"prediction":4.280177187153932}
3978	37	64	CF	1	2015-03-24 08:41:18.516	{"prediction":4.36531007751938}
3982	37	18	tags	5	2015-03-24 08:41:18.577	{"score":1.6285714421953474}
3986	37	82	random	9	2015-03-24 08:41:18.603	\N
3990	37	23	CF	3	2015-03-24 08:41:19.687	{"prediction":4.4369274136716}
3994	37	19	cbr	7	2015-03-24 08:41:19.7	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
4009	37	64	CF	2	2015-03-24 08:44:47.798	{"prediction":4.36531007751938}
4013	37	90	tags	6	2015-03-24 08:44:47.81	{"score":1.6181818355213513}
3901	37	23	CF	4	2015-03-24 08:40:53.448	{"prediction":4.4369274136716}
3905	37	14	random	8	2015-03-24 08:40:53.464	\N
3911	37	43	tags	2	2015-03-24 08:40:56.733	{"score":1.6000000346790662}
3918	37	78	CF	6	2015-03-24 08:40:56.782	{"prediction":4.280177187153932}
3927	37	18	tags	0	2015-03-24 08:40:59.361	{"score":1.6285714421953474}
3931	37	23	CF	4	2015-03-24 08:40:59.376	{"prediction":4.4369274136716}
3935	37	21	random	8	2015-03-24 08:40:59.394	\N
3950	37	21	CF	3	2015-03-24 08:41:17.407	{"prediction":4.280177187153932}
3955	37	13	random	8	2015-03-24 08:41:17.515	\N
3958	37	90	tags	1	2015-03-24 08:41:17.845	{"score":1.6181818355213513}
3968	37	90	tags	1	2015-03-24 08:41:18.308	{"score":1.6181818355213513}
3971	37	64	CF	4	2015-03-24 08:41:18.331	{"prediction":4.36531007751938}
3974	37	19	cbr	7	2015-03-24 08:41:18.443	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
3976	37	99	random	9	2015-03-24 08:41:18.499	\N
3979	37	78	CF	2	2015-03-24 08:41:18.521	{"prediction":4.280177187153932}
3983	37	90	tags	6	2015-03-24 08:41:18.582	{"score":1.6181818355213513}
3989	37	43	tags	2	2015-03-24 08:41:19.684	{"score":1.6000000346790662}
3993	37	21	CF	6	2015-03-24 08:41:19.696	{"prediction":4.280177187153932}
4008	37	23	CF	1	2015-03-24 08:44:47.794	{"prediction":4.4369274136716}
4012	37	18	tags	5	2015-03-24 08:44:47.807	{"score":1.6285714421953474}
4016	37	61	random	9	2015-03-24 08:44:47.819	\N
3902	37	64	CF	5	2015-03-24 08:40:53.453	{"prediction":4.36531007751938}
3906	37	28	random	9	2015-03-24 08:40:53.467	\N
3912	37	19	cbr	3	2015-03-24 08:40:56.736	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
3920	37	21	CF	7	2015-03-24 08:40:56.786	{"prediction":4.280177187153932}
3928	37	90	tags	1	2015-03-24 08:40:59.365	{"score":1.6181818355213513}
3932	37	64	CF	5	2015-03-24 08:40:59.381	{"prediction":4.36531007751938}
3936	37	34	random	9	2015-03-24 08:40:59.398	\N
3947	37	23	CF	0	2015-03-24 08:41:17.211	{"prediction":4.4369274136716}
3949	37	78	CF	2	2015-03-24 08:41:17.372	{"prediction":4.280177187153932}
3952	37	90	tags	5	2015-03-24 08:41:17.422	{"score":1.6181818355213513}
3954	37	19	cbr	7	2015-03-24 08:41:17.429	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
3956	37	34	random	9	2015-03-24 08:41:17.567	\N
3957	37	18	tags	0	2015-03-24 08:41:17.806	{"score":1.6285714421953474}
3961	37	64	CF	4	2015-03-24 08:41:17.869	{"prediction":4.36531007751938}
3962	37	78	CF	5	2015-03-24 08:41:17.877	{"prediction":4.280177187153932}
3967	37	18	tags	0	2015-03-24 08:41:18.304	{"score":1.6285714421953474}
3970	37	23	CF	3	2015-03-24 08:41:18.323	{"prediction":4.4369274136716}
3973	37	21	CF	6	2015-03-24 08:41:18.388	{"prediction":4.280177187153932}
3975	37	82	random	8	2015-03-24 08:41:18.484	\N
3977	37	23	CF	0	2015-03-24 08:41:18.504	{"prediction":4.4369274136716}
3981	37	19	cbr	4	2015-03-24 08:41:18.557	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
3985	37	90	random	8	2015-03-24 08:41:18.594	\N
3987	37	18	tags	0	2015-03-24 08:41:19.677	{"score":1.6285714421953474}
3991	37	64	CF	4	2015-03-24 08:41:19.69	{"prediction":4.36531007751938}
3996	37	25	random	8	2015-03-24 08:41:19.705	\N
4010	37	78	CF	3	2015-03-24 08:44:47.801	{"prediction":4.280177187153932}
4014	37	43	tags	7	2015-03-24 08:44:47.813	{"score":1.6000000346790662}
3903	37	78	CF	6	2015-03-24 08:40:53.457	{"prediction":4.280177187153932}
3907	37	23	CF	0	2015-03-24 08:40:56.715	{"prediction":4.4369274136716}
3908	37	18	tags	0	2015-03-24 08:40:56.726	{"score":1.6285714421953474}
3909	37	64	CF	1	2015-03-24 08:40:56.725	{"prediction":4.36531007751938}
3913	37	78	CF	2	2015-03-24 08:40:56.734	{"prediction":4.280177187153932}
3914	37	23	CF	4	2015-03-24 08:40:56.744	{"prediction":4.4369274136716}
3915	37	21	CF	3	2015-03-24 08:40:56.746	{"prediction":4.280177187153932}
3917	37	18	tags	4	2015-03-24 08:40:56.781	{"score":1.6285714421953474}
3919	37	90	tags	5	2015-03-24 08:40:56.784	{"score":1.6181818355213513}
3921	37	43	tags	6	2015-03-24 08:40:56.787	{"score":1.6000000346790662}
3922	37	89	random	8	2015-03-24 08:40:56.789	\N
3923	37	19	cbr	7	2015-03-24 08:40:56.791	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
3925	37	9	random	8	2015-03-24 08:40:56.794	\N
3926	37	59	random	9	2015-03-24 08:40:56.798	\N
3929	37	43	tags	2	2015-03-24 08:40:59.369	{"score":1.6000000346790662}
3933	37	78	CF	6	2015-03-24 08:40:59.388	{"prediction":4.280177187153932}
3937	37	18	tags	0	2015-03-24 08:40:59.413	{"score":1.6285714421953474}
3938	37	90	tags	1	2015-03-24 08:40:59.417	{"score":1.6181818355213513}
3939	37	43	tags	2	2015-03-24 08:40:59.421	{"score":1.6000000346790662}
3940	37	19	cbr	3	2015-03-24 08:40:59.432	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
3941	37	23	CF	4	2015-03-24 08:40:59.444	{"prediction":4.4369274136716}
3942	37	64	CF	5	2015-03-24 08:40:59.448	{"prediction":4.36531007751938}
3943	37	78	CF	6	2015-03-24 08:40:59.457	{"prediction":4.280177187153932}
3944	37	21	CF	7	2015-03-24 08:40:59.461	{"prediction":4.280177187153932}
3945	37	12	random	8	2015-03-24 08:40:59.467	\N
3946	37	32	random	9	2015-03-24 08:40:59.484	\N
3960	37	23	CF	3	2015-03-24 08:41:17.863	{"prediction":4.4369274136716}
3963	37	21	CF	6	2015-03-24 08:41:17.893	{"prediction":4.280177187153932}
3965	37	61	random	8	2015-03-24 08:41:17.906	\N
3969	37	43	tags	2	2015-03-24 08:41:18.316	{"score":1.6000000346790662}
3980	37	21	CF	3	2015-03-24 08:41:18.549	{"prediction":4.280177187153932}
3984	37	43	tags	7	2015-03-24 08:41:18.589	{"score":1.6000000346790662}
3988	37	90	tags	1	2015-03-24 08:41:19.68	{"score":1.6181818355213513}
3992	37	78	CF	5	2015-03-24 08:41:19.694	{"prediction":4.280177187153932}
3995	37	18	tags	0	2015-03-24 08:41:19.699	{"score":1.6285714421953474}
3997	37	82	random	9	2015-03-24 08:41:19.711	\N
3998	37	90	tags	1	2015-03-24 08:41:19.71	{"score":1.6181818355213513}
3999	37	43	tags	2	2015-03-24 08:41:19.721	{"score":1.6000000346790662}
4000	37	23	CF	3	2015-03-24 08:41:19.745	{"prediction":4.4369274136716}
4001	37	64	CF	4	2015-03-24 08:41:19.754	{"prediction":4.36531007751938}
4002	37	78	CF	5	2015-03-24 08:41:19.757	{"prediction":4.280177187153932}
4003	37	21	CF	6	2015-03-24 08:41:19.761	{"prediction":4.280177187153932}
4004	37	19	cbr	7	2015-03-24 08:41:19.764	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
4005	37	80	random	8	2015-03-24 08:41:19.767	\N
4006	37	37	random	9	2015-03-24 08:41:19.771	\N
4007	37	19	cbr	0	2015-03-24 08:44:47.788	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
4011	37	21	CF	4	2015-03-24 08:44:47.804	{"prediction":4.280177187153932}
4015	37	97	random	8	2015-03-24 08:44:47.816	\N
4017	37	18	tags	0	2015-03-24 08:44:48.1	{"score":1.6285714421953474}
4018	37	90	tags	1	2015-03-24 08:44:48.104	{"score":1.6181818355213513}
4019	37	43	tags	2	2015-03-24 08:44:48.108	{"score":1.6000000346790662}
4020	37	23	CF	3	2015-03-24 08:44:48.111	{"prediction":4.4369274136716}
4021	37	64	CF	4	2015-03-24 08:44:48.114	{"prediction":4.36531007751938}
4022	37	78	CF	5	2015-03-24 08:44:48.117	{"prediction":4.280177187153932}
4023	37	21	CF	6	2015-03-24 08:44:48.121	{"prediction":4.280177187153932}
4024	37	19	cbr	7	2015-03-24 08:44:48.124	{"similarUserId":37,"similarityToUser":1.0,"similarUserRating":2.0}
4025	37	36	random	8	2015-03-24 08:44:48.126	\N
4026	37	16	random	9	2015-03-24 08:44:48.131	\N
4027	16	64	CF	0	2015-03-24 09:12:21.658	{"prediction":4.36531007751938}
4028	16	78	CF	1	2015-03-24 09:12:21.695	{"prediction":4.280177187153932}
4029	16	21	CF	2	2015-03-24 09:12:21.725	{"prediction":4.280177187153932}
4030	16	97	CF	3	2015-03-24 09:12:21.744	{"prediction":4.24031007751938}
4031	16	64	tags	4	2015-03-24 09:12:21.76	{"score":4.900000204642613}
4032	16	32	tags	5	2015-03-24 09:12:21.776	{"score":3.772727007215673}
4033	16	7	tags	6	2015-03-24 09:12:21.785	{"score":3.6111110382609897}
4034	16	22	tags	7	2015-03-24 09:12:21.789	{"score":3.6099998593330382}
4035	16	50	random	8	2015-03-24 09:12:21.793	\N
4036	16	46	random	9	2015-03-24 09:12:21.799	\N
4037	16	64	CF	0	2015-03-24 10:46:14.093	{"prediction":4.36531007751938}
4038	16	78	CF	1	2015-03-24 10:46:14.107	{"prediction":4.280177187153932}
4039	16	21	CF	2	2015-03-24 10:46:14.116	{"prediction":4.280177187153932}
4040	16	97	CF	3	2015-03-24 10:46:14.127	{"prediction":4.24031007751938}
4041	16	64	tags	4	2015-03-24 10:46:14.136	{"score":4.900000204642613}
4042	16	32	tags	5	2015-03-24 10:46:14.14	{"score":3.772727007215673}
4043	16	7	tags	6	2015-03-24 10:46:14.144	{"score":3.6111110382609897}
4044	16	22	tags	7	2015-03-24 10:46:14.147	{"score":3.6099998593330382}
4045	16	5	random	8	2015-03-24 10:46:14.15	\N
4046	16	57	random	9	2015-03-24 10:46:14.154	\N
4047	16	64	CF	0	2015-03-24 10:55:11.548	{"prediction":4.36531007751938}
4048	16	78	CF	1	2015-03-24 10:55:11.56	{"prediction":4.280177187153932}
4049	16	21	CF	2	2015-03-24 10:55:11.574	{"prediction":4.280177187153932}
4053	16	7	tags	6	2015-03-24 10:55:11.608	{"score":3.6111110382609897}
4070	17	97	CF	3	2015-03-24 11:04:39.765	{"prediction":4.279069767441861}
4074	17	32	cbr	7	2015-03-24 11:04:39.781	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
4050	16	97	CF	3	2015-03-24 10:55:11.582	{"prediction":4.24031007751938}
4054	16	22	tags	7	2015-03-24 10:55:11.612	{"score":3.6099998593330382}
4067	17	23	CF	0	2015-03-24 11:04:39.699	{"prediction":4.475687103594081}
4071	17	19	cbr	4	2015-03-24 11:04:39.769	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
4075	17	80	random	8	2015-03-24 11:04:39.784	\N
4051	16	64	tags	4	2015-03-24 10:55:11.595	{"score":4.900000204642613}
4055	16	71	random	8	2015-03-24 10:55:11.619	\N
4068	17	64	CF	1	2015-03-24 11:04:39.707	{"prediction":4.404069767441861}
4072	17	79	cbr	5	2015-03-24 11:04:39.773	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
4076	17	50	random	9	2015-03-24 11:04:39.788	\N
4052	16	32	tags	5	2015-03-24 10:55:11.599	{"score":3.772727007215673}
4056	16	61	random	9	2015-03-24 10:55:11.623	\N
4057	16	19	cbr	0	2015-03-24 10:56:58.824	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4058	16	79	cbr	1	2015-03-24 10:56:58.854	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4059	16	97	CF	2	2015-03-24 10:56:58.871	{"prediction":4.24031007751938}
4060	16	60	CF	3	2015-03-24 10:56:58.885	{"prediction":4.184496124031008}
4061	16	4	CF	4	2015-03-24 10:56:58.9	{"prediction":4.0}
4062	16	14	CF	5	2015-03-24 10:56:58.908	{"prediction":4.0}
4063	16	6	tags	6	2015-03-24 10:56:58.916	{"score":3.48333340883255}
4064	16	53	tags	7	2015-03-24 10:56:58.928	{"score":3.3357140251568387}
4065	16	11	random	8	2015-03-24 10:56:58.939	\N
4066	16	42	random	9	2015-03-24 10:56:58.943	\N
4069	17	21	CF	2	2015-03-24 11:04:39.713	{"prediction":4.318936877076412}
4073	17	65	cbr	6	2015-03-24 11:04:39.777	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
4077	23	7	tags	0	2015-03-24 13:26:26.415	{"score":5.5124993324279785}
4078	23	49	tags	1	2015-03-24 13:26:26.462	{"score":5.483332633972168}
4079	23	19	cbr	2	2015-03-24 13:26:26.472	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
4080	23	79	cbr	3	2015-03-24 13:26:26.484	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
4081	23	97	CF	4	2015-03-24 13:26:26.496	{"prediction":4.875}
4082	23	60	CF	5	2015-03-24 13:26:26.501	{"prediction":4.8191860465116285}
4083	23	29	CF	6	2015-03-24 13:26:26.505	{"prediction":4.63468992248062}
4084	23	14	CF	7	2015-03-24 13:26:26.509	{"prediction":4.63468992248062}
4085	23	39	random	8	2015-03-24 13:26:26.514	\N
4086	23	4	random	9	2015-03-24 13:26:26.519	\N
4087	23	97	CF	0	2015-03-24 13:26:36.343	{"prediction":4.875}
4088	23	60	CF	1	2015-03-24 13:26:36.355	{"prediction":4.8191860465116285}
4089	23	29	CF	2	2015-03-24 13:26:36.371	{"prediction":4.63468992248062}
4090	23	14	CF	3	2015-03-24 13:26:36.391	{"prediction":4.63468992248062}
4091	23	49	tags	4	2015-03-24 13:26:36.405	{"score":6.033332983652751}
4092	23	19	cbr	5	2015-03-24 13:26:36.41	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
4093	23	79	cbr	6	2015-03-24 13:26:36.416	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
4094	23	65	cbr	7	2015-03-24 13:26:36.42	{"similarUserId":23,"similarityToUser":1.0,"similarUserRating":2.0}
4095	23	52	random	8	2015-03-24 13:26:36.425	\N
4096	23	97	random	9	2015-03-24 13:26:36.428	\N
4097	39	87	cbr	0	2015-03-24 19:47:46.082	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":4.0}
4098	39	100	cbr	1	2015-03-24 19:47:46.104	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":4.0}
4099	39	30	CF	2	2015-03-24 19:47:46.147	{"prediction":4.719822812846068}
4100	39	14	CF	3	2015-03-24 19:47:46.163	{"prediction":4.719822812846068}
4101	39	87	CF	4	2015-03-24 19:47:46.183	{"prediction":4.719822812846068}
4102	39	100	CF	5	2015-03-24 19:47:46.191	{"prediction":4.719822812846068}
4103	39	46	random	6	2015-03-24 19:47:46.199	\N
4104	39	86	random	7	2015-03-24 19:47:46.202	\N
4105	39	98	random	8	2015-03-24 19:47:46.211	\N
4106	39	33	random	9	2015-03-24 19:47:46.214	\N
4107	26	38	tags	0	2015-03-25 10:48:50.524	{"score":7.840000200271606}
4108	26	78	CF	1	2015-03-25 10:48:50.563	{"prediction":4.195759589247961}
4109	26	21	CF	2	2015-03-25 10:48:50.579	{"prediction":4.195759589247961}
4110	26	49	CF	3	2015-03-25 10:48:50.599	{"prediction":3.91558240209403}
4111	26	29	CF	4	2015-03-25 10:48:50.615	{"prediction":3.91558240209403}
4112	26	19	cbr	5	2015-03-25 10:48:50.623	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
4113	26	79	cbr	6	2015-03-25 10:48:50.627	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
4114	26	65	cbr	7	2015-03-25 10:48:50.632	{"similarUserId":26,"similarityToUser":1.0,"similarUserRating":2.0}
4115	26	53	random	8	2015-03-25 10:48:50.636	\N
4116	26	5	random	9	2015-03-25 10:48:50.639	\N
4117	19	64	CF	0	2015-03-25 11:44:09.483	{"prediction":3.772831056312589}
4118	19	21	CF	1	2015-03-25 11:44:09.519	{"prediction":3.68769816594714}
4119	19	49	CF	2	2015-03-25 11:44:09.541	{"prediction":3.4075209787932086}
4120	19	87	CF	3	2015-03-25 11:44:09.552	{"prediction":3.4075209787932086}
4121	19	32	cbr	4	2015-03-25 11:44:09.56	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":3.0}
4122	19	84	tags	5	2015-03-25 11:44:09.566	{"score":3.8500004768371583}
4123	19	95	tags	6	2015-03-25 11:44:09.57	{"score":3.746154161599966}
4124	19	44	tags	7	2015-03-25 11:44:09.575	{"score":3.672727454792369}
4125	19	17	random	8	2015-03-25 11:44:09.579	\N
4126	19	49	random	9	2015-03-25 11:44:09.583	\N
4127	19	84	tags	0	2015-03-25 11:44:18.315	{"score":3.2600004196166994}
4128	19	95	tags	1	2015-03-25 11:44:18.319	{"score":3.030769531543438}
4129	19	44	tags	2	2015-03-25 11:44:18.328	{"score":3.0272730480540884}
4130	19	32	cbr	3	2015-03-25 11:44:18.335	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":3.0}
4131	19	87	cbr	4	2015-03-25 11:44:18.339	{"similarUserId":19,"similarityToUser":1.0,"similarUserRating":4.0}
4132	19	87	CF	5	2015-03-25 11:44:18.342	{"prediction":3.341281866281866}
4133	19	100	CF	6	2015-03-25 11:44:18.347	{"prediction":3.341281866281866}
4134	19	32	CF	7	2015-03-25 11:44:18.351	{"prediction":3.1984247234247234}
4135	19	46	random	8	2015-03-25 11:44:18.358	\N
4136	19	94	random	9	2015-03-25 11:44:18.365	\N
4137	16	23	CF	0	2015-03-25 14:57:22.788	{"prediction":4.454545454545454}
4138	16	29	CF	1	2015-03-25 14:57:22.844	{"prediction":4.0}
4139	16	14	CF	2	2015-03-25 14:57:22.922	{"prediction":4.0}
4140	16	50	CF	3	2015-03-25 14:57:22.937	{"prediction":4.0}
4141	16	24	tags	4	2015-03-25 14:57:22.965	{"score":1.1999999404744264}
4142	16	31	tags	5	2015-03-25 14:57:22.978	{"score":1.0999999847521624}
4143	16	53	tags	6	2015-03-25 14:57:23.009	{"score":1.0999998485129745}
4144	16	1	tags	7	2015-03-25 14:57:23.083	{"score":0.9999999701976776}
4145	16	68	random	8	2015-03-25 14:57:23.097	\N
4146	16	71	random	9	2015-03-25 14:57:23.116	\N
4147	39	29	CF	0	2015-03-25 16:48:56.876	{"prediction":4.714285714285714}
4148	39	14	CF	1	2015-03-25 16:48:56.933	{"prediction":4.714285714285714}
4149	39	63	CF	2	2015-03-25 16:48:56.948	{"prediction":4.428571428571429}
4150	39	8	CF	3	2015-03-25 16:48:56.966	{"prediction":4.3809523809523805}
4151	39	37	random	4	2015-03-25 16:48:56.976	\N
4152	39	84	random	5	2015-03-25 16:48:56.98	\N
4153	39	72	random	6	2015-03-25 16:48:56.986	\N
4154	39	77	random	7	2015-03-25 16:48:56.99	\N
4155	39	63	random	8	2015-03-25 16:48:56.997	\N
4156	39	75	random	9	2015-03-25 16:48:57	\N
4157	49	23	CF	0	2015-03-25 16:51:52.222	{"prediction":4.454545454545454}
4158	49	64	CF	1	2015-03-25 16:51:52.229	{"prediction":4.375}
4159	49	21	CF	2	2015-03-25 16:51:52.233	{"prediction":4.285714285714286}
4160	49	78	CF	3	2015-03-25 16:51:52.239	{"prediction":4.285714285714286}
4161	49	77	tags	4	2015-03-25 16:51:52.245	{"score":1.0}
4162	49	14	tags	5	2015-03-25 16:51:52.251	{"score":1.0}
4163	49	92	tags	6	2015-03-25 16:51:52.255	{"score":1.0}
4164	49	4	tags	7	2015-03-25 16:51:52.262	{"score":1.0}
4165	49	43	random	8	2015-03-25 16:51:52.281	\N
4166	49	52	random	9	2015-03-25 16:51:52.286	\N
4167	49	64	CF	0	2015-03-25 16:52:10.136	{"prediction":4.375}
4168	49	21	CF	1	2015-03-25 16:52:10.151	{"prediction":4.285714285714286}
4169	49	78	CF	2	2015-03-25 16:52:10.157	{"prediction":4.285714285714286}
4170	49	97	CF	3	2015-03-25 16:52:10.167	{"prediction":4.25}
4171	49	64	tags	4	2015-03-25 16:52:10.174	{"score":1.800000011920929}
4172	49	75	tags	5	2015-03-25 16:52:10.177	{"score":1.4399999737739564}
4173	49	35	tags	6	2015-03-25 16:52:10.182	{"score":1.438461491694817}
4174	49	63	tags	7	2015-03-25 16:52:10.189	{"score":1.40999995470047}
4175	49	42	random	8	2015-03-25 16:52:10.198	\N
4176	49	94	random	9	2015-03-25 16:52:10.205	\N
4177	49	78	CF	0	2015-03-25 16:52:23.185	{"prediction":4.285714285714286}
4178	49	97	CF	1	2015-03-25 16:52:23.195	{"prediction":4.25}
4179	49	60	CF	2	2015-03-25 16:52:23.209	{"prediction":4.2}
4180	49	4	CF	3	2015-03-25 16:52:23.223	{"prediction":4.0}
4181	49	19	cbr	4	2015-03-25 16:52:23.24	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
4182	49	89	tags	5	2015-03-25 16:52:23.244	{"score":2.17499977350235}
4186	49	80	random	9	2015-03-25 16:52:23.259	\N
4183	49	101	tags	6	2015-03-25 16:52:23.247	{"score":2.1499999165534973}
4184	49	77	tags	7	2015-03-25 16:52:23.25	{"score":2.141666392485301}
4185	49	84	random	8	2015-03-25 16:52:23.256	\N
4187	49	101	tags	0	2015-03-25 20:37:30.299	{"score":3.049999604622523}
4188	49	79	tags	1	2015-03-25 20:37:30.31	{"score":3.000000011920929}
4189	49	89	tags	2	2015-03-25 20:37:30.322	{"score":2.9999997317790985}
4190	49	77	tags	3	2015-03-25 20:37:30.331	{"score":2.9166662395000458}
4191	49	97	CF	4	2015-03-25 20:37:30.339	{"prediction":4.25}
4192	49	60	CF	5	2015-03-25 20:37:30.344	{"prediction":4.2}
4193	49	4	CF	6	2015-03-25 20:37:30.346	{"prediction":4.0}
4194	49	14	CF	7	2015-03-25 20:37:30.35	{"prediction":4.0}
4195	49	46	random	8	2015-03-25 20:37:30.353	\N
4196	49	34	random	9	2015-03-25 20:37:30.357	\N
4197	49	68	tags	0	2015-03-25 20:37:53.322	{"score":1.3000001072883607}
4198	49	77	tags	1	2015-03-25 20:37:53.331	{"score":1.2269231975078583}
4199	49	58	tags	2	2015-03-25 20:37:53.34	{"score":1.2000000476837158}
4200	49	97	CF	3	2015-03-25 20:37:53.348	{"prediction":4.25}
4201	49	60	CF	4	2015-03-25 20:37:53.355	{"prediction":4.2}
4202	49	4	CF	5	2015-03-25 20:37:53.359	{"prediction":4.0}
4203	49	14	CF	6	2015-03-25 20:37:53.362	{"prediction":4.0}
4204	49	19	cbr	7	2015-03-25 20:37:53.366	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
4205	49	12	random	8	2015-03-25 20:37:53.37	\N
4206	49	20	random	9	2015-03-25 20:37:53.373	\N
4207	24	79	cbr	0	2015-03-26 01:34:23.062	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":2.0}
4208	24	65	cbr	1	2015-03-26 01:34:23.075	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":2.0}
4209	24	32	cbr	2	2015-03-26 01:34:23.085	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":3.0}
4210	24	23	CF	3	2015-03-26 01:34:23.097	{"prediction":5.2295454545454545}
4211	24	78	CF	4	2015-03-26 01:34:23.108	{"prediction":5.060714285714286}
4212	24	21	CF	5	2015-03-26 01:34:23.112	{"prediction":5.060714285714286}
4213	24	85	CF	6	2015-03-26 01:34:23.116	{"prediction":4.775}
4214	24	58	tags	7	2015-03-26 01:34:23.123	{"score":4.949999570846558}
4215	24	3	random	8	2015-03-26 01:34:23.126	\N
4216	24	51	random	9	2015-03-26 01:34:23.129	\N
4217	27	19	cbr	0	2015-03-26 18:27:07.316	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4218	27	79	cbr	1	2015-03-26 18:27:07.866	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4219	27	65	cbr	2	2015-03-26 18:27:07.915	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4220	27	58	cbr	3	2015-03-26 18:27:07.961	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4221	27	23	CF	4	2015-03-26 18:27:07.986	{"prediction":5.1688311688311686}
4222	27	64	CF	5	2015-03-26 18:27:08.002	{"prediction":5.089285714285714}
4223	27	78	CF	6	2015-03-26 18:27:08.005	{"prediction":5.0}
4224	27	97	CF	7	2015-03-26 18:27:08.008	{"prediction":4.964285714285714}
4225	27	49	random	8	2015-03-26 18:27:08.012	\N
4226	27	56	random	9	2015-03-26 18:27:08.017	\N
4227	50	23	CF	0	2015-03-26 18:35:43.778	{"prediction":4.454545454545454}
4228	50	64	CF	1	2015-03-26 18:35:43.787	{"prediction":4.375}
4229	50	21	CF	2	2015-03-26 18:35:43.813	{"prediction":4.285714285714286}
4230	50	78	CF	3	2015-03-26 18:35:43.85	{"prediction":4.285714285714286}
4231	50	46	tags	4	2015-03-26 18:35:43.859	{"score":0.5900000095367431}
4232	50	92	tags	5	2015-03-26 18:35:43.882	{"score":0.5874999761581421}
4233	50	16	tags	6	2015-03-26 18:35:43.891	{"score":0.5666666825612386}
4234	50	78	tags	7	2015-03-26 18:35:43.898	{"score":0.5571428707667759}
4235	50	65	random	8	2015-03-26 18:35:43.906	\N
4236	50	7	random	9	2015-03-26 18:35:43.909	\N
4237	50	46	tags	0	2015-03-26 18:39:43.215	{"score":0.5900000095367431}
4238	50	92	tags	1	2015-03-26 18:39:43.22	{"score":0.5874999761581421}
4239	50	16	tags	2	2015-03-26 18:39:43.229	{"score":0.5666666825612386}
4240	50	78	tags	3	2015-03-26 18:39:43.247	{"score":0.5571428707667759}
4241	50	23	CF	4	2015-03-26 18:39:43.254	{"prediction":4.454545454545454}
4242	50	64	CF	5	2015-03-26 18:39:43.266	{"prediction":4.375}
4243	50	21	CF	6	2015-03-26 18:39:43.274	{"prediction":4.285714285714286}
4244	50	78	CF	7	2015-03-26 18:39:43.283	{"prediction":4.285714285714286}
4245	50	52	random	8	2015-03-26 18:39:43.298	\N
4246	50	41	random	9	2015-03-26 18:39:43.314	\N
4247	50	52	tags	0	2015-03-26 18:41:32.929	{"score":2.1545456051826477}
4248	50	40	tags	1	2015-03-26 18:41:32.96	{"score":2.112500011920929}
4249	50	54	tags	2	2015-03-26 18:41:32.978	{"score":2.0727272846482014}
4250	50	23	CF	3	2015-03-26 18:41:32.99	{"prediction":4.454545454545454}
4251	50	64	CF	4	2015-03-26 18:41:32.998	{"prediction":4.375}
4252	50	21	CF	5	2015-03-26 18:41:33.001	{"prediction":4.285714285714286}
4253	50	78	CF	6	2015-03-26 18:41:33.01	{"prediction":4.285714285714286}
4254	50	19	cbr	7	2015-03-26 18:41:33.012	{"similarUserId":50,"similarityToUser":1.0,"similarUserRating":2.0}
4255	50	34	random	8	2015-03-26 18:41:33.015	\N
4256	50	41	random	9	2015-03-26 18:41:33.019	\N
4257	43	19	cbr	0	2015-03-26 20:48:40.278	{"similarUserId":43,"similarityToUser":1.0,"similarUserRating":2.0}
4258	43	78	CF	1	2015-03-26 20:48:40.304	{"prediction":5.056818181818182}
4259	43	21	CF	2	2015-03-26 20:48:40.312	{"prediction":5.056818181818182}
4260	43	97	CF	3	2015-03-26 20:48:40.322	{"prediction":5.021103896103896}
4261	43	60	CF	4	2015-03-26 20:48:40.346	{"prediction":4.971103896103896}
4262	43	60	tags	5	2015-03-26 20:48:40.354	{"score":8.235713924680438}
4263	43	38	tags	6	2015-03-26 20:48:40.357	{"score":7.939999755223592}
4264	43	62	tags	7	2015-03-26 20:48:40.37	{"score":7.674999475479126}
4265	43	98	random	8	2015-03-26 20:48:40.381	\N
4269	43	35	tags	2	2015-03-26 20:49:29.876	{"score":7.614285571234567}
4273	43	60	CF	6	2015-03-26 20:49:29.888	{"prediction":4.971103896103896}
4266	43	73	random	9	2015-03-26 20:48:40.396	\N
4270	43	78	CF	3	2015-03-26 20:49:29.879	{"prediction":5.056818181818182}
4274	43	79	cbr	7	2015-03-26 20:49:29.896	{"similarUserId":43,"similarityToUser":1.0,"similarUserRating":2.0}
4267	43	60	tags	0	2015-03-26 20:49:29.87	{"score":8.321428537368774}
4271	43	21	CF	4	2015-03-26 20:49:29.882	{"prediction":5.056818181818182}
4275	43	12	random	8	2015-03-26 20:49:29.901	\N
4268	43	38	tags	1	2015-03-26 20:49:29.874	{"score":8.040000009536744}
4272	43	97	CF	5	2015-03-26 20:49:29.885	{"prediction":5.021103896103896}
4276	43	18	random	9	2015-03-26 20:49:29.905	\N
4277	27	23	CF	0	2015-03-27 08:42:08.708	{"prediction":5.1688311688311686}
4278	27	64	CF	1	2015-03-27 08:42:08.736	{"prediction":5.089285714285714}
4279	27	78	CF	2	2015-03-27 08:42:08.748	{"prediction":5.0}
4280	27	97	CF	3	2015-03-27 08:42:08.766	{"prediction":4.964285714285714}
4281	27	79	cbr	4	2015-03-27 08:42:08.781	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4282	27	65	cbr	5	2015-03-27 08:42:08.784	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4283	27	58	cbr	6	2015-03-27 08:42:08.788	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4284	27	85	cbr	7	2015-03-27 08:42:08.79	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
4285	27	64	random	8	2015-03-27 08:42:08.794	\N
4286	27	44	random	9	2015-03-27 08:42:08.797	\N
4287	27	64	CF	0	2015-03-27 08:42:37.469	{"prediction":5.089285714285714}
4288	27	78	CF	1	2015-03-27 08:42:37.549	{"prediction":5.0}
4289	27	97	CF	2	2015-03-27 08:42:37.602	{"prediction":4.964285714285714}
4290	27	60	CF	3	2015-03-27 08:42:37.63	{"prediction":4.914285714285715}
4291	27	80	tags	4	2015-03-27 08:42:37.654	{"score":7.212500095367432}
4292	27	79	cbr	5	2015-03-27 08:42:37.68	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4293	27	65	cbr	6	2015-03-27 08:42:37.686	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4294	27	58	cbr	7	2015-03-27 08:42:37.695	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4295	27	53	random	8	2015-03-27 08:42:37.704	\N
4296	27	20	random	9	2015-03-27 08:42:37.716	\N
4297	27	79	cbr	0	2015-03-27 13:04:41.498	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4298	27	65	cbr	1	2015-03-27 13:04:41.529	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4299	27	58	cbr	2	2015-03-27 13:04:41.548	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4300	27	78	CF	3	2015-03-27 13:04:41.557	{"prediction":5.0}
4301	27	97	CF	4	2015-03-27 13:04:41.565	{"prediction":4.964285714285714}
4302	27	60	CF	5	2015-03-27 13:04:41.568	{"prediction":4.914285714285715}
4303	27	30	CF	6	2015-03-27 13:04:41.571	{"prediction":4.714285714285714}
4304	27	80	tags	7	2015-03-27 13:04:41.574	{"score":7.137500047683716}
4305	27	31	random	8	2015-03-27 13:04:41.576	\N
4306	27	87	random	9	2015-03-27 13:04:41.579	\N
4307	27	65	cbr	0	2015-03-27 13:05:11.364	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4308	27	58	cbr	1	2015-03-27 13:05:11.386	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4309	27	85	cbr	2	2015-03-27 13:05:11.413	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
4310	27	80	tags	3	2015-03-27 13:05:11.422	{"score":7.212500095367432}
4311	27	78	CF	4	2015-03-27 13:05:11.436	{"prediction":5.0}
4312	27	97	CF	5	2015-03-27 13:05:11.442	{"prediction":4.964285714285714}
4313	27	60	CF	6	2015-03-27 13:05:11.444	{"prediction":4.914285714285715}
4314	27	30	CF	7	2015-03-27 13:05:11.462	{"prediction":4.714285714285714}
4315	27	21	random	8	2015-03-27 13:05:11.466	\N
4316	27	4	random	9	2015-03-27 13:05:11.47	\N
4317	27	78	CF	0	2015-03-27 13:05:48.404	{"prediction":5.0}
4318	27	97	CF	1	2015-03-27 13:05:48.409	{"prediction":4.964285714285714}
4319	27	60	CF	2	2015-03-27 13:05:48.413	{"prediction":4.914285714285715}
4320	27	30	CF	3	2015-03-27 13:05:48.417	{"prediction":4.714285714285714}
4321	27	80	tags	4	2015-03-27 13:05:48.421	{"score":6.462500095367432}
4322	27	97	cbr	5	2015-03-27 13:05:48.431	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
4323	27	87	cbr	6	2015-03-27 13:05:48.437	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
4324	27	60	cbr	7	2015-03-27 13:05:48.44	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
4325	27	64	random	8	2015-03-27 13:05:48.449	\N
4326	27	9	random	9	2015-03-27 13:05:48.452	\N
4327	16	64	CF	0	2015-03-27 14:05:02.091	{"prediction":4.375}
4328	16	78	CF	1	2015-03-27 14:05:02.108	{"prediction":4.285714285714286}
4329	16	97	CF	2	2015-03-27 14:05:02.116	{"prediction":4.25}
4330	16	60	CF	3	2015-03-27 14:05:02.123	{"prediction":4.2}
4331	16	1	tags	4	2015-03-27 14:05:02.134	{"score":1.8250000656837155}
4332	16	49	tags	5	2015-03-27 14:05:02.14	{"score":1.7333332877550454}
4333	16	24	tags	6	2015-03-27 14:05:02.145	{"score":1.7249999166325685}
4334	16	64	tags	7	2015-03-27 14:05:02.148	{"score":1.7000002264976501}
4335	16	44	random	8	2015-03-27 14:05:02.153	\N
4336	16	55	random	9	2015-03-27 14:05:02.156	\N
4337	16	29	CF	0	2015-03-27 14:05:49.507	{"prediction":4.0}
4338	16	14	CF	1	2015-03-27 14:05:49.517	{"prediction":4.0}
4339	16	50	CF	2	2015-03-27 14:05:49.526	{"prediction":4.0}
4340	16	85	CF	3	2015-03-27 14:05:49.536	{"prediction":4.0}
4341	16	19	cbr	4	2015-03-27 14:05:49.55	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4342	16	79	cbr	5	2015-03-27 14:05:49.555	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4343	16	65	cbr	6	2015-03-27 14:05:49.557	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4344	16	32	cbr	7	2015-03-27 14:05:49.561	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":3.0}
4345	16	95	random	8	2015-03-27 14:05:49.563	\N
4346	16	54	random	9	2015-03-27 14:05:49.566	\N
4347	16	58	cbr	0	2015-03-27 14:06:20.171	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":3.0}
4348	16	100	cbr	1	2015-03-27 14:06:20.176	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":4.0}
4349	16	67	cbr	2	2015-03-27 14:06:20.179	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":5.0}
4353	16	37	random	6	2015-03-27 14:06:20.192	\N
4350	16	4	CF	3	2015-03-27 14:06:20.184	{"prediction":4.0}
4354	16	64	random	7	2015-03-27 14:06:20.195	\N
4351	16	30	CF	4	2015-03-27 14:06:20.187	{"prediction":4.0}
4355	16	6	random	8	2015-03-27 14:06:20.197	\N
4352	16	67	CF	5	2015-03-27 14:06:20.19	{"prediction":3.857142857142857}
4356	16	4	CF	0	2015-03-27 14:06:54.621	{"prediction":4.0625}
4360	16	22	random	4	2015-03-27 14:06:54.634	\N
4364	16	54	random	8	2015-03-27 14:06:54.651	\N
4357	16	30	CF	1	2015-03-27 14:06:54.624	{"prediction":4.0625}
4361	16	4	random	5	2015-03-27 14:06:54.638	\N
4365	16	96	random	9	2015-03-27 14:06:54.653	\N
4358	16	63	CF	2	2015-03-27 14:06:54.628	{"prediction":3.7767857142857144}
4362	16	36	random	6	2015-03-27 14:06:54.645	\N
4359	16	8	CF	3	2015-03-27 14:06:54.631	{"prediction":3.7291666666666665}
4363	16	38	random	7	2015-03-27 14:06:54.648	\N
4366	51	4	tags	0	2015-03-29 21:50:18.279	{"score":1.0}
4367	51	100	tags	1	2015-03-29 21:50:18.295	{"score":0.6499999761581421}
4368	51	12	tags	2	2015-03-29 21:50:18.302	{"score":0.30000001192092896}
4369	51	18	tags	3	2015-03-29 21:50:18.308	{"score":0.30000001192092896}
4370	51	23	CF	4	2015-03-29 21:50:18.315	{"prediction":4.454545454545454}
4371	51	64	CF	5	2015-03-29 21:50:18.318	{"prediction":4.375}
4372	51	21	CF	6	2015-03-29 21:50:18.321	{"prediction":4.285714285714286}
4373	51	78	CF	7	2015-03-29 21:50:18.323	{"prediction":4.285714285714286}
4374	51	93	random	8	2015-03-29 21:50:18.327	\N
4375	51	40	random	9	2015-03-29 21:50:18.329	\N
4376	51	23	CF	0	2015-03-29 21:58:59.147	{"prediction":4.454545454545454}
4377	51	64	CF	1	2015-03-29 21:58:59.155	{"prediction":4.375}
4378	51	21	CF	2	2015-03-29 21:58:59.16	{"prediction":4.285714285714286}
4379	51	78	CF	3	2015-03-29 21:58:59.166	{"prediction":4.285714285714286}
4380	51	19	cbr	4	2015-03-29 21:58:59.173	{"similarUserId":51,"similarityToUser":1.0,"similarUserRating":2.0}
4381	51	21	tags	5	2015-03-29 21:58:59.176	{"score":1.3142857807023185}
4382	51	18	tags	6	2015-03-29 21:58:59.178	{"score":1.2500000596046448}
4383	51	12	tags	7	2015-03-29 21:58:59.18	{"score":1.249999980131785}
4384	51	90	random	8	2015-03-29 21:58:59.183	\N
4385	51	1	random	9	2015-03-29 21:58:59.186	\N
4386	52	52	tags	0	2015-03-29 23:32:22.078	{"score":0.8999999761581421}
4387	52	40	tags	1	2015-03-29 23:32:22.086	{"score":0.8999999761581421}
4388	52	51	tags	2	2015-03-29 23:32:22.092	{"score":0.800000011920929}
4389	52	9	tags	3	2015-03-29 23:32:22.099	{"score":0.6666666269302368}
4390	52	23	CF	4	2015-03-29 23:32:22.105	{"prediction":4.454545454545454}
4391	52	64	CF	5	2015-03-29 23:32:22.107	{"prediction":4.375}
4392	52	21	CF	6	2015-03-29 23:32:22.11	{"prediction":4.285714285714286}
4393	52	78	CF	7	2015-03-29 23:32:22.112	{"prediction":4.285714285714286}
4394	52	52	random	8	2015-03-29 23:32:22.115	\N
4395	52	91	random	9	2015-03-29 23:32:22.117	\N
4396	41	23	CF	0	2015-03-30 06:46:18.849	{"prediction":4.454545454545454}
4397	41	64	CF	1	2015-03-30 06:46:18.861	{"prediction":4.375}
4398	41	21	CF	2	2015-03-30 06:46:18.869	{"prediction":4.285714285714286}
4399	41	78	CF	3	2015-03-30 06:46:18.878	{"prediction":4.285714285714286}
4400	41	19	cbr	4	2015-03-30 06:46:18.886	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
4401	41	79	cbr	5	2015-03-30 06:46:18.889	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
4402	41	65	cbr	6	2015-03-30 06:46:18.897	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
4403	41	32	cbr	7	2015-03-30 06:46:18.901	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
4404	41	49	random	8	2015-03-30 06:46:18.905	\N
4405	41	43	random	9	2015-03-30 06:46:18.909	\N
4406	41	58	cbr	0	2015-03-30 06:46:28.423	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
4407	41	85	cbr	1	2015-03-30 06:46:28.43	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
4408	41	97	cbr	2	2015-03-30 06:46:28.435	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
4409	41	87	cbr	3	2015-03-30 06:46:28.438	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
4410	41	97	CF	4	2015-03-30 06:46:28.445	{"prediction":4.25}
4411	41	60	CF	5	2015-03-30 06:46:28.45	{"prediction":4.2}
4412	41	4	CF	6	2015-03-30 06:46:28.454	{"prediction":4.0}
4413	41	14	CF	7	2015-03-30 06:46:28.457	{"prediction":4.0}
4414	41	53	random	8	2015-03-30 06:46:28.459	\N
4415	41	55	random	9	2015-03-30 06:46:28.462	\N
4416	41	67	cbr	0	2015-03-30 06:46:34.161	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
4417	41	100	cbr	1	2015-03-30 06:46:34.167	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
4418	41	67	cbr	2	2015-03-30 06:46:34.173	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":5.0}
4419	41	50	CF	3	2015-03-30 06:46:34.179	{"prediction":4.0}
4420	41	100	CF	4	2015-03-30 06:46:34.186	{"prediction":4.0}
4421	41	29	CF	5	2015-03-30 06:46:34.189	{"prediction":4.0}
4422	41	30	CF	6	2015-03-30 06:46:34.194	{"prediction":4.0}
4423	41	40	random	7	2015-03-30 06:46:34.197	\N
4424	41	78	random	8	2015-03-30 06:46:34.203	\N
4425	41	56	random	9	2015-03-30 06:46:34.208	\N
4426	53	4	tags	0	2015-03-30 20:46:39.341	{"score":1.0}
4427	53	58	tags	1	2015-03-30 20:46:39.358	{"score":1.0}
4428	53	30	tags	2	2015-03-30 20:46:39.368	{"score":0.699999988079071}
4429	53	14	tags	3	2015-03-30 20:46:39.377	{"score":0.6699999809265137}
4430	53	23	CF	4	2015-03-30 20:46:39.386	{"prediction":4.454545454545454}
4431	53	64	CF	5	2015-03-30 20:46:39.39	{"prediction":4.375}
4432	53	21	CF	6	2015-03-30 20:46:39.394	{"prediction":4.285714285714286}
4433	53	78	CF	7	2015-03-30 20:46:39.398	{"prediction":4.285714285714286}
4434	53	1	random	8	2015-03-30 20:46:39.402	\N
4435	53	88	random	9	2015-03-30 20:46:39.405	\N
4436	53	23	CF	0	2015-03-30 20:47:32.801	{"prediction":4.454545454545454}
4437	53	64	CF	1	2015-03-30 20:47:32.81	{"prediction":4.375}
4438	53	21	CF	2	2015-03-30 20:47:32.819	{"prediction":4.285714285714286}
4439	53	78	CF	3	2015-03-30 20:47:32.827	{"prediction":4.285714285714286}
4440	53	21	tags	4	2015-03-30 20:47:32.847	{"score":1.4571429235594613}
4441	53	58	tags	5	2015-03-30 20:47:32.854	{"score":1.3750000596046448}
4442	53	68	tags	6	2015-03-30 20:47:32.859	{"score":1.3750000596046448}
4443	53	19	cbr	7	2015-03-30 20:47:32.862	{"similarUserId":53,"similarityToUser":1.0,"similarUserRating":2.0}
4444	53	51	random	8	2015-03-30 20:47:32.869	\N
4445	53	46	random	9	2015-03-30 20:47:32.873	\N
4446	27	64	CF	0	2015-03-31 21:05:41.131	{"prediction":5.089285714285714}
4447	27	78	CF	1	2015-03-31 21:05:41.188	{"prediction":5.0}
4448	27	97	CF	2	2015-03-31 21:05:41.204	{"prediction":4.964285714285714}
4449	27	60	CF	3	2015-03-31 21:05:41.224	{"prediction":4.914285714285715}
4450	27	57	tags	4	2015-03-31 21:05:41.239	{"score":6.855555481380886}
4451	27	55	tags	5	2015-03-31 21:05:41.252	{"score":6.508333047231039}
4452	27	4	tags	6	2015-03-31 21:05:41.256	{"score":6.500000052981907}
4453	27	65	cbr	7	2015-03-31 21:05:41.259	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4454	27	59	random	8	2015-03-31 21:05:41.262	\N
4455	27	22	random	9	2015-03-31 21:05:41.268	\N
4456	27	65	cbr	0	2015-03-31 21:06:17.587	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4457	27	97	CF	1	2015-03-31 21:06:17.592	{"prediction":4.964285714285714}
4458	27	60	CF	2	2015-03-31 21:06:17.595	{"prediction":4.914285714285715}
4459	27	30	CF	3	2015-03-31 21:06:17.598	{"prediction":4.714285714285714}
4460	27	29	CF	4	2015-03-31 21:06:17.6	{"prediction":4.714285714285714}
4461	27	57	tags	5	2015-03-31 21:06:17.604	{"score":7.0555553966098365}
4462	27	55	tags	6	2015-03-31 21:06:17.607	{"score":6.633333047231039}
4463	27	4	tags	7	2015-03-31 21:06:17.611	{"score":6.566666762034098}
4464	27	94	random	8	2015-03-31 21:06:17.614	\N
4465	27	37	random	9	2015-03-31 21:06:17.62	\N
4466	27	57	tags	0	2015-03-31 21:06:41.936	{"score":7.588888936572605}
4467	27	55	tags	1	2015-03-31 21:06:41.941	{"score":7.208333253860474}
4468	27	4	tags	2	2015-03-31 21:06:41.945	{"score":6.9333334234025745}
4469	27	80	tags	3	2015-03-31 21:06:41.949	{"score":6.912499904632568}
4470	27	97	CF	4	2015-03-31 21:06:41.952	{"prediction":4.964285714285714}
4471	27	60	CF	5	2015-03-31 21:06:41.955	{"prediction":4.914285714285715}
4472	27	30	CF	6	2015-03-31 21:06:41.957	{"prediction":4.714285714285714}
4473	27	29	CF	7	2015-03-31 21:06:41.96	{"prediction":4.714285714285714}
4474	27	42	random	8	2015-03-31 21:06:41.963	\N
4475	27	43	random	9	2015-03-31 21:06:41.966	\N
4476	27	97	CF	0	2015-04-01 09:03:24.953	{"prediction":4.964285714285714}
4477	27	60	CF	1	2015-04-01 09:03:24.96	{"prediction":4.914285714285715}
4478	27	30	CF	2	2015-04-01 09:03:24.968	{"prediction":4.714285714285714}
4479	27	29	CF	3	2015-04-01 09:03:24.979	{"prediction":4.714285714285714}
4480	27	80	tags	4	2015-04-01 09:03:24.989	{"score":6.950000047683716}
4481	27	32	cbr	5	2015-04-01 09:03:24.993	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4482	27	58	cbr	6	2015-04-01 09:03:24.996	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4483	27	97	cbr	7	2015-04-01 09:03:24.999	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
4484	27	60	random	8	2015-04-01 09:03:25.005	\N
4485	27	62	random	9	2015-04-01 09:03:25.008	\N
4486	27	80	tags	0	2015-04-01 09:04:17.089	{"score":7.062500238418579}
4487	27	60	CF	1	2015-04-01 09:04:17.097	{"prediction":4.914285714285715}
4488	27	30	CF	2	2015-04-01 09:04:17.106	{"prediction":4.714285714285714}
4489	27	29	CF	3	2015-04-01 09:04:17.114	{"prediction":4.714285714285714}
4490	27	14	CF	4	2015-04-01 09:04:17.119	{"prediction":4.714285714285714}
4491	27	32	cbr	5	2015-04-01 09:04:17.123	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4492	27	58	cbr	6	2015-04-01 09:04:17.126	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4575	55	48	random	9	2015-04-01 23:11:30.094	\N
4493	27	87	cbr	7	2015-04-01 09:04:17.129	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
4494	27	36	random	8	2015-04-01 09:04:17.131	\N
4495	27	20	random	9	2015-04-01 09:04:17.133	\N
4496	49	21	tags	0	2015-04-01 10:38:59.639	{"score":1.8857143095561437}
4497	49	68	tags	1	2015-04-01 10:38:59.655	{"score":1.869999998807907}
4498	49	58	tags	2	2015-04-01 10:38:59.78	{"score":1.7249999940395355}
4499	49	77	tags	3	2015-04-01 10:38:59.788	{"score":1.7000000385137706}
4500	49	23	CF	4	2015-04-01 10:38:59.795	{"prediction":4.454545454545454}
4501	49	64	CF	5	2015-04-01 10:38:59.798	{"prediction":4.375}
4502	49	21	CF	6	2015-04-01 10:38:59.8	{"prediction":4.285714285714286}
4503	49	97	CF	7	2015-04-01 10:38:59.803	{"prediction":4.25}
4504	49	81	random	8	2015-04-01 10:38:59.806	\N
4505	49	35	random	9	2015-04-01 10:38:59.809	\N
4506	49	77	tags	0	2015-04-01 10:39:41.796	{"score":2.7384615448805003}
4507	49	4	tags	1	2015-04-01 10:39:41.802	{"score":2.61111099852456}
4508	49	68	tags	2	2015-04-01 10:39:41.809	{"score":2.559999871253967}
4509	49	19	cbr	3	2015-04-01 10:39:41.815	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
4510	49	23	CF	4	2015-04-01 10:39:41.82	{"prediction":4.454545454545454}
4511	49	64	CF	5	2015-04-01 10:39:41.822	{"prediction":4.375}
4512	49	97	CF	6	2015-04-01 10:39:41.824	{"prediction":4.25}
4513	49	60	CF	7	2015-04-01 10:39:41.827	{"prediction":4.2}
4514	49	29	random	8	2015-04-01 10:39:41.83	\N
4515	49	53	random	9	2015-04-01 10:39:41.833	\N
4516	49	77	tags	0	2015-04-01 17:59:43.633	{"score":2.7384615448805003}
4517	49	4	tags	1	2015-04-01 17:59:43.658	{"score":2.61111099852456}
4518	49	68	tags	2	2015-04-01 17:59:43.668	{"score":2.559999871253967}
4519	49	23	CF	3	2015-04-01 17:59:43.676	{"prediction":4.454545454545454}
4520	49	64	CF	4	2015-04-01 17:59:43.685	{"prediction":4.375}
4521	49	78	CF	5	2015-04-01 17:59:43.688	{"prediction":4.285714285714286}
4522	49	97	CF	6	2015-04-01 17:59:43.692	{"prediction":4.25}
4523	49	19	cbr	7	2015-04-01 17:59:43.696	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
4538	54	21	CF	2	2015-04-01 18:06:43.651	{"prediction":4.285714285714286}
4542	54	18	tags	6	2015-04-01 18:06:43.668	{"score":0.8000000317891439}
4546	54	64	CF	0	2015-04-01 18:07:37.519	{"prediction":4.375}
4550	54	64	tags	4	2015-04-01 18:07:37.538	{"score":2.2999998927116394}
4554	54	48	random	8	2015-04-01 18:07:37.552	\N
4524	49	61	random	8	2015-04-01 17:59:43.701	\N
4536	54	23	CF	0	2015-04-01 18:06:43.642	{"prediction":4.454545454545454}
4540	54	58	tags	4	2015-04-01 18:06:43.661	{"score":1.0}
4544	54	82	random	8	2015-04-01 18:06:43.679	\N
4547	54	21	CF	1	2015-04-01 18:07:37.525	{"prediction":4.285714285714286}
4551	54	32	tags	5	2015-04-01 18:07:37.541	{"score":1.7727271806110034}
4555	54	36	random	9	2015-04-01 18:07:37.556	\N
4525	49	26	random	9	2015-04-01 17:59:43.705	\N
4526	49	55	tags	0	2015-04-01 18:00:44.894	{"score":1.175000031789144}
4527	49	59	tags	1	2015-04-01 18:00:44.902	{"score":1.1611111395888858}
4528	49	66	tags	2	2015-04-01 18:00:44.915	{"score":1.1100000619888306}
4529	49	23	CF	3	2015-04-01 18:00:44.923	{"prediction":4.454545454545454}
4530	49	64	CF	4	2015-04-01 18:00:44.931	{"prediction":4.375}
4531	49	78	CF	5	2015-04-01 18:00:44.935	{"prediction":4.285714285714286}
4532	49	97	CF	6	2015-04-01 18:00:44.948	{"prediction":4.25}
4533	49	19	cbr	7	2015-04-01 18:00:44.952	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
4534	49	32	random	8	2015-04-01 18:00:44.955	\N
4535	49	94	random	9	2015-04-01 18:00:44.958	\N
4539	54	78	CF	3	2015-04-01 18:06:43.656	{"prediction":4.285714285714286}
4543	54	12	tags	7	2015-04-01 18:06:43.675	{"score":0.800000011920929}
4548	54	78	CF	2	2015-04-01 18:07:37.531	{"prediction":4.285714285714286}
4552	54	38	tags	6	2015-04-01 18:07:37.544	{"score":1.6866666277249653}
4556	54	19	cbr	0	2015-04-01 18:08:04.848	{"similarUserId":54,"similarityToUser":1.0,"similarUserRating":2.0}
4557	54	58	tags	1	2015-04-01 18:08:04.852	{"score":2.2249998450279236}
4558	54	87	tags	2	2015-04-01 18:08:04.855	{"score":2.1555556522475348}
4559	54	77	tags	3	2015-04-01 18:08:04.858	{"score":2.07692282474958}
4560	54	78	CF	4	2015-04-01 18:08:04.861	{"prediction":4.285714285714286}
4561	54	97	CF	5	2015-04-01 18:08:04.865	{"prediction":4.25}
4562	54	60	CF	6	2015-04-01 18:08:04.868	{"prediction":4.2}
4563	54	4	CF	7	2015-04-01 18:08:04.875	{"prediction":4.0}
4564	54	45	random	8	2015-04-01 18:08:04.88	\N
4565	54	90	random	9	2015-04-01 18:08:04.883	\N
4537	54	64	CF	1	2015-04-01 18:06:43.647	{"prediction":4.375}
4541	54	4	tags	5	2015-04-01 18:06:43.665	{"score":1.0}
4545	54	46	random	9	2015-04-01 18:06:43.682	\N
4549	54	97	CF	3	2015-04-01 18:07:37.534	{"prediction":4.25}
4553	54	60	tags	7	2015-04-01 18:07:37.547	{"score":1.685714270387377}
4566	55	4	tags	0	2015-04-01 23:11:30.046	{"score":1.0}
4567	55	58	tags	1	2015-04-01 23:11:30.054	{"score":1.0}
4568	55	30	tags	2	2015-04-01 23:11:30.062	{"score":0.699999988079071}
4569	55	14	tags	3	2015-04-01 23:11:30.069	{"score":0.6699999809265137}
4570	55	23	CF	4	2015-04-01 23:11:30.076	{"prediction":4.454545454545454}
4571	55	64	CF	5	2015-04-01 23:11:30.079	{"prediction":4.375}
4572	55	21	CF	6	2015-04-01 23:11:30.083	{"prediction":4.285714285714286}
4573	55	78	CF	7	2015-04-01 23:11:30.087	{"prediction":4.285714285714286}
4574	55	91	random	8	2015-04-01 23:11:30.09	\N
4576	55	23	CF	0	2015-04-02 11:44:33.085	{"prediction":4.454545454545454}
4577	55	64	CF	1	2015-04-02 11:44:33.108	{"prediction":4.375}
4578	55	21	CF	2	2015-04-02 11:44:33.122	{"prediction":4.285714285714286}
4579	55	78	CF	3	2015-04-02 11:44:33.139	{"prediction":4.285714285714286}
4580	55	49	tags	4	2015-04-02 11:44:33.173	{"score":0.574999988079071}
4581	55	64	tags	5	2015-04-02 11:44:33.184	{"score":0.5}
4582	55	84	tags	6	2015-04-02 11:44:33.192	{"score":0.4888888994852702}
4583	55	16	tags	7	2015-04-02 11:44:33.198	{"score":0.3499999940395355}
4584	55	81	random	8	2015-04-02 11:44:33.202	\N
4585	55	73	random	9	2015-04-02 11:44:33.208	\N
4586	55	64	tags	0	2015-04-02 11:45:01.657	{"score":2.2999998927116394}
4587	55	48	tags	1	2015-04-02 11:45:01.661	{"score":1.4666666785875957}
4588	55	22	tags	2	2015-04-02 11:45:01.664	{"score":1.3666667209731207}
4589	55	19	tags	3	2015-04-02 11:45:01.668	{"score":1.3555555674764845}
4590	55	64	CF	4	2015-04-02 11:45:01.671	{"prediction":4.375}
4591	55	21	CF	5	2015-04-02 11:45:01.674	{"prediction":4.285714285714286}
4592	55	78	CF	6	2015-04-02 11:45:01.677	{"prediction":4.285714285714286}
4593	55	97	CF	7	2015-04-02 11:45:01.68	{"prediction":4.25}
4594	55	28	random	8	2015-04-02 11:45:01.684	\N
4595	55	19	random	9	2015-04-02 11:45:01.687	\N
4596	55	60	CF	0	2015-04-02 11:50:45.479	{"prediction":4.2}
4597	55	14	CF	1	2015-04-02 11:50:45.489	{"prediction":4.0}
4598	55	50	CF	2	2015-04-02 11:50:45.502	{"prediction":4.0}
4599	55	85	CF	3	2015-04-02 11:50:45.509	{"prediction":4.0}
4600	55	79	cbr	4	2015-04-02 11:50:45.517	{"similarUserId":55,"similarityToUser":1.0,"similarUserRating":2.0}
4601	55	65	cbr	5	2015-04-02 11:50:45.52	{"similarUserId":55,"similarityToUser":1.0,"similarUserRating":2.0}
4602	55	32	cbr	6	2015-04-02 11:50:45.523	{"similarUserId":55,"similarityToUser":1.0,"similarUserRating":3.0}
4603	55	85	cbr	7	2015-04-02 11:50:45.527	{"similarUserId":55,"similarityToUser":1.0,"similarUserRating":4.0}
4604	55	75	random	8	2015-04-02 11:50:45.531	\N
4605	55	32	random	9	2015-04-02 11:50:45.533	\N
4606	55	68	tags	0	2015-04-02 11:51:00.51	{"score":0.4099999964237213}
4607	55	47	tags	1	2015-04-02 11:51:00.515	{"score":0.2562500238418579}
4608	55	14	CF	2	2015-04-02 11:51:00.518	{"prediction":4.0}
4609	55	50	CF	3	2015-04-02 11:51:00.521	{"prediction":4.0}
4610	55	85	CF	4	2015-04-02 11:51:00.524	{"prediction":4.0}
4611	55	87	CF	5	2015-04-02 11:51:00.526	{"prediction":4.0}
4612	55	79	cbr	6	2015-04-02 11:51:00.529	{"similarUserId":55,"similarityToUser":1.0,"similarUserRating":2.0}
4613	55	65	cbr	7	2015-04-02 11:51:00.532	{"similarUserId":55,"similarityToUser":1.0,"similarUserRating":2.0}
4614	55	7	random	8	2015-04-02 11:51:00.535	\N
4615	55	98	random	9	2015-04-02 11:51:00.538	\N
4616	41	19	cbr	0	2015-04-02 12:29:59.616	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
4617	41	79	cbr	1	2015-04-02 12:29:59.626	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
4618	41	65	cbr	2	2015-04-02 12:29:59.635	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
4619	41	32	cbr	3	2015-04-02 12:29:59.643	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
4620	41	23	CF	4	2015-04-02 12:29:59.651	{"prediction":4.454545454545454}
4621	41	64	CF	5	2015-04-02 12:29:59.654	{"prediction":4.375}
4622	41	21	CF	6	2015-04-02 12:29:59.657	{"prediction":4.285714285714286}
4623	41	78	CF	7	2015-04-02 12:29:59.66	{"prediction":4.285714285714286}
4624	41	20	random	8	2015-04-02 12:29:59.663	\N
4625	41	23	random	9	2015-04-02 12:29:59.666	\N
4626	41	58	cbr	0	2015-04-02 12:30:06.184	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
4627	41	85	cbr	1	2015-04-02 12:30:06.192	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
4628	41	97	cbr	2	2015-04-02 12:30:06.199	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
4629	41	87	cbr	3	2015-04-02 12:30:06.206	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
4630	41	97	CF	4	2015-04-02 12:30:06.214	{"prediction":4.25}
4631	41	60	CF	5	2015-04-02 12:30:06.216	{"prediction":4.2}
4632	41	4	CF	6	2015-04-02 12:30:06.219	{"prediction":4.0}
4633	41	14	CF	7	2015-04-02 12:30:06.221	{"prediction":4.0}
4634	41	16	random	8	2015-04-02 12:30:06.224	\N
4635	41	41	random	9	2015-04-02 12:30:06.227	\N
4636	18	23	CF	0	2015-04-02 19:54:44.116	{"prediction":4.454545454545454}
4637	18	64	CF	1	2015-04-02 19:54:44.171	{"prediction":4.375}
4638	18	21	CF	2	2015-04-02 19:54:44.193	{"prediction":4.285714285714286}
4639	18	78	CF	3	2015-04-02 19:54:44.208	{"prediction":4.285714285714286}
4640	18	19	cbr	4	2015-04-02 19:54:44.237	{"similarUserId":18,"similarityToUser":1.0,"similarUserRating":2.0}
4644	18	55	random	8	2015-04-02 19:54:44.258	\N
4641	18	79	cbr	5	2015-04-02 19:54:44.242	{"similarUserId":18,"similarityToUser":1.0,"similarUserRating":2.0}
4645	18	95	random	9	2015-04-02 19:54:44.267	\N
4642	18	65	cbr	6	2015-04-02 19:54:44.247	{"similarUserId":18,"similarityToUser":1.0,"similarUserRating":2.0}
4643	18	32	cbr	7	2015-04-02 19:54:44.252	{"similarUserId":18,"similarityToUser":1.0,"similarUserRating":3.0}
4646	56	77	tags	0	2015-04-03 12:02:41.75	{"score":1.0}
4647	56	14	tags	1	2015-04-03 12:02:41.761	{"score":1.0}
4648	56	92	tags	2	2015-04-03 12:02:41.766	{"score":1.0}
4649	56	4	tags	3	2015-04-03 12:02:41.774	{"score":1.0}
4650	56	23	CF	4	2015-04-03 12:02:41.781	{"prediction":4.454545454545454}
4651	56	64	CF	5	2015-04-03 12:02:41.784	{"prediction":4.375}
4652	56	21	CF	6	2015-04-03 12:02:41.786	{"prediction":4.285714285714286}
4653	56	78	CF	7	2015-04-03 12:02:41.789	{"prediction":4.285714285714286}
4654	56	79	random	8	2015-04-03 12:02:41.792	\N
4655	56	17	random	9	2015-04-03 12:02:41.794	\N
4656	56	4	tags	0	2015-04-03 12:04:22.453	{"score":2.0714285288538252}
4657	56	89	tags	1	2015-04-03 12:04:22.457	{"score":1.949999988079071}
4658	56	101	tags	2	2015-04-03 12:04:22.46	{"score":1.8500000437100728}
4659	56	21	tags	3	2015-04-03 12:04:22.463	{"score":1.8428570457867213}
4660	56	23	CF	4	2015-04-03 12:04:22.466	{"prediction":4.454545454545454}
4661	56	64	CF	5	2015-04-03 12:04:22.468	{"prediction":4.375}
4662	56	78	CF	6	2015-04-03 12:04:22.47	{"prediction":4.285714285714286}
4663	56	91	random	7	2015-04-03 12:04:22.472	\N
4664	56	22	random	8	2015-04-03 12:04:22.475	\N
4665	39	19	cbr	0	2015-04-03 19:56:22.591	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
4666	39	79	cbr	1	2015-04-03 19:56:22.621	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
4667	39	65	cbr	2	2015-04-03 19:56:22.631	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
4668	39	32	cbr	3	2015-04-03 19:56:22.641	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
4669	39	23	CF	4	2015-04-03 19:56:22.649	{"prediction":5.1688311688311686}
4670	39	64	CF	5	2015-04-03 19:56:22.656	{"prediction":5.089285714285714}
4671	39	78	CF	6	2015-04-03 19:56:22.66	{"prediction":5.0}
4672	39	97	CF	7	2015-04-03 19:56:22.664	{"prediction":4.964285714285714}
4673	39	65	random	8	2015-04-03 19:56:22.669	\N
4674	39	75	random	9	2015-04-03 19:56:22.676	\N
4675	39	79	cbr	0	2015-04-05 10:22:21.72	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
4676	39	65	cbr	1	2015-04-05 10:22:21.784	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
4677	39	32	cbr	2	2015-04-05 10:22:21.793	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
4678	39	58	cbr	3	2015-04-05 10:22:21.802	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
4679	39	23	CF	4	2015-04-05 10:22:21.81	{"prediction":5.1688311688311686}
4680	39	64	CF	5	2015-04-05 10:22:21.814	{"prediction":5.089285714285714}
4681	39	78	CF	6	2015-04-05 10:22:21.817	{"prediction":5.0}
4682	39	97	CF	7	2015-04-05 10:22:21.821	{"prediction":4.964285714285714}
4683	39	74	random	8	2015-04-05 10:22:21.826	\N
4684	39	58	random	9	2015-04-05 10:22:21.829	\N
4685	39	58	cbr	0	2015-04-05 10:23:20.119	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
4686	39	85	cbr	1	2015-04-05 10:23:20.122	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":4.0}
4687	39	23	cbr	2	2015-04-05 10:23:20.127	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":4.0}
4688	39	97	cbr	3	2015-04-05 10:23:20.13	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":4.0}
4689	39	23	CF	4	2015-04-05 10:23:20.133	{"prediction":5.1688311688311686}
4690	39	64	CF	5	2015-04-05 10:23:20.136	{"prediction":5.089285714285714}
4691	39	78	CF	6	2015-04-05 10:23:20.139	{"prediction":5.0}
4692	39	97	CF	7	2015-04-05 10:23:20.142	{"prediction":4.964285714285714}
4693	39	34	random	8	2015-04-05 10:23:20.144	\N
4694	39	60	random	9	2015-04-05 10:23:20.149	\N
4695	20	64	tags	0	2015-04-05 13:05:50.951	{"score":5.199999491373698}
4696	20	28	tags	1	2015-04-05 13:05:50.962	{"score":4.150000095367432}
4697	20	23	tags	2	2015-04-05 13:05:50.971	{"score":4.109999752044677}
4698	20	21	CF	3	2015-04-05 13:05:50.987	{"prediction":4.870941558441558}
4699	20	78	CF	4	2015-04-05 13:05:51.009	{"prediction":4.870941558441558}
4700	20	97	CF	5	2015-04-05 13:05:51.017	{"prediction":4.8352272727272725}
4701	20	60	CF	6	2015-04-05 13:05:51.025	{"prediction":4.785227272727273}
4702	20	19	cbr	7	2015-04-05 13:05:51.032	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
4703	20	13	random	8	2015-04-05 13:05:51.049	\N
4704	20	74	random	9	2015-04-05 13:05:51.053	\N
4705	20	64	tags	0	2015-04-05 13:08:18.296	{"score":5.199999491373698}
4706	20	28	tags	1	2015-04-05 13:08:18.305	{"score":4.150000095367432}
4707	20	23	tags	2	2015-04-05 13:08:18.314	{"score":4.109999752044677}
4708	20	21	CF	3	2015-04-05 13:08:18.324	{"prediction":4.870941558441558}
4709	20	78	CF	4	2015-04-05 13:08:18.331	{"prediction":4.870941558441558}
4710	20	97	CF	5	2015-04-05 13:08:18.334	{"prediction":4.8352272727272725}
4711	20	60	CF	6	2015-04-05 13:08:18.337	{"prediction":4.785227272727273}
4712	20	19	cbr	7	2015-04-05 13:08:18.339	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
4713	20	85	random	8	2015-04-05 13:08:18.343	\N
4714	20	60	random	9	2015-04-05 13:08:18.348	\N
4715	30	19	cbr	0	2015-04-05 16:01:51.926	{"similarUserId":30,"similarityToUser":1.0,"similarUserRating":2.0}
4716	30	23	CF	1	2015-04-05 16:01:51.936	{"prediction":4.454545454545454}
4717	30	64	CF	2	2015-04-05 16:01:51.944	{"prediction":4.375}
4718	30	21	CF	3	2015-04-05 16:01:51.954	{"prediction":4.285714285714286}
4719	30	78	CF	4	2015-04-05 16:01:51.961	{"prediction":4.285714285714286}
4720	30	58	tags	5	2015-04-05 16:01:51.964	{"score":2.7499998211860657}
4721	30	60	tags	6	2015-04-05 16:01:51.967	{"score":2.5857144551617757}
4722	30	29	tags	7	2015-04-05 16:01:51.971	{"score":2.582352908218608}
4723	30	8	random	8	2015-04-05 16:01:51.975	\N
4724	30	39	random	9	2015-04-05 16:01:51.978	\N
4725	26	38	tags	0	2015-04-06 16:55:48.246	{"score":6.359999434153239}
4726	26	60	tags	1	2015-04-06 16:55:48.308	{"score":5.778571026665824}
4727	26	64	tags	2	2015-04-06 16:55:48.317	{"score":5.466666142145793}
4728	26	63	tags	3	2015-04-06 16:55:48.328	{"score":5.036363363265991}
4729	26	64	CF	4	2015-04-06 16:55:48.341	{"prediction":4.279805194805195}
4730	26	78	CF	5	2015-04-06 16:55:48.345	{"prediction":4.19051948051948}
4731	26	21	CF	6	2015-04-06 16:55:48.349	{"prediction":4.19051948051948}
4732	26	14	CF	7	2015-04-06 16:55:48.356	{"prediction":3.9048051948051947}
4733	26	31	random	8	2015-04-06 16:55:48.36	\N
4734	26	46	random	9	2015-04-06 16:55:48.364	\N
4735	57	23	CF	0	2015-04-06 19:51:14.614	{"prediction":4.454545454545454}
4736	57	64	CF	1	2015-04-06 19:51:14.623	{"prediction":4.375}
4737	57	21	CF	2	2015-04-06 19:51:14.631	{"prediction":4.285714285714286}
4738	57	78	CF	3	2015-04-06 19:51:14.638	{"prediction":4.285714285714286}
4739	57	58	tags	4	2015-04-06 19:51:14.646	{"score":1.0}
4740	57	4	tags	5	2015-04-06 19:51:14.65	{"score":1.0}
4741	57	18	tags	6	2015-04-06 19:51:14.653	{"score":0.8000000317891439}
4742	57	12	tags	7	2015-04-06 19:51:14.661	{"score":0.800000011920929}
4743	57	31	random	8	2015-04-06 19:51:14.672	\N
4744	57	40	random	9	2015-04-06 19:51:14.679	\N
4745	57	78	CF	0	2015-04-06 19:52:11.221	{"prediction":4.285714285714286}
4746	57	97	CF	1	2015-04-06 19:52:11.225	{"prediction":4.25}
4747	57	60	CF	2	2015-04-06 19:52:11.229	{"prediction":4.2}
4748	57	4	CF	3	2015-04-06 19:52:11.232	{"prediction":4.0}
4749	57	10	tags	4	2015-04-06 19:52:11.235	{"score":0.6111111177338494}
4750	57	58	tags	5	2015-04-06 19:52:11.238	{"score":0.574999988079071}
4751	57	12	tags	6	2015-04-06 19:52:11.241	{"score":0.5166666706403097}
4752	57	45	tags	7	2015-04-06 19:52:11.244	{"score":0.5000000298023224}
4753	57	60	random	8	2015-04-06 19:52:11.247	\N
4754	57	53	random	9	2015-04-06 19:52:11.25	\N
4755	27	19	cbr	0	2015-04-07 09:55:43.247	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4756	27	23	CF	1	2015-04-07 09:55:43.272	{"prediction":5.1688311688311686}
4757	27	64	CF	2	2015-04-07 09:55:43.293	{"prediction":5.089285714285714}
4758	27	60	CF	3	2015-04-07 09:55:43.312	{"prediction":4.914285714285715}
4759	27	30	CF	4	2015-04-07 09:55:43.319	{"prediction":4.714285714285714}
4760	27	57	tags	5	2015-04-07 09:55:43.323	{"score":7.788888851801555}
4761	27	55	tags	6	2015-04-07 09:55:43.328	{"score":7.53333338101705}
4762	27	80	tags	7	2015-04-07 09:55:43.346	{"score":7.062500238418579}
4763	27	14	random	8	2015-04-07 09:55:43.349	\N
4764	27	94	random	9	2015-04-07 09:55:43.353	\N
4765	58	23	CF	0	2015-04-07 09:58:20.134	{"prediction":4.454545454545454}
4766	58	64	CF	1	2015-04-07 09:58:20.14	{"prediction":4.375}
4767	58	21	CF	2	2015-04-07 09:58:20.144	{"prediction":4.285714285714286}
4768	58	78	CF	3	2015-04-07 09:58:20.149	{"prediction":4.285714285714286}
4769	58	58	tags	4	2015-04-07 09:58:20.152	{"score":1.0}
4770	58	4	tags	5	2015-04-07 09:58:20.163	{"score":1.0}
4771	58	18	tags	6	2015-04-07 09:58:20.167	{"score":0.8000000317891439}
4772	58	12	tags	7	2015-04-07 09:58:20.171	{"score":0.800000011920929}
4773	58	21	random	8	2015-04-07 09:58:20.175	\N
4774	58	50	random	9	2015-04-07 09:58:20.179	\N
4775	58	64	CF	0	2015-04-07 09:58:47.997	{"prediction":4.375}
4776	58	21	CF	1	2015-04-07 09:58:48	{"prediction":4.285714285714286}
4777	58	78	CF	2	2015-04-07 09:58:48.007	{"prediction":4.285714285714286}
4778	58	97	CF	3	2015-04-07 09:58:48.01	{"prediction":4.25}
4779	58	64	tags	4	2015-04-07 09:58:48.026	{"score":2.2999998927116394}
4780	58	32	tags	5	2015-04-07 09:58:48.034	{"score":1.7727271806110034}
4781	58	38	tags	6	2015-04-07 09:58:48.038	{"score":1.6866666277249653}
4782	58	60	tags	7	2015-04-07 09:58:48.041	{"score":1.685714270387377}
4783	58	34	random	8	2015-04-07 09:58:48.045	\N
4784	58	95	random	9	2015-04-07 09:58:48.048	\N
4785	27	57	tags	0	2015-04-07 17:18:20.567	{"score":7.788888851801555}
4786	27	55	tags	1	2015-04-07 17:18:20.577	{"score":7.53333338101705}
4787	27	80	tags	2	2015-04-07 17:18:20.592	{"score":7.062500238418579}
4788	27	23	CF	3	2015-04-07 17:18:20.601	{"prediction":5.1688311688311686}
4789	27	64	CF	4	2015-04-07 17:18:20.608	{"prediction":5.089285714285714}
4790	27	60	CF	5	2015-04-07 17:18:20.615	{"prediction":4.914285714285715}
4791	27	30	CF	6	2015-04-07 17:18:20.623	{"prediction":4.714285714285714}
4792	27	19	cbr	7	2015-04-07 17:18:20.638	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4793	27	76	random	8	2015-04-07 17:18:20.653	\N
4794	27	53	random	9	2015-04-07 17:18:20.666	\N
4795	17	23	CF	0	2015-04-07 17:19:43.148	{"prediction":4.454545454545454}
4796	17	64	CF	1	2015-04-07 17:19:43.17	{"prediction":4.375}
4797	17	21	CF	2	2015-04-07 17:19:43.198	{"prediction":4.285714285714286}
4798	17	78	CF	3	2015-04-07 17:19:43.207	{"prediction":4.285714285714286}
4799	17	19	cbr	4	2015-04-07 17:19:43.223	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
4800	17	79	cbr	5	2015-04-07 17:19:43.225	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
4801	17	65	cbr	6	2015-04-07 17:19:43.232	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
4802	17	32	cbr	7	2015-04-07 17:19:43.235	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
4803	17	51	random	8	2015-04-07 17:19:43.238	\N
4804	17	2	random	9	2015-04-07 17:19:43.241	\N
4808	27	80	tags	3	2015-04-07 17:22:36.473	{"score":7.0625}
4812	27	30	CF	7	2015-04-07 17:22:36.49	{"prediction":4.714285714285714}
4805	27	19	cbr	0	2015-04-07 17:22:36.459	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4809	27	23	CF	4	2015-04-07 17:22:36.477	{"prediction":5.1688311688311686}
4813	27	14	random	8	2015-04-07 17:22:36.493	\N
4806	27	79	cbr	1	2015-04-07 17:22:36.463	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4810	27	64	CF	5	2015-04-07 17:22:36.48	{"prediction":5.089285714285714}
4814	27	87	random	9	2015-04-07 17:22:36.496	\N
4807	27	32	cbr	2	2015-04-07 17:22:36.468	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4811	27	60	CF	6	2015-04-07 17:22:36.486	{"prediction":4.914285714285715}
4815	27	23	CF	0	2015-04-08 13:25:50.728	{"prediction":5.1688311688311686}
4816	27	64	CF	1	2015-04-08 13:25:51.296	{"prediction":5.089285714285714}
4817	27	78	CF	2	2015-04-08 13:25:51.305	{"prediction":5.0}
4818	27	97	CF	3	2015-04-08 13:25:51.313	{"prediction":4.964285714285714}
4819	27	66	tags	4	2015-04-08 13:25:51.32	{"score":7.090909069234675}
4820	27	21	tags	5	2015-04-08 13:25:51.324	{"score":7.071428571428571}
4821	27	79	cbr	6	2015-04-08 13:25:51.327	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4822	27	65	cbr	7	2015-04-08 13:25:51.33	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4823	27	96	random	8	2015-04-08 13:25:51.332	\N
4824	27	85	random	9	2015-04-08 13:25:51.336	\N
4825	27	23	CF	0	2015-04-08 13:26:14.535	{"prediction":5.1688311688311686}
4826	27	64	CF	1	2015-04-08 13:26:14.539	{"prediction":5.089285714285714}
4827	27	78	CF	2	2015-04-08 13:26:14.543	{"prediction":5.0}
4828	27	97	CF	3	2015-04-08 13:26:14.545	{"prediction":4.964285714285714}
4829	27	66	tags	4	2015-04-08 13:26:14.548	{"score":7.090909069234675}
4830	27	21	tags	5	2015-04-08 13:26:14.552	{"score":7.071428571428571}
4831	27	79	cbr	6	2015-04-08 13:26:14.555	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4832	27	65	cbr	7	2015-04-08 13:26:14.557	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4833	27	39	random	8	2015-04-08 13:26:14.56	\N
4834	27	77	random	9	2015-04-08 13:26:14.562	\N
4835	27	66	tags	0	2015-04-08 13:26:30.026	{"score":7.090909069234675}
4836	27	21	tags	1	2015-04-08 13:26:30.044	{"score":7.071428571428571}
4837	27	23	CF	2	2015-04-08 13:26:30.054	{"prediction":5.1688311688311686}
4838	27	64	CF	3	2015-04-08 13:26:30.063	{"prediction":5.089285714285714}
4839	27	78	CF	4	2015-04-08 13:26:30.071	{"prediction":5.0}
4840	27	97	CF	5	2015-04-08 13:26:30.074	{"prediction":4.964285714285714}
4841	27	79	cbr	6	2015-04-08 13:26:30.079	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4842	27	65	cbr	7	2015-04-08 13:26:30.085	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4843	27	29	random	8	2015-04-08 13:26:30.087	\N
4844	27	91	random	9	2015-04-08 13:26:30.09	\N
4845	27	66	tags	0	2015-04-08 13:26:48.835	{"score":7.090909069234675}
4846	27	21	tags	1	2015-04-08 13:26:48.838	{"score":7.071428571428571}
4847	27	23	CF	2	2015-04-08 13:26:48.841	{"prediction":5.1688311688311686}
4848	27	64	CF	3	2015-04-08 13:26:48.843	{"prediction":5.089285714285714}
4849	27	78	CF	4	2015-04-08 13:26:48.845	{"prediction":5.0}
4850	27	97	CF	5	2015-04-08 13:26:48.848	{"prediction":4.964285714285714}
4851	27	79	cbr	6	2015-04-08 13:26:48.85	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4852	27	65	cbr	7	2015-04-08 13:26:48.852	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4853	27	36	random	8	2015-04-08 13:26:48.854	\N
4854	27	45	random	9	2015-04-08 13:26:48.856	\N
4855	49	23	CF	0	2015-04-08 15:10:52.426	{"prediction":4.454545454545454}
4856	49	64	CF	1	2015-04-08 15:10:52.436	{"prediction":4.375}
4857	49	21	CF	2	2015-04-08 15:10:52.443	{"prediction":4.285714285714286}
4858	49	78	CF	3	2015-04-08 15:10:52.45	{"prediction":4.285714285714286}
4859	49	55	tags	4	2015-04-08 15:10:52.457	{"score":1.175000031789144}
4860	49	59	tags	5	2015-04-08 15:10:52.46	{"score":1.1611111395888858}
4861	49	66	tags	6	2015-04-08 15:10:52.462	{"score":1.1100000619888306}
4862	49	19	cbr	7	2015-04-08 15:10:52.465	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
4863	49	29	random	8	2015-04-08 15:10:52.469	\N
4864	49	100	random	9	2015-04-08 15:10:52.472	\N
4865	49	19	cbr	0	2015-04-08 15:11:03.318	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
4866	49	78	CF	1	2015-04-08 15:11:03.322	{"prediction":4.285714285714286}
4867	49	97	CF	2	2015-04-08 15:11:03.324	{"prediction":4.25}
4868	49	60	CF	3	2015-04-08 15:11:03.329	{"prediction":4.2}
4869	49	4	CF	4	2015-04-08 15:11:03.334	{"prediction":4.0}
4870	49	10	tags	5	2015-04-08 15:11:03.337	{"score":1.25}
4871	49	45	tags	6	2015-04-08 15:11:03.34	{"score":1.2249999940395355}
4872	49	6	tags	7	2015-04-08 15:11:03.343	{"score":1.0000000596046448}
4873	49	58	random	8	2015-04-08 15:11:03.346	\N
4874	49	62	random	9	2015-04-08 15:11:03.35	\N
4875	49	79	cbr	0	2015-04-08 15:11:15.151	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
4876	49	97	CF	1	2015-04-08 15:11:15.156	{"prediction":4.25}
4877	49	60	CF	2	2015-04-08 15:11:15.159	{"prediction":4.2}
4878	49	4	CF	3	2015-04-08 15:11:15.162	{"prediction":4.0}
4879	49	14	CF	4	2015-04-08 15:11:15.165	{"prediction":4.0}
4880	49	45	tags	5	2015-04-08 15:11:15.169	{"score":1.4500000476837158}
4881	49	10	tags	6	2015-04-08 15:11:15.173	{"score":1.1777778665224712}
4882	49	8	tags	7	2015-04-08 15:11:15.186	{"score":1.0300001144409179}
4883	49	2	random	8	2015-04-08 15:11:15.19	\N
4884	49	10	random	9	2015-04-08 15:11:15.194	\N
4885	16	19	cbr	0	2015-04-09 06:18:37.773	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4960	60	64	CF	5	2015-04-10 13:36:19.28	{"prediction":4.375}
4886	16	79	cbr	1	2015-04-09 06:18:37.865	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4887	16	65	cbr	2	2015-04-09 06:18:37.872	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4888	16	32	cbr	3	2015-04-09 06:18:37.879	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":3.0}
4890	16	64	CF	5	2015-04-09 06:18:37.894	{"prediction":4.4375}
4889	16	23	CF	4	2015-04-09 06:18:37.889	{"prediction":4.517045454545454}
4893	16	42	random	8	2015-04-09 06:18:37.905	\N
4891	16	78	CF	6	2015-04-09 06:18:37.898	{"prediction":4.348214285714286}
4892	16	21	CF	7	2015-04-09 06:18:37.902	{"prediction":4.348214285714286}
4894	16	41	random	9	2015-04-09 06:18:37.91	\N
4895	17	23	CF	0	2015-04-09 15:28:23.645	{"prediction":4.454545454545454}
4896	17	64	CF	1	2015-04-09 15:28:23.669	{"prediction":4.375}
4897	17	21	CF	2	2015-04-09 15:28:23.689	{"prediction":4.285714285714286}
4898	17	78	CF	3	2015-04-09 15:28:23.701	{"prediction":4.285714285714286}
4899	17	19	cbr	4	2015-04-09 15:28:23.709	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
4900	17	79	cbr	5	2015-04-09 15:28:23.715	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
4901	17	65	cbr	6	2015-04-09 15:28:23.741	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
4902	17	32	cbr	7	2015-04-09 15:28:23.749	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
4903	17	21	random	8	2015-04-09 15:28:23.762	\N
4904	17	1	random	9	2015-04-09 15:28:23.77	\N
4905	27	66	tags	0	2015-04-09 15:31:14.986	{"score":7.090909069234675}
4906	27	21	tags	1	2015-04-09 15:31:14.995	{"score":7.071428571428571}
4907	27	79	cbr	2	2015-04-09 15:31:15.005	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4908	27	65	cbr	3	2015-04-09 15:31:15.021	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4909	27	23	CF	4	2015-04-09 15:31:15.027	{"prediction":5.1688311688311686}
4910	27	64	CF	5	2015-04-09 15:31:15.031	{"prediction":5.089285714285714}
4911	27	78	CF	6	2015-04-09 15:31:15.033	{"prediction":5.0}
4912	27	97	CF	7	2015-04-09 15:31:15.036	{"prediction":4.964285714285714}
4913	27	34	random	8	2015-04-09 15:31:15.039	\N
4914	27	98	random	9	2015-04-09 15:31:15.049	\N
4915	27	80	tags	0	2015-04-09 16:18:18.468	{"score":6.987499952316284}
4916	27	23	CF	1	2015-04-09 16:18:18.479	{"prediction":5.1688311688311686}
4917	27	64	CF	2	2015-04-09 16:18:18.49	{"prediction":5.089285714285714}
4918	27	78	CF	3	2015-04-09 16:18:18.498	{"prediction":5.0}
4919	27	97	CF	4	2015-04-09 16:18:18.505	{"prediction":4.964285714285714}
4920	27	79	cbr	5	2015-04-09 16:18:18.508	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4921	27	65	cbr	6	2015-04-09 16:18:18.511	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4922	27	32	cbr	7	2015-04-09 16:18:18.518	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4923	27	47	random	8	2015-04-09 16:18:18.521	\N
4924	27	56	random	9	2015-04-09 16:18:18.525	\N
4925	27	29	tags	0	2015-04-09 16:18:37.575	{"score":6.8294117590960335}
4926	27	79	cbr	1	2015-04-09 16:18:37.584	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4927	27	65	cbr	2	2015-04-09 16:18:37.59	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
4928	27	32	cbr	3	2015-04-09 16:18:37.599	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
4929	27	64	CF	4	2015-04-09 16:18:37.605	{"prediction":5.089285714285714}
4930	27	78	CF	5	2015-04-09 16:18:37.608	{"prediction":5.0}
4931	27	97	CF	6	2015-04-09 16:18:37.613	{"prediction":4.964285714285714}
4932	27	60	CF	7	2015-04-09 16:18:37.616	{"prediction":4.914285714285715}
4933	27	42	random	8	2015-04-09 16:18:37.619	\N
4934	27	4	random	9	2015-04-09 16:18:37.623	\N
4935	59	23	CF	0	2015-04-10 10:10:14.589	{"prediction":4.454545454545454}
4936	59	64	CF	1	2015-04-10 10:10:14.602	{"prediction":4.375}
4937	59	21	CF	2	2015-04-10 10:10:14.61	{"prediction":4.285714285714286}
4938	59	78	CF	3	2015-04-10 10:10:14.617	{"prediction":4.285714285714286}
4939	59	19	cbr	4	2015-04-10 10:10:14.627	{"similarUserId":59,"similarityToUser":1.0,"similarUserRating":2.0}
4940	59	79	cbr	5	2015-04-10 10:10:14.63	{"similarUserId":59,"similarityToUser":1.0,"similarUserRating":2.0}
4941	59	65	cbr	6	2015-04-10 10:10:14.633	{"similarUserId":59,"similarityToUser":1.0,"similarUserRating":2.0}
4942	59	32	cbr	7	2015-04-10 10:10:14.637	{"similarUserId":59,"similarityToUser":1.0,"similarUserRating":3.0}
4943	59	7	random	8	2015-04-10 10:10:14.641	\N
4944	59	46	random	9	2015-04-10 10:10:14.645	\N
4945	16	19	cbr	0	2015-04-10 13:33:51.724	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4946	16	79	cbr	1	2015-04-10 13:33:51.734	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4947	16	65	cbr	2	2015-04-10 13:33:51.742	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
4948	16	32	cbr	3	2015-04-10 13:33:51.75	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":3.0}
4949	16	23	CF	4	2015-04-10 13:33:51.758	{"prediction":4.517045454545454}
4950	16	64	CF	5	2015-04-10 13:33:51.761	{"prediction":4.4375}
4951	16	78	CF	6	2015-04-10 13:33:51.764	{"prediction":4.348214285714286}
4952	16	21	CF	7	2015-04-10 13:33:51.767	{"prediction":4.348214285714286}
4953	16	6	random	8	2015-04-10 13:33:51.772	\N
4954	16	8	random	9	2015-04-10 13:33:51.775	\N
4955	60	58	tags	0	2015-04-10 13:36:19.263	{"score":1.0}
4956	60	4	tags	1	2015-04-10 13:36:19.267	{"score":1.0}
4957	60	18	tags	2	2015-04-10 13:36:19.27	{"score":0.8000000317891439}
4958	60	12	tags	3	2015-04-10 13:36:19.273	{"score":0.800000011920929}
4959	60	23	CF	4	2015-04-10 13:36:19.276	{"prediction":4.454545454545454}
4961	60	21	CF	6	2015-04-10 13:36:19.283	{"prediction":4.285714285714286}
4962	60	78	CF	7	2015-04-10 13:36:19.286	{"prediction":4.285714285714286}
4963	60	25	random	8	2015-04-10 13:36:19.289	\N
4964	60	55	random	9	2015-04-10 13:36:19.292	\N
4965	60	19	cbr	0	2015-04-10 13:36:38.768	{"similarUserId":60,"similarityToUser":1.0,"similarUserRating":2.0}
4966	60	23	CF	1	2015-04-10 13:36:38.775	{"prediction":4.454545454545454}
4967	60	64	CF	2	2015-04-10 13:36:38.781	{"prediction":4.375}
4968	60	21	CF	3	2015-04-10 13:36:38.789	{"prediction":4.285714285714286}
4969	60	78	CF	4	2015-04-10 13:36:38.795	{"prediction":4.285714285714286}
4973	60	49	random	8	2015-04-10 13:36:38.809	\N
4975	60	79	cbr	0	2015-04-10 13:36:46.96	{"similarUserId":60,"similarityToUser":1.0,"similarUserRating":2.0}
4979	60	23	CF	4	2015-04-10 13:36:46.976	{"prediction":4.454545454545454}
4983	60	19	random	8	2015-04-10 13:36:46.988	\N
4986	60	32	cbr	1	2015-04-10 13:37:09.25	{"similarUserId":60,"similarityToUser":1.0,"similarUserRating":3.0}
4990	60	78	CF	5	2015-04-10 13:37:09.263	{"prediction":4.285714285714286}
4994	60	23	random	9	2015-04-10 13:37:09.278	\N
4970	60	10	tags	5	2015-04-10 13:36:38.8	{"score":1.128571399620601}
4974	60	48	random	9	2015-04-10 13:36:38.812	\N
4977	60	60	tags	2	2015-04-10 13:36:46.968	{"score":1.878571331501007}
4981	60	21	CF	6	2015-04-10 13:36:46.982	{"prediction":4.285714285714286}
4985	60	65	cbr	0	2015-04-10 13:37:09.246	{"similarUserId":60,"similarityToUser":1.0,"similarUserRating":2.0}
4989	60	21	CF	4	2015-04-10 13:37:09.26	{"prediction":4.285714285714286}
4993	60	57	random	8	2015-04-10 13:37:09.275	\N
4971	60	68	tags	6	2015-04-10 13:36:38.802	{"score":1.074999988079071}
4978	60	68	tags	3	2015-04-10 13:36:46.971	{"score":1.824999988079071}
4982	60	78	CF	7	2015-04-10 13:36:46.985	{"prediction":4.285714285714286}
4987	60	23	CF	2	2015-04-10 13:37:09.253	{"prediction":4.454545454545454}
4991	60	21	tags	6	2015-04-10 13:37:09.268	{"score":2.3142857381275723}
4972	60	31	tags	7	2015-04-10 13:36:38.806	{"score":1.058333377043406}
4976	60	4	tags	1	2015-04-10 13:36:46.965	{"score":1.9142857534544808}
4980	60	64	CF	5	2015-04-10 13:36:46.98	{"prediction":4.375}
4984	60	77	random	9	2015-04-10 13:36:46.991	\N
4988	60	64	CF	3	2015-04-10 13:37:09.257	{"prediction":4.375}
4992	60	68	tags	7	2015-04-10 13:37:09.271	{"score":2.2749999463558197}
4995	60	60	tags	0	2015-04-10 13:38:20.957	{"score":3.5642857807023183}
4999	60	64	CF	4	2015-04-10 13:38:20.971	{"prediction":3.9583333333333335}
5003	60	48	random	8	2015-04-10 13:38:20.992	\N
5005	60	64	CF	0	2015-04-10 13:38:59.972	{"prediction":3.9583333333333335}
5009	60	64	tags	4	2015-04-10 13:38:59.99	{"score":3.800000031789144}
5013	60	83	random	8	2015-04-10 13:39:00.008	\N
4996	60	38	tags	1	2015-04-10 13:38:20.961	{"score":3.5333335995674133}
5000	60	21	CF	5	2015-04-10 13:38:20.974	{"prediction":3.869047619047619}
5004	60	91	random	9	2015-04-10 13:38:20.996	\N
5007	60	78	CF	2	2015-04-10 13:38:59.98	{"prediction":3.869047619047619}
5011	60	20	tags	6	2015-04-10 13:38:59.998	{"score":3.2624998688697815}
4997	60	64	tags	2	2015-04-10 13:38:20.965	{"score":3.50000007947286}
5001	60	78	CF	6	2015-04-10 13:38:20.978	{"prediction":3.869047619047619}
5008	60	97	CF	3	2015-04-10 13:38:59.986	{"prediction":3.8333333333333335}
5012	60	85	cbr	7	2015-04-10 13:39:00.001	{"similarUserId":60,"similarityToUser":1.0,"similarUserRating":4.0}
4998	60	14	tags	3	2015-04-10 13:38:20.967	{"score":3.4095237851142883}
5002	60	97	CF	7	2015-04-10 13:38:20.982	{"prediction":3.8333333333333335}
5006	60	21	CF	1	2015-04-10 13:38:59.977	{"prediction":3.869047619047619}
5010	60	14	tags	5	2015-04-10 13:38:59.995	{"score":3.309523676122938}
5014	60	56	random	9	2015-04-10 13:39:00.011	\N
5015	23	64	tags	0	2015-04-10 16:05:00.685	{"score":6.699999570846558}
5016	23	7	tags	1	2015-04-10 16:05:00.695	{"score":6.22222179836697}
5017	23	38	tags	2	2015-04-10 16:05:00.703	{"score":6.059999783833821}
5018	23	49	tags	3	2015-04-10 16:05:00.715	{"score":6.033332983652751}
5019	23	23	CF	4	2015-04-10 16:05:00.725	{"prediction":5.041666666666667}
5020	23	78	CF	5	2015-04-10 16:05:00.731	{"prediction":4.910714285714286}
5021	23	21	CF	6	2015-04-10 16:05:00.734	{"prediction":4.910714285714286}
5022	23	97	CF	7	2015-04-10 16:05:00.738	{"prediction":4.875}
5023	23	17	random	8	2015-04-10 16:05:00.741	\N
5024	23	70	random	9	2015-04-10 16:05:00.743	\N
5025	61	23	CF	0	2015-04-11 09:28:23.47	{"prediction":4.416666666666667}
5026	61	64	CF	1	2015-04-11 09:28:23.495	{"prediction":4.375}
5027	61	21	CF	2	2015-04-11 09:28:23.513	{"prediction":4.285714285714286}
5028	61	78	CF	3	2015-04-11 09:28:23.53	{"prediction":4.285714285714286}
5029	61	19	cbr	4	2015-04-11 09:28:23.538	{"similarUserId":61,"similarityToUser":1.0,"similarUserRating":2.0}
5030	61	79	cbr	5	2015-04-11 09:28:23.542	{"similarUserId":61,"similarityToUser":1.0,"similarUserRating":2.0}
5031	61	65	cbr	6	2015-04-11 09:28:23.546	{"similarUserId":61,"similarityToUser":1.0,"similarUserRating":2.0}
5032	61	32	cbr	7	2015-04-11 09:28:23.55	{"similarUserId":61,"similarityToUser":1.0,"similarUserRating":3.0}
5033	61	57	random	8	2015-04-11 09:28:23.554	\N
5034	61	89	random	9	2015-04-11 09:28:23.557	\N
5035	61	64	CF	0	2015-04-11 09:28:59.69	{"prediction":4.375}
5036	61	21	CF	1	2015-04-11 09:28:59.696	{"prediction":4.285714285714286}
5037	61	78	CF	2	2015-04-11 09:28:59.699	{"prediction":4.285714285714286}
5038	61	97	CF	3	2015-04-11 09:28:59.709	{"prediction":4.25}
5039	61	64	tags	4	2015-04-11 09:28:59.714	{"score":1.800000011920929}
5040	61	35	tags	5	2015-04-11 09:28:59.718	{"score":1.55999995470047}
5041	61	63	tags	6	2015-04-11 09:28:59.723	{"score":1.5374999642372131}
5042	61	60	tags	7	2015-04-11 09:28:59.726	{"score":1.4769230301563556}
5043	61	85	random	8	2015-04-11 09:28:59.729	\N
5044	61	5	random	9	2015-04-11 09:28:59.733	\N
5045	61	78	CF	0	2015-04-11 09:29:30.478	{"prediction":4.285714285714286}
5046	61	97	CF	1	2015-04-11 09:29:30.492	{"prediction":4.25}
5047	61	60	CF	2	2015-04-11 09:29:30.508	{"prediction":4.2}
5048	61	4	CF	3	2015-04-11 09:29:30.517	{"prediction":4.0}
5049	61	89	tags	4	2015-04-11 09:29:30.527	{"score":2.17499977350235}
5050	61	101	tags	5	2015-04-11 09:29:30.531	{"score":2.1499999165534973}
5051	61	77	tags	6	2015-04-11 09:29:30.535	{"score":1.974999725818634}
5052	61	75	tags	7	2015-04-11 09:29:30.54	{"score":1.9499998211860656}
5053	61	71	random	8	2015-04-11 09:29:30.544	\N
5054	61	72	random	9	2015-04-11 09:29:30.548	\N
5055	61	79	tags	0	2015-04-11 09:29:52.859	{"score":2.459999835412109}
5056	61	75	tags	1	2015-04-11 09:29:52.863	{"score":2.189999967813492}
5057	61	77	tags	2	2015-04-11 09:29:52.868	{"score":2.174999942382177}
5058	61	101	tags	3	2015-04-11 09:29:52.874	{"score":2.1499999364217124}
5059	61	60	CF	4	2015-04-11 09:29:52.876	{"prediction":4.2}
5060	61	4	CF	5	2015-04-11 09:29:52.889	{"prediction":4.0}
5061	61	14	CF	6	2015-04-11 09:29:52.893	{"prediction":4.0}
5062	61	50	CF	7	2015-04-11 09:29:52.896	{"prediction":4.0}
5063	61	42	random	8	2015-04-11 09:29:52.9	\N
5064	61	3	random	9	2015-04-11 09:29:52.905	\N
5065	61	60	CF	0	2015-04-11 09:30:14.564	{"prediction":4.2}
5066	61	4	CF	1	2015-04-11 09:30:14.568	{"prediction":4.0}
5067	61	14	CF	2	2015-04-11 09:30:14.573	{"prediction":4.0}
5068	61	50	CF	3	2015-04-11 09:30:14.576	{"prediction":4.0}
5069	61	4	tags	4	2015-04-11 09:30:14.582	{"score":2.1333331664403277}
5070	61	58	tags	5	2015-04-11 09:30:14.585	{"score":2.024999976158142}
5071	61	19	cbr	6	2015-04-11 09:30:14.59	{"similarUserId":61,"similarityToUser":1.0,"similarUserRating":2.0}
5072	61	65	cbr	7	2015-04-11 09:30:14.596	{"similarUserId":61,"similarityToUser":1.0,"similarUserRating":2.0}
5073	61	23	random	8	2015-04-11 09:30:14.599	\N
5074	61	14	random	9	2015-04-11 09:30:14.601	\N
5075	56	23	CF	0	2015-04-11 15:44:46.469	{"prediction":4.416666666666667}
5076	56	64	CF	1	2015-04-11 15:44:46.479	{"prediction":4.375}
5077	56	21	CF	2	2015-04-11 15:44:46.487	{"prediction":4.285714285714286}
5078	56	78	CF	3	2015-04-11 15:44:46.497	{"prediction":4.285714285714286}
5079	56	4	tags	4	2015-04-11 15:44:46.507	{"score":2.0714285288538252}
5080	56	89	tags	5	2015-04-11 15:44:46.512	{"score":1.949999988079071}
5081	56	101	tags	6	2015-04-11 15:44:46.519	{"score":1.8500000437100728}
5082	56	21	tags	7	2015-04-11 15:44:46.526	{"score":1.8428570457867213}
5083	56	53	random	8	2015-04-11 15:44:46.529	\N
5084	56	23	random	9	2015-04-11 15:44:46.533	\N
5085	62	23	CF	0	2015-04-13 14:12:50.604	{"prediction":4.416666666666667}
5086	62	64	CF	1	2015-04-13 14:12:50.626	{"prediction":4.375}
5087	62	21	CF	2	2015-04-13 14:12:50.636	{"prediction":4.285714285714286}
5088	62	78	CF	3	2015-04-13 14:12:50.645	{"prediction":4.285714285714286}
5089	62	19	cbr	4	2015-04-13 14:12:50.656	{"similarUserId":62,"similarityToUser":1.0,"similarUserRating":2.0}
5090	62	79	cbr	5	2015-04-13 14:12:50.659	{"similarUserId":62,"similarityToUser":1.0,"similarUserRating":2.0}
5094	62	20	random	9	2015-04-13 14:12:50.675	\N
5098	63	40	tags	3	2015-04-13 14:14:12.879	{"score":0.8999999761581421}
5102	63	78	CF	7	2015-04-13 14:14:12.894	{"prediction":4.285714285714286}
5091	62	65	cbr	6	2015-04-13 14:12:50.664	{"similarUserId":62,"similarityToUser":1.0,"similarUserRating":2.0}
5095	63	14	tags	0	2015-04-13 14:14:12.861	{"score":1.0}
5099	63	23	CF	4	2015-04-13 14:14:12.883	{"prediction":4.416666666666667}
5103	63	31	random	8	2015-04-13 14:14:12.897	\N
5092	62	32	cbr	7	2015-04-13 14:12:50.668	{"similarUserId":62,"similarityToUser":1.0,"similarUserRating":3.0}
5096	63	4	tags	1	2015-04-13 14:14:12.867	{"score":1.0}
5100	63	64	CF	5	2015-04-13 14:14:12.887	{"prediction":4.375}
5104	63	78	random	9	2015-04-13 14:14:12.9	\N
5093	62	16	random	8	2015-04-13 14:12:50.672	\N
5097	63	52	tags	2	2015-04-13 14:14:12.874	{"score":0.8999999761581421}
5101	63	21	CF	6	2015-04-13 14:14:12.889	{"prediction":4.285714285714286}
5105	64	58	tags	0	2015-04-13 16:15:52.367	{"score":1.0}
5106	64	61	tags	1	2015-04-13 16:15:52.377	{"score":1.0}
5107	64	4	tags	2	2015-04-13 16:15:52.392	{"score":1.0}
5108	64	26	tags	3	2015-04-13 16:15:52.4	{"score":0.8999999761581421}
5109	64	23	CF	4	2015-04-13 16:15:52.412	{"prediction":4.416666666666667}
5110	64	64	CF	5	2015-04-13 16:15:52.418	{"prediction":4.375}
5111	64	21	CF	6	2015-04-13 16:15:52.421	{"prediction":4.285714285714286}
5112	64	78	CF	7	2015-04-13 16:15:52.433	{"prediction":4.285714285714286}
5113	64	47	random	8	2015-04-13 16:15:52.436	\N
5114	64	94	random	9	2015-04-13 16:15:52.445	\N
5115	64	61	tags	0	2015-04-13 16:16:42.401	{"score":1.25}
5116	64	10	tags	1	2015-04-13 16:16:42.409	{"score":1.128571399620601}
5117	64	8	tags	2	2015-04-13 16:16:42.416	{"score":1.074999988079071}
5118	64	23	CF	3	2015-04-13 16:16:42.423	{"prediction":4.416666666666667}
5119	64	64	CF	4	2015-04-13 16:16:42.429	{"prediction":4.375}
5120	64	21	CF	5	2015-04-13 16:16:42.433	{"prediction":4.285714285714286}
5121	64	78	CF	6	2015-04-13 16:16:42.437	{"prediction":4.285714285714286}
5122	64	19	cbr	7	2015-04-13 16:16:42.45	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":2.0}
5123	64	94	random	8	2015-04-13 16:16:42.455	\N
5124	64	18	random	9	2015-04-13 16:16:42.459	\N
5125	64	19	cbr	0	2015-04-13 16:17:26.724	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":2.0}
5126	64	12	tags	1	2015-04-13 16:17:26.735	{"score":1.400000011920929}
5127	64	6	tags	2	2015-04-13 16:17:26.742	{"score":1.3500000437100728}
5128	64	4	tags	3	2015-04-13 16:17:26.75	{"score":1.3142857807023185}
5129	64	23	CF	4	2015-04-13 16:17:26.758	{"prediction":4.416666666666667}
5130	64	64	CF	5	2015-04-13 16:17:26.761	{"prediction":4.375}
5131	64	21	CF	6	2015-04-13 16:17:26.764	{"prediction":4.285714285714286}
5132	64	78	CF	7	2015-04-13 16:17:26.767	{"prediction":4.285714285714286}
5133	64	48	random	8	2015-04-13 16:17:26.769	\N
5134	64	32	random	9	2015-04-13 16:17:26.772	\N
5135	65	23	CF	0	2015-04-13 16:17:40.259	{"prediction":4.416666666666667}
5136	65	64	CF	1	2015-04-13 16:17:40.264	{"prediction":4.375}
5137	65	21	CF	2	2015-04-13 16:17:40.267	{"prediction":4.285714285714286}
5138	65	78	CF	3	2015-04-13 16:17:40.269	{"prediction":4.285714285714286}
5139	65	77	tags	4	2015-04-13 16:17:40.272	{"score":1.0}
5140	65	14	tags	5	2015-04-13 16:17:40.277	{"score":1.0}
5141	65	92	tags	6	2015-04-13 16:17:40.28	{"score":1.0}
5142	65	4	tags	7	2015-04-13 16:17:40.283	{"score":1.0}
5143	65	36	random	8	2015-04-13 16:17:40.285	\N
5144	65	35	random	9	2015-04-13 16:17:40.288	\N
5145	64	6	tags	0	2015-04-13 16:17:53.807	{"score":1.600000023841858}
5146	64	45	tags	1	2015-04-13 16:17:53.814	{"score":1.425000011920929}
5147	64	79	cbr	2	2015-04-13 16:17:53.819	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":2.0}
5148	64	65	cbr	3	2015-04-13 16:17:53.834	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":2.0}
5149	64	23	CF	4	2015-04-13 16:17:53.838	{"prediction":4.416666666666667}
5150	64	64	CF	5	2015-04-13 16:17:53.84	{"prediction":4.375}
5151	64	21	CF	6	2015-04-13 16:17:53.846	{"prediction":4.285714285714286}
5152	64	78	CF	7	2015-04-13 16:17:53.849	{"prediction":4.285714285714286}
5153	64	90	random	8	2015-04-13 16:17:53.851	\N
5154	64	78	random	9	2015-04-13 16:17:53.854	\N
5155	64	79	cbr	0	2015-04-13 16:18:14.996	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":2.0}
5156	64	65	cbr	1	2015-04-13 16:18:15	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":2.0}
5157	64	32	cbr	2	2015-04-13 16:18:15.005	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":3.0}
5158	64	8	tags	3	2015-04-13 16:18:15.008	{"score":1.1899999797344207}
5159	64	23	CF	4	2015-04-13 16:18:15.011	{"prediction":4.416666666666667}
5160	64	64	CF	5	2015-04-13 16:18:15.017	{"prediction":4.375}
5161	64	21	CF	6	2015-04-13 16:18:15.021	{"prediction":4.285714285714286}
5162	64	78	CF	7	2015-04-13 16:18:15.026	{"prediction":4.285714285714286}
5163	64	36	random	8	2015-04-13 16:18:15.031	\N
5164	64	78	random	9	2015-04-13 16:18:15.033	\N
5165	65	64	tags	0	2015-04-13 16:18:26.911	{"score":1.800000011920929}
5166	65	75	tags	1	2015-04-13 16:18:26.914	{"score":1.4399999737739564}
5167	65	35	tags	2	2015-04-13 16:18:26.916	{"score":1.438461491694817}
5168	65	63	tags	3	2015-04-13 16:18:26.919	{"score":1.40999995470047}
5169	65	64	CF	4	2015-04-13 16:18:26.922	{"prediction":4.375}
5170	65	21	CF	5	2015-04-13 16:18:26.924	{"prediction":4.285714285714286}
5171	65	78	CF	6	2015-04-13 16:18:26.927	{"prediction":4.285714285714286}
5172	65	97	CF	7	2015-04-13 16:18:26.929	{"prediction":4.25}
5173	65	18	random	8	2015-04-13 16:18:26.932	\N
5174	65	10	random	9	2015-04-13 16:18:26.934	\N
5175	64	65	cbr	0	2015-04-13 16:19:00.225	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":2.0}
5176	64	32	cbr	1	2015-04-13 16:19:00.229	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":3.0}
5177	64	85	cbr	2	2015-04-13 16:19:00.234	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5178	64	23	CF	3	2015-04-13 16:19:00.239	{"prediction":4.416666666666667}
5179	64	64	CF	4	2015-04-13 16:19:00.242	{"prediction":4.375}
5180	64	21	CF	5	2015-04-13 16:19:00.244	{"prediction":4.285714285714286}
5181	64	78	CF	6	2015-04-13 16:19:00.247	{"prediction":4.285714285714286}
5245	66	64	CF	1	2015-04-13 16:21:21.904	{"prediction":4.375}
5248	66	19	cbr	4	2015-04-13 16:21:21.915	{"similarUserId":66,"similarityToUser":1.0,"similarUserRating":2.0}
5252	66	13	random	8	2015-04-13 16:21:21.925	\N
5264	66	64	CF	0	2015-04-13 16:21:53.533	{"prediction":4.361702127659575}
5268	66	64	tags	4	2015-04-13 16:21:53.547	{"score":1.800000011920929}
5272	66	81	random	8	2015-04-13 16:21:53.557	\N
5373	68	64	CF	0	2015-04-13 16:31:52.564	{"prediction":4.361702127659575}
5376	68	60	CF	3	2015-04-13 16:31:52.578	{"prediction":4.18936170212766}
5379	68	21	tags	6	2015-04-13 16:31:52.588	{"score":1.5857142976352148}
5382	68	10	random	9	2015-04-13 16:31:52.615	\N
5395	69	62	tags	2	2015-04-13 16:32:24.618	{"score":0.8333333333333334}
5399	69	21	CF	6	2015-04-13 16:32:24.631	{"prediction":4.270516717325227}
5405	69	21	CF	2	2015-04-13 16:32:57.342	{"prediction":4.270516717325227}
5409	69	68	tags	6	2015-04-13 16:32:57.353	{"score":0.9750000238418579}
5416	69	60	CF	3	2015-04-13 16:33:18.123	{"prediction":3.8129807692307693}
5420	69	42	tags	7	2015-04-13 16:33:18.168	{"score":4.264285453728267}
5182	64	100	tags	7	2015-04-13 16:19:00.25	{"score":1.6666666269302368}
5246	66	21	CF	2	2015-04-13 16:21:21.907	{"prediction":4.285714285714286}
5250	66	65	cbr	6	2015-04-13 16:21:21.92	{"similarUserId":66,"similarityToUser":1.0,"similarUserRating":2.0}
5266	66	78	CF	2	2015-04-13 16:21:53.541	{"prediction":4.270516717325227}
5270	66	63	tags	6	2015-04-13 16:21:53.552	{"score":1.5374999642372131}
5374	68	21	CF	1	2015-04-13 16:31:52.567	{"prediction":4.270516717325227}
5378	68	64	tags	5	2015-04-13 16:31:52.585	{"score":1.599999984105428}
5394	69	4	tags	1	2015-04-13 16:32:24.613	{"score":1.0}
5398	69	64	CF	5	2015-04-13 16:32:24.628	{"prediction":4.361702127659575}
5402	69	99	random	9	2015-04-13 16:32:24.639	\N
5403	69	23	CF	0	2015-04-13 16:32:57.335	{"prediction":4.407801418439716}
5407	69	19	cbr	4	2015-04-13 16:32:57.347	{"similarUserId":69,"similarityToUser":1.0,"similarUserRating":2.0}
5411	69	19	random	8	2015-04-13 16:32:57.358	\N
5414	69	78	CF	1	2015-04-13 16:33:18.108	{"prediction":3.894230769230769}
5418	69	75	tags	5	2015-04-13 16:33:18.158	{"score":4.4399994015693665}
5422	69	34	random	9	2015-04-13 16:33:18.185	\N
5183	64	18	random	8	2015-04-13 16:19:00.253	\N
5244	66	23	CF	0	2015-04-13 16:21:21.901	{"prediction":4.416666666666667}
5247	66	78	CF	3	2015-04-13 16:21:21.912	{"prediction":4.285714285714286}
5251	66	32	cbr	7	2015-04-13 16:21:21.923	{"similarUserId":66,"similarityToUser":1.0,"similarUserRating":3.0}
5267	66	60	CF	3	2015-04-13 16:21:53.544	{"prediction":4.18936170212766}
5271	66	60	tags	7	2015-04-13 16:21:53.554	{"score":1.4769230301563556}
5377	68	60	tags	4	2015-04-13 16:31:52.582	{"score":1.6214285833495004}
5380	68	79	cbr	7	2015-04-13 16:31:52.594	{"similarUserId":68,"similarityToUser":1.0,"similarUserRating":2.0}
5393	69	58	tags	0	2015-04-13 16:32:24.606	{"score":1.0}
5397	69	23	CF	4	2015-04-13 16:32:24.624	{"prediction":4.407801418439716}
5401	69	17	random	8	2015-04-13 16:32:24.636	\N
5404	69	64	CF	1	2015-04-13 16:32:57.34	{"prediction":4.361702127659575}
5408	69	29	tags	5	2015-04-13 16:32:57.349	{"score":1.0062500834465027}
5412	69	65	random	9	2015-04-13 16:32:57.361	\N
5415	69	21	CF	2	2015-04-13 16:33:18.115	{"prediction":3.894230769230769}
5419	69	20	tags	6	2015-04-13 16:33:18.162	{"score":4.271428474358149}
5184	64	3	random	9	2015-04-13 16:19:00.259	\N
5249	66	79	cbr	5	2015-04-13 16:21:21.918	{"similarUserId":66,"similarityToUser":1.0,"similarUserRating":2.0}
5253	66	16	random	9	2015-04-13 16:21:21.928	\N
5265	66	21	CF	1	2015-04-13 16:21:53.538	{"prediction":4.270516717325227}
5269	66	35	tags	5	2015-04-13 16:21:53.55	{"score":1.55999995470047}
5273	66	79	random	9	2015-04-13 16:21:53.559	\N
5375	68	78	CF	2	2015-04-13 16:31:52.57	{"prediction":4.270516717325227}
5381	68	7	random	8	2015-04-13 16:31:52.606	\N
5396	69	51	tags	3	2015-04-13 16:32:24.621	{"score":0.75}
5400	69	78	CF	7	2015-04-13 16:32:24.633	{"prediction":4.270516717325227}
5406	69	78	CF	3	2015-04-13 16:32:57.345	{"prediction":4.270516717325227}
5410	69	60	tags	7	2015-04-13 16:32:57.356	{"score":0.9499999710491726}
5413	69	64	CF	0	2015-04-13 16:33:18.026	{"prediction":3.985376602564102}
5417	69	64	tags	4	2015-04-13 16:33:18.142	{"score":5.299999554951985}
5421	69	95	random	8	2015-04-13 16:33:18.177	\N
5185	65	16	tags	0	2015-04-13 16:19:35.473	{"score":0.3}
5189	65	21	CF	4	2015-04-13 16:19:35.484	{"prediction":4.285714285714286}
5193	65	18	random	8	2015-04-13 16:19:35.493	\N
5196	64	64	CF	1	2015-04-13 16:19:37.786	{"prediction":4.375}
5200	64	80	tags	5	2015-04-13 16:19:37.797	{"score":2.400000035762787}
5204	64	14	random	9	2015-04-13 16:19:37.807	\N
5205	65	16	tags	0	2015-04-13 16:20:00.295	{"score":0.3}
5209	65	21	CF	4	2015-04-13 16:20:00.31	{"prediction":4.285714285714286}
5213	65	86	random	8	2015-04-13 16:20:00.321	\N
5225	64	54	tags	0	2015-04-13 16:20:45.204	{"score":2.608333388964335}
5229	64	64	CF	4	2015-04-13 16:20:45.217	{"prediction":4.375}
5233	64	75	random	8	2015-04-13 16:20:45.228	\N
5235	64	85	cbr	1	2015-04-13 16:20:58.191	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5239	64	60	CF	5	2015-04-13 16:20:58.201	{"prediction":4.2}
5243	64	31	random	9	2015-04-13 16:20:58.213	\N
5295	64	50	tags	1	2015-04-13 16:23:37.638	{"score":5.753333234786988}
5299	64	50	CF	5	2015-04-13 16:23:37.652	{"prediction":2.882978723404255}
5303	64	14	random	9	2015-04-13 16:23:37.661	\N
5305	64	60	CF	1	2015-04-13 16:24:02.003	{"prediction":3.090070921985816}
5309	64	87	cbr	5	2015-04-13 16:24:02.014	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5313	64	59	random	9	2015-04-13 16:24:02.024	\N
5317	64	87	CF	3	2015-04-13 16:24:14.495	{"prediction":2.882978723404255}
5321	64	100	cbr	7	2015-04-13 16:24:14.505	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5357	67	78	CF	3	2015-04-13 16:26:46.321	{"prediction":4.270516717325227}
5361	67	32	tags	7	2015-04-13 16:26:46.332	{"score":1.5600000500679017}
5186	65	49	tags	1	2015-04-13 16:19:35.477	{"score":0.2833333532806194}
5190	65	78	CF	5	2015-04-13 16:19:35.487	{"prediction":4.285714285714286}
5194	65	10	random	9	2015-04-13 16:19:35.495	\N
5197	64	21	CF	2	2015-04-13 16:19:37.789	{"prediction":4.285714285714286}
5201	64	32	cbr	6	2015-04-13 16:19:37.8	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":3.0}
5207	65	59	tags	2	2015-04-13 16:20:00.304	{"score":0.2777777897777779}
5211	65	97	CF	6	2015-04-13 16:20:00.316	{"prediction":4.25}
5227	64	87	tags	2	2015-04-13 16:20:45.212	{"score":2.4888889127307467}
5231	64	97	CF	6	2015-04-13 16:20:45.222	{"prediction":4.25}
5234	64	32	cbr	0	2015-04-13 16:20:58.188	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":3.0}
5238	64	97	CF	4	2015-04-13 16:20:58.199	{"prediction":4.25}
5242	64	58	random	8	2015-04-13 16:20:58.21	\N
5294	64	72	tags	0	2015-04-13 16:23:37.632	{"score":5.854545268145475}
5298	64	14	CF	4	2015-04-13 16:23:37.649	{"prediction":2.882978723404255}
5302	64	82	random	8	2015-04-13 16:23:37.659	\N
5306	64	29	CF	2	2015-04-13 16:24:02.007	{"prediction":2.882978723404255}
5310	64	67	cbr	6	2015-04-13 16:24:02.017	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5315	64	29	CF	1	2015-04-13 16:24:14.484	{"prediction":2.882978723404255}
5319	64	67	cbr	5	2015-04-13 16:24:14.5	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5323	64	29	random	9	2015-04-13 16:24:14.511	\N
5355	67	64	CF	1	2015-04-13 16:26:46.312	{"prediction":4.361702127659575}
5359	67	29	tags	5	2015-04-13 16:26:46.327	{"score":1.6285714677401952}
5363	67	64	random	9	2015-04-13 16:26:46.34	\N
5187	65	59	tags	2	2015-04-13 16:19:35.479	{"score":0.2777777897777779}
5191	65	97	CF	6	2015-04-13 16:19:35.489	{"prediction":4.25}
5198	64	78	CF	3	2015-04-13 16:19:37.793	{"prediction":4.285714285714286}
5202	64	85	cbr	7	2015-04-13 16:19:37.802	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5206	65	49	tags	1	2015-04-13 16:20:00.301	{"score":0.2833333532806194}
5210	65	78	CF	5	2015-04-13 16:20:00.313	{"prediction":4.285714285714286}
5214	65	47	random	9	2015-04-13 16:20:00.323	\N
5226	64	64	tags	1	2015-04-13 16:20:45.208	{"score":2.4999999602635703}
5230	64	78	CF	5	2015-04-13 16:20:45.219	{"prediction":4.285714285714286}
5236	64	64	CF	2	2015-04-13 16:20:58.194	{"prediction":4.375}
5240	64	72	tags	6	2015-04-13 16:20:58.205	{"score":3.790909057313746}
5296	64	60	CF	2	2015-04-13 16:23:37.643	{"prediction":3.090070921985816}
5300	64	87	cbr	6	2015-04-13 16:23:37.654	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5304	64	50	tags	0	2015-04-13 16:24:01.999	{"score":6.093333085378012}
5308	64	50	CF	4	2015-04-13 16:24:02.011	{"prediction":2.882978723404255}
5312	64	56	random	8	2015-04-13 16:24:02.022	\N
5314	64	60	CF	0	2015-04-13 16:24:14.48	{"prediction":3.090070921985816}
5318	64	87	cbr	4	2015-04-13 16:24:14.498	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5322	64	57	random	8	2015-04-13 16:24:14.507	\N
5354	67	23	CF	0	2015-04-13 16:26:46.308	{"prediction":4.407801418439716}
5358	67	77	tags	4	2015-04-13 16:26:46.324	{"score":1.6400000691413879}
5362	67	66	random	8	2015-04-13 16:26:46.337	\N
5188	65	1	tags	3	2015-04-13 16:19:35.482	{"score":0.23333336122790538}
5192	65	60	CF	7	2015-04-13 16:19:35.491	{"prediction":4.2}
5195	64	23	CF	0	2015-04-13 16:19:37.783	{"prediction":4.416666666666667}
5199	64	4	tags	4	2015-04-13 16:19:37.795	{"score":2.4888890518082514}
5203	64	13	random	8	2015-04-13 16:19:37.805	\N
5208	65	1	tags	3	2015-04-13 16:20:00.307	{"score":0.23333336122790538}
5212	65	60	CF	7	2015-04-13 16:20:00.318	{"prediction":4.2}
5228	64	32	cbr	3	2015-04-13 16:20:45.214	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":3.0}
5232	64	60	CF	7	2015-04-13 16:20:45.224	{"prediction":4.2}
5237	64	78	CF	3	2015-04-13 16:20:58.197	{"prediction":4.285714285714286}
5241	64	64	tags	7	2015-04-13 16:20:58.207	{"score":3.699999769528707}
5297	64	29	CF	3	2015-04-13 16:23:37.646	{"prediction":2.882978723404255}
5301	64	67	cbr	7	2015-04-13 16:23:37.657	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5307	64	14	CF	3	2015-04-13 16:24:02.009	{"prediction":2.882978723404255}
5311	64	60	cbr	7	2015-04-13 16:24:02.019	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5316	64	14	CF	2	2015-04-13 16:24:14.488	{"prediction":2.882978723404255}
5320	64	60	cbr	6	2015-04-13 16:24:14.502	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5356	67	21	CF	2	2015-04-13 16:26:46.316	{"prediction":4.270516717325227}
5360	67	21	tags	6	2015-04-13 16:26:46.329	{"score":1.5666667421658833}
5215	64	4	tags	0	2015-04-13 16:20:01.481	{"score":3.255555252234141}
5219	64	21	CF	4	2015-04-13 16:20:01.505	{"prediction":4.285714285714286}
5223	64	100	random	8	2015-04-13 16:20:01.532	\N
5257	64	50	tags	3	2015-04-13 16:21:34.511	{"score":3.8466665108998614}
5261	64	60	CF	7	2015-04-13 16:21:34.524	{"prediction":4.2}
5274	64	64	CF	0	2015-04-13 16:22:24.13	{"prediction":3.2624113475177308}
5278	64	87	cbr	4	2015-04-13 16:22:24.142	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5282	64	33	random	8	2015-04-13 16:22:24.153	\N
5286	64	29	CF	2	2015-04-13 16:23:09.151	{"prediction":2.882978723404255}
5290	64	72	tags	6	2015-04-13 16:23:09.161	{"score":5.427272449840199}
5327	64	100	CF	3	2015-04-13 16:24:39.393	{"prediction":2.882978723404255}
5331	64	95	tags	7	2015-04-13 16:24:39.414	{"score":6.461538553237915}
5337	67	77	tags	3	2015-04-13 16:26:24.033	{"score":1.0}
5341	67	78	CF	7	2015-04-13 16:26:24.045	{"prediction":4.270516717325227}
5346	68	30	tags	2	2015-04-13 16:26:30.278	{"score":0.699999988079071}
5350	68	21	CF	6	2015-04-13 16:26:30.299	{"prediction":4.270516717325227}
5365	68	23	CF	1	2015-04-13 16:26:58.674	{"prediction":4.407801418439716}
5369	68	58	tags	5	2015-04-13 16:26:58.689	{"score":1.3750000596046448}
5385	68	78	CF	2	2015-04-13 16:32:15.154	{"prediction":4.270516717325227}
5389	68	79	cbr	6	2015-04-13 16:32:15.171	{"similarUserId":68,"similarityToUser":1.0,"similarUserRating":2.0}
5216	64	80	tags	1	2015-04-13 16:20:01.487	{"score":3.2249998450279236}
5220	64	78	CF	5	2015-04-13 16:20:01.511	{"prediction":4.285714285714286}
5224	64	81	random	9	2015-04-13 16:20:01.537	\N
5254	64	97	cbr	0	2015-04-13 16:21:34.496	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5258	64	64	CF	4	2015-04-13 16:21:34.515	{"prediction":4.375}
5262	64	50	random	8	2015-04-13 16:21:34.528	\N
5275	64	78	CF	1	2015-04-13 16:22:24.133	{"prediction":3.1712259371833835}
5279	64	67	cbr	5	2015-04-13 16:22:24.145	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5283	64	23	random	9	2015-04-13 16:22:24.155	\N
5287	64	14	CF	3	2015-04-13 16:23:09.154	{"prediction":2.882978723404255}
5291	64	50	tags	7	2015-04-13 16:23:09.164	{"score":5.226666259765625}
5325	64	14	CF	1	2015-04-13 16:24:39.386	{"prediction":2.882978723404255}
5329	64	67	cbr	5	2015-04-13 16:24:39.407	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5333	64	72	random	9	2015-04-13 16:24:39.425	\N
5335	67	14	tags	1	2015-04-13 16:26:24.028	{"score":1.0}
5339	67	64	CF	5	2015-04-13 16:26:24.039	{"prediction":4.361702127659575}
5343	67	87	random	9	2015-04-13 16:26:24.05	\N
5344	68	4	tags	0	2015-04-13 16:26:30.268	{"score":1.0}
5348	68	23	CF	4	2015-04-13 16:26:30.289	{"prediction":4.407801418439716}
5352	68	73	random	8	2015-04-13 16:26:30.304	\N
5366	68	64	CF	2	2015-04-13 16:26:58.678	{"prediction":4.361702127659575}
5370	68	68	tags	6	2015-04-13 16:26:58.691	{"score":1.3750000596046448}
5386	68	60	CF	3	2015-04-13 16:32:15.157	{"prediction":4.18936170212766}
5390	68	65	cbr	7	2015-04-13 16:32:15.174	{"similarUserId":68,"similarityToUser":1.0,"similarUserRating":2.0}
5217	64	21	tags	2	2015-04-13 16:20:01.495	{"score":3.2142856291362216}
5221	64	97	CF	6	2015-04-13 16:20:01.519	{"prediction":4.25}
5255	64	72	tags	1	2015-04-13 16:21:34.5	{"score":3.927272601561113}
5259	64	78	CF	5	2015-04-13 16:21:34.518	{"prediction":4.285714285714286}
5263	64	9	random	9	2015-04-13 16:21:34.533	\N
5277	64	29	CF	3	2015-04-13 16:22:24.139	{"prediction":2.882978723404255}
5281	64	50	tags	7	2015-04-13 16:22:24.15	{"score":5.0666664123535154}
5285	64	60	CF	1	2015-04-13 16:23:09.144	{"prediction":3.090070921985816}
5289	64	67	cbr	5	2015-04-13 16:23:09.159	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5293	64	90	random	9	2015-04-13 16:23:09.168	\N
5324	64	29	CF	0	2015-04-13 16:24:39.382	{"prediction":2.882978723404255}
5328	64	87	cbr	4	2015-04-13 16:24:39.402	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5332	64	69	random	8	2015-04-13 16:24:39.422	\N
5334	67	4	tags	0	2015-04-13 16:26:24.025	{"score":1.0}
5338	67	23	CF	4	2015-04-13 16:26:24.036	{"prediction":4.407801418439716}
5342	67	38	random	8	2015-04-13 16:26:24.047	\N
5347	68	14	tags	3	2015-04-13 16:26:30.286	{"score":0.6699999809265137}
5351	68	78	CF	7	2015-04-13 16:26:30.302	{"prediction":4.270516717325227}
5364	68	19	cbr	0	2015-04-13 16:26:58.671	{"similarUserId":68,"similarityToUser":1.0,"similarUserRating":2.0}
5368	68	78	CF	4	2015-04-13 16:26:58.686	{"prediction":4.270516717325227}
5372	68	40	random	8	2015-04-13 16:26:58.696	\N
5383	68	58	tags	0	2015-04-13 16:32:15.148	{"score":2.3499999046325684}
5387	68	97	CF	4	2015-04-13 16:32:15.16	{"prediction":4.099290780141844}
5391	68	72	random	8	2015-04-13 16:32:15.178	\N
5218	64	64	CF	3	2015-04-13 16:20:01.501	{"prediction":4.375}
5222	64	32	cbr	7	2015-04-13 16:20:01.524	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":3.0}
5256	64	100	tags	2	2015-04-13 16:21:34.508	{"score":3.916666587193807}
5260	64	97	CF	6	2015-04-13 16:21:34.521	{"prediction":4.25}
5276	64	60	CF	2	2015-04-13 16:22:24.137	{"prediction":3.090070921985816}
5280	64	72	tags	6	2015-04-13 16:22:24.148	{"score":5.2090911865234375}
5284	64	78	CF	0	2015-04-13 16:23:09.141	{"prediction":3.1712259371833835}
5288	64	87	cbr	4	2015-04-13 16:23:09.157	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5292	64	73	random	8	2015-04-13 16:23:09.166	\N
5326	64	87	CF	2	2015-04-13 16:24:39.39	{"prediction":2.882978723404255}
5330	64	100	cbr	6	2015-04-13 16:24:39.41	{"similarUserId":64,"similarityToUser":1.0,"similarUserRating":4.0}
5336	67	92	tags	2	2015-04-13 16:26:24.031	{"score":1.0}
5340	67	21	CF	6	2015-04-13 16:26:24.042	{"prediction":4.270516717325227}
5345	68	58	tags	1	2015-04-13 16:26:30.274	{"score":1.0}
5349	68	64	CF	5	2015-04-13 16:26:30.296	{"prediction":4.361702127659575}
5353	68	40	random	9	2015-04-13 16:26:30.306	\N
5367	68	21	CF	3	2015-04-13 16:26:58.683	{"prediction":4.270516717325227}
5371	68	1	random	7	2015-04-13 16:26:58.694	\N
5384	68	77	tags	1	2015-04-13 16:32:15.151	{"score":2.288461673718232}
5388	68	85	CF	5	2015-04-13 16:32:15.164	{"prediction":3.9848024316109423}
5392	68	101	random	9	2015-04-13 16:32:15.182	\N
5423	70	58	tags	0	2015-04-13 16:48:06.524	{"score":1.0}
5424	70	4	tags	1	2015-04-13 16:48:06.539	{"score":1.0}
5425	70	62	tags	2	2015-04-13 16:48:06.548	{"score":0.8333333333333334}
5426	70	51	tags	3	2015-04-13 16:48:06.556	{"score":0.75}
5427	70	23	CF	4	2015-04-13 16:48:06.564	{"prediction":4.376602564102564}
5428	70	64	CF	5	2015-04-13 16:48:06.568	{"prediction":4.361979166666666}
5429	70	21	CF	6	2015-04-13 16:48:06.571	{"prediction":4.270833333333333}
5430	70	78	CF	7	2015-04-13 16:48:06.575	{"prediction":4.270833333333333}
5431	70	7	random	8	2015-04-13 16:48:06.58	\N
5432	70	70	random	9	2015-04-13 16:48:06.583	\N
5433	70	64	tags	0	2015-04-13 16:49:10.176	{"score":1.100000023841858}
5434	70	49	tags	1	2015-04-13 16:49:10.179	{"score":0.6199999809265136}
5435	70	84	tags	2	2015-04-13 16:49:10.183	{"score":0.5444444020589193}
5436	70	16	tags	3	2015-04-13 16:49:10.186	{"score":0.5200000286102295}
5437	70	23	CF	4	2015-04-13 16:49:10.188	{"prediction":4.376602564102564}
5438	70	64	CF	5	2015-04-13 16:49:10.191	{"prediction":4.361979166666666}
5439	70	21	CF	6	2015-04-13 16:49:10.195	{"prediction":4.270833333333333}
5440	70	78	CF	7	2015-04-13 16:49:10.197	{"prediction":4.270833333333333}
5441	70	95	random	8	2015-04-13 16:49:10.206	\N
5442	70	82	random	9	2015-04-13 16:49:10.211	\N
5443	70	19	cbr	0	2015-04-13 16:49:29.811	{"similarUserId":70,"similarityToUser":1.0,"similarUserRating":2.0}
5444	70	23	CF	1	2015-04-13 16:49:29.817	{"prediction":4.376602564102564}
5445	70	21	CF	2	2015-04-13 16:49:29.823	{"prediction":4.270833333333333}
5446	70	78	CF	3	2015-04-13 16:49:29.826	{"prediction":4.270833333333333}
5447	70	60	CF	4	2015-04-13 16:49:29.829	{"prediction":4.189583333333333}
5448	70	16	tags	5	2015-04-13 16:49:29.832	{"score":0.6400000095367432}
5449	70	84	tags	6	2015-04-13 16:49:29.835	{"score":0.5777777565850152}
5450	70	93	tags	7	2015-04-13 16:49:29.838	{"score":0.4090909090909091}
5451	70	69	random	8	2015-04-13 16:49:29.841	\N
5452	70	52	random	9	2015-04-13 16:49:29.844	\N
5453	71	19	cbr	0	2015-04-13 16:52:42.05	{"similarUserId":71,"similarityToUser":1.0,"similarUserRating":2.0}
5454	71	79	cbr	1	2015-04-13 16:52:42.057	{"similarUserId":71,"similarityToUser":1.0,"similarUserRating":2.0}
5455	71	65	cbr	2	2015-04-13 16:52:42.069	{"similarUserId":71,"similarityToUser":1.0,"similarUserRating":2.0}
5456	71	32	cbr	3	2015-04-13 16:52:42.078	{"similarUserId":71,"similarityToUser":1.0,"similarUserRating":3.0}
5457	71	23	CF	4	2015-04-13 16:52:42.086	{"prediction":4.376602564102564}
5458	71	64	CF	5	2015-04-13 16:52:42.089	{"prediction":4.361979166666666}
5459	71	21	CF	6	2015-04-13 16:52:42.091	{"prediction":4.270833333333333}
5460	71	78	CF	7	2015-04-13 16:52:42.094	{"prediction":4.270833333333333}
5461	71	61	random	8	2015-04-13 16:52:42.098	\N
5462	71	3	random	9	2015-04-13 16:52:42.101	\N
5463	72	23	CF	0	2015-04-13 17:07:02.786	{"prediction":4.376602564102564}
5464	72	64	CF	1	2015-04-13 17:07:02.794	{"prediction":4.361979166666666}
5465	72	21	CF	2	2015-04-13 17:07:02.8	{"prediction":4.270833333333333}
5466	72	78	CF	3	2015-04-13 17:07:02.807	{"prediction":4.270833333333333}
5467	72	4	tags	4	2015-04-13 17:07:02.814	{"score":1.0}
5468	72	61	tags	5	2015-04-13 17:07:02.816	{"score":1.0}
5469	72	26	tags	6	2015-04-13 17:07:02.82	{"score":0.8999999761581421}
5470	72	18	tags	7	2015-04-13 17:07:02.823	{"score":0.8000000317891439}
5471	72	30	random	8	2015-04-13 17:07:02.827	\N
5472	72	26	random	9	2015-04-13 17:07:02.83	\N
5473	72	19	cbr	0	2015-04-13 17:07:32.916	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
5474	72	79	cbr	1	2015-04-13 17:07:32.924	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
5475	72	65	cbr	2	2015-04-13 17:07:32.932	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
5476	72	32	cbr	3	2015-04-13 17:07:32.939	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":3.0}
5477	72	60	CF	4	2015-04-13 17:07:32.947	{"prediction":4.189583333333333}
5478	72	97	CF	5	2015-04-13 17:07:32.95	{"prediction":4.099537037037037}
5479	72	85	CF	6	2015-04-13 17:07:32.953	{"prediction":3.9851190476190474}
5503	73	64	tags	0	2015-04-13 17:12:26.253	{"score":2.2999998927116394}
5507	73	64	CF	4	2015-04-13 17:12:26.265	{"prediction":4.361979166666666}
5511	73	22	random	8	2015-04-13 17:12:26.275	\N
5514	74	32	tags	1	2015-04-13 17:12:35.131	{"score":4.000000081279062}
5518	74	78	CF	5	2015-04-13 17:12:35.141	{"prediction":3.9212827988338192}
5522	74	66	random	9	2015-04-13 17:12:35.15	\N
5480	72	4	CF	7	2015-04-13 17:07:32.956	{"prediction":3.982638888888889}
5505	73	92	tags	2	2015-04-13 17:12:26.26	{"score":1.714285671710968}
5509	73	78	CF	6	2015-04-13 17:12:26.27	{"prediction":4.270833333333333}
5513	74	19	cbr	0	2015-04-13 17:12:35.128	{"similarUserId":74,"similarityToUser":1.0,"similarUserRating":2.0}
5517	74	64	CF	4	2015-04-13 17:12:35.139	{"prediction":4.012390670553936}
5521	74	91	random	8	2015-04-13 17:12:35.148	\N
5481	72	9	random	8	2015-04-13 17:07:32.958	\N
5504	73	42	tags	1	2015-04-13 17:12:26.257	{"score":1.7214285561016627}
5508	73	21	CF	5	2015-04-13 17:12:26.268	{"prediction":4.270833333333333}
5512	73	14	random	9	2015-04-13 17:12:26.277	\N
5515	74	60	tags	2	2015-04-13 17:12:35.133	{"score":3.971428692340851}
5519	74	21	CF	6	2015-04-13 17:12:35.143	{"prediction":3.9212827988338192}
5482	72	72	random	9	2015-04-13 17:07:32.961	\N
5506	73	75	tags	3	2015-04-13 17:12:26.263	{"score":1.70999995470047}
5510	73	60	CF	7	2015-04-13 17:12:26.273	{"prediction":4.189583333333333}
5516	74	20	tags	3	2015-04-13 17:12:35.136	{"score":3.9714284198624745}
5520	74	60	CF	7	2015-04-13 17:12:35.146	{"prediction":3.8399416909620987}
5483	73	23	CF	0	2015-04-13 17:11:18.73	{"prediction":4.376602564102564}
5487	73	58	tags	4	2015-04-13 17:11:18.742	{"score":1.0}
5491	73	26	random	8	2015-04-13 17:11:18.753	\N
5496	74	78	CF	3	2015-04-13 17:11:51.61	{"prediction":4.270833333333333}
5500	74	58	tags	7	2015-04-13 17:11:51.62	{"score":1.0}
5526	75	78	CF	3	2015-04-13 17:15:06.405	{"prediction":4.271137026239067}
5530	75	32	cbr	7	2015-04-13 17:15:06.419	{"similarUserId":75,"similarityToUser":1.0,"similarUserRating":3.0}
5543	76	64	CF	0	2015-04-13 17:16:58.664	{"prediction":4.362244897959184}
5547	76	77	tags	4	2015-04-13 17:16:58.679	{"score":1.0}
5551	76	47	random	8	2015-04-13 17:16:58.688	\N
5563	76	78	CF	0	2015-04-13 17:17:32.774	{"prediction":4.271137026239067}
5567	76	89	tags	4	2015-04-13 17:17:32.783	{"score":2.17499977350235}
5571	76	32	random	8	2015-04-13 17:17:32.792	\N
5484	73	64	CF	1	2015-04-13 17:11:18.733	{"prediction":4.361979166666666}
5488	73	4	tags	5	2015-04-13 17:11:18.745	{"score":1.0}
5492	73	95	random	9	2015-04-13 17:11:18.756	\N
5493	74	23	CF	0	2015-04-13 17:11:51.602	{"prediction":4.376602564102564}
5497	74	89	tags	4	2015-04-13 17:11:51.613	{"score":1.0}
5501	74	21	random	8	2015-04-13 17:11:51.622	\N
5525	75	21	CF	2	2015-04-13 17:15:06.401	{"prediction":4.271137026239067}
5529	75	65	cbr	6	2015-04-13 17:15:06.415	{"similarUserId":75,"similarityToUser":1.0,"similarUserRating":2.0}
5544	76	23	CF	1	2015-04-13 17:16:58.669	{"prediction":4.349854227405248}
5548	76	14	tags	5	2015-04-13 17:16:58.681	{"score":1.0}
5552	76	94	random	9	2015-04-13 17:16:58.692	\N
5564	76	60	CF	1	2015-04-13 17:17:32.776	{"prediction":4.189795918367347}
5568	76	101	tags	5	2015-04-13 17:17:32.785	{"score":2.1499997576077776}
5572	76	75	random	9	2015-04-13 17:17:32.794	\N
5485	73	21	CF	2	2015-04-13 17:11:18.737	{"prediction":4.270833333333333}
5489	73	62	tags	6	2015-04-13 17:11:18.748	{"score":0.8333333333333334}
5494	74	64	CF	1	2015-04-13 17:11:51.605	{"prediction":4.361979166666666}
5498	74	61	tags	5	2015-04-13 17:11:51.615	{"score":1.0}
5502	74	8	random	9	2015-04-13 17:11:51.624	\N
5523	75	64	CF	0	2015-04-13 17:15:06.393	{"prediction":4.362244897959184}
5527	75	19	cbr	4	2015-04-13 17:15:06.408	{"similarUserId":75,"similarityToUser":1.0,"similarUserRating":2.0}
5531	75	75	random	8	2015-04-13 17:15:06.422	\N
5545	76	21	CF	2	2015-04-13 17:16:58.673	{"prediction":4.271137026239067}
5549	76	92	tags	6	2015-04-13 17:16:58.684	{"score":1.0}
5566	76	85	CF	3	2015-04-13 17:17:32.781	{"prediction":3.9854227405247813}
5570	76	19	cbr	7	2015-04-13 17:17:32.79	{"similarUserId":76,"similarityToUser":1.0,"similarUserRating":2.0}
5486	73	78	CF	3	2015-04-13 17:11:18.74	{"prediction":4.270833333333333}
5490	73	51	tags	7	2015-04-13 17:11:18.75	{"score":0.75}
5495	74	21	CF	2	2015-04-13 17:11:51.608	{"prediction":4.270833333333333}
5499	74	26	tags	6	2015-04-13 17:11:51.617	{"score":1.0}
5524	75	23	CF	1	2015-04-13 17:15:06.398	{"prediction":4.349854227405248}
5528	75	79	cbr	5	2015-04-13 17:15:06.41	{"similarUserId":75,"similarityToUser":1.0,"similarUserRating":2.0}
5532	75	49	random	9	2015-04-13 17:15:06.424	\N
5533	75	64	CF	0	2015-04-13 17:15:57.386	{"prediction":4.362244897959184}
5534	75	23	CF	1	2015-04-13 17:15:57.392	{"prediction":4.349854227405248}
5535	75	21	CF	2	2015-04-13 17:15:57.399	{"prediction":4.271137026239067}
5536	75	78	CF	3	2015-04-13 17:15:57.404	{"prediction":4.271137026239067}
5537	75	19	cbr	4	2015-04-13 17:15:57.412	{"similarUserId":75,"similarityToUser":1.0,"similarUserRating":2.0}
5538	75	79	cbr	5	2015-04-13 17:15:57.415	{"similarUserId":75,"similarityToUser":1.0,"similarUserRating":2.0}
5539	75	65	cbr	6	2015-04-13 17:15:57.417	{"similarUserId":75,"similarityToUser":1.0,"similarUserRating":2.0}
5540	75	32	cbr	7	2015-04-13 17:15:57.419	{"similarUserId":75,"similarityToUser":1.0,"similarUserRating":3.0}
5541	75	72	random	8	2015-04-13 17:15:57.422	\N
5542	75	21	random	9	2015-04-13 17:15:57.424	\N
5546	76	78	CF	3	2015-04-13 17:16:58.676	{"prediction":4.271137026239067}
5550	76	4	tags	7	2015-04-13 17:16:58.686	{"score":1.0}
5553	76	21	CF	0	2015-04-13 17:17:21.698	{"prediction":4.271137026239067}
5554	76	78	CF	1	2015-04-13 17:17:21.701	{"prediction":4.271137026239067}
5555	76	60	CF	2	2015-04-13 17:17:21.704	{"prediction":4.189795918367347}
5556	76	97	CF	3	2015-04-13 17:17:21.706	{"prediction":4.099773242630386}
5557	76	75	tags	4	2015-04-13 17:17:21.709	{"score":1.2599999547004699}
5558	76	92	tags	5	2015-04-13 17:17:21.712	{"score":1.1642856853348869}
5559	76	47	tags	6	2015-04-13 17:17:21.715	{"score":1.0999999642372131}
5560	76	65	tags	7	2015-04-13 17:17:21.717	{"score":1.081818228418177}
5561	76	98	random	8	2015-04-13 17:17:21.72	\N
5562	76	46	random	9	2015-04-13 17:17:21.724	\N
5565	76	97	CF	2	2015-04-13 17:17:32.779	{"prediction":4.099773242630386}
5569	76	77	tags	6	2015-04-13 17:17:32.787	{"score":2.141666392485301}
5573	76	60	CF	0	2015-04-13 17:17:40.534	{"prediction":4.189795918367347}
5574	76	97	CF	1	2015-04-13 17:17:40.537	{"prediction":4.099773242630386}
5575	76	85	CF	2	2015-04-13 17:17:40.54	{"prediction":3.9854227405247813}
5576	76	4	CF	3	2015-04-13 17:17:40.542	{"prediction":3.982993197278912}
5577	76	101	tags	4	2015-04-13 17:17:40.545	{"score":3.049999604622523}
5578	76	79	tags	5	2015-04-13 17:17:40.547	{"score":3.000000011920929}
5579	76	89	tags	6	2015-04-13 17:17:40.549	{"score":2.9999997317790985}
5580	76	77	tags	7	2015-04-13 17:17:40.551	{"score":2.9166662395000458}
5581	76	64	random	8	2015-04-13 17:17:40.554	\N
5582	76	65	random	9	2015-04-13 17:17:40.557	\N
5583	76	4	CF	0	2015-04-13 17:18:00.071	{"prediction":3.982993197278912}
5584	76	14	CF	1	2015-04-13 17:18:00.074	{"prediction":3.982993197278912}
5585	76	50	CF	2	2015-04-13 17:18:00.077	{"prediction":3.982993197278912}
5586	76	87	CF	3	2015-04-13 17:18:00.08	{"prediction":3.982993197278912}
5587	76	19	cbr	4	2015-04-13 17:18:00.082	{"similarUserId":76,"similarityToUser":1.0,"similarUserRating":2.0}
5588	76	76	tags	5	2015-04-13 17:18:00.085	{"score":1.3928571471146176}
5589	76	43	tags	6	2015-04-13 17:18:00.087	{"score":1.3300000369548797}
5590	76	100	tags	7	2015-04-13 17:18:00.091	{"score":1.2500000596046448}
5591	76	63	random	8	2015-04-13 17:18:00.093	\N
5592	76	16	random	9	2015-04-13 17:18:00.095	\N
5593	76	93	tags	0	2015-04-13 17:18:58.093	{"score":0.8100000381469726}
5594	76	84	tags	1	2015-04-13 17:18:58.095	{"score":0.799999992052714}
5595	76	45	tags	2	2015-04-13 17:18:58.105	{"score":0.6333333452542622}
5596	76	94	tags	3	2015-04-13 17:18:58.112	{"score":0.6071428614003318}
5597	76	87	CF	4	2015-04-13 17:18:58.119	{"prediction":3.982993197278912}
5598	76	100	CF	5	2015-04-13 17:18:58.121	{"prediction":3.982993197278912}
5599	76	29	CF	6	2015-04-13 17:18:58.123	{"prediction":3.982993197278912}
5600	76	30	CF	7	2015-04-13 17:18:58.125	{"prediction":3.982993197278912}
5601	76	2	random	8	2015-04-13 17:18:58.128	\N
5602	76	63	random	9	2015-04-13 17:18:58.13	\N
5603	77	58	tags	0	2015-04-13 17:42:46.331	{"score":1.0}
5604	77	61	tags	1	2015-04-13 17:42:46.339	{"score":1.0}
5605	77	4	tags	2	2015-04-13 17:42:46.345	{"score":1.0}
5606	77	26	tags	3	2015-04-13 17:42:46.352	{"score":0.9333333174387614}
5607	77	64	CF	4	2015-04-13 17:42:46.358	{"prediction":4.362244897959184}
5608	77	23	CF	5	2015-04-13 17:42:46.361	{"prediction":4.349854227405248}
5609	77	21	CF	6	2015-04-13 17:42:46.363	{"prediction":4.271137026239067}
5610	77	78	CF	7	2015-04-13 17:42:46.366	{"prediction":4.271137026239067}
5611	77	84	random	8	2015-04-13 17:42:46.368	\N
5612	77	94	random	9	2015-04-13 17:42:46.371	\N
5613	78	64	CF	0	2015-04-13 18:07:00.278	{"prediction":4.362244897959184}
5614	78	23	CF	1	2015-04-13 18:07:00.286	{"prediction":4.349854227405248}
5615	78	21	CF	2	2015-04-13 18:07:00.295	{"prediction":4.271137026239067}
5616	78	78	CF	3	2015-04-13 18:07:00.304	{"prediction":4.271137026239067}
5617	78	19	cbr	4	2015-04-13 18:07:00.311	{"similarUserId":78,"similarityToUser":1.0,"similarUserRating":2.0}
5618	78	79	cbr	5	2015-04-13 18:07:00.314	{"similarUserId":78,"similarityToUser":1.0,"similarUserRating":2.0}
5621	78	4	random	8	2015-04-13 18:07:00.324	\N
5619	78	65	cbr	6	2015-04-13 18:07:00.317	{"similarUserId":78,"similarityToUser":1.0,"similarUserRating":2.0}
5620	78	32	cbr	7	2015-04-13 18:07:00.321	{"similarUserId":78,"similarityToUser":1.0,"similarUserRating":3.0}
5622	78	14	random	9	2015-04-13 18:07:00.326	\N
5623	78	75	tags	0	2015-04-13 18:07:09.215	{"score":1.2599999547004699}
5624	78	45	tags	1	2015-04-13 18:07:09.221	{"score":1.2000000476837158}
5625	78	92	tags	2	2015-04-13 18:07:09.228	{"score":1.1538461217513452}
5626	78	65	tags	3	2015-04-13 18:07:09.235	{"score":1.1400000691413879}
5627	78	21	CF	4	2015-04-13 18:07:09.241	{"prediction":4.271137026239067}
5628	78	78	CF	5	2015-04-13 18:07:09.243	{"prediction":4.271137026239067}
5629	78	60	CF	6	2015-04-13 18:07:09.246	{"prediction":4.189795918367347}
5630	78	97	CF	7	2015-04-13 18:07:09.248	{"prediction":4.099773242630386}
5631	78	1	random	8	2015-04-13 18:07:09.251	\N
5632	78	99	random	9	2015-04-13 18:07:09.257	\N
5633	78	21	CF	0	2015-04-13 18:07:25.295	{"prediction":4.271137026239067}
5634	78	78	CF	1	2015-04-13 18:07:25.298	{"prediction":4.271137026239067}
5635	78	60	CF	2	2015-04-13 18:07:25.3	{"prediction":4.189795918367347}
5636	78	97	CF	3	2015-04-13 18:07:25.302	{"prediction":4.099773242630386}
5637	78	59	tags	4	2015-04-13 18:07:25.305	{"score":0.3000000324358783}
5638	78	16	tags	5	2015-04-13 18:07:25.307	{"score":0.3}
5639	78	49	tags	6	2015-04-13 18:07:25.31	{"score":0.2999999879999999}
5640	78	1	tags	7	2015-04-13 18:07:25.312	{"score":0.23999999753674306}
5641	78	54	random	8	2015-04-13 18:07:25.314	\N
5642	78	68	random	9	2015-04-13 18:07:25.317	\N
5643	79	58	tags	0	2015-04-13 18:33:13.806	{"score":1.0}
5644	79	61	tags	1	2015-04-13 18:33:13.815	{"score":1.0}
5645	79	4	tags	2	2015-04-13 18:33:13.825	{"score":1.0}
5646	79	26	tags	3	2015-04-13 18:33:13.835	{"score":0.9333333174387614}
5647	79	64	CF	4	2015-04-13 18:33:13.844	{"prediction":4.362244897959184}
5648	79	23	CF	5	2015-04-13 18:33:13.847	{"prediction":4.349854227405248}
5649	79	21	CF	6	2015-04-13 18:33:13.854	{"prediction":4.271137026239067}
5650	79	78	CF	7	2015-04-13 18:33:13.858	{"prediction":4.271137026239067}
5651	79	2	random	8	2015-04-13 18:33:13.862	\N
5652	79	63	random	9	2015-04-13 18:33:13.866	\N
5653	79	19	cbr	0	2015-04-13 18:33:44.942	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":2.0}
5654	79	64	CF	1	2015-04-13 18:33:44.949	{"prediction":4.362244897959184}
5655	79	23	CF	2	2015-04-13 18:33:44.956	{"prediction":4.349854227405248}
5656	79	21	CF	3	2015-04-13 18:33:44.963	{"prediction":4.271137026239067}
5657	79	78	CF	4	2015-04-13 18:33:44.968	{"prediction":4.271137026239067}
5658	79	61	tags	5	2015-04-13 18:33:44.972	{"score":1.2666667103767395}
5659	79	8	tags	6	2015-04-13 18:33:44.977	{"score":1.100000011920929}
5660	79	10	tags	7	2015-04-13 18:33:44.98	{"score":1.0999999301774162}
5661	79	85	random	8	2015-04-13 18:33:44.982	\N
5662	79	80	random	9	2015-04-13 18:33:44.986	\N
5663	79	21	CF	0	2015-04-13 18:34:03.116	{"prediction":4.271137026239067}
5664	79	78	CF	1	2015-04-13 18:34:03.12	{"prediction":4.271137026239067}
5665	79	60	CF	2	2015-04-13 18:34:03.122	{"prediction":4.189795918367347}
5666	79	97	CF	3	2015-04-13 18:34:03.126	{"prediction":4.099773242630386}
5892	85	18	random	9	2015-04-13 19:48:43.904	\N
5667	79	61	tags	4	2015-04-13 18:34:03.129	{"score":1.1749999523162842}
5668	79	24	tags	5	2015-04-13 18:34:03.132	{"score":1.1749999523162842}
5669	79	8	tags	6	2015-04-13 18:34:03.135	{"score":1.15999995470047}
5670	79	79	cbr	7	2015-04-13 18:34:03.138	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":2.0}
5671	79	101	random	8	2015-04-13 18:34:03.141	\N
5672	79	34	random	9	2015-04-13 18:34:03.144	\N
5673	79	78	CF	0	2015-04-13 18:34:12.279	{"prediction":4.271137026239067}
5674	79	60	CF	1	2015-04-13 18:34:12.282	{"prediction":4.189795918367347}
5675	79	97	CF	2	2015-04-13 18:34:12.286	{"prediction":4.099773242630386}
5676	79	85	CF	3	2015-04-13 18:34:12.293	{"prediction":3.9854227405247813}
5677	79	4	tags	4	2015-04-13 18:34:12.301	{"score":1.9888890186945598}
5678	79	77	tags	5	2015-04-13 18:34:12.304	{"score":1.988461556342932}
5679	79	79	cbr	6	2015-04-13 18:34:12.315	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":2.0}
5680	79	65	cbr	7	2015-04-13 18:34:12.319	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":2.0}
5681	79	41	random	8	2015-04-13 18:34:12.323	\N
5682	79	70	random	9	2015-04-13 18:34:12.331	\N
5683	79	60	CF	0	2015-04-13 18:34:19.65	{"prediction":4.189795918367347}
5684	79	97	CF	1	2015-04-13 18:34:19.658	{"prediction":4.099773242630386}
5685	79	85	CF	2	2015-04-13 18:34:19.667	{"prediction":3.9854227405247813}
5686	79	4	CF	3	2015-04-13 18:34:19.676	{"prediction":3.982993197278912}
5687	79	79	cbr	4	2015-04-13 18:34:19.682	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":2.0}
5688	79	65	cbr	5	2015-04-13 18:34:19.685	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":2.0}
5689	79	77	tags	6	2015-04-13 18:34:19.688	{"score":2.7153844925073476}
5690	79	4	tags	7	2015-04-13 18:34:19.692	{"score":2.555555621782939}
5691	79	6	random	8	2015-04-13 18:34:19.694	\N
5692	79	45	random	9	2015-04-13 18:34:19.697	\N
5693	79	79	cbr	0	2015-04-13 18:34:32.852	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":2.0}
5694	79	65	cbr	1	2015-04-13 18:34:32.855	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":2.0}
5695	79	85	CF	2	2015-04-13 18:34:32.857	{"prediction":3.9854227405247813}
5696	79	4	CF	3	2015-04-13 18:34:32.861	{"prediction":3.982993197278912}
5697	79	14	CF	4	2015-04-13 18:34:32.864	{"prediction":3.982993197278912}
5698	79	50	CF	5	2015-04-13 18:34:32.867	{"prediction":3.982993197278912}
5699	79	84	tags	6	2015-04-13 18:34:32.872	{"score":2.3444444470935397}
5700	79	66	tags	7	2015-04-13 18:34:32.878	{"score":2.3299999475479125}
5735	72	85	CF	2	2015-04-13 18:35:54.505	{"prediction":3.9854227405247813}
5739	72	65	cbr	6	2015-04-13 18:35:54.517	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
5775	80	21	CF	2	2015-04-13 18:43:04.031	{"prediction":4.271137026239067}
5779	80	65	cbr	6	2015-04-13 18:43:04.043	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5806	81	21	CF	3	2015-04-13 18:46:31.813	{"prediction":4.271137026239067}
5810	81	62	tags	7	2015-04-13 18:46:31.825	{"score":1.3199999928474426}
5701	79	68	random	8	2015-04-13 18:34:32.882	\N
5733	72	60	CF	0	2015-04-13 18:35:54.499	{"prediction":4.189795918367347}
5737	72	19	cbr	4	2015-04-13 18:35:54.51	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
5741	72	1	random	8	2015-04-13 18:35:54.521	\N
5773	80	64	CF	0	2015-04-13 18:43:04.026	{"prediction":4.362244897959184}
5777	80	19	cbr	4	2015-04-13 18:43:04.037	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5781	80	98	random	8	2015-04-13 18:43:04.047	\N
5804	81	79	cbr	1	2015-04-13 18:46:31.809	{"similarUserId":81,"similarityToUser":1.0,"similarUserRating":2.0}
5808	81	60	CF	5	2015-04-13 18:46:31.82	{"prediction":4.189795918367347}
5812	81	36	random	9	2015-04-13 18:46:31.83	\N
5702	79	47	random	9	2015-04-13 18:34:32.886	\N
5736	72	4	CF	3	2015-04-13 18:35:54.507	{"prediction":3.982993197278912}
5740	72	32	cbr	7	2015-04-13 18:35:54.519	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":3.0}
5774	80	23	CF	1	2015-04-13 18:43:04.029	{"prediction":4.349854227405248}
5778	80	79	cbr	5	2015-04-13 18:43:04.04	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5782	80	58	random	9	2015-04-13 18:43:04.05	\N
5805	81	23	CF	2	2015-04-13 18:46:31.811	{"prediction":4.349854227405248}
5809	81	67	tags	6	2015-04-13 18:46:31.823	{"score":1.3333333134651184}
5703	79	85	CF	0	2015-04-13 18:34:48.276	{"prediction":3.9854227405247813}
5707	79	66	tags	4	2015-04-13 18:34:48.288	{"score":2.720000112056732}
5711	79	7	random	8	2015-04-13 18:34:48.297	\N
5716	79	100	CF	3	2015-04-13 18:35:12.191	{"prediction":3.982993197278912}
5720	79	86	tags	7	2015-04-13 18:35:12.205	{"score":0.8625000417232513}
5723	79	67	cbr	0	2015-04-13 18:35:24.588	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":4.0}
5727	79	100	CF	4	2015-04-13 18:35:24.6	{"prediction":3.982993197278912}
5731	79	31	random	8	2015-04-13 18:35:24.622	\N
5743	72	19	cbr	0	2015-04-13 18:36:51.318	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
5747	72	4	CF	4	2015-04-13 18:36:51.331	{"prediction":3.982993197278912}
5751	72	4	random	8	2015-04-13 18:36:51.34	\N
5754	80	23	CF	1	2015-04-13 18:41:14.026	{"prediction":4.349854227405248}
5758	80	79	cbr	5	2015-04-13 18:41:14.049	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5762	80	70	random	9	2015-04-13 18:41:14.069	\N
5763	80	19	cbr	0	2015-04-13 18:41:48.23	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5767	80	64	CF	4	2015-04-13 18:41:48.24	{"prediction":4.362244897959184}
5771	80	40	random	8	2015-04-13 18:41:48.25	\N
5795	81	21	CF	2	2015-04-13 18:44:37.437	{"prediction":4.271137026239067}
5799	81	4	tags	6	2015-04-13 18:44:37.45	{"score":1.0}
5704	79	4	CF	1	2015-04-13 18:34:48.28	{"prediction":3.982993197278912}
5708	79	55	tags	5	2015-04-13 18:34:48.291	{"score":2.525000035762787}
5712	79	90	random	9	2015-04-13 18:34:48.3	\N
5714	79	87	cbr	1	2015-04-13 18:35:12.185	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":4.0}
5718	79	30	CF	5	2015-04-13 18:35:12.197	{"prediction":3.982993197278912}
5722	79	74	random	9	2015-04-13 18:35:12.209	\N
5725	79	24	tags	2	2015-04-13 18:35:24.593	{"score":0.5000000298023224}
5729	79	30	CF	6	2015-04-13 18:35:24.614	{"prediction":3.982993197278912}
5746	72	32	cbr	3	2015-04-13 18:36:51.328	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":3.0}
5750	72	87	CF	7	2015-04-13 18:36:51.338	{"prediction":3.982993197278912}
5753	80	64	CF	0	2015-04-13 18:41:14.022	{"prediction":4.362244897959184}
5757	80	19	cbr	4	2015-04-13 18:41:14.045	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5761	80	55	random	8	2015-04-13 18:41:14.064	\N
5766	80	32	cbr	3	2015-04-13 18:41:48.238	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":3.0}
5770	80	78	CF	7	2015-04-13 18:41:48.247	{"prediction":4.271137026239067}
5794	81	23	CF	1	2015-04-13 18:44:37.434	{"prediction":4.349854227405248}
5798	81	61	tags	5	2015-04-13 18:44:37.446	{"score":1.0}
5802	81	42	random	9	2015-04-13 18:44:37.458	\N
5705	79	14	CF	2	2015-04-13 18:34:48.283	{"prediction":3.982993197278912}
5709	79	57	tags	6	2015-04-13 18:34:48.293	{"score":2.4999999933772616}
5715	79	87	CF	2	2015-04-13 18:35:12.188	{"prediction":3.982993197278912}
5719	79	24	tags	6	2015-04-13 18:35:12.201	{"score":1.4375000596046448}
5726	79	10	tags	3	2015-04-13 18:35:24.596	{"score":0.4777779181798299}
5730	79	67	CF	7	2015-04-13 18:35:24.619	{"prediction":3.862244897959184}
5744	72	79	cbr	1	2015-04-13 18:36:51.323	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
5748	72	14	CF	5	2015-04-13 18:36:51.333	{"prediction":3.982993197278912}
5752	72	90	random	9	2015-04-13 18:36:51.342	\N
5756	80	78	CF	3	2015-04-13 18:41:14.04	{"prediction":4.271137026239067}
5760	80	32	cbr	7	2015-04-13 18:41:14.058	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":3.0}
5765	80	65	cbr	2	2015-04-13 18:41:48.236	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5769	80	21	CF	6	2015-04-13 18:41:48.245	{"prediction":4.271137026239067}
5793	81	64	CF	0	2015-04-13 18:44:37.431	{"prediction":4.362244897959184}
5797	81	58	tags	4	2015-04-13 18:44:37.443	{"score":1.0}
5801	81	52	random	8	2015-04-13 18:44:37.456	\N
5706	79	50	CF	3	2015-04-13 18:34:48.286	{"prediction":3.982993197278912}
5710	79	24	tags	7	2015-04-13 18:34:48.295	{"score":2.487500011920929}
5713	79	32	cbr	0	2015-04-13 18:35:12.181	{"similarUserId":79,"similarityToUser":1.0,"similarUserRating":3.0}
5717	79	29	CF	4	2015-04-13 18:35:12.194	{"prediction":3.982993197278912}
5721	79	69	random	8	2015-04-13 18:35:12.207	\N
5724	79	86	tags	1	2015-04-13 18:35:24.59	{"score":0.6875001192092896}
5728	79	29	CF	5	2015-04-13 18:35:24.604	{"prediction":3.982993197278912}
5732	79	53	random	9	2015-04-13 18:35:24.628	\N
5745	72	65	cbr	2	2015-04-13 18:36:51.326	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
5749	72	50	CF	6	2015-04-13 18:36:51.336	{"prediction":3.982993197278912}
5755	80	21	CF	2	2015-04-13 18:41:14.034	{"prediction":4.271137026239067}
5759	80	65	cbr	6	2015-04-13 18:41:14.053	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5764	80	79	cbr	1	2015-04-13 18:41:48.233	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5768	80	23	CF	5	2015-04-13 18:41:48.242	{"prediction":4.349854227405248}
5772	80	58	random	9	2015-04-13 18:41:48.254	\N
5796	81	78	CF	3	2015-04-13 18:44:37.441	{"prediction":4.271137026239067}
5800	81	26	tags	7	2015-04-13 18:44:37.453	{"score":0.9333333174387614}
5734	72	97	CF	1	2015-04-13 18:35:54.502	{"prediction":4.099773242630386}
5738	72	79	cbr	5	2015-04-13 18:35:54.514	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
5742	72	86	random	9	2015-04-13 18:35:54.523	\N
5776	80	78	CF	3	2015-04-13 18:43:04.034	{"prediction":4.271137026239067}
5780	80	32	cbr	7	2015-04-13 18:43:04.045	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":3.0}
5803	81	19	cbr	0	2015-04-13 18:46:31.806	{"similarUserId":81,"similarityToUser":1.0,"similarUserRating":2.0}
5807	81	78	CF	4	2015-04-13 18:46:31.816	{"prediction":4.271137026239067}
5811	81	53	random	8	2015-04-13 18:46:31.827	\N
5783	80	19	cbr	0	2015-04-13 18:43:39.65	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5787	80	64	CF	4	2015-04-13 18:43:39.665	{"prediction":4.362244897959184}
5791	80	68	random	8	2015-04-13 18:43:39.675	\N
5784	80	79	cbr	1	2015-04-13 18:43:39.655	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5788	80	23	CF	5	2015-04-13 18:43:39.667	{"prediction":4.349854227405248}
5792	80	79	random	9	2015-04-13 18:43:39.678	\N
5785	80	65	cbr	2	2015-04-13 18:43:39.658	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":2.0}
5789	80	21	CF	6	2015-04-13 18:43:39.67	{"prediction":4.271137026239067}
5786	80	32	cbr	3	2015-04-13 18:43:39.661	{"similarUserId":80,"similarityToUser":1.0,"similarUserRating":3.0}
5790	80	78	CF	7	2015-04-13 18:43:39.672	{"prediction":4.271137026239067}
5813	82	64	CF	0	2015-04-13 18:57:28.621	{"prediction":4.35}
5814	82	23	CF	1	2015-04-13 18:57:28.629	{"prediction":4.3428571428571425}
5815	82	21	CF	2	2015-04-13 18:57:28.635	{"prediction":4.257142857142857}
5816	82	78	CF	3	2015-04-13 18:57:28.641	{"prediction":4.257142857142857}
5817	82	58	tags	4	2015-04-13 18:57:28.648	{"score":1.0}
5818	82	4	tags	5	2015-04-13 18:57:28.651	{"score":1.0}
5819	82	18	tags	6	2015-04-13 18:57:28.653	{"score":0.8000000317891439}
5820	82	12	tags	7	2015-04-13 18:57:28.656	{"score":0.800000011920929}
5821	82	6	random	8	2015-04-13 18:57:28.659	\N
5822	82	91	random	9	2015-04-13 18:57:28.662	\N
5823	83	64	CF	0	2015-04-13 19:15:41.189	{"prediction":4.35}
5824	83	23	CF	1	2015-04-13 19:15:41.196	{"prediction":4.3428571428571425}
5825	83	21	CF	2	2015-04-13 19:15:41.205	{"prediction":4.257142857142857}
5826	83	78	CF	3	2015-04-13 19:15:41.213	{"prediction":4.257142857142857}
5827	83	96	tags	4	2015-04-13 19:15:41.22	{"score":1.0}
5828	83	61	tags	5	2015-04-13 19:15:41.223	{"score":1.0}
5829	83	14	tags	6	2015-04-13 19:15:41.225	{"score":1.0}
5830	83	67	tags	7	2015-04-13 19:15:41.228	{"score":1.0}
5831	83	91	random	8	2015-04-13 19:15:41.231	\N
5832	83	57	random	9	2015-04-13 19:15:41.234	\N
5833	84	58	tags	0	2015-04-13 19:31:46.812	{"score":1.5}
5834	84	68	tags	1	2015-04-13 19:31:46.821	{"score":1.2999999523162842}
5835	84	78	tags	2	2015-04-13 19:31:46.828	{"score":1.2857142857142858}
5836	84	60	tags	3	2015-04-13 19:31:46.835	{"score":1.2666666507720947}
5837	84	64	CF	4	2015-04-13 19:31:46.841	{"prediction":4.35}
5838	84	23	CF	5	2015-04-13 19:31:46.844	{"prediction":4.3428571428571425}
5839	84	21	CF	6	2015-04-13 19:31:46.847	{"prediction":4.257142857142857}
5840	84	78	CF	7	2015-04-13 19:31:46.85	{"prediction":4.257142857142857}
5841	84	94	random	8	2015-04-13 19:31:46.852	\N
5842	84	69	random	9	2015-04-13 19:31:46.855	\N
5843	84	19	cbr	0	2015-04-13 19:32:30.707	{"similarUserId":84,"similarityToUser":1.0,"similarUserRating":2.0}
5844	84	66	tags	1	2015-04-13 19:32:30.71	{"score":1.4666666785875957}
5845	84	29	tags	2	2015-04-13 19:32:30.713	{"score":1.3294118888237898}
5846	84	68	tags	3	2015-04-13 19:32:30.715	{"score":1.324999988079071}
5847	84	64	CF	4	2015-04-13 19:32:30.718	{"prediction":4.35}
5848	84	23	CF	5	2015-04-13 19:32:30.72	{"prediction":4.3428571428571425}
5849	84	21	CF	6	2015-04-13 19:32:30.723	{"prediction":4.257142857142857}
5850	84	78	CF	7	2015-04-13 19:32:30.727	{"prediction":4.257142857142857}
5851	84	1	random	8	2015-04-13 19:32:30.73	\N
5852	84	48	random	9	2015-04-13 19:32:30.733	\N
5853	84	66	tags	0	2015-04-13 19:33:00.196	{"score":1.4666666785875957}
5854	84	29	tags	1	2015-04-13 19:33:00.203	{"score":1.3294118888237898}
5855	84	68	tags	2	2015-04-13 19:33:00.209	{"score":1.324999988079071}
5856	84	64	CF	3	2015-04-13 19:33:00.215	{"prediction":4.35}
5857	84	23	CF	4	2015-04-13 19:33:00.218	{"prediction":4.3428571428571425}
5858	84	21	CF	5	2015-04-13 19:33:00.22	{"prediction":4.257142857142857}
5859	84	78	CF	6	2015-04-13 19:33:00.222	{"prediction":4.257142857142857}
5860	84	19	cbr	7	2015-04-13 19:33:00.225	{"similarUserId":84,"similarityToUser":1.0,"similarUserRating":2.0}
5861	84	4	random	8	2015-04-13 19:33:00.227	\N
5862	84	59	random	9	2015-04-13 19:33:00.229	\N
5863	84	19	cbr	0	2015-04-13 19:33:38.934	{"similarUserId":84,"similarityToUser":1.0,"similarUserRating":2.0}
5864	84	29	tags	1	2015-04-13 19:33:38.937	{"score":2.2294118334265316}
5865	84	32	tags	2	2015-04-13 19:33:38.94	{"score":2.1999998851255937}
5866	84	25	tags	3	2015-04-13 19:33:38.944	{"score":2.129999852180481}
5867	84	64	CF	4	2015-04-13 19:33:38.947	{"prediction":4.35}
5868	84	23	CF	5	2015-04-13 19:33:38.951	{"prediction":4.3428571428571425}
5869	84	21	CF	6	2015-04-13 19:33:38.954	{"prediction":4.257142857142857}
5870	84	78	CF	7	2015-04-13 19:33:38.956	{"prediction":4.257142857142857}
5871	84	16	random	8	2015-04-13 19:33:38.959	\N
5872	84	97	random	9	2015-04-13 19:33:38.961	\N
5873	85	58	tags	0	2015-04-13 19:47:49.59	{"score":1.0}
5874	85	87	tags	1	2015-04-13 19:47:49.599	{"score":0.6666666666666666}
5875	85	40	tags	2	2015-04-13 19:47:49.606	{"score":0.6666666666666666}
5876	85	52	tags	3	2015-04-13 19:47:49.614	{"score":0.6428571428571429}
5877	85	64	CF	4	2015-04-13 19:47:49.62	{"prediction":4.35}
5878	85	23	CF	5	2015-04-13 19:47:49.623	{"prediction":4.3428571428571425}
5879	85	21	CF	6	2015-04-13 19:47:49.626	{"prediction":4.257142857142857}
5880	85	78	CF	7	2015-04-13 19:47:49.631	{"prediction":4.257142857142857}
5881	85	30	random	8	2015-04-13 19:47:49.634	\N
5882	85	42	random	9	2015-04-13 19:47:49.637	\N
5883	85	68	tags	0	2015-04-13 19:48:43.856	{"score":0.949999988079071}
5884	85	66	tags	1	2015-04-13 19:48:43.866	{"score":0.944444477558136}
5885	85	60	tags	2	2015-04-13 19:48:43.876	{"score":0.9428571547780719}
5886	85	64	CF	3	2015-04-13 19:48:43.884	{"prediction":4.35}
5887	85	23	CF	4	2015-04-13 19:48:43.89	{"prediction":4.3428571428571425}
5888	85	21	CF	5	2015-04-13 19:48:43.893	{"prediction":4.257142857142857}
5889	85	78	CF	6	2015-04-13 19:48:43.896	{"prediction":4.257142857142857}
5890	85	19	cbr	7	2015-04-13 19:48:43.898	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":2.0}
5891	85	29	random	8	2015-04-13 19:48:43.901	\N
5896	85	78	CF	3	2015-04-13 19:49:01.602	{"prediction":4.257142857142857}
5900	85	19	cbr	7	2015-04-13 19:49:01.615	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":2.0}
5956	20	30	CF	3	2015-04-13 20:03:40.94	{"prediction":4.620238095238095}
5960	20	85	cbr	7	2015-04-13 20:03:40.949	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":4.0}
5893	85	64	CF	0	2015-04-13 19:49:01.593	{"prediction":4.35}
5897	85	4	tags	4	2015-04-13 19:49:01.605	{"score":1.6500000556310017}
5901	85	1	random	8	2015-04-13 19:49:01.617	\N
5954	20	39	tags	1	2015-04-13 20:03:40.935	{"score":1.1272729201750322}
5958	20	14	CF	5	2015-04-13 20:03:40.945	{"prediction":4.620238095238095}
5962	20	101	random	9	2015-04-13 20:03:40.956	\N
5894	85	23	CF	1	2015-04-13 19:49:01.597	{"prediction":4.3428571428571425}
5898	85	60	tags	5	2015-04-13 19:49:01.608	{"score":1.6499998739787511}
5902	85	16	random	9	2015-04-13 19:49:01.62	\N
5955	20	85	CF	2	2015-04-13 20:03:40.938	{"prediction":4.625}
5959	20	58	cbr	6	2015-04-13 20:03:40.947	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
5895	85	21	CF	2	2015-04-13 19:49:01.6	{"prediction":4.257142857142857}
5899	85	21	tags	6	2015-04-13 19:49:01.612	{"score":1.5500001509984336}
5903	20	21	CF	0	2015-04-13 20:01:56.78	{"prediction":4.910714285714286}
5904	20	78	CF	1	2015-04-13 20:01:56.788	{"prediction":4.910714285714286}
5905	20	60	CF	2	2015-04-13 20:01:56.803	{"prediction":4.833571428571428}
5906	20	97	CF	3	2015-04-13 20:01:56.811	{"prediction":4.742460317460317}
5907	20	19	cbr	4	2015-04-13 20:01:56.817	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
5908	20	64	tags	5	2015-04-13 20:01:56.819	{"score":5.199999491373698}
5909	20	28	tags	6	2015-04-13 20:01:56.822	{"score":4.150000095367432}
5910	20	23	tags	7	2015-04-13 20:01:56.825	{"score":4.109999752044677}
5911	20	64	random	8	2015-04-13 20:01:56.827	\N
5912	20	23	random	9	2015-04-13 20:01:56.83	\N
5923	20	79	cbr	0	2015-04-13 20:02:51.846	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
5924	20	65	cbr	1	2015-04-13 20:02:51.85	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
5925	20	85	CF	2	2015-04-13 20:02:51.853	{"prediction":4.625}
5926	20	30	CF	3	2015-04-13 20:02:51.857	{"prediction":4.620238095238095}
5927	20	29	CF	4	2015-04-13 20:02:51.859	{"prediction":4.620238095238095}
5928	20	14	CF	5	2015-04-13 20:02:51.862	{"prediction":4.620238095238095}
5929	20	1	tags	6	2015-04-13 20:02:51.865	{"score":2.0500001907348633}
5930	20	23	tags	7	2015-04-13 20:02:51.867	{"score":1.8300001859664916}
5931	20	95	random	8	2015-04-13 20:02:51.869	\N
5932	20	49	random	9	2015-04-13 20:02:51.872	\N
5943	20	58	cbr	0	2015-04-13 20:03:40.299	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
5944	20	85	cbr	1	2015-04-13 20:03:40.302	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":4.0}
5945	20	85	CF	2	2015-04-13 20:03:40.306	{"prediction":4.625}
5946	20	30	CF	3	2015-04-13 20:03:40.31	{"prediction":4.620238095238095}
5947	20	29	CF	4	2015-04-13 20:03:40.312	{"prediction":4.620238095238095}
5948	20	14	CF	5	2015-04-13 20:03:40.315	{"prediction":4.620238095238095}
5949	20	1	tags	6	2015-04-13 20:03:40.318	{"score":1.300000160932541}
5950	20	39	tags	7	2015-04-13 20:03:40.32	{"score":1.1272729201750322}
5951	20	21	random	8	2015-04-13 20:03:40.322	\N
5952	20	37	random	9	2015-04-13 20:03:40.325	\N
5953	20	1	tags	0	2015-04-13 20:03:40.932	{"score":1.300000160932541}
5957	20	29	CF	4	2015-04-13 20:03:40.942	{"prediction":4.620238095238095}
5961	20	71	random	8	2015-04-13 20:03:40.952	\N
5913	20	49	tags	0	2015-04-13 20:02:30.916	{"score":1.8666669130325317}
5917	20	85	CF	4	2015-04-13 20:02:30.929	{"prediction":4.625}
5921	20	69	random	8	2015-04-13 20:02:30.942	\N
5934	20	32	cbr	1	2015-04-13 20:03:12.292	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":3.0}
5938	20	30	CF	5	2015-04-13 20:03:12.304	{"prediction":4.620238095238095}
5942	20	60	random	9	2015-04-13 20:03:12.313	\N
5914	20	1	tags	1	2015-04-13 20:02:30.92	{"score":1.600000262260437}
5918	20	30	CF	5	2015-04-13 20:02:30.933	{"prediction":4.620238095238095}
5922	20	87	random	9	2015-04-13 20:02:30.944	\N
5933	20	65	cbr	0	2015-04-13 20:03:12.289	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
5937	20	85	CF	4	2015-04-13 20:03:12.301	{"prediction":4.625}
5941	20	65	random	8	2015-04-13 20:03:12.31	\N
5915	20	23	tags	2	2015-04-13 20:02:30.922	{"score":1.5750001192092895}
5919	20	29	CF	6	2015-04-13 20:02:30.936	{"prediction":4.620238095238095}
5936	20	23	tags	3	2015-04-13 20:03:12.299	{"score":2.1600001096725463}
5940	20	14	CF	7	2015-04-13 20:03:12.308	{"prediction":4.620238095238095}
5916	20	79	cbr	3	2015-04-13 20:02:30.925	{"similarUserId":20,"similarityToUser":1.0,"similarUserRating":2.0}
5920	20	14	CF	7	2015-04-13 20:02:30.939	{"prediction":4.620238095238095}
5935	20	1	tags	2	2015-04-13 20:03:12.296	{"score":2.2750001549720764}
5939	20	29	CF	6	2015-04-13 20:03:12.306	{"prediction":4.620238095238095}
5963	86	4	tags	0	2015-04-13 20:40:59.337	{"score":1.0}
5964	86	61	tags	1	2015-04-13 20:40:59.344	{"score":1.0}
5965	86	26	tags	2	2015-04-13 20:40:59.351	{"score":0.8999999761581421}
5966	86	89	tags	3	2015-04-13 20:40:59.358	{"score":0.800000011920929}
5967	86	64	CF	4	2015-04-13 20:40:59.365	{"prediction":4.35}
5968	86	23	CF	5	2015-04-13 20:40:59.368	{"prediction":4.3428571428571425}
5969	86	21	CF	6	2015-04-13 20:40:59.37	{"prediction":4.257142857142857}
5970	86	78	CF	7	2015-04-13 20:40:59.373	{"prediction":4.257142857142857}
5971	86	64	random	8	2015-04-13 20:40:59.376	\N
5972	86	46	random	9	2015-04-13 20:40:59.378	\N
5973	87	52	tags	0	2015-04-13 20:42:17.252	{"score":0.8999999761581421}
5974	87	40	tags	1	2015-04-13 20:42:17.272	{"score":0.8999999761581421}
5975	87	51	tags	2	2015-04-13 20:42:17.275	{"score":0.800000011920929}
5976	87	9	tags	3	2015-04-13 20:42:17.278	{"score":0.6666666269302368}
5977	87	64	CF	4	2015-04-13 20:42:17.283	{"prediction":4.3504901960784315}
5978	87	23	CF	5	2015-04-13 20:42:17.286	{"prediction":4.3431372549019605}
5979	87	78	CF	6	2015-04-13 20:42:17.288	{"prediction":4.257703081232493}
5980	87	21	CF	7	2015-04-13 20:42:17.291	{"prediction":4.257703081232493}
5981	87	55	random	8	2015-04-13 20:42:17.293	\N
5982	87	71	random	9	2015-04-13 20:42:17.296	\N
5983	86	19	cbr	0	2015-04-13 20:42:36.645	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":2.0}
5984	86	61	tags	1	2015-04-13 20:42:36.649	{"score":3.7000001072883606}
5985	86	12	tags	2	2015-04-13 20:42:36.656	{"score":3.416666805744171}
5986	86	77	tags	3	2015-04-13 20:42:36.663	{"score":3.333333154519399}
5987	86	64	CF	4	2015-04-13 20:42:36.67	{"prediction":4.378501400560224}
5988	86	23	CF	5	2015-04-13 20:42:36.672	{"prediction":4.371148459383753}
5989	86	21	CF	6	2015-04-13 20:42:36.675	{"prediction":4.285714285714286}
5990	86	78	CF	7	2015-04-13 20:42:36.677	{"prediction":4.285714285714286}
5991	86	6	random	8	2015-04-13 20:42:36.68	\N
5992	86	86	random	9	2015-04-13 20:42:36.682	\N
5993	87	64	CF	0	2015-04-13 20:43:25.035	{"prediction":4.3504901960784315}
5994	87	23	CF	1	2015-04-13 20:43:25.039	{"prediction":4.3431372549019605}
5995	87	78	CF	2	2015-04-13 20:43:25.042	{"prediction":4.257703081232493}
5996	87	21	CF	3	2015-04-13 20:43:25.045	{"prediction":4.257703081232493}
5997	87	89	tags	4	2015-04-13 20:43:25.047	{"score":2.0999998847643537}
5998	87	61	tags	5	2015-04-13 20:43:25.052	{"score":1.7999999523162842}
5999	87	79	tags	6	2015-04-13 20:43:25.055	{"score":1.7399999737739562}
6000	87	26	tags	7	2015-04-13 20:43:25.057	{"score":1.7249999642372131}
6001	87	79	random	8	2015-04-13 20:43:25.063	\N
6002	87	26	random	9	2015-04-13 20:43:25.067	\N
6003	87	89	tags	0	2015-04-13 20:44:37.108	{"score":2.0999998847643537}
6004	87	26	tags	1	2015-04-13 20:44:37.112	{"score":2.024999976158142}
6005	87	32	tags	2	2015-04-13 20:44:37.115	{"score":1.9800000429153441}
6006	87	79	tags	3	2015-04-13 20:44:37.118	{"score":1.9799999356269837}
6007	87	23	CF	4	2015-04-13 20:44:37.12	{"prediction":4.3431372549019605}
6008	87	78	CF	5	2015-04-13 20:44:37.123	{"prediction":4.257703081232493}
6009	87	21	CF	6	2015-04-13 20:44:37.125	{"prediction":4.257703081232493}
6010	87	60	CF	7	2015-04-13 20:44:37.128	{"prediction":4.180392156862745}
6011	87	55	random	8	2015-04-13 20:44:37.13	\N
6012	87	31	random	9	2015-04-13 20:44:37.132	\N
6013	88	64	CF	0	2015-04-13 20:58:49.829	{"prediction":4.3504901960784315}
6014	88	23	CF	1	2015-04-13 20:58:49.837	{"prediction":4.3431372549019605}
6015	88	78	CF	2	2015-04-13 20:58:49.845	{"prediction":4.257703081232493}
6016	88	21	CF	3	2015-04-13 20:58:49.852	{"prediction":4.257703081232493}
6017	88	4	tags	4	2015-04-13 20:58:49.859	{"score":1.0}
6018	88	58	tags	5	2015-04-13 20:58:49.862	{"score":1.0}
6019	88	30	tags	6	2015-04-13 20:58:49.865	{"score":0.675000011920929}
6020	88	14	tags	7	2015-04-13 20:58:49.867	{"score":0.6699999809265137}
6021	88	95	random	8	2015-04-13 20:58:49.87	\N
6022	88	73	random	9	2015-04-13 20:58:49.873	\N
6023	88	94	tags	0	2015-04-13 20:59:50.217	{"score":0.4166666766007741}
6024	88	76	tags	1	2015-04-13 20:59:50.225	{"score":0.4124999940395355}
6025	88	84	tags	2	2015-04-13 20:59:50.24	{"score":0.41111111640930176}
6026	88	21	CF	3	2015-04-13 20:59:50.247	{"prediction":4.257703081232493}
6027	88	60	CF	4	2015-04-13 20:59:50.253	{"prediction":4.180392156862745}
6028	88	97	CF	5	2015-04-13 20:59:50.256	{"prediction":4.089324618736383}
6029	88	85	CF	6	2015-04-13 20:59:50.259	{"prediction":3.9719887955182074}
6030	88	19	cbr	7	2015-04-13 20:59:50.261	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6031	88	8	random	8	2015-04-13 20:59:50.263	\N
6032	88	12	random	9	2015-04-13 20:59:50.266	\N
6033	88	84	tags	0	2015-04-13 21:00:06.876	{"score":0.977777812216017}
6034	88	76	tags	1	2015-04-13 21:00:06.879	{"score":0.9375}
6035	88	21	CF	2	2015-04-13 21:00:06.882	{"prediction":4.257703081232493}
6036	88	60	CF	3	2015-04-13 21:00:06.884	{"prediction":4.180392156862745}
6037	88	97	CF	4	2015-04-13 21:00:06.887	{"prediction":4.089324618736383}
6041	88	49	random	8	2015-04-13 21:00:06.899	\N
6038	88	85	CF	5	2015-04-13 21:00:06.89	{"prediction":3.9719887955182074}
6042	88	67	random	9	2015-04-13 21:00:06.901	\N
6055	88	97	CF	2	2015-04-13 21:01:10.606	{"prediction":4.089324618736383}
6059	88	91	tags	6	2015-04-13 21:01:10.617	{"score":1.6333333651224773}
6065	88	4	CF	2	2015-04-13 21:01:32.501	{"prediction":3.9719887955182074}
6069	88	50	tags	6	2015-04-13 21:01:32.513	{"score":2.2199999968210857}
6076	88	14	CF	3	2015-04-13 21:01:53.961	{"prediction":3.9673202614379086}
6080	88	91	tags	7	2015-04-13 21:01:53.97	{"score":3.3666665818956165}
6084	88	50	tags	1	2015-04-13 21:02:20.321	{"score":2.4999997933705647}
6088	88	87	CF	5	2015-04-13 21:02:20.33	{"prediction":3.9673202614379086}
6092	88	52	random	9	2015-04-13 21:02:20.34	\N
6113	88	72	tags	0	2015-04-13 21:03:14.628	{"score":4.709090492942117}
6117	88	32	CF	4	2015-04-13 21:03:14.638	{"prediction":3.8291316526610646}
6121	88	21	random	8	2015-04-13 21:03:14.647	\N
6134	88	32	cbr	1	2015-04-13 21:04:19.067	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6138	88	58	CF	5	2015-04-13 21:04:19.076	{"prediction":2.9273504273504276}
6142	88	33	random	9	2015-04-13 21:04:19.086	\N
6146	88	49	CF	3	2015-04-13 21:04:33.862	{"prediction":2.9273504273504276}
6150	88	98	random	7	2015-04-13 21:04:33.875	\N
6156	88	49	CF	3	2015-04-13 21:04:50.244	{"prediction":2.9273504273504276}
6160	88	101	random	7	2015-04-13 21:04:50.253	\N
6164	88	49	CF	1	2015-04-13 21:04:58.99	{"prediction":2.9273504273504276}
6168	88	36	random	5	2015-04-13 21:04:59.01	\N
6172	88	67	random	9	2015-04-13 21:04:59.021	\N
6173	88	8	CF	0	2015-04-13 21:05:12.602	{"prediction":2.872863247863248}
6177	88	22	random	4	2015-04-13 21:05:12.612	\N
6181	88	40	random	8	2015-04-13 21:05:12.623	\N
6039	88	19	cbr	6	2015-04-13 21:00:06.893	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6056	88	85	CF	3	2015-04-13 21:01:10.609	{"prediction":3.9719887955182074}
6060	88	54	tags	7	2015-04-13 21:01:10.619	{"score":1.6000001033147175}
6064	88	85	CF	1	2015-04-13 21:01:32.498	{"prediction":3.9719887955182074}
6068	88	91	tags	5	2015-04-13 21:01:32.508	{"score":2.2333334022098117}
6072	88	89	random	9	2015-04-13 21:01:32.521	\N
6073	88	85	CF	0	2015-04-13 21:01:53.951	{"prediction":3.9719887955182074}
6077	88	54	tags	4	2015-04-13 21:01:53.963	{"score":3.6749998728434243}
6081	88	7	random	8	2015-04-13 21:01:53.973	\N
6085	88	95	tags	2	2015-04-13 21:02:20.323	{"score":2.4384614687699537}
6089	88	29	CF	6	2015-04-13 21:02:20.333	{"prediction":3.9673202614379086}
6114	88	29	CF	1	2015-04-13 21:03:14.63	{"prediction":3.9673202614379086}
6118	88	65	cbr	5	2015-04-13 21:03:14.64	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6122	88	99	random	9	2015-04-13 21:03:14.65	\N
6136	88	32	CF	3	2015-04-13 21:04:19.072	{"prediction":3.0702075702075704}
6140	88	13	random	7	2015-04-13 21:04:19.082	\N
6143	88	32	CF	0	2015-04-13 21:04:33.855	{"prediction":3.0702075702075704}
6147	88	32	cbr	4	2015-04-13 21:04:33.867	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6151	88	32	random	8	2015-04-13 21:04:33.878	\N
6153	88	58	cbr	0	2015-04-13 21:04:50.236	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6157	88	8	CF	4	2015-04-13 21:04:50.246	{"prediction":2.872863247863248}
6161	88	73	random	8	2015-04-13 21:04:50.255	\N
6163	88	63	CF	0	2015-04-13 21:04:58.987	{"prediction":2.9273504273504276}
6167	88	54	random	4	2015-04-13 21:04:59.007	\N
6171	88	40	random	8	2015-04-13 21:04:59.017	\N
6174	88	58	random	1	2015-04-13 21:05:12.605	\N
6178	88	51	random	5	2015-04-13 21:05:12.614	\N
6182	88	12	random	9	2015-04-13 21:05:12.625	\N
6040	88	79	cbr	7	2015-04-13 21:00:06.896	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6053	88	21	CF	0	2015-04-13 21:01:10.6	{"prediction":4.257703081232493}
6057	88	65	cbr	4	2015-04-13 21:01:10.611	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6061	88	84	random	8	2015-04-13 21:01:10.623	\N
6066	88	30	CF	3	2015-04-13 21:01:32.503	{"prediction":3.9673202614379086}
6070	88	65	cbr	7	2015-04-13 21:01:32.516	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6074	88	4	CF	1	2015-04-13 21:01:53.955	{"prediction":3.9719887955182074}
6078	88	50	tags	5	2015-04-13 21:01:53.966	{"score":3.4399996439615883}
6082	88	20	random	9	2015-04-13 21:01:53.975	\N
6083	88	54	tags	0	2015-04-13 21:02:20.318	{"score":2.6249999205271406}
6087	88	50	CF	4	2015-04-13 21:02:20.328	{"prediction":3.9673202614379086}
6091	88	58	random	8	2015-04-13 21:02:20.337	\N
6116	88	67	CF	3	2015-04-13 21:03:14.635	{"prediction":3.8504901960784315}
6120	88	58	cbr	7	2015-04-13 21:03:14.645	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6135	88	58	cbr	2	2015-04-13 21:04:19.069	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6139	88	49	CF	6	2015-04-13 21:04:19.078	{"prediction":2.9273504273504276}
6144	88	63	CF	1	2015-04-13 21:04:33.857	{"prediction":2.9273504273504276}
6148	88	58	cbr	5	2015-04-13 21:04:33.87	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6152	88	71	random	9	2015-04-13 21:04:33.881	\N
6154	88	63	CF	1	2015-04-13 21:04:50.239	{"prediction":2.9273504273504276}
6158	88	41	random	5	2015-04-13 21:04:50.248	\N
6162	88	23	random	9	2015-04-13 21:04:50.258	\N
6165	88	8	CF	2	2015-04-13 21:04:58.995	{"prediction":2.872863247863248}
6169	88	23	random	6	2015-04-13 21:04:59.012	\N
6176	88	72	random	3	2015-04-13 21:05:12.609	\N
6180	88	20	random	7	2015-04-13 21:05:12.621	\N
6043	88	19	cbr	0	2015-04-13 21:00:37.439	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6047	88	97	CF	4	2015-04-13 21:00:37.451	{"prediction":4.089324618736383}
6051	88	10	random	8	2015-04-13 21:00:37.46	\N
6095	88	87	CF	2	2015-04-13 21:02:41.598	{"prediction":3.9673202614379086}
6099	88	65	cbr	6	2015-04-13 21:02:41.608	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6105	88	29	CF	2	2015-04-13 21:02:55.676	{"prediction":3.9673202614379086}
6109	88	65	cbr	6	2015-04-13 21:02:55.689	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6123	88	46	tags	0	2015-04-13 21:03:35.482	{"score":4.599999321831597}
6127	88	63	CF	4	2015-04-13 21:03:35.494	{"prediction":3.686274509803922}
6131	88	11	random	8	2015-04-13 21:03:35.503	\N
6044	88	79	cbr	1	2015-04-13 21:00:37.442	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6048	88	85	CF	5	2015-04-13 21:00:37.453	{"prediction":3.9719887955182074}
6052	88	62	random	9	2015-04-13 21:00:37.463	\N
6096	88	29	CF	3	2015-04-13 21:02:41.601	{"prediction":3.9673202614379086}
6100	88	32	cbr	7	2015-04-13 21:02:41.61	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6106	88	100	CF	3	2015-04-13 21:02:55.679	{"prediction":3.9673202614379086}
6110	88	32	cbr	7	2015-04-13 21:02:55.691	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6124	88	100	CF	1	2015-04-13 21:03:35.485	{"prediction":3.9673202614379086}
6128	88	65	cbr	5	2015-04-13 21:03:35.496	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6132	88	67	random	9	2015-04-13 21:03:35.506	\N
6045	88	21	CF	2	2015-04-13 21:00:37.445	{"prediction":4.257703081232493}
6049	88	46	tags	6	2015-04-13 21:00:37.455	{"score":1.600000109937456}
6094	88	50	CF	1	2015-04-13 21:02:41.596	{"prediction":3.9673202614379086}
6098	88	50	tags	5	2015-04-13 21:02:41.606	{"score":3.6999997456868488}
6102	88	39	random	9	2015-04-13 21:02:41.619	\N
6104	88	87	CF	1	2015-04-13 21:02:55.674	{"prediction":3.9673202614379086}
6108	88	50	tags	5	2015-04-13 21:02:55.686	{"score":4.980000305175781}
6112	88	93	random	9	2015-04-13 21:02:55.696	\N
6125	88	67	CF	2	2015-04-13 21:03:35.488	{"prediction":3.8504901960784315}
6129	88	32	cbr	6	2015-04-13 21:03:35.498	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6046	88	60	CF	3	2015-04-13 21:00:37.448	{"prediction":4.180392156862745}
6050	88	44	tags	7	2015-04-13 21:00:37.458	{"score":1.5909092046997764}
6093	88	14	CF	0	2015-04-13 21:02:41.591	{"prediction":3.9673202614379086}
6097	88	72	tags	4	2015-04-13 21:02:41.603	{"score":3.727272380482067}
6101	88	59	random	8	2015-04-13 21:02:41.612	\N
6103	88	50	CF	0	2015-04-13 21:02:55.672	{"prediction":3.9673202614379086}
6107	88	72	tags	4	2015-04-13 21:02:55.681	{"score":5.090909437699752}
6111	88	85	random	8	2015-04-13 21:02:55.693	\N
6126	88	32	CF	3	2015-04-13 21:03:35.491	{"prediction":3.8291316526610646}
6130	88	58	cbr	7	2015-04-13 21:03:35.501	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6054	88	60	CF	1	2015-04-13 21:01:10.604	{"prediction":4.180392156862745}
6058	88	44	tags	5	2015-04-13 21:01:10.614	{"score":1.6727273030714556}
6062	88	85	random	9	2015-04-13 21:01:10.627	\N
6063	88	97	CF	0	2015-04-13 21:01:32.491	{"prediction":4.089324618736383}
6067	88	54	tags	4	2015-04-13 21:01:32.506	{"score":2.325000047683716}
6071	88	13	random	8	2015-04-13 21:01:32.519	\N
6075	88	30	CF	2	2015-04-13 21:01:53.957	{"prediction":3.9673202614379086}
6079	88	72	tags	6	2015-04-13 21:01:53.968	{"score":3.4272726232355293}
6086	88	14	CF	3	2015-04-13 21:02:20.325	{"prediction":3.9673202614379086}
6090	88	65	cbr	7	2015-04-13 21:02:20.335	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6115	88	100	CF	2	2015-04-13 21:03:14.633	{"prediction":3.9673202614379086}
6119	88	32	cbr	6	2015-04-13 21:03:14.643	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":3.0}
6133	88	65	cbr	0	2015-04-13 21:04:19.064	{"similarUserId":88,"similarityToUser":1.0,"similarUserRating":2.0}
6137	88	63	CF	4	2015-04-13 21:04:19.074	{"prediction":2.9273504273504276}
6141	88	28	random	8	2015-04-13 21:04:19.084	\N
6145	88	58	CF	2	2015-04-13 21:04:33.86	{"prediction":2.9273504273504276}
6149	88	37	random	6	2015-04-13 21:04:33.872	\N
6155	88	58	CF	2	2015-04-13 21:04:50.241	{"prediction":2.9273504273504276}
6159	88	45	random	6	2015-04-13 21:04:50.251	\N
6166	88	58	random	3	2015-04-13 21:04:58.999	\N
6170	88	41	random	7	2015-04-13 21:04:59.014	\N
6175	88	53	random	2	2015-04-13 21:05:12.607	\N
6179	88	44	random	6	2015-04-13 21:05:12.619	\N
6183	88	94	random	0	2015-04-13 21:05:22.538	\N
6184	88	9	random	1	2015-04-13 21:05:22.542	\N
6185	88	82	random	2	2015-04-13 21:05:22.545	\N
6186	88	80	random	3	2015-04-13 21:05:22.547	\N
6187	88	91	random	4	2015-04-13 21:05:22.549	\N
6188	88	14	random	5	2015-04-13 21:05:22.552	\N
6189	88	8	random	6	2015-04-13 21:05:22.555	\N
6190	88	77	random	7	2015-04-13 21:05:22.557	\N
6191	88	54	random	8	2015-04-13 21:05:22.559	\N
6192	88	39	random	9	2015-04-13 21:05:22.561	\N
6193	88	55	random	0	2015-04-13 21:05:55.655	\N
6194	88	86	random	1	2015-04-13 21:05:55.658	\N
6195	88	40	random	2	2015-04-13 21:05:55.661	\N
6196	88	7	random	3	2015-04-13 21:05:55.663	\N
6197	88	37	random	4	2015-04-13 21:05:55.667	\N
6198	88	98	random	5	2015-04-13 21:05:55.669	\N
6199	88	45	random	6	2015-04-13 21:05:55.671	\N
6200	88	46	random	7	2015-04-13 21:05:55.675	\N
6201	88	51	random	8	2015-04-13 21:05:55.677	\N
6202	88	48	random	9	2015-04-13 21:05:55.68	\N
6203	88	66	tags	0	2015-04-13 21:06:11.445	{"score":3.563635750250383}
6204	88	96	random	1	2015-04-13 21:06:11.449	\N
6205	88	32	random	2	2015-04-13 21:06:11.451	\N
6206	88	40	random	3	2015-04-13 21:06:11.454	\N
6207	88	93	random	4	2015-04-13 21:06:11.457	\N
6208	88	26	random	5	2015-04-13 21:06:11.46	\N
6209	88	24	random	6	2015-04-13 21:06:11.464	\N
6210	88	16	random	7	2015-04-13 21:06:11.468	\N
6211	88	39	random	8	2015-04-13 21:06:11.472	\N
6212	88	28	random	9	2015-04-13 21:06:11.475	\N
6213	88	34	random	0	2015-04-13 21:06:21.121	\N
6214	88	46	random	1	2015-04-13 21:06:21.124	\N
6215	88	62	random	2	2015-04-13 21:06:21.127	\N
6216	88	33	random	3	2015-04-13 21:06:21.129	\N
6217	88	61	random	4	2015-04-13 21:06:21.131	\N
6218	88	57	random	5	2015-04-13 21:06:21.133	\N
6219	88	49	random	6	2015-04-13 21:06:21.136	\N
6220	88	65	random	7	2015-04-13 21:06:21.138	\N
6221	88	29	random	8	2015-04-13 21:06:21.14	\N
6222	88	24	random	9	2015-04-13 21:06:21.143	\N
6223	88	78	random	0	2015-04-13 21:06:33.476	\N
6224	88	21	random	1	2015-04-13 21:06:33.48	\N
6225	88	35	random	2	2015-04-13 21:06:33.483	\N
6226	88	16	random	3	2015-04-13 21:06:33.485	\N
6227	88	10	random	4	2015-04-13 21:06:33.487	\N
6228	88	55	random	5	2015-04-13 21:06:33.491	\N
6229	88	58	random	6	2015-04-13 21:06:33.494	\N
6230	88	57	random	7	2015-04-13 21:06:33.496	\N
6231	88	64	random	8	2015-04-13 21:06:33.499	\N
6232	88	29	random	9	2015-04-13 21:06:33.503	\N
6233	88	48	tags	0	2015-04-13 21:07:05.355	{"score":2.3571426357541765}
6234	88	11	random	1	2015-04-13 21:07:05.359	\N
6235	88	2	random	2	2015-04-13 21:07:05.362	\N
6236	88	40	random	3	2015-04-13 21:07:05.365	\N
6237	88	64	random	4	2015-04-13 21:07:05.369	\N
6238	88	72	random	5	2015-04-13 21:07:05.373	\N
6239	88	66	random	6	2015-04-13 21:07:05.375	\N
6240	88	71	random	7	2015-04-13 21:07:05.377	\N
6241	88	9	random	8	2015-04-13 21:07:05.38	\N
6242	88	48	random	9	2015-04-13 21:07:05.382	\N
6243	88	10	random	0	2015-04-13 21:07:20.312	\N
6244	88	91	random	1	2015-04-13 21:07:20.314	\N
6245	88	100	random	2	2015-04-13 21:07:20.317	\N
6246	88	4	random	3	2015-04-13 21:07:20.321	\N
6247	88	23	random	4	2015-04-13 21:07:20.325	\N
6248	88	64	random	5	2015-04-13 21:07:20.327	\N
6249	88	1	random	6	2015-04-13 21:07:20.329	\N
6250	88	36	random	7	2015-04-13 21:07:20.335	\N
6251	88	57	random	8	2015-04-13 21:07:20.337	\N
6252	88	40	random	9	2015-04-13 21:07:20.339	\N
6253	89	64	CF	0	2015-04-13 21:09:09.737	{"prediction":4.338942307692308}
6254	89	23	CF	1	2015-04-13 21:09:09.742	{"prediction":4.336538461538462}
6255	89	78	CF	2	2015-04-13 21:09:09.747	{"prediction":4.2445054945054945}
6256	89	21	CF	3	2015-04-13 21:09:09.749	{"prediction":4.2445054945054945}
6257	89	4	tags	4	2015-04-13 21:09:09.752	{"score":1.0}
6261	89	2	random	8	2015-04-13 21:09:09.766	\N
6265	88	28	random	2	2015-04-13 21:18:52.673	\N
6269	88	31	random	6	2015-04-13 21:18:52.684	\N
6258	89	14	tags	5	2015-04-13 21:09:09.759	{"score":1.0}
6262	89	52	random	9	2015-04-13 21:09:09.771	\N
6263	88	89	random	0	2015-04-13 21:18:52.663	\N
6267	88	59	random	4	2015-04-13 21:18:52.679	\N
6271	88	52	random	8	2015-04-13 21:18:52.695	\N
6259	89	92	tags	6	2015-04-13 21:09:09.761	{"score":1.0}
6266	88	30	random	3	2015-04-13 21:18:52.676	\N
6270	88	54	random	7	2015-04-13 21:18:52.689	\N
6260	89	77	tags	7	2015-04-13 21:09:09.764	{"score":1.0}
6264	88	38	random	1	2015-04-13 21:18:52.669	\N
6268	88	66	random	5	2015-04-13 21:18:52.681	\N
6272	88	75	random	9	2015-04-13 21:18:52.699	\N
6273	90	64	CF	0	2015-04-13 21:29:01.675	{"prediction":4.338942307692308}
6274	90	23	CF	1	2015-04-13 21:29:01.683	{"prediction":4.336538461538462}
6275	90	78	CF	2	2015-04-13 21:29:01.69	{"prediction":4.2445054945054945}
6276	90	21	CF	3	2015-04-13 21:29:01.698	{"prediction":4.2445054945054945}
6277	90	58	tags	4	2015-04-13 21:29:01.705	{"score":1.0}
6278	90	4	tags	5	2015-04-13 21:29:01.71	{"score":1.0}
6279	90	18	tags	6	2015-04-13 21:29:01.713	{"score":0.8000000317891439}
6280	90	12	tags	7	2015-04-13 21:29:01.716	{"score":0.800000011920929}
6281	90	67	random	8	2015-04-13 21:29:01.72	\N
6282	90	89	random	9	2015-04-13 21:29:01.723	\N
6283	90	94	tags	0	2015-04-13 21:29:36.546	{"score":0.5714285969734192}
6284	90	76	tags	1	2015-04-13 21:29:36.551	{"score":0.4625000059604645}
6285	90	84	tags	2	2015-04-13 21:29:36.557	{"score":0.45555557807286584}
6286	90	19	cbr	3	2015-04-13 21:29:36.561	{"similarUserId":90,"similarityToUser":1.0,"similarUserRating":2.0}
6287	90	21	CF	4	2015-04-13 21:29:36.565	{"prediction":4.2445054945054945}
6288	90	60	CF	5	2015-04-13 21:29:36.568	{"prediction":4.171153846153846}
6289	90	97	CF	6	2015-04-13 21:29:36.575	{"prediction":4.079059829059829}
6290	90	85	CF	7	2015-04-13 21:29:36.578	{"prediction":3.958791208791209}
6291	90	19	random	8	2015-04-13 21:29:36.581	\N
6292	90	2	random	9	2015-04-13 21:29:36.584	\N
6293	91	58	tags	0	2015-04-14 04:54:29.732	{"score":1.0}
6294	91	4	tags	1	2015-04-14 04:54:29.743	{"score":1.0}
6295	91	18	tags	2	2015-04-14 04:54:29.751	{"score":0.8000000317891439}
6296	91	12	tags	3	2015-04-14 04:54:29.76	{"score":0.800000011920929}
6297	91	64	CF	4	2015-04-14 04:54:29.768	{"prediction":4.338942307692308}
6298	91	23	CF	5	2015-04-14 04:54:29.772	{"prediction":4.336538461538462}
6299	91	78	CF	6	2015-04-14 04:54:29.775	{"prediction":4.2445054945054945}
6300	91	21	CF	7	2015-04-14 04:54:29.779	{"prediction":4.2445054945054945}
6301	91	31	random	8	2015-04-14 04:54:29.782	\N
6302	91	66	random	9	2015-04-14 04:54:29.785	\N
6303	91	64	CF	0	2015-04-14 04:56:00.444	{"prediction":4.338942307692308}
6304	91	23	CF	1	2015-04-14 04:56:00.453	{"prediction":4.336538461538462}
6305	91	78	CF	2	2015-04-14 04:56:00.46	{"prediction":4.2445054945054945}
6306	91	21	CF	3	2015-04-14 04:56:00.468	{"prediction":4.2445054945054945}
6307	91	10	tags	4	2015-04-14 04:56:00.475	{"score":1.128571399620601}
6308	91	68	tags	5	2015-04-14 04:56:00.479	{"score":1.074999988079071}
6309	91	31	tags	6	2015-04-14 04:56:00.481	{"score":1.058333377043406}
6310	91	19	cbr	7	2015-04-14 04:56:00.485	{"similarUserId":91,"similarityToUser":1.0,"similarUserRating":2.0}
6311	91	92	random	8	2015-04-14 04:56:00.49	\N
6312	91	101	random	9	2015-04-14 04:56:00.493	\N
6313	91	60	tags	0	2015-04-14 04:56:26.661	{"score":1.7928570125784193}
6314	91	29	tags	1	2015-04-14 04:56:26.669	{"score":1.7764703982016619}
6315	91	21	tags	2	2015-04-14 04:56:26.678	{"score":1.7571428418159485}
6316	91	19	cbr	3	2015-04-14 04:56:26.686	{"similarUserId":91,"similarityToUser":1.0,"similarUserRating":2.0}
6317	91	78	CF	4	2015-04-14 04:56:26.694	{"prediction":4.2445054945054945}
6318	91	21	CF	5	2015-04-14 04:56:26.697	{"prediction":4.2445054945054945}
6319	91	60	CF	6	2015-04-14 04:56:26.7	{"prediction":4.171153846153846}
6320	91	97	CF	7	2015-04-14 04:56:26.703	{"prediction":4.079059829059829}
6321	91	74	random	8	2015-04-14 04:56:26.707	\N
6322	91	12	random	9	2015-04-14 04:56:26.709	\N
6323	91	19	cbr	0	2015-04-14 04:56:45.368	{"similarUserId":91,"similarityToUser":1.0,"similarUserRating":2.0}
6324	91	79	cbr	1	2015-04-14 04:56:45.372	{"similarUserId":91,"similarityToUser":1.0,"similarUserRating":2.0}
6325	91	78	CF	2	2015-04-14 04:56:45.375	{"prediction":4.2445054945054945}
6326	91	21	CF	3	2015-04-14 04:56:45.377	{"prediction":4.2445054945054945}
6327	91	97	CF	4	2015-04-14 04:56:45.38	{"prediction":4.079059829059829}
6328	91	85	CF	5	2015-04-14 04:56:45.383	{"prediction":3.958791208791209}
6329	91	21	tags	6	2015-04-14 04:56:45.386	{"score":3.300000011920929}
6330	91	51	tags	7	2015-04-14 04:56:45.389	{"score":3.2214286497661044}
6331	91	49	random	8	2015-04-14 04:56:45.392	\N
6332	91	12	random	9	2015-04-14 04:56:45.395	\N
6333	91	79	tags	0	2015-04-14 04:56:56.94	{"score":3.899999757607778}
6334	91	21	tags	1	2015-04-14 04:56:56.944	{"score":3.8428570457867215}
6335	91	78	CF	2	2015-04-14 04:56:56.947	{"prediction":4.2445054945054945}
6336	91	21	CF	3	2015-04-14 04:56:56.95	{"prediction":4.2445054945054945}
6337	91	97	CF	4	2015-04-14 04:56:56.952	{"prediction":4.079059829059829}
6338	91	85	CF	5	2015-04-14 04:56:56.957	{"prediction":3.958791208791209}
6339	91	79	cbr	6	2015-04-14 04:56:56.96	{"similarUserId":91,"similarityToUser":1.0,"similarUserRating":2.0}
6340	91	65	cbr	7	2015-04-14 04:56:56.964	{"similarUserId":91,"similarityToUser":1.0,"similarUserRating":2.0}
6341	91	48	random	8	2015-04-14 04:56:56.967	\N
6342	91	46	random	9	2015-04-14 04:56:56.97	\N
6343	72	67	cbr	0	2015-04-14 05:27:11.528	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":3.0}
6344	72	58	cbr	1	2015-04-14 05:27:11.551	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":3.0}
6345	72	87	cbr	2	2015-04-14 05:27:11.586	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":4.0}
6346	72	67	cbr	3	2015-04-14 05:27:11.598	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":4.0}
6347	72	30	CF	4	2015-04-14 05:27:11.609	{"prediction":3.951923076923077}
6351	72	49	random	8	2015-04-14 05:27:11.631	\N
6356	72	29	CF	3	2015-04-14 05:27:39.48	{"prediction":3.951923076923077}
6360	72	67	cbr	7	2015-04-14 05:27:39.493	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":4.0}
6363	72	67	cbr	0	2015-04-14 05:27:57.212	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":3.0}
6367	72	50	CF	4	2015-04-14 05:27:57.228	{"prediction":3.951923076923077}
6371	72	88	random	8	2015-04-14 05:27:57.24	\N
6348	72	50	CF	5	2015-04-14 05:27:11.614	{"prediction":3.951923076923077}
6352	72	38	random	9	2015-04-14 05:27:11.635	\N
6353	72	30	CF	0	2015-04-14 05:27:39.47	{"prediction":3.951923076923077}
6357	72	67	cbr	4	2015-04-14 05:27:39.483	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":3.0}
6361	72	43	random	8	2015-04-14 05:27:39.496	\N
6365	72	87	cbr	2	2015-04-14 05:27:57.221	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":4.0}
6369	72	29	CF	6	2015-04-14 05:27:57.234	{"prediction":3.951923076923077}
6349	72	87	CF	6	2015-04-14 05:27:11.619	{"prediction":3.951923076923077}
6354	72	50	CF	1	2015-04-14 05:27:39.474	{"prediction":3.951923076923077}
6358	72	58	cbr	5	2015-04-14 05:27:39.486	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":3.0}
6362	72	24	random	9	2015-04-14 05:27:39.498	\N
6366	72	67	cbr	3	2015-04-14 05:27:57.224	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":4.0}
6370	72	100	CF	7	2015-04-14 05:27:57.237	{"prediction":3.951923076923077}
6350	72	29	CF	7	2015-04-14 05:27:11.627	{"prediction":3.951923076923077}
6355	72	87	CF	2	2015-04-14 05:27:39.477	{"prediction":3.951923076923077}
6359	72	87	cbr	6	2015-04-14 05:27:39.49	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":4.0}
6364	72	58	cbr	1	2015-04-14 05:27:57.218	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":3.0}
6368	72	87	CF	5	2015-04-14 05:27:57.231	{"prediction":3.951923076923077}
6372	72	22	random	9	2015-04-14 05:27:57.247	\N
6373	92	19	cbr	0	2015-04-14 06:09:53.292	{"similarUserId":92,"similarityToUser":1.0,"similarUserRating":2.0}
6374	92	79	cbr	1	2015-04-14 06:09:53.299	{"similarUserId":92,"similarityToUser":1.0,"similarUserRating":2.0}
6375	92	65	cbr	2	2015-04-14 06:09:53.31	{"similarUserId":92,"similarityToUser":1.0,"similarUserRating":2.0}
6376	92	19	cbr	3	2015-04-14 06:09:53.318	{"similarUserId":92,"similarityToUser":1.0,"similarUserRating":3.0}
6377	92	64	CF	4	2015-04-14 06:09:53.325	{"prediction":4.338942307692308}
6378	92	23	CF	5	2015-04-14 06:09:53.329	{"prediction":4.336538461538462}
6379	92	78	CF	6	2015-04-14 06:09:53.333	{"prediction":4.2445054945054945}
6380	92	21	CF	7	2015-04-14 06:09:53.338	{"prediction":4.2445054945054945}
6381	92	22	random	8	2015-04-14 06:09:53.342	\N
6382	92	66	random	9	2015-04-14 06:09:53.347	\N
6383	92	101	tags	0	2015-04-14 06:11:15.507	{"score":0.15000001589457193}
6384	92	89	tags	1	2015-04-14 06:11:15.515	{"score":0.15000000596046448}
6385	92	94	tags	2	2015-04-14 06:11:15.525	{"score":0.11666667461395264}
6386	92	98	tags	3	2015-04-14 06:11:15.532	{"score":0.10000001721911961}
6387	92	64	CF	4	2015-04-14 06:11:15.539	{"prediction":4.338942307692308}
6388	92	23	CF	5	2015-04-14 06:11:15.543	{"prediction":4.336538461538462}
6389	92	78	CF	6	2015-04-14 06:11:15.546	{"prediction":4.2445054945054945}
6390	92	21	CF	7	2015-04-14 06:11:15.549	{"prediction":4.2445054945054945}
6391	92	48	random	8	2015-04-14 06:11:15.552	\N
6392	92	91	random	9	2015-04-14 06:11:15.556	\N
6393	93	4	tags	0	2015-04-14 06:29:06.282	{"score":1.0}
6394	93	61	tags	1	2015-04-14 06:29:06.291	{"score":1.0}
6395	93	26	tags	2	2015-04-14 06:29:06.298	{"score":0.9333333174387614}
6396	93	89	tags	3	2015-04-14 06:29:06.305	{"score":0.8999999761581421}
6397	93	64	CF	4	2015-04-14 06:29:06.312	{"prediction":4.338942307692308}
6398	93	23	CF	5	2015-04-14 06:29:06.315	{"prediction":4.336538461538462}
6399	93	78	CF	6	2015-04-14 06:29:06.318	{"prediction":4.2445054945054945}
6400	93	21	CF	7	2015-04-14 06:29:06.322	{"prediction":4.2445054945054945}
6401	93	52	random	8	2015-04-14 06:29:06.325	\N
6402	93	86	random	9	2015-04-14 06:29:06.328	\N
6403	93	61	tags	0	2015-04-14 06:29:47.065	{"score":1.5666666626930237}
6404	93	8	tags	1	2015-04-14 06:29:47.068	{"score":1.4399999737739564}
6405	93	12	tags	2	2015-04-14 06:29:47.071	{"score":1.4333332975705464}
6406	93	19	cbr	3	2015-04-14 06:29:47.074	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":2.0}
6407	93	64	CF	4	2015-04-14 06:29:47.076	{"prediction":4.338942307692308}
6408	93	23	CF	5	2015-04-14 06:29:47.079	{"prediction":4.336538461538462}
6409	93	78	CF	6	2015-04-14 06:29:47.082	{"prediction":4.2445054945054945}
6410	93	21	CF	7	2015-04-14 06:29:47.084	{"prediction":4.2445054945054945}
6411	93	101	random	8	2015-04-14 06:29:47.087	\N
6412	93	1	random	9	2015-04-14 06:29:47.089	\N
6413	93	8	tags	0	2015-04-14 06:29:56.533	{"score":1.9799999475479126}
6414	93	12	tags	1	2015-04-14 06:29:56.548	{"score":1.9333332777023315}
6415	93	77	tags	2	2015-04-14 06:29:56.558	{"score":1.9153846685702984}
6416	93	64	CF	3	2015-04-14 06:29:56.567	{"prediction":4.338942307692308}
6417	93	23	CF	4	2015-04-14 06:29:56.577	{"prediction":4.336538461538462}
6418	93	78	CF	5	2015-04-14 06:29:56.581	{"prediction":4.2445054945054945}
6419	93	21	CF	6	2015-04-14 06:29:56.585	{"prediction":4.2445054945054945}
6420	93	19	cbr	7	2015-04-14 06:29:56.589	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":2.0}
6421	93	36	random	8	2015-04-14 06:29:56.593	\N
6422	93	41	random	9	2015-04-14 06:29:56.597	\N
6423	93	19	cbr	0	2015-04-14 06:30:05.835	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":2.0}
6424	93	79	cbr	1	2015-04-14 06:30:05.838	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":2.0}
6425	93	18	tags	2	2015-04-14 06:30:05.841	{"score":2.4999998722757613}
6426	93	10	tags	3	2015-04-14 06:30:05.844	{"score":2.4428570696285794}
6427	93	64	CF	4	2015-04-14 06:30:05.848	{"prediction":4.338942307692308}
6428	93	23	CF	5	2015-04-14 06:30:05.851	{"prediction":4.336538461538462}
6429	93	78	CF	6	2015-04-14 06:30:05.853	{"prediction":4.2445054945054945}
6430	93	21	CF	7	2015-04-14 06:30:05.856	{"prediction":4.2445054945054945}
6431	93	63	random	8	2015-04-14 06:30:05.858	\N
6432	93	46	random	9	2015-04-14 06:30:05.861	\N
6433	93	10	tags	0	2015-04-14 06:30:22.143	{"score":2.314285695552826}
6434	93	80	tags	1	2015-04-14 06:30:22.148	{"score":2.1857143214770725}
6435	93	64	CF	2	2015-04-14 06:30:22.152	{"prediction":4.338942307692308}
6436	93	23	CF	3	2015-04-14 06:30:22.156	{"prediction":4.336538461538462}
6437	93	78	CF	4	2015-04-14 06:30:22.161	{"prediction":4.2445054945054945}
6438	93	21	CF	5	2015-04-14 06:30:22.164	{"prediction":4.2445054945054945}
6439	93	65	cbr	6	2015-04-14 06:30:22.17	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":2.0}
6440	93	32	cbr	7	2015-04-14 06:30:22.173	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6441	93	38	random	8	2015-04-14 06:30:22.176	\N
6442	93	75	random	9	2015-04-14 06:30:22.179	\N
6443	93	64	CF	0	2015-04-14 06:30:39.195	{"prediction":4.338942307692308}
6444	93	23	CF	1	2015-04-14 06:30:39.203	{"prediction":4.336538461538462}
6445	93	78	CF	2	2015-04-14 06:30:39.209	{"prediction":4.2445054945054945}
6446	93	21	CF	3	2015-04-14 06:30:39.215	{"prediction":4.2445054945054945}
6447	93	6	tags	4	2015-04-14 06:30:39.222	{"score":2.866666555404663}
6448	93	12	tags	5	2015-04-14 06:30:39.226	{"score":2.833333174387614}
6449	93	65	cbr	6	2015-04-14 06:30:39.228	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":2.0}
6450	93	32	cbr	7	2015-04-14 06:30:39.231	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6451	93	53	random	8	2015-04-14 06:30:39.234	\N
6452	93	49	random	9	2015-04-14 06:30:39.237	\N
6463	93	65	cbr	0	2015-04-14 06:30:54.592	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":2.0}
6464	93	32	cbr	1	2015-04-14 06:30:54.595	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6465	93	12	tags	2	2015-04-14 06:30:54.598	{"score":4.233333369096121}
6466	93	21	tags	3	2015-04-14 06:30:54.601	{"score":4.200000362736838}
6467	93	21	CF	4	2015-04-14 06:30:54.604	{"prediction":4.2445054945054945}
6468	93	60	CF	5	2015-04-14 06:30:54.606	{"prediction":4.171153846153846}
6469	93	97	CF	6	2015-04-14 06:30:54.609	{"prediction":4.079059829059829}
6470	93	85	CF	7	2015-04-14 06:30:54.612	{"prediction":3.958791208791209}
6471	93	81	random	8	2015-04-14 06:30:54.615	\N
6472	93	98	random	9	2015-04-14 06:30:54.617	\N
6473	93	32	cbr	0	2015-04-14 06:31:02.83	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6474	93	97	cbr	1	2015-04-14 06:31:02.833	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6475	93	21	CF	2	2015-04-14 06:31:02.836	{"prediction":4.2445054945054945}
6476	93	60	CF	3	2015-04-14 06:31:02.839	{"prediction":4.171153846153846}
6477	93	97	CF	4	2015-04-14 06:31:02.843	{"prediction":4.079059829059829}
6478	93	85	CF	5	2015-04-14 06:31:02.845	{"prediction":3.958791208791209}
6479	93	21	tags	6	2015-04-14 06:31:02.849	{"score":4.592856986182077}
6480	93	12	tags	7	2015-04-14 06:31:02.853	{"score":4.583333412806192}
6481	93	99	random	8	2015-04-14 06:31:02.856	\N
6482	93	60	random	9	2015-04-14 06:31:02.859	\N
6523	93	58	cbr	0	2015-04-14 06:32:27.543	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6524	93	87	cbr	1	2015-04-14 06:32:27.548	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":4.0}
6525	93	53	tags	2	2015-04-14 06:32:27.55	{"score":3.7357140268598283}
6526	93	66	tags	3	2015-04-14 06:32:27.553	{"score":3.549999713897705}
6527	93	14	CF	4	2015-04-14 06:32:27.556	{"prediction":3.951923076923077}
6528	93	50	CF	5	2015-04-14 06:32:27.559	{"prediction":3.951923076923077}
6529	93	87	CF	6	2015-04-14 06:32:27.561	{"prediction":3.951923076923077}
6530	93	29	CF	7	2015-04-14 06:32:27.563	{"prediction":3.951923076923077}
6531	93	37	random	8	2015-04-14 06:32:27.567	\N
6532	93	85	random	9	2015-04-14 06:32:27.573	\N
6533	93	14	CF	0	2015-04-14 06:32:35.297	{"prediction":3.951923076923077}
6534	93	50	CF	1	2015-04-14 06:32:35.3	{"prediction":3.951923076923077}
6535	93	87	CF	2	2015-04-14 06:32:35.306	{"prediction":3.951923076923077}
6536	93	29	CF	3	2015-04-14 06:32:35.309	{"prediction":3.951923076923077}
6537	93	87	cbr	4	2015-04-14 06:32:35.312	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":4.0}
6538	93	100	cbr	5	2015-04-14 06:32:35.315	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":4.0}
6539	93	53	tags	6	2015-04-14 06:32:35.319	{"score":4.18571400642395}
6540	93	66	tags	7	2015-04-14 06:32:35.321	{"score":4.059999704360962}
6541	93	30	random	8	2015-04-14 06:32:35.324	\N
6542	93	2	random	9	2015-04-14 06:32:35.327	\N
6603	93	6	random	0	2015-04-14 06:33:58.44	\N
6604	93	47	random	1	2015-04-14 06:33:58.443	\N
6605	93	43	random	2	2015-04-14 06:33:58.445	\N
6606	93	54	random	3	2015-04-14 06:33:58.448	\N
6607	93	100	random	4	2015-04-14 06:33:58.45	\N
6608	93	101	random	5	2015-04-14 06:33:58.453	\N
6609	93	14	random	6	2015-04-14 06:33:58.456	\N
6610	93	99	random	7	2015-04-14 06:33:58.462	\N
6611	93	77	random	8	2015-04-14 06:33:58.465	\N
6612	93	39	random	9	2015-04-14 06:33:58.468	\N
6633	93	48	random	0	2015-04-14 06:34:22.043	\N
6634	93	29	random	1	2015-04-14 06:34:22.046	\N
6635	93	100	random	2	2015-04-14 06:34:22.051	\N
6636	93	3	random	3	2015-04-14 06:34:22.056	\N
6637	93	41	random	4	2015-04-14 06:34:22.059	\N
6638	93	64	random	5	2015-04-14 06:34:22.064	\N
6639	93	59	random	6	2015-04-14 06:34:22.067	\N
6640	93	91	random	7	2015-04-14 06:34:22.072	\N
6641	93	95	random	8	2015-04-14 06:34:22.076	\N
6642	93	92	random	9	2015-04-14 06:34:22.081	\N
6683	94	23	CF	0	2015-04-14 06:37:23.339	{"prediction":3.5023584905660377}
6684	94	64	CF	1	2015-04-14 06:37:23.347	{"prediction":3.5}
6685	94	21	CF	2	2015-04-14 06:37:23.349	{"prediction":3.4039757412398925}
6686	94	78	CF	3	2015-04-14 06:37:23.354	{"prediction":3.4039757412398925}
6687	94	19	cbr	4	2015-04-14 06:37:23.368	{"similarUserId":94,"similarityToUser":1.0,"similarUserRating":2.0}
6688	94	61	tags	5	2015-04-14 06:37:23.371	{"score":1.5666666626930237}
6689	94	8	tags	6	2015-04-14 06:37:23.373	{"score":1.4399999737739564}
6690	94	12	tags	7	2015-04-14 06:37:23.376	{"score":1.4333332975705464}
6691	94	64	random	8	2015-04-14 06:37:23.379	\N
6692	94	61	random	9	2015-04-14 06:37:23.381	\N
6693	94	64	CF	0	2015-04-14 06:37:42.876	{"prediction":3.5}
6694	94	21	CF	1	2015-04-14 06:37:42.879	{"prediction":3.4039757412398925}
6453	93	78	CF	0	2015-04-14 06:30:48.531	{"prediction":4.2445054945054945}
6457	93	65	cbr	4	2015-04-14 06:30:48.546	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":2.0}
6461	93	39	random	8	2015-04-14 06:30:48.559	\N
6485	93	80	tags	2	2015-04-14 06:31:27.019	{"score":5.062499761581421}
6489	93	97	CF	6	2015-04-14 06:31:27.035	{"prediction":4.079059829059829}
6547	93	66	tags	4	2015-04-14 06:32:45.58	{"score":5.1699999332427975}
6553	93	100	cbr	0	2015-04-14 06:33:05.937	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":4.0}
6557	93	66	tags	4	2015-04-14 06:33:05.954	{"score":5.169999504089356}
6561	93	78	random	8	2015-04-14 06:33:05.968	\N
6565	93	24	tags	2	2015-04-14 06:33:19.131	{"score":3.712499737739563}
6569	93	83	random	6	2015-04-14 06:33:19.141	\N
6584	93	80	random	1	2015-04-14 06:33:40.575	\N
6588	93	46	random	5	2015-04-14 06:33:40.585	\N
6592	93	87	random	9	2015-04-14 06:33:40.595	\N
6646	93	91	random	3	2015-04-14 06:34:28.94	\N
6650	93	48	random	7	2015-04-14 06:34:28.949	\N
6675	93	27	random	2	2015-04-14 06:36:12.024	\N
6679	93	47	random	6	2015-04-14 06:36:12.037	\N
6706	94	42	tags	3	2015-04-14 06:37:58.303	{"score":3.7466664870580035}
6710	94	97	CF	7	2015-04-14 06:37:58.317	{"prediction":3.9533179012345676}
6716	94	97	CF	3	2015-04-14 06:38:11.45	{"prediction":4.1321548821548815}
6720	94	79	cbr	7	2015-04-14 06:38:11.46	{"similarUserId":94,"similarityToUser":1.0,"similarUserRating":2.0}
6733	95	64	CF	0	2015-04-14 06:47:45.487	{"prediction":4.4146825396825395}
6737	95	58	tags	4	2015-04-14 06:47:45.5	{"score":1.0}
6741	95	25	random	8	2015-04-14 06:47:45.511	\N
6454	93	21	CF	1	2015-04-14 06:30:48.536	{"prediction":4.2445054945054945}
6458	93	32	cbr	5	2015-04-14 06:30:48.549	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6462	93	17	random	9	2015-04-14 06:30:48.562	\N
6483	93	97	cbr	0	2015-04-14 06:31:27.009	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6487	93	21	CF	4	2015-04-14 06:31:27.028	{"prediction":4.2445054945054945}
6491	93	27	random	8	2015-04-14 06:31:27.041	\N
6543	93	50	CF	0	2015-04-14 06:32:45.567	{"prediction":3.951923076923077}
6546	93	100	CF	3	2015-04-14 06:32:45.576	{"prediction":3.951923076923077}
6550	93	24	random	7	2015-04-14 06:32:45.588	\N
6555	93	63	CF	2	2015-04-14 06:33:05.946	{"prediction":3.6730769230769234}
6559	93	96	random	6	2015-04-14 06:33:05.962	\N
6563	93	66	tags	0	2015-04-14 06:33:19.124	{"score":4.419999694824218}
6567	93	27	random	4	2015-04-14 06:33:19.136	\N
6571	93	21	random	8	2015-04-14 06:33:19.146	\N
6585	93	5	random	2	2015-04-14 06:33:40.578	\N
6589	93	10	random	6	2015-04-14 06:33:40.588	\N
6643	93	57	tags	0	2015-04-14 06:34:28.931	{"score":5.022221909628974}
6647	93	6	random	4	2015-04-14 06:34:28.942	\N
6651	93	42	random	8	2015-04-14 06:34:28.952	\N
6676	93	3	random	3	2015-04-14 06:36:12.027	\N
6680	93	92	random	7	2015-04-14 06:36:12.041	\N
6703	94	19	cbr	0	2015-04-14 06:37:58.295	{"similarUserId":94,"similarityToUser":1.0,"similarUserRating":2.0}
6707	94	78	CF	4	2015-04-14 06:37:58.309	{"prediction":4.119102733686067}
6711	94	38	random	8	2015-04-14 06:37:58.319	\N
6713	94	21	CF	0	2015-04-14 06:38:11.439	{"prediction":4.298100048100047}
6717	94	42	tags	4	2015-04-14 06:38:11.452	{"score":6.046666812896729}
6721	94	33	random	8	2015-04-14 06:38:11.462	\N
6734	95	23	CF	1	2015-04-14 06:47:45.491	{"prediction":4.338010204081632}
6738	95	61	tags	5	2015-04-14 06:47:45.503	{"score":1.0}
6742	95	40	random	9	2015-04-14 06:47:45.513	\N
6455	93	60	CF	2	2015-04-14 06:30:48.539	{"prediction":4.171153846153846}
6459	93	12	tags	6	2015-04-14 06:30:48.553	{"score":3.53333314259847}
6486	93	21	tags	3	2015-04-14 06:31:27.023	{"score":4.9142854894910535}
6490	93	85	CF	7	2015-04-14 06:31:27.038	{"prediction":3.958791208791209}
6544	93	87	CF	1	2015-04-14 06:32:45.57	{"prediction":3.951923076923077}
6548	93	87	cbr	5	2015-04-14 06:32:45.582	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":4.0}
6551	93	82	random	8	2015-04-14 06:32:45.593	\N
6554	93	100	CF	1	2015-04-14 06:33:05.942	{"prediction":3.951923076923077}
6558	93	53	tags	5	2015-04-14 06:33:05.958	{"score":4.8928568703787665}
6562	93	57	random	9	2015-04-14 06:33:05.973	\N
6566	93	72	random	3	2015-04-14 06:33:19.133	\N
6570	93	62	random	7	2015-04-14 06:33:19.143	\N
6586	93	26	random	3	2015-04-14 06:33:40.58	\N
6590	93	8	random	7	2015-04-14 06:33:40.59	\N
6644	93	24	random	1	2015-04-14 06:34:28.935	\N
6648	93	37	random	5	2015-04-14 06:34:28.945	\N
6652	93	10	random	9	2015-04-14 06:34:28.954	\N
6673	93	8	random	0	2015-04-14 06:36:12.017	\N
6677	93	7	random	4	2015-04-14 06:36:12.031	\N
6681	93	88	random	8	2015-04-14 06:36:12.044	\N
6704	94	79	cbr	1	2015-04-14 06:37:58.298	{"similarUserId":94,"similarityToUser":1.0,"similarUserRating":2.0}
6708	94	21	CF	5	2015-04-14 06:37:58.311	{"prediction":4.119102733686067}
6712	94	64	random	9	2015-04-14 06:37:58.321	\N
6715	94	60	CF	2	2015-04-14 06:38:11.445	{"prediction":4.224074074074074}
6719	94	37	tags	6	2015-04-14 06:38:11.457	{"score":5.741666634877523}
6735	95	78	CF	2	2015-04-14 06:47:45.494	{"prediction":4.247448979591837}
6739	95	4	tags	6	2015-04-14 06:47:45.506	{"score":1.0}
6456	93	97	CF	3	2015-04-14 06:30:48.542	{"prediction":4.079059829059829}
6460	93	80	tags	7	2015-04-14 06:30:48.556	{"score":3.487499952316284}
6484	93	67	cbr	1	2015-04-14 06:31:27.015	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6488	93	60	CF	5	2015-04-14 06:31:27.032	{"prediction":4.171153846153846}
6492	93	4	random	9	2015-04-14 06:31:27.043	\N
6545	93	29	CF	2	2015-04-14 06:32:45.573	{"prediction":3.951923076923077}
6549	93	100	cbr	6	2015-04-14 06:32:45.585	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":4.0}
6552	93	11	random	9	2015-04-14 06:32:45.595	\N
6556	93	49	CF	3	2015-04-14 06:33:05.951	{"prediction":3.6730769230769234}
6560	93	90	random	7	2015-04-14 06:33:05.966	\N
6564	93	53	tags	1	2015-04-14 06:33:19.128	{"score":4.292856897626605}
6568	93	4	random	5	2015-04-14 06:33:19.138	\N
6572	93	53	random	9	2015-04-14 06:33:19.148	\N
6583	93	64	random	0	2015-04-14 06:33:40.573	\N
6587	93	2	random	4	2015-04-14 06:33:40.583	\N
6591	93	51	random	8	2015-04-14 06:33:40.593	\N
6645	93	77	random	2	2015-04-14 06:34:28.937	\N
6649	93	39	random	6	2015-04-14 06:34:28.947	\N
6674	93	21	random	1	2015-04-14 06:36:12.021	\N
6678	93	98	random	5	2015-04-14 06:36:12.034	\N
6682	93	45	random	9	2015-04-14 06:36:12.046	\N
6705	94	65	cbr	2	2015-04-14 06:37:58.301	{"similarUserId":94,"similarityToUser":1.0,"similarUserRating":2.0}
6709	94	60	CF	6	2015-04-14 06:37:58.314	{"prediction":4.045293209876544}
6714	94	78	CF	1	2015-04-14 06:38:11.443	{"prediction":4.298100048100047}
6718	94	20	tags	5	2015-04-14 06:38:11.455	{"score":5.987500190734863}
6722	94	17	random	9	2015-04-14 06:38:11.465	\N
6736	95	21	CF	3	2015-04-14 06:47:45.497	{"prediction":4.216517857142858}
6740	95	26	tags	7	2015-04-14 06:47:45.508	{"score":0.9333333174387614}
6493	93	80	tags	0	2015-04-14 06:31:43.374	{"score":5.324999809265137}
6497	93	21	CF	4	2015-04-14 06:31:43.388	{"prediction":4.2445054945054945}
6501	93	93	random	8	2015-04-14 06:31:43.404	\N
6505	93	58	cbr	2	2015-04-14 06:31:55.488	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6509	93	85	CF	6	2015-04-14 06:31:55.504	{"prediction":3.958791208791209}
6513	93	21	CF	0	2015-04-14 06:32:08.285	{"prediction":4.2445054945054945}
6517	93	67	cbr	4	2015-04-14 06:32:08.295	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6521	93	28	random	8	2015-04-14 06:32:08.311	\N
6574	93	42	random	1	2015-04-14 06:33:31.093	\N
6578	93	58	random	5	2015-04-14 06:33:31.106	\N
6582	93	80	random	9	2015-04-14 06:33:31.116	\N
6594	93	82	random	1	2015-04-14 06:33:52.404	\N
6598	93	32	random	5	2015-04-14 06:33:52.416	\N
6602	93	43	random	9	2015-04-14 06:33:52.428	\N
6614	93	23	random	1	2015-04-14 06:34:04.873	\N
6618	93	78	random	5	2015-04-14 06:34:04.884	\N
6622	93	16	random	9	2015-04-14 06:34:04.895	\N
6626	93	1	random	3	2015-04-14 06:34:13.3	\N
6630	93	101	random	7	2015-04-14 06:34:13.31	\N
6655	93	44	random	2	2015-04-14 06:34:36.142	\N
6659	93	3	random	6	2015-04-14 06:34:36.158	\N
6664	94	61	tags	1	2015-04-14 06:36:07.346	{"score":1.0}
6668	94	23	CF	5	2015-04-14 06:36:07.359	{"prediction":4.336538461538462}
6672	94	21	random	9	2015-04-14 06:36:07.371	\N
6726	94	85	CF	3	2015-04-14 06:38:24.734	{"prediction":3.9456756660997736}
6730	94	20	tags	7	2015-04-14 06:38:24.743	{"score":5.987500190734863}
6744	95	78	CF	1	2015-04-14 06:48:53.799	{"prediction":4.247448979591837}
6748	95	79	cbr	5	2015-04-14 06:48:53.81	{"similarUserId":95,"similarityToUser":1.0,"similarUserRating":2.0}
6752	95	95	random	9	2015-04-14 06:48:53.82	\N
6494	93	77	tags	1	2015-04-14 06:31:43.377	{"score":5.1615379223456745}
6498	93	60	CF	5	2015-04-14 06:31:43.392	{"prediction":4.171153846153846}
6502	93	4	random	9	2015-04-14 06:31:43.406	\N
6503	93	13	tags	0	2015-04-14 06:31:55.483	{"score":5.519999599456787}
6507	93	21	CF	4	2015-04-14 06:31:55.495	{"prediction":4.2445054945054945}
6511	93	95	random	8	2015-04-14 06:31:55.51	\N
6514	93	60	CF	1	2015-04-14 06:32:08.288	{"prediction":4.171153846153846}
6518	93	58	cbr	5	2015-04-14 06:32:08.298	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6522	93	33	random	9	2015-04-14 06:32:08.314	\N
6575	93	67	random	2	2015-04-14 06:33:31.096	\N
6579	93	33	random	6	2015-04-14 06:33:31.108	\N
6593	93	12	random	0	2015-04-14 06:33:52.402	\N
6597	93	21	random	4	2015-04-14 06:33:52.413	\N
6601	93	22	random	8	2015-04-14 06:33:52.423	\N
6613	93	2	random	0	2015-04-14 06:34:04.87	\N
6617	93	11	random	4	2015-04-14 06:34:04.882	\N
6621	93	52	random	8	2015-04-14 06:34:04.893	\N
6625	93	24	random	2	2015-04-14 06:34:13.298	\N
6629	93	74	random	6	2015-04-14 06:34:13.308	\N
6653	93	81	random	0	2015-04-14 06:34:36.134	\N
6657	93	4	random	4	2015-04-14 06:34:36.15	\N
6661	93	23	random	8	2015-04-14 06:34:36.17	\N
6663	94	4	tags	0	2015-04-14 06:36:07.343	{"score":1.0}
6667	94	64	CF	4	2015-04-14 06:36:07.356	{"prediction":4.338942307692308}
6671	94	38	random	8	2015-04-14 06:36:07.368	\N
6723	94	78	CF	0	2015-04-14 06:38:24.727	{"prediction":4.23138995181406}
6727	94	79	cbr	4	2015-04-14 06:38:24.737	{"similarUserId":94,"similarityToUser":1.0,"similarUserRating":2.0}
6731	94	16	random	8	2015-04-14 06:38:24.746	\N
6743	95	23	CF	0	2015-04-14 06:48:53.795	{"prediction":4.338010204081632}
6747	95	19	cbr	4	2015-04-14 06:48:53.808	{"similarUserId":95,"similarityToUser":1.0,"similarUserRating":2.0}
6751	95	92	random	8	2015-04-14 06:48:53.818	\N
6495	93	67	cbr	2	2015-04-14 06:31:43.381	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6499	93	85	CF	6	2015-04-14 06:31:43.396	{"prediction":3.958791208791209}
6506	93	85	cbr	3	2015-04-14 06:31:55.492	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":4.0}
6510	93	30	CF	7	2015-04-14 06:31:55.506	{"prediction":3.951923076923077}
6516	93	30	CF	3	2015-04-14 06:32:08.293	{"prediction":3.951923076923077}
6520	93	87	cbr	7	2015-04-14 06:32:08.308	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":4.0}
6573	93	56	random	0	2015-04-14 06:33:31.088	\N
6577	93	69	random	4	2015-04-14 06:33:31.102	\N
6581	93	71	random	8	2015-04-14 06:33:31.113	\N
6596	93	30	random	3	2015-04-14 06:33:52.41	\N
6600	93	19	random	7	2015-04-14 06:33:52.421	\N
6616	93	35	random	3	2015-04-14 06:34:04.879	\N
6620	93	38	random	7	2015-04-14 06:34:04.89	\N
6624	93	71	random	1	2015-04-14 06:34:13.295	\N
6628	93	67	random	5	2015-04-14 06:34:13.305	\N
6632	93	89	random	9	2015-04-14 06:34:13.314	\N
6654	93	61	random	1	2015-04-14 06:34:36.138	\N
6658	93	17	random	5	2015-04-14 06:34:36.153	\N
6662	93	24	random	9	2015-04-14 06:34:36.174	\N
6666	94	89	tags	3	2015-04-14 06:36:07.353	{"score":0.8999999761581421}
6670	94	21	CF	7	2015-04-14 06:36:07.364	{"prediction":4.2445054945054945}
6725	94	97	CF	2	2015-04-14 06:38:24.732	{"prediction":4.065290178571429}
6729	94	42	tags	6	2015-04-14 06:38:24.741	{"score":6.100000095367432}
6746	95	60	CF	3	2015-04-14 06:48:53.804	{"prediction":4.173214285714286}
6750	95	62	tags	7	2015-04-14 06:48:53.815	{"score":1.3199999928474426}
6496	93	58	cbr	3	2015-04-14 06:31:43.383	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6500	93	30	CF	7	2015-04-14 06:31:43.399	{"prediction":3.951923076923077}
6504	93	67	cbr	1	2015-04-14 06:31:55.486	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":3.0}
6508	93	60	CF	5	2015-04-14 06:31:55.5	{"prediction":4.171153846153846}
6512	93	39	random	9	2015-04-14 06:31:55.513	\N
6515	93	85	CF	2	2015-04-14 06:32:08.29	{"prediction":3.958791208791209}
6519	93	85	cbr	6	2015-04-14 06:32:08.306	{"similarUserId":93,"similarityToUser":1.0,"similarUserRating":4.0}
6576	93	34	random	3	2015-04-14 06:33:31.099	\N
6580	93	35	random	7	2015-04-14 06:33:31.111	\N
6595	93	59	random	2	2015-04-14 06:33:52.407	\N
6599	93	5	random	6	2015-04-14 06:33:52.418	\N
6615	93	70	random	2	2015-04-14 06:34:04.876	\N
6619	93	48	random	6	2015-04-14 06:34:04.887	\N
6623	93	90	random	0	2015-04-14 06:34:13.292	\N
6627	93	58	random	4	2015-04-14 06:34:13.303	\N
6631	93	82	random	8	2015-04-14 06:34:13.312	\N
6656	93	71	random	3	2015-04-14 06:34:36.146	\N
6660	93	69	random	7	2015-04-14 06:34:36.162	\N
6665	94	26	tags	2	2015-04-14 06:36:07.35	{"score":0.9333333174387614}
6669	94	78	CF	6	2015-04-14 06:36:07.361	{"prediction":4.2445054945054945}
6724	94	60	CF	1	2015-04-14 06:38:24.73	{"prediction":4.157155257936508}
6728	94	65	cbr	5	2015-04-14 06:38:24.739	{"similarUserId":94,"similarityToUser":1.0,"similarUserRating":2.0}
6732	94	13	random	9	2015-04-14 06:38:24.748	\N
6745	95	21	CF	2	2015-04-14 06:48:53.801	{"prediction":4.216517857142858}
6749	95	67	tags	6	2015-04-14 06:48:53.813	{"score":1.3333333134651184}
6695	94	78	CF	2	2015-04-14 06:37:42.886	{"prediction":3.4039757412398925}
6699	94	12	tags	6	2015-04-14 06:37:42.942	{"score":2.133333186308543}
6696	94	60	CF	3	2015-04-14 06:37:42.892	{"prediction":3.334433962264151}
6700	94	19	cbr	7	2015-04-14 06:37:42.963	{"similarUserId":94,"similarityToUser":1.0,"similarUserRating":2.0}
6697	94	77	tags	4	2015-04-14 06:37:42.91	{"score":2.3076920555188107}
6701	94	14	random	8	2015-04-14 06:37:43.013	\N
6698	94	21	tags	5	2015-04-14 06:37:42.928	{"score":2.2285713042531694}
6702	94	2	random	9	2015-04-14 06:37:43.068	\N
6753	96	64	CF	0	2015-04-14 07:27:21.625	{"prediction":4.4146825396825395}
6754	96	23	CF	1	2015-04-14 07:27:21.638	{"prediction":4.338010204081632}
6755	96	78	CF	2	2015-04-14 07:27:21.654	{"prediction":4.247448979591837}
6756	96	21	CF	3	2015-04-14 07:27:21.661	{"prediction":4.216517857142858}
6757	96	58	tags	4	2015-04-14 07:27:21.668	{"score":1.0}
6758	96	4	tags	5	2015-04-14 07:27:21.671	{"score":1.0}
6759	96	18	tags	6	2015-04-14 07:27:21.673	{"score":0.8000000317891439}
6760	96	12	tags	7	2015-04-14 07:27:21.676	{"score":0.800000011920929}
6761	96	40	random	8	2015-04-14 07:27:21.679	\N
6762	96	81	random	9	2015-04-14 07:27:21.682	\N
6763	89	78	CF	0	2015-04-14 07:41:40.226	{"prediction":4.247448979591837}
6764	89	21	CF	1	2015-04-14 07:41:40.238	{"prediction":4.216517857142858}
6765	89	60	CF	2	2015-04-14 07:41:40.246	{"prediction":4.173214285714286}
6766	89	97	CF	3	2015-04-14 07:41:40.254	{"prediction":4.0813492063492065}
6767	89	75	tags	4	2015-04-14 07:41:40.261	{"score":1.2599999547004699}
6768	89	92	tags	5	2015-04-14 07:41:40.264	{"score":1.1642856853348869}
6769	89	47	tags	6	2015-04-14 07:41:40.266	{"score":1.1062499284744263}
6770	89	65	tags	7	2015-04-14 07:41:40.269	{"score":1.090909172188152}
6771	89	52	random	8	2015-04-14 07:41:40.272	\N
6772	89	99	random	9	2015-04-14 07:41:40.276	\N
6773	72	63	CF	0	2015-04-14 07:53:34.974	{"prediction":3.6760204081632653}
6774	72	49	CF	1	2015-04-14 07:53:34.984	{"prediction":3.6760204081632653}
6775	72	8	CF	2	2015-04-14 07:53:34.991	{"prediction":3.6220238095238098}
6776	72	48	random	3	2015-04-14 07:53:35	\N
6777	72	97	random	4	2015-04-14 07:53:35.007	\N
6778	72	98	random	5	2015-04-14 07:53:35.012	\N
6779	72	72	random	6	2015-04-14 07:53:35.018	\N
6780	72	51	random	7	2015-04-14 07:53:35.023	\N
6781	72	41	random	8	2015-04-14 07:53:35.026	\N
6782	72	30	random	9	2015-04-14 07:53:35.03	\N
6783	97	61	tags	0	2015-04-14 08:53:04.546	{"score":1.0}
6784	97	4	tags	1	2015-04-14 08:53:04.558	{"score":1.0}
6785	97	26	tags	2	2015-04-14 08:53:04.568	{"score":1.0}
6786	97	89	tags	3	2015-04-14 08:53:04.578	{"score":1.0}
6787	97	64	CF	4	2015-04-14 08:53:04.587	{"prediction":4.4146825396825395}
6788	97	23	CF	5	2015-04-14 08:53:04.59	{"prediction":4.338010204081632}
6789	97	78	CF	6	2015-04-14 08:53:04.599	{"prediction":4.247448979591837}
6790	97	21	CF	7	2015-04-14 08:53:04.606	{"prediction":4.216517857142858}
6791	97	6	random	8	2015-04-14 08:53:04.613	\N
6792	97	68	random	9	2015-04-14 08:53:04.617	\N
6793	97	64	CF	0	2015-04-14 08:53:51.001	{"prediction":4.4146825396825395}
6794	97	23	CF	1	2015-04-14 08:53:51.01	{"prediction":4.338010204081632}
6795	97	78	CF	2	2015-04-14 08:53:51.016	{"prediction":4.247448979591837}
6796	97	21	CF	3	2015-04-14 08:53:51.024	{"prediction":4.216517857142858}
6797	97	45	tags	4	2015-04-14 08:53:51.032	{"score":0.8500000238418579}
6798	97	8	tags	5	2015-04-14 08:53:51.036	{"score":0.800000011920929}
6799	97	4	tags	6	2015-04-14 08:53:51.041	{"score":0.6999999710491726}
6800	97	19	cbr	7	2015-04-14 08:53:51.044	{"similarUserId":97,"similarityToUser":1.0,"similarUserRating":2.0}
6801	97	42	random	8	2015-04-14 08:53:51.046	\N
6802	97	58	random	9	2015-04-14 08:53:51.049	\N
6803	78	78	CF	0	2015-04-14 10:36:11.33	{"prediction":4.247448979591837}
6965	72	33	random	2	2015-04-14 13:52:21.233	\N
6804	78	60	CF	1	2015-04-14 10:36:11.346	{"prediction":4.173214285714286}
6805	78	97	CF	2	2015-04-14 10:36:11.354	{"prediction":4.0813492063492065}
6806	78	85	CF	3	2015-04-14 10:36:11.361	{"prediction":3.9617346938775513}
6807	78	68	tags	4	2015-04-14 10:36:11.37	{"score":0.9600000500679016}
6808	78	4	tags	5	2015-04-14 10:36:11.373	{"score":0.9333333770434061}
6809	78	80	tags	6	2015-04-14 10:36:11.376	{"score":0.9000000357627869}
6810	78	19	cbr	7	2015-04-14 10:36:11.382	{"similarUserId":78,"similarityToUser":1.0,"similarUserRating":2.0}
6811	78	82	random	8	2015-04-14 10:36:11.385	\N
6812	78	1	random	9	2015-04-14 10:36:11.387	\N
6813	78	68	tags	0	2015-04-14 10:36:21.409	{"score":0.9600000500679016}
6814	78	4	tags	1	2015-04-14 10:36:21.434	{"score":0.9333333770434061}
6815	78	80	tags	2	2015-04-14 10:36:21.446	{"score":0.9000000357627869}
6816	78	78	CF	3	2015-04-14 10:36:21.454	{"prediction":4.247448979591837}
6817	78	60	CF	4	2015-04-14 10:36:21.467	{"prediction":4.173214285714286}
6818	78	97	CF	5	2015-04-14 10:36:21.471	{"prediction":4.0813492063492065}
6819	78	85	CF	6	2015-04-14 10:36:21.474	{"prediction":3.9617346938775513}
6820	78	19	cbr	7	2015-04-14 10:36:21.477	{"similarUserId":78,"similarityToUser":1.0,"similarUserRating":2.0}
6821	78	29	random	8	2015-04-14 10:36:21.48	\N
6822	78	50	random	9	2015-04-14 10:36:21.483	\N
6823	98	64	CF	0	2015-04-14 10:39:45.82	{"prediction":4.4146825396825395}
6824	98	23	CF	1	2015-04-14 10:39:45.823	{"prediction":4.338010204081632}
6825	98	78	CF	2	2015-04-14 10:39:45.826	{"prediction":4.247448979591837}
6826	98	21	CF	3	2015-04-14 10:39:45.829	{"prediction":4.216517857142858}
6827	98	4	tags	4	2015-04-14 10:39:45.831	{"score":1.0}
6828	98	61	tags	5	2015-04-14 10:39:45.834	{"score":1.0}
6829	98	26	tags	6	2015-04-14 10:39:45.836	{"score":0.9333333174387614}
6830	98	89	tags	7	2015-04-14 10:39:45.839	{"score":0.8999999761581421}
6831	98	24	random	8	2015-04-14 10:39:45.842	\N
6832	98	13	random	9	2015-04-14 10:39:45.846	\N
6833	98	61	tags	0	2015-04-14 10:40:39.36	{"score":1.25}
6837	98	78	CF	4	2015-04-14 10:40:40.205	{"prediction":4.247448979591837}
6841	98	88	random	8	2015-04-14 10:40:40.219	\N
6856	98	47	tags	3	2015-04-14 10:41:09.232	{"score":1.375}
6860	98	97	CF	7	2015-04-14 10:41:09.241	{"prediction":4.0813492063492065}
6874	98	60	CF	1	2015-04-14 10:41:36.078	{"prediction":4.173214285714286}
6878	98	28	tags	5	2015-04-14 10:41:36.087	{"score":2.040908905592832}
6882	98	90	random	9	2015-04-14 10:41:36.101	\N
6834	98	8	tags	1	2015-04-14 10:40:40.195	{"score":1.0600000381469727}
6838	98	21	CF	5	2015-04-14 10:40:40.208	{"prediction":4.216517857142858}
6842	98	99	random	9	2015-04-14 10:40:40.222	\N
6853	98	19	cbr	0	2015-04-14 10:41:09.212	{"similarUserId":98,"similarityToUser":1.0,"similarUserRating":2.0}
6857	98	78	CF	4	2015-04-14 10:41:09.234	{"prediction":4.247448979591837}
6861	98	33	random	8	2015-04-14 10:41:09.243	\N
6876	98	85	CF	3	2015-04-14 10:41:36.082	{"prediction":3.9617346938775513}
6880	98	65	cbr	7	2015-04-14 10:41:36.094	{"similarUserId":98,"similarityToUser":1.0,"similarUserRating":2.0}
6835	98	86	tags	2	2015-04-14 10:40:40.198	{"score":1.050000011920929}
6839	98	60	CF	6	2015-04-14 10:40:40.211	{"prediction":4.173214285714286}
6854	98	79	cbr	1	2015-04-14 10:41:09.223	{"similarUserId":98,"similarityToUser":1.0,"similarUserRating":2.0}
6858	98	21	CF	5	2015-04-14 10:41:09.236	{"prediction":4.216517857142858}
6862	98	11	random	9	2015-04-14 10:41:09.245	\N
6873	98	21	CF	0	2015-04-14 10:41:36.074	{"prediction":4.216517857142858}
6877	98	75	tags	4	2015-04-14 10:41:36.085	{"score":2.081818055022847}
6881	98	79	random	8	2015-04-14 10:41:36.097	\N
6836	98	77	tags	3	2015-04-14 10:40:40.202	{"score":1.0384615384615385}
6840	98	97	CF	7	2015-04-14 10:40:40.215	{"prediction":4.0813492063492065}
6843	98	67	tags	0	2015-04-14 10:40:59.342	{"score":0.8624999821186066}
6844	98	36	tags	1	2015-04-14 10:40:59.349	{"score":0.8125000397364298}
6845	98	75	tags	2	2015-04-14 10:40:59.354	{"score":0.800000011920929}
6846	98	1	tags	3	2015-04-14 10:40:59.357	{"score":0.7875000714465026}
6847	98	78	CF	4	2015-04-14 10:40:59.36	{"prediction":4.247448979591837}
6848	98	21	CF	5	2015-04-14 10:40:59.366	{"prediction":4.216517857142858}
6849	98	60	CF	6	2015-04-14 10:40:59.369	{"prediction":4.173214285714286}
6850	98	97	CF	7	2015-04-14 10:40:59.372	{"prediction":4.0813492063492065}
6851	98	61	random	8	2015-04-14 10:40:59.378	\N
6852	98	39	random	9	2015-04-14 10:40:59.381	\N
6855	98	75	tags	2	2015-04-14 10:41:09.229	{"score":1.4818181883205068}
6859	98	60	CF	6	2015-04-14 10:41:09.238	{"prediction":4.173214285714286}
6863	98	79	cbr	0	2015-04-14 10:41:24.794	{"similarUserId":98,"similarityToUser":1.0,"similarUserRating":2.0}
6864	98	78	CF	1	2015-04-14 10:41:24.798	{"prediction":4.247448979591837}
6865	98	21	CF	2	2015-04-14 10:41:24.801	{"prediction":4.216517857142858}
6866	98	60	CF	3	2015-04-14 10:41:24.803	{"prediction":4.173214285714286}
6867	98	97	CF	4	2015-04-14 10:41:24.806	{"prediction":4.0813492063492065}
6868	98	75	tags	5	2015-04-14 10:41:24.809	{"score":2.272727261890065}
6869	98	79	tags	6	2015-04-14 10:41:24.811	{"score":2.1666664878527326}
6870	98	47	tags	7	2015-04-14 10:41:24.814	{"score":2.0124999284744263}
6871	98	38	random	8	2015-04-14 10:41:24.816	\N
6872	98	87	random	9	2015-04-14 10:41:24.818	\N
6875	98	97	CF	2	2015-04-14 10:41:36.08	{"prediction":4.0813492063492065}
6879	98	38	tags	6	2015-04-14 10:41:36.09	{"score":2.0266666233539583}
6883	99	64	CF	0	2015-04-14 11:33:21.021	{"prediction":4.4146825396825395}
6884	99	23	CF	1	2015-04-14 11:33:21.029	{"prediction":4.338010204081632}
6885	99	78	CF	2	2015-04-14 11:33:21.037	{"prediction":4.247448979591837}
6886	99	21	CF	3	2015-04-14 11:33:21.047	{"prediction":4.216517857142858}
6887	99	19	cbr	4	2015-04-14 11:33:21.054	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
6888	99	100	tags	5	2015-04-14 11:33:21.057	{"score":0.4000000059604645}
6889	99	21	tags	6	2015-04-14 11:33:21.06	{"score":0.10000000397364299}
6890	99	43	tags	7	2015-04-14 11:33:21.063	{"score":0.06000000238418579}
6891	99	90	random	8	2015-04-14 11:33:21.066	\N
6892	99	85	random	9	2015-04-14 11:33:21.073	\N
6893	100	64	CF	0	2015-04-14 11:54:24.98	{"prediction":4.4146825396825395}
6894	100	23	CF	1	2015-04-14 11:54:24.991	{"prediction":4.338010204081632}
6895	100	78	CF	2	2015-04-14 11:54:25.001	{"prediction":4.247448979591837}
6896	100	21	CF	3	2015-04-14 11:54:25.009	{"prediction":4.216517857142858}
6897	100	4	tags	4	2015-04-14 11:54:25.018	{"score":1.0}
6898	100	58	tags	5	2015-04-14 11:54:25.021	{"score":1.0}
6899	100	87	tags	6	2015-04-14 11:54:25.026	{"score":0.7599999904632568}
6900	100	18	tags	7	2015-04-14 11:54:25.03	{"score":0.7333333492279053}
6901	100	44	random	8	2015-04-14 11:54:25.033	\N
6902	100	64	random	9	2015-04-14 11:54:25.036	\N
6903	100	19	cbr	0	2015-04-14 11:55:16.394	{"similarUserId":100,"similarityToUser":1.0,"similarUserRating":2.0}
6904	100	47	tags	1	2015-04-14 11:55:16.401	{"score":1.387499988079071}
6905	100	75	tags	2	2015-04-14 11:55:16.407	{"score":1.3272726698355242}
6906	100	58	tags	3	2015-04-14 11:55:16.414	{"score":1.3250000476837158}
6907	100	78	CF	4	2015-04-14 11:55:16.421	{"prediction":4.247448979591837}
6908	100	21	CF	5	2015-04-14 11:55:16.424	{"prediction":4.216517857142858}
6909	100	60	CF	6	2015-04-14 11:55:16.427	{"prediction":4.173214285714286}
6910	100	97	CF	7	2015-04-14 11:55:16.431	{"prediction":4.0813492063492065}
6911	100	19	random	8	2015-04-14 11:55:16.435	\N
6912	100	83	random	9	2015-04-14 11:55:16.438	\N
6913	101	64	CF	0	2015-04-14 12:50:06.061	{"prediction":4.4146825396825395}
6914	101	23	CF	1	2015-04-14 12:50:06.07	{"prediction":4.338010204081632}
6915	101	78	CF	2	2015-04-14 12:50:06.08	{"prediction":4.247448979591837}
6916	101	21	CF	3	2015-04-14 12:50:06.089	{"prediction":4.216517857142858}
6917	101	67	tags	4	2015-04-14 12:50:06.095	{"score":1.0}
6918	101	61	tags	5	2015-04-14 12:50:06.098	{"score":1.0}
6919	101	28	tags	6	2015-04-14 12:50:06.1	{"score":1.0}
6920	101	14	tags	7	2015-04-14 12:50:06.103	{"score":1.0}
6921	101	54	random	8	2015-04-14 12:50:06.106	\N
6922	101	14	random	9	2015-04-14 12:50:06.108	\N
6923	101	26	tags	0	2015-04-14 12:50:40.892	{"score":1.199999988079071}
6924	101	67	tags	1	2015-04-14 12:50:40.896	{"score":1.100000023841858}
6925	101	62	tags	2	2015-04-14 12:50:40.899	{"score":1.100000023841858}
6926	101	34	tags	3	2015-04-14 12:50:40.904	{"score":1.0250000357627869}
6927	101	23	CF	4	2015-04-14 12:50:40.908	{"prediction":4.338010204081632}
6928	101	78	CF	5	2015-04-14 12:50:40.911	{"prediction":4.247448979591837}
6929	101	21	CF	6	2015-04-14 12:50:40.914	{"prediction":4.216517857142858}
6930	101	60	CF	7	2015-04-14 12:50:40.917	{"prediction":4.173214285714286}
6931	101	40	random	8	2015-04-14 12:50:40.919	\N
6932	101	94	random	9	2015-04-14 12:50:40.922	\N
6933	101	19	tags	0	2015-04-14 12:50:58.022	{"score":1.4428571803229195}
6934	101	20	tags	1	2015-04-14 12:50:58.027	{"score":1.4333333571751914}
6935	101	1	tags	2	2015-04-14 12:50:58.035	{"score":1.4333333571751914}
6936	101	32	tags	3	2015-04-14 12:50:58.04	{"score":1.4111111561457315}
6940	101	60	CF	7	2015-04-14 12:50:58.053	{"prediction":4.173214285714286}
6937	101	23	CF	4	2015-04-14 12:50:58.045	{"prediction":4.338010204081632}
6941	101	65	random	8	2015-04-14 12:50:58.055	\N
6938	101	78	CF	5	2015-04-14 12:50:58.048	{"prediction":4.247448979591837}
6942	101	49	random	9	2015-04-14 12:50:58.058	\N
6939	101	21	CF	6	2015-04-14 12:50:58.05	{"prediction":4.216517857142858}
6943	1	64	CF	0	2015-04-14 13:50:01.709	{"prediction":4.4146825396825395}
6944	1	23	CF	1	2015-04-14 13:50:01.719	{"prediction":4.338010204081632}
6945	1	78	CF	2	2015-04-14 13:50:01.727	{"prediction":4.247448979591837}
6946	1	21	CF	3	2015-04-14 13:50:01.736	{"prediction":4.216517857142858}
6947	1	19	cbr	4	2015-04-14 13:50:01.743	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
6948	1	79	cbr	5	2015-04-14 13:50:01.747	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
6949	1	65	cbr	6	2015-04-14 13:50:01.751	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
6950	1	32	cbr	7	2015-04-14 13:50:01.754	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
6951	1	31	random	8	2015-04-14 13:50:01.758	\N
6952	1	13	random	9	2015-04-14 13:50:01.76	\N
6953	72	7	random	0	2015-04-14 13:51:35.467	\N
6954	72	4	random	1	2015-04-14 13:51:35.473	\N
6955	72	87	random	2	2015-04-14 13:51:35.478	\N
6956	72	14	random	3	2015-04-14 13:51:35.482	\N
6957	72	75	random	4	2015-04-14 13:51:35.486	\N
6958	72	26	random	5	2015-04-14 13:51:35.489	\N
6959	72	6	random	6	2015-04-14 13:51:35.492	\N
6960	72	100	random	7	2015-04-14 13:51:35.495	\N
6961	72	86	random	8	2015-04-14 13:51:35.497	\N
6962	72	89	random	9	2015-04-14 13:51:35.5	\N
6963	72	91	random	0	2015-04-14 13:52:21.22	\N
6964	72	8	random	1	2015-04-14 13:52:21.23	\N
6966	72	75	random	3	2015-04-14 13:52:21.24	\N
6967	72	2	random	4	2015-04-14 13:52:21.245	\N
6968	72	58	random	5	2015-04-14 13:52:21.254	\N
6969	72	53	random	6	2015-04-14 13:52:21.258	\N
6970	72	27	random	7	2015-04-14 13:52:21.267	\N
6971	72	74	random	8	2015-04-14 13:52:21.277	\N
6972	72	69	random	9	2015-04-14 13:52:21.28	\N
6973	103	19	cbr	0	2015-04-14 13:52:33.064	{"similarUserId":103,"similarityToUser":1.0,"similarUserRating":2.0}
6974	103	79	cbr	1	2015-04-14 13:52:33.068	{"similarUserId":103,"similarityToUser":1.0,"similarUserRating":2.0}
6975	103	65	cbr	2	2015-04-14 13:52:33.073	{"similarUserId":103,"similarityToUser":1.0,"similarUserRating":2.0}
6976	103	32	cbr	3	2015-04-14 13:52:33.077	{"similarUserId":103,"similarityToUser":1.0,"similarUserRating":3.0}
6977	103	64	CF	4	2015-04-14 13:52:33.08	{"prediction":4.4146825396825395}
6978	103	23	CF	5	2015-04-14 13:52:33.083	{"prediction":4.338010204081632}
6979	103	78	CF	6	2015-04-14 13:52:33.087	{"prediction":4.247448979591837}
6980	103	21	CF	7	2015-04-14 13:52:33.09	{"prediction":4.216517857142858}
6981	103	24	random	8	2015-04-14 13:52:33.093	\N
6982	103	57	random	9	2015-04-14 13:52:33.096	\N
6983	103	64	CF	0	2015-04-14 13:53:04.245	{"prediction":4.4146825396825395}
6984	103	23	CF	1	2015-04-14 13:53:04.259	{"prediction":4.338010204081632}
6985	103	78	CF	2	2015-04-14 13:53:04.271	{"prediction":4.247448979591837}
6986	103	21	CF	3	2015-04-14 13:53:04.274	{"prediction":4.216517857142858}
6987	103	101	tags	4	2015-04-14 13:53:04.283	{"score":0.15000001589457193}
6988	103	89	tags	5	2015-04-14 13:53:04.291	{"score":0.15000000596046448}
6989	103	72	tags	6	2015-04-14 13:53:04.294	{"score":0.15000000596046448}
6990	103	94	tags	7	2015-04-14 13:53:04.303	{"score":0.12000000476837158}
6991	103	68	random	8	2015-04-14 13:53:04.308	\N
6992	103	101	random	9	2015-04-14 13:53:04.317	\N
6993	103	60	CF	0	2015-04-14 13:53:23.4	{"prediction":4.173214285714286}
6994	103	97	CF	1	2015-04-14 13:53:23.403	{"prediction":4.0813492063492065}
6995	103	85	CF	2	2015-04-14 13:53:23.406	{"prediction":3.9617346938775513}
6996	103	100	CF	3	2015-04-14 13:53:23.408	{"prediction":3.9553571428571432}
6997	103	65	cbr	4	2015-04-14 13:53:23.411	{"similarUserId":103,"similarityToUser":1.0,"similarUserRating":2.0}
6998	103	32	cbr	5	2015-04-14 13:53:23.413	{"similarUserId":103,"similarityToUser":1.0,"similarUserRating":3.0}
6999	103	97	cbr	6	2015-04-14 13:53:23.415	{"similarUserId":103,"similarityToUser":1.0,"similarUserRating":3.0}
7000	103	4	cbr	7	2015-04-14 13:53:23.417	{"similarUserId":103,"similarityToUser":1.0,"similarUserRating":3.0}
7001	103	96	random	8	2015-04-14 13:53:23.42	\N
7002	103	10	random	9	2015-04-14 13:53:23.422	\N
7003	103	4	tags	0	2015-04-14 13:53:32.427	{"score":0.8333333134651184}
7004	103	8	tags	1	2015-04-14 13:53:32.434	{"score":0.7499999701976776}
7005	103	45	tags	2	2015-04-14 13:53:32.441	{"score":0.7499999503294627}
7006	103	89	tags	3	2015-04-14 13:53:32.446	{"score":0.7199999809265136}
7007	103	97	CF	4	2015-04-14 13:53:32.451	{"prediction":4.0813492063492065}
7008	103	85	CF	5	2015-04-14 13:53:32.454	{"prediction":3.9617346938775513}
7009	103	100	CF	6	2015-04-14 13:53:32.456	{"prediction":3.9553571428571432}
7010	103	14	CF	7	2015-04-14 13:53:32.459	{"prediction":3.9553571428571432}
7011	103	71	random	8	2015-04-14 13:53:32.461	\N
7012	103	32	random	9	2015-04-14 13:53:32.464	\N
7013	104	64	CF	0	2015-04-14 15:19:39.231	{"prediction":4.4146825396825395}
7014	104	23	CF	1	2015-04-14 15:19:39.241	{"prediction":4.338010204081632}
7015	104	78	CF	2	2015-04-14 15:19:39.249	{"prediction":4.247448979591837}
7016	104	21	CF	3	2015-04-14 15:19:39.258	{"prediction":4.216517857142858}
7017	104	58	tags	4	2015-04-14 15:19:39.261	{"score":1.0}
7018	104	4	tags	5	2015-04-14 15:19:39.264	{"score":1.0}
7019	104	62	tags	6	2015-04-14 15:19:39.268	{"score":0.8333333333333334}
7020	104	76	tags	7	2015-04-14 15:19:39.271	{"score":0.7666666507720947}
7021	104	57	random	8	2015-04-14 15:19:39.273	\N
7022	104	22	random	9	2015-04-14 15:19:39.276	\N
7023	99	100	tags	0	2015-04-14 15:33:49.785	{"score":0.4000000059604645}
7024	99	35	tags	1	2015-04-14 15:33:49.795	{"score":0.3444444504049089}
7025	99	23	CF	2	2015-04-14 15:33:49.803	{"prediction":4.338010204081632}
7026	99	78	CF	3	2015-04-14 15:33:49.81	{"prediction":4.247448979591837}
7027	99	21	CF	4	2015-04-14 15:33:49.819	{"prediction":4.216517857142858}
7028	99	60	CF	5	2015-04-14 15:33:49.822	{"prediction":4.173214285714286}
7029	99	19	cbr	6	2015-04-14 15:33:49.825	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
7030	99	79	cbr	7	2015-04-14 15:33:49.828	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
7031	99	69	random	8	2015-04-14 15:33:49.831	\N
7032	99	51	random	9	2015-04-14 15:33:49.834	\N
7033	99	19	cbr	0	2015-04-14 15:34:35.704	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
7034	99	79	cbr	1	2015-04-14 15:34:35.712	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
7035	99	65	cbr	2	2015-04-14 15:34:35.719	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
7036	99	32	cbr	3	2015-04-14 15:34:35.726	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
7037	99	23	CF	4	2015-04-14 15:34:35.735	{"prediction":1.823308270676692}
7038	99	78	CF	5	2015-04-14 15:34:35.737	{"prediction":1.714285714285714}
7039	99	21	CF	6	2015-04-14 15:34:35.739	{"prediction":1.68796992481203}
7040	99	60	CF	7	2015-04-14 15:34:35.742	{"prediction":1.6511278195488726}
7041	99	36	random	8	2015-04-14 15:34:35.744	\N
7042	99	74	random	9	2015-04-14 15:34:35.747	\N
7043	99	37	tags	0	2015-04-14 15:35:08.598	{"score":3.700000214576721}
7044	99	30	tags	1	2015-04-14 15:35:08.602	{"score":3.366666648122999}
7045	99	26	tags	2	2015-04-14 15:35:08.605	{"score":3.3599998712539674}
7046	99	42	tags	3	2015-04-14 15:35:08.608	{"score":3.3071429899760654}
7047	99	23	CF	4	2015-04-14 15:35:08.61	{"prediction":5.401614668856048}
7048	99	78	CF	5	2015-04-14 15:35:08.614	{"prediction":5.324028461959497}
7049	99	21	CF	6	2015-04-14 15:35:08.617	{"prediction":5.289853585112206}
7050	99	60	CF	7	2015-04-14 15:35:08.619	{"prediction":5.242008757525999}
7051	99	10	random	8	2015-04-14 15:35:08.621	\N
7052	99	28	random	9	2015-04-14 15:35:08.624	\N
7053	99	23	CF	0	2015-04-14 15:35:40.529	{"prediction":5.3280423280423275}
7054	99	78	CF	1	2015-04-14 15:35:40.532	{"prediction":5.256613756613756}
7055	99	21	CF	2	2015-04-14 15:35:40.534	{"prediction":5.220899470899471}
7056	99	60	CF	3	2015-04-14 15:35:40.537	{"prediction":5.170899470899471}
7057	99	20	tags	4	2015-04-14 15:35:40.54	{"score":4.1875001192092896}
7058	99	77	tags	5	2015-04-14 15:35:40.542	{"score":4.092307457557091}
7059	99	21	tags	6	2015-04-14 15:35:40.545	{"score":4.085714340209961}
7060	99	79	cbr	7	2015-04-14 15:35:40.547	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
7061	99	67	random	8	2015-04-14 15:35:40.55	\N
7062	99	65	random	9	2015-04-14 15:35:40.556	\N
7063	99	32	tags	0	2015-04-14 15:36:43.391	{"score":7.263636437329379}
7064	99	20	tags	1	2015-04-14 15:36:43.393	{"score":6.950000047683716}
7065	99	42	tags	2	2015-04-14 15:36:43.396	{"score":6.940000041325887}
7066	99	78	CF	3	2015-04-14 15:36:43.399	{"prediction":5.1656415343915345}
7067	99	21	CF	4	2015-04-14 15:36:43.402	{"prediction":5.128439153439153}
7068	99	60	CF	5	2015-04-14 15:36:43.404	{"prediction":5.07635582010582}
7069	99	97	CF	6	2015-04-14 15:36:43.408	{"prediction":4.988392857142857}
7070	99	79	cbr	7	2015-04-14 15:36:43.412	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
7071	99	46	random	8	2015-04-14 15:36:43.414	\N
7072	99	98	random	9	2015-04-14 15:36:43.417	\N
7073	17	19	cbr	0	2015-04-14 15:38:14.242	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
7074	17	79	cbr	1	2015-04-14 15:38:14.247	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
7075	17	65	cbr	2	2015-04-14 15:38:14.251	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
7076	17	32	cbr	3	2015-04-14 15:38:14.254	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7077	17	64	CF	4	2015-04-14 15:38:14.256	{"prediction":4.444444444444445}
7078	17	23	CF	5	2015-04-14 15:38:14.259	{"prediction":4.4}
7079	17	78	CF	6	2015-04-14 15:38:14.262	{"prediction":4.285714285714286}
7080	17	21	CF	7	2015-04-14 15:38:14.264	{"prediction":4.25}
7081	17	77	random	8	2015-04-14 15:38:14.266	\N
7082	17	14	random	9	2015-04-14 15:38:14.268	\N
7083	99	78	CF	0	2015-04-14 15:39:38.01	{"prediction":4.8382539682539685}
7084	99	21	CF	1	2015-04-14 15:39:38.013	{"prediction":4.802539682539683}
7085	99	60	CF	2	2015-04-14 15:39:38.016	{"prediction":4.752539682539683}
7086	99	97	CF	3	2015-04-14 15:39:38.019	{"prediction":4.663650793650794}
7087	99	79	cbr	4	2015-04-14 15:39:38.021	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
7088	99	20	tags	5	2015-04-14 15:39:38.023	{"score":7.325000047683716}
7089	99	42	tags	6	2015-04-14 15:39:38.026	{"score":7.300000095367432}
7090	99	22	tags	7	2015-04-14 15:39:38.028	{"score":6.866666846805149}
7091	99	2	random	8	2015-04-14 15:39:38.03	\N
7092	99	27	random	9	2015-04-14 15:39:38.033	\N
7093	99	42	tags	0	2015-04-14 15:39:59.933	{"score":7.753333632151286}
7094	99	20	tags	1	2015-04-14 15:39:59.936	{"score":7.75}
7095	99	22	tags	2	2015-04-14 15:39:59.938	{"score":7.388889153798422}
7096	99	41	tags	3	2015-04-14 15:39:59.941	{"score":7.320000044504802}
7097	99	21	CF	4	2015-04-14 15:39:59.943	{"prediction":4.814787079706434}
7098	99	60	CF	5	2015-04-14 15:39:59.946	{"prediction":4.762770950674176}
7099	99	97	CF	6	2015-04-14 15:39:59.948	{"prediction":4.6747781191329585}
7100	99	87	CF	7	2015-04-14 15:39:59.95	{"prediction":4.568147294760198}
7101	99	2	random	8	2015-04-14 15:39:59.953	\N
7102	99	14	random	9	2015-04-14 15:39:59.955	\N
7103	105	64	CF	0	2015-04-14 15:52:40.515	{"prediction":4.45326278659612}
7104	105	23	CF	1	2015-04-14 15:52:40.524	{"prediction":4.405291005291005}
7105	105	78	CF	2	2015-04-14 15:52:40.53	{"prediction":4.384920634920634}
7106	105	21	CF	3	2015-04-14 15:52:40.537	{"prediction":4.259920634920634}
7107	105	4	tags	4	2015-04-14 15:52:40.544	{"score":1.0}
7108	105	58	tags	5	2015-04-14 15:52:40.547	{"score":1.0}
7109	105	30	tags	6	2015-04-14 15:52:40.549	{"score":0.699999988079071}
7110	105	14	tags	7	2015-04-14 15:52:40.552	{"score":0.6699999809265137}
7111	105	13	random	8	2015-04-14 15:52:40.555	\N
7112	105	88	random	9	2015-04-14 15:52:40.557	\N
7113	105	19	cbr	0	2015-04-14 15:53:05.287	{"similarUserId":105,"similarityToUser":1.0,"similarUserRating":2.0}
7114	105	79	cbr	1	2015-04-14 15:53:05.291	{"similarUserId":105,"similarityToUser":1.0,"similarUserRating":2.0}
7115	105	65	cbr	2	2015-04-14 15:53:05.294	{"similarUserId":105,"similarityToUser":1.0,"similarUserRating":2.0}
7116	105	97	cbr	3	2015-04-14 15:53:05.298	{"similarUserId":105,"similarityToUser":1.0,"similarUserRating":3.0}
7117	105	60	CF	4	2015-04-14 15:53:05.302	{"prediction":4.207936507936508}
7118	105	26	CF	5	2015-04-14 15:53:05.305	{"prediction":4.1798941798941796}
7119	105	100	CF	6	2015-04-14 15:53:05.307	{"prediction":4.154195011337868}
7120	105	97	CF	7	2015-04-14 15:53:05.31	{"prediction":4.119929453262786}
7121	105	81	random	8	2015-04-14 15:53:05.313	\N
7122	105	10	random	9	2015-04-14 15:53:05.315	\N
7123	85	19	cbr	0	2015-04-14 16:05:56.178	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":2.0}
7124	85	64	CF	1	2015-04-14 16:05:56.187	{"prediction":4.45326278659612}
7125	85	23	CF	2	2015-04-14 16:05:56.198	{"prediction":4.405291005291005}
7126	85	78	CF	3	2015-04-14 16:05:56.22	{"prediction":4.384920634920634}
7127	85	21	CF	4	2015-04-14 16:05:56.234	{"prediction":4.259920634920634}
7128	85	4	tags	5	2015-04-14 16:05:56.237	{"score":1.6500000556310017}
7129	85	60	tags	6	2015-04-14 16:05:56.239	{"score":1.6499998739787511}
7130	85	21	tags	7	2015-04-14 16:05:56.244	{"score":1.5500001509984336}
7131	85	42	random	8	2015-04-14 16:05:56.247	\N
7132	85	23	random	9	2015-04-14 16:05:56.25	\N
7133	85	4	tags	0	2015-04-14 16:06:02.598	{"score":1.6500000556310017}
7134	85	60	tags	1	2015-04-14 16:06:02.606	{"score":1.6499998739787511}
7135	85	21	tags	2	2015-04-14 16:06:02.614	{"score":1.5500001509984336}
7136	85	64	CF	3	2015-04-14 16:06:02.621	{"prediction":4.45326278659612}
7137	85	23	CF	4	2015-04-14 16:06:02.63	{"prediction":4.405291005291005}
7138	85	78	CF	5	2015-04-14 16:06:02.632	{"prediction":4.384920634920634}
7139	85	21	CF	6	2015-04-14 16:06:02.638	{"prediction":4.259920634920634}
7140	85	19	cbr	7	2015-04-14 16:06:02.641	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":2.0}
7141	85	38	random	8	2015-04-14 16:06:02.644	\N
7142	85	78	random	9	2015-04-14 16:06:02.646	\N
7143	17	60	CF	0	2015-04-14 16:21:54.472	{"prediction":4.207936507936508}
7144	17	26	CF	1	2015-04-14 16:21:54.48	{"prediction":4.1798941798941796}
7145	17	100	CF	2	2015-04-14 16:21:54.487	{"prediction":4.154195011337868}
7146	17	97	CF	3	2015-04-14 16:21:54.495	{"prediction":4.119929453262786}
7147	17	97	cbr	4	2015-04-14 16:21:54.502	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7148	17	4	cbr	5	2015-04-14 16:21:54.504	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7149	17	67	cbr	6	2015-04-14 16:21:54.507	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7150	17	58	cbr	7	2015-04-14 16:21:54.509	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7151	17	29	random	8	2015-04-14 16:21:54.512	\N
7152	17	84	random	9	2015-04-14 16:21:54.514	\N
7153	104	19	cbr	0	2015-04-14 16:22:45.252	{"similarUserId":104,"similarityToUser":1.0,"similarUserRating":2.0}
7154	104	67	tags	1	2015-04-14 16:22:45.256	{"score":1.4000000357627869}
7155	104	62	tags	2	2015-04-14 16:22:45.258	{"score":1.3333333134651184}
7156	104	14	tags	3	2015-04-14 16:22:45.261	{"score":1.2699999928474426}
7157	104	23	CF	4	2015-04-14 16:22:45.264	{"prediction":4.405291005291005}
7158	104	78	CF	5	2015-04-14 16:22:45.269	{"prediction":4.384920634920634}
7159	104	21	CF	6	2015-04-14 16:22:45.272	{"prediction":4.259920634920634}
7160	104	60	CF	7	2015-04-14 16:22:45.276	{"prediction":4.207936507936508}
7161	104	36	random	8	2015-04-14 16:22:45.279	\N
7162	104	52	random	9	2015-04-14 16:22:45.282	\N
7163	106	64	CF	0	2015-04-14 16:29:40.496	{"prediction":4.45326278659612}
7164	106	23	CF	1	2015-04-14 16:29:40.508	{"prediction":4.405291005291005}
7165	106	78	CF	2	2015-04-14 16:29:40.514	{"prediction":4.384920634920634}
7166	106	21	CF	3	2015-04-14 16:29:40.522	{"prediction":4.259920634920634}
7167	106	58	tags	4	2015-04-14 16:29:40.529	{"score":1.0}
7168	106	87	tags	5	2015-04-14 16:29:40.531	{"score":0.7599999904632568}
7169	106	66	tags	6	2015-04-14 16:29:40.534	{"score":0.6714285441807338}
7170	106	19	tags	7	2015-04-14 16:29:40.536	{"score":0.6666666666666666}
7171	106	9	random	8	2015-04-14 16:29:40.539	\N
7172	106	87	random	9	2015-04-14 16:29:40.542	\N
7173	106	19	cbr	0	2015-04-14 16:29:58.534	{"similarUserId":106,"similarityToUser":1.0,"similarUserRating":2.0}
7174	106	64	CF	1	2015-04-14 16:29:58.537	{"prediction":4.45326278659612}
7175	106	23	CF	2	2015-04-14 16:29:58.54	{"prediction":4.405291005291005}
7176	106	78	CF	3	2015-04-14 16:29:58.543	{"prediction":4.384920634920634}
7177	106	21	CF	4	2015-04-14 16:29:58.546	{"prediction":4.259920634920634}
7178	106	18	tags	5	2015-04-14 16:29:58.549	{"score":0.5999999841054281}
7179	106	10	tags	6	2015-04-14 16:29:58.551	{"score":0.5599999904632569}
7183	106	78	CF	0	2015-04-14 16:30:40.954	{"prediction":4.384920634920634}
7187	106	59	tags	4	2015-04-14 16:30:40.968	{"score":0.6333333452542622}
7191	106	38	random	8	2015-04-14 16:30:40.978	\N
7180	106	1	tags	7	2015-04-14 16:29:58.555	{"score":0.5199999809265137}
7186	106	26	CF	3	2015-04-14 16:30:40.965	{"prediction":4.1798941798941796}
7190	106	65	tags	7	2015-04-14 16:30:40.976	{"score":0.49230770422862125}
7181	106	22	random	8	2015-04-14 16:29:58.557	\N
7185	106	60	CF	2	2015-04-14 16:30:40.962	{"prediction":4.207936507936508}
7189	106	86	tags	6	2015-04-14 16:30:40.973	{"score":0.5625}
7182	106	42	random	9	2015-04-14 16:29:58.56	\N
7184	106	21	CF	1	2015-04-14 16:30:40.959	{"prediction":4.259920634920634}
7188	106	27	tags	5	2015-04-14 16:30:40.971	{"score":0.5799999992052713}
7192	106	97	random	9	2015-04-14 16:30:40.981	\N
7193	107	64	CF	0	2015-04-14 17:58:57.744	{"prediction":4.461805555555555}
7194	107	23	CF	1	2015-04-14 17:58:57.753	{"prediction":4.410416666666666}
7195	107	78	CF	2	2015-04-14 17:58:57.76	{"prediction":4.39453125}
7196	107	21	CF	3	2015-04-14 17:58:57.768	{"prediction":4.26953125}
7197	107	96	tags	4	2015-04-14 17:58:57.774	{"score":1.0}
7198	107	61	tags	5	2015-04-14 17:58:57.776	{"score":1.0}
7199	107	83	tags	6	2015-04-14 17:58:57.779	{"score":1.0}
7200	107	67	tags	7	2015-04-14 17:58:57.782	{"score":1.0}
7201	107	74	random	8	2015-04-14 17:58:57.784	\N
7202	107	37	random	9	2015-04-14 17:58:57.787	\N
7203	107	23	CF	0	2015-04-14 18:00:01.034	{"prediction":4.410416666666666}
7204	107	78	CF	1	2015-04-14 18:00:01.039	{"prediction":4.39453125}
7205	107	21	CF	2	2015-04-14 18:00:01.042	{"prediction":4.26953125}
7206	107	60	CF	3	2015-04-14 18:00:01.045	{"prediction":4.215625}
7207	107	26	tags	4	2015-04-14 18:00:01.07	{"score":1.300000011920929}
7208	107	67	tags	5	2015-04-14 18:00:01.073	{"score":1.100000023841858}
7209	107	62	tags	6	2015-04-14 18:00:01.077	{"score":1.100000023841858}
7210	107	40	tags	7	2015-04-14 18:00:01.079	{"score":1.050000011920929}
7211	107	23	random	8	2015-04-14 18:00:01.083	\N
7212	107	21	random	9	2015-04-14 18:00:01.086	\N
7213	49	68	tags	0	2015-04-14 18:31:03.226	{"score":1.75}
7214	49	45	tags	1	2015-04-14 18:31:03.239	{"score":1.5250000953674316}
7215	49	78	tags	2	2015-04-14 18:31:03.25	{"score":1.4227273247458718}
7216	49	10	tags	3	2015-04-14 18:31:03.261	{"score":1.3444444802072313}
7217	49	64	CF	4	2015-04-14 18:31:03.277	{"prediction":4.461805555555555}
7218	49	23	CF	5	2015-04-14 18:31:03.28	{"prediction":4.410416666666666}
7219	49	78	CF	6	2015-04-14 18:31:03.284	{"prediction":4.39453125}
7220	49	21	CF	7	2015-04-14 18:31:03.289	{"prediction":4.26953125}
7221	49	25	random	8	2015-04-14 18:31:03.294	\N
7222	49	80	random	9	2015-04-14 18:31:03.299	\N
7223	85	4	tags	0	2015-04-14 18:41:44.385	{"score":1.6500000556310017}
7224	85	60	tags	1	2015-04-14 18:41:44.394	{"score":1.6499998739787511}
7225	85	21	tags	2	2015-04-14 18:41:44.403	{"score":1.5500001509984336}
7226	85	64	CF	3	2015-04-14 18:41:44.41	{"prediction":4.461805555555555}
7227	85	23	CF	4	2015-04-14 18:41:44.416	{"prediction":4.410416666666666}
7228	85	78	CF	5	2015-04-14 18:41:44.419	{"prediction":4.39453125}
7229	85	21	CF	6	2015-04-14 18:41:44.422	{"prediction":4.26953125}
7230	85	19	cbr	7	2015-04-14 18:41:44.426	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":2.0}
7231	85	72	random	8	2015-04-14 18:41:44.43	\N
7232	85	41	random	9	2015-04-14 18:41:44.434	\N
7233	39	19	cbr	0	2015-04-14 18:51:18.083	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
7234	39	79	cbr	1	2015-04-14 18:51:18.091	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
7235	39	65	cbr	2	2015-04-14 18:51:18.101	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
7236	39	97	cbr	3	2015-04-14 18:51:18.108	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7237	39	64	CF	4	2015-04-14 18:51:18.117	{"prediction":5.192274305555555}
7238	39	23	CF	5	2015-04-14 18:51:18.122	{"prediction":5.140885416666666}
7239	39	78	CF	6	2015-04-14 18:51:18.126	{"prediction":5.125}
7240	39	60	CF	7	2015-04-14 18:51:18.13	{"prediction":4.94609375}
7241	39	58	random	8	2015-04-14 18:51:18.135	\N
7242	39	50	random	9	2015-04-14 18:51:18.139	\N
7243	39	64	CF	0	2015-04-14 18:51:40.845	{"prediction":4.958791208791209}
7244	39	23	CF	1	2015-04-14 18:51:40.848	{"prediction":4.907509157509158}
7245	39	78	CF	2	2015-04-14 18:51:40.852	{"prediction":4.891483516483516}
7246	39	60	CF	3	2015-04-14 18:51:40.855	{"prediction":4.712637362637363}
7247	39	65	cbr	4	2015-04-14 18:51:40.857	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
7248	39	97	cbr	5	2015-04-14 18:51:40.86	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7249	39	4	cbr	6	2015-04-14 18:51:40.862	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7250	39	67	cbr	7	2015-04-14 18:51:40.864	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7251	39	11	random	8	2015-04-14 18:51:40.867	\N
7252	39	3	random	9	2015-04-14 18:51:40.873	\N
7253	39	35	tags	0	2015-04-14 18:51:53.878	{"score":0.6766671339670817}
7254	39	23	CF	1	2015-04-14 18:51:53.881	{"prediction":4.899188311688311}
7255	39	78	CF	2	2015-04-14 18:51:53.885	{"prediction":4.887445887445888}
7256	39	60	CF	3	2015-04-14 18:51:53.888	{"prediction":4.706764069264069}
7257	39	48	CF	4	2015-04-14 18:51:53.89	{"prediction":4.688582251082251}
7258	39	65	cbr	5	2015-04-14 18:51:53.893	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
7259	39	97	cbr	6	2015-04-14 18:51:53.895	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7260	39	4	cbr	7	2015-04-14 18:51:53.897	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7261	39	42	random	8	2015-04-14 18:51:53.9	\N
7262	39	59	random	9	2015-04-14 18:51:53.902	\N
7263	108	64	CF	0	2015-04-14 18:53:35.311	{"prediction":4.5227272727272725}
7264	108	23	CF	1	2015-04-14 18:53:35.315	{"prediction":4.415151515151515}
7265	108	78	CF	2	2015-04-14 18:53:35.318	{"prediction":4.403409090909092}
7266	108	21	CF	3	2015-04-14 18:53:35.321	{"prediction":4.278409090909092}
7267	108	14	tags	4	2015-04-14 18:53:35.325	{"score":1.0}
7271	108	11	random	8	2015-04-14 18:53:35.345	\N
7268	108	4	tags	5	2015-04-14 18:53:35.332	{"score":1.0}
7272	108	56	random	9	2015-04-14 18:53:35.348	\N
7269	108	52	tags	6	2015-04-14 18:53:35.338	{"score":0.8999999761581421}
7270	108	40	tags	7	2015-04-14 18:53:35.341	{"score":0.8999999761581421}
7273	109	61	tags	0	2015-04-14 19:29:49.711	{"score":1.0}
7274	109	26	tags	1	2015-04-14 19:29:49.721	{"score":0.9333333174387614}
7275	109	89	tags	2	2015-04-14 19:29:49.727	{"score":0.8999999761581421}
7276	109	34	tags	3	2015-04-14 19:29:49.736	{"score":0.7600000381469727}
7277	109	64	CF	4	2015-04-14 19:29:49.743	{"prediction":4.5227272727272725}
7278	109	23	CF	5	2015-04-14 19:29:49.747	{"prediction":4.415151515151515}
7279	109	78	CF	6	2015-04-14 19:29:49.75	{"prediction":4.403409090909092}
7280	109	21	CF	7	2015-04-14 19:29:49.754	{"prediction":4.278409090909092}
7281	109	12	random	8	2015-04-14 19:29:49.757	\N
7282	109	33	random	9	2015-04-14 19:29:49.76	\N
7283	109	64	CF	0	2015-04-14 19:30:50.654	{"prediction":4.5227272727272725}
7284	109	23	CF	1	2015-04-14 19:30:50.657	{"prediction":4.415151515151515}
7285	109	78	CF	2	2015-04-14 19:30:50.66	{"prediction":4.403409090909092}
7286	109	21	CF	3	2015-04-14 19:30:50.663	{"prediction":4.278409090909092}
7287	109	19	cbr	4	2015-04-14 19:30:50.665	{"similarUserId":109,"similarityToUser":1.0,"similarUserRating":2.0}
7288	109	8	tags	5	2015-04-14 19:30:50.668	{"score":0.9799999833106995}
7289	109	10	tags	6	2015-04-14 19:30:50.671	{"score":0.9285714541162763}
7290	109	67	tags	7	2015-04-14 19:30:50.674	{"score":0.8399999737739563}
7291	109	25	random	8	2015-04-14 19:30:50.676	\N
7292	109	39	random	9	2015-04-14 19:30:50.679	\N
7293	109	23	CF	0	2015-04-14 19:31:37.698	{"prediction":4.415151515151515}
7294	109	78	CF	1	2015-04-14 19:31:37.706	{"prediction":4.403409090909092}
7295	109	21	CF	2	2015-04-14 19:31:37.71	{"prediction":4.278409090909092}
7296	109	60	CF	3	2015-04-14 19:31:37.713	{"prediction":4.222727272727273}
7297	109	34	tags	4	2015-04-14 19:31:37.718	{"score":1.0833333134651184}
7298	109	26	tags	5	2015-04-14 19:31:37.722	{"score":1.0166667103767395}
7299	109	39	tags	6	2015-04-14 19:31:37.726	{"score":0.9999999574252537}
7300	109	19	cbr	7	2015-04-14 19:31:37.731	{"similarUserId":109,"similarityToUser":1.0,"similarUserRating":2.0}
7301	109	87	random	8	2015-04-14 19:31:37.734	\N
7302	109	25	random	9	2015-04-14 19:31:37.736	\N
7303	110	19	cbr	0	2015-04-14 21:56:43.443	{"similarUserId":110,"similarityToUser":1.0,"similarUserRating":2.0}
7304	110	79	cbr	1	2015-04-14 21:56:43.45	{"similarUserId":110,"similarityToUser":1.0,"similarUserRating":2.0}
7305	110	65	cbr	2	2015-04-14 21:56:43.47	{"similarUserId":110,"similarityToUser":1.0,"similarUserRating":2.0}
7306	110	4	cbr	3	2015-04-14 21:56:43.481	{"similarUserId":110,"similarityToUser":1.0,"similarUserRating":3.0}
7307	110	64	CF	4	2015-04-14 21:56:43.489	{"prediction":4.5227272727272725}
7308	110	23	CF	5	2015-04-14 21:56:43.492	{"prediction":4.415151515151515}
7309	110	78	CF	6	2015-04-14 21:56:43.496	{"prediction":4.403409090909092}
7310	110	21	CF	7	2015-04-14 21:56:43.499	{"prediction":4.278409090909092}
7311	110	63	random	8	2015-04-14 21:56:43.502	\N
7312	110	56	random	9	2015-04-14 21:56:43.505	\N
7313	111	64	CF	0	2015-04-15 07:26:27.867	{"prediction":4.5227272727272725}
7314	111	23	CF	1	2015-04-15 07:26:27.879	{"prediction":4.415151515151515}
7315	111	78	CF	2	2015-04-15 07:26:27.889	{"prediction":4.403409090909092}
7316	111	21	CF	3	2015-04-15 07:26:27.993	{"prediction":4.278409090909092}
7317	111	19	cbr	4	2015-04-15 07:26:28.005	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7318	111	79	cbr	5	2015-04-15 07:26:28.017	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7319	111	65	cbr	6	2015-04-15 07:26:28.033	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7320	111	4	cbr	7	2015-04-15 07:26:28.054	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":3.0}
7321	111	18	random	8	2015-04-15 07:26:28.064	\N
7322	111	70	random	9	2015-04-15 07:26:28.075	\N
7323	111	75	tags	0	2015-04-15 07:27:46.062	{"score":3.660000240802765}
7324	111	35	tags	1	2015-04-15 07:27:46.067	{"score":3.6200000762939455}
7325	111	63	tags	2	2015-04-15 07:27:46.071	{"score":3.575000047683716}
7326	111	78	CF	3	2015-04-15 07:27:46.075	{"prediction":4.013992537313433}
7327	111	21	CF	4	2015-04-15 07:27:46.086	{"prediction":3.888992537313433}
7328	111	60	CF	5	2015-04-15 07:27:46.09	{"prediction":3.8333955223880594}
7329	111	48	CF	6	2015-04-15 07:27:46.093	{"prediction":3.8149875621890548}
7330	111	19	cbr	7	2015-04-15 07:27:46.097	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7331	111	91	random	8	2015-04-15 07:27:46.1	\N
7332	111	97	random	9	2015-04-15 07:27:46.104	\N
7333	111	60	tags	0	2015-04-15 07:28:46.149	{"score":5.585714357239859}
7334	111	38	tags	1	2015-04-15 07:28:46.155	{"score":5.053333099683126}
7335	111	63	tags	2	2015-04-15 07:28:46.162	{"score":4.93636370788921}
7336	111	19	cbr	3	2015-04-15 07:28:46.171	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7337	111	78	CF	4	2015-04-15 07:28:46.178	{"prediction":4.189797794117647}
7338	111	21	CF	5	2015-04-15 07:28:46.182	{"prediction":4.064797794117647}
7339	111	60	CF	6	2015-04-15 07:28:46.185	{"prediction":4.009283088235294}
7340	111	48	CF	7	2015-04-15 07:28:46.189	{"prediction":3.9906556372549016}
7341	111	26	random	8	2015-04-15 07:28:46.193	\N
7342	111	58	random	9	2015-04-15 07:28:46.197	\N
7343	111	78	CF	0	2015-04-15 07:28:55.495	{"prediction":4.189797794117647}
7344	111	21	CF	1	2015-04-15 07:28:55.503	{"prediction":4.064797794117647}
7345	111	48	CF	2	2015-04-15 07:28:55.522	{"prediction":3.9906556372549016}
7346	111	26	CF	3	2015-04-15 07:28:55.538	{"prediction":3.9906556372549016}
7347	111	38	tags	4	2015-04-15 07:28:55.547	{"score":5.453333306312561}
7348	111	63	tags	5	2015-04-15 07:28:55.554	{"score":5.31818198073994}
7352	111	5	random	9	2015-04-15 07:28:55.577	\N
7354	111	48	CF	1	2015-04-15 07:29:16.216	{"prediction":3.9906556372549016}
7358	111	79	cbr	5	2015-04-15 07:29:16.231	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7362	111	96	random	9	2015-04-15 07:29:16.242	\N
7366	111	97	CF	3	2015-04-15 07:29:24.579	{"prediction":3.9228451797385615}
7370	111	63	tags	7	2015-04-15 07:29:24.66	{"score":5.481817928227511}
7349	111	19	cbr	6	2015-04-15 07:28:55.563	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7353	111	21	CF	0	2015-04-15 07:29:16.211	{"prediction":4.064797794117647}
7357	111	19	cbr	4	2015-04-15 07:29:16.227	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7361	111	71	random	8	2015-04-15 07:29:16.239	\N
7363	111	48	CF	0	2015-04-15 07:29:24.521	{"prediction":3.9906556372549016}
7367	111	19	cbr	4	2015-04-15 07:29:24.615	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7371	111	66	random	8	2015-04-15 07:29:24.663	\N
7350	111	79	cbr	7	2015-04-15 07:28:55.567	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7355	111	26	CF	2	2015-04-15 07:29:16.219	{"prediction":3.9906556372549016}
7359	111	38	tags	6	2015-04-15 07:29:16.234	{"score":5.61333315372467}
7365	111	100	CF	2	2015-04-15 07:29:24.559	{"prediction":3.961594012605042}
7369	111	38	tags	6	2015-04-15 07:29:24.657	{"score":5.633333357175191}
7351	111	45	random	8	2015-04-15 07:28:55.57	\N
7356	111	100	CF	3	2015-04-15 07:29:16.223	{"prediction":3.961594012605042}
7360	111	63	tags	7	2015-04-15 07:29:16.236	{"score":5.427272612398321}
7364	111	26	CF	1	2015-04-15 07:29:24.55	{"prediction":3.9906556372549016}
7368	111	79	cbr	5	2015-04-15 07:29:24.653	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7372	111	75	random	9	2015-04-15 07:29:24.667	\N
7373	111	19	tags	0	2015-04-15 07:30:31.321	{"score":6.45555579662323}
7377	111	26	CF	4	2015-04-15 07:30:31.377	{"prediction":4.292126754083276}
7380	111	14	CF	7	2015-04-15 07:30:31.403	{"prediction":4.125460087416609}
7384	111	79	cbr	1	2015-04-15 07:30:42.469	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7388	111	100	CF	5	2015-04-15 07:30:42.483	{"prediction":4.261415919024615}
7392	111	8	random	9	2015-04-15 07:30:42.493	\N
7374	111	20	tags	1	2015-04-15 07:30:31.33	{"score":6.371428642954145}
7378	111	100	CF	5	2015-04-15 07:30:31.388	{"prediction":4.261415919024615}
7386	111	4	cbr	3	2015-04-15 07:30:42.476	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":3.0}
7390	111	14	CF	7	2015-04-15 07:30:42.488	{"prediction":4.125460087416609}
7375	111	42	tags	2	2015-04-15 07:30:31.34	{"score":6.073333303133647}
7381	111	94	random	8	2015-04-15 07:30:31.411	\N
7383	111	38	tags	0	2015-04-15 07:30:42.466	{"score":5.61333315372467}
7387	111	26	CF	4	2015-04-15 07:30:42.479	{"prediction":4.292126754083276}
7391	111	101	random	8	2015-04-15 07:30:42.491	\N
7376	111	19	cbr	3	2015-04-15 07:30:31.365	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7379	111	97	CF	6	2015-04-15 07:30:31.401	{"prediction":4.2204681389464}
7382	111	77	random	9	2015-04-15 07:30:31.419	\N
7385	111	65	cbr	2	2015-04-15 07:30:42.472	{"similarUserId":111,"similarityToUser":1.0,"similarUserRating":2.0}
7389	111	97	CF	6	2015-04-15 07:30:42.486	{"prediction":4.2204681389464}
7393	65	39	tags	0	2015-04-15 09:07:03.775	{"score":0.1777777791813966}
7394	65	10	tags	1	2015-04-15 09:07:03.784	{"score":0.1625000238418579}
7395	65	1	tags	2	2015-04-15 09:07:03.792	{"score":0.1333333572542624}
7396	65	59	tags	3	2015-04-15 09:07:03.801	{"score":0.11111114960206445}
7397	65	78	CF	4	2015-04-15 09:07:03.81	{"prediction":4.411231884057971}
7398	65	48	CF	5	2015-04-15 09:07:03.813	{"prediction":4.3271221532091095}
7399	65	21	CF	6	2015-04-15 09:07:03.817	{"prediction":4.286231884057971}
7400	65	60	CF	7	2015-04-15 09:07:03.82	{"prediction":4.228985507246377}
7401	65	76	random	8	2015-04-15 09:07:03.823	\N
7402	65	75	random	9	2015-04-15 09:07:03.826	\N
7403	65	78	CF	0	2015-04-15 09:07:18.308	{"prediction":4.411231884057971}
7404	65	48	CF	1	2015-04-15 09:07:18.313	{"prediction":4.3271221532091095}
7405	65	21	CF	2	2015-04-15 09:07:18.316	{"prediction":4.286231884057971}
7406	65	60	CF	3	2015-04-15 09:07:18.322	{"prediction":4.228985507246377}
7407	65	19	cbr	4	2015-04-15 09:07:18.325	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7408	65	79	cbr	5	2015-04-15 09:07:18.332	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7409	65	65	cbr	6	2015-04-15 09:07:18.336	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7410	65	4	cbr	7	2015-04-15 09:07:18.34	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":3.0}
7411	65	69	random	8	2015-04-15 09:07:18.343	\N
7412	65	51	random	9	2015-04-15 09:07:18.346	\N
7413	65	70	tags	0	2015-04-15 09:08:42.524	{"score":0.30000002682209015}
7414	65	84	tags	1	2015-04-15 09:08:42.532	{"score":0.29999999329819055}
7415	65	94	tags	2	2015-04-15 09:08:42.54	{"score":0.23333336909612018}
7416	65	19	cbr	3	2015-04-15 09:08:42.547	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7417	65	48	CF	4	2015-04-15 09:08:42.555	{"prediction":4.3271221532091095}
7418	65	21	CF	5	2015-04-15 09:08:42.558	{"prediction":4.286231884057971}
7419	65	60	CF	6	2015-04-15 09:08:42.561	{"prediction":4.228985507246377}
7420	65	26	CF	7	2015-04-15 09:08:42.564	{"prediction":4.2149758454106285}
7421	65	57	random	8	2015-04-15 09:08:42.568	\N
7422	65	82	random	9	2015-04-15 09:08:42.571	\N
7423	65	70	tags	0	2015-04-15 09:08:58.657	{"score":0.30000002682209015}
7424	65	84	tags	1	2015-04-15 09:08:58.66	{"score":0.29999999329819055}
7425	65	94	tags	2	2015-04-15 09:08:58.665	{"score":0.23333336909612018}
7426	65	19	cbr	3	2015-04-15 09:08:58.669	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7427	65	48	CF	4	2015-04-15 09:08:58.672	{"prediction":4.3271221532091095}
7428	65	21	CF	5	2015-04-15 09:08:58.674	{"prediction":4.286231884057971}
7429	65	60	CF	6	2015-04-15 09:08:58.679	{"prediction":4.228985507246377}
7430	65	26	CF	7	2015-04-15 09:08:58.682	{"prediction":4.2149758454106285}
7431	65	22	random	8	2015-04-15 09:08:58.684	\N
7432	65	39	random	9	2015-04-15 09:08:58.687	\N
7433	65	70	tags	0	2015-04-15 09:09:10.69	{"score":0.30000002682209015}
7434	65	84	tags	1	2015-04-15 09:09:10.701	{"score":0.29999999329819055}
7435	65	94	tags	2	2015-04-15 09:09:10.71	{"score":0.23333336909612018}
7436	65	48	CF	3	2015-04-15 09:09:10.72	{"prediction":4.3271221532091095}
7437	65	21	CF	4	2015-04-15 09:09:10.729	{"prediction":4.286231884057971}
7438	65	60	CF	5	2015-04-15 09:09:10.734	{"prediction":4.228985507246377}
7439	65	26	CF	6	2015-04-15 09:09:10.737	{"prediction":4.2149758454106285}
7440	65	19	cbr	7	2015-04-15 09:09:10.74	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7441	65	35	random	8	2015-04-15 09:09:10.742	\N
7442	65	21	random	9	2015-04-15 09:09:10.745	\N
7443	65	48	CF	0	2015-04-15 09:10:08.978	{"prediction":4.3271221532091095}
7444	65	21	CF	1	2015-04-15 09:10:08.982	{"prediction":4.286231884057971}
7445	65	60	CF	2	2015-04-15 09:10:08.986	{"prediction":4.228985507246377}
7446	65	26	CF	3	2015-04-15 09:10:08.989	{"prediction":4.2149758454106285}
7447	65	19	cbr	4	2015-04-15 09:10:08.992	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7448	65	79	cbr	5	2015-04-15 09:10:08.995	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7449	65	65	cbr	6	2015-04-15 09:10:08.998	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7450	65	4	cbr	7	2015-04-15 09:10:09	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":3.0}
7451	65	89	random	8	2015-04-15 09:10:09.004	\N
7452	65	33	random	9	2015-04-15 09:10:09.007	\N
7453	65	21	CF	0	2015-04-15 09:10:35.116	{"prediction":4.286231884057971}
7454	65	60	CF	1	2015-04-15 09:10:35.12	{"prediction":4.228985507246377}
7455	65	26	CF	2	2015-04-15 09:10:35.124	{"prediction":4.2149758454106285}
7456	65	100	CF	3	2015-04-15 09:10:35.127	{"prediction":4.184265010351967}
7457	65	19	cbr	4	2015-04-15 09:10:35.139	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7458	65	79	cbr	5	2015-04-15 09:10:35.144	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7459	65	65	cbr	6	2015-04-15 09:10:35.147	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7460	65	4	cbr	7	2015-04-15 09:10:35.149	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":3.0}
7461	65	49	random	8	2015-04-15 09:10:35.152	\N
7462	65	28	random	9	2015-04-15 09:10:35.155	\N
7463	65	21	CF	0	2015-04-15 09:10:39.405	{"prediction":4.286231884057971}
7467	65	19	cbr	4	2015-04-15 09:10:39.418	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7471	65	76	random	8	2015-04-15 09:10:39.428	\N
7475	65	65	cbr	2	2015-04-15 09:10:39.866	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7479	65	26	CF	6	2015-04-15 09:10:39.888	{"prediction":4.2149758454106285}
7486	65	4	cbr	3	2015-04-15 09:10:40.404	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":3.0}
7490	65	100	CF	7	2015-04-15 09:10:40.416	{"prediction":4.184265010351967}
7496	65	4	cbr	3	2015-04-15 09:10:40.943	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":3.0}
7500	65	100	CF	7	2015-04-15 09:10:40.953	{"prediction":4.184265010351967}
7503	65	19	cbr	0	2015-04-15 09:10:41.286	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7507	65	21	CF	4	2015-04-15 09:10:41.301	{"prediction":4.286231884057971}
7511	65	98	random	8	2015-04-15 09:10:41.317	\N
7464	65	60	CF	1	2015-04-15 09:10:39.408	{"prediction":4.228985507246377}
7468	65	79	cbr	5	2015-04-15 09:10:39.421	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7472	65	95	random	9	2015-04-15 09:10:39.431	\N
7474	65	79	cbr	1	2015-04-15 09:10:39.862	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7478	65	60	CF	5	2015-04-15 09:10:39.884	{"prediction":4.228985507246377}
7482	65	17	random	9	2015-04-15 09:10:39.915	\N
7485	65	65	cbr	2	2015-04-15 09:10:40.401	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7489	65	26	CF	6	2015-04-15 09:10:40.414	{"prediction":4.2149758454106285}
7493	65	19	cbr	0	2015-04-15 09:10:40.935	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7497	65	21	CF	4	2015-04-15 09:10:40.946	{"prediction":4.286231884057971}
7501	65	72	random	8	2015-04-15 09:10:40.956	\N
7504	65	79	cbr	1	2015-04-15 09:10:41.29	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7508	65	60	CF	5	2015-04-15 09:10:41.305	{"prediction":4.228985507246377}
7512	65	89	random	9	2015-04-15 09:10:41.319	\N
7465	65	26	CF	2	2015-04-15 09:10:39.412	{"prediction":4.2149758454106285}
7469	65	65	cbr	6	2015-04-15 09:10:39.423	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7473	65	19	cbr	0	2015-04-15 09:10:39.852	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7477	65	21	CF	4	2015-04-15 09:10:39.879	{"prediction":4.286231884057971}
7481	65	66	random	8	2015-04-15 09:10:39.912	\N
7484	65	79	cbr	1	2015-04-15 09:10:40.398	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7488	65	60	CF	5	2015-04-15 09:10:40.411	{"prediction":4.228985507246377}
7492	65	45	random	9	2015-04-15 09:10:40.422	\N
7494	65	79	cbr	1	2015-04-15 09:10:40.938	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7498	65	60	CF	5	2015-04-15 09:10:40.948	{"prediction":4.228985507246377}
7502	65	33	random	9	2015-04-15 09:10:40.959	\N
7505	65	65	cbr	2	2015-04-15 09:10:41.294	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7509	65	26	CF	6	2015-04-15 09:10:41.31	{"prediction":4.2149758454106285}
7466	65	100	CF	3	2015-04-15 09:10:39.415	{"prediction":4.184265010351967}
7470	65	4	cbr	7	2015-04-15 09:10:39.426	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":3.0}
7476	65	4	cbr	3	2015-04-15 09:10:39.869	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":3.0}
7480	65	100	CF	7	2015-04-15 09:10:39.909	{"prediction":4.184265010351967}
7483	65	19	cbr	0	2015-04-15 09:10:40.394	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7487	65	21	CF	4	2015-04-15 09:10:40.408	{"prediction":4.286231884057971}
7491	65	54	random	8	2015-04-15 09:10:40.419	\N
7495	65	65	cbr	2	2015-04-15 09:10:40.941	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":2.0}
7499	65	26	CF	6	2015-04-15 09:10:40.951	{"prediction":4.2149758454106285}
7506	65	4	cbr	3	2015-04-15 09:10:41.298	{"similarUserId":65,"similarityToUser":1.0,"similarUserRating":3.0}
7510	65	100	CF	7	2015-04-15 09:10:41.314	{"prediction":4.184265010351967}
7513	112	58	tags	0	2015-04-15 10:38:47.167	{"score":1.0}
7514	112	61	tags	1	2015-04-15 10:38:47.183	{"score":1.0}
7515	112	26	tags	2	2015-04-15 10:38:47.191	{"score":0.9333333174387614}
7516	112	62	tags	3	2015-04-15 10:38:47.199	{"score":0.9}
7517	112	64	CF	4	2015-04-15 10:38:47.207	{"prediction":4.528985507246377}
7518	112	78	CF	5	2015-04-15 10:38:47.21	{"prediction":4.411231884057971}
7519	112	23	CF	6	2015-04-15 10:38:47.213	{"prediction":4.393115942028985}
7520	112	48	CF	7	2015-04-15 10:38:47.217	{"prediction":4.3271221532091095}
7521	112	84	random	8	2015-04-15 10:38:47.22	\N
7522	112	68	random	9	2015-04-15 10:38:47.223	\N
7523	112	64	CF	0	2015-04-15 10:41:06.16	{"prediction":4.528985507246377}
7524	112	78	CF	1	2015-04-15 10:41:06.168	{"prediction":4.411231884057971}
7525	112	23	CF	2	2015-04-15 10:41:06.175	{"prediction":4.393115942028985}
7526	112	48	CF	3	2015-04-15 10:41:06.188	{"prediction":4.3271221532091095}
7527	112	19	cbr	4	2015-04-15 10:41:06.196	{"similarUserId":112,"similarityToUser":1.0,"similarUserRating":2.0}
7528	112	79	cbr	5	2015-04-15 10:41:06.2	{"similarUserId":112,"similarityToUser":1.0,"similarUserRating":2.0}
7529	112	67	tags	6	2015-04-15 10:41:06.203	{"score":0.7399999737739563}
7530	112	86	tags	7	2015-04-15 10:41:06.207	{"score":0.6900000154972077}
7531	112	1	random	8	2015-04-15 10:41:06.21	\N
7532	112	21	random	9	2015-04-15 10:41:06.216	\N
7533	112	7	tags	0	2015-04-15 10:47:03.911	{"score":4.671428305762155}
7534	112	48	tags	1	2015-04-15 10:47:03.915	{"score":4.199999888737996}
7535	112	19	cbr	2	2015-04-15 10:47:03.918	{"similarUserId":112,"similarityToUser":1.0,"similarUserRating":2.0}
7536	112	79	cbr	3	2015-04-15 10:47:03.921	{"similarUserId":112,"similarityToUser":1.0,"similarUserRating":2.0}
7537	112	78	CF	4	2015-04-15 10:47:03.924	{"prediction":4.841720779220779}
7538	112	23	CF	5	2015-04-15 10:47:03.926	{"prediction":4.819399350649351}
7539	112	48	CF	6	2015-04-15 10:47:03.929	{"prediction":4.758812615955473}
7540	112	21	CF	7	2015-04-15 10:47:03.932	{"prediction":4.716720779220779}
7541	112	87	random	8	2015-04-15 10:47:03.935	\N
7542	112	25	random	9	2015-04-15 10:47:03.938	\N
7543	1	64	CF	0	2015-04-15 12:10:24.625	{"prediction":4.577922077922078}
7544	1	78	CF	1	2015-04-15 12:10:24.639	{"prediction":4.419642857142857}
7545	1	23	CF	2	2015-04-15 12:10:24.647	{"prediction":4.397321428571429}
7546	1	48	CF	3	2015-04-15 12:10:24.655	{"prediction":4.336734693877551}
7547	1	19	cbr	4	2015-04-15 12:10:24.663	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
7548	1	79	cbr	5	2015-04-15 12:10:24.667	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
7549	1	65	cbr	6	2015-04-15 12:10:24.67	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
7550	1	4	cbr	7	2015-04-15 12:10:24.673	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":3.0}
7551	1	36	random	8	2015-04-15 12:10:24.676	\N
7552	1	55	random	9	2015-04-15 12:10:24.679	\N
7553	16	19	cbr	0	2015-04-15 12:29:26.569	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
7554	16	79	cbr	1	2015-04-15 12:29:26.582	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
7555	16	65	cbr	2	2015-04-15 12:29:26.596	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":2.0}
7556	16	4	cbr	3	2015-04-15 12:29:26.607	{"similarUserId":16,"similarityToUser":1.0,"similarUserRating":3.0}
7557	16	64	CF	4	2015-04-15 12:29:26.614	{"prediction":4.6394300144300145}
7558	16	78	CF	5	2015-04-15 12:29:26.618	{"prediction":4.4811507936507935}
7559	16	23	CF	6	2015-04-15 12:29:26.621	{"prediction":4.458829365079366}
7560	16	48	CF	7	2015-04-15 12:29:26.624	{"prediction":4.398242630385488}
7561	16	56	random	8	2015-04-15 12:29:26.627	\N
7562	16	25	random	9	2015-04-15 12:29:26.63	\N
7563	17	48	CF	0	2015-04-15 12:42:32.312	{"prediction":4.305835010060362}
7564	17	60	CF	1	2015-04-15 12:42:32.331	{"prediction":4.214084507042253}
7565	17	26	CF	2	2015-04-15 12:42:32.338	{"prediction":4.190140845070422}
7566	17	100	CF	3	2015-04-15 12:42:32.345	{"prediction":4.162977867203219}
7567	17	4	cbr	4	2015-04-15 12:42:32.354	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7568	17	97	cbr	5	2015-04-15 12:42:32.357	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7569	17	67	cbr	6	2015-04-15 12:42:32.36	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7570	17	58	cbr	7	2015-04-15 12:42:32.363	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7571	17	79	random	8	2015-04-15 12:42:32.366	\N
7572	17	65	random	9	2015-04-15 12:42:32.372	\N
7573	100	79	cbr	0	2015-04-15 14:11:32.572	{"similarUserId":100,"similarityToUser":1.0,"similarUserRating":2.0}
7574	100	78	CF	1	2015-04-15 14:11:32.611	{"prediction":4.392361111111111}
7575	100	48	CF	2	2015-04-15 14:11:32.637	{"prediction":4.305555555555555}
7578	100	79	tags	5	2015-04-15 14:11:32.713	{"score":2.2999998529752093}
7582	100	95	random	9	2015-04-15 14:11:32.731	\N
7586	113	65	cbr	3	2015-04-15 14:21:41.478	{"similarUserId":113,"similarityToUser":1.0,"similarUserRating":2.0}
7590	113	21	CF	7	2015-04-15 14:21:41.489	{"prediction":4.267361111111111}
7593	113	67	tags	0	2015-04-15 14:21:59.366	{"score":0.9000000357627869}
7597	113	78	CF	4	2015-04-15 14:21:59.39	{"prediction":4.392361111111111}
7601	113	41	random	8	2015-04-15 14:21:59.412	\N
7576	100	21	CF	3	2015-04-15 14:11:32.682	{"prediction":4.267361111111111}
7580	100	20	tags	7	2015-04-15 14:11:32.725	{"score":2.212499886751175}
7583	113	64	cbr	0	2015-04-15 14:21:41.46	{"similarUserId":113,"similarityToUser":1.0,"similarUserRating":1.0}
7587	113	78	CF	4	2015-04-15 14:21:41.481	{"prediction":4.392361111111111}
7591	113	58	random	8	2015-04-15 14:21:41.495	\N
7596	113	3	tags	3	2015-04-15 14:21:59.382	{"score":0.9000000357627869}
7600	113	21	CF	7	2015-04-15 14:21:59.406	{"prediction":4.267361111111111}
7577	100	60	CF	4	2015-04-15 14:11:32.694	{"prediction":4.213888888888889}
7579	100	32	tags	6	2015-04-15 14:11:32.716	{"score":2.290908864953301}
7581	100	48	random	8	2015-04-15 14:11:32.728	\N
7584	113	19	cbr	1	2015-04-15 14:21:41.467	{"similarUserId":113,"similarityToUser":1.0,"similarUserRating":2.0}
7585	113	79	cbr	2	2015-04-15 14:21:41.473	{"similarUserId":113,"similarityToUser":1.0,"similarUserRating":2.0}
7588	113	23	CF	5	2015-04-15 14:21:41.484	{"prediction":4.383680555555555}
7589	113	48	CF	6	2015-04-15 14:21:41.486	{"prediction":4.305555555555555}
7592	113	61	random	9	2015-04-15 14:21:41.498	\N
7594	113	11	tags	1	2015-04-15 14:21:59.375	{"score":0.9000000357627869}
7595	113	48	tags	2	2015-04-15 14:21:59.378	{"score":0.9000000357627869}
7598	113	23	CF	5	2015-04-15 14:21:59.394	{"prediction":4.383680555555555}
7599	113	48	CF	6	2015-04-15 14:21:59.401	{"prediction":4.305555555555555}
7602	113	80	random	9	2015-04-15 14:21:59.415	\N
7603	49	64	cbr	0	2015-04-15 15:55:45.181	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":1.0}
7604	49	19	cbr	1	2015-04-15 15:55:45.199	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
7605	49	78	CF	2	2015-04-15 15:55:45.211	{"prediction":4.392361111111111}
7606	49	23	CF	3	2015-04-15 15:55:45.234	{"prediction":4.383680555555555}
7607	49	48	CF	4	2015-04-15 15:55:45.249	{"prediction":4.305555555555555}
7608	49	21	CF	5	2015-04-15 15:55:45.253	{"prediction":4.267361111111111}
7609	49	78	tags	6	2015-04-15 15:55:45.26	{"score":1.4363636807961897}
7610	49	10	tags	7	2015-04-15 15:55:45.277	{"score":1.311111072699229}
7611	49	32	random	8	2015-04-15 15:55:45.292	\N
7612	49	73	random	9	2015-04-15 15:55:45.3	\N
7613	39	65	cbr	0	2015-04-15 15:55:46.268	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
7614	39	4	cbr	1	2015-04-15 15:55:46.272	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7615	39	32	cbr	2	2015-04-15 15:55:46.275	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7616	39	97	cbr	3	2015-04-15 15:55:46.279	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7617	39	78	CF	4	2015-04-15 15:55:46.283	{"prediction":4.971340388007055}
7618	39	48	CF	5	2015-04-15 15:55:46.287	{"prediction":4.884534832451499}
7619	39	60	CF	6	2015-04-15 15:55:46.291	{"prediction":4.792868165784832}
7620	39	26	CF	7	2015-04-15 15:55:46.296	{"prediction":4.768794091710759}
7621	39	50	random	8	2015-04-15 15:55:46.299	\N
7622	39	89	random	9	2015-04-15 15:55:46.302	\N
7623	49	78	tags	0	2015-04-15 15:56:07.847	{"score":1.5454545725475657}
7624	49	84	tags	1	2015-04-15 15:56:07.858	{"score":1.4666666587193808}
7625	49	78	CF	2	2015-04-15 15:56:07.865	{"prediction":4.400684931506849}
7626	49	23	CF	3	2015-04-15 15:56:07.889	{"prediction":4.387842465753424}
7627	49	48	CF	4	2015-04-15 15:56:07.897	{"prediction":4.315068493150685}
7628	49	21	CF	5	2015-04-15 15:56:07.9	{"prediction":4.275684931506849}
7629	49	19	cbr	6	2015-04-15 15:56:07.903	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
7630	49	79	cbr	7	2015-04-15 15:56:07.905	{"similarUserId":49,"similarityToUser":1.0,"similarUserRating":2.0}
7631	49	47	random	8	2015-04-15 15:56:07.908	\N
7632	49	41	random	9	2015-04-15 15:56:07.911	\N
7633	108	47	tags	0	2015-04-16 03:34:25.503	{"score":1.106249988079071}
7634	108	75	tags	1	2015-04-16 03:34:25.554	{"score":1.0818181417205117}
7635	108	79	tags	2	2015-04-16 03:34:25.564	{"score":1.080000114440918}
7636	108	99	tags	3	2015-04-16 03:34:25.577	{"score":1.0266666531562805}
7637	108	78	CF	4	2015-04-16 03:34:25.587	{"prediction":4.400684931506849}
7638	108	48	CF	5	2015-04-16 03:34:25.592	{"prediction":4.315068493150685}
7639	108	21	CF	6	2015-04-16 03:34:25.596	{"prediction":4.275684931506849}
7640	108	60	CF	7	2015-04-16 03:34:25.601	{"prediction":4.220547945205479}
7641	108	99	random	8	2015-04-16 03:34:25.605	\N
7642	108	39	random	9	2015-04-16 03:34:25.609	\N
7643	108	78	CF	0	2015-04-16 03:35:27.871	{"prediction":5.197072072072072}
7644	108	48	CF	1	2015-04-16 03:35:27.887	{"prediction":5.112612612612613}
7645	108	21	CF	2	2015-04-16 03:35:27.9	{"prediction":5.072072072072072}
7646	108	60	CF	3	2015-04-16 03:35:27.908	{"prediction":5.015315315315315}
7647	108	79	tags	4	2015-04-16 03:35:27.916	{"score":6.300000071525574}
7648	108	75	tags	5	2015-04-16 03:35:27.921	{"score":5.549999908967451}
7649	108	54	tags	6	2015-04-16 03:35:27.928	{"score":5.533333659172058}
7650	108	87	tags	7	2015-04-16 03:35:27.936	{"score":5.487500071525574}
7651	108	75	random	8	2015-04-16 03:35:27.939	\N
7652	108	45	random	9	2015-04-16 03:35:27.943	\N
7653	108	75	tags	0	2015-04-16 03:35:43.823	{"score":4.9909090237184}
7654	108	54	tags	1	2015-04-16 03:35:43.827	{"score":4.858333071072897}
7655	108	79	tags	2	2015-04-16 03:35:43.835	{"score":4.8166667222976685}
7656	108	19	cbr	3	2015-04-16 03:35:43.843	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":2.0}
7657	108	60	CF	4	2015-04-16 03:35:43.853	{"prediction":5.015315315315315}
7658	108	26	CF	5	2015-04-16 03:35:43.856	{"prediction":5.0}
7659	108	100	CF	6	2015-04-16 03:35:43.86	{"prediction":4.969755469755469}
7660	108	97	CF	7	2015-04-16 03:35:43.864	{"prediction":4.92942942942943}
7661	108	29	random	8	2015-04-16 03:35:43.868	\N
7662	108	61	random	9	2015-04-16 03:35:43.872	\N
7663	114	78	CF	0	2015-04-16 08:05:14.382	{"prediction":4.408783783783784}
7664	114	23	CF	1	2015-04-16 08:05:14.391	{"prediction":4.391891891891892}
7665	114	48	CF	2	2015-04-16 08:05:14.4	{"prediction":4.324324324324325}
7666	114	21	CF	3	2015-04-16 08:05:14.408	{"prediction":4.283783783783784}
7667	114	58	tags	4	2015-04-16 08:05:14.415	{"score":1.0}
7671	114	39	random	8	2015-04-16 08:05:14.431	\N
7685	114	50	tags	2	2015-04-16 08:06:29.035	{"score":2.9857141886438643}
7689	114	21	CF	6	2015-04-16 08:06:29.058	{"prediction":3.92037037037037}
7696	114	64	CF	3	2015-04-16 08:07:08.567	{"prediction":3.909259259259259}
7700	114	54	tags	7	2015-04-16 08:07:08.587	{"score":2.633333345254262}
7668	114	4	tags	5	2015-04-16 08:05:14.42	{"score":1.0}
7672	114	96	random	9	2015-04-16 08:05:14.435	\N
7686	114	64	cbr	3	2015-04-16 08:06:29.038	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":1.0}
7690	114	64	CF	7	2015-04-16 08:06:29.061	{"prediction":3.909259259259259}
7694	114	48	CF	1	2015-04-16 08:07:08.559	{"prediction":3.9608465608465613}
7698	114	19	cbr	5	2015-04-16 08:07:08.58	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":2.0}
7702	114	58	random	9	2015-04-16 08:07:08.601	\N
7669	114	18	tags	6	2015-04-16 08:05:14.423	{"score":0.8000000317891439}
7683	114	46	tags	0	2015-04-16 08:06:29.029	{"score":3.0333333876397877}
7687	114	23	CF	4	2015-04-16 08:06:29.051	{"prediction":4.0287037037037035}
7691	114	21	random	8	2015-04-16 08:06:29.064	\N
7693	114	23	CF	0	2015-04-16 08:07:08.552	{"prediction":4.0287037037037035}
7697	114	64	cbr	4	2015-04-16 08:07:08.572	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":1.0}
7701	114	78	random	8	2015-04-16 08:07:08.598	\N
7670	114	12	tags	7	2015-04-16 08:05:14.427	{"score":0.800000011920929}
7673	114	23	CF	0	2015-04-16 08:06:21.403	{"prediction":4.0287037037037035}
7674	114	48	CF	1	2015-04-16 08:06:21.411	{"prediction":3.9608465608465613}
7675	114	21	CF	2	2015-04-16 08:06:21.419	{"prediction":3.92037037037037}
7676	114	64	CF	3	2015-04-16 08:06:21.437	{"prediction":3.909259259259259}
7677	114	46	tags	4	2015-04-16 08:06:21.444	{"score":3.0333333876397877}
7678	114	97	tags	5	2015-04-16 08:06:21.448	{"score":3.023076905654027}
7679	114	50	tags	6	2015-04-16 08:06:21.451	{"score":2.9857141886438643}
7680	114	64	cbr	7	2015-04-16 08:06:21.454	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":1.0}
7681	114	95	random	8	2015-04-16 08:06:21.456	\N
7682	114	42	random	9	2015-04-16 08:06:21.459	\N
7684	114	97	tags	1	2015-04-16 08:06:29.032	{"score":3.023076905654027}
7688	114	48	CF	5	2015-04-16 08:06:29.054	{"prediction":3.9608465608465613}
7692	114	56	random	9	2015-04-16 08:06:29.067	\N
7695	114	21	CF	2	2015-04-16 08:07:08.564	{"prediction":3.92037037037037}
7699	114	84	tags	6	2015-04-16 08:07:08.583	{"score":2.733333302868737}
7703	114	79	cbr	0	2015-04-16 08:08:37.598	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":2.0}
7704	114	65	cbr	1	2015-04-16 08:08:37.603	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":2.0}
7705	114	4	cbr	2	2015-04-16 08:08:37.606	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7706	114	32	cbr	3	2015-04-16 08:08:37.61	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7707	114	60	CF	4	2015-04-16 08:08:37.613	{"prediction":3.8637037037037034}
7708	114	26	CF	5	2015-04-16 08:08:37.616	{"prediction":3.848148148148148}
7709	114	47	CF	6	2015-04-16 08:08:37.619	{"prediction":3.848148148148148}
7710	114	100	CF	7	2015-04-16 08:08:37.622	{"prediction":3.817989417989418}
7711	114	12	random	8	2015-04-16 08:08:37.625	\N
7712	114	91	random	9	2015-04-16 08:08:37.627	\N
7713	114	60	CF	0	2015-04-16 08:09:51.261	{"prediction":3.8637037037037034}
7714	114	26	CF	1	2015-04-16 08:09:51.266	{"prediction":3.848148148148148}
7715	114	47	CF	2	2015-04-16 08:09:51.269	{"prediction":3.848148148148148}
7716	114	100	CF	3	2015-04-16 08:09:51.273	{"prediction":3.817989417989418}
7717	114	65	cbr	4	2015-04-16 08:09:51.276	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":2.0}
7718	114	4	cbr	5	2015-04-16 08:09:51.279	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7719	114	32	cbr	6	2015-04-16 08:09:51.282	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7720	114	67	cbr	7	2015-04-16 08:09:51.285	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7721	114	49	random	8	2015-04-16 08:09:51.288	\N
7722	114	39	random	9	2015-04-16 08:09:51.291	\N
7723	114	10	tags	0	2015-04-16 08:10:07.744	{"score":0.04444448939999379}
7724	114	26	CF	1	2015-04-16 08:10:07.748	{"prediction":3.848148148148148}
7725	114	47	CF	2	2015-04-16 08:10:07.751	{"prediction":3.848148148148148}
7726	114	100	CF	3	2015-04-16 08:10:07.754	{"prediction":3.817989417989418}
7727	114	35	CF	4	2015-04-16 08:10:07.757	{"prediction":3.681481481481481}
7728	114	65	cbr	5	2015-04-16 08:10:07.76	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":2.0}
7729	114	4	cbr	6	2015-04-16 08:10:07.763	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7730	114	32	cbr	7	2015-04-16 08:10:07.766	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7731	114	43	random	8	2015-04-16 08:10:07.769	\N
7732	114	70	random	9	2015-04-16 08:10:07.771	\N
7733	114	12	tags	0	2015-04-16 08:10:43.3	{"score":0.483333428700765}
7734	114	68	tags	1	2015-04-16 08:10:43.327	{"score":0.43000011444091796}
7735	114	65	cbr	2	2015-04-16 08:10:43.34	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":2.0}
7736	114	4	cbr	3	2015-04-16 08:10:43.349	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7737	114	26	CF	4	2015-04-16 08:10:43.36	{"prediction":3.848148148148148}
7738	114	47	CF	5	2015-04-16 08:10:43.366	{"prediction":3.848148148148148}
7739	114	100	CF	6	2015-04-16 08:10:43.371	{"prediction":3.817989417989418}
7740	114	35	CF	7	2015-04-16 08:10:43.375	{"prediction":3.681481481481481}
7741	114	71	random	8	2015-04-16 08:10:43.38	\N
7742	114	16	random	9	2015-04-16 08:10:43.387	\N
7743	114	32	cbr	0	2015-04-16 08:11:42.669	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7744	114	67	cbr	1	2015-04-16 08:11:42.674	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7745	114	87	cbr	2	2015-04-16 08:11:42.677	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":4.0}
7746	114	67	cbr	3	2015-04-16 08:11:42.68	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":4.0}
7747	114	26	CF	4	2015-04-16 08:11:42.687	{"prediction":3.848148148148148}
7748	114	47	CF	5	2015-04-16 08:11:42.691	{"prediction":3.848148148148148}
7749	114	100	CF	6	2015-04-16 08:11:42.694	{"prediction":3.817989417989418}
7750	114	35	CF	7	2015-04-16 08:11:42.697	{"prediction":3.681481481481481}
7751	114	57	random	8	2015-04-16 08:11:42.701	\N
7752	114	27	random	9	2015-04-16 08:11:42.703	\N
7753	114	26	CF	0	2015-04-16 08:12:50.555	{"prediction":3.848148148148148}
7754	114	47	CF	1	2015-04-16 08:12:50.563	{"prediction":3.848148148148148}
7755	114	100	CF	2	2015-04-16 08:12:50.566	{"prediction":3.817989417989418}
7756	114	35	CF	3	2015-04-16 08:12:50.569	{"prediction":3.681481481481481}
7757	114	67	cbr	4	2015-04-16 08:12:50.572	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":3.0}
7758	114	87	cbr	5	2015-04-16 08:12:50.575	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":4.0}
7759	114	67	cbr	6	2015-04-16 08:12:50.578	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":4.0}
7760	114	100	cbr	7	2015-04-16 08:12:50.581	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":4.0}
7761	114	41	random	8	2015-04-16 08:12:50.584	\N
7762	114	79	random	9	2015-04-16 08:12:50.588	\N
7763	96	19	cbr	0	2015-04-16 09:37:10.892	{"similarUserId":96,"similarityToUser":1.0,"similarUserRating":2.0}
7764	96	47	tags	1	2015-04-16 09:37:10.915	{"score":1.4000000357627869}
7765	96	75	tags	2	2015-04-16 09:37:10.931	{"score":1.3272726698355242}
7766	96	58	tags	3	2015-04-16 09:37:10.942	{"score":1.3250000476837158}
7767	96	78	CF	4	2015-04-16 09:37:10.95	{"prediction":4.362962962962963}
7768	96	48	CF	5	2015-04-16 09:37:10.955	{"prediction":4.323809523809524}
7769	96	21	CF	6	2015-04-16 09:37:10.958	{"prediction":4.283333333333333}
7770	96	60	CF	7	2015-04-16 09:37:10.962	{"prediction":4.226666666666667}
7771	96	71	random	8	2015-04-16 09:37:10.967	\N
7772	96	57	random	9	2015-04-16 09:37:10.97	\N
7773	108	54	tags	0	2015-04-16 13:03:48.827	{"score":5.483333468437195}
7774	108	79	tags	1	2015-04-16 13:03:48.838	{"score":5.416666865348816}
7775	108	60	CF	2	2015-04-16 13:03:48.859	{"prediction":5.015555555555555}
7776	108	26	CF	3	2015-04-16 13:03:48.871	{"prediction":5.0}
7777	108	100	CF	4	2015-04-16 13:03:48.884	{"prediction":4.96984126984127}
7778	108	97	CF	5	2015-04-16 13:03:48.89	{"prediction":4.92962962962963}
7779	108	19	cbr	6	2015-04-16 13:03:48.895	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":2.0}
7780	108	79	cbr	7	2015-04-16 13:03:48.899	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":2.0}
7781	108	71	random	8	2015-04-16 13:03:48.903	\N
7782	108	4	random	9	2015-04-16 13:03:48.907	\N
7783	114	20	CF	0	2015-04-16 13:51:57.426	{"prediction":3.681481481481481}
7784	114	30	CF	1	2015-04-16 13:51:57.442	{"prediction":3.681481481481481}
7785	114	29	CF	2	2015-04-16 13:51:57.45	{"prediction":3.681481481481481}
7786	114	50	CF	3	2015-04-16 13:51:57.463	{"prediction":3.681481481481481}
7787	114	85	cbr	4	2015-04-16 13:51:57.467	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":4.0}
7788	114	88	random	5	2015-04-16 13:51:57.477	\N
7789	114	68	random	6	2015-04-16 13:51:57.488	\N
7790	114	87	random	7	2015-04-16 13:51:57.494	\N
7791	114	74	random	8	2015-04-16 13:51:57.517	\N
7792	114	32	random	9	2015-04-16 13:51:57.523	\N
7793	114	30	CF	0	2015-04-16 13:52:53.676	{"prediction":3.681481481481481}
7794	114	29	CF	1	2015-04-16 13:52:53.683	{"prediction":3.681481481481481}
7795	114	50	CF	2	2015-04-16 13:52:53.695	{"prediction":3.681481481481481}
7796	114	14	CF	3	2015-04-16 13:52:53.707	{"prediction":3.675132275132275}
7797	114	85	cbr	4	2015-04-16 13:52:53.714	{"similarUserId":114,"similarityToUser":1.0,"similarUserRating":4.0}
7798	114	4	random	5	2015-04-16 13:52:53.719	\N
7799	114	28	random	6	2015-04-16 13:52:53.723	\N
7800	114	94	random	7	2015-04-16 13:52:53.727	\N
7801	114	40	random	8	2015-04-16 13:52:53.73	\N
7802	114	49	random	9	2015-04-16 13:52:53.733	\N
7803	39	78	CF	0	2015-04-16 15:24:11.172	{"prediction":5.0285714285714285}
7804	39	48	CF	1	2015-04-16 15:24:11.184	{"prediction":4.98941798941799}
7805	39	60	CF	2	2015-04-16 15:24:11.193	{"prediction":4.892275132275132}
7806	39	47	CF	3	2015-04-16 15:24:11.201	{"prediction":4.876719576719577}
7807	39	21	tags	4	2015-04-16 15:24:11.219	{"score":1.7000006777899606}
7808	39	77	tags	5	2015-04-16 15:24:11.229	{"score":1.538462207867549}
7809	39	12	tags	6	2015-04-16 15:24:11.24	{"score":1.1166672110557556}
7810	39	32	cbr	7	2015-04-16 15:24:11.253	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7811	39	73	random	8	2015-04-16 15:24:11.256	\N
7812	39	61	random	9	2015-04-16 15:24:11.26	\N
7813	39	32	cbr	0	2015-04-16 15:24:38.64	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
7814	39	78	CF	1	2015-04-16 15:24:38.651	{"prediction":5.0285714285714285}
7815	39	48	CF	2	2015-04-16 15:24:38.661	{"prediction":4.98941798941799}
7816	39	60	CF	3	2015-04-16 15:24:38.668	{"prediction":4.892275132275132}
7817	39	47	CF	4	2015-04-16 15:24:38.674	{"prediction":4.876719576719577}
7818	39	21	tags	5	2015-04-16 15:24:38.677	{"score":1.7000006777899606}
7819	39	77	tags	6	2015-04-16 15:24:38.68	{"score":1.538462207867549}
7820	39	12	tags	7	2015-04-16 15:24:38.682	{"score":1.1166672110557556}
7821	39	49	random	8	2015-04-16 15:24:38.685	\N
7822	39	93	random	9	2015-04-16 15:24:38.687	\N
7823	86	64	cbr	0	2015-04-16 15:43:42.067	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":1.0}
7824	86	23	CF	1	2015-04-16 15:43:42.081	{"prediction":4.362207602339182}
7825	86	78	CF	2	2015-04-16 15:43:42.089	{"prediction":4.333333333333333}
7826	86	48	CF	3	2015-04-16 15:43:42.096	{"prediction":4.253654970760234}
7827	86	21	CF	4	2015-04-16 15:43:42.1	{"prediction":4.253654970760234}
7828	86	10	tags	5	2015-04-16 15:43:42.103	{"score":0.08571445516177587}
7829	86	34	tags	6	2015-04-16 15:43:42.106	{"score":0.04285721267972675}
7830	86	18	tags	7	2015-04-16 15:43:42.111	{"score":0.014285915664264126}
7831	86	40	random	8	2015-04-16 15:43:42.119	\N
7832	86	37	random	9	2015-04-16 15:43:42.122	\N
7833	86	79	cbr	0	2015-04-16 15:44:03.686	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":2.0}
7834	86	65	cbr	1	2015-04-16 15:44:03.696	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":2.0}
7835	86	32	cbr	2	2015-04-16 15:44:03.705	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":3.0}
7836	86	97	cbr	3	2015-04-16 15:44:03.713	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":3.0}
7837	86	60	CF	4	2015-04-16 15:44:03.725	{"prediction":4.197076023391813}
7838	86	47	CF	5	2015-04-16 15:44:03.728	{"prediction":4.181286549707602}
7839	86	26	CF	6	2015-04-16 15:44:03.732	{"prediction":4.181286549707602}
7841	86	75	random	8	2015-04-16 15:44:03.742	\N
7840	86	100	CF	7	2015-04-16 15:44:03.736	{"prediction":4.151211361737677}
7843	86	60	CF	0	2015-04-16 15:45:04.62	{"prediction":4.197076023391813}
7847	86	79	cbr	4	2015-04-16 15:45:04.632	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":2.0}
7851	86	67	random	8	2015-04-16 15:45:04.643	\N
7853	86	79	cbr	0	2015-04-16 15:55:10.013	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":2.0}
7857	86	100	CF	4	2015-04-16 15:55:10.044	{"prediction":4.151211361737677}
7861	86	52	random	8	2015-04-16 15:55:10.066	\N
7842	86	66	random	9	2015-04-16 15:44:03.744	\N
7845	86	26	CF	2	2015-04-16 15:45:04.627	{"prediction":4.181286549707602}
7849	86	32	cbr	6	2015-04-16 15:45:04.637	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":3.0}
7855	86	32	cbr	2	2015-04-16 15:55:10.026	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":3.0}
7859	86	50	CF	6	2015-04-16 15:55:10.059	{"prediction":4.014619883040935}
7844	86	47	CF	1	2015-04-16 15:45:04.623	{"prediction":4.181286549707602}
7848	86	65	cbr	5	2015-04-16 15:45:04.635	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":2.0}
7852	86	22	random	9	2015-04-16 15:45:04.647	\N
7856	86	97	cbr	3	2015-04-16 15:55:10.035	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":3.0}
7860	86	87	CF	7	2015-04-16 15:55:10.062	{"prediction":4.014619883040935}
7846	86	100	CF	3	2015-04-16 15:45:04.63	{"prediction":4.151211361737677}
7850	86	97	cbr	7	2015-04-16 15:45:04.64	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":3.0}
7854	86	65	cbr	1	2015-04-16 15:55:10.018	{"similarUserId":86,"similarityToUser":1.0,"similarUserRating":2.0}
7858	86	97	CF	5	2015-04-16 15:55:10.051	{"prediction":4.111111111111111}
7862	86	17	random	9	2015-04-16 15:55:10.07	\N
7863	115	23	CF	0	2015-04-16 20:06:46.923	{"prediction":4.391447368421053}
7864	115	78	CF	1	2015-04-16 20:06:46.933	{"prediction":4.362573099415204}
7865	115	21	CF	2	2015-04-16 20:06:46.947	{"prediction":4.282894736842105}
7866	115	48	CF	3	2015-04-16 20:06:46.958	{"prediction":4.282894736842105}
7867	115	4	tags	4	2015-04-16 20:06:46.973	{"score":1.0}
7868	115	26	tags	5	2015-04-16 20:06:46.976	{"score":1.0}
7869	115	89	tags	6	2015-04-16 20:06:46.981	{"score":1.0}
7870	115	61	tags	7	2015-04-16 20:06:46.986	{"score":1.0}
7871	115	17	random	8	2015-04-16 20:06:46.991	\N
7872	115	88	random	9	2015-04-16 20:06:46.998	\N
7873	90	64	cbr	0	2015-04-16 21:33:46.731	{"similarUserId":90,"similarityToUser":1.0,"similarUserRating":1.0}
7874	90	19	cbr	1	2015-04-16 21:33:46.752	{"similarUserId":90,"similarityToUser":1.0,"similarUserRating":2.0}
7875	90	79	cbr	2	2015-04-16 21:33:46.762	{"similarUserId":90,"similarityToUser":1.0,"similarUserRating":2.0}
7876	90	65	cbr	3	2015-04-16 21:33:46.769	{"similarUserId":90,"similarityToUser":1.0,"similarUserRating":2.0}
7877	90	23	CF	4	2015-04-16 21:33:46.776	{"prediction":4.391447368421053}
7878	90	21	CF	5	2015-04-16 21:33:46.783	{"prediction":4.282894736842105}
7879	90	48	CF	6	2015-04-16 21:33:46.786	{"prediction":4.282894736842105}
7880	90	64	CF	7	2015-04-16 21:33:46.789	{"prediction":4.271929824561403}
7881	90	66	random	8	2015-04-16 21:33:46.792	\N
7882	90	34	random	9	2015-04-16 21:33:46.799	\N
7883	85	78	CF	0	2015-04-16 21:46:11.997	{"prediction":4.432467532467532}
7884	85	23	CF	1	2015-04-16 21:46:12.008	{"prediction":4.395292207792208}
7885	85	21	CF	2	2015-04-16 21:46:12.024	{"prediction":4.290584415584416}
7886	85	48	CF	3	2015-04-16 21:46:12.032	{"prediction":4.290584415584416}
7887	85	4	tags	4	2015-04-16 21:46:12.039	{"score":1.6500000556310017}
7888	85	60	tags	5	2015-04-16 21:46:12.046	{"score":1.6499998739787511}
7889	85	21	tags	6	2015-04-16 21:46:12.051	{"score":1.5500001509984336}
7890	85	64	cbr	7	2015-04-16 21:46:12.055	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":1.0}
7891	85	55	random	8	2015-04-16 21:46:12.059	\N
7892	85	35	random	9	2015-04-16 21:46:12.064	\N
7893	85	60	tags	0	2015-04-16 21:46:46.844	{"score":1.7999999906335558}
7894	85	29	tags	1	2015-04-16 21:46:46.85	{"score":1.7529411105548633}
7895	85	64	cbr	2	2015-04-16 21:46:46.858	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":1.0}
7896	85	19	cbr	3	2015-04-16 21:46:46.865	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":2.0}
7897	85	21	CF	4	2015-04-16 21:46:46.88	{"prediction":4.290584415584416}
7898	85	48	CF	5	2015-04-16 21:46:46.883	{"prediction":4.290584415584416}
7899	85	64	CF	6	2015-04-16 21:46:46.886	{"prediction":4.277056277056277}
7900	85	60	CF	7	2015-04-16 21:46:46.89	{"prediction":4.232467532467532}
7901	85	88	random	8	2015-04-16 21:46:46.893	\N
7902	85	96	random	9	2015-04-16 21:46:46.896	\N
7903	116	4	tags	0	2015-04-16 22:12:04.667	{"score":1.0}
7904	116	58	tags	1	2015-04-16 22:12:04.676	{"score":1.0}
7905	116	18	tags	2	2015-04-16 22:12:04.688	{"score":0.8000000317891439}
7906	116	12	tags	3	2015-04-16 22:12:04.695	{"score":0.800000011920929}
7907	116	78	CF	4	2015-04-16 22:12:04.703	{"prediction":4.438461538461539}
7908	116	23	CF	5	2015-04-16 22:12:04.707	{"prediction":4.399038461538462}
7909	116	60	CF	6	2015-04-16 22:12:04.711	{"prediction":4.3076923076923075}
7910	116	21	CF	7	2015-04-16 22:12:04.714	{"prediction":4.298076923076923}
7911	116	99	random	8	2015-04-16 22:12:04.717	\N
7912	116	55	random	9	2015-04-16 22:12:04.721	\N
7913	17	60	CF	0	2015-04-17 12:43:52.784	{"prediction":4.252747252747253}
7914	17	48	CF	1	2015-04-17 12:43:52.864	{"prediction":4.243131868131869}
7915	17	47	CF	2	2015-04-17 12:43:52.877	{"prediction":4.175824175824176}
7916	17	26	CF	3	2015-04-17 12:43:52.907	{"prediction":4.175824175824176}
7917	17	4	cbr	4	2015-04-17 12:43:52.922	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7918	17	97	cbr	5	2015-04-17 12:43:52.937	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7919	17	67	cbr	6	2015-04-17 12:43:52.943	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7920	17	58	cbr	7	2015-04-17 12:43:52.947	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7921	17	98	random	8	2015-04-17 12:43:52.952	\N
7922	17	44	random	9	2015-04-17 12:43:52.956	\N
7923	17	4	cbr	0	2015-04-17 12:50:06.767	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7924	17	97	cbr	1	2015-04-17 12:50:06.792	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7925	17	67	cbr	2	2015-04-17 12:50:06.817	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7926	17	58	cbr	3	2015-04-17 12:50:06.829	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
7927	17	48	CF	4	2015-04-17 12:50:06.834	{"prediction":4.243131868131869}
7928	17	47	CF	5	2015-04-17 12:50:06.84	{"prediction":4.175824175824176}
7929	17	26	CF	6	2015-04-17 12:50:06.846	{"prediction":4.175824175824176}
7930	17	100	CF	7	2015-04-17 12:50:06.85	{"prediction":4.142857142857143}
7931	17	41	random	8	2015-04-17 12:50:06.856	\N
7932	17	10	random	9	2015-04-17 12:50:06.877	\N
7943	17	50	CF	0	2015-04-17 12:52:05.423	{"prediction":4.1374321880651}
7933	17	87	cbr	0	2015-04-17 12:51:10.637	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
7934	17	48	cbr	1	2015-04-17 12:51:10.648	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
7935	17	100	cbr	2	2015-04-17 12:51:10.653	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
7936	17	85	cbr	3	2015-04-17 12:51:10.658	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":4.0}
7937	17	48	CF	4	2015-04-17 12:51:10.664	{"prediction":4.371609403254974}
7938	17	47	CF	5	2015-04-17 12:51:10.667	{"prediction":4.304098854731767}
7939	17	26	CF	6	2015-04-17 12:51:10.669	{"prediction":4.304098854731767}
7940	17	100	CF	7	2015-04-17 12:51:10.672	{"prediction":4.27124773960217}
7941	17	98	random	8	2015-04-17 12:51:10.675	\N
7942	17	55	random	9	2015-04-17 12:51:10.677	\N
7944	17	35	CF	1	2015-04-17 12:52:05.428	{"prediction":4.1374321880651}
7948	17	49	random	5	2015-04-17 12:52:05.445	\N
7952	17	13	random	9	2015-04-17 12:52:05.455	\N
7945	17	30	CF	2	2015-04-17 12:52:05.432	{"prediction":4.1374321880651}
7949	17	74	random	6	2015-04-17 12:52:05.447	\N
7946	17	29	CF	3	2015-04-17 12:52:05.435	{"prediction":4.1374321880651}
7950	17	53	random	7	2015-04-17 12:52:05.45	\N
7947	17	57	random	4	2015-04-17 12:52:05.439	\N
7951	17	10	random	8	2015-04-17 12:52:05.453	\N
7953	96	64	cbr	0	2015-04-17 17:01:47.541	{"similarUserId":96,"similarityToUser":1.0,"similarUserRating":1.0}
7954	96	64	tags	1	2015-04-17 17:01:47.563	{"score":1.89999986688296}
7955	96	54	tags	2	2015-04-17 17:01:47.573	{"score":1.8833333452542622}
7956	96	27	tags	3	2015-04-17 17:01:47.583	{"score":1.8399999221165975}
7957	96	78	CF	4	2015-04-17 17:01:47.591	{"prediction":4.437974683544304}
7958	96	60	CF	5	2015-04-17 17:01:47.595	{"prediction":4.307249712313004}
7959	96	48	CF	6	2015-04-17 17:01:47.599	{"prediction":4.29746835443038}
7960	96	21	CF	7	2015-04-17 17:01:47.603	{"prediction":4.29746835443038}
7961	96	6	random	8	2015-04-17 17:01:47.606	\N
7962	96	79	random	9	2015-04-17 17:01:47.613	\N
7963	85	38	tags	0	2015-04-18 15:54:51.175	{"score":6.266666571299235}
7964	85	63	tags	1	2015-04-18 15:54:51.306	{"score":6.179999828338623}
7965	85	64	tags	2	2015-04-18 15:54:51.315	{"score":5.899999936421712}
7966	85	64	cbr	3	2015-04-18 15:54:51.324	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":1.0}
7967	85	21	CF	4	2015-04-18 15:54:51.332	{"prediction":4.990218642117377}
7968	85	48	CF	5	2015-04-18 15:54:51.337	{"prediction":4.990218642117377}
7969	85	64	CF	6	2015-04-18 15:54:51.342	{"prediction":4.9743958573072495}
7970	85	47	CF	7	2015-04-18 15:54:51.346	{"prediction":4.92270809359417}
7971	85	56	random	8	2015-04-18 15:54:51.35	\N
7972	85	99	random	9	2015-04-18 15:54:51.356	\N
7973	85	26	CF	0	2015-04-18 15:56:28.262	{"prediction":4.92270809359417}
7974	85	100	CF	1	2015-04-18 15:56:28.266	{"prediction":4.889856978464573}
7975	85	97	CF	2	2015-04-18 15:56:28.27	{"prediction":4.846055491625112}
7976	85	35	CF	3	2015-04-18 15:56:28.274	{"prediction":4.756041426927503}
7977	85	19	cbr	4	2015-04-18 15:56:28.277	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":2.0}
7978	85	79	cbr	5	2015-04-18 15:56:28.289	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":2.0}
7979	85	65	cbr	6	2015-04-18 15:56:28.292	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":2.0}
7980	85	4	cbr	7	2015-04-18 15:56:28.297	{"similarUserId":85,"similarityToUser":1.0,"similarUserRating":3.0}
7981	85	23	random	8	2015-04-18 15:56:28.3	\N
7982	85	36	random	9	2015-04-18 15:56:28.303	\N
7983	83	26	tags	0	2015-04-19 19:06:16.962	{"score":1.300000011920929}
7984	83	62	tags	1	2015-04-19 19:06:17.026	{"score":1.100000023841858}
7985	83	67	tags	2	2015-04-19 19:06:17.043	{"score":1.100000023841858}
7986	83	61	tags	3	2015-04-19 19:06:17.051	{"score":1.0}
7987	83	78	CF	4	2015-04-19 19:06:17.059	{"prediction":4.437974683544304}
7988	83	23	CF	5	2015-04-19 19:06:17.062	{"prediction":4.39873417721519}
7989	83	60	CF	6	2015-04-19 19:06:17.066	{"prediction":4.307249712313004}
7990	83	48	CF	7	2015-04-19 19:06:17.07	{"prediction":4.29746835443038}
7991	83	100	random	8	2015-04-19 19:06:17.076	\N
7992	83	63	random	9	2015-04-19 19:06:17.08	\N
7993	83	19	cbr	0	2015-04-19 19:07:31.092	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":2.0}
7994	83	79	cbr	1	2015-04-19 19:07:31.104	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":2.0}
7995	83	38	tags	2	2015-04-19 19:07:31.113	{"score":0.9571429150445121}
7996	83	67	tags	3	2015-04-19 19:07:31.125	{"score":0.9500000178813934}
7997	83	78	CF	4	2015-04-19 19:07:31.132	{"prediction":4.437974683544304}
7998	83	60	CF	5	2015-04-19 19:07:31.135	{"prediction":4.307249712313004}
7999	83	48	CF	6	2015-04-19 19:07:31.138	{"prediction":4.29746835443038}
8000	83	21	CF	7	2015-04-19 19:07:31.142	{"prediction":4.29746835443038}
8001	83	59	random	8	2015-04-19 19:07:31.145	\N
8002	83	41	random	9	2015-04-19 19:07:31.149	\N
8003	83	19	cbr	0	2015-04-20 05:03:15.352	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":2.0}
8004	83	79	cbr	1	2015-04-20 05:03:15.378	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":2.0}
8005	83	78	CF	2	2015-04-20 05:03:15.385	{"prediction":4.437974683544304}
8006	83	60	CF	3	2015-04-20 05:03:15.392	{"prediction":4.307249712313004}
8007	83	48	CF	4	2015-04-20 05:03:15.399	{"prediction":4.29746835443038}
8008	83	21	CF	5	2015-04-20 05:03:15.402	{"prediction":4.29746835443038}
8009	83	38	tags	6	2015-04-20 05:03:15.405	{"score":0.9571429150445121}
8010	83	67	tags	7	2015-04-20 05:03:15.411	{"score":0.9500000178813934}
8011	83	79	random	8	2015-04-20 05:03:15.414	\N
8012	83	17	random	9	2015-04-20 05:03:15.417	\N
8013	83	79	cbr	0	2015-04-20 05:06:23.42	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":2.0}
8014	83	65	cbr	1	2015-04-20 05:06:23.424	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":2.0}
8015	83	79	tags	2	2015-04-20 05:06:23.427	{"score":1.91999990940094}
8016	83	60	tags	3	2015-04-20 05:06:23.43	{"score":1.792857084955488}
8017	83	78	CF	4	2015-04-20 05:06:23.433	{"prediction":4.437974683544304}
8018	83	60	CF	5	2015-04-20 05:06:23.436	{"prediction":4.307249712313004}
8019	83	48	CF	6	2015-04-20 05:06:23.438	{"prediction":4.29746835443038}
8020	83	21	CF	7	2015-04-20 05:06:23.441	{"prediction":4.29746835443038}
8021	83	13	random	8	2015-04-20 05:06:23.443	\N
8022	83	29	random	9	2015-04-20 05:06:23.446	\N
8023	41	78	CF	0	2015-04-20 08:09:51.384	{"prediction":4.437974683544304}
8024	41	23	CF	1	2015-04-20 08:09:51.394	{"prediction":4.39873417721519}
8025	41	60	CF	2	2015-04-20 08:09:51.402	{"prediction":4.307249712313004}
8026	41	48	CF	3	2015-04-20 08:09:51.41	{"prediction":4.29746835443038}
8027	41	64	cbr	4	2015-04-20 08:09:51.418	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":1.0}
8031	41	54	random	8	2015-04-20 08:09:51.441	\N
8028	41	19	cbr	5	2015-04-20 08:09:51.422	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
8032	41	74	random	9	2015-04-20 08:09:51.449	\N
8029	41	79	cbr	6	2015-04-20 08:09:51.43	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
8030	41	65	cbr	7	2015-04-20 08:09:51.434	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":2.0}
8033	41	21	CF	0	2015-04-20 08:09:56.829	{"prediction":4.29746835443038}
8034	41	47	CF	1	2015-04-20 08:09:56.838	{"prediction":4.229957805907174}
8035	41	26	CF	2	2015-04-20 08:09:56.846	{"prediction":4.229957805907174}
8036	41	100	CF	3	2015-04-20 08:09:56.855	{"prediction":4.197106690777577}
8037	41	4	cbr	4	2015-04-20 08:09:56.861	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
8038	41	32	cbr	5	2015-04-20 08:09:56.863	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
8039	41	97	cbr	6	2015-04-20 08:09:56.867	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
8040	41	67	cbr	7	2015-04-20 08:09:56.87	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
8041	41	87	random	8	2015-04-20 08:09:56.872	\N
8042	41	27	random	9	2015-04-20 08:09:56.874	\N
8043	41	58	cbr	0	2015-04-20 08:10:05.54	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":3.0}
8044	41	85	cbr	1	2015-04-20 08:10:05.547	{"similarUserId":41,"similarityToUser":1.0,"similarUserRating":4.0}
8045	41	35	CF	2	2015-04-20 08:10:05.555	{"prediction":4.063291139240507}
8046	41	20	CF	3	2015-04-20 08:10:05.561	{"prediction":4.063291139240507}
8047	41	30	CF	4	2015-04-20 08:10:05.571	{"prediction":4.063291139240507}
8048	41	29	CF	5	2015-04-20 08:10:05.573	{"prediction":4.063291139240507}
8049	41	67	random	6	2015-04-20 08:10:05.578	\N
8050	41	23	random	7	2015-04-20 08:10:05.58	\N
8051	41	8	random	8	2015-04-20 08:10:05.585	\N
8052	41	32	random	9	2015-04-20 08:10:05.589	\N
8053	83	79	tags	0	2015-04-20 13:03:31.171	{"score":1.91999990940094}
8054	83	60	tags	1	2015-04-20 13:03:31.19	{"score":1.792857084955488}
8055	83	79	cbr	2	2015-04-20 13:03:31.196	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":2.0}
8056	83	65	cbr	3	2015-04-20 13:03:31.202	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":2.0}
8057	83	78	CF	4	2015-04-20 13:03:31.208	{"prediction":4.437974683544304}
8058	83	60	CF	5	2015-04-20 13:03:31.21	{"prediction":4.307249712313004}
8059	83	48	CF	6	2015-04-20 13:03:31.213	{"prediction":4.29746835443038}
8060	83	21	CF	7	2015-04-20 13:03:31.215	{"prediction":4.29746835443038}
8061	83	82	random	8	2015-04-20 13:03:31.217	\N
8062	83	95	random	9	2015-04-20 13:03:31.22	\N
8063	83	4	cbr	0	2015-04-20 13:04:01.119	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8064	83	32	cbr	1	2015-04-20 13:04:01.126	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8065	83	97	cbr	2	2015-04-20 13:04:01.135	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8066	83	24	tags	3	2015-04-20 13:04:01.15	{"score":0.5625}
8067	83	78	CF	4	2015-04-20 13:04:01.156	{"prediction":4.437974683544304}
8068	83	48	CF	5	2015-04-20 13:04:01.159	{"prediction":4.29746835443038}
8069	83	21	CF	6	2015-04-20 13:04:01.163	{"prediction":4.29746835443038}
8070	83	47	CF	7	2015-04-20 13:04:01.165	{"prediction":4.229957805907174}
8071	83	75	random	8	2015-04-20 13:04:01.17	\N
8072	83	64	random	9	2015-04-20 13:04:01.172	\N
8073	83	24	tags	0	2015-04-20 13:04:20.517	{"score":0.9375}
8074	83	78	CF	1	2015-04-20 13:04:20.52	{"prediction":4.437974683544304}
8075	83	48	CF	2	2015-04-20 13:04:20.522	{"prediction":4.29746835443038}
8076	83	21	CF	3	2015-04-20 13:04:20.525	{"prediction":4.29746835443038}
8077	83	47	CF	4	2015-04-20 13:04:20.528	{"prediction":4.229957805907174}
8078	83	97	cbr	5	2015-04-20 13:04:20.531	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8079	83	67	cbr	6	2015-04-20 13:04:20.533	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8080	83	58	cbr	7	2015-04-20 13:04:20.538	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8081	83	55	random	8	2015-04-20 13:04:20.541	\N
8082	83	41	random	9	2015-04-20 13:04:20.542	\N
8083	83	48	CF	0	2015-04-20 13:08:53.515	{"prediction":4.29746835443038}
8084	83	21	CF	1	2015-04-20 13:08:53.519	{"prediction":4.29746835443038}
8085	83	47	CF	2	2015-04-20 13:08:53.523	{"prediction":4.229957805907174}
8086	83	100	CF	3	2015-04-20 13:08:53.526	{"prediction":4.197106690777577}
8087	83	7	tags	4	2015-04-20 13:08:53.529	{"score":1.1125000715255737}
8088	83	97	cbr	5	2015-04-20 13:08:53.531	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8089	83	67	cbr	6	2015-04-20 13:08:53.534	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8090	83	58	cbr	7	2015-04-20 13:08:53.537	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8091	83	35	random	8	2015-04-20 13:08:53.539	\N
8092	83	66	random	9	2015-04-20 13:08:53.541	\N
8093	83	97	cbr	0	2015-04-20 13:09:22.725	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8094	83	67	cbr	1	2015-04-20 13:09:22.728	{"similarUserId":83,"similarityToUser":1.0,"similarUserRating":3.0}
8095	83	21	CF	2	2015-04-20 13:09:22.73	{"prediction":4.29746835443038}
8096	83	47	CF	3	2015-04-20 13:09:22.732	{"prediction":4.229957805907174}
8097	83	100	CF	4	2015-04-20 13:09:22.734	{"prediction":4.197106690777577}
8098	83	97	CF	5	2015-04-20 13:09:22.737	{"prediction":4.153305203938116}
8099	83	7	tags	6	2015-04-20 13:09:22.739	{"score":1.7125000357627869}
8100	83	22	tags	7	2015-04-20 13:09:22.741	{"score":1.5555556548966303}
8101	83	16	random	8	2015-04-20 13:09:22.743	\N
8102	115	64	cbr	0	2015-04-20 15:08:31.137	{"similarUserId":115,"similarityToUser":1.0,"similarUserRating":1.0}
8103	115	19	cbr	1	2015-04-20 15:08:31.147	{"similarUserId":115,"similarityToUser":1.0,"similarUserRating":2.0}
8104	115	79	cbr	2	2015-04-20 15:08:31.155	{"similarUserId":115,"similarityToUser":1.0,"similarUserRating":2.0}
8106	115	78	CF	4	2015-04-20 15:08:31.213	{"prediction":4.437974683544304}
8105	115	65	cbr	3	2015-04-20 15:08:31.162	{"similarUserId":115,"similarityToUser":1.0,"similarUserRating":2.0}
8109	115	48	CF	7	2015-04-20 15:08:31.272	{"prediction":4.29746835443038}
8107	115	23	CF	5	2015-04-20 15:08:31.217	{"prediction":4.39873417721519}
8111	115	68	random	9	2015-04-20 15:08:31.278	\N
8108	115	60	CF	6	2015-04-20 15:08:31.268	{"prediction":4.307249712313004}
8110	115	20	random	8	2015-04-20 15:08:31.275	\N
8112	117	78	CF	0	2015-04-20 22:11:32.28	{"prediction":4.437974683544304}
8113	117	23	CF	1	2015-04-20 22:11:32.287	{"prediction":4.39873417721519}
8114	117	60	CF	2	2015-04-20 22:11:32.293	{"prediction":4.307249712313004}
8115	117	48	CF	3	2015-04-20 22:11:32.299	{"prediction":4.29746835443038}
8116	117	77	tags	4	2015-04-20 22:11:32.306	{"score":1.0}
8117	117	4	tags	5	2015-04-20 22:11:32.308	{"score":1.0}
8118	117	14	tags	6	2015-04-20 22:11:32.31	{"score":1.0}
8119	117	92	tags	7	2015-04-20 22:11:32.313	{"score":1.0}
8120	117	32	random	8	2015-04-20 22:11:32.315	\N
8121	117	26	random	9	2015-04-20 22:11:32.317	\N
8122	117	89	tags	0	2015-04-20 22:12:05.095	{"score":3.2000001072883606}
8123	117	87	tags	1	2015-04-20 22:12:05.099	{"score":2.971428692340851}
8124	117	96	tags	2	2015-04-20 22:12:05.101	{"score":2.971428692340851}
8125	117	79	tags	3	2015-04-20 22:12:05.104	{"score":2.8799999356269836}
8126	117	23	CF	4	2015-04-20 22:12:05.107	{"prediction":4.0007102272727275}
8127	117	60	CF	5	2015-04-20 22:12:05.109	{"prediction":3.909090909090909}
8128	117	21	CF	6	2015-04-20 22:12:05.112	{"prediction":3.8991477272727275}
8129	117	48	CF	7	2015-04-20 22:12:05.115	{"prediction":3.8991477272727275}
8130	117	57	random	8	2015-04-20 22:12:05.117	\N
8131	117	36	random	9	2015-04-20 22:12:05.119	\N
8132	117	64	tags	0	2015-04-20 22:12:25.381	{"score":4.599999984105428}
8133	117	7	tags	1	2015-04-20 22:12:25.385	{"score":3.188888900809818}
8134	117	32	tags	2	2015-04-20 22:12:25.388	{"score":3.1636363755572927}
8135	117	42	tags	3	2015-04-20 22:12:25.39	{"score":3.1066665768623354}
8136	117	60	CF	4	2015-04-20 22:12:25.394	{"prediction":3.9203802733214497}
8137	117	48	CF	5	2015-04-20 22:12:25.397	{"prediction":3.91027926322044}
8138	117	21	CF	6	2015-04-20 22:12:25.399	{"prediction":3.91027926322044}
8139	117	64	CF	7	2015-04-20 22:12:25.406	{"prediction":3.8948471644550082}
8140	117	82	random	8	2015-04-20 22:12:25.409	\N
8141	117	49	random	9	2015-04-20 22:12:25.412	\N
8142	117	7	tags	0	2015-04-20 22:12:32.4	{"score":3.6888888279596963}
8143	117	32	tags	1	2015-04-20 22:12:32.407	{"score":3.6818181709809736}
8144	117	42	tags	2	2015-04-20 22:12:32.412	{"score":3.606666843096415}
8145	117	60	CF	3	2015-04-20 22:12:32.417	{"prediction":3.9203802733214497}
8146	117	48	CF	4	2015-04-20 22:12:32.423	{"prediction":3.91027926322044}
8147	117	21	CF	5	2015-04-20 22:12:32.425	{"prediction":3.91027926322044}
8148	117	47	CF	6	2015-04-20 22:12:32.427	{"prediction":3.842378028652539}
8149	117	19	cbr	7	2015-04-20 22:12:32.429	{"similarUserId":117,"similarityToUser":1.0,"similarUserRating":2.0}
8150	117	68	random	8	2015-04-20 22:12:32.432	\N
8151	117	67	random	9	2015-04-20 22:12:32.434	\N
8152	117	38	tags	0	2015-04-20 22:12:42.15	{"score":3.300000023841858}
8153	117	60	tags	1	2015-04-20 22:12:42.153	{"score":3.2785713161740984}
8154	117	60	CF	2	2015-04-20 22:12:42.155	{"prediction":3.9203802733214497}
8155	117	48	CF	3	2015-04-20 22:12:42.159	{"prediction":3.91027926322044}
8156	117	21	CF	4	2015-04-20 22:12:42.161	{"prediction":3.91027926322044}
8157	117	47	CF	5	2015-04-20 22:12:42.163	{"prediction":3.842378028652539}
8158	117	19	cbr	6	2015-04-20 22:12:42.164	{"similarUserId":117,"similarityToUser":1.0,"similarUserRating":2.0}
8159	117	65	cbr	7	2015-04-20 22:12:42.167	{"similarUserId":117,"similarityToUser":1.0,"similarUserRating":2.0}
8160	117	57	random	8	2015-04-20 22:12:42.17	\N
8161	117	21	random	9	2015-04-20 22:12:42.172	\N
8162	117	19	cbr	0	2015-04-20 22:13:35.043	{"similarUserId":117,"similarityToUser":1.0,"similarUserRating":2.0}
8163	117	65	cbr	1	2015-04-20 22:13:35.047	{"similarUserId":117,"similarityToUser":1.0,"similarUserRating":2.0}
8164	117	49	tags	2	2015-04-20 22:13:35.05	{"score":1.533333460489909}
8165	117	59	tags	3	2015-04-20 22:13:35.052	{"score":0.9333334664503733}
8166	117	47	CF	4	2015-04-20 22:13:35.055	{"prediction":3.842378028652539}
8167	117	26	CF	5	2015-04-20 22:13:35.057	{"prediction":3.842378028652539}
8168	117	100	CF	6	2015-04-20 22:13:35.06	{"prediction":3.8097501626913397}
8169	117	97	CF	7	2015-04-20 22:13:35.062	{"prediction":3.7662463414097402}
8170	117	12	random	8	2015-04-20 22:13:35.064	\N
8171	117	19	random	9	2015-04-20 22:13:35.067	\N
8172	117	19	cbr	0	2015-04-20 22:13:40.768	{"similarUserId":117,"similarityToUser":1.0,"similarUserRating":2.0}
8173	117	65	cbr	1	2015-04-20 22:13:40.77	{"similarUserId":117,"similarityToUser":1.0,"similarUserRating":2.0}
8174	117	47	CF	2	2015-04-20 22:13:40.772	{"prediction":3.842378028652539}
8175	117	26	CF	3	2015-04-20 22:13:40.774	{"prediction":3.842378028652539}
8176	117	100	CF	4	2015-04-20 22:13:40.776	{"prediction":3.8097501626913397}
8177	117	97	CF	5	2015-04-20 22:13:40.778	{"prediction":3.7662463414097402}
8178	117	49	tags	6	2015-04-20 22:13:40.78	{"score":1.533333460489909}
8179	117	59	tags	7	2015-04-20 22:13:40.783	{"score":0.9333334664503733}
8180	117	10	random	8	2015-04-20 22:13:40.785	\N
8181	117	61	random	9	2015-04-20 22:13:40.787	\N
8182	99	60	CF	0	2015-04-21 10:01:53.307	{"prediction":4.753090012660508}
8183	99	21	CF	1	2015-04-21 10:01:53.531	{"prediction":4.742989002559498}
8184	99	48	CF	2	2015-04-21 10:01:53.541	{"prediction":4.742989002559498}
8185	99	64	CF	3	2015-04-21 10:01:53.562	{"prediction":4.727556903794066}
8186	99	64	cbr	4	2015-04-21 10:01:53.566	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":1.0}
8187	99	42	tags	5	2015-04-21 10:01:53.574	{"score":9.313333225250243}
8188	99	22	tags	6	2015-04-21 10:01:53.578	{"score":9.022222148047554}
8190	99	85	random	8	2015-04-21 10:01:53.586	\N
8189	99	41	tags	7	2015-04-21 10:01:53.582	{"score":8.880000146230062}
8191	99	49	random	9	2015-04-21 10:01:53.59	\N
8192	99	39	tags	0	2015-04-21 14:51:16.442	{"score":2.9727272878993642}
8193	99	34	tags	1	2015-04-21 14:51:16.454	{"score":2.914285719394684}
8194	99	1	tags	2	2015-04-21 14:51:16.462	{"score":2.6624999791383743}
8195	99	79	cbr	3	2015-04-21 14:51:16.472	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8196	99	47	CF	4	2015-04-21 14:51:16.48	{"prediction":4.675087767991597}
8197	99	97	CF	5	2015-04-21 14:51:16.483	{"prediction":4.598956080748798}
8198	99	35	CF	6	2015-04-21 14:51:16.487	{"prediction":4.50842110132493}
8199	99	30	CF	7	2015-04-21 14:51:16.49	{"prediction":4.50842110132493}
8200	99	86	random	8	2015-04-21 14:51:16.493	\N
8201	99	42	random	9	2015-04-21 14:51:16.496	\N
8202	99	47	CF	0	2015-04-21 15:38:23.193	{"prediction":4.675087767991597}
8203	99	97	CF	1	2015-04-21 15:38:23.204	{"prediction":4.598956080748798}
8204	99	35	CF	2	2015-04-21 15:38:23.212	{"prediction":4.50842110132493}
8205	99	30	CF	3	2015-04-21 15:38:23.221	{"prediction":4.50842110132493}
8206	99	39	tags	4	2015-04-21 15:38:23.228	{"score":2.9727272878993642}
8207	99	34	tags	5	2015-04-21 15:38:23.232	{"score":2.914285719394684}
8208	99	1	tags	6	2015-04-21 15:38:23.234	{"score":2.6624999791383743}
8209	99	79	cbr	7	2015-04-21 15:38:23.237	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8210	99	40	random	8	2015-04-21 15:38:23.24	\N
8211	99	87	random	9	2015-04-21 15:38:23.243	\N
8212	27	57	tags	0	2015-04-21 20:33:07.637	{"score":7.900000386767918}
8213	27	55	tags	1	2015-04-21 20:33:07.663	{"score":7.791666587193807}
8214	27	21	tags	2	2015-04-21 20:33:07.673	{"score":7.264285700661795}
8215	27	29	tags	3	2015-04-21 20:33:07.682	{"score":7.2058822687934425}
8216	27	78	CF	4	2015-04-21 20:33:07.691	{"prediction":5.1010101010101}
8217	27	23	CF	5	2015-04-21 20:33:07.694	{"prediction":5.078431372549019}
8218	27	60	CF	6	2015-04-21 20:33:07.698	{"prediction":5.0101010101010095}
8219	27	48	CF	7	2015-04-21 20:33:07.703	{"prediction":5.0}
8220	27	82	random	8	2015-04-21 20:33:07.708	\N
8221	27	53	random	9	2015-04-21 20:33:07.712	\N
8222	56	78	CF	0	2015-04-22 07:28:45.909	{"prediction":4.397306397306397}
8223	56	23	CF	1	2015-04-22 07:28:45.919	{"prediction":4.374727668845316}
8224	56	60	CF	2	2015-04-22 07:28:45.927	{"prediction":4.306397306397306}
8225	56	48	CF	3	2015-04-22 07:28:45.935	{"prediction":4.296296296296297}
8226	56	64	cbr	4	2015-04-22 07:28:45.944	{"similarUserId":56,"similarityToUser":1.0,"similarUserRating":1.0}
8227	56	19	cbr	5	2015-04-22 07:28:45.947	{"similarUserId":56,"similarityToUser":1.0,"similarUserRating":2.0}
8228	56	79	cbr	6	2015-04-22 07:28:45.951	{"similarUserId":56,"similarityToUser":1.0,"similarUserRating":2.0}
8229	56	65	cbr	7	2015-04-22 07:28:45.954	{"similarUserId":56,"similarityToUser":1.0,"similarUserRating":2.0}
8230	56	97	random	8	2015-04-22 07:28:45.957	\N
8231	56	43	random	9	2015-04-22 07:28:45.96	\N
8232	17	78	CF	0	2015-04-22 11:46:03.624	{"prediction":4.472703222703222}
8233	17	23	CF	1	2015-04-22 11:46:03.638	{"prediction":4.450124494242141}
8234	17	48	CF	2	2015-04-22 11:46:03.655	{"prediction":4.371693121693122}
8235	17	21	CF	3	2015-04-22 11:46:03.687	{"prediction":4.371693121693122}
8236	17	64	cbr	4	2015-04-22 11:46:03.701	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":1.0}
8237	17	19	cbr	5	2015-04-22 11:46:03.711	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
8238	17	79	cbr	6	2015-04-22 11:46:03.718	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
8239	17	65	cbr	7	2015-04-22 11:46:03.724	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
8240	17	69	random	8	2015-04-22 11:46:03.748	\N
8241	17	52	random	9	2015-04-22 11:46:03.774	\N
8242	24	78	CF	0	2015-04-22 12:13:26.727	{"prediction":5.167976056864945}
8243	24	23	CF	1	2015-04-22 12:13:26.742	{"prediction":5.145397328403864}
8244	24	21	CF	2	2015-04-22 12:13:27.089	{"prediction":5.066965955854845}
8245	24	48	CF	3	2015-04-22 12:13:27.098	{"prediction":5.066965955854845}
8246	24	38	tags	4	2015-04-22 12:13:27.108	{"score":7.746666320164999}
8247	24	60	tags	5	2015-04-22 12:13:27.114	{"score":7.5571426664079935}
8248	24	64	tags	6	2015-04-22 12:13:27.118	{"score":6.5333333015441895}
8249	24	54	tags	7	2015-04-22 12:13:27.122	{"score":5.725000063578288}
8250	24	52	random	8	2015-04-22 12:13:27.127	\N
8251	24	46	random	9	2015-04-22 12:13:27.129	\N
8252	24	21	CF	0	2015-04-22 12:13:58.142	{"prediction":5.066965955854845}
8253	24	48	CF	1	2015-04-22 12:13:58.147	{"prediction":5.066965955854845}
8254	24	64	CF	2	2015-04-22 12:13:58.15	{"prediction":5.051533857089413}
8255	24	47	CF	3	2015-04-22 12:13:58.153	{"prediction":4.999064721286944}
8256	24	64	cbr	4	2015-04-22 12:13:58.158	{"similarUserId":24,"similarityToUser":1.0,"similarUserRating":1.0}
8257	24	38	tags	5	2015-04-22 12:13:58.167	{"score":8.126666069030762}
8258	24	64	tags	6	2015-04-22 12:13:58.171	{"score":6.833333333333333}
8259	24	63	tags	7	2015-04-22 12:13:58.174	{"score":5.690908832983537}
8260	24	18	random	8	2015-04-22 12:13:58.178	\N
8261	24	14	random	9	2015-04-22 12:13:58.181	\N
8262	118	64	cbr	0	2015-04-22 12:51:51.47	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":1.0}
8263	118	19	cbr	1	2015-04-22 12:51:51.48	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8264	118	79	cbr	2	2015-04-22 12:51:51.489	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8265	118	65	cbr	3	2015-04-22 12:51:51.502	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8266	118	78	CF	4	2015-04-22 12:51:51.514	{"prediction":4.397306397306397}
8267	118	23	CF	5	2015-04-22 12:51:51.522	{"prediction":4.374727668845316}
8271	118	87	random	9	2015-04-22 12:51:51.546	\N
8275	118	65	cbr	3	2015-04-22 12:51:58.963	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8279	118	48	CF	7	2015-04-22 12:51:58.978	{"prediction":4.296296296296297}
8285	118	65	cbr	3	2015-04-22 12:52:08.861	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8289	118	48	CF	7	2015-04-22 12:52:08.883	{"prediction":4.296296296296297}
8293	118	19	cbr	1	2015-04-22 12:52:11.219	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8297	118	23	CF	5	2015-04-22 12:52:11.235	{"prediction":4.374727668845316}
8301	118	81	random	9	2015-04-22 12:52:11.255	\N
8304	118	60	CF	2	2015-04-22 12:52:19.223	{"prediction":4.306397306397306}
8308	118	79	cbr	6	2015-04-22 12:52:19.239	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8312	118	89	tags	0	2015-04-22 12:52:32.905	{"score":1.2000000278155007}
8316	118	23	CF	4	2015-04-22 12:52:32.929	{"prediction":4.374727668845316}
8320	118	56	random	8	2015-04-22 12:52:32.954	\N
8324	118	96	tags	2	2015-04-22 12:52:35.696	{"score":1.1142857670783997}
8328	118	48	CF	6	2015-04-22 12:52:35.715	{"prediction":4.296296296296297}
8334	118	96	tags	2	2015-04-22 12:52:57.515	{"score":1.1142857670783997}
8338	118	48	CF	6	2015-04-22 12:52:57.539	{"prediction":4.296296296296297}
8268	118	60	CF	6	2015-04-22 12:51:51.535	{"prediction":4.306397306397306}
8272	118	64	cbr	0	2015-04-22 12:51:58.941	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":1.0}
8276	118	78	CF	4	2015-04-22 12:51:58.967	{"prediction":4.397306397306397}
8280	118	90	random	8	2015-04-22 12:51:58.983	\N
8284	118	79	cbr	2	2015-04-22 12:52:08.853	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8288	118	60	CF	6	2015-04-22 12:52:08.879	{"prediction":4.306397306397306}
8292	118	64	cbr	0	2015-04-22 12:52:11.208	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":1.0}
8296	118	78	CF	4	2015-04-22 12:52:11.232	{"prediction":4.397306397306397}
8300	118	7	random	8	2015-04-22 12:52:11.251	\N
8303	118	23	CF	1	2015-04-22 12:52:19.215	{"prediction":4.374727668845316}
8307	118	19	cbr	5	2015-04-22 12:52:19.235	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8311	118	62	random	9	2015-04-22 12:52:19.259	\N
8313	118	77	tags	1	2015-04-22 12:52:32.912	{"score":1.1333333982361689}
8317	118	60	CF	5	2015-04-22 12:52:32.933	{"prediction":4.306397306397306}
8321	118	7	random	9	2015-04-22 12:52:32.958	\N
8325	118	87	tags	3	2015-04-22 12:52:35.704	{"score":1.1142857670783997}
8329	118	21	CF	7	2015-04-22 12:52:35.721	{"prediction":4.296296296296297}
8333	118	77	tags	1	2015-04-22 12:52:57.511	{"score":1.1333333982361689}
8337	118	60	CF	5	2015-04-22 12:52:57.527	{"prediction":4.306397306397306}
8341	118	48	random	9	2015-04-22 12:52:57.559	\N
8269	118	48	CF	7	2015-04-22 12:51:51.539	{"prediction":4.296296296296297}
8273	118	19	cbr	1	2015-04-22 12:51:58.946	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8277	118	23	CF	5	2015-04-22 12:51:58.971	{"prediction":4.374727668845316}
8281	118	74	random	9	2015-04-22 12:51:58.988	\N
8283	118	19	cbr	1	2015-04-22 12:52:08.846	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8287	118	23	CF	5	2015-04-22 12:52:08.876	{"prediction":4.374727668845316}
8291	118	57	random	9	2015-04-22 12:52:08.912	\N
8295	118	65	cbr	3	2015-04-22 12:52:11.226	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8299	118	48	CF	7	2015-04-22 12:52:11.248	{"prediction":4.296296296296297}
8302	118	78	CF	0	2015-04-22 12:52:19.208	{"prediction":4.397306397306397}
8306	118	64	cbr	4	2015-04-22 12:52:19.229	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":1.0}
8310	118	67	random	8	2015-04-22 12:52:19.255	\N
8314	118	96	tags	2	2015-04-22 12:52:32.917	{"score":1.1142857670783997}
8318	118	48	CF	6	2015-04-22 12:52:32.936	{"prediction":4.296296296296297}
8322	118	89	tags	0	2015-04-22 12:52:35.68	{"score":1.2000000278155007}
8326	118	23	CF	4	2015-04-22 12:52:35.707	{"prediction":4.374727668845316}
8330	118	62	random	8	2015-04-22 12:52:35.727	\N
8335	118	87	tags	3	2015-04-22 12:52:57.517	{"score":1.1142857670783997}
8339	118	21	CF	7	2015-04-22 12:52:57.547	{"prediction":4.296296296296297}
8270	118	4	random	8	2015-04-22 12:51:51.543	\N
8274	118	79	cbr	2	2015-04-22 12:51:58.959	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8278	118	60	CF	6	2015-04-22 12:51:58.974	{"prediction":4.306397306397306}
8282	118	64	cbr	0	2015-04-22 12:52:08.84	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":1.0}
8286	118	78	CF	4	2015-04-22 12:52:08.865	{"prediction":4.397306397306397}
8290	118	27	random	8	2015-04-22 12:52:08.9	\N
8294	118	79	cbr	2	2015-04-22 12:52:11.223	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8298	118	60	CF	6	2015-04-22 12:52:11.241	{"prediction":4.306397306397306}
8305	118	48	CF	3	2015-04-22 12:52:19.226	{"prediction":4.296296296296297}
8309	118	65	cbr	7	2015-04-22 12:52:19.247	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8315	118	87	tags	3	2015-04-22 12:52:32.923	{"score":1.1142857670783997}
8319	118	21	CF	7	2015-04-22 12:52:32.943	{"prediction":4.296296296296297}
8323	118	77	tags	1	2015-04-22 12:52:35.688	{"score":1.1333333982361689}
8327	118	60	CF	5	2015-04-22 12:52:35.711	{"prediction":4.306397306397306}
8331	118	68	random	9	2015-04-22 12:52:35.73	\N
8332	118	89	tags	0	2015-04-22 12:52:57.505	{"score":1.2000000278155007}
8336	118	23	CF	4	2015-04-22 12:52:57.52	{"prediction":4.374727668845316}
8340	118	94	random	8	2015-04-22 12:52:57.555	\N
8342	118	23	CF	0	2015-04-22 12:53:28.344	{"prediction":4.374727668845316}
8343	118	60	CF	1	2015-04-22 12:53:28.351	{"prediction":4.306397306397306}
8344	118	48	CF	2	2015-04-22 12:53:28.359	{"prediction":4.296296296296297}
8345	118	21	CF	3	2015-04-22 12:53:28.366	{"prediction":4.296296296296297}
8346	118	89	tags	4	2015-04-22 12:53:28.369	{"score":1.2000000278155007}
8347	118	77	tags	5	2015-04-22 12:53:28.374	{"score":1.1333333982361689}
8348	118	96	tags	6	2015-04-22 12:53:28.378	{"score":1.1142857670783997}
8349	118	87	tags	7	2015-04-22 12:53:28.381	{"score":1.1142857670783997}
8350	118	46	random	8	2015-04-22 12:53:28.385	\N
8351	118	82	random	9	2015-04-22 12:53:28.39	\N
8352	118	60	CF	0	2015-04-22 12:53:37.577	{"prediction":4.306397306397306}
8353	118	48	CF	1	2015-04-22 12:53:37.583	{"prediction":4.296296296296297}
8354	118	21	CF	2	2015-04-22 12:53:37.59	{"prediction":4.296296296296297}
8355	118	64	CF	3	2015-04-22 12:53:37.594	{"prediction":4.280864197530865}
8356	118	79	tags	4	2015-04-22 12:53:37.598	{"score":2.400000011920929}
8357	118	64	tags	5	2015-04-22 12:53:37.602	{"score":2.3999999165534973}
8358	118	77	tags	6	2015-04-22 12:53:37.606	{"score":2.2200000882148743}
8359	118	75	tags	7	2015-04-22 12:53:37.611	{"score":2.1900001645088194}
8360	118	74	random	8	2015-04-22 12:53:37.614	\N
8361	118	61	random	9	2015-04-22 12:53:37.617	\N
8362	118	64	cbr	0	2015-04-22 12:54:05.63	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":1.0}
8363	118	48	CF	1	2015-04-22 12:54:05.634	{"prediction":4.296296296296297}
8364	118	21	CF	2	2015-04-22 12:54:05.638	{"prediction":4.296296296296297}
8365	118	64	CF	3	2015-04-22 12:54:05.643	{"prediction":4.280864197530865}
8366	118	47	CF	4	2015-04-22 12:54:05.646	{"prediction":4.228395061728396}
8367	118	79	tags	5	2015-04-22 12:54:05.651	{"score":4.200000011920929}
8368	118	77	tags	6	2015-04-22 12:54:05.659	{"score":4.079999935626984}
8369	118	21	tags	7	2015-04-22 12:54:05.662	{"score":3.9000000754992166}
8370	118	17	random	8	2015-04-22 12:54:05.665	\N
8371	118	70	random	9	2015-04-22 12:54:05.671	\N
8372	118	19	cbr	0	2015-04-22 12:54:31.363	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8373	118	21	CF	1	2015-04-22 12:54:31.367	{"prediction":4.296296296296297}
8374	118	47	CF	2	2015-04-22 12:54:31.369	{"prediction":4.228395061728396}
8375	118	26	CF	3	2015-04-22 12:54:31.372	{"prediction":4.228395061728396}
8376	118	100	CF	4	2015-04-22 12:54:31.375	{"prediction":4.195767195767196}
8377	118	77	tags	5	2015-04-22 12:54:31.378	{"score":4.289999783039093}
8378	118	21	tags	6	2015-04-22 12:54:31.385	{"score":4.099999884764353}
8379	118	43	tags	7	2015-04-22 12:54:31.387	{"score":4.050000011920929}
8380	118	65	random	8	2015-04-22 12:54:31.39	\N
8381	118	98	random	9	2015-04-22 12:54:31.392	\N
8382	118	77	tags	0	2015-04-22 12:54:53.563	{"score":3.77499982714653}
8383	118	75	tags	1	2015-04-22 12:54:53.572	{"score":3.750000011920929}
8384	118	47	CF	2	2015-04-22 12:54:53.579	{"prediction":4.228395061728396}
8385	118	26	CF	3	2015-04-22 12:54:53.583	{"prediction":4.228395061728396}
8386	118	100	CF	4	2015-04-22 12:54:53.588	{"prediction":4.195767195767196}
8387	118	97	CF	5	2015-04-22 12:54:53.595	{"prediction":4.152263374485597}
8388	118	79	cbr	6	2015-04-22 12:54:53.6	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8389	118	65	cbr	7	2015-04-22 12:54:53.604	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8390	118	53	random	8	2015-04-22 12:54:53.612	\N
8391	118	84	random	9	2015-04-22 12:54:53.617	\N
8392	99	79	cbr	0	2015-04-22 13:08:25.289	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8393	99	65	cbr	1	2015-04-22 13:08:25.3	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8394	99	4	cbr	2	2015-04-22 13:08:25.307	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8395	99	97	CF	3	2015-04-22 13:08:25.314	{"prediction":4.598956080748798}
8396	99	35	CF	4	2015-04-22 13:08:25.317	{"prediction":4.50842110132493}
8397	99	30	CF	5	2015-04-22 13:08:25.323	{"prediction":4.50842110132493}
8398	99	50	CF	6	2015-04-22 13:08:25.326	{"prediction":4.50842110132493}
8399	99	34	tags	7	2015-04-22 13:08:25.329	{"score":5.171428578240531}
8400	99	73	random	8	2015-04-22 13:08:25.332	\N
8401	99	44	random	9	2015-04-22 13:08:25.334	\N
8402	99	79	cbr	0	2015-04-22 13:57:55.238	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8403	99	65	cbr	1	2015-04-22 13:57:55.253	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8404	99	4	cbr	2	2015-04-22 13:57:55.264	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8405	99	97	CF	3	2015-04-22 13:57:55.273	{"prediction":4.598956080748798}
8406	99	35	CF	4	2015-04-22 13:57:55.281	{"prediction":4.50842110132493}
8407	99	30	CF	5	2015-04-22 13:57:55.285	{"prediction":4.50842110132493}
8408	99	50	CF	6	2015-04-22 13:57:55.288	{"prediction":4.50842110132493}
8409	99	34	tags	7	2015-04-22 13:57:55.291	{"score":5.171428578240531}
8410	99	21	random	8	2015-04-22 13:57:55.295	\N
8411	99	58	random	9	2015-04-22 13:57:55.299	\N
8412	99	79	cbr	0	2015-04-22 14:48:02.824	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8413	99	65	cbr	1	2015-04-22 14:48:02.833	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8414	99	4	cbr	2	2015-04-22 14:48:02.84	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8415	99	34	tags	3	2015-04-22 14:48:02.85	{"score":5.171428578240531}
8416	99	97	CF	4	2015-04-22 14:48:02.858	{"prediction":4.598956080748798}
8417	99	35	CF	5	2015-04-22 14:48:02.861	{"prediction":4.50842110132493}
8418	99	30	CF	6	2015-04-22 14:48:02.864	{"prediction":4.50842110132493}
8419	99	50	CF	7	2015-04-22 14:48:02.868	{"prediction":4.50842110132493}
8420	99	49	random	8	2015-04-22 14:48:02.871	\N
8421	99	35	random	9	2015-04-22 14:48:02.874	\N
8422	49	45	tags	0	2015-04-22 15:29:47.36	{"score":1.8249999284744263}
8423	49	78	tags	1	2015-04-22 15:29:47.376	{"score":1.5454545725475657}
8424	49	84	tags	2	2015-04-22 15:29:47.392	{"score":1.4666666587193808}
8425	49	68	tags	3	2015-04-22 15:29:47.41	{"score":1.4200000047683716}
8426	49	78	CF	4	2015-04-22 15:29:47.423	{"prediction":4.397306397306397}
8427	49	23	CF	5	2015-04-22 15:29:47.433	{"prediction":4.374727668845316}
8428	49	60	CF	6	2015-04-22 15:29:47.441	{"prediction":4.306397306397306}
8429	49	48	CF	7	2015-04-22 15:29:47.447	{"prediction":4.296296296296297}
8430	49	40	random	8	2015-04-22 15:29:47.453	\N
8431	49	1	random	9	2015-04-22 15:29:47.458	\N
8432	66	78	CF	0	2015-04-22 16:22:22.97	{"prediction":4.397306397306397}
8433	66	23	CF	1	2015-04-22 16:22:22.984	{"prediction":4.374727668845316}
8434	66	60	CF	2	2015-04-22 16:22:22.993	{"prediction":4.306397306397306}
8435	66	48	CF	3	2015-04-22 16:22:23.002	{"prediction":4.296296296296297}
8436	66	64	tags	4	2015-04-22 16:22:23.01	{"score":2.6999999284744263}
8437	66	35	tags	5	2015-04-22 16:22:23.014	{"score":2.099999928474426}
8438	66	63	tags	6	2015-04-22 16:22:23.022	{"score":2.0625}
8439	66	42	tags	7	2015-04-22 16:22:23.026	{"score":1.9846155551763682}
8440	66	87	random	8	2015-04-22 16:22:23.028	\N
8441	66	14	random	9	2015-04-22 16:22:23.031	\N
8442	99	34	tags	0	2015-04-22 19:32:16.527	{"score":5.171428578240531}
8443	99	79	cbr	1	2015-04-22 19:32:16.539	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8444	99	65	cbr	2	2015-04-22 19:32:16.548	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8445	99	4	cbr	3	2015-04-22 19:32:16.559	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8446	99	97	CF	4	2015-04-22 19:32:16.567	{"prediction":4.598956080748798}
8447	99	35	CF	5	2015-04-22 19:32:16.57	{"prediction":4.50842110132493}
8448	99	30	CF	6	2015-04-22 19:32:16.573	{"prediction":4.50842110132493}
8449	99	50	CF	7	2015-04-22 19:32:16.578	{"prediction":4.50842110132493}
8450	99	38	random	8	2015-04-22 19:32:16.581	\N
8451	99	78	random	9	2015-04-22 19:32:16.585	\N
8452	42	4	tags	0	2015-04-22 20:34:13.335	{"score":0.6888888743188646}
8453	42	21	tags	1	2015-04-22 20:34:13.347	{"score":0.4499999923365457}
8454	42	77	tags	2	2015-04-22 20:34:13.356	{"score":0.4115384748348823}
8455	42	43	tags	3	2015-04-22 20:34:13.367	{"score":0.34545452911966207}
8456	42	78	CF	4	2015-04-22 20:34:13.377	{"prediction":4.402439024390244}
8457	42	23	CF	5	2015-04-22 20:34:13.381	{"prediction":4.378048780487805}
8458	42	47	CF	6	2015-04-22 20:34:13.387	{"prediction":4.346689895470383}
8459	42	60	CF	7	2015-04-22 20:34:13.391	{"prediction":4.311529933481153}
8460	42	69	random	8	2015-04-22 20:34:13.396	\N
8461	42	38	random	9	2015-04-22 20:34:13.4	\N
8462	42	64	cbr	0	2015-04-22 20:34:46.795	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":1.0}
8463	42	21	tags	1	2015-04-22 20:34:46.799	{"score":1.4999999574252538}
8464	42	58	tags	2	2015-04-22 20:34:46.802	{"score":1.449999988079071}
8465	42	77	tags	3	2015-04-22 20:34:46.805	{"score":1.438461491694817}
8466	42	78	CF	4	2015-04-22 20:34:46.808	{"prediction":3.4603504928806137}
8467	42	23	CF	5	2015-04-22 20:34:46.811	{"prediction":3.4380581148121907}
8468	42	47	CF	6	2015-04-22 20:34:46.813	{"prediction":3.4012048192771083}
8469	42	60	CF	7	2015-04-22 20:34:46.819	{"prediction":3.369441401971523}
8470	42	76	random	8	2015-04-22 20:34:46.822	\N
8471	42	50	random	9	2015-04-22 20:34:46.825	\N
8472	42	78	CF	0	2015-04-22 20:35:02.235	{"prediction":3.4603504928806137}
8473	42	23	CF	1	2015-04-22 20:35:02.24	{"prediction":3.4380581148121907}
8474	42	47	CF	2	2015-04-22 20:35:02.243	{"prediction":3.4012048192771083}
8475	42	60	CF	3	2015-04-22 20:35:02.248	{"prediction":3.369441401971523}
8476	42	21	tags	4	2015-04-22 20:35:02.252	{"score":1.5857141613960266}
8477	42	77	tags	5	2015-04-22 20:35:02.256	{"score":1.530769095971034}
8480	42	33	random	8	2015-04-22 20:35:02.271	\N
8478	42	58	tags	6	2015-04-22 20:35:02.263	{"score":1.449999988079071}
8485	42	79	cbr	3	2015-04-22 20:35:12.857	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
8489	42	21	CF	7	2015-04-22 20:35:12.934	{"prediction":3.6501984126984124}
8479	42	19	cbr	7	2015-04-22 20:35:02.268	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
8484	42	19	cbr	2	2015-04-22 20:35:12.841	{"similarUserId":42,"similarityToUser":1.0,"similarUserRating":2.0}
8488	42	48	CF	6	2015-04-22 20:35:12.909	{"prediction":3.6501984126984124}
8481	42	81	random	9	2015-04-22 20:35:02.275	\N
8483	42	38	tags	1	2015-04-22 20:35:12.826	{"score":3.6599994977315267}
8487	42	60	CF	5	2015-04-22 20:35:12.892	{"prediction":3.660750360750361}
8491	42	47	random	9	2015-04-22 20:35:12.954	\N
8482	42	60	tags	0	2015-04-22 20:35:12.792	{"score":4.04285682950701}
8486	42	47	CF	4	2015-04-22 20:35:12.875	{"prediction":3.6922902494331065}
8490	42	89	random	8	2015-04-22 20:35:12.946	\N
8492	118	77	tags	0	2015-04-23 08:49:01.207	{"score":3.77499982714653}
8493	118	75	tags	1	2015-04-23 08:49:01.243	{"score":3.750000011920929}
8494	118	79	cbr	2	2015-04-23 08:49:01.252	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8495	118	65	cbr	3	2015-04-23 08:49:01.259	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8496	118	47	CF	4	2015-04-23 08:49:01.263	{"prediction":4.336734693877551}
8497	118	26	CF	5	2015-04-23 08:49:01.271	{"prediction":4.226190476190476}
8498	118	100	CF	6	2015-04-23 08:49:01.274	{"prediction":4.193877551020408}
8499	118	97	CF	7	2015-04-23 08:49:01.277	{"prediction":4.15079365079365}
8500	118	74	random	8	2015-04-23 08:49:01.281	\N
8501	118	99	random	9	2015-04-23 08:49:01.284	\N
8502	118	47	CF	0	2015-04-23 08:49:13.022	{"prediction":4.336734693877551}
8503	118	26	CF	1	2015-04-23 08:49:13.026	{"prediction":4.226190476190476}
8504	118	100	CF	2	2015-04-23 08:49:13.029	{"prediction":4.193877551020408}
8505	118	97	CF	3	2015-04-23 08:49:13.032	{"prediction":4.15079365079365}
8506	118	79	cbr	4	2015-04-23 08:49:13.034	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8507	118	65	cbr	5	2015-04-23 08:49:13.037	{"similarUserId":118,"similarityToUser":1.0,"similarUserRating":2.0}
8508	118	54	tags	6	2015-04-23 08:49:13.04	{"score":3.5750000874201455}
8509	118	72	tags	7	2015-04-23 08:49:13.044	{"score":3.327272751114585}
8510	118	36	random	8	2015-04-23 08:49:13.048	\N
8511	118	5	random	9	2015-04-23 08:49:13.051	\N
8512	99	97	CF	0	2015-04-23 13:21:12.762	{"prediction":4.6285801252319105}
8513	99	35	CF	1	2015-04-23 13:21:12.78	{"prediction":4.53731028396207}
8514	99	87	CF	2	2015-04-23 13:21:12.788	{"prediction":4.53731028396207}
8515	99	50	CF	3	2015-04-23 13:21:12.795	{"prediction":4.53731028396207}
8516	99	28	tags	4	2015-04-23 13:21:12.804	{"score":7.163636034185236}
8517	99	79	cbr	5	2015-04-23 13:21:12.808	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8518	99	65	cbr	6	2015-04-23 13:21:12.811	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8519	99	4	cbr	7	2015-04-23 13:21:12.813	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8520	99	70	random	8	2015-04-23 13:21:12.816	\N
8521	99	51	random	9	2015-04-23 13:21:12.822	\N
8522	99	50	CF	0	2015-04-23 13:21:44.124	{"prediction":4.53731028396207}
8523	99	30	CF	1	2015-04-23 13:21:44.128	{"prediction":4.53731028396207}
8524	99	29	CF	2	2015-04-23 13:21:44.132	{"prediction":4.53731028396207}
8525	99	14	CF	3	2015-04-23 13:21:44.135	{"prediction":4.5288068826015255}
8526	99	11	tags	4	2015-04-23 13:21:44.14	{"score":6.23571412903922}
8527	99	79	cbr	5	2015-04-23 13:21:44.144	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8528	99	65	cbr	6	2015-04-23 13:21:44.146	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8529	99	4	cbr	7	2015-04-23 13:21:44.149	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8530	99	22	random	8	2015-04-23 13:21:44.151	\N
8531	99	73	random	9	2015-04-23 13:21:44.153	\N
8532	119	4	tags	0	2015-04-23 13:33:58.761	{"score":1.0}
8533	119	18	tags	1	2015-04-23 13:33:58.766	{"score":0.8000000317891439}
8534	119	100	tags	2	2015-04-23 13:33:58.769	{"score":0.800000011920929}
8535	119	12	tags	3	2015-04-23 13:33:58.772	{"score":0.800000011920929}
8536	119	78	CF	4	2015-04-23 13:33:58.777	{"prediction":4.396103896103896}
8537	119	23	CF	5	2015-04-23 13:33:58.779	{"prediction":4.353174603174603}
8538	119	47	CF	6	2015-04-23 13:33:58.783	{"prediction":4.336734693877551}
8539	119	60	CF	7	2015-04-23 13:33:58.786	{"prediction":4.305194805194805}
8540	119	2	random	8	2015-04-23 13:33:58.793	\N
8541	119	72	random	9	2015-04-23 13:33:58.796	\N
8542	119	64	cbr	0	2015-04-23 13:35:21.529	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":1.0}
8543	119	19	cbr	1	2015-04-23 13:35:21.532	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":2.0}
8544	119	79	cbr	2	2015-04-23 13:35:21.538	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":2.0}
8545	119	65	cbr	3	2015-04-23 13:35:21.541	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":2.0}
8546	119	60	CF	4	2015-04-23 13:35:21.544	{"prediction":4.305194805194805}
8547	119	21	CF	5	2015-04-23 13:35:21.546	{"prediction":4.294642857142857}
8548	119	48	CF	6	2015-04-23 13:35:21.548	{"prediction":4.294642857142857}
8549	119	64	CF	7	2015-04-23 13:35:21.55	{"prediction":4.279761904761904}
8550	119	49	random	8	2015-04-23 13:35:21.552	\N
8551	119	19	cbr	0	2015-04-23 13:36:25.605	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":2.0}
8552	119	79	cbr	1	2015-04-23 13:36:25.611	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":2.0}
8553	119	65	cbr	2	2015-04-23 13:36:25.62	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":2.0}
8554	119	19	cbr	3	2015-04-23 13:36:25.623	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":3.0}
8555	119	60	CF	4	2015-04-23 13:36:25.625	{"prediction":4.305194805194805}
8556	119	21	CF	5	2015-04-23 13:36:25.628	{"prediction":4.294642857142857}
8557	119	48	CF	6	2015-04-23 13:36:25.63	{"prediction":4.294642857142857}
8558	119	26	CF	7	2015-04-23 13:36:25.634	{"prediction":4.226190476190476}
8559	119	27	random	8	2015-04-23 13:36:25.64	\N
8560	119	63	random	9	2015-04-23 13:36:25.643	\N
8561	119	32	cbr	0	2015-04-23 13:37:03.529	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":3.0}
8562	119	97	cbr	1	2015-04-23 13:37:03.543	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":3.0}
8563	119	67	cbr	2	2015-04-23 13:37:03.548	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":3.0}
8567	119	97	CF	6	2015-04-23 13:37:03.574	{"prediction":4.15079365079365}
9027	122	34	random	8	2015-04-27 21:10:15.141	\N
8572	119	85	cbr	1	2015-04-23 13:38:07.333	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8576	119	20	CF	5	2015-04-23 13:38:07.345	{"prediction":4.059523809523809}
8580	119	88	random	9	2015-04-23 13:38:07.356	\N
8582	119	85	cbr	1	2015-04-23 13:38:14.528	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8586	119	20	CF	5	2015-04-23 13:38:14.54	{"prediction":4.059523809523809}
8590	119	20	random	9	2015-04-23 13:38:14.549	\N
8594	119	20	CF	3	2015-04-23 13:38:15.519	{"prediction":4.059523809523809}
8598	119	91	random	7	2015-04-23 13:38:15.557	\N
8604	119	87	CF	3	2015-04-23 13:38:16.851	{"prediction":4.059523809523809}
8608	119	98	random	7	2015-04-23 13:38:16.875	\N
8612	119	87	CF	1	2015-04-23 13:38:19.142	{"prediction":4.059523809523809}
8616	119	85	cbr	5	2015-04-23 13:38:19.152	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8620	119	68	random	9	2015-04-23 13:38:19.159	\N
8624	119	20	CF	3	2015-04-23 13:38:21.034	{"prediction":4.059523809523809}
8628	119	40	random	7	2015-04-23 13:38:21.053	\N
8632	119	87	CF	1	2015-04-23 13:38:22.593	{"prediction":4.059523809523809}
8636	119	85	cbr	5	2015-04-23 13:38:22.629	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8640	119	92	random	9	2015-04-23 13:38:22.664	\N
8644	119	87	CF	3	2015-04-23 13:38:24.526	{"prediction":4.059523809523809}
8648	119	17	random	7	2015-04-23 13:38:24.536	\N
8652	119	87	CF	1	2015-04-23 13:38:26.572	{"prediction":4.059523809523809}
8656	119	85	cbr	5	2015-04-23 13:38:26.586	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8660	119	28	random	9	2015-04-23 13:38:26.597	\N
8664	119	87	CF	3	2015-04-23 13:38:28.223	{"prediction":4.059523809523809}
8668	119	94	random	7	2015-04-23 13:38:28.266	\N
8672	119	85	cbr	1	2015-04-23 13:38:29.976	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8676	119	20	CF	5	2015-04-23 13:38:30.021	{"prediction":4.059523809523809}
8680	119	34	random	9	2015-04-23 13:38:30.035	\N
8684	119	20	CF	3	2015-04-23 13:38:35.333	{"prediction":4.059523809523809}
8688	119	39	random	7	2015-04-23 13:38:35.345	\N
8564	119	58	cbr	3	2015-04-23 13:37:03.561	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":3.0}
8568	119	87	CF	7	2015-04-23 13:37:03.581	{"prediction":4.059523809523809}
8573	119	26	CF	2	2015-04-23 13:38:07.337	{"prediction":4.226190476190476}
8577	119	44	random	6	2015-04-23 13:38:07.347	\N
8584	119	87	CF	3	2015-04-23 13:38:14.533	{"prediction":4.059523809523809}
8588	119	85	random	7	2015-04-23 13:38:14.544	\N
8592	119	87	CF	1	2015-04-23 13:38:15.508	{"prediction":4.059523809523809}
8596	119	85	cbr	5	2015-04-23 13:38:15.529	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8600	119	2	random	9	2015-04-23 13:38:15.563	\N
8601	119	87	cbr	0	2015-04-23 13:38:16.842	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8605	119	35	CF	4	2015-04-23 13:38:16.854	{"prediction":4.059523809523809}
8609	119	64	random	8	2015-04-23 13:38:16.887	\N
8613	119	35	CF	2	2015-04-23 13:38:19.145	{"prediction":4.059523809523809}
8617	119	90	random	6	2015-04-23 13:38:19.153	\N
8621	119	26	CF	0	2015-04-23 13:38:21.02	{"prediction":4.226190476190476}
8625	119	87	cbr	4	2015-04-23 13:38:21.038	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8629	119	88	random	8	2015-04-23 13:38:21.057	\N
8633	119	35	CF	2	2015-04-23 13:38:22.599	{"prediction":4.059523809523809}
8637	119	46	random	6	2015-04-23 13:38:22.636	\N
8641	119	87	cbr	0	2015-04-23 13:38:24.515	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8645	119	35	CF	4	2015-04-23 13:38:24.528	{"prediction":4.059523809523809}
8649	119	36	random	8	2015-04-23 13:38:24.539	\N
8654	119	20	CF	3	2015-04-23 13:38:26.581	{"prediction":4.059523809523809}
8658	119	96	random	7	2015-04-23 13:38:26.591	\N
8662	119	85	cbr	1	2015-04-23 13:38:28.191	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8666	119	20	CF	5	2015-04-23 13:38:28.245	{"prediction":4.059523809523809}
8670	119	86	random	9	2015-04-23 13:38:28.286	\N
8674	119	87	CF	3	2015-04-23 13:38:30.014	{"prediction":4.059523809523809}
8678	119	13	random	7	2015-04-23 13:38:30.027	\N
8682	119	87	CF	1	2015-04-23 13:38:35.326	{"prediction":4.059523809523809}
8686	119	85	cbr	5	2015-04-23 13:38:35.338	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8690	119	7	random	9	2015-04-23 13:38:35.349	\N
8565	119	48	CF	4	2015-04-23 13:37:03.564	{"prediction":4.294642857142857}
8569	119	14	random	8	2015-04-23 13:37:03.584	\N
8571	119	87	cbr	0	2015-04-23 13:38:07.326	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8575	119	35	CF	4	2015-04-23 13:38:07.341	{"prediction":4.059523809523809}
8579	119	94	random	8	2015-04-23 13:38:07.352	\N
8583	119	26	CF	2	2015-04-23 13:38:14.53	{"prediction":4.226190476190476}
8587	119	92	random	6	2015-04-23 13:38:14.542	\N
8591	119	26	CF	0	2015-04-23 13:38:15.498	{"prediction":4.226190476190476}
8595	119	87	cbr	4	2015-04-23 13:38:15.521	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8599	119	96	random	8	2015-04-23 13:38:15.56	\N
8603	119	26	CF	2	2015-04-23 13:38:16.848	{"prediction":4.226190476190476}
8607	119	2	random	6	2015-04-23 13:38:16.868	\N
8611	119	26	CF	0	2015-04-23 13:38:19.138	{"prediction":4.226190476190476}
8615	119	87	cbr	4	2015-04-23 13:38:19.149	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8619	119	72	random	8	2015-04-23 13:38:19.157	\N
8623	119	35	CF	2	2015-04-23 13:38:21.026	{"prediction":4.059523809523809}
8627	119	16	random	6	2015-04-23 13:38:21.05	\N
8631	119	26	CF	0	2015-04-23 13:38:22.587	{"prediction":4.226190476190476}
8635	119	87	cbr	4	2015-04-23 13:38:22.618	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8639	119	51	random	8	2015-04-23 13:38:22.655	\N
8643	119	26	CF	2	2015-04-23 13:38:24.523	{"prediction":4.226190476190476}
8647	119	2	random	6	2015-04-23 13:38:24.533	\N
8653	119	35	CF	2	2015-04-23 13:38:26.578	{"prediction":4.059523809523809}
8657	119	3	random	6	2015-04-23 13:38:26.588	\N
8661	119	87	cbr	0	2015-04-23 13:38:28.17	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8665	119	35	CF	4	2015-04-23 13:38:28.236	{"prediction":4.059523809523809}
8669	119	81	random	8	2015-04-23 13:38:28.28	\N
8673	119	26	CF	2	2015-04-23 13:38:29.996	{"prediction":4.226190476190476}
8677	119	23	random	6	2015-04-23 13:38:30.024	\N
8681	119	26	CF	0	2015-04-23 13:38:35.319	{"prediction":4.226190476190476}
8685	119	87	cbr	4	2015-04-23 13:38:35.336	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8689	119	100	random	8	2015-04-23 13:38:35.347	\N
8566	119	26	CF	5	2015-04-23 13:37:03.571	{"prediction":4.226190476190476}
8570	119	16	random	9	2015-04-23 13:37:03.587	\N
8574	119	87	CF	3	2015-04-23 13:38:07.339	{"prediction":4.059523809523809}
8578	119	23	random	7	2015-04-23 13:38:07.349	\N
8581	119	87	cbr	0	2015-04-23 13:38:14.525	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8585	119	35	CF	4	2015-04-23 13:38:14.537	{"prediction":4.059523809523809}
8589	119	95	random	8	2015-04-23 13:38:14.547	\N
8593	119	35	CF	2	2015-04-23 13:38:15.515	{"prediction":4.059523809523809}
8597	119	88	random	6	2015-04-23 13:38:15.541	\N
8602	119	85	cbr	1	2015-04-23 13:38:16.845	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8606	119	20	CF	5	2015-04-23 13:38:16.863	{"prediction":4.059523809523809}
8610	119	36	random	9	2015-04-23 13:38:16.891	\N
8614	119	20	CF	3	2015-04-23 13:38:19.147	{"prediction":4.059523809523809}
8618	119	96	random	7	2015-04-23 13:38:19.155	\N
8622	119	87	CF	1	2015-04-23 13:38:21.024	{"prediction":4.059523809523809}
8626	119	85	cbr	5	2015-04-23 13:38:21.046	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8630	119	69	random	9	2015-04-23 13:38:21.059	\N
8634	119	20	CF	3	2015-04-23 13:38:22.608	{"prediction":4.059523809523809}
8638	119	9	random	7	2015-04-23 13:38:22.646	\N
8642	119	85	cbr	1	2015-04-23 13:38:24.519	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8646	119	20	CF	5	2015-04-23 13:38:24.53	{"prediction":4.059523809523809}
8650	119	50	random	9	2015-04-23 13:38:24.543	\N
8651	119	26	CF	0	2015-04-23 13:38:26.569	{"prediction":4.226190476190476}
8655	119	87	cbr	4	2015-04-23 13:38:26.584	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8659	119	23	random	8	2015-04-23 13:38:26.594	\N
8663	119	26	CF	2	2015-04-23 13:38:28.209	{"prediction":4.226190476190476}
8667	119	101	random	6	2015-04-23 13:38:28.261	\N
8671	119	87	cbr	0	2015-04-23 13:38:29.953	{"similarUserId":119,"similarityToUser":1.0,"similarUserRating":4.0}
8675	119	35	CF	4	2015-04-23 13:38:30.017	{"prediction":4.059523809523809}
8679	119	28	random	8	2015-04-23 13:38:30.03	\N
8683	119	35	CF	2	2015-04-23 13:38:35.329	{"prediction":4.059523809523809}
8687	119	27	random	6	2015-04-23 13:38:35.342	\N
8691	99	34	tags	0	2015-04-23 14:17:35.083	{"score":3.4285715648106168}
8692	99	39	tags	1	2015-04-23 14:17:35.094	{"score":3.081818363883279}
8693	99	65	cbr	2	2015-04-23 14:17:35.105	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8694	99	4	cbr	3	2015-04-23 14:17:35.113	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8695	99	4	CF	4	2015-04-23 14:17:35.122	{"prediction":4.413500760152546}
8696	99	67	CF	5	2015-04-23 14:17:35.124	{"prediction":4.2952467918985775}
8697	99	58	CF	6	2015-04-23 14:17:35.127	{"prediction":4.272429331581117}
8698	99	63	CF	7	2015-04-23 14:17:35.13	{"prediction":4.243092596887239}
8699	99	44	random	8	2015-04-23 14:17:35.132	\N
8700	99	20	random	9	2015-04-23 14:17:35.135	\N
8701	120	64	cbr	0	2015-04-24 13:23:51.182	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":1.0}
8702	120	19	cbr	1	2015-04-24 13:23:51.202	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":2.0}
8703	120	79	cbr	2	2015-04-24 13:23:51.211	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":2.0}
8704	120	65	cbr	3	2015-04-24 13:23:51.219	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":2.0}
8705	120	78	CF	4	2015-04-24 13:23:51.228	{"prediction":4.39572192513369}
8706	120	23	CF	5	2015-04-24 13:23:51.232	{"prediction":4.352941176470588}
8707	120	47	CF	6	2015-04-24 13:23:51.235	{"prediction":4.336134453781512}
8708	120	60	CF	7	2015-04-24 13:23:51.238	{"prediction":4.304812834224599}
8709	120	49	random	8	2015-04-24 13:23:51.242	\N
8710	120	13	random	9	2015-04-24 13:23:51.247	\N
8711	120	4	cbr	0	2015-04-24 13:24:13.183	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":3.0}
8712	120	10	tags	1	2015-04-24 13:24:13.196	{"score":0.1714285867554801}
8713	120	59	tags	2	2015-04-24 13:24:13.204	{"score":0.166666673289405}
8714	120	86	tags	3	2015-04-24 13:24:13.212	{"score":0.14999998609224954}
8715	120	78	CF	4	2015-04-24 13:24:13.219	{"prediction":4.39572192513369}
8716	120	23	CF	5	2015-04-24 13:24:13.223	{"prediction":4.352941176470588}
8717	120	47	CF	6	2015-04-24 13:24:13.235	{"prediction":4.336134453781512}
8718	120	60	CF	7	2015-04-24 13:24:13.241	{"prediction":4.304812834224599}
8719	120	19	random	8	2015-04-24 13:24:13.245	\N
8720	120	5	random	9	2015-04-24 13:24:13.248	\N
8721	120	32	cbr	0	2015-04-24 13:25:13.786	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":3.0}
9098	27	78	random	9	2015-04-28 18:20:38.851	\N
8722	120	97	cbr	1	2015-04-24 13:25:13.905	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":3.0}
8723	120	67	cbr	2	2015-04-24 13:25:14.267	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":3.0}
8724	120	58	cbr	3	2015-04-24 13:25:14.301	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":3.0}
8725	120	48	CF	4	2015-04-24 13:25:14.335	{"prediction":4.294117647058823}
8726	120	21	CF	5	2015-04-24 13:25:14.357	{"prediction":4.294117647058823}
8727	120	26	CF	6	2015-04-24 13:25:14.382	{"prediction":4.2254901960784315}
8728	120	100	CF	7	2015-04-24 13:25:14.439	{"prediction":4.19327731092437}
8729	120	61	random	8	2015-04-24 13:25:14.489	\N
8730	120	80	random	9	2015-04-24 13:25:14.559	\N
8731	120	67	cbr	0	2015-04-24 13:25:30.763	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":3.0}
8732	120	58	cbr	1	2015-04-24 13:25:30.781	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":3.0}
8733	120	87	cbr	2	2015-04-24 13:25:30.785	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8735	120	48	CF	4	2015-04-24 13:25:30.807	{"prediction":4.294117647058823}
8734	120	67	cbr	3	2015-04-24 13:25:30.791	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8738	120	100	CF	7	2015-04-24 13:25:30.845	{"prediction":4.19327731092437}
8742	120	21	CF	1	2015-04-24 13:25:42.599	{"prediction":4.294117647058823}
8745	120	58	cbr	4	2015-04-24 13:25:42.616	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":3.0}
8748	120	21	cbr	7	2015-04-24 13:25:42.634	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8754	120	85	cbr	3	2015-04-24 13:25:57.93	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8758	120	20	CF	7	2015-04-24 13:25:57.941	{"prediction":4.0588235294117645}
8761	120	100	CF	0	2015-04-24 13:26:12.644	{"prediction":4.19327731092437}
8765	120	87	cbr	4	2015-04-24 13:26:12.785	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8769	120	50	random	8	2015-04-24 13:26:12.815	\N
8772	120	35	CF	1	2015-04-24 13:26:40.927	{"prediction":4.0588235294117645}
8776	120	92	random	5	2015-04-24 13:26:40.942	\N
8780	120	81	random	9	2015-04-24 13:26:40.958	\N
8784	120	14	CF	3	2015-04-24 13:34:20.277	{"prediction":4.050420168067227}
8788	120	24	random	7	2015-04-24 13:34:20.286	\N
8736	120	21	CF	5	2015-04-24 13:25:30.826	{"prediction":4.294117647058823}
8740	120	46	random	9	2015-04-24 13:25:30.885	\N
8746	120	87	cbr	5	2015-04-24 13:25:42.625	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8749	120	99	random	8	2015-04-24 13:25:42.639	\N
8753	120	100	cbr	2	2015-04-24 13:25:57.925	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8757	120	35	CF	6	2015-04-24 13:25:57.937	{"prediction":4.0588235294117645}
8763	120	35	CF	2	2015-04-24 13:26:12.74	{"prediction":4.0588235294117645}
8767	120	85	cbr	6	2015-04-24 13:26:12.804	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8770	120	75	random	9	2015-04-24 13:26:12.838	\N
8773	120	20	CF	2	2015-04-24 13:26:40.931	{"prediction":4.0588235294117645}
8777	120	60	random	6	2015-04-24 13:26:40.949	\N
8781	120	30	CF	0	2015-04-24 13:34:20.266	{"prediction":4.0588235294117645}
8785	120	18	random	4	2015-04-24 13:34:20.28	\N
8789	120	11	random	8	2015-04-24 13:34:20.289	\N
8737	120	26	CF	6	2015-04-24 13:25:30.832	{"prediction":4.2254901960784315}
8741	120	48	CF	0	2015-04-24 13:25:42.59	{"prediction":4.294117647058823}
8744	120	100	CF	3	2015-04-24 13:25:42.612	{"prediction":4.19327731092437}
8750	120	56	random	9	2015-04-24 13:25:42.643	\N
8751	120	58	cbr	0	2015-04-24 13:25:57.916	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":3.0}
8755	120	100	CF	4	2015-04-24 13:25:57.933	{"prediction":4.19327731092437}
8759	120	66	random	8	2015-04-24 13:25:57.943	\N
8764	120	20	CF	3	2015-04-24 13:26:12.778	{"prediction":4.0588235294117645}
8768	120	97	random	7	2015-04-24 13:26:12.809	\N
8771	120	85	cbr	0	2015-04-24 13:26:40.923	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8775	120	29	CF	4	2015-04-24 13:26:40.937	{"prediction":4.0588235294117645}
8779	120	4	random	8	2015-04-24 13:26:40.955	\N
8783	120	50	CF	2	2015-04-24 13:34:20.274	{"prediction":4.0588235294117645}
8787	120	35	random	6	2015-04-24 13:34:20.284	\N
8739	120	61	random	8	2015-04-24 13:25:30.861	\N
8743	120	26	CF	2	2015-04-24 13:25:42.606	{"prediction":4.2254901960784315}
8747	120	48	cbr	6	2015-04-24 13:25:42.628	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8752	120	87	cbr	1	2015-04-24 13:25:57.919	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8756	120	87	CF	5	2015-04-24 13:25:57.935	{"prediction":4.0588235294117645}
8760	120	43	random	9	2015-04-24 13:25:57.953	\N
8762	120	87	CF	1	2015-04-24 13:26:12.686	{"prediction":4.0588235294117645}
8766	120	100	cbr	5	2015-04-24 13:26:12.794	{"similarUserId":120,"similarityToUser":1.0,"similarUserRating":4.0}
8774	120	30	CF	3	2015-04-24 13:26:40.934	{"prediction":4.0588235294117645}
8778	120	18	random	7	2015-04-24 13:26:40.952	\N
8782	120	29	CF	1	2015-04-24 13:34:20.27	{"prediction":4.0588235294117645}
8786	120	70	random	5	2015-04-24 13:34:20.282	\N
8790	120	4	random	9	2015-04-24 13:34:20.291	\N
8791	108	64	cbr	0	2015-04-24 15:43:28.45	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":1.0}
8792	108	75	tags	1	2015-04-24 15:43:28.464	{"score":5.154545339671048}
8793	108	54	tags	2	2015-04-24 15:43:28.473	{"score":4.958333532015482}
8794	108	72	tags	3	2015-04-24 15:43:28.49	{"score":4.709090980616483}
8795	108	78	CF	4	2015-04-24 15:43:28.5	{"prediction":5.059587471352177}
8796	108	23	CF	5	2015-04-24 15:43:28.503	{"prediction":5.016806722689076}
8797	108	60	CF	6	2015-04-24 15:43:28.507	{"prediction":4.9686783804430865}
8798	108	48	CF	7	2015-04-24 15:43:28.517	{"prediction":4.957983193277311}
8799	108	58	random	8	2015-04-24 15:43:28.521	\N
8800	108	5	random	9	2015-04-24 15:43:28.529	\N
8801	108	59	tags	0	2015-04-24 15:44:01.634	{"score":2.422222203678555}
8802	108	27	tags	1	2015-04-24 15:44:01.64	{"score":2.185714227812631}
8803	108	65	tags	2	2015-04-24 15:44:01.643	{"score":2.149999976158142}
8804	108	19	cbr	3	2015-04-24 15:44:01.646	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":2.0}
8805	108	60	CF	4	2015-04-24 15:44:01.648	{"prediction":4.9686783804430865}
8806	108	48	CF	5	2015-04-24 15:44:01.651	{"prediction":4.957983193277311}
8807	108	21	CF	6	2015-04-24 15:44:01.653	{"prediction":4.957983193277311}
8808	108	26	CF	7	2015-04-24 15:44:01.656	{"prediction":4.889355742296919}
8809	108	71	random	8	2015-04-24 15:44:01.658	\N
8810	108	89	random	9	2015-04-24 15:44:01.661	\N
8811	27	64	cbr	0	2015-04-24 16:16:47.154	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":1.0}
8812	27	19	cbr	1	2015-04-24 16:16:47.163	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
8813	27	21	tags	2	2015-04-24 16:16:47.169	{"score":7.307142734527588}
8814	27	29	tags	3	2015-04-24 16:16:47.177	{"score":7.2058822687934425}
8815	27	78	CF	4	2015-04-24 16:16:47.183	{"prediction":5.101604278074866}
8816	27	23	CF	5	2015-04-24 16:16:47.187	{"prediction":5.0588235294117645}
8817	27	47	CF	6	2015-04-24 16:16:47.191	{"prediction":5.042016806722689}
8818	27	60	CF	7	2015-04-24 16:16:47.193	{"prediction":5.010695187165775}
8819	27	42	random	8	2015-04-24 16:16:47.195	\N
8820	27	100	random	9	2015-04-24 16:16:47.198	\N
8821	27	64	cbr	0	2015-04-24 16:17:43.626	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":1.0}
8822	27	19	cbr	1	2015-04-24 16:17:43.63	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
8823	27	21	tags	2	2015-04-24 16:17:43.632	{"score":7.307142734527588}
8824	27	29	tags	3	2015-04-24 16:17:43.637	{"score":7.2058822687934425}
8825	27	78	CF	4	2015-04-24 16:17:43.665	{"prediction":5.101604278074866}
8826	27	23	CF	5	2015-04-24 16:17:43.668	{"prediction":5.0588235294117645}
8827	27	47	CF	6	2015-04-24 16:17:43.673	{"prediction":5.042016806722689}
8828	27	60	CF	7	2015-04-24 16:17:43.677	{"prediction":5.010695187165775}
8829	27	58	random	8	2015-04-24 16:17:43.681	\N
8830	27	73	random	9	2015-04-24 16:17:43.69	\N
8831	27	79	cbr	0	2015-04-24 16:18:00.26	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
8832	27	65	cbr	1	2015-04-24 16:18:00.263	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
8833	27	4	cbr	2	2015-04-24 16:18:00.266	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8834	27	80	tags	3	2015-04-24 16:18:00.269	{"score":7.362499952316284}
8835	27	78	CF	4	2015-04-24 16:18:00.274	{"prediction":5.101604278074866}
8836	27	23	CF	5	2015-04-24 16:18:00.276	{"prediction":5.0588235294117645}
8837	27	47	CF	6	2015-04-24 16:18:00.278	{"prediction":5.042016806722689}
8838	27	60	CF	7	2015-04-24 16:18:00.28	{"prediction":5.010695187165775}
8839	27	34	random	8	2015-04-24 16:18:00.282	\N
8840	27	45	random	9	2015-04-24 16:18:00.285	\N
8841	27	65	cbr	0	2015-04-24 16:18:09.031	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
8842	27	4	cbr	1	2015-04-24 16:18:09.035	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8843	27	32	cbr	2	2015-04-24 16:18:09.043	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8844	27	78	CF	3	2015-04-24 16:18:09.053	{"prediction":5.101604278074866}
8845	27	23	CF	4	2015-04-24 16:18:09.057	{"prediction":5.0588235294117645}
8846	27	47	CF	5	2015-04-24 16:18:09.061	{"prediction":5.042016806722689}
8847	27	60	CF	6	2015-04-24 16:18:09.065	{"prediction":5.010695187165775}
8848	27	80	tags	7	2015-04-24 16:18:09.069	{"score":7.437500238418579}
8849	27	10	random	8	2015-04-24 16:18:09.071	\N
8850	27	57	random	9	2015-04-24 16:18:09.075	\N
8851	96	78	CF	0	2015-04-24 18:15:09.334	{"prediction":4.39572192513369}
8852	96	23	CF	1	2015-04-24 18:15:09.348	{"prediction":4.352941176470588}
8853	96	47	CF	2	2015-04-24 18:15:09.375	{"prediction":4.336134453781512}
8854	96	60	CF	3	2015-04-24 18:15:09.389	{"prediction":4.304812834224599}
8858	96	50	tags	7	2015-04-24 18:15:09.421	{"score":2.6866666396458943}
8855	96	54	tags	4	2015-04-24 18:15:09.404	{"score":2.8833333253860474}
8859	96	6	random	8	2015-04-24 18:15:09.425	\N
8856	96	87	tags	5	2015-04-24 18:15:09.413	{"score":2.788888997501797}
8860	96	93	random	9	2015-04-24 18:15:09.428	\N
8857	96	100	tags	6	2015-04-24 18:15:09.417	{"score":2.716666499773661}
8861	121	64	cbr	0	2015-04-26 06:15:47.431	{"similarUserId":121,"similarityToUser":1.0,"similarUserRating":1.0}
8862	121	19	cbr	1	2015-04-26 06:15:47.452	{"similarUserId":121,"similarityToUser":1.0,"similarUserRating":2.0}
8863	121	79	cbr	2	2015-04-26 06:15:47.473	{"similarUserId":121,"similarityToUser":1.0,"similarUserRating":2.0}
8864	121	65	cbr	3	2015-04-26 06:15:47.493	{"similarUserId":121,"similarityToUser":1.0,"similarUserRating":2.0}
8865	121	78	CF	4	2015-04-26 06:15:47.509	{"prediction":4.39572192513369}
8866	121	23	CF	5	2015-04-26 06:15:47.525	{"prediction":4.352941176470588}
8867	121	47	CF	6	2015-04-26 06:15:47.534	{"prediction":4.336134453781512}
8868	121	60	CF	7	2015-04-26 06:15:47.54	{"prediction":4.304812834224599}
8869	121	75	random	8	2015-04-26 06:15:47.549	\N
8870	121	97	random	9	2015-04-26 06:15:47.552	\N
8871	121	78	CF	0	2015-04-26 06:16:43.638	{"prediction":4.39572192513369}
8872	121	23	CF	1	2015-04-26 06:16:43.642	{"prediction":4.352941176470588}
8873	121	47	CF	2	2015-04-26 06:16:43.645	{"prediction":4.336134453781512}
8874	121	60	CF	3	2015-04-26 06:16:43.648	{"prediction":4.304812834224599}
8875	121	4	cbr	4	2015-04-26 06:16:43.651	{"similarUserId":121,"similarityToUser":1.0,"similarUserRating":3.0}
8876	121	32	cbr	5	2015-04-26 06:16:43.655	{"similarUserId":121,"similarityToUser":1.0,"similarUserRating":3.0}
8877	121	4	cbr	6	2015-04-26 06:16:43.658	{"similarUserId":121,"similarityToUser":1.0,"similarUserRating":3.0}
8878	121	97	cbr	7	2015-04-26 06:16:43.66	{"similarUserId":121,"similarityToUser":1.0,"similarUserRating":3.0}
8879	121	86	random	8	2015-04-26 06:16:43.663	\N
8880	121	39	random	9	2015-04-26 06:16:43.665	\N
8881	17	64	cbr	0	2015-04-27 10:12:15.733	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":1.0}
8882	17	19	cbr	1	2015-04-27 10:12:15.842	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
8883	17	79	cbr	2	2015-04-27 10:12:15.858	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
8884	17	65	cbr	3	2015-04-27 10:12:15.885	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
8885	17	78	CF	4	2015-04-27 10:12:15.914	{"prediction":4.473453017570664}
8886	17	23	CF	5	2015-04-27 10:12:15.934	{"prediction":4.430672268907562}
8887	17	47	CF	6	2015-04-27 10:12:15.961	{"prediction":4.413865546218487}
8888	17	60	CF	7	2015-04-27 10:12:15.974	{"prediction":4.382543926661574}
8889	17	19	random	8	2015-04-27 10:12:15.988	\N
8890	17	84	random	9	2015-04-27 10:12:15.993	\N
8891	72	64	cbr	0	2015-04-27 15:14:52.932	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":1.0}
8892	72	19	cbr	1	2015-04-27 15:14:52.989	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
8893	72	79	cbr	2	2015-04-27 15:14:53.007	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
8894	72	65	cbr	3	2015-04-27 15:14:53.018	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
8895	72	78	CF	4	2015-04-27 15:14:53.028	{"prediction":5.101604278074866}
8896	72	23	CF	5	2015-04-27 15:14:53.035	{"prediction":5.0588235294117645}
8897	72	47	CF	6	2015-04-27 15:14:53.041	{"prediction":5.042016806722689}
8898	72	60	CF	7	2015-04-27 15:14:53.046	{"prediction":5.010695187165775}
8899	72	75	random	8	2015-04-27 15:14:53.051	\N
8900	72	99	random	9	2015-04-27 15:14:53.055	\N
8901	72	78	CF	0	2015-04-27 15:15:11.697	{"prediction":5.101604278074866}
8902	72	23	CF	1	2015-04-27 15:15:11.702	{"prediction":5.0588235294117645}
8903	72	47	CF	2	2015-04-27 15:15:11.705	{"prediction":5.042016806722689}
8904	72	60	CF	3	2015-04-27 15:15:11.709	{"prediction":5.010695187165775}
8905	72	64	cbr	4	2015-04-27 15:15:11.717	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":1.0}
8906	72	19	cbr	5	2015-04-27 15:15:11.722	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
8907	72	79	cbr	6	2015-04-27 15:15:11.725	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
8908	72	65	cbr	7	2015-04-27 15:15:11.727	{"similarUserId":72,"similarityToUser":1.0,"similarUserRating":2.0}
8909	72	20	random	8	2015-04-27 15:15:11.732	\N
8910	72	26	random	9	2015-04-27 15:15:11.737	\N
8911	99	64	cbr	0	2015-04-27 19:38:15.676	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":1.0}
8912	99	60	CF	1	2015-04-27 19:38:15.688	{"prediction":4.752855350894567}
8913	99	48	CF	2	2015-04-27 19:38:15.7	{"prediction":4.742160163728792}
8914	99	21	CF	3	2015-04-27 19:38:15.709	{"prediction":4.742160163728792}
8915	99	64	CF	4	2015-04-27 19:38:15.718	{"prediction":4.72745428137585}
8916	99	34	tags	5	2015-04-27 19:38:15.722	{"score":3.7142858505249023}
8917	99	39	tags	6	2015-04-27 19:38:15.729	{"score":3.2181819785724985}
8918	99	49	tags	7	2015-04-27 19:38:15.732	{"score":3.2000001072883606}
8919	99	9	random	8	2015-04-27 19:38:15.736	\N
8920	99	50	random	9	2015-04-27 19:38:15.741	\N
8921	99	60	CF	0	2015-04-27 19:38:31.579	{"prediction":4.752855350894567}
8922	99	48	CF	1	2015-04-27 19:38:31.582	{"prediction":4.742160163728792}
8923	99	21	CF	2	2015-04-27 19:38:31.586	{"prediction":4.742160163728792}
8924	99	97	CF	3	2015-04-27 19:38:31.589	{"prediction":4.598369314055589}
8925	99	65	cbr	4	2015-04-27 19:38:31.592	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
8926	99	34	tags	5	2015-04-27 19:38:31.595	{"score":4.0142858028411865}
8927	99	49	tags	6	2015-04-27 19:38:31.598	{"score":3.6000000635782876}
8928	99	39	tags	7	2015-04-27 19:38:31.601	{"score":3.5181819308887827}
8929	99	55	random	8	2015-04-27 19:38:31.604	\N
8930	99	10	random	9	2015-04-27 19:38:31.607	\N
8931	99	35	CF	0	2015-04-27 19:40:02.445	{"prediction":4.506866046081733}
8932	99	30	CF	1	2015-04-27 19:40:02.449	{"prediction":4.506866046081733}
8933	99	50	CF	2	2015-04-27 19:40:02.454	{"prediction":4.506866046081733}
8937	99	67	cbr	6	2015-04-27 19:40:02.469	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8934	99	29	CF	3	2015-04-27 19:40:02.459	{"prediction":4.506866046081733}
8938	99	58	cbr	7	2015-04-27 19:40:02.472	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8935	99	4	cbr	4	2015-04-27 19:40:02.463	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8939	99	55	random	8	2015-04-27 19:40:02.475	\N
8936	99	4	cbr	5	2015-04-27 19:40:02.466	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
8940	99	79	random	9	2015-04-27 19:40:02.478	\N
8941	122	78	CF	0	2015-04-27 20:02:13.473	{"prediction":4.39572192513369}
8942	122	23	CF	1	2015-04-27 20:02:13.482	{"prediction":4.352941176470588}
8943	122	47	CF	2	2015-04-27 20:02:13.49	{"prediction":4.336134453781512}
8944	122	60	CF	3	2015-04-27 20:02:13.499	{"prediction":4.304812834224599}
8945	122	58	tags	4	2015-04-27 20:02:13.523	{"score":1.0}
8946	122	87	tags	5	2015-04-27 20:02:13.527	{"score":0.7599999904632568}
8947	122	66	tags	6	2015-04-27 20:02:13.533	{"score":0.6714285441807338}
8948	122	40	tags	7	2015-04-27 20:02:13.554	{"score":0.6666666666666666}
8949	122	87	random	8	2015-04-27 20:02:13.559	\N
8950	122	62	random	9	2015-04-27 20:02:13.566	\N
8951	27	57	tags	0	2015-04-27 20:47:08.406	{"score":8.500000529819065}
8952	27	80	tags	1	2015-04-27 20:47:08.416	{"score":7.925000190734863}
8953	27	64	cbr	2	2015-04-27 20:47:08.426	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":1.0}
8954	27	19	cbr	3	2015-04-27 20:47:08.435	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":2.0}
8955	27	78	CF	4	2015-04-27 20:47:08.456	{"prediction":5.101604278074866}
8956	27	23	CF	5	2015-04-27 20:47:08.473	{"prediction":5.0588235294117645}
8957	27	47	CF	6	2015-04-27 20:47:08.477	{"prediction":5.042016806722689}
8958	27	60	CF	7	2015-04-27 20:47:08.485	{"prediction":5.010695187165775}
8959	27	59	random	8	2015-04-27 20:47:08.491	\N
8960	27	56	random	9	2015-04-27 20:47:08.5	\N
8961	27	66	tags	0	2015-04-27 20:47:59.338	{"score":6.018181692470204}
8962	27	47	CF	1	2015-04-27 20:47:59.343	{"prediction":5.042016806722689}
8963	27	60	CF	2	2015-04-27 20:47:59.35	{"prediction":5.010695187165775}
8964	27	48	CF	3	2015-04-27 20:47:59.353	{"prediction":5.0}
8965	27	26	CF	4	2015-04-27 20:47:59.365	{"prediction":4.931372549019608}
8966	27	4	cbr	5	2015-04-27 20:47:59.372	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8967	27	32	cbr	6	2015-04-27 20:47:59.376	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8968	27	4	cbr	7	2015-04-27 20:47:59.381	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8969	27	29	random	8	2015-04-27 20:47:59.389	\N
8970	27	60	CF	0	2015-04-27 20:48:48.045	{"prediction":5.010695187165775}
8971	27	48	CF	1	2015-04-27 20:48:48.049	{"prediction":5.0}
8972	27	26	CF	2	2015-04-27 20:48:48.068	{"prediction":4.931372549019608}
8973	27	100	CF	3	2015-04-27 20:48:48.074	{"prediction":4.899159663865547}
8974	27	4	cbr	4	2015-04-27 20:48:48.089	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8975	27	32	cbr	5	2015-04-27 20:48:48.094	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8976	27	4	cbr	6	2015-04-27 20:48:48.097	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8977	27	97	cbr	7	2015-04-27 20:48:48.102	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8978	27	86	random	8	2015-04-27 20:48:48.105	\N
8979	27	18	random	9	2015-04-27 20:48:48.108	\N
8980	27	4	cbr	0	2015-04-27 20:49:19.03	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8981	27	32	cbr	1	2015-04-27 20:49:19.039	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8982	27	4	cbr	2	2015-04-27 20:49:19.045	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8983	27	97	cbr	3	2015-04-27 20:49:19.054	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
8984	27	60	CF	4	2015-04-27 20:49:19.074	{"prediction":5.010695187165775}
8985	27	48	CF	5	2015-04-27 20:49:19.099	{"prediction":5.0}
8986	27	26	CF	6	2015-04-27 20:49:19.102	{"prediction":4.931372549019608}
8987	27	100	CF	7	2015-04-27 20:49:19.105	{"prediction":4.899159663865547}
8988	27	22	random	8	2015-04-27 20:49:19.114	\N
8989	27	86	random	9	2015-04-27 20:49:19.136	\N
8990	122	64	cbr	0	2015-04-27 21:04:37.778	{"similarUserId":122,"similarityToUser":1.0,"similarUserRating":1.0}
8991	122	97	tags	1	2015-04-27 21:04:37.789	{"score":1.4076922169098487}
8992	122	87	tags	2	2015-04-27 21:04:37.807	{"score":1.3555555674764845}
8993	122	95	tags	3	2015-04-27 21:04:37.817	{"score":1.3166666626930237}
8994	122	23	CF	4	2015-04-27 21:04:37.856	{"prediction":4.352941176470588}
8995	122	47	CF	5	2015-04-27 21:04:37.861	{"prediction":4.336134453781512}
8996	122	60	CF	6	2015-04-27 21:04:37.866	{"prediction":4.304812834224599}
8997	122	48	CF	7	2015-04-27 21:04:37.872	{"prediction":4.294117647058823}
8998	122	92	random	8	2015-04-27 21:04:37.88	\N
8999	122	23	CF	0	2015-04-27 21:05:35.679	{"prediction":4.352941176470588}
9000	122	47	CF	1	2015-04-27 21:05:35.685	{"prediction":4.336134453781512}
9001	122	60	CF	2	2015-04-27 21:05:35.691	{"prediction":4.304812834224599}
9002	122	48	CF	3	2015-04-27 21:05:35.694	{"prediction":4.294117647058823}
9003	122	79	tags	4	2015-04-27 21:05:35.697	{"score":2.450000087420146}
9004	122	46	tags	5	2015-04-27 21:05:35.703	{"score":2.433333357175191}
9005	122	87	tags	6	2015-04-27 21:05:35.707	{"score":2.3388889067702823}
9006	122	19	cbr	7	2015-04-27 21:05:35.71	{"similarUserId":122,"similarityToUser":1.0,"similarUserRating":2.0}
9007	122	52	random	8	2015-04-27 21:05:35.714	\N
9008	122	18	random	9	2015-04-27 21:05:35.718	\N
9009	122	48	CF	0	2015-04-27 21:06:09.659	{"prediction":4.294117647058823}
9010	122	21	CF	1	2015-04-27 21:06:09.674	{"prediction":4.294117647058823}
9011	122	26	CF	2	2015-04-27 21:06:09.681	{"prediction":4.2254901960784315}
9012	122	100	CF	3	2015-04-27 21:06:09.685	{"prediction":4.19327731092437}
9013	122	58	tags	4	2015-04-27 21:06:09.701	{"score":1.925000011920929}
9014	122	87	tags	5	2015-04-27 21:06:09.71	{"score":1.555555482705434}
9018	122	12	random	9	2015-04-27 21:06:09.73	\N
9020	122	58	tags	1	2015-04-27 21:10:15.12	{"score":1.3250000476837158}
9024	122	87	CF	5	2015-04-27 21:10:15.131	{"prediction":4.0588235294117645}
9028	122	20	random	9	2015-04-27 21:10:15.143	\N
9015	122	51	tags	6	2015-04-27 21:06:09.717	{"score":1.4642858079501562}
9019	122	19	cbr	0	2015-04-27 21:10:15.115	{"similarUserId":122,"similarityToUser":1.0,"similarUserRating":2.0}
9023	122	100	CF	4	2015-04-27 21:10:15.128	{"prediction":4.19327731092437}
9016	122	12	tags	7	2015-04-27 21:06:09.723	{"score":1.4499999483426411}
9022	122	87	tags	3	2015-04-27 21:10:15.125	{"score":1.1222222977214389}
9026	122	20	CF	7	2015-04-27 21:10:15.136	{"prediction":4.0588235294117645}
9017	122	60	random	8	2015-04-27 21:06:09.727	\N
9021	122	51	tags	2	2015-04-27 21:10:15.122	{"score":1.1642857534544808}
9025	122	35	CF	6	2015-04-27 21:10:15.134	{"prediction":4.0588235294117645}
9029	27	97	cbr	0	2015-04-28 18:17:32.498	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9030	27	67	cbr	1	2015-04-28 18:17:32.561	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9031	27	58	cbr	2	2015-04-28 18:17:32.572	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9032	27	60	CF	3	2015-04-28 18:17:32.581	{"prediction":5.010695187165775}
9033	27	48	CF	4	2015-04-28 18:17:32.589	{"prediction":5.0}
9034	27	26	CF	5	2015-04-28 18:17:32.592	{"prediction":4.931372549019608}
9035	27	100	CF	6	2015-04-28 18:17:32.596	{"prediction":4.899159663865547}
9036	27	59	tags	7	2015-04-28 18:17:32.599	{"score":6.105555772781372}
9037	27	44	random	8	2015-04-28 18:17:32.603	\N
9038	27	31	random	9	2015-04-28 18:17:32.608	\N
9039	27	59	tags	0	2015-04-28 18:18:43.855	{"score":6.105555772781372}
9040	27	60	CF	1	2015-04-28 18:18:43.859	{"prediction":5.010695187165775}
9041	27	48	CF	2	2015-04-28 18:18:43.863	{"prediction":5.0}
9042	27	26	CF	3	2015-04-28 18:18:43.866	{"prediction":4.931372549019608}
9043	27	100	CF	4	2015-04-28 18:18:43.869	{"prediction":4.899159663865547}
9044	27	97	cbr	5	2015-04-28 18:18:43.873	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9045	27	67	cbr	6	2015-04-28 18:18:43.876	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9046	27	58	cbr	7	2015-04-28 18:18:43.879	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9047	27	58	random	8	2015-04-28 18:18:43.882	\N
9048	27	27	random	9	2015-04-28 18:18:43.885	\N
9049	27	97	cbr	0	2015-04-28 18:18:59.332	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9050	27	67	cbr	1	2015-04-28 18:18:59.336	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9051	27	58	cbr	2	2015-04-28 18:18:59.339	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9052	27	48	CF	3	2015-04-28 18:18:59.342	{"prediction":5.0}
9053	27	26	CF	4	2015-04-28 18:18:59.345	{"prediction":4.931372549019608}
9054	27	100	CF	5	2015-04-28 18:18:59.349	{"prediction":4.899159663865547}
9055	27	97	CF	6	2015-04-28 18:18:59.352	{"prediction":4.856209150326797}
9056	27	29	tags	7	2015-04-28 18:18:59.355	{"score":6.597058871213128}
9057	27	41	random	8	2015-04-28 18:18:59.358	\N
9058	27	60	random	9	2015-04-28 18:18:59.361	\N
9059	27	67	cbr	0	2015-04-28 18:19:15.864	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9060	27	58	cbr	1	2015-04-28 18:19:15.868	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
9061	27	87	cbr	2	2015-04-28 18:19:15.871	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
9062	27	29	tags	3	2015-04-28 18:19:15.876	{"score":6.773529459448421}
9063	27	48	CF	4	2015-04-28 18:19:15.88	{"prediction":5.0}
9064	27	26	CF	5	2015-04-28 18:19:15.885	{"prediction":4.931372549019608}
9065	27	100	CF	6	2015-04-28 18:19:15.896	{"prediction":4.899159663865547}
9066	27	87	CF	7	2015-04-28 18:19:15.9	{"prediction":4.764705882352941}
9067	27	66	random	8	2015-04-28 18:19:15.904	\N
9068	27	5	random	9	2015-04-28 18:19:15.908	\N
9069	27	87	cbr	0	2015-04-28 18:19:57.447	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
9070	27	48	cbr	1	2015-04-28 18:19:57.454	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
9071	27	100	cbr	2	2015-04-28 18:19:57.459	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
9072	27	48	CF	3	2015-04-28 18:19:57.462	{"prediction":4.738533591731266}
9073	27	26	CF	4	2015-04-28 18:19:57.468	{"prediction":4.6697351421188635}
9074	27	100	CF	5	2015-04-28 18:19:57.472	{"prediction":4.6376199704688075}
9075	27	87	CF	6	2015-04-28 18:19:57.478	{"prediction":4.503068475452197}
9076	27	68	tags	7	2015-04-28 18:19:57.48	{"score":7.290000247955322}
9077	27	86	random	8	2015-04-28 18:19:57.483	\N
9078	27	5	random	9	2015-04-28 18:19:57.486	\N
9079	27	68	tags	0	2015-04-28 18:20:22.495	{"score":6.92999963760376}
9080	27	26	CF	1	2015-04-28 18:20:22.5	{"prediction":4.6697351421188635}
9081	27	100	CF	2	2015-04-28 18:20:22.503	{"prediction":4.6376199704688075}
9082	27	35	CF	3	2015-04-28 18:20:22.506	{"prediction":4.503068475452197}
9083	27	20	CF	4	2015-04-28 18:20:22.509	{"prediction":4.503068475452197}
9084	27	100	cbr	5	2015-04-28 18:20:22.512	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
9085	27	85	cbr	6	2015-04-28 18:20:22.514	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
9086	27	82	random	7	2015-04-28 18:20:22.517	\N
9087	27	49	random	8	2015-04-28 18:20:22.52	\N
9088	27	73	random	9	2015-04-28 18:20:22.522	\N
9089	27	26	CF	0	2015-04-28 18:20:38.804	{"prediction":4.6697351421188635}
9090	27	100	CF	1	2015-04-28 18:20:38.819	{"prediction":4.6376199704688075}
9091	27	35	CF	2	2015-04-28 18:20:38.823	{"prediction":4.503068475452197}
9092	27	20	CF	3	2015-04-28 18:20:38.827	{"prediction":4.503068475452197}
9093	27	100	cbr	4	2015-04-28 18:20:38.831	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
9094	27	85	cbr	5	2015-04-28 18:20:38.835	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
9095	27	3	random	6	2015-04-28 18:20:38.838	\N
9096	27	49	random	7	2015-04-28 18:20:38.844	\N
9097	27	12	random	8	2015-04-28 18:20:38.847	\N
9099	27	100	cbr	0	2015-04-28 18:20:57.906	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
9100	27	85	cbr	1	2015-04-28 18:20:57.909	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":4.0}
9101	27	100	CF	2	2015-04-28 18:20:57.913	{"prediction":4.6376199704688075}
9105	27	58	random	6	2015-04-28 18:20:57.928	\N
9112	27	29	CF	3	2015-04-28 18:23:41.346	{"prediction":4.503068475452197}
9116	27	13	random	7	2015-04-28 18:23:41.36	\N
9102	27	35	CF	3	2015-04-28 18:20:57.917	{"prediction":4.503068475452197}
9106	27	91	random	7	2015-04-28 18:20:57.931	\N
9110	27	20	CF	1	2015-04-28 18:23:41.333	{"prediction":4.503068475452197}
9114	27	58	random	5	2015-04-28 18:23:41.355	\N
9118	27	45	random	9	2015-04-28 18:23:41.366	\N
9103	27	20	CF	4	2015-04-28 18:20:57.919	{"prediction":4.503068475452197}
9107	27	36	random	8	2015-04-28 18:20:57.933	\N
9111	27	30	CF	2	2015-04-28 18:23:41.342	{"prediction":4.503068475452197}
9115	27	69	random	6	2015-04-28 18:23:41.358	\N
9104	27	30	CF	5	2015-04-28 18:20:57.922	{"prediction":4.503068475452197}
9108	27	47	random	9	2015-04-28 18:20:57.936	\N
9109	27	35	CF	0	2015-04-28 18:23:41.329	{"prediction":4.503068475452197}
9113	27	86	random	4	2015-04-28 18:23:41.35	\N
9117	27	57	random	8	2015-04-28 18:23:41.363	\N
9119	123	58	tags	0	2015-04-28 19:57:28.666	{"score":1.0}
9120	123	4	tags	1	2015-04-28 19:57:28.697	{"score":1.0}
9121	123	14	tags	2	2015-04-28 19:57:28.715	{"score":0.6699999809265137}
9122	123	87	tags	3	2015-04-28 19:57:28.732	{"score":0.6666666666666666}
9123	123	78	CF	4	2015-04-28 19:57:28.749	{"prediction":4.395348837209302}
9124	123	23	CF	5	2015-04-28 19:57:28.76	{"prediction":4.352713178294573}
9125	123	47	CF	6	2015-04-28 19:57:28.776	{"prediction":4.335548172757475}
9126	123	60	CF	7	2015-04-28 19:57:28.831	{"prediction":4.304439746300211}
9127	123	5	random	8	2015-04-28 19:57:28.839	\N
9128	123	1	random	9	2015-04-28 19:57:28.849	\N
9129	123	68	tags	0	2015-04-28 19:58:38.883	{"score":0.949999988079071}
9130	123	66	tags	1	2015-04-28 19:58:38.887	{"score":0.944444477558136}
9131	123	60	tags	2	2015-04-28 19:58:38.89	{"score":0.9428571547780719}
9132	123	78	CF	3	2015-04-28 19:58:38.893	{"prediction":4.395348837209302}
9133	123	23	CF	4	2015-04-28 19:58:38.896	{"prediction":4.352713178294573}
9134	123	47	CF	5	2015-04-28 19:58:38.899	{"prediction":4.335548172757475}
9135	123	60	CF	6	2015-04-28 19:58:38.901	{"prediction":4.304439746300211}
9136	123	64	cbr	7	2015-04-28 19:58:38.904	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":1.0}
9137	123	6	random	8	2015-04-28 19:58:38.909	\N
9138	123	1	random	9	2015-04-28 19:58:38.912	\N
9139	123	84	tags	0	2015-04-28 19:58:57.697	{"score":0.09000002145767211}
9140	123	16	tags	1	2015-04-28 19:58:57.7	{"score":0.03999999761581421}
9141	123	94	tags	2	2015-04-28 19:58:57.703	{"score":1.986821490662649E-8}
9142	123	23	CF	3	2015-04-28 19:58:57.706	{"prediction":4.352713178294573}
9143	123	47	CF	4	2015-04-28 19:58:57.709	{"prediction":4.335548172757475}
9144	123	21	CF	5	2015-04-28 19:58:57.712	{"prediction":4.2936046511627906}
9145	123	48	CF	6	2015-04-28 19:58:57.715	{"prediction":4.2936046511627906}
9146	123	64	cbr	7	2015-04-28 19:58:57.718	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":1.0}
9147	123	12	random	8	2015-04-28 19:58:57.72	\N
9148	123	69	random	9	2015-04-28 19:58:57.722	\N
9149	123	19	cbr	0	2015-04-28 20:00:01.399	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":2.0}
9150	123	79	cbr	1	2015-04-28 20:00:01.408	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":2.0}
9151	123	65	cbr	2	2015-04-28 20:00:01.436	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":2.0}
9152	123	4	cbr	3	2015-04-28 20:00:01.458	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":3.0}
9153	123	26	CF	4	2015-04-28 20:00:01.466	{"prediction":4.224806201550388}
9154	123	100	CF	5	2015-04-28 20:00:01.483	{"prediction":4.192691029900332}
9155	123	97	CF	6	2015-04-28 20:00:01.513	{"prediction":4.149870801033591}
9156	123	87	CF	7	2015-04-28 20:00:01.526	{"prediction":4.058139534883721}
9157	123	69	random	8	2015-04-28 20:00:01.537	\N
9158	123	58	random	9	2015-04-28 20:00:01.549	\N
9159	123	32	cbr	0	2015-04-28 20:00:26.816	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":3.0}
9160	123	97	cbr	1	2015-04-28 20:00:26.822	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":3.0}
9161	123	67	cbr	2	2015-04-28 20:00:26.825	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":3.0}
9162	123	87	cbr	3	2015-04-28 20:00:26.828	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":4.0}
9163	123	100	CF	4	2015-04-28 20:00:26.83	{"prediction":4.192691029900332}
9164	123	97	CF	5	2015-04-28 20:00:26.836	{"prediction":4.149870801033591}
9165	123	87	CF	6	2015-04-28 20:00:26.838	{"prediction":4.058139534883721}
9166	123	35	CF	7	2015-04-28 20:00:26.841	{"prediction":4.058139534883721}
9167	123	89	random	8	2015-04-28 20:00:26.844	\N
9168	123	66	random	9	2015-04-28 20:00:26.846	\N
9169	99	19	cbr	0	2015-04-29 13:34:52.918	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
9170	99	19	cbr	1	2015-04-29 13:34:53.035	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
9171	99	32	cbr	2	2015-04-29 13:34:53.046	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
9172	99	14	CF	3	2015-04-29 13:34:53.056	{"prediction":4.498390139863008}
9173	99	85	CF	4	2015-04-29 13:34:53.065	{"prediction":4.498390139863008}
9174	99	58	CF	5	2015-04-29 13:34:53.072	{"prediction":4.265093720520077}
9175	99	67	CF	6	2015-04-29 13:34:53.078	{"prediction":4.265093720520077}
9176	99	1	tags	7	2015-04-29 13:34:53.083	{"score":0.9375003576278687}
9177	99	58	random	8	2015-04-29 13:34:53.093	\N
9178	99	62	random	9	2015-04-29 13:34:53.103	\N
9179	99	93	tags	0	2015-04-29 13:56:02.995	{"score":0.6454547752033579}
9180	99	98	tags	1	2015-04-29 13:56:03.011	{"score":0.6090911735187876}
9181	99	67	cbr	2	2015-04-29 13:56:03.032	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
9182	99	58	cbr	3	2015-04-29 13:56:03.066	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":3.0}
9183	99	58	CF	4	2015-04-29 13:56:03.08	{"prediction":4.265093720520077}
9184	99	67	CF	5	2015-04-29 13:56:03.085	{"prediction":4.265093720520077}
9185	99	63	CF	6	2015-04-29 13:56:03.091	{"prediction":4.212675854148722}
9186	99	8	CF	7	2015-04-29 13:56:03.097	{"prediction":4.173362454370206}
9187	99	73	random	8	2015-04-29 13:56:03.107	\N
9188	99	17	random	9	2015-04-29 13:56:03.123	\N
9189	17	64	cbr	0	2015-04-29 15:10:26.653	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":1.0}
9190	17	19	cbr	1	2015-04-29 15:10:26.666	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
9191	17	79	cbr	2	2015-04-29 15:10:26.68	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
9192	17	65	cbr	3	2015-04-29 15:10:26.693	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":2.0}
9194	17	23	CF	5	2015-04-29 15:10:26.708	{"prediction":4.419527500922849}
9195	17	47	CF	6	2015-04-29 15:10:26.715	{"prediction":4.402362495385751}
9196	17	60	CF	7	2015-04-29 15:10:26.718	{"prediction":4.371254068928487}
9198	17	50	random	9	2015-04-29 15:10:26.725	\N
9200	17	48	CF	1	2015-04-29 15:10:52.611	{"prediction":4.360418973791067}
9201	17	26	CF	2	2015-04-29 15:10:52.615	{"prediction":4.291620524178664}
9202	17	100	CF	3	2015-04-29 15:10:52.618	{"prediction":4.259505352528608}
9204	17	32	cbr	5	2015-04-29 15:10:52.624	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9205	17	4	cbr	6	2015-04-29 15:10:52.627	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9206	17	97	cbr	7	2015-04-29 15:10:52.63	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9208	17	9	random	9	2015-04-29 15:10:52.636	\N
9209	17	48	CF	0	2015-04-29 15:11:21.344	{"prediction":4.360418973791067}
9210	17	26	CF	1	2015-04-29 15:11:21.363	{"prediction":4.291620524178664}
9212	17	97	CF	3	2015-04-29 15:11:21.375	{"prediction":4.216685123661867}
9213	17	4	cbr	4	2015-04-29 15:11:21.379	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9214	17	32	cbr	5	2015-04-29 15:11:21.384	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9216	17	97	cbr	7	2015-04-29 15:11:21.404	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9217	17	46	random	8	2015-04-29 15:11:21.407	\N
9218	17	99	random	9	2015-04-29 15:11:21.411	\N
9220	17	32	cbr	1	2015-04-29 15:11:49.048	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9221	17	4	cbr	2	2015-04-29 15:11:49.053	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9222	17	97	cbr	3	2015-04-29 15:11:49.059	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9224	17	97	CF	5	2015-04-29 15:11:49.067	{"prediction":4.216685123661867}
9225	17	87	CF	6	2015-04-29 15:11:49.072	{"prediction":4.124953857511997}
9226	17	35	CF	7	2015-04-29 15:11:49.075	{"prediction":4.124953857511997}
9228	17	85	random	9	2015-04-29 15:11:49.088	\N
9193	17	78	CF	4	2015-04-29 15:10:26.704	{"prediction":4.462163159837578}
9197	17	59	random	8	2015-04-29 15:10:26.722	\N
9199	17	21	CF	0	2015-04-29 15:10:52.608	{"prediction":4.360418973791067}
9203	17	4	cbr	4	2015-04-29 15:10:52.621	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9207	17	19	random	8	2015-04-29 15:10:52.633	\N
9211	17	100	CF	2	2015-04-29 15:11:21.371	{"prediction":4.259505352528608}
9215	17	4	cbr	6	2015-04-29 15:11:21.387	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9219	17	4	cbr	0	2015-04-29 15:11:49.04	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
9223	17	100	CF	4	2015-04-29 15:11:49.063	{"prediction":4.259505352528608}
9227	17	69	random	8	2015-04-29 15:11:49.084	\N
9229	91	60	tags	0	2015-04-30 03:17:05.223	{"score":4.564285593373435}
9230	91	79	tags	1	2015-04-30 03:17:05.248	{"score":4.300000081459681}
9231	91	58	tags	2	2015-04-30 03:17:05.256	{"score":4.124999970197678}
9232	91	54	tags	3	2015-04-30 03:17:05.264	{"score":3.9666666785875955}
9233	91	78	CF	4	2015-04-30 03:17:05.271	{"prediction":4.395348837209302}
9234	91	23	CF	5	2015-04-30 03:17:05.275	{"prediction":4.352713178294573}
9235	91	47	CF	6	2015-04-30 03:17:05.278	{"prediction":4.335548172757475}
9236	91	60	CF	7	2015-04-30 03:17:05.281	{"prediction":4.304439746300211}
9237	91	68	random	8	2015-04-30 03:17:05.283	\N
9238	91	66	random	9	2015-04-30 03:17:05.287	\N
9239	91	64	tags	0	2015-04-30 03:17:45.993	{"score":4.700000087420146}
9240	91	79	tags	1	2015-04-30 03:17:45.998	{"score":4.599999954303105}
9241	91	38	tags	2	2015-04-30 03:17:46.001	{"score":4.50666678349177}
9242	91	78	CF	3	2015-04-30 03:17:46.005	{"prediction":4.395348837209302}
9243	91	23	CF	4	2015-04-30 03:17:46.008	{"prediction":4.352713178294573}
9244	91	47	CF	5	2015-04-30 03:17:46.011	{"prediction":4.335548172757475}
9245	91	21	CF	6	2015-04-30 03:17:46.014	{"prediction":4.2936046511627906}
9246	91	64	cbr	7	2015-04-30 03:17:46.017	{"similarUserId":91,"similarityToUser":1.0,"similarUserRating":1.0}
9247	91	42	random	8	2015-04-30 03:17:46.02	\N
9248	91	29	random	9	2015-04-30 03:17:46.022	\N
9249	53	78	CF	0	2015-04-30 12:26:07.936	{"prediction":4.395348837209302}
9250	53	23	CF	1	2015-04-30 12:26:07.997	{"prediction":4.352713178294573}
9251	53	47	CF	2	2015-04-30 12:26:08.006	{"prediction":4.335548172757475}
9252	53	60	CF	3	2015-04-30 12:26:08.015	{"prediction":4.304439746300211}
9253	53	60	tags	4	2015-04-30 12:26:08.026	{"score":2.52142847435815}
9254	53	79	tags	5	2015-04-30 12:26:08.031	{"score":2.419999885559082}
9255	53	21	tags	6	2015-04-30 12:26:08.035	{"score":2.357142814568111}
9256	53	19	tags	7	2015-04-30 12:26:08.039	{"score":2.3555555674764843}
9257	53	83	random	8	2015-04-30 12:26:08.045	\N
9258	53	26	random	9	2015-04-30 12:26:08.051	\N
9259	53	78	CF	0	2015-04-30 12:27:01.833	{"prediction":4.395348837209302}
9260	53	23	CF	1	2015-04-30 12:27:01.851	{"prediction":4.352713178294573}
9261	53	47	CF	2	2015-04-30 12:27:01.866	{"prediction":4.335548172757475}
9262	53	60	CF	3	2015-04-30 12:27:01.875	{"prediction":4.304439746300211}
9263	53	60	tags	4	2015-04-30 12:27:01.89	{"score":2.52142847435815}
9264	53	79	tags	5	2015-04-30 12:27:01.907	{"score":2.419999885559082}
9265	53	21	tags	6	2015-04-30 12:27:01.911	{"score":2.357142814568111}
9266	53	19	tags	7	2015-04-30 12:27:01.914	{"score":2.3555555674764843}
9267	53	29	random	8	2015-04-30 12:27:01.917	\N
9268	53	27	random	9	2015-04-30 12:27:01.92	\N
9269	108	78	CF	0	2015-05-01 19:48:21.408	{"prediction":5.059800664451827}
9270	108	23	CF	1	2015-05-01 19:48:21.598	{"prediction":5.017165005537098}
9271	108	60	CF	2	2015-05-01 19:48:21.62	{"prediction":4.968891573542736}
9272	108	21	CF	3	2015-05-01 19:48:21.679	{"prediction":4.958056478405315}
9273	108	47	tags	4	2015-05-01 19:48:21.741	{"score":0.9750001430511475}
9274	108	59	tags	5	2015-05-01 19:48:21.813	{"score":0.7555556098620098}
9275	108	69	tags	6	2015-05-01 19:48:21.921	{"score":0.7312500029802322}
9276	108	67	tags	7	2015-05-01 19:48:22.102	{"score":0.7000000327825546}
9277	108	49	random	8	2015-05-01 19:48:22.195	\N
9278	108	66	random	9	2015-05-01 19:48:22.241	\N
9279	108	21	CF	0	2015-05-01 19:55:37.645	{"prediction":4.958056478405315}
9280	108	48	CF	1	2015-05-01 19:55:37.654	{"prediction":4.958056478405315}
9281	108	64	CF	2	2015-05-01 19:55:37.678	{"prediction":4.943521594684385}
9282	108	26	CF	3	2015-05-01 19:55:37.691	{"prediction":4.889258028792913}
9283	108	67	tags	4	2015-05-01 19:55:37.696	{"score":0.21250003576278687}
9284	108	47	tags	5	2015-05-01 19:55:37.702	{"score":0.20625010132789612}
9285	108	86	tags	6	2015-05-01 19:55:37.711	{"score":0.2000000923871994}
9286	108	61	tags	7	2015-05-01 19:55:37.716	{"score":0.07500004768371582}
9287	108	2	random	8	2015-05-01 19:55:37.721	\N
9288	108	66	random	9	2015-05-01 19:55:37.727	\N
9289	108	47	tags	0	2015-05-01 19:55:47.875	{"score":0.6750000715255737}
9290	108	68	tags	1	2015-05-01 19:55:47.88	{"score":0.6100000590085983}
9291	108	86	tags	2	2015-05-01 19:55:47.884	{"score":0.5750000476837158}
9292	108	67	tags	3	2015-05-01 19:55:47.887	{"score":0.5499999821186066}
9293	108	48	CF	4	2015-05-01 19:55:47.89	{"prediction":4.958056478405315}
9294	108	64	CF	5	2015-05-01 19:55:47.892	{"prediction":4.943521594684385}
9295	108	26	CF	6	2015-05-01 19:55:47.896	{"prediction":4.889258028792913}
9296	108	100	CF	7	2015-05-01 19:55:47.899	{"prediction":4.857142857142857}
9297	108	54	random	8	2015-05-01 19:55:47.903	\N
9298	108	39	random	9	2015-05-01 19:55:47.907	\N
9300	108	64	CF	1	2015-05-01 19:55:58.484	{"prediction":4.943521594684385}
9304	108	19	cbr	5	2015-05-01 19:55:58.512	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":2.0}
9308	108	54	random	9	2015-05-01 19:55:58.53	\N
9309	108	100	CF	0	2015-05-01 20:01:56.421	{"prediction":4.857142857142857}
9313	108	100	tags	4	2015-05-01 20:01:56.517	{"score":1.8999999711910884}
9317	108	3	random	8	2015-05-01 20:01:56.556	\N
9321	108	65	cbr	2	2015-05-01 20:02:07.969	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":2.0}
9325	108	87	CF	6	2015-05-01 20:02:07.983	{"prediction":4.722591362126246}
9299	108	48	CF	0	2015-05-01 19:55:58.48	{"prediction":4.958056478405315}
9303	108	64	cbr	4	2015-05-01 19:55:58.506	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":1.0}
9307	108	101	random	8	2015-05-01 19:55:58.527	\N
9310	108	97	CF	1	2015-05-01 20:01:56.428	{"prediction":4.814322628276116}
9314	108	75	tags	5	2015-05-01 20:01:56.523	{"score":1.854545371098952}
9318	108	46	random	9	2015-05-01 20:01:56.561	\N
9320	108	79	cbr	1	2015-05-01 20:02:07.962	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":2.0}
9324	108	35	CF	5	2015-05-01 20:02:07.979	{"prediction":4.722591362126246}
9328	108	1	random	9	2015-05-01 20:02:07.997	\N
9301	108	26	CF	2	2015-05-01 19:55:58.491	{"prediction":4.889258028792913}
9305	108	75	tags	6	2015-05-01 19:55:58.52	{"score":1.9363635182380676}
9312	108	35	CF	3	2015-05-01 20:01:56.511	{"prediction":4.722591362126246}
9316	108	19	cbr	7	2015-05-01 20:01:56.547	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":2.0}
9322	108	97	CF	3	2015-05-01 20:02:07.973	{"prediction":4.814322628276116}
9326	108	75	tags	7	2015-05-01 20:02:07.987	{"score":2.4136361696503377}
9302	108	100	CF	3	2015-05-01 19:55:58.497	{"prediction":4.857142857142857}
9306	108	100	tags	7	2015-05-01 19:55:58.523	{"score":1.6000000983476639}
9311	108	50	CF	2	2015-05-01 20:01:56.439	{"prediction":4.722591362126246}
9315	108	58	tags	6	2015-05-01 20:01:56.527	{"score":1.724999949336052}
9319	108	19	cbr	0	2015-05-01 20:02:07.956	{"similarUserId":108,"similarityToUser":1.0,"similarUserRating":2.0}
9323	108	50	CF	4	2015-05-01 20:02:07.976	{"prediction":4.722591362126246}
9327	108	52	random	8	2015-05-01 20:02:07.99	\N
9329	93	78	CF	0	2015-05-02 17:16:43.567	{"prediction":4.395348837209302}
9330	93	23	CF	1	2015-05-02 17:16:43.657	{"prediction":4.352713178294573}
9331	93	47	CF	2	2015-05-02 17:16:43.667	{"prediction":4.335548172757475}
9332	93	60	CF	3	2015-05-02 17:16:43.68	{"prediction":4.304439746300211}
9333	93	66	tags	4	2015-05-02 17:16:43.684	{"score":4.599999752911654}
9334	93	64	tags	5	2015-05-02 17:16:43.688	{"score":4.5999996066093445}
9335	93	53	tags	6	2015-05-02 17:16:43.691	{"score":4.579999653498332}
9336	93	86	tags	7	2015-05-02 17:16:43.694	{"score":4.487499713897705}
9337	93	82	random	8	2015-05-02 17:16:43.704	\N
9338	93	74	random	9	2015-05-02 17:16:43.72	\N
9339	96	54	tags	0	2015-05-04 14:22:12.598	{"score":3.8583333690961203}
9340	96	50	tags	1	2015-05-04 14:22:12.907	{"score":3.606666346391042}
9341	96	72	tags	2	2015-05-04 14:22:12.967	{"score":3.5727271004156633}
9342	96	100	tags	3	2015-05-04 14:22:13.048	{"score":3.51666651169459}
9343	96	78	CF	4	2015-05-04 14:22:13.103	{"prediction":4.395348837209302}
9344	96	23	CF	5	2015-05-04 14:22:13.123	{"prediction":4.352713178294573}
9345	96	47	CF	6	2015-05-04 14:22:13.159	{"prediction":4.335548172757475}
9346	96	60	CF	7	2015-05-04 14:22:13.262	{"prediction":4.304439746300211}
9347	96	1	random	8	2015-05-04 14:22:13.309	\N
9348	96	47	random	9	2015-05-04 14:22:13.378	\N
9349	96	78	CF	0	2015-05-04 14:23:13.304	{"prediction":4.395348837209302}
9350	96	23	CF	1	2015-05-04 14:23:13.316	{"prediction":4.352713178294573}
9351	96	47	CF	2	2015-05-04 14:23:13.323	{"prediction":4.335548172757475}
9352	96	60	CF	3	2015-05-04 14:23:13.336	{"prediction":4.304439746300211}
9353	96	64	cbr	4	2015-05-04 14:23:13.355	{"similarUserId":96,"similarityToUser":1.0,"similarUserRating":1.0}
9354	96	72	tags	5	2015-05-04 14:23:13.365	{"score":4.763636480678212}
9355	96	50	tags	6	2015-05-04 14:23:13.371	{"score":4.673333024978637}
9356	96	75	tags	7	2015-05-04 14:23:13.378	{"score":4.499999897046523}
9357	96	87	random	8	2015-05-04 14:23:13.393	\N
9358	96	67	random	9	2015-05-04 14:23:13.415	\N
9359	124	89	tags	0	2015-05-04 18:13:28.081	{"score":0.09999999403953552}
9360	124	78	CF	1	2015-05-04 18:13:28.091	{"prediction":4.395348837209302}
9361	124	23	CF	2	2015-05-04 18:13:28.1	{"prediction":4.352713178294573}
9362	124	47	CF	3	2015-05-04 18:13:28.115	{"prediction":4.335548172757475}
9363	124	60	CF	4	2015-05-04 18:13:28.128	{"prediction":4.304439746300211}
9364	124	64	cbr	5	2015-05-04 18:13:28.143	{"similarUserId":124,"similarityToUser":1.0,"similarUserRating":1.0}
9365	124	19	cbr	6	2015-05-04 18:13:28.163	{"similarUserId":124,"similarityToUser":1.0,"similarUserRating":2.0}
9366	124	79	cbr	7	2015-05-04 18:13:28.167	{"similarUserId":124,"similarityToUser":1.0,"similarUserRating":2.0}
9367	124	90	random	8	2015-05-04 18:13:28.172	\N
9368	124	101	random	9	2015-05-04 18:13:28.177	\N
9369	124	78	CF	0	2015-05-04 18:14:13.572	{"prediction":4.395348837209302}
9370	124	23	CF	1	2015-05-04 18:14:13.576	{"prediction":4.352713178294573}
9371	124	47	CF	2	2015-05-04 18:14:13.578	{"prediction":4.335548172757475}
9372	124	60	CF	3	2015-05-04 18:14:13.581	{"prediction":4.304439746300211}
9373	124	101	tags	4	2015-05-04 18:14:13.583	{"score":0.8571429167475019}
9374	124	26	tags	5	2015-05-04 18:14:13.586	{"score":0.6666666865348816}
9375	124	37	tags	6	2015-05-04 18:14:13.589	{"score":0.6272727521983059}
9376	124	64	cbr	7	2015-05-04 18:14:13.593	{"similarUserId":124,"similarityToUser":1.0,"similarUserRating":1.0}
9377	124	81	random	8	2015-05-04 18:14:13.595	\N
9378	124	28	random	9	2015-05-04 18:14:13.602	\N
9379	124	78	CF	0	2015-05-04 18:19:40.754	{"prediction":4.395348837209302}
9380	124	23	CF	1	2015-05-04 18:19:40.763	{"prediction":4.352713178294573}
9381	124	47	CF	2	2015-05-04 18:19:40.766	{"prediction":4.335548172757475}
9382	124	60	CF	3	2015-05-04 18:19:40.77	{"prediction":4.304439746300211}
9383	124	101	tags	4	2015-05-04 18:19:40.777	{"score":0.8571429167475019}
9384	124	26	tags	5	2015-05-04 18:19:40.783	{"score":0.6666666865348816}
9385	124	37	tags	6	2015-05-04 18:19:40.786	{"score":0.6272727521983059}
9386	124	64	cbr	7	2015-05-04 18:19:40.791	{"similarUserId":124,"similarityToUser":1.0,"similarUserRating":1.0}
9387	124	41	random	8	2015-05-04 18:19:40.796	\N
9388	124	42	random	9	2015-05-04 18:19:40.806	\N
9389	123	64	cbr	0	2015-05-04 19:53:49.569	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":1.0}
9390	123	19	cbr	1	2015-05-04 19:53:49.58	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":2.0}
9391	123	79	cbr	2	2015-05-04 19:53:49.59	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":2.0}
9392	123	65	cbr	3	2015-05-04 19:53:49.598	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":2.0}
9393	123	23	CF	4	2015-05-04 19:53:49.607	{"prediction":4.352713178294573}
9394	123	47	CF	5	2015-05-04 19:53:49.618	{"prediction":4.335548172757475}
9395	123	60	CF	6	2015-05-04 19:53:49.621	{"prediction":4.304439746300211}
9396	123	21	CF	7	2015-05-04 19:53:49.624	{"prediction":4.2936046511627906}
9397	123	32	random	8	2015-05-04 19:53:49.627	\N
9398	123	47	random	9	2015-05-04 19:53:49.63	\N
9399	99	60	CF	0	2015-05-05 06:28:25.789	{"prediction":4.75299599912003}
9400	99	21	CF	1	2015-05-05 06:28:25.815	{"prediction":4.742160903982609}
9401	99	48	CF	2	2015-05-05 06:28:25.824	{"prediction":4.742160903982609}
9402	99	64	CF	3	2015-05-05 06:28:25.832	{"prediction":4.727626020261678}
9403	99	34	tags	4	2015-05-05 06:28:25.841	{"score":0.18571489197867264}
9404	99	98	tags	5	2015-05-05 06:28:25.845	{"score":0.14545510031960207}
9405	99	39	tags	6	2015-05-05 06:28:25.851	{"score":0.10000066323713819}
9406	99	93	tags	7	2015-05-05 06:28:25.857	{"score":0.01818240772594093}
9407	99	70	random	8	2015-05-05 06:28:25.865	\N
9408	99	56	random	9	2015-05-05 06:28:25.877	\N
9409	96	64	cbr	0	2015-05-05 16:24:33.972	{"similarUserId":96,"similarityToUser":1.0,"similarUserRating":1.0}
9410	96	78	CF	1	2015-05-05 16:24:33.994	{"prediction":4.395348837209302}
9411	96	23	CF	2	2015-05-05 16:24:34.002	{"prediction":4.352713178294573}
9412	96	47	CF	3	2015-05-05 16:24:34.013	{"prediction":4.335548172757475}
9413	96	60	CF	4	2015-05-05 16:24:34.022	{"prediction":4.304439746300211}
9414	96	72	tags	5	2015-05-05 16:24:34.029	{"score":4.763636480678212}
9415	96	50	tags	6	2015-05-05 16:24:34.034	{"score":4.673333024978637}
9416	96	75	tags	7	2015-05-05 16:24:34.042	{"score":4.499999897046523}
9417	96	55	random	8	2015-05-05 16:24:34.062	\N
9418	96	93	random	9	2015-05-05 16:24:34.074	\N
9419	96	47	CF	0	2015-05-05 19:11:04.663	{"prediction":4.335548172757475}
9420	96	60	CF	1	2015-05-05 19:11:04.672	{"prediction":4.304439746300211}
9421	96	21	CF	2	2015-05-05 19:11:04.679	{"prediction":4.2936046511627906}
9422	96	48	CF	3	2015-05-05 19:11:04.687	{"prediction":4.2936046511627906}
9423	96	75	tags	4	2015-05-05 19:11:04.694	{"score":4.554545212875713}
9424	96	72	tags	5	2015-05-05 19:11:04.697	{"score":4.545454442501068}
9425	96	50	tags	6	2015-05-05 19:11:04.7	{"score":4.453332809607188}
9426	96	19	cbr	7	2015-05-05 19:11:04.703	{"similarUserId":96,"similarityToUser":1.0,"similarUserRating":2.0}
9427	96	68	random	8	2015-05-05 19:11:04.705	\N
9428	96	94	random	9	2015-05-05 19:11:04.708	\N
9429	96	19	cbr	0	2015-05-05 19:11:28.368	{"similarUserId":96,"similarityToUser":1.0,"similarUserRating":2.0}
9430	96	47	CF	1	2015-05-05 19:11:28.379	{"prediction":4.335548172757475}
9431	96	60	CF	2	2015-05-05 19:11:28.402	{"prediction":4.304439746300211}
9432	96	21	CF	3	2015-05-05 19:11:28.408	{"prediction":4.2936046511627906}
9433	96	48	CF	4	2015-05-05 19:11:28.411	{"prediction":4.2936046511627906}
9434	96	75	tags	5	2015-05-05 19:11:28.418	{"score":4.554545212875713}
9435	96	72	tags	6	2015-05-05 19:11:28.428	{"score":4.545454442501068}
9436	96	50	tags	7	2015-05-05 19:11:28.438	{"score":4.453332809607188}
9437	96	30	random	8	2015-05-05 19:11:28.441	\N
9438	96	31	random	9	2015-05-05 19:11:28.446	\N
9439	125	4	tags	0	2015-05-06 16:52:21.739	{"score":1.0}
9440	125	58	tags	1	2015-05-06 16:52:21.771	{"score":1.0}
9441	125	18	tags	2	2015-05-06 16:52:21.783	{"score":0.8000000317891439}
9442	125	12	tags	3	2015-05-06 16:52:21.8	{"score":0.800000011920929}
9443	125	78	CF	4	2015-05-06 16:52:21.811	{"prediction":4.395348837209302}
9444	125	23	CF	5	2015-05-06 16:52:21.821	{"prediction":4.352713178294573}
9445	125	47	CF	6	2015-05-06 16:52:21.847	{"prediction":4.335548172757475}
9446	125	60	CF	7	2015-05-06 16:52:21.854	{"prediction":4.304439746300211}
9447	125	81	random	8	2015-05-06 16:52:21.86	\N
9448	125	66	random	9	2015-05-06 16:52:21.863	\N
9449	125	78	CF	0	2015-05-06 16:53:27.374	{"prediction":4.395348837209302}
9450	125	23	CF	1	2015-05-06 16:53:27.381	{"prediction":4.352713178294573}
9451	125	47	CF	2	2015-05-06 16:53:27.385	{"prediction":4.335548172757475}
9452	125	60	CF	3	2015-05-06 16:53:27.414	{"prediction":4.304439746300211}
9453	125	64	cbr	4	2015-05-06 16:53:27.431	{"similarUserId":125,"similarityToUser":1.0,"similarUserRating":1.0}
9454	125	58	tags	5	2015-05-06 16:53:27.435	{"score":1.6250000596046448}
9455	125	21	tags	6	2015-05-06 16:53:27.449	{"score":1.4999999574252538}
9456	125	12	tags	7	2015-05-06 16:53:27.455	{"score":1.4666666785875957}
9457	125	12	random	8	2015-05-06 16:53:27.46	\N
9458	125	52	random	9	2015-05-06 16:53:27.463	\N
9459	125	60	CF	0	2015-05-06 16:55:03.967	{"prediction":4.304439746300211}
9460	125	21	CF	1	2015-05-06 16:55:03.97	{"prediction":4.2936046511627906}
9461	125	48	CF	2	2015-05-06 16:55:03.977	{"prediction":4.2936046511627906}
9462	125	64	CF	3	2015-05-06 16:55:03.981	{"prediction":4.27906976744186}
9463	125	58	tags	4	2015-05-06 16:55:03.984	{"score":1.024999976158142}
9464	125	6	tags	5	2015-05-06 16:55:03.987	{"score":0.9000000754992167}
9465	125	10	tags	6	2015-05-06 16:55:03.99	{"score":0.8777777685059441}
9466	125	64	cbr	7	2015-05-06 16:55:03.994	{"similarUserId":125,"similarityToUser":1.0,"similarUserRating":1.0}
9467	125	3	random	8	2015-05-06 16:55:03.996	\N
9468	125	54	random	9	2015-05-06 16:55:03.999	\N
9469	125	26	CF	0	2015-05-06 16:57:02.804	{"prediction":4.224806201550388}
9470	125	100	CF	1	2015-05-06 16:57:02.816	{"prediction":4.192691029900332}
9471	125	97	CF	2	2015-05-06 16:57:02.822	{"prediction":4.149870801033591}
9472	125	87	CF	3	2015-05-06 16:57:02.826	{"prediction":4.058139534883721}
9473	125	19	cbr	4	2015-05-06 16:57:02.829	{"similarUserId":125,"similarityToUser":1.0,"similarUserRating":2.0}
9474	125	79	cbr	5	2015-05-06 16:57:02.831	{"similarUserId":125,"similarityToUser":1.0,"similarUserRating":2.0}
9475	125	65	cbr	6	2015-05-06 16:57:02.836	{"similarUserId":125,"similarityToUser":1.0,"similarUserRating":2.0}
9476	125	10	tags	7	2015-05-06 16:57:02.839	{"score":0.07777780294418335}
9481	125	65	cbr	2	2015-05-06 16:57:37.3	{"similarUserId":125,"similarityToUser":1.0,"similarUserRating":2.0}
9485	125	20	CF	6	2015-05-06 16:57:37.311	{"prediction":4.058139534883721}
9492	125	30	CF	3	2015-05-06 16:57:48.388	{"prediction":4.058139534883721}
9496	125	24	tags	7	2015-05-06 16:57:48.461	{"score":1.4901161193847656E-8}
9477	125	11	random	8	2015-05-06 16:57:02.843	\N
9479	125	19	cbr	0	2015-05-06 16:57:37.293	{"similarUserId":125,"similarityToUser":1.0,"similarUserRating":2.0}
9483	125	87	CF	4	2015-05-06 16:57:37.305	{"prediction":4.058139534883721}
9487	125	50	random	8	2015-05-06 16:57:37.317	\N
9491	125	20	CF	2	2015-05-06 16:57:48.371	{"prediction":4.058139534883721}
9495	125	66	tags	6	2015-05-06 16:57:48.456	{"score":0.049999964237213146}
9478	125	8	random	9	2015-05-06 16:57:02.852	\N
9482	125	19	cbr	3	2015-05-06 16:57:37.302	{"similarUserId":125,"similarityToUser":1.0,"similarUserRating":3.0}
9486	125	30	CF	7	2015-05-06 16:57:37.314	{"prediction":4.058139534883721}
9490	125	35	CF	1	2015-05-06 16:57:48.364	{"prediction":4.058139534883721}
9494	125	10	tags	5	2015-05-06 16:57:48.432	{"score":0.14444440603256226}
9498	125	27	random	9	2015-05-06 16:57:48.474	\N
9480	125	79	cbr	1	2015-05-06 16:57:37.296	{"similarUserId":125,"similarityToUser":1.0,"similarUserRating":2.0}
9484	125	35	CF	5	2015-05-06 16:57:37.308	{"prediction":4.058139534883721}
9488	125	23	random	9	2015-05-06 16:57:37.319	\N
9489	125	87	CF	0	2015-05-06 16:57:48.354	{"prediction":4.058139534883721}
9493	125	53	tags	4	2015-05-06 16:57:48.409	{"score":0.19999998807907104}
9497	125	72	random	8	2015-05-06 16:57:48.467	\N
9499	1	78	CF	0	2015-05-07 09:38:46.305	{"prediction":4.395348837209302}
9500	1	23	CF	1	2015-05-07 09:38:46.372	{"prediction":4.352713178294573}
9501	1	47	CF	2	2015-05-07 09:38:46.383	{"prediction":4.335548172757475}
9502	1	60	CF	3	2015-05-07 09:38:46.393	{"prediction":4.304439746300211}
9503	1	64	cbr	4	2015-05-07 09:38:46.402	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":1.0}
9504	1	19	cbr	5	2015-05-07 09:38:46.412	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
9505	1	79	cbr	6	2015-05-07 09:38:46.416	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
9506	1	65	cbr	7	2015-05-07 09:38:46.442	{"similarUserId":1,"similarityToUser":1.0,"similarUserRating":2.0}
9507	1	13	random	8	2015-05-07 09:38:46.45	\N
9508	1	92	random	9	2015-05-07 09:38:46.455	\N
9509	123	65	cbr	0	2015-05-07 15:43:19.758	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":2.0}
9510	123	4	cbr	1	2015-05-07 15:43:19.774	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":3.0}
9511	123	32	cbr	2	2015-05-07 15:43:19.784	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":3.0}
9512	123	4	cbr	3	2015-05-07 15:43:19.794	{"similarUserId":123,"similarityToUser":1.0,"similarUserRating":3.0}
9513	123	78	CF	4	2015-05-07 15:43:19.805	{"prediction":4.395348837209302}
9514	123	23	CF	5	2015-05-07 15:43:19.808	{"prediction":4.352713178294573}
9515	123	47	CF	6	2015-05-07 15:43:19.815	{"prediction":4.335548172757475}
9516	123	60	CF	7	2015-05-07 15:43:19.819	{"prediction":4.304439746300211}
9517	123	59	random	8	2015-05-07 15:43:19.822	\N
9518	123	91	random	9	2015-05-07 15:43:19.826	\N
9519	126	4	tags	0	2015-05-08 12:25:48.445	{"score":1.0}
9520	126	58	tags	1	2015-05-08 12:25:48.468	{"score":1.0}
9521	126	30	tags	2	2015-05-08 12:25:48.476	{"score":0.699999988079071}
9522	126	14	tags	3	2015-05-08 12:25:48.485	{"score":0.6699999809265137}
9523	126	78	CF	4	2015-05-08 12:25:48.492	{"prediction":4.395348837209302}
9524	126	23	CF	5	2015-05-08 12:25:48.496	{"prediction":4.352713178294573}
9525	126	47	CF	6	2015-05-08 12:25:48.499	{"prediction":4.335548172757475}
9526	126	60	CF	7	2015-05-08 12:25:48.502	{"prediction":4.304439746300211}
9527	126	21	random	8	2015-05-08 12:25:48.506	\N
9528	126	1	random	9	2015-05-08 12:25:48.509	\N
9529	126	78	CF	0	2015-05-08 12:27:04.001	{"prediction":4.395348837209302}
9530	126	23	CF	1	2015-05-08 12:27:04.065	{"prediction":4.352713178294573}
9531	126	47	CF	2	2015-05-08 12:27:04.088	{"prediction":4.335548172757475}
9532	126	60	CF	3	2015-05-08 12:27:04.115	{"prediction":4.304439746300211}
9533	126	64	cbr	4	2015-05-08 12:27:04.185	{"similarUserId":126,"similarityToUser":1.0,"similarUserRating":1.0}
9534	126	21	tags	5	2015-05-08 12:27:04.249	{"score":1.4571429235594613}
9535	126	68	tags	6	2015-05-08 12:27:04.294	{"score":1.3750000596046448}
9536	126	58	tags	7	2015-05-08 12:27:04.298	{"score":1.3750000596046448}
9537	126	16	random	8	2015-05-08 12:27:04.309	\N
9538	126	29	random	9	2015-05-08 12:27:04.322	\N
9539	126	19	cbr	0	2015-05-08 12:27:32.053	{"similarUserId":126,"similarityToUser":1.0,"similarUserRating":2.0}
9540	126	79	cbr	1	2015-05-08 12:27:32.061	{"similarUserId":126,"similarityToUser":1.0,"similarUserRating":2.0}
9541	126	65	cbr	2	2015-05-08 12:27:32.067	{"similarUserId":126,"similarityToUser":1.0,"similarUserRating":2.0}
9542	126	19	cbr	3	2015-05-08 12:27:32.075	{"similarUserId":126,"similarityToUser":1.0,"similarUserRating":3.0}
9543	126	21	CF	4	2015-05-08 12:27:32.091	{"prediction":4.2936046511627906}
9544	126	48	CF	5	2015-05-08 12:27:32.121	{"prediction":4.2936046511627906}
9545	126	26	CF	6	2015-05-08 12:27:32.135	{"prediction":4.224806201550388}
9546	126	100	CF	7	2015-05-08 12:27:32.148	{"prediction":4.192691029900332}
9547	126	60	random	8	2015-05-08 12:27:32.152	\N
9548	126	57	random	9	2015-05-08 12:27:32.161	\N
9549	126	21	CF	0	2015-05-08 12:27:42.525	{"prediction":4.2936046511627906}
9550	126	48	CF	1	2015-05-08 12:27:42.542	{"prediction":4.2936046511627906}
9551	126	26	CF	2	2015-05-08 12:27:42.562	{"prediction":4.224806201550388}
9552	126	100	CF	3	2015-05-08 12:27:42.573	{"prediction":4.192691029900332}
9553	126	19	cbr	4	2015-05-08 12:27:42.577	{"similarUserId":126,"similarityToUser":1.0,"similarUserRating":2.0}
9554	126	79	cbr	5	2015-05-08 12:27:42.581	{"similarUserId":126,"similarityToUser":1.0,"similarUserRating":2.0}
9555	126	65	cbr	6	2015-05-08 12:27:42.585	{"similarUserId":126,"similarityToUser":1.0,"similarUserRating":2.0}
9556	126	19	cbr	7	2015-05-08 12:27:42.597	{"similarUserId":126,"similarityToUser":1.0,"similarUserRating":3.0}
9557	126	94	random	8	2015-05-08 12:27:42.605	\N
9558	126	63	random	9	2015-05-08 12:27:42.608	\N
9559	127	64	cbr	0	2015-05-11 00:00:03.658	{"similarUserId":127,"similarityToUser":1.0,"similarUserRating":1.0}
9560	127	19	cbr	1	2015-05-11 00:00:03.675	{"similarUserId":127,"similarityToUser":1.0,"similarUserRating":2.0}
9561	127	79	cbr	2	2015-05-11 00:00:03.684	{"similarUserId":127,"similarityToUser":1.0,"similarUserRating":2.0}
9562	127	65	cbr	3	2015-05-11 00:00:03.695	{"similarUserId":127,"similarityToUser":1.0,"similarUserRating":2.0}
9563	127	78	CF	4	2015-05-11 00:00:03.713	{"prediction":4.395348837209302}
9564	127	23	CF	5	2015-05-11 00:00:03.72	{"prediction":4.352713178294573}
9565	127	47	CF	6	2015-05-11 00:00:03.726	{"prediction":4.335548172757475}
9566	127	60	CF	7	2015-05-11 00:00:03.732	{"prediction":4.304439746300211}
9572	127	36	tags	3	2015-05-11 00:01:09.615	{"score":0.9000000357627869}
9576	127	60	CF	7	2015-05-11 00:01:09.713	{"prediction":4.304439746300211}
9580	127	78	CF	1	2015-05-11 00:01:34.337	{"prediction":4.395348837209302}
9584	127	42	tags	5	2015-05-11 00:01:34.456	{"score":1.5923076134461622}
9588	127	83	random	9	2015-05-11 00:01:34.524	\N
9592	127	21	CF	3	2015-05-11 00:02:35.535	{"prediction":4.2936046511627906}
9596	127	65	cbr	7	2015-05-11 00:02:35.573	{"similarUserId":127,"similarityToUser":1.0,"similarUserRating":2.0}
9599	127	60	CF	0	2015-05-11 00:03:27.408	{"prediction":4.304439746300211}
9603	127	86	tags	4	2015-05-11 00:03:27.458	{"score":0.5785714515617916}
9607	127	99	random	8	2015-05-11 00:03:27.478	\N
9567	127	72	random	8	2015-05-11 00:00:03.765	\N
9571	127	30	tags	2	2015-05-11 00:01:09.555	{"score":0.9000000357627869}
9575	127	47	CF	6	2015-05-11 00:01:09.692	{"prediction":4.335548172757475}
9582	127	47	CF	3	2015-05-11 00:01:34.393	{"prediction":4.335548172757475}
9586	127	20	tags	7	2015-05-11 00:01:34.5	{"score":1.5000000510896956}
9591	127	60	CF	2	2015-05-11 00:02:35.499	{"prediction":4.304439746300211}
9595	127	79	cbr	6	2015-05-11 00:02:35.552	{"similarUserId":127,"similarityToUser":1.0,"similarUserRating":2.0}
9601	127	48	CF	2	2015-05-11 00:03:27.431	{"prediction":4.2936046511627906}
9605	127	79	cbr	6	2015-05-11 00:03:27.467	{"similarUserId":127,"similarityToUser":1.0,"similarUserRating":2.0}
9568	127	67	random	9	2015-05-11 00:00:03.772	\N
9570	127	48	tags	1	2015-05-11 00:01:09.55	{"score":0.9000000357627869}
9574	127	23	CF	5	2015-05-11 00:01:09.672	{"prediction":4.352713178294573}
9578	127	6	random	9	2015-05-11 00:01:09.733	\N
9579	127	19	cbr	0	2015-05-11 00:01:34.309	{"similarUserId":127,"similarityToUser":1.0,"similarUserRating":2.0}
9583	127	60	CF	4	2015-05-11 00:01:34.44	{"prediction":4.304439746300211}
9587	127	30	random	8	2015-05-11 00:01:34.508	\N
9590	127	86	tags	1	2015-05-11 00:02:35.481	{"score":0.08571433169501169}
9594	127	26	CF	5	2015-05-11 00:02:35.548	{"prediction":4.224806201550388}
9598	127	22	random	9	2015-05-11 00:02:35.653	\N
9600	127	21	CF	1	2015-05-11 00:03:27.416	{"prediction":4.2936046511627906}
9604	127	27	tags	5	2015-05-11 00:03:27.462	{"score":0.47000003457069395}
9608	127	50	random	9	2015-05-11 00:03:27.483	\N
9569	127	28	tags	0	2015-05-11 00:01:09.546	{"score":0.9000000357627869}
9573	127	78	CF	4	2015-05-11 00:01:09.65	{"prediction":4.395348837209302}
9577	127	77	random	8	2015-05-11 00:01:09.728	\N
9581	127	23	CF	2	2015-05-11 00:01:34.361	{"prediction":4.352713178294573}
9585	127	32	tags	6	2015-05-11 00:01:34.48	{"score":1.5545454783873125}
9589	127	59	tags	0	2015-05-11 00:02:35.425	{"score":0.10000005695554945}
9593	127	48	CF	4	2015-05-11 00:02:35.543	{"prediction":4.2936046511627906}
9597	127	29	random	8	2015-05-11 00:02:35.604	\N
9602	127	26	CF	3	2015-05-11 00:03:27.442	{"prediction":4.224806201550388}
9606	127	65	cbr	7	2015-05-11 00:03:27.473	{"similarUserId":127,"similarityToUser":1.0,"similarUserRating":2.0}
\.


--
-- Name: given_recommendation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('given_recommendation_id_seq', 9608, true);


--
-- Data for Name: ingredient; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY ingredient (id, name, image, default_unit, netto, water, calories, proteins, fat, saturated_fat, trans_fat, mono_fat, poly_fat, cholesterol, carbs, starch, mono_di, sugar, fiber, nacl, alcho, retinol, b_caro, vit_a, vit_d, vit_e, vit_b1, vit_b2, niacin, niaekv, vit_b6, folat, vit_b12, vit_c, ca, fe, na, potassium, mg, zn, iodine, se, cu, phosphorus) FROM stdin;
13	Margarin eller olje til steking	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
30	Olje	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
36	Vann	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
57	Margarin	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
91	Honning	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
119	Balsamicoeddik	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
120	Olivenolje	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
131	Smør til steking	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
2	Tomat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
3	Pizzabunn	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
4	Creme fraiche	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
9	Wokgrønnsaker	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
7	Salt	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
8	Pepper	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
12	Kjøttdeig av svin	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
10	Grønnsaksbulljong	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
11	Villris	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
32	Laksefilet	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
14	Finhakket løk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
15	Gulrot	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
17	Maiskorn	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
18	Sukker	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
19	Potet	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
20	Smør	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
21	Melk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
22	Muskatnøtt	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
97	Sukkererter	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
25	Rød paprika	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
27	Rødløk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
26	Grønn frisk asparges	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
28	Stangselleri	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
29	Grønt eple	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
50	Torskefilet	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
37	Ferdigkokte poteter	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
38	Purre	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
40	Couscous	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
39	Tandoorikrydder	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
41	Hønsebuljongterning	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
5	Pesto	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
31	Nøtte- og frøblanding til salater	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
34	Hodekål	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
46	Grønn Paprika	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
47	Løk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
49	Hvetemel	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
51	Grønne erter	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
54	Bacon	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
52	Kremfløte	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
48	Fiskebuljong (utblandet)	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
55	Sjampinjong i skiver	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
113	Røkt skinke	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
56	Purre i ringer	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
58	Brokkoli	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
61	Sopp i skiver	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
59	Strimlet kokt skinke	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
60	Hvitløk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
62	Vårløk i skiver	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
63	Nudler med krydder	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
64	Svinekjøtt i strimler	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
67	Avokado	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
65	Isbergsalat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
66	Ruccula	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
42	Sitron	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
44	Tzatziki	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
130	Smårettsbacon	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
79	Eple	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
70	Kjøttdeig	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
69	Pinjekjerner	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
84	Buljongpulver	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
83	Wienerpølser	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
73	Lime	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
71	Rød chili	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
72	Frisk ingefær	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
90	Salat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
74	Frisk koriander	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
75	Gresk yoghurt	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
98	Spinat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
103	Pære	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
101	Rødkål	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
24	Grillet kylling	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
109	Matfløte	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
110	Kinakål	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
112	Fullkornsris	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
114	Pasta	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
78	Babysalat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
116	Soltørkede tomater	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
121	Rømme	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
124	Vårløk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
123	Malt spisskummen	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
122	Chilipulver	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
126	Matyoghurt	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
127	Salatblad	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
133	Tacokrydder	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
81	Lasagne krydder	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
86	Hermetiske tomater	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
80	Lasagne plater	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
135	Tacosaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
85	Spaghetti	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
118	Friske urter	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
106	Kjøttpølse	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
99	Kyllingfilet	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
87	Tørkede urter	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
88	Roastbiff	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
89	Plomme	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
95	Frisk kruspersille	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
94	Chilibønner	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
92	Nakkekoteletter av svin	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
96	Hermetiske hvite bønner	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
23	Revet hvitost	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
129	Medisterkake	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
100	Fennikel	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
102	Rosmarin	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
105	Hvit pepper	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
35	Egg	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
104	Frisk basilikum	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
117	Revet Parmesan	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
107	Dypfryst lapskausblanding	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
111	Woksaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
108	Kjøttbuiljongterning	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
125	Pitabrød	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
132	Dypfryste erter	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
128	Tikka masala krydder	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
82	Grøtris	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
6	Kotelett	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
134	Hermetiske ananasbiter	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
77	Hamburgerbrød	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
68	Sitronsaft	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
150	Hvitvin eller cider	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
154	Olje til smøring av form	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
160	Eddik	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
16	Tomatpuré	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
33	Sitronpepper	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
53	Frisk gressløk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
159	Karri	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
43	Bladpersille	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
76	Agurk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
115	Finhakket hvitløk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
93	Gul paprika	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
153	Grønnsaksblanding	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
145	Sellerirot	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
146	Aspargesbønner	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
147	Nudler	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
138	Paprika	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
156	Seifilet	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
157	Cherrytomat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
139	Fiskesaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
45	Ferdig asian soup	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
152	Hvit saus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
158	Ketchup	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
148	Grønn squash	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
149	Sorte oliven	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
142	Kokosmelk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
214	Kjøttkraft	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
137	Kyllingstrimler	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
144	Hakkede pinjekjerner	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
1	Falukorv	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
162	Hakkede hermetiske tomater	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
151	Smårettskinke	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
219	Brun saus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
143	Biff av ytrefilet	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
161	Byggris	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
141	Hønsebuljong utblandet	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
136	Pastasaus carbonara	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
140	Soyasaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
155	Brødrasp	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
163	Maizena	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
164	Østerssaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
182	Ertebønne-linsemiks , à 125 g	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
187	Maisolje	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
201	Rødvinseddik	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
229	Sesamolje	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
230	Sesamfrø	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
231	Maisstivelse	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
244	Peanøtter	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
248	Cashewnøtter	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
249	Søt soyasaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
254	Rapsolje	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
177	Fetaost	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
197	Hvetetortilla	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
202	Spareribs	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
193	Sitrongress	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
217	Malt muskat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
179	Hodesalat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
221	Ris	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
189	Grønn karripasta	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
255	Kyllingkjøttdeig	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
208	Baguette	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
172	Spekeskinke	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
167	Ajvar	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
185	Tørket oregano	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
235	Biffkjøtt i strimler	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
213	Biffstrimler	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
169	Kalkunpålegg	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
234	Grønn chili	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
204	Tagliatelle	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
186	Indrefilet av svin	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
243	Banan	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
168	Babyspinat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
236	Hermetiske tomatbønner	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
175	Rødbete	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
240	Frisk spinat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
165	Ytrefilet av svin	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
216	Bønnespirer	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
209	Tikka masala saus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
184	Persillerot	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
252	Østerssopp	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
191	Bacbon	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
199	Meksikanske bønner	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
258	Corn flakes	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
253	Nykål	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
225	Issalat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
257	Paprikapulver	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
192	Lammekjøtt	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
233	Teriyakisaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
218	Malt ingefær	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
220	Tyttebær	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
226	Kesam	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
237	Ytrefilet av storfe	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
203	Krydderblanding	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
215	Fullkornsnudler	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
166	Ananas	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
241	Ferdig woksaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
205	Chorizopølse	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
180	Rød lollo salat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
242	Sweet and sour saus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
183	Hjertesalat	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
195	Brunt sukker	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
247	Sjampinjong	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
207	Hvit castello	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
228	Limesaft	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
210	Yoghurt naturell	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
245	Chilisaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
194	Rød karripasta	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
181	Sylteagurk	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
222	Gurkemeie	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
212	Timian	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
190	Båndspagetti	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
196	Rød pastasaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
250	Chilipasta	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
239	Eggnudler fullkorn	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
173	Karbonadedeig	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
251	Egg nudler	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
198	Kylling	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
232	Fullkornspagetti	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
211	Magerost	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
174	Potetmel	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
170	Salsa	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
227	Frisk mynte	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
238	Grillspyd	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
223	Grillkrydder	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
246	Pizzasaus	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
224	Kidneybønner	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
188	Grillet kyllinglår	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
264	Flytende margarin	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
266	Rødbete (lake)	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
262	Lammekjøtt i strimler	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
263	Kantarell	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
261	Ananasjuice	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
259	Skinkebiff	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
260	Maiskolbe	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
269	Sake eller hvitvin	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
176	Rosenkål	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
206	Lammekotelett	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
178	Indisk karripasta	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
268	tynne skiver mørbrad av storfe , eller flatbiff	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
265	Fullkornspasta	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
171	Renskåret svinekjøtt fra flatbiff eller filet	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
200	Achiote krydderpasta	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
256	Hermetiske tomater med basilikum	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
267	Rødbete (skriver)	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N	\N
\.


--
-- Name: ingredient_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('ingredient_id_seq', 269, true);


--
-- Data for Name: ingredient_in_recipe; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY ingredient_in_recipe (recipe_id, ingredient_id, unit_id, amount) FROM stdin;
22	6	6	1
22	7	4	0.125
22	8	4	0.125
22	13	5	0.5
31	131	5	0.25
31	7	4	0.125
31	8	4	0.125
31	19	6	1
71	70	2	100
71	218	4	0.125
71	217	4	0.125
71	8	4	0.125
71	7	4	0.375
31	21	7	0.5
31	130	2	40
49	35	6	1
49	49	7	0.75
49	7	4	0.125
49	21	7	1.25
31	129	6	3
31	132	2	50
28	70	2	100
28	114	2	100
28	47	2	0.125
28	7	4	0.125
28	8	4	0.125
28	13	5	0.5
28	118	5	0.5
28	119	5	0.5
28	120	5	0.5
28	121	5	1
28	2	6	0.75
53	129	6	3
53	19	6	1
53	21	7	0.375
53	7	4	0.125
53	8	4	0.125
53	130	2	40
53	13	5	0.25
53	132	2	50
55	99	6	1
55	57	5	0.5
55	15	6	0.75
55	184	6	0.5
55	145	11	0.5
55	117	2	25
55	185	4	0.25
55	120	5	0.25
55	7	4	0.25
55	8	4	0.125
56	186	2	150
56	187	5	1
56	15	6	1
56	146	2	50
56	62	6	1
56	60	10	2
56	20	5	0.5
56	7	4	0.5
56	8	4	0.25
57	188	6	1
57	148	6	0.5
57	149	9	0.25
57	13	5	0.25
22	38	6	0.25
22	101	8	0.25
22	102	4	0.25
22	103	6	0.25
13	64	2	150
13	68	4	0.5
13	7	4	0.5
13	13	5	1
13	66	6	0.25
13	65	6	1
13	67	6	0.5
57	91	5	0.5
57	42	4	0.125
57	7	4	0.25
57	8	4	0.25
57	44	7	0.5
9	21	7	0.5
9	48	7	1
8	13	5	0.5
8	12	2	100
8	46	6	0.25
8	47	6	1
8	45	8	0.5
13	27	6	0.5
13	69	7	0.25
10	13	5	0.5
10	12	2	100
10	54	2	25
10	55	2	75
10	56	2	25
10	23	7	0.5
1	2	6	0.5
1	3	2	170
1	4	2	100
1	5	5	0.75
1	1	6	0.25
29	70	2	100
29	122	4	0.5
29	123	4	0.125
29	7	4	0.125
29	13	5	0.200000003
29	47	6	0.25
29	71	6	0.25
29	25	6	0.25
29	46	6	0.25
29	86	9	0.25
29	94	9	0.25
3	7	4	1
3	8	4	1
3	12	2	150
3	13	5	1
3	14	6	0.125
3	15	6	1
3	16	9	0.25
3	17	12	0.25
3	18	4	0.25
3	19	2	300
3	20	2	30
3	21	7	0.5
30	128	5	4
30	13	5	0.5
30	93	6	0.25
30	125	6	1
30	99	6	1
30	127	6	1
30	124	6	1
30	25	6	0.25
30	126	7	0.5
3	22	4	0.25
3	23	7	1
2	9	8	0.5
2	7	4	0.25
2	8	4	0.25
2	10	7	0.25
7	44	2	100
7	32	2	150
7	43	5	1
2	11	2	60
2	6	6	1
50	99	6	1
50	7	4	0.125
50	8	2	0.125
50	13	4	0.5
50	15	6	0.75
50	175	6	0.25
50	176	2	62.5
7	30	5	0
7	13	5	1
7	39	5	1
7	42	6	0
7	41	6	0.125
7	36	7	1
7	40	7	1
50	72	4	0.25
50	43	5	0.5
50	13	5	0.5
50	73	6	0.25
50	8	4	0.0625
50	177	2	12.5
54	99	6	0.75
54	60	10	0.5
54	13	5	0.25
54	36	7	0.5
54	41	6	0.25
54	122	4	0.25
54	73	6	0.125
54	8	4	0.0625
54	182	8	0.25
54	76	6	0.25
54	27	6	0.25
54	183	6	0.5
20	92	6	1
20	7	4	0.125
20	13	5	0.5
20	96	9	0.25
20	97	8	0.25
20	98	2	60
20	8	4	0.125
11	59	2	20
11	58	2	25
11	57	2	50
11	8	4	0.5
11	7	4	0.5
11	38	6	0.25
11	35	6	2
11	23	7	0.75
11	49	7	1
11	60	10	0.5
27	113	2	100
27	114	2	75
27	7	4	0.125
27	8	4	0.125
27	13	5	0.5
27	117	5	0
27	35	6	0.5
27	38	6	0.25
27	116	6	3
27	115	10	0.5
23	70	2	100
23	13	5	0.5
23	47	6	0.25
23	60	10	0.5
23	16	5	0.5
23	8	4	0.125
23	7	4	0.25
23	104	5	0.25
23	36	7	0.25
23	20	5	0.5
23	49	5	0.75
23	21	7	1
23	23	7	1
23	105	5	1
23	22	4	0.125
23	80	6	2
4	24	6	0.400000006
4	25	6	0.400000006
4	26	6	2
4	27	6	0.400000006
4	28	6	0.699999988
4	29	6	0.300000012
4	30	5	0.300000012
4	31	5	0.699999988
42	8	4	0.125
42	7	4	0.125
42	18	5	0.125
42	16	5	0.5
42	10	6	0.25
42	47	6	0.125
42	35	6	1
42	36	7	1
42	162	9	0.25
42	60	10	0.25
42	104	14	1
41	8	4	0.125
41	7	4	0.125
41	160	4	0.25
41	159	4	0.5
41	158	5	1.5
41	13	5	0.5
41	25	6	0.25
41	47	6	0.25
41	99	6	1
41	52	7	1
41	78	8	0.25
41	161	8	0.5
39	151	2	75
39	152	8	0.25
39	153	2	75
39	35	6	0.5
39	23	7	0.25
39	154	5	0.5
39	155	5	0.5
26	13	5	0.5
26	15	6	0.5
26	46	6	0.25
26	64	2	150
26	110	6	0.25
26	112	2	50
26	111	8	0.25
18	36	7	0.125
18	91	5	0.5
18	20	5	0.25
18	27	6	0.25
18	73	6	1
18	90	8	0.25
18	88	2	100
18	89	6	1.5
34	13	5	0.5
34	27	6	0.25
34	114	2	90
34	1	6	0.25
34	136	8	0.5
44	165	2	150
44	7	4	0.25
44	8	4	0.125
44	13	5	0.5
44	166	6	0.25
44	27	6	0.25
44	77	6	1
44	167	5	2
44	168	2	25
25	36	1	0.300000012
25	64	2	75
25	7	4	0.125
25	8	4	0.125
25	13	5	0.5
25	58	6	0.25
25	19	6	0.5
25	47	6	0.25
25	108	6	0.5
25	109	7	0.5
24	13	5	0.5
24	7	4	0.125
24	8	4	0.125
24	106	2	100
24	107	6	0.25
21	25	6	0.5
21	47	6	0.5
21	69	5	1
21	99	6	1
21	100	6	0.25
19	13	5	0.5
19	7	4	0.125
19	28	6	1
19	47	6	0.25
19	95	5	0.5
19	94	9	0.5
19	92	6	1
66	206	6	1
66	103	6	0.25
66	72	4	0.5
66	60	10	0.25
66	7	4	0.125
66	8	4	0.125
66	13	5	0.5
66	207	5	1
19	93	6	0.5
72	171	2	150
72	221	7	1.5
72	222	4	0.25
72	141	7	1.5
72	124	6	0.5
72	25	6	0.25
72	60	10	0.25
72	132	7	0.5
72	223	4	0.25
71	220	5	1
71	20	5	1
71	174	5	0.5
71	108	6	0.5
71	19	6	2
71	21	7	0.5
71	132	8	0.25
71	219	8	0.25
65	8	4	0.5
65	52	7	1
65	60	10	1
65	35	6	1
65	104	5	1
65	117	7	1
65	68	5	1
65	205	6	0.5
65	204	8	0.5
61	13	5	0.5
61	25	6	0.25
61	70	2	100
61	85	2	100
61	196	9	0.25
60	192	2	125
60	195	4	1
60	72	4	0.5
60	194	5	0.5
60	100	5	0.25
60	13	5	1.5
60	193	6	1
60	58	6	0.25
60	47	6	0.5
60	15	6	1
60	71	6	0.25
60	142	7	2
59	57	5	0.25
59	8	5	0.125
59	47	6	0.125
59	109	7	0.375
59	35	6	1
59	117	5	1
59	43	5	1
59	190	2	100
59	191	2	50
45	13	5	1
45	36	5	2
45	124	6	1
45	35	6	2
45	169	11	4
45	170	5	1
36	5	5	1.5
36	68	5	0.5
36	144	5	1
36	143	2	200
70	214	1	0.5
70	215	2	40
70	213	2	150
70	8	4	0.25
70	7	4	0.25
70	72	5	0.5
70	140	5	0.5
70	13	5	1
70	124	6	1
70	71	6	0.5
70	73	6	0.5
70	216	7	0.5
70	115	10	0.5
68	13	5	1
68	46	6	0.5
68	47	6	0.5
68	209	9	0.5
68	210	5	2
68	192	2	200
64	202	3	0.5
64	203	7	0.200000003
52	156	2	150
52	8	4	0.125
52	7	4	0.375
52	13	5	0.5
52	53	5	0.5
52	174	5	0.25
52	181	6	0.5
52	2	6	0.5
52	77	6	1
52	14	6	0.25
52	21	7	0.375
52	180	11	1
52	179	11	1
80	12	2	100
80	47	6	0.25
80	13	5	0.5
80	132	8	0.25
80	116	5	1
80	185	4	0.5
80	109	9	0.25
80	114	2	60
81	237	2	150
81	7	4	0.25
81	8	4	0.25
81	13	5	0.5
81	238	6	1
81	67	6	1
81	27	5	1
81	68	7	0.100000001
81	157	6	3
82	143	2	150
82	7	4	0.25
82	8	4	0.25
82	13	5	0.5
82	239	8	0.25
82	73	6	0.25
82	240	2	37.5
82	97	2	37.5
82	15	6	0.5
82	25	6	0.5
82	241	6	0.25
48	13	5	0.5
48	36	7	0.125
48	7	4	0.25
48	8	4	0.125
48	47	6	0.5
48	173	2	125
48	174	5	0.125
43	99	2	125
43	164	5	0.25
43	72	5	0.25
84	99	6	1
84	159	4	2
84	7	4	0.5
84	8	4	0.5
84	13	5	0.25
84	243	6	0.5
84	100	6	0.5
84	120	5	1
84	244	5	1
85	143	6	1
85	7	4	0.25
85	8	4	0.125
85	13	5	0.5
85	226	7	0.75
85	245	5	1
85	157	2	100
85	127	2	25
85	66	2	15
85	27	6	0.125
43	13	5	0.5
43	163	5	0.5
43	124	6	1
43	15	6	0.75
43	47	6	0.25
43	141	7	0.75
43	9	8	0.25
35	18	4	1
35	140	4	0.5
35	8	4	0.25
35	72	5	0.5
35	139	5	1.5
35	137	6	1
35	47	6	0.5
35	138	6	0.5
35	141	7	1
35	142	7	0.5
35	60	10	1
17	36	1	0.5
17	84	2	12
17	83	2	150
17	8	4	0.125
17	7	4	0.125
17	87	4	0.25
17	16	5	0.5
17	47	6	0.25
17	85	6	0.25
17	86	9	0.25
17	60	10	0
12	13	5	0.5
12	36	7	3
12	12	2	100
12	25	6	0.25
12	61	2	40
12	62	6	1
12	63	6	0
6	13	5	0.5
6	36	7	2
6	2	6	0.5
6	8	4	0.5
6	12	2	200
6	37	2	100
6	38	6	0.125
6	35	6	2.5
69	211	2	25
69	98	2	50
69	12	2	100
69	7	4	0.25
69	8	4	0.125
69	30	5	0.5
69	117	5	0.5
69	212	5	0.25
69	13	5	0.5
69	80	6	1.5
69	27	6	0.25
90	99	2	150
90	30	5	0.5
90	7	4	0.25
90	8	4	0.25
90	25	6	0.5
90	93	6	0.5
90	148	6	0.25
90	47	6	0.5
90	125	6	1
90	90	2	25
91	188	6	1
91	19	6	2
91	157	12	0.25
91	124	6	2
91	7	4	0.125
91	8	4	0.125
91	254	5	0.25
69	60	10	1
63	200	2	15
63	8	4	0.25
63	120	5	0.25
63	198	6	0.25
63	141	7	0.125
63	68	7	0.125
63	201	7	0.375
63	199	9	0.25
63	17	9	0.25
63	60	10	0.5
51	110	2	100
51	72	2	15
93	99	6	1
93	7	4	0.5
93	8	4	0.5
93	257	4	1
93	13	5	0.5
93	26	6	4
93	121	5	1
93	258	5	2
51	64	2	150
51	8	4	0.125
51	90	4	0.25
51	139	5	1
51	178	5	1
51	13	5	0.5
51	97	6	5
51	15	6	1
95	259	2	150
95	30	5	0.5
95	7	4	0.25
95	8	4	0.125
95	71	6	0.25
95	62	6	0.5
95	74	5	0.5
95	260	6	1
95	20	5	1
95	73	6	0.25
51	47	6	0.5
51	142	9	0.5
38	7	4	0.25
38	8	4	0.125
38	13	5	0.5
38	149	5	0.75
38	6	6	1
38	25	6	0.25
38	93	6	0.25
97	262	2	100
97	57	5	0.5
97	7	4	0.5
97	8	4	0.5
97	123	4	0.5
97	60	10	0.5
97	71	6	0.25
97	263	2	50
97	124	6	1
97	210	5	1.5
97	125	6	1
98	235	2	150
98	7	4	0.25
98	8	4	0.125
98	264	5	0.5
98	2	6	0.5
98	67	6	0.25
98	124	6	0.5
98	215	8	0.25
98	66	8	0.25
38	148	6	0.25
38	71	6	0.25
38	150	7	0.5
38	60	10	1
32	13	5	0.5
32	2	6	0.25
32	7	4	0.125
32	8	4	0.125
32	10	7	0.5
32	15	6	1.25
32	38	6	0.125
32	70	2	100
32	115	10	0.25
16	36	7	1
16	7	4	0.25
16	21	1	0.25
16	82	7	0.5
9	50	2	50
9	32	2	50
9	8	4	0.25
9	7	4	0.25
9	53	5	0.25
9	49	5	0.5
9	15	6	0.5
9	52	7	0.25
9	51	7	0.25
100	15	6	0.5
100	79	6	0.25
100	210	5	1.5
100	259	6	1
100	266	7	0.25
100	267	6	1.5
101	268	2	150
101	19	2	125
101	269	5	1.25
101	140	5	1.25
101	18	5	1
101	13	5	0.5
101	47	6	0.25
101	15	6	0.5
101	51	7	0.25
101	36	7	1.5
101	268	2	150
101	19	2	125
101	269	5	1.25
101	140	5	1.25
101	18	5	1
101	13	5	0.5
101	47	6	0.25
101	15	6	0.5
101	51	7	0.25
101	36	7	1.5
99	265	2	125
99	247	2	50
99	7	4	0.125
99	8	4	0.125
99	254	5	0.5
99	99	6	1
99	27	6	0.125
99	42	6	0.125
99	35	6	1
99	66	8	0.25
99	60	10	0.25
96	13	5	0.5
96	47	6	0.25
96	60	10	0.75
96	64	2	150
96	122	4	0.25
96	134	9	0.25
96	138	6	0.5
96	241	8	0.25
96	261	7	0.5
94	13	5	0.5
94	36	7	0.25
94	7	4	0.125
94	35	6	1.5
94	216	9	0.25
94	164	5	0.5
94	235	2	100
94	252	2	50
92	255	2	100
92	85	2	60
92	14	6	0.25
92	60	10	0.25
92	15	6	0.25
92	256	9	0.25
92	16	5	0.25
92	122	4	0.125
92	140	5	0.25
92	18	4	0.125
92	13	5	0.5
92	7	4	0.125
92	8	4	0.125
89	25	6	0.5
89	140	7	0.125
89	164	7	0.125
89	235	2	200
89	251	2	75
89	252	2	50
89	253	6	0.25
88	13	5	0.5
88	15	6	0.5
88	97	2	25
88	25	12	0.75
88	38	6	0.125
88	47	6	0.25
88	60	10	0.25
88	72	5	0.25
88	99	6	1
88	148	6	0.125
88	141	7	0.75
88	140	7	0.125
88	174	5	0.25
88	247	6	1.5
88	248	7	0.25
88	249	5	0.5
88	250	5	0.25
87	13	5	0.5
87	27	6	0.25
87	60	10	0.25
87	64	2	100
87	71	6	0.25
87	164	5	0.5
87	240	8	0.25
86	13	5	0.5
86	12	2	100
86	47	6	0.25
86	133	8	0.25
86	23	2	75
86	125	6	2
86	246	9	0.25
83	221	2	40
83	64	2	150
83	97	2	30
83	8	4	0.125
83	7	4	0.125
83	13	5	0.5
83	71	6	0.5
83	25	6	0.25
83	242	9	0.25
83	134	9	0.25
79	30	5	0.5
79	36	1	0.25
79	47	6	0.25
79	98	2	25
79	133	8	0.25
79	43	5	0.5
79	235	2	100
79	236	9	0.25
78	232	2	65
78	165	2	150
78	8	4	0.125
78	7	4	0.25
78	30	5	0.5
78	234	6	0.25
78	28	6	1
78	27	6	0.25
78	25	6	0.25
78	233	8	0.25
77	146	2	50
77	34	2	50
77	16	5	1.5
77	160	5	0.75
77	140	5	1.5
77	18	5	1.5
77	231	5	0.5
77	93	6	0.5
77	58	6	0.25
77	15	6	1
77	27	6	0.5
77	24	6	0.25
77	141	7	0.75
76	25	6	0.25
76	27	6	0.25
76	72	4	0.25
76	99	6	1.25
76	147	6	0.75
76	140	7	0.125
76	229	5	0.5
76	230	5	0.25
75	13	5	0.25
75	7	4	0.125
75	8	4	0.125
75	47	6	0.25
75	86	9	0.25
75	16	9	0.25
75	93	6	0.25
75	148	6	0.25
75	185	5	0.25
74	143	2	200
74	7	4	0.25
74	8	4	0.25
74	13	5	0.5
74	97	2	75
74	27	6	0.5
74	25	6	0.5
74	76	6	0.5
74	74	5	1
74	227	5	0.5
74	139	5	1
74	228	5	1
74	140	5	1
74	18	5	0.5
74	71	6	0.25
73	173	2	100
73	8	4	0.125
73	7	4	0.125
73	13	5	0.5
73	225	6	0.25
73	2	6	0.5
73	47	6	0.25
73	226	7	0.25
73	133	8	0.25
73	224	9	0.25
73	60	10	0.75
67	30	5	0.25
67	2	6	0.5
67	25	6	0.125
67	70	2	50
67	23	7	1
67	208	6	1
67	185	4	0.5
67	196	9	0.125
62	2	6	0.5
62	38	6	0.125
62	70	2	125
62	121	6	0.5
62	135	9	0.25
62	94	9	0.25
62	23	7	0.5
62	170	9	0.25
62	197	6	2
14	70	2	125
14	71	6	0.25
14	60	10	0.25
14	72	4	0.25
14	73	6	0.25
58	13	2	0.5
58	62	8	0.25
58	70	2	100
58	142	7	1
58	189	5	0.5
47	98	2	30
47	172	2	25
47	8	5	0.25
47	7	5	0.25
47	13	5	0.5
47	157	6	1
47	35	6	1
47	71	6	0.125
47	27	6	0.125
47	23	7	0.100000001
47	60	10	0.125
46	171	2	100
46	7	4	0.125
46	122	4	0.5
46	13	5	0.5
46	46	6	0.25
46	25	6	0.25
46	71	6	0.25
46	14	6	0.25
46	94	9	0.25
46	86	9	0.25
46	115	10	0.25
40	13	5	0.5
40	7	4	0.5
40	8	4	0.25
40	19	2	200
40	47	6	0.5
40	49	5	1
40	58	6	0.25
40	156	2	200
40	157	6	3
37	12	2	100
37	13	5	0.5
37	72	5	0.5
37	140	5	1
37	15	6	0.5
37	58	6	0.25
37	145	6	0.125
37	147	6	1
37	146	9	0.125
37	60	10	0.25
33	13	5	0.5
33	2	6	0.75
33	12	2	150
33	133	8	0.25
33	135	9	0.25
33	23	2	31.25
33	134	9	0.25
14	74	5	0.25
14	7	4	0.125
14	8	4	0.125
14	13	5	0.25
14	30	5	0.25
14	75	7	0.5
14	76	6	0.125
14	77	6	2
14	78	8	0.25
14	79	6	0.25
5	13	5	0.5
5	7	4	0.5
5	32	2	150
5	19	6	2
5	20	5	0.5
5	34	6	0.125
5	33	4	0.5
\.


--
-- Data for Name: ingredient_in_tag; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY ingredient_in_tag (ingredient_id, tag_id) FROM stdin;
161	8
2	15
3	7
4	12
141	16
141	4
140	20
155	20
7	5
7	6
7	4
8	4
155	7
10	4
11	8
68	15
14	15
15	15
16	15
17	15
18	4
68	20
177	12
19	14
19	15
19	8
20	12
21	12
22	4
25	15
26	15
26	8
27	15
28	15
29	15
33	4
37	14
38	15
189	5
39	4
39	5
40	8
41	4
5	4
31	8
34	15
46	15
47	15
49	7
208	8
255	16
172	6
235	18
51	15
52	12
53	15
53	4
159	4
159	5
48	2
204	8
171	19
165	19
55	15
56	15
58	15
199	15
59	1
59	17
192	19
60	15
60	4
61	15
62	15
257	4
64	17
64	1
63	8
65	15
65	8
66	15
66	8
67	15
42	15
43	4
44	8
79	16
79	15
69	4
69	15
70	1
84	4
71	4
71	5
71	15
90	15
90	8
72	5
72	15
73	15
74	4
75	12
98	15
76	15
101	15
109	12
110	15
112	8
78	15
114	8
115	4
115	15
116	15
121	12
124	15
122	4
122	5
123	4
126	12
127	15
133	4
135	4
135	5
80	13
80	8
81	4
118	15
118	4
85	13
87	4
89	9
93	15
94	5
94	15
95	4
92	17
153	15
96	15
23	12
23	11
97	15
100	15
145	15
146	15
102	4
147	8
105	4
138	15
156	2
156	3
157	15
139	3
104	5
104	15
117	12
117	11
45	20
35	19
107	20
108	7
108	4
111	20
125	7
128	4
128	5
132	15
134	20
134	15
152	7
152	3
158	20
158	15
148	15
149	15
9	15
12	1
32	2
113	1
113	17
113	19
142	15
6	1
6	19
88	1
88	19
88	18
77	8
77	7
262	1
202	4
263	15
169	19
243	9
265	8
175	15
240	15
184	15
252	15
258	20
233	5
220	8
237	19
241	20
166	15
180	15
200	5
210	12
222	4
223	4
267	15
224	15
9	20
86	15
86	20
136	20
193	15
167	5
185	4
268	18
213	18
168	15
216	8
191	19
259	19
203	4
205	17
247	8
195	4
228	15
181	15
196	20
239	13
173	18
260	8
211	11
238	20
246	20
188	19
12	19
106	1
106	19
106	18
82	8
103	9
24	1
24	16
206	1
217	4
178	20
236	15
186	19
209	5
225	8
218	4
215	8
242	20
250	20
256	20
227	15
174	7
32	19
50	3
50	2
50	19
54	1
54	17
54	19
83	1
83	19
83	18
130	1
130	17
130	19
176	15
197	8
99	16
99	19
129	1
129	18
129	19
179	15
137	19
137	16
144	4
144	15
221	8
261	9
234	5
1	1
1	19
1	18
1	17
162	20
162	15
151	1
151	17
151	19
143	1
143	19
143	18
253	15
226	12
183	15
207	11
194	4
212	15
190	8
198	19
232	8
251	13
170	20
245	5
\.


--
-- Data for Name: ingredient_tag; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY ingredient_tag (id, name) FROM stdin;
1	Meat
2	Fish
3	Seafood
4	Spice
5	Spicy
6	Salty
7	Flour
8	Extras
9	Fruit
10	Berries
11	Cheese
12	Milk product
13	Pasta
14	Potatoes
15	Green
16	Chicken
17	Pork
18	Beef
19	Animal product
20	Composed
\.


--
-- Name: ingredient_tag_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('ingredient_tag_id_seq', 20, true);


--
-- Data for Name: language; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY language (id, locale, name) FROM stdin;
1	NO-no	Norwegian
2	EN-en	English
\.


--
-- Name: language_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('language_id_seq', 2, true);


--
-- Data for Name: logininfo; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY logininfo (id, provider_id, provider_key) FROM stdin;
1	credentials	admin@admin.com
15	credentials	tandeey@gmail.com
16	credentials	sigurd.l@gmail.com
17	credentials	mealchooserdev+demo@gmail.com
18	credentials	garr@garr.garr
19	credentials	stenseth.thomas@gmail.com
20	credentials	e.lislebo@gmail.com
21	credentials	hans@myraune.no
22	credentials	kjsletten@gmail.com
23	credentials	christian150790@gmail.com
24	credentials	grimholt@gmail.com
25	credentials	helgel@idi.ntnu.no
26	credentials	ingeborg_ane@hotmail.com
27	credentials	agnar@idi.ntnu.no
28	credentials	torkildsen@gmail.com
29	credentials	arman.vestad@gmail.com
30	credentials	marianne_lund80@hotmail.com
31	credentials	majken.weiby@vikenfiber.no
32	credentials	sybolt91@gmail.com
33	credentials	edvard@plysjbyen.net
34	credentials	sindre@sindrejohansen.no
35	credentials	andrlov@stud.ntnu.no
36	credentials	android@eatelligent.no
37	credentials	ios@eatelligent.no
38	credentials	christoffer@jahren.as
39	credentials	khoshi1992@icluod.com
40	credentials	halvorgb@gmail.com
41	credentials	torbein.rein@gmail.com
42	credentials	thegodofnoobs@gmail.com
43	credentials	lavalleung@mail.com
44	credentials	jostein.brevik@gmail.com
45	credentials	alberts@online.no
46	credentials	mille_ss@hotmail.com
47	credentials	alx_73@live.no
48	credentials	odd_lund@hotmail.com
49	credentials	krioveraas@live.no
50	credentials	silje_nk_e@hotmail.com
51	credentials	oyvindrtangen@gmail.com
52	credentials	kns@hebb.no
53	credentials	hildeny@online.no
54	credentials	odd_arild@hotmail.com
55	credentials	john.mienna@gmail.com
56	credentials	nicolaj.niels1@hotmail.com
57	credentials	ola@eatelligent.no
58	credentials	nordmann@eatelligent.no
59	credentials	sirikoe@gmail.com
60	credentials	fredrik.stenbro91@gmail.com
61	credentials	ptduus@gmail.com
62	credentials	vegwoi@gmail.com
63	credentials	vadder@gmail.com
64	credentials	kongshem@stud.ntnu.no
65	credentials	djalkohol@hotmail.com
66	credentials	steffen.granly@gmail.com
67	credentials	nilssensara@hotmail.com
68	credentials	henriksdahl@gmail.com
69	credentials	thomasedagsvik@gmail.com
70	credentials	petternordby@hotmail.com
71	credentials	magnhig@stud.ntnu.no
72	credentials	b.sjursen@gmail.com
73	credentials	susanne.g90@gmail.com
74	credentials	wenchemoe@hotmail.com
75	credentials	challa_87@hotmail.com
76	credentials	hagelien@gmail.com
77	credentials	jorgen.notland@gmail.com
78	credentials	danilssen@hotmail.com
79	credentials	linemos@gmail.com
80	credentials	aasmund.skatvedt@gmail.com
81	credentials	tt@live.no
82	credentials	ingeborg.ladegard@gmail.com
83	credentials	marenboger@gmail.com
84	credentials	eirikottins@gmail.com
85	credentials	ingvildkildal@gmail.com
86	credentials	inga.bjornevoll@gmail.com
87	credentials	kia.brekke@gmail.com
88	credentials	sverrebk@live.no
89	credentials	behaug@gmail.com
90	credentials	asmund.heir@gmail.com
91	credentials	helgafloberg@yahoo.no
92	credentials	marit_stien@hotmail.com
93	credentials	post@osterlie.no
94	credentials	westbye.berit@gmail.com
95	credentials	nanna.with@gmail.com
96	credentials	grylikar@hotmail.com
97	credentials	linnemelie.sch@gmail.com
98	credentials	caroline.rh@gmail.com
99	credentials	mikke-rikke@hotmail.com
100	credentials	othiliab@live.no
101	credentials	elstad.ane@gmail.con
102	credentials	kradalby@kradalby.no
103	credentials	morten.holthe92@gmail.com
104	credentials	omidtvedt@gmail.com
105	credentials	rjugstad@online.no
106	credentials	linaelise2@hotmail.com
107	credentials	agnar.aamodt@idi.ntnu.no
108	credentials	marteskan@hotmail.com
109	credentials	anastasia_volvo@hotmail.com
110	credentials	fridtjov123@gmail.com
111	credentials	malma@martilsynet.no
112	credentials	jonas.wahl@me.com
113	credentials	hilde.sigrid@hotmail.com
114	credentials	torhildhansen@gmail.com
115	credentials	elisefotball@hotmail.com
116	credentials	bjorgw@live.com
117	credentials	irene.westbye@gmail.com
118	credentials	tora.malha@gmail.com
119	credentials	atinuke.oshin@yahoo.com
120	credentials	mvbjornstad@gmail.com
121	credentials	bjorn.mong@hotmail.bo
122	credentials	denna_der@hotmail.no
\.


--
-- Name: logininfo_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('logininfo_id_seq', 122, true);


--
-- Data for Name: oauth1info; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY oauth1info (id, token, secret, login_info_id) FROM stdin;
\.


--
-- Name: oauth1info_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('oauth1info_id_seq', 1, false);


--
-- Data for Name: oauth2info; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY oauth2info (id, accesstoken, tokentype, expiresin, refreshtoken, login_info_id) FROM stdin;
\.


--
-- Name: oauth2info_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('oauth2info_id_seq', 1, false);


--
-- Data for Name: passwordinfo; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY passwordinfo (hasher, password, salt, login_info_id) FROM stdin;
bcrypt	$2a$10$ZCEgGpIBt/K5oGu1GfoRV.Ma.G/rwLM/WpdkZ6vTox0oZi0Hu7.ya	\N	15
bcrypt	$2a$10$fy6vhiADsvm69zywm/BE9.fAgO8IbsIGmCCpjyjStzmfTtHVantxy	\N	16
bcrypt	$2a$06$zVpiifCnygT1prP1Lp6sw.6rrkrnJd0aYrDrllltI2Z64enQ8EUt6	\N	1
bcrypt	$2a$10$2yZYc0ffzLQho/8MGy2RdOEjJidSLFMsdByIgVslt9gKwkMVFoYxG	\N	17
bcrypt	$2a$10$x2AvrRmm9AtjwbNY.BU.aeI0eJp4ouHHbOOAz1uo7PYKkBCtkaF5y	\N	18
bcrypt	$2a$10$Zl09Et96AXD/LnsoQiDsfONVOH7PwS2iVTjStjaQ5rHQHh7nBQHsO	\N	19
bcrypt	$2a$10$EY8kIdOPE7DF8gNy.Ar7xutpQedvW1YmBLt4aUKhZJjAMh8qRITGK	\N	20
bcrypt	$2a$10$onCFpowXRIGTlnnzyRHLXee.Wm9hozTDXioTydfmPd5C8LaTcWN.O	\N	21
bcrypt	$2a$10$n0BKVZHXpU6NiB.ycVk73eER.rr/Cawk5snRdyWwQY1H3FKFSrBTK	\N	22
bcrypt	$2a$10$9UCYFekSeIvGt/xoIDMT9.IfCTa39uVeEwt1/HxDj04Fd/YdRs4wW	\N	23
bcrypt	$2a$10$IPnSh3jUSSkODH8aJ8cGUu5nFAtzv.1EyhJ3fp6f/ZayGqY5I.NaG	\N	24
bcrypt	$2a$10$nBVyNZqQ7d5NPJY01rBWoOmFBx3nNlfhLQQW.9uOYtoGxUUFGDWGC	\N	25
bcrypt	$2a$10$EiSLqv9YfTYOwmSJjtf.zOnjs5efPtIYLL5DrvMBfAlZVXYC33KX6	\N	27
bcrypt	$2a$10$YsIbtHVlxOO6e.BW1pCwqOwQPE2zNbUKRpaMLmUr57NK9Fr7hGPiK	\N	28
bcrypt	$2a$10$OUvuzupiH9NBdckFDgZl5OO1Txzl7LjVYJT6DmgloGnWYJReKBJAq	\N	29
bcrypt	$2a$10$6ag2mKuP68Gk.6yJH0O9qe1JuUt9ERsMsigpcCwRRCI6XqavToK.S	\N	30
bcrypt	$2a$10$omaB5ozgoCx9Ghm85kniSe8zTnKxiLsfE4OVh4Ezu3pbcy6Fyaxb2	\N	31
bcrypt	$2a$10$NkrM.AEs2029pxLHUeLXjOM3DjL1yiJYWoRXvgHaT47jPaV97Xybq	\N	32
bcrypt	$2a$10$C3TIpy8e7eqsxQrpmVw2S.RrC/aiIBC5oAbshLMNxXji0JlZCIQXi	\N	33
bcrypt	$2a$10$M3RfDAwkO3BF3LXmUH.5zeOnUSV68yYvoRtWixVrEy1r4BA3oTA3C	\N	34
bcrypt	$2a$10$TM/fYA66axUZejbsffH6YOjgSgJoPGqdtBXcp5YF9WpHhIc2v.3XC	\N	35
bcrypt	$2a$10$PHRYDTlak.rb03EBcGfK5.kT1xVxIANIaVUiu4w8xcNFf1pdaH6G.	\N	36
bcrypt	$2a$10$ugL.GtOqQrBL6xcq772TOerPZ63N80mP5.maca.5Qmik9eiUHnYG2	\N	37
bcrypt	$2a$10$NtxOBF45QImVO48rG5yIOOBtJYP6NGFfVnukG6Ac/NU0ozb5nmQni	\N	38
bcrypt	$2a$10$zZr.GYB4JtAv80rXP480J.x1SL26Ns64TI/wWITsxj5vi805l7Z5S	\N	39
bcrypt	$2a$10$UeooBT0Eu4XcsWTibTXDG.cuOPRdaE6QHgBF8GI9BmnKg4u4TbML6	\N	40
bcrypt	$2a$10$85I6US9X3iSTcRJSjzKSCeOHKDECRa9XyCRt8mrHfOyIVEAOsPuCC	\N	41
bcrypt	$2a$10$6g2B9Ti5Z69Ucj4BH7spNephHOZ/v52yOTiQiaRWjZrVbp.Iqlzia	\N	42
bcrypt	$2a$10$MVSaRnjAfrWESDZxXvtBaeHCKnEwHlwK3CrhDBK85czxQCShl.iWi	\N	43
bcrypt	$2a$10$6lcxabiKuhnUU6eiFbGeueekvpMx0Gik1fRaq53c.GIF4UXXlMzim	\N	44
bcrypt	$2a$10$pIKVP4pqTKiMmBzK.slP4.JlrjOc5lorpMrC/RmhQtdLRZoBbeqZS	\N	45
bcrypt	$2a$10$F7xeB0G7AmjRkNuSKeRKqe.N8eWQiH7pPkno.D3LSiSMD0vQZNWM.	\N	46
bcrypt	$2a$10$CzU2CE9QM05Ld1Dnzu7NAegxsViT9KQkKPi2pNGTzL.MDYw0dDGEa	\N	47
bcrypt	$2a$10$xXzFqakgz3/HwxO9WENlNOfk/b0IjsswzzNvgzvYAIzJExPPe.E4K	\N	48
bcrypt	$2a$10$peYNjAeMk28gVHBeDm.prO0sj2OgtQYyeZFLkR8p290tdgJXKDMgK	\N	49
bcrypt	$2a$10$fHQKfK5LLwGdZ6IIG66t1.wYafZ4x/wzp.D4awRniDQl0PHQlZWRi	\N	50
bcrypt	$2a$10$nS/JVumipfOzgwzW6kiObehIjdKxsI13tZX.pWYhekVnLdww6LKOW	\N	51
bcrypt	$2a$10$OjkuCm3Y/dfddYrdznr0sOGa2FLtfYqs/6oOHMbZ3dY76HOZqrD/O	\N	52
bcrypt	$2a$10$xeGkwdi1wrYkvZxPhyOzZed85HO7jNqtM3yFWlM5jswPTsW3d8Ncq	\N	53
bcrypt	$2a$10$bms2kEL.ENLGRPGT2hMEE.r8GKeNo9KuoyOP6vRqxzq6WLC2bvygK	\N	26
bcrypt	$2a$10$czwUrYBhkAPCid9T7HOE/OOHCVf/3s7ukMudkro15Lh5OQFcmAU8m	\N	54
bcrypt	$2a$10$jy4UgWovH/0LxwkK96oBHO25k1hqnXj3l4hhT7DRwcGIDb0lzoQxS	\N	55
bcrypt	$2a$10$dHQnUyy.MuLyhYraomWt6un6JYGl4leBoYgEz3NyVipJuJOW9pydi	\N	56
bcrypt	$2a$10$Qfpq3jgeyTqRoJzhzf54wO2.d3tpRPHgTjWpMQlcCm8pf8u0uo/q2	\N	57
bcrypt	$2a$10$el/FD.P6aP7nNJI2QxATw.yLP.uq3Qbn.t2HJB6GbqwakRYTgs2h2	\N	58
bcrypt	$2a$10$X5cao17ULkHEufTCY3/qG.jk1PjbLk0elT7xSQzCW9LMa9yZJ4F6W	\N	59
bcrypt	$2a$10$FgZ/B.68kzPEGSxzKDefmuEQQviOPmDmrcAdYVSZ1UGVEiyPibbPK	\N	60
bcrypt	$2a$10$Jk5YRNhEQ7o9SaYqnTaM/OxBPYizyhNWHjFtfkhuUSkjjUTuiRssK	\N	61
bcrypt	$2a$10$gDRBTqE3F7mqc75Ws73YY.dAYNobhM5SlEKGdVfLtp1f0EWc6iFBy	\N	62
bcrypt	$2a$10$uRW7cZwrD3jqs7.7QRyOq.2Rd0UVskjtppeiVY2ZY99Suq2AaQYEm	\N	63
bcrypt	$2a$10$XVhi5AnIPBeC8mRnBoBLueXeInq0.5gtB9M8T7EdJjfocfqszNi2G	\N	64
bcrypt	$2a$10$3iepyCs/OLnkPDEeFY77w.PgQ0QLO5lkXPxRp3Xpuy/9r0ojLTx4C	\N	65
bcrypt	$2a$10$m7ndachpD6RRLqPo2iSZYuP4zgnHctcSNjV02n1C/VBfpF01TtpGy	\N	66
bcrypt	$2a$10$11K2CWaOwUmXgsRQwfmw8ulRBVA9mHT3M8zj.RXhseeotJx7A5Pyu	\N	67
bcrypt	$2a$10$/ttxzF2jIpRh9gRA5TrN5eNrxYfFxNUsqQCg3PlYh7zRUH1a8x9TO	\N	68
bcrypt	$2a$10$NkstIimyTOYT4fO8LefpguDKaUQMZfAE51QJ4dYVFaUNDuQtqN4dy	\N	69
bcrypt	$2a$10$Nd0txJ80kwzlrCSj5qouceb2G06w3ern6Ayg6uZc1lpLIm6Ky0Zbu	\N	70
bcrypt	$2a$10$fR23rTWzZlR0.x5I8YD31.qAgDfqRwPw/78driPXijcgHQAJh2FGq	\N	71
bcrypt	$2a$10$fOcA9nRiZXyXIWo2rx/3FOvk12VSefzRPuY.g7I2/JFlMYH7Htfai	\N	72
bcrypt	$2a$10$bid.I8imucJRQQgm4R0uSeXZbpmIlTN7Gg5T47zlpvByjwbINuym2	\N	73
bcrypt	$2a$10$DpnnD6vrp5EY2jSPOrHBn.WzUsvG3B3n.0QYzL1XP5wOOnsr2Ayb.	\N	74
bcrypt	$2a$10$B.0WmpUhWlyESx520PewZua1nYgW69floqmldnONUtOlXTvxqAnYG	\N	75
bcrypt	$2a$10$5yfaulAboQHrL046N5ROIe67O.ovUYCjb7H9ZRiPANhiVCOZsEuga	\N	76
bcrypt	$2a$10$azBFGF.sWJkDHdjiJbr4uuJqauaucLeLHAY1hQHzOAVwE0Aa0DYOu	\N	77
bcrypt	$2a$10$LUf0ilafgIt00O2UjMOucuUd.ftsl6f0ENMwKg5Uk15yZ4GfJNAwa	\N	78
bcrypt	$2a$10$DyDrBK/24uI1QfSLifINPuka4TY//Wjc48NfqucODltfojEzFwWe6	\N	79
bcrypt	$2a$10$prpRFgARsRPHDymq1SVc7em9HFC7//BKqQ2WK7L/uxaBK4729m10G	\N	80
bcrypt	$2a$10$5eEEJO5BmZ4Ev/KSfEtk5uafnpm8rXC0yGM1Y/AaMCRWHfFUs33Ju	\N	81
bcrypt	$2a$10$L19NdUuV0HXs2ZgeSK9NiOEigrZGvJ1p3sAWcVkzl0jB/DhIYrQry	\N	82
bcrypt	$2a$10$0ybF.qcAElnv3FCyEUqnue.p2bISUSwdCT8AdYBxoFtDN41sB6qGC	\N	83
bcrypt	$2a$10$1PqIp5VnXWnOBYj0qwA2YOkDWpKfQi/8x7R8D8jd7spZB5mlWeyQ.	\N	84
bcrypt	$2a$10$WBfaozp5ftZz/AiV0G2CbeolHnO3ELPd3EKesDF8bJDOzJOTPPrzO	\N	85
bcrypt	$2a$10$fuvcMf1AGXOnW488KdK7W.wl.6QpMC2IyJWY2eZ2qwlk2QtYrNGu2	\N	86
bcrypt	$2a$10$lT1HoONzhInISqTqKMFlLeMkMhXJpNuJC2GNnyJQcAFtjBanXy8sG	\N	87
bcrypt	$2a$10$t11ZakYr/5DBEx6QBdWjduB6cPY03qdUO.5bnszcYVG5AF2tRUP0K	\N	88
bcrypt	$2a$10$kMdER.F6wQzzM.831YF2Y.E84RNePKk9px8tJLf5aTaAvRc2uXLde	\N	89
bcrypt	$2a$10$RzPjY13K/cwFIolg8TLBmepnnxbJMpVp8lxoWgCF9VmWzpHND1Mbm	\N	90
bcrypt	$2a$10$zwCxlrGs7cUVq.H0RwaH7eYSLh6TD3MZfO1aa9teYb9/wF9kRd.Fm	\N	91
bcrypt	$2a$10$ql4cyXsSc.l2Q4DXuYTNn.SQpwS9s7S6WSX8zWzvaH2Bm3/4XwOLm	\N	92
bcrypt	$2a$10$qjRtEFRnGqU5aDbKW95my.WUR76KcUqvu9lnlzjW2hZGw1MFxn3je	\N	93
bcrypt	$2a$10$uAhJIAi0XtGNCOyX2cDE2uXygx2IXt45BT3su5YO3nMJyFOaXk8yS	\N	94
bcrypt	$2a$10$1TrSn0CLTrfpawkPvLGktORkbXV8HDgJTcxGkMNHr95oliWVjZMdG	\N	95
bcrypt	$2a$10$FecDfcAXWGw0BXo7WTVYquyPUHuf23VZBuFQpOh.UoJQTS9pw6UVu	\N	96
bcrypt	$2a$10$75FxgBy1s3/d151fP0zgtu4y3txhu1xqxrhj4MWQFTbWnYMcNvEM6	\N	97
bcrypt	$2a$10$Elb8fGZ5BNywUTNhxkBlGu11c4h8br3CorpT6V1Zgwd5CTEysWdnS	\N	98
bcrypt	$2a$10$52NQ8VfhRt0qUhFTvb.myO1FclFf/8W32uaNU.cxMnsl7Bo6NJ3bW	\N	99
bcrypt	$2a$10$xuro5/zvxdO/WQQBwbEpieK0ArOBgoRO.wBd0mqLmOp/VWDIQKhX6	\N	100
bcrypt	$2a$10$7USblE7RKmIU6NaIgCNMbO.qc8dkAoz5vWXe/Bg7XRgsLz6GC2eie	\N	101
bcrypt	$2a$10$wCN4F.DGyLutl6KAdQcXietFsbC6ZMFKMm21G2T0J8PeXnyXN2e06	\N	102
bcrypt	$2a$10$/JL5D1UiczQdQ8m1MQh7ZeBYCRzMdcLiHBU8h2t2pbpjSCaxtkC.u	\N	103
bcrypt	$2a$10$4rkqTsoWnJn9OncCuAcm8.yY1oUhmEZ9cgbCbJtgbkIdKmM3zFQOm	\N	104
bcrypt	$2a$10$5zZLr9.uEmoIR6ilCBIbVOH9ruQ2FMXj6LYx40HBPCSHi/jFfrXgC	\N	105
bcrypt	$2a$10$UKJe045M4S7kPHLWqdbnCuotTkHe1byIehODgXp1Es616KCTgkA.S	\N	106
bcrypt	$2a$10$j1zsBeLFyl5v.w6uV.5QmuQ1hF.x5P8T/Rx1O2FMaxg3asYfvkA4O	\N	107
bcrypt	$2a$10$DgpdTkq1Sq9DXbjxcBFRoO/L/O3s/JktXfzFz9OnNPIC4IOMSLouu	\N	108
bcrypt	$2a$10$j1pTeKGwcVsgKT4K3w/cxOlHyMmHIAmVSqSSQcGgOzRIS7abtLh7C	\N	109
bcrypt	$2a$10$v9r8y3kcQHGslgUMzL7p4ux/CFZPVQEmS4dBpRqptgGcYfaM5KDeG	\N	110
bcrypt	$2a$10$vuLGDbcWUA2mnAC7V8jSieloCuzvy9HRWmEqMvGL2h9y.svxhKsli	\N	111
bcrypt	$2a$10$cOA6seuGkGTs9v3pMlGRBu/YyU77BL08Tbzl0nPAWloyXbDxR0vp2	\N	112
bcrypt	$2a$10$08FmZAMkLmPhNjbbDqUUP.UH2TKtTGhhzchH.AX3nh1jYOblRe6B6	\N	113
bcrypt	$2a$10$p.edWpssQYv507myMoVQTu8UrvvZtKFh9PnhiLucQgpA5vKYBjdpC	\N	114
bcrypt	$2a$10$BIjZ1reNjVjPKwtClPdG5uHaiFbG1fCszmYeodzpYO1RYVTBFzs7C	\N	115
bcrypt	$2a$10$V2q65ctxYGt2Z9ll8a4u1uiBuaPvvSB.qGs/SpQUeTwfp1xDGNNde	\N	116
bcrypt	$2a$10$pi2LMeHGqqdL4I/AQdo9zOIfHghht7oLoRimk1BkTAegBV8fKSBPW	\N	117
bcrypt	$2a$10$EwsAjm5tv5RV0aYHZQ11SeIV59cdM9552uOhgYO8qLotCpRFYQQme	\N	118
bcrypt	$2a$10$CQtUo7PPbqkZlFnPs9IjJOMDVe4o0Cm2zqhA6wKNefE6QQAv29Cge	\N	119
bcrypt	$2a$10$D.Axor0fBkR89KWQQobHP.O8YZ5SHjzuN5iyvRuynXNFraJLLwRY2	\N	120
bcrypt	$2a$10$b8WYqwdmpOrZa8TUJdJI7.7cWKSgzwCw9ACl/BgEovndClS/g8h/O	\N	121
bcrypt	$2a$10$c9vvcZjS/wmcUaFXxXWbrOx4FY6wADndc8uXlRqHAi8XEv1RigQJy	\N	122
\.


--
-- Data for Name: recipe; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY recipe (id, name, image, description, language, calories, procedure, spicy, "time", difficulty, created, modified, published, deleted, created_by, source) FROM stdin;
101	Niku Jaga - kjøtt og poteter	https://res.cloudinary.com/hnjelkrui/image/upload/v1426074477/qj1ma0ui3st1gd3zkvqe.jpg	Dette er en tradisjonell middag i Japan. Den er ikke så ulik den norske lapskausen.  	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Varm oljen i en jerngryte, og brun kjøttet til det får en gyllen fin farge. Tilsett poteter, løk og gulrot. La dette surre i ca. 2 minutter. Ha i vann og la det koke under lokk til poteter og gulrøtter er gjennomkokte, 10-15 minutter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Tilsett sukker og vinen. La det koke videre ca. 5 minutter. Ha i soyasausen, senk varmen og la det småkoke ca. 20 minutter uten lokk til kraften er nesten helt kokt inn.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Tilsett erter eller sukkererter de 2-3 siste minuttene av koketiden.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med ris eller nudler. Og litt ekstra soyasaus er et naturlig tilbehør i det asiatiske kjøkken.</p>	1	60	Middels	2015-03-11 11:47:47.8	2015-03-12 14:07:07.03	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/niku-jaga---kjott-og-poteter/
99	Pasta med kylling, sopp og egg	https://res.cloudinary.com/hnjelkrui/image/upload/v1426074252/jzcifhmdyijnuswlpmmw.jpg	Prøv en av våre magreste pastaretter med kylling! Mye hakket grønt og god sopp passer godt til kyllingen og setter sitt gode preg på retten.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok pasta etter anvisning på pakken.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Skjær kyllingfiletene i ca. 1 cm tykke skiver og stek dem i en stekepanne med slippbelegg. Krydre forsiktig med salt og pepper. Sett dem til side.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Varm olje i en stekepanne og rist&nbsp;oppdelt sopp&nbsp;raskt sammen med løk og hvitløk. Press over sitronsaft. Tilsett kyllingbitene og la det hele bli gjennomvarmt.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Bland pasta, kyllingkjøtt og hakkede urter. Smak til med salt og pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server pastaretten i dype skåler med en eggeplomme på toppen.</p>	1	20	Middels	2015-03-11 11:44:04.855	2015-03-12 14:07:42.029	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/pasta-med-kylling-sopp-og-egg/
83	Sweet and sour	https://res.cloudinary.com/hnjelkrui/image/upload/v1426071895/eo3khituqcgubrb0fjrf.jpg	Til denne oppskriften har vi hentet inspirasjon fra Asia. En lett rett både med tanke på kalorier og tilberedning, og den har rikelig med smak.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Kok ris etter anvisning på pakken.&nbsp;</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Skjær paprika og sukkererter i strimler og hakk chilien.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Brun kjøttet raskt i stekepanne i to omganger og krydre med salt og pepper.&nbsp;</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Tilsett paprika sammen med sukkererter og chili. La det steke litt med kjøttet. Hell over&nbsp;sursøt saus og ananas. La det trekke ca. 1 minutt.&nbsp;</li></ol>	1	20	Enkel	2015-03-11 11:04:49.788	2015-03-12 14:12:32.455	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/sweet-and-sour-sursot-gryte/
94	Asiatisk omelett	https://res.cloudinary.com/hnjelkrui/image/upload/v1426073721/ftcicadsg2irt9yruka9.jpg	Omelett er både rask og enkel mat og kan fylles med all verdens spennende råvarer. Her har vi valgt typiske råvarer fra Asia. Nydelig og mettende.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Skjær sopp i skiver. Stek biffstrimler sammen med sopp til det har fått en gyllen farge. Ha på bønnespirer og østerssaus. La alt steke videre i ca. 1 minutt.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Bland egg sammen med vann og salt. Ha eggeblandingen i en varm stekepanne. Rør noen ganger med en stekespade. Når omeletten begynner å stivne, kan du tilsette fyllet på den ene halvdelen.&nbsp;</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Brett over den andre halvdelen og la omeletten steke videre i ca. 2 minutter.&nbsp;</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server gjerne med brød og en salat.</p>	1	20	Middels	2015-03-11 11:35:10.288	2015-03-12 14:09:11.227	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/asiatisk-omelett/
29	Chili con carne	http://res.cloudinary.com/hnjelkrui/image/upload/v1423577955/fvkecg2ssbt3gswvqm3r.jpg	Chili con carne betyr chili med kjøtt. Chili con carne er ikke meksikansk mat. Dette er en rett som har basis i det meksikanske kjøkken, men som er ekte amerikansk, trolig fra Texas.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.</strong>&nbsp;Ha margarin eller olje i en varm gryte. Vent til margarinen slutter å bruse, og brun kjøttdeig i to omganger sammen med&nbsp;løk, hvitløk og chili.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.</strong>&nbsp;Hell over hermetisk tomat og la det surre i 3-4 minutter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.</strong>&nbsp;Bland inn chilibønner, paprika og krydder. La det koke et par minutter og smak til med salt.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server gjerne gryteretten&nbsp;med salat og brød.</p>	2	20	Enkel	2015-02-10 13:59:40.999	2015-03-12 14:27:00.581	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/chili-con-carne/
92	Pasta med kyllingkjøttsaus	https://res.cloudinary.com/hnjelkrui/image/upload/v1426073499/fc0bkkylyt4g1xemll2p.jpg	Kyllingkjøttdeig kan du bruke på samme måte som tradisjonell kjøttdeig. Denne kjøttsausen er både enkel og kjempegod!	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok spagetti som anvist på pakken.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Fres løk og hvitløk blankt i margarin i en kjele. Ha i gulrot i strimler, hakkede tomater, tomatpuré, chilipulver, soyasaus og litt sukker. La dette koke noen minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Stek kyllingkjøttdeig og ha den i sausen. La alt bli varmt.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server kjøttsaus med spagetti og eventuelt tynne skiver av parmesan.</p>	2	20	Enkel	2015-03-11 11:31:30.176	2015-03-12 14:10:10.667	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/pasta-med-kyllingkjottsaus/
60	Spicy lammecurry	https://res.cloudinary.com/hnjelkrui/image/upload/v1426063979/phyndnwne85x00569e7b.jpg	Nydelig lammegryte med smaker fra Asia. Fennikel, kokosmelk, sitrongress, brunt sukker...mmmmm.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Skjær kjøttet i biter (3x3 cm)</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Varm opp olje i en stekepanne. Brun kjøttet og ta det ut av pannen.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Fres ingefær, chili og grønnsaker, tilsett karri-pasta, finhakket sitrongress og kokosmelk. La det putre i 10–15 minutter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Smak til med sukker og tilsett kjøttet. La det trekke et par minutter.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med ris eller brød</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;"></span></p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Sitrongress er en kryddervekst som brukes mye i Asia. Bladene er lange, smale, hvite og lys grønne. Smaken er sitronlignende, men ikke så skarp som vanlig sitron. Aromaen utnyttes best når bladene knuses eller finhakkes. Ferskt sitrongress kjøper du i innvandrerbutikker og enkelte andre forretninger. Det finnes også på glass, men da er ikke smaken så intens. Retten kan gjerne lages uten sitrongress, men den mister da noe av sitt særpreg.</div></div><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;"></span></p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Fennikel kan byttes ut med stilkselleri.</div></div>	2	30	Enkel	2015-03-11 08:52:46.97	2015-03-12 14:18:10.209	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/kos/spicy-lammecurry/
12	Rask og digg nudelsuppe	http://res.cloudinary.com/hnjelkrui/image/upload/v1423562601/g3jacg23mwswfcb95gos.jpg	Det er utrolig lite som skal til før en pakke nudler blir mer spennende! Med litt kjøttdeig og strimlede grønnsaker blir det faktisk et ordentlig godt måltid!	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek kjøttdeig i en stekepanne med olje. Tilsett paprika og sopp og fres videre i 2-3 minutter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Ha i vårløk, nudler, krydder og vann. La det koke i 2-3 minutter.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med godt brød.</p>	1	10	Enkel	2015-02-10 10:03:00.4	2015-03-12 14:32:48.712	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/rask-og-digg-nudelsuppe/
89	Kinabiff	https://res.cloudinary.com/hnjelkrui/image/upload/v1426073091/mbyzrolbvwdo0mouoztk.jpg	En enkel og rask wokrett med gode smaker. Kinabiff er en ny favoritt!	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Strimle sopp, kål og paprika.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Kok nudlene etter anvisning på pakken.&nbsp;</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek kjøttet i to omganger i en wok eller panne på sterk varme. Ta kjøttet ut og gjør det samme med grønnsakene.&nbsp;</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Ha kjøttet tilbake sammen med grønnsakene, rør inn østerssaus og soyasaus. Bland inn nudlene til slutt.</li></ol>	1	20	Enkel	2015-03-11 11:24:37.423	2015-03-12 14:10:45.638	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/kinabiff/
87	Spinatwok med svinekjøtt	https://res.cloudinary.com/hnjelkrui/image/upload/v1426072840/kd4itezty9clsdtay4a6.jpg	Denne retten er lynrask, enkel og kjempegod. Med renskåret svinekjøtt og grønnsaker blir dette en sunn og næringsriktig middag. Dersom du ikke har en wok, kan en alminnelig stekepanne brukes.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px;"><span class="recipe-step" style="margin: 0px;">1.</span>&nbsp;Stek løk i båter, hakket hvitløk og chili. Ta det ut av woken.</p><p style="margin-top: 5px; margin-bottom: 15px;">2. Stek kjøttet, tilsett de stekte grønnsakene, og bland inn spinaten.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px;"><span class="recipe-step" style="margin: 0px;">3.</span>&nbsp;La det surre et par minutter, hell på østerssaus og server med ris.</p>	2	20	Enkel	2015-03-11 11:20:30.195	2015-03-12 14:11:30.231	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/spinatwok-med-svinekjott/
67	Pariserpizza	https://res.cloudinary.com/hnjelkrui/image/upload/v1426068554/rjhaojy3ifzq9d9ufdr0.jpg	Dette er kvikk varianten av pizza. Enkelt rett og slett. Alt du trenger er en baguett, kjøttsaus og litt ost. Inn i ovnen og pizzaen er ferdig.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Brun kjøttdeig/karbonadedeig i varm panne.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Senk varmen, og ha i hakket paprika og tomatsaus. La kjøttsausen småkoke i ca. 5 minutter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Del baguetten i to på langs og bre over fyllet.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Legg på tynne skiver av tomat og dryss ost på toppen.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek i ovnen på 225 °C i 10-15 minutter.</li></ol>	1	30	Enkel	2015-03-11 10:09:07.085	2015-03-12 14:16:27.208	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/kos/pariserpizza/
69	Cannelloni	https://res.cloudinary.com/hnjelkrui/image/upload/v1426068887/eyjtoem4z7ujrralnxxk.jpg	Cannelloni er navnet på store hule pastarør. Lasagneplater kan også fylles, og rulles til pastarør om du ikke får tak i Canneloni. I denne oppskriften har vi fylt lasagneplatene med kjøttdeig av svin, ost og spinat. Supergod mat som passer for hele familien!	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Kok lasagneplater i saltet vann, ca. 5 minutter. Dekk en stekeplate med plastfolie og smør olje over. Ta lasagneplater opp av kjelen og legg platene på stekeplaten.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Skjær løk i tynne båter og skyll spinat. Stek kjøttdeig i to omganger i en stekepanne med margarin. Ta ut kjøttdeigen og stek rødløk og hvitløk. Tilsett spinat og smøreost, rør godt. Ha kjøttdeigen tilbake i stekepannen og smak til med salt og pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Legg fyllet i en stripe på lasagneplatene og rull sammen. Legg rullene i en ildfast form. Dryss over parmesan og sett formen i stekeovnen på 225 °C i ca. 10 minutter.</p>	1	50	Vanskelig	2015-03-11 10:14:40.11	2015-03-12 14:15:55.413	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/cannelloni/
61	Spagetti med kjøttsaus	https://res.cloudinary.com/hnjelkrui/image/upload/v1426063978/s3cjvsi3mntwha63hieu.jpg	Dette er en rask og utrolig enkel rett som vil falle i smak hos både barn, ungdom og voksne.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Kok spagetti etter anvisning på&nbsp;emballasjen.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Bruk god varme på stekepanna, og ha i margarin/olje. Brun først halvparten av kjøttdeigen, legg den til side og stek resten.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Senk varmen, og ha kjøttdeig, paprika og pastasaus i stekepanna. La kjøttsausen småkoke i ca. 5 minutter.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server kjøttsausen på toppen av spagettien.</p>	1	20	Enkel	2015-03-11 08:52:48.531	2015-03-12 14:17:58.88	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/spagetti-med-kjottsaus/
11	Skinkepai	http://res.cloudinary.com/hnjelkrui/image/upload/v1423562584/cboyrt9pguo0ruoxeidn.jpg	Når du har lært deg å lage en paibunn og hvor mange egg du trenger til fyllet, finnes det nesten ikke grenser for hva du kan ha i en pai. Pai er kjempedeilig mat å servere til middag, og restene er supre å ha i matpakka.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Lag paideig først. Smuldre margarin og mel til en grynete masse uten klumper. Tilsett vann og kna deigen raskt sammen. Bruk litt mer mel om nødvendig. Pakk deigen i litt plastfolie og legg den i kjøleskapet mens du forbereder resten.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Forvarm stekeovnen til 200 °C.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Del brokkoli i små buketter. Kok opp en kjele med vann og forvell brokkolibukettene (kok dem i ca. 1 minutt). Hell av kokevannet og skyll med kaldt vann.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">4. Visp sammen egg, melk, salt og pepper. Sett til side.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">5. Trykk deigen ut i en paiform slik at den er like tykk over alt. Bruk en gaffel til å prikke den med (stikke hull i bunnen).</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">6. Sett paiformen midt i stekeovnen og forstek paiskallet i 12-15 minutter, til den begynner å bli gyllen.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">7. Ta paiformen ut av stekeovnen. Ha skinke, hvitløk, purre og brokkolibuketter over bunnen. Hell eggeblandingen over og dryss ost på toppen.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">9. Senk varmen i stekeovnen til 180 °C og stek paien midt i ovnen i 25-30 minutter, eller til eggeblandingen har stivnet og paien har fått en fin, gyllenbrun farge.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">10. Server paien nystekt eller lun, gjerne med en god, frisk salat ved siden av.</p>	1	90	Vanskelig	2015-02-10 10:02:46.331	2015-02-17 12:31:10.857	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/skinkepai/
88	Sechuankylling	https://res.cloudinary.com/hnjelkrui/image/upload/v1426072951/ku8ksyxnuyakifsknc4i.jpg	Ikke alle wokretter har saus, men denne har det. Smak til med chilipasta som gjør den litt sterk.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Skjær kyllingfileter og grønnsaker til passe store wokbiter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Gjør alt klart til woksausen.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Varm olje i en wok eller egnet panne. Stek kjøttet mens det stadig vendes rundt. Når kjøttet er hvitt tilsettes grønnsakene. Fres alt sammen et par minutter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Hell over hønsebuljong. Tilsett soyasaus, ketjap manis, revet ingefær, hvitløk og chilipasta. Jevn med potetmel utrørt i litt kaldt vann. Smak eventuelt til med salt og sukker. Dryss cashewnøtter over retten før servering.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server den kinesiske kyllingwoken&nbsp;med ris.</p>	1	20	Vanskelig	2015-03-11 11:22:24.447	2015-03-12 14:11:15.268	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/sechuankylling-kinesisk/
82	Biff med varm nudelsalat	https://res.cloudinary.com/hnjelkrui/image/upload/v1426071888/tzmvixpgz8aovebge3k6.jpg	Litt sydlandsk inspirasjon til biffmiddagen kan aldri slå feil!	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok nudlene etter anvisning på pakken.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Krydre biffene. Biffen stekes på god varme til det kommer kjøttsaft opp på overflaten, snu biffene og vent til det pipler kjøttsaft opp igjen. Da er biffen medium stekt.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Vask spinaten og strimle paprika og gulrot. Behold sukkerertene hele. Wok gulrot, paprika og sukkererter lett i en wok med olje. Vend inn spinat og nudlene sammen med grønnsakene og tilsett woksausen.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Skjær lime i båter og legg ved siden av biffen, presses over kjøttet ved servering.</p>	1	20	Enkel	2015-03-11 11:04:38.778	2015-03-11 11:04:38.778	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/biff-med-varm-nudelsalat/
86	Pitapizza	https://res.cloudinary.com/hnjelkrui/image/upload/v1426072493/zjacznoa2h6jnlnb7u0g.jpg	Disse pizzaene lager du like raskt som ferdig frossenpizza. Siden du kan velge fyll selv, blir den gjerne enda bedre. Og så er den hjemmelaget!	1	0	<div style="color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><div>Forvarm ovnen til 200 °C.</div><ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Legg pitabrød utover på et stekebrett med bakepapir under. Smør pizzasaus på pitabrødene.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek kjøttdeig og løk sammen med tacokrydder i en stekepanne med margarin/olje. Følg anvisning på tacokrydderet.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Ha kjøttdeig og pizzaost på pitabrødene og gratinér i ovn til de er gylne ca. 10 minutter.</li></ol><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Varier gjerne fyllet. Eksempelvis purre, ananas og soltørkede tomater. Ha gjerne bearnaisesaus på toppen sammen med osten før du steker pizzaene, en dag du har lyst til å kose deg litt ekstra. Det er utrolig godt!</div></div></div>	1	20	Enkel	2015-03-11 11:14:39.071	2015-03-12 14:11:42.299	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/pitapizza/
10	Svinnende kjærlighet	http://res.cloudinary.com/hnjelkrui/image/upload/v1423562403/fizejass2xz2qtmzrlbg.jpg	Her er en variant av brennende kjærlighet. Denne består av potetmos med revet ost, servert med stekt bacon, sopp og kjøttdeig av svin. Raskt og enkelt.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek bacon, sopp og kjøttdeig i en stekepanne med margarin/olje til kjøttdeigen er gjennomstekt. Ha i purre og stek videre til purren har blitt blank (ca. 2 minutter).</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Lag potetmos etter anvisning på posen. Rør inn revet ost.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Fordel potetmos på talerken med kjøttdeig og bacon på toppen.</li></ol>	1	20	Enkel	2015-02-10 09:59:41.708	2015-02-17 12:31:08.853	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/rask/svinnende-kjarlighet/
79	Texmexsuppe	https://res.cloudinary.com/hnjelkrui/image/upload/v1426071391/l0cluwvvpqxbonpjjuts.jpg	En suppe med mye smak. Tacokrydder kan brukes til mye mer enn bare den tradisjonelle tacomiddagen.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Skrell og finhakk løken.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek løk og biffstrimler i en stekepanne sammen med olje. Ha i kryddermixen. Tilsett vann og kok opp under omrøring. La det koke under lokk i ca.10 min.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Tilsett bønnene og la suppen koke i 5 minutter til. Bland i spinat og persille.&nbsp;</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med nachos.</p>	1	20	Enkel	2015-03-11 10:56:23.805	2015-03-12 14:13:10.077	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/texmexsuppe/
76	Sesamkylling	https://res.cloudinary.com/hnjelkrui/image/upload/v1426070789/ft4gbonwri18lgao96jc.jpg	Kylling passer utrolig godt i wokretter fordi det alltid er mørt og kan kombineres med så mange smaker. Prøv denne nudelwoken med kyllingfilet.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Del&nbsp;kylling og grønnsaker&nbsp;i passe store wokbiter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Stek først kyllingbitene i&nbsp;middels varm panne med litt olje. Ha på salt og pepper. Ta opp kyllingkjøttet og stek grønnsakene møre.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Kok imens nudler etter anvisning på pakken.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Ha kjøtt og nudler over i pannen sammen med grønnsakene, og bland inn sesamolje og soyasaus. Dryss over sesamfrø før servering.</p>	1	10	Middels	2015-03-11 10:46:21.14	2015-03-12 14:14:08.052	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/sesamkylling/
57	Kyllinglår med glasert squash	https://res.cloudinary.com/hnjelkrui/image/upload/v1426063576/brr9yhu1ew2u06pa9so0.jpg	Ferdig grillede kyllinglår er supert å ty til når du må ha middagen raskt på bordet. Squash, honning og oliven blir supergodt som tilbehør etter et kjapt besøk i stekepannen. Vel bekomme!	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Legg kyllinglår i en ildfast form, og varm dem i ovn på 200 °C i 15-20 minutter.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Del squash i fire. Skjær av den myke delen i midten.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Kutt squash i tykke skiver på skrå. Del oliven i to. Fres squash og oliven i 2-3 minutter i en stekepanne med olje.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Tilsett honning og sitronsaft, rør om og smak til med salt og pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server varme grillede kyllinglår med glasert squash og godt&nbsp;</p>	1	20	Enkel	2015-03-11 08:46:00.417	2015-03-11 08:46:00.417	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/rask/kyllinglar-med-glasert-squash/
78	Svinefilet teriyaki	https://res.cloudinary.com/hnjelkrui/image/upload/v1426071174/onuhauddgujpctb57ttr.jpg	Asiatisk mat blir stadig mer og mer populært blant oss nordmenn. Her er en asiatisk rett laget med teriyakisaus. Teriyakisaus er en søt soyabasert saus med smak av sesam. Saftig og god svinebiff med spagetti er både godt og raskt.	1	0	<section class="row" style="margin-left: -20px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; position: relative;"><div class="span6 recipy-process" style="border-bottom-width: 1px; border-bottom-style: solid; border-bottom-color: rgb(221, 219, 213); float: left; min-height: 1px; margin-left: 20px; width: 460px; padding-bottom: 20px;"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;"><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok spagetti etter anvisning på pakken.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;&nbsp;Rens løk, og del den i båter. Skyll og kutt stilkselleri i skiver. Rens chili, og skjær den i strimler. Del paprika i biter.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Krydre kjøttet med salt og pepper. Brun biffene i en varm panne med olje, ca. 2 minutter på hver side. Etterstek på lavere temperatur i 2-3 minutter. La biffene hvile mens du steker grønnsakene. &nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Stek rødløk, stilkselleri og chili i en varm panne med olje til grønnsakene er møre.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">5.</span>&nbsp;Ha i paprika og kokt spagetti. Vend alt sammen.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">6.</span>&nbsp;Hell over woksaus, og bland alt godt sammen. La det bli gjennomvarmt.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px;">Server de saftige biffene med fullkornspagetti og knasende sprø grønnsaker.&nbsp;</p></div></div></section>	1	20	Enkel	2015-03-11 10:52:46.816	2015-03-12 14:13:44.741	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/svinefilet-teriyaki/
75	Ratatouille	https://res.cloudinary.com/hnjelkrui/image/upload/v1426070409/fupvcyze6bd9v8ad5g9f.jpg	Ratatouille er klassisk og fargerikt tilbehør med inspirasjon fra Provence i Frankrike. Vi har laget en variant med paprika, squash, løk, tomat og krydder. Enkelt, godt og raskt tilbehør som passer til det meste!	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.</strong>&nbsp;Rens grønnsaker og kutt dem i store biter. Fres grønnsakene i en varm stekepanne med olje til de er møre.&nbsp;</p><p><strong style="color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;">2.</strong><span style="color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;">&nbsp;Skyv grønnsakene fra midten og ha i tomatpuré. Fres tomatpuréen litt slik at råsmaken fjernes. Se til at det ikke svir seg. Vend den så sammen med grønnsakene. &nbsp;</span></p><p><strong style="color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;">3.</strong><span style="color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;">&nbsp;Ha i hermetisk tomat og stek videre i 5 minutter. Smak til med oregano, salt og pepper.</span></p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server gjerne ratatouille som tilbehør til kyllingfilet og kokt ris.&nbsp;</p>	1	20	Enkel	2015-03-11 10:39:59.184	2015-03-12 14:14:38.966	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/ratatouille/
74	Thaiinspirert salat	https://res.cloudinary.com/hnjelkrui/image/upload/v1426069830/veco1ucykynqfpp6bilv.jpg	Denne salaten er frisk og mettende på samme tid. Kombinasjonen av fiskesaus, limesaft og soyasaus er utrolig deilig og grunnlaget for en rekke thairetter.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Finhakk rødløk, sukkererter, paprika og agurk. Bland inn urtene.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Rør sammen alle ingrediensene til dressingen. Rør til sukkeret er oppløst, og bland dressingen inn i grønnsakene.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Krydre kjøttet med salt og pepper. Stek kjøttet i margarin på middels varme til det begynner å piple på oversiden. Snu biffene og stek dem videre til rosa kjøttsaft pipler frem. La biffene hvile i 5 minutter. Skjær dem i skiver og legg skivene over salaten.</p>	2	20	Middels	2015-03-11 10:30:21.547	2015-03-12 14:14:49.414	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/thaiinspirert-salat/
68	Lam Tikka	https://res.cloudinary.com/hnjelkrui/image/upload/v1426068742/x1yqruu9x0ynyljurxuq.jpg	Ordet “tikka” betyr rett og slett “kjøttbit”, men brukes også som navn på yoghurtmarinaden som hører med i tikkarettene. Tikka stammer fra India og Pakistan, og er svært populært verden over. Dette er en rask og forenklet versjon, et herlig eksotisk innslag i en travel hverdag. 	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Renskjær kjøttet og del det i strimler. Skjær løken i båter og paprikaen i biter.<br></p><ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek kjøttet i olje/margarin i 3-4 minutter. Tilsett løk og paprika og stek videre i 3-4 minutter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Tilsett tikka masala og yoghurt, skru ned varmen og la alt småkoke i 5 minutter.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med basmatiris.</p>	1	20	Enkel	2015-03-11 10:12:11.538	2015-03-12 14:16:08.502	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/lam-tikka/
56	Minuttbiff av svin med hvitløksgrønnsaker	https://res.cloudinary.com/hnjelkrui/image/upload/v1426063276/eehdnipa8l4lid63ulwr.jpg	Svinefilet i tynne skiver trenger ikke mange minuttene i stekepannen før de er ferdige. Og akkurat like kort tid bruker du på å dampe grønnsakene.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Del svinefileten slik at du får to tynne biffer. Bank dem forsiktig ut med håndbaken. Brun biffene raskt på sterk varme, 2-3 minutter på hver side. Etterstek på lavere temperatur i 3-4 minutter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Smelt smør i en liten kjele og legg i grønnsaker og hvitløk. Tilsett såvidt litt vann og smørdamp grønnsakene til de er knapt møre.</p>	1	20	Middels	2015-03-11 08:41:07.551	2015-03-11 08:41:07.551	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/rask/minuttbiff-av-svin-med-hvitloksgronnsaker/
73	Tacosalat	https://res.cloudinary.com/hnjelkrui/image/upload/v1426069489/wkgbvqsdn1kwyiomxei9.jpg	Enkelte kan spise taco hele uken, og det går fint, bare man bruker hodet! Salathodet! I stedet for ferdig krydderblanding kan du krydre retten med malt spisskummen og chili. Har du friske krydderurter, så bland dem i salaten for ekstra smak! Og har du en klatt yoghurt og litt salsa, er det utmerket til.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek&nbsp;hakket løk og hvitløk til det er mykt og blank. Tilsett karbonadedeig og stek den sammen med løken til den er ferdig, ca 5 minutter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Tilsett tomater, bønner og krydder. Kok det hele i 2-3 minutter, til tomatene er myke. Smak til med salt og pepper.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Fordel salaten på tallerkener og topp med kjøttblandingen.</li></ol>	2	10	Enkel	2015-03-11 10:24:41.419	2015-03-12 14:15:00.294	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/tacosalat/
71	Hjemmelagde kjøttkaker	https://res.cloudinary.com/hnjelkrui/image/upload/v1426069188/n7vfaux2nofibbjbw1ip.jpg	Få hele familien inn på kjøkkenet, finn frem foodprocessoren og sett i gang. Kjøttkakemiddag er superenkelt å lage og smaker kjempegodt.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.</strong>&nbsp;Bruke en foodprocessor. Ha alle ingrediensene i bollen og kjør ca. 10-20 sekunder, til farsen er jevn og fin.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.</strong>&nbsp;Form farsen til runde kaker ved hjelp av en skje, hånden din, og kaldt vann.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.</strong>&nbsp;Ha smør i en middels varm stekepanne. Stek kakene i ca. 2 minutter på hver side til de har fått en fin bruning.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>4.</strong>&nbsp;Lag brun saus, etter anvisning på pakken.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>5.</strong>&nbsp;Ha kakene over i brun saus og la dem trekke i ca. 10 minutter (til de er gjennomkokt).</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>6.</strong>&nbsp;Kok potet.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>7.&nbsp;</strong>Lag ertestuing. Kok opp frosne erter i kjøttbuljong. Mos alt med en stavmikser eller foodprocessoren. Du kan også bruke en potetmoser. Ha i smør og smak til med pepper.&nbsp;&nbsp;<strong>&nbsp;</strong></p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server kjøttkakene med brun saus, poteter, grønn ertestuing og rørte tyttebær.</p>	1	40	Middels	2015-03-11 10:19:42.037	2015-03-12 14:15:23.136	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/hjemmelagde-kjottkaker/
70	Japansk biffsuppe	https://res.cloudinary.com/hnjelkrui/image/upload/v1426069148/w12liaot0fogwehwfexu.jpg	Japansk biffsuppe er en rask variant av Ramen, med typiske smaker fra det asiatiske kjøkken. Med norsk biffkjøtt i strimler og fullkornsnudler blir suppen både mettende og god. Smak deg frem, da smaken kan være veldig forskjellig når det kommer til chili, hvitløk og lime. 	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.</strong>&nbsp;Kok opp kjøttkraft. Press i limesaft og smak til med soyasaus. Ha i chili, ingefær og hvitløk. La suppen trekke på svak varme.</p><p><strong style="color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><strong>2.</strong>&nbsp;</strong><span style="color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;">Stek biffstrimler i flere omganger i en varm stekepanne med litt margarin. Krydre med salt og pepper.&nbsp;</span></p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"></p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.</strong>&nbsp;Kok fullkornsnudler i kraften, ca. 4 minutter.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Anrett kokte fullkornsnudler og stekt biffkjøtt i strimler i dype skåler. Ha på friske bønnespirer og vårløk i tynne strimler. Hell over den varme kraften. Server gjerne med frisk koriander.&nbsp;</p>	2	40	Middels	2015-03-11 10:18:57.247	2015-03-12 14:15:34.975	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/japansk-biffsuppe/
63	Pollo achiote	https://res.cloudinary.com/hnjelkrui/image/upload/v1426064967/acvwslwnknbuaczqejzz.jpg	For å lage denne retten trenger du achiote krydderpasta, og den er dessverre ikke så enkel å få tak i. Se etter den i velassorterte dagligvareforretninger eller forretninger med spesielt godt utvalg i spanske/meksikanske matvarer.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Mos achiote, hvitløk, vineddik, sitronsaft, pepper, olje og hønsebuljong til en pasta i en hurtigmikser. Ha marinaden og kyllingstykkene i en pose og knyt posen. Legg kjøttet kaldt over natten eller minimum 8 timer.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Legg kyllingstykkene i en ildfast form sammen med maiskorn, og dekk med aluminiumsfolie. Sett formen midt i ovnen ved 250 °C og stek i 3/4 time. Skru ned temperaturen til 180 °C. Ta av folien og stek til skinnet er sprøtt.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server pollo achiote med pico de gallo, mexicansk ris og charrobønner.</p>	2	60	Middels	2015-03-11 09:09:19.211	2015-03-12 14:17:34.438	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/kos/pollo-achiote-mexicansk-krydderkylling/
59	Pasta carbonara	https://res.cloudinary.com/hnjelkrui/image/upload/v1426063762/wkku9dhnj00vknqcdsfl.jpg	Pasta carbonara er en god italiensk klassiker. Lag en deilig variant med ostesaus og server med et gult eggeøye.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.&nbsp;</strong>Kok pasta etter anvisning på pakken.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.&nbsp;</strong>Brun bacon i små biter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.</strong>&nbsp;Skill egg i plomme og hvite. La eggeplommen ligge i den ene halvdelen av skallet. Visp sammen eggehvite, fløte og parmesan.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>4.</strong>&nbsp;Hell pastaen i et dørslag og ta den så tilbake i kjelen. Vend inn parmesansausen. Tilsett bacon og løk og dryss over hakket persille. Smak til med kvernet pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>5.</strong>&nbsp;Fordel pastaen på fire tallerkener og plasser en eggeplomme på toppen av hver prosjon.</p>	1	10	Enkel	2015-03-11 08:49:13.974	2015-03-12 14:18:25.191	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/pasta-carbonara/
58	Indisk curry	https://res.cloudinary.com/hnjelkrui/image/upload/v1426063618/mpinatlfkatsautt9gzo.jpg	Grønn karripasta og kokosmelk er ikke typiske ingredienser i norsk mat. Vi har tatt en reise til fjernere himmelstrøk og funnet frem til denne oppskriften. Karripasta består av de mest særegne krydderne fra østen.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek kjøttdeig/karbonadedeig på god varme i olje, bruk en tregaffel eller lignende til å dele den opp med.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">&nbsp;Tilsett vårløk i ringer, og rør inn karripasta.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">&nbsp;Ha i kokosmelken, og la gryta småkoke i ca. 1 minutt.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med ris og eventuelt en salat.</p>	2	20	Enkel	2015-03-11 08:46:41.52	2015-03-12 14:19:10.178	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/indisk-curry/
1	Pai med falukorv	http://res.cloudinary.com/hnjelkrui/image/upload/v1423559303/x9feiprpkdvptyinxky2.jpg	Herlige små paier som smaker godt og er enkle å lage. Restene fra middagen er også supre å ha i matpakka. I denne oppskriften har vi beregnet to paier til hver.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.</strong>&nbsp;Forvarm stekeovn til&nbsp;225 °C.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.</strong>&nbsp;Skjær falukorv og tomat i skiver.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.</strong>&nbsp;Rull ut pizzadeig og del den i 8 firkanter, ca. 14 x 14 cm. Rull kantene innover på hver firkant.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>4.</strong>&nbsp;Bland crème fraîche&nbsp;og pesto. Legg 1 ss av blandingen i hver firkant, smør det litt utover.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>5.</strong>&nbsp;Legg falukorv og tomat annenhver gang i takstenmønster over crème fraîche-&nbsp;og pestoblandingen. Pensle kantene med egg.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>6.</strong>&nbsp;Stek midt i ovnen i ca. 15 minutter.&nbsp;</p>	1	20	Enkel	2015-02-10 09:07:57.323	2015-02-17 12:31:25.894	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/pai-med-falukorv/
47	Frittata med spekeskinke	https://res.cloudinary.com/hnjelkrui/image/upload/v1426061856/dvvwamk0cuhzcf3op8b9.jpg	Frittata er en italiensk omelettvariant. Lik med en vanlig omelett er den rask, enkel og sunn.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Skyll frisk spinat godt og la vannet renne av. Skjær løken i ringer. Fres den med finhakket hvitløk og finhakket chili i margarin&nbsp;ved middels varme.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Ha spinaten i pannen og fres den til den faller sammen. Visp eggene lett med salt og pepper og hell i pannen. Legg på halve tomater og revet ost. La eggeblandingen stivne ved middels varme.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Legg frittataen over på et fat. Del den i 8 like store deler.&nbsp;Anrett med&nbsp;spekeskinke på toppen.</p>	1	20	Middels	2015-03-11 08:17:30.048	2015-03-12 14:21:51.183	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/frittata-med-spekeskinke/
28	Pasta med kjøttdeig og tomatsalsa	http://res.cloudinary.com/hnjelkrui/image/upload/v1423576097/n6oedbv6v2yimzamwh5b.jpg	Du kommer hjem fra jobb og det haster som vanlig med maten. Barna venter og om en time skal dere av gårde på trening. Pasta og kjøttsaus, det er enkelt. På med kokeplatene, koke opp pastavannet og fram med kjøttdeigen fra kjøleskapet...	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Ha margarin eller olje i en varm stekepanne. Vent til margarinen slutter å bruse, og stek kjøttdeigen i flere omganger. Bruk en stekespade til å dele den i mindre biter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Kok pasta etter anvisning på pakken.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Hakk løk og skjær tomatene i små biter. Tilsett&nbsp;finhakkede friske krydderurter. Bland alt sammen med balsamicoeddik, olivenolje og smak til med salt og pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Legg pasta på en tallerken, ha over kjøttdeigen. Hell over litt rømme og legg tomatsalsaen på toppen.</p>	1	30	Enkel	2015-02-10 13:48:03.05	2015-03-12 14:27:13.888	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/pasta-med-kjottdeig-og-tomatsalsa/
25	Brokkolisuppe med strimlet svinekjøtt	http://res.cloudinary.com/hnjelkrui/image/upload/v1423573616/ochiji89xta8dympcf3q.jpg	En varmende suppe blir alltid godt mottatt! Toppet med stekte strimler av svinekjøtt gir den varme og energi til vinterkalde kvelder.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Vask brokkoli og del den i grove biter, også stilken. Skrell potet og løk, og kutt i terninger.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Kok opp vann med buljongterninger og fløte, tilsett grønnsaker. Kok i ca. 10 minutter til grønnsakene er.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Legg til side noen små buketter brokkoli. Kjør med en stavmikser eller en blender til en jevn suppe. La suppen få et oppkok.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">4. Fres kjøttet raskt i en varm stekepanne med margarin, 2-4 minutter. Krydre med salt og pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">5. Legg stekte strimler av svinekjøtt og brokkolibuketter i suppen rett før servering.</p>	1	20	Enkel	2015-02-10 13:06:36.755	2015-03-12 14:28:16.832	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/brokkolisuppe-med-strimlet-svinekjott/
24	Pytt i panne	http://res.cloudinary.com/hnjelkrui/image/upload/v1423573497/fqas6poq2nbsxnezb3nl.jpg	Rester i kjøleskapet kan bli et skikkelig godt måltid. Her er en oppskrift på pytt i panne, men du behøver ikke følge oppskriften. Bruk de restene du har og stek dem i panna. Server gjerne med stekt egg og brød.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Skjær pølse i terninger og stek dem lett i en stekepanne.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Ha i&nbsp;lapskausblanding i små porsjoner, la det ettersteke sammen på svakeste varme, til grønnsakene er møre. Smak til med salt og pepper.</p>	1	10	Enkel	2015-02-10 13:04:25.531	2015-03-12 14:28:35.215	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/pytt-i-panne/
41	Kyllingfilet i form	http://res.cloudinary.com/hnjelkrui/image/upload/v1423578742/a10jangcgs6nnfbwc2v5.jpg	Denne kyllingformen med smak av karri er en sikker vinner på middagsbordet for både store og små. Og det beste er at den lager seg nærmest selv. 	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Brun kyllingfilet raskt på begge sider i en stekepanne med litt margarin eller olje, legg filetene over i en ildfast form sammen med løk og paprika.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Visp sammen ingredienser til sausen, og hell det over i formen.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Sett formen i stekeovn på 200 °C i 20-25 minutter til kyllingen er gjennomstekt.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Kok byggris etter anvisning på pakken.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server saftige kyllingfileter i karrisaus med byggris og frisk salat.&nbsp;</p>	1	30	Middels	2015-02-10 14:32:12.543	2015-02-12 20:53:14.816	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/kyllingfilet-i-form/
23	Lasagne	http://res.cloudinary.com/hnjelkrui/image/upload/v1423573371/jbbjknf4sfwysv12cmjj.jpg	Nordmenn har mange favoritter fra det italienske kjøkken, deriblant lasagne. Ovnsretten består av kjøttsaus og ostesaus som legges lagvis med pastaplater.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Brun kjøttdeig i olje på sterk varme i to omganger. Ha all kjøttdeigen tilbake i stekepanna.&nbsp;Tilsett hakket løk, hvitløk, tomater, tomatpuré, salt, pepper og vann.&nbsp;La sausen småkoke i ca. 10 minutter til den begynner å tykne. Dryss over basilikum.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Smelt smør i en kjele og rør inn mel. Spe med melk under omrøring og la sausen koke i ca. 10 minutter. Den skal være forholdsvis tykk.&nbsp;Ha i parmesan og la osten smelte. Smak til med krydder.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Legg lasagneplater, kjøttsaus og ostesaus lagvis&nbsp;i en ildfast form. Start og avslutt med&nbsp;ostesaus. Dryss over revet ost til slutt.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Sett formen i stekeovn på 225° C og stek i 30-40 minutter. Kjenn etter med en pinne eller spiss kniv om pastaen er mør. La lasagnen hvile noen minutter før servering.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med baguette og salat ved siden av.</p>	1	80	Middels	2015-02-10 13:02:39.06	2015-03-12 14:29:08.724	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/lasagne/
17	Pølser og spagetti med pizzaiola	http://res.cloudinary.com/hnjelkrui/image/upload/v1423570247/ugimnapyy6nfy56zgm5k.jpg	Dette er en utrolig enkel, men kjempegod middag. Med hjemmelaget pastasaus, pizzaiola, er det ikke rart resultatet blir bra.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Kok opp vannet med buljongpulver. Ta kjelen av platen og legg i pølsene. La de trekke i ca. 10 minutter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Lag spagetti etter anvisning på pakken.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Kutt opp løk og hvitløk og stek i en gryte til det blir blankt. Hell over tomater og ha i tomatpuré. Kok opp og la det småkoke i 5 minutter. Smak til med urter og krydder.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Retten smaker kjempegodt sammen med en grønn salat med cherrytomater og marinerte hvitløksbåter.</p>	1	30	Enkel	2015-02-10 12:10:28.519	2015-03-12 14:30:35.824	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/polser-og-spagetti-med-pizzaiola/
9	Kremet fiskesuppe	http://res.cloudinary.com/hnjelkrui/image/upload/v1423562314/ujjajavub7ypziztf4vv.jpg	Her er en rask og enkel fiskesuppe som varmer godt og smaker nydelig. Om du er glad i reker eller blåskjell, er det kjempegodt i suppa også!	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok opp fiskebuljongen i en gryte og legg i gulrotbitene. La dem koke i 3-4 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Bland melk og hvetemel i et glass med skrulokk, og rist godt. Hell blandingen i fiskebuljongen mens du visper hele tiden. La suppen småkoke i ca. 5 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Senk temperaturen og legg i fiskebiter og erter. La suppa trekke i ca. 5 minutter. Rør inn fløten og smak til med salt og pepper. Dryss over finklippet gressløk.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server gjerne suppen med brød eller flatbrød.</p>	1	40	Middels	2015-02-10 09:58:21.664	2015-03-12 14:33:53.997	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/kremet-fiskesuppe/
8	Enkel asiatisk gryte med svinekjøttdeig	http://res.cloudinary.com/hnjelkrui/image/upload/v1423562194/okdbhbmzzkwks4l0cwyn.jpg	Med utgangspunkt i et par suppeposer kan du trylle frem en herlig og velsmakende gryterett i løpet av få minutter. 	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok opp nudlene etter anvisning på pakken. Skjær løken i båter og paprikaen i biter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Stek kjøttdeig i en stekepanne med margarin/olje. Fres grønnsakene et par minutter sammen med kjøttet.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Hell den ferdige suppen over kjøttet. Ha nudlene i sammen med resten av retten.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med godt brød.</p>	1	20	Enkel	2015-02-10 09:56:07.721	2015-03-12 14:34:11.79	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/enkel-asiatisk-gryte-med-svinekjottdeig/
14	Burger med asiatisk smak	http://res.cloudinary.com/hnjelkrui/image/upload/v1423563013/jmdigci5h3k7si69e7wz.jpg	Små, spicy burgere med smak av chili, friske urter og krydder. Godt for store og små!	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.</strong>&nbsp;Ha kjøttdeig i en bolle. Ha i chili, hvitløk, ingefær, limesaft, koriander, salt og pepper. Rør deigen godt sammen, men ikke for mye da den blir seig.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.</strong>&nbsp;Klapp deigen til en stor rund kake, og del den i seks like store deler. Form hver del til en rund hamburger.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.</strong>&nbsp;Pensle hamburgerne med litt olje og stek på middels varme i 4-5 minutter på hver side, avhengig av tykkelse.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>4.</strong>&nbsp;Kjør koriander og olje sammen med en stavmikser. Vend inn gresk yoghurt, og smak til med salt og pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>5.</strong>&nbsp;Skrell agurk og del den i to på langs. Skrap ut kjernen, og kutt agurken i tynne skiver. Bland agurkskiver sammen med dressingen.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>6.&nbsp;</strong>Varm hamburgerbrød i stekeovn på 225 °C i 2-3 minutter.&nbsp;<br>Del det varme hamburgerbrødet i to. Legg salat på den ene halvdelen av brødet, ha på dressing, salat, epleskiver og burger, og legg på toppbrødet.</p>	2	30	Enkel	2015-02-10 10:09:51.636	2015-03-12 14:31:51.965	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/burger-med-asiatisk-smak/
100	Rød og lett skinkebiff	https://res.cloudinary.com/hnjelkrui/image/upload/v1426074395/ex24nzrxyexoaqlhuw0n.jpg	Skinkebiff marinert i rødbetlake. Det gir en frisk og fin smak til kjøttet og med en råkostvariant ved siden av blir dette kjempegodt.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Mariner skinkebiffene i rødbetlake ca. 2 timer.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Riv gulrot grovt på råkostjern, del rødbet og eple i tynne staver og bland dette sammen med yoghurten.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Pensle biffene med olje, og grill de ca. 2 - 3 minutter på hver side. Server med en skje salat på hver biff.</p>	1	120	Middels	2015-03-11 11:46:28.284	2015-03-11 14:11:11.915	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/rod-og-lett-skinkebiff/
46	Chili con carne med svinekjøtt	https://res.cloudinary.com/hnjelkrui/image/upload/v1426061800/lx15olhcxgko7vom6xln.jpg	Har du lyst på en ordentlig god gryte? Chili con carne er en superfavoritt! Med både tørket og fersk chili, bønner, grønnsaker og strimlet, norsk svinekjøtt er dette en gryte som både metter og varmer.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.&nbsp;</strong>Ha margarin i en varm gryte. Vent til margarinen slutter å bruse, og stek svinekjøttet i to omganger, sammen med løk, hvitløk og chili.</p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Chili er normalt spisse i formen og kan variere i lengde, farge og ikke minst styrke. Del chili i to på langs, fjern stilk, frø og skillevegger, og skjær den opp i skiver. Bruk gjerne engangshansker når du renser chili.</div></div><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.&nbsp;</strong>Hell over hermetisk tomat og la det surre i 3-4 minutter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.</strong>&nbsp;Bland inn chilibønner, paprika og krydder. Kok et par minutter og smak til med salt.</p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Liker du gryten litt ekstra hot? Ha i en ekstra chili eller litt chilipulver.</div></div><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">En smakfull gryte er klar til servering. Sett gjerne gryten rett på bordet eller server i dype tallerkener.&nbsp;</p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Denne retten kan gjerne serveres med grovt brød. Dette vil øke kalori- og næringsinnholdet.</div></div>	2	30	Middels	2015-03-11 08:16:14.669	2015-03-12 14:22:08.15	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/chili-con-carne-med-svinekjott/
3	Kjøttform med potetmoslokk	http://res.cloudinary.com/hnjelkrui/image/upload/v1423559737/psibaw439ukiq8gqjffi.jpg	Her er en magrere variant av den engelske Sheperd's Pie, som ofte ble laget med malt lammekjøtt. Potetmos ble lagt som et lokk på toppen, og servert som en alt i én form. Kjempegod hverdagsmat både for liten og stor!	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Skrell potet, og del dem i grove terninger. Kok potetterninger møre i en kjele med vann. Hell av kokevannet. Mos poteter og rør inn melk og smør. Smak til med salt, pepper og eventuelt litt muskat.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Stek kjøttdeig i to omganger i en stekepanne med margarin eller olje, sett kjøttdeigen til side. Fres løk og gulrot til grønnsakene er gylne, ha i tomatpuré, og fres ytterligere et par minutter. Tilsett hakkede tomater, kjøttdeig og mais. Bland godt og smak til med krydder.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Ha kjøttsausen i en dyp ildfast form, eventuelt i små porsjonsformer. Legg &nbsp;potetmos som et lokk over kjøttsausen og dryss ost på toppen.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Sett den ildfaste formen i stekeovn på 180 °C og stek&nbsp;i 30-40 minutter til osten er smeltet og toppen har fått en gyllen farge.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server kjøttformen med en frisk salat og godt brød.</p>	1	50	Middels	2015-02-10 09:15:25.059	2015-03-12 14:35:54.26	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/kjottform-med-potetmoslokk/
98	Enkel biffsalat	https://res.cloudinary.com/hnjelkrui/image/upload/v1426074210/vysalmhrhukhtqfhnlyl.jpg	Biffsalat er ikke bare sunt og godt, men også utrolig raskt å lage. På under under 20 minutter kan du diske opp med denne fargerike middagssalaten. 	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok nudlene etter anvisning på pakken. Hell av kokevannet og skyll dem med kaldt vann. Avkjøl helt.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Krydre biffstrimlene og stek dem raskt.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Bland nudler og grønnsaker, og server med biffstrimer på toppen.</p>	1	20	Enkel	2015-03-11 11:43:21.512	2015-03-11 11:43:21.512	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/enkel-biffsalat/
85	Biff med chilidressing	https://res.cloudinary.com/hnjelkrui/image/upload/v1426072376/mjo0zfxkmjygcyhjssut.jpg	Biff inneholder kun 2-4 % fett, og det er derfor tilbehøret som bestemmer hvor sunt et biffmåltid er. Denne retten er enkel å lage, smaker kjempegodt og gjør derfor til skamme at sunn og god mat er en vanskelig kombinasjon.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Krydre biffene, og stek dem på middels varme til det begynner å piple på oversiden. Snu biffene og stek dem videre til rosa kjøttsaft pipler frem.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Legg tomatene i ildfast form og stek dem på 230 grader i 8-10 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Rør sammen kesam og søt chilisaus til dressing.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Skyll salaten og del opp salatbladene. Skrell og del løken i båter. Bland salat og løk.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med bakte eller ovnsstekte poteter</p>	2	20	Enkel	2015-03-11 11:11:57.543	2015-03-11 11:11:57.543	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/biff-med-chilidressing/
6	Bondeomelett	http://res.cloudinary.com/hnjelkrui/image/upload/v1423561818/iu1zlltbov59yk9rwydg.jpg	Omelett, eggepanne, frittata eller tortilla – kall det hva du vil! Fellesnevneren er at det er rask, sunn og smakfull mat som kan varieres i det uendelige og som smaker nesten like godt kald som varm. Har du rester igjen har du en super lunsj i morgen. 	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;"><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px;">Stek kjøttdeig i en stekepanne med margarin eller olje.<br></p><ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Pisk sammen egg, vann, salt og pepper.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Skjær potet, tomat og purre i skiver.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Legg kjøttdeig, potetskiver og purre lagvis i en ildfast form. Hell over eggeblandingen. Legg tomatskivene på toppen. Dekk til formen med aluminiumsfolie og stek bondeomeletten i stekeovnen på 220 °C i ca. 20 minutter.</li></ol></li></ol>	1	20	Enkel	2015-02-10 09:27:19.483	2015-03-12 14:34:59.581	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/bondeomelett1/
5	Ovnsbakt laksefilet	http://res.cloudinary.com/hnjelkrui/image/upload/v1423560381/h1yw3zgwwc6z3h6rpirz.jpg	Ovnsbakt laksefilet med kål og poteter er enkelt å lage og passer perfekt i en travel hverdag. Baker du fisken i stekeovnen kan du raskt tilberede mat til mange, med et flott resultat. 	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok potet i en kjele med lettsaltet vann til de er møre.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Del laksefilet i porsjonsstykker. Pensle filetene med litt margarin eller olje. Krydre med salt og sitronpepper.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Legg filetene på et bakepapirkledd stekebrett. Bak filetene på 180 °C i 10-15 minutter avhengig av tykkelse.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Del kål i båter og kok dem møre i en kjele med lettsaltet vann. Hell av vannet og ha på smør.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server saftig og god laksefilet med nykokt kål og potet.</p>	1	40	Enkel	2015-02-10 09:26:12.071	2015-03-12 14:35:20.669	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/ovnsbakt-laksefilet/
84	Karrikylling med banan og fennikel	https://res.cloudinary.com/hnjelkrui/image/upload/v1426072066/rwhym5zlqh4nmxyo7wpn.jpg	Søtt, salt og bittert. Tre av grunnsmakene kjæler med smaksløkene dine gjennom denne retten. Nydelig kombinasjon og ekstremt lettlaget.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Krydre kyllingfileten med karri og stek den i 2 minutter på hver side i middels varm panne. Etterstek på lav varme under lokk i 4 minutter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Bland banan og fennikel med olivenolje. Strø over peanøtter og krydre med pepper.</li></ol>	1	20	Enkel	2015-03-11 11:07:37.607	2015-03-11 11:07:37.607	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/karrikylling-med-banan-og-fennikel/
51	Indisk curry med strimlet svinekjøtt	https://res.cloudinary.com/hnjelkrui/image/upload/v1426062661/vxoudb7u6z3neesmzavm.jpg	Indisk curry er en super hverdagsgryte. Karripasta, kokosmelk og ingefær gir varme fra Asia, og blandet med gulrot, sukkererter, kål og norsk svinekjøtt i strimler har du en spennende, smaksrik rett.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.</strong>&nbsp;Varm margarin i en kjele. Når margarinen har sluttet å bruse, fres løk og ingefær til det er mykt og blankt. Ha i karripasta og fres i et minutt til. Tilsett kokosmelk og revet gulrot, kok opp.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.&nbsp;</strong>Tørk kjøttet med litt kjøkkenpapir og ha det i gryten. Kok opp og senk varmen, og la gryten koke på svak varme i 2-3 minutter, eller til kjøttet er gjennomkokt.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.</strong>&nbsp;Ha i kinakål og sukkererter og la alt bli gjennomvarmt.</p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Bruk en liten kniv og rens sukkerertene ved å dra av strengen.</div></div><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>4.&nbsp;</strong>Smak til med fiskesaus, salt og pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server den indiske currygryten i dype skåler.</p>	2	30	Middels	2015-03-11 08:30:42.723	2015-03-12 14:20:55.95	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/indisk-curry-med-strimlet-svinekjott/
62	Enchilada	https://res.cloudinary.com/hnjelkrui/image/upload/v1426064600/r4bkfazuunolrlzshjz1.jpg	Enchilada er en smaksfull, gratinert rett fra Mexico. Den består av tortilla fylt med en deilig kjøttblanding. Server gjerne med ris, bønnestuing, salsa, ost, salat og grønnsaker.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Brun kjøttdeigen og tilsett ca. 2/3 av enchiladasausen. La sausen koke etter anvisning på glasset. Mos chilibønnene med en stavmikser.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Varm tortillaene i ovnen etter anvisning på pakken. Fordel kjøttfyllet på hver tortilla, rull sammen og legg dem over i et ildfast fat. Øs over resten av enchiladasausen og dryss over revet os</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Gratiner i stekeovnen på 250 °C til osten har smeltet og fått en fin gyllen farge.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Legg en skje salsa og en skje rømme på hver enchilada og pynt med tomatbåter og purreskiver.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server enchilada som den er eller med ekstra tilbehør som bønnesalsa eller chilibønner, meksikansk ris og revet ost.</p>	1	40	Enkel	2015-03-11 09:03:12.245	2015-03-12 14:17:47.968	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/kos/enchilada/
4	Grillet kylling med lun salat	http://res.cloudinary.com/hnjelkrui/image/upload/v1423561992/jf5tvd36wck1umf7ewpw.jpg	Lag en lun salat med paprika, løk, asparges, stilkselleri og eple. Salatblanding med nøtter og frø setter en ekstra spiss på den lune salaten. Supert tilbehør til grillet kylling.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Varm kyllingbitene i stekeovn ved 200 °C i 15 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Del grønnsakene i passe store biter og stek dem i stekepanne med olje i 2-3 minutter. Dryss over nøttemiks og flaksalt. Grønnsakene smaker best når de fortsatt er sprø.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server kyllingretten&nbsp;med kokt ris og søt chilisaus eller pesto.</p>	1	20	Enkel	2015-02-10 09:20:11.062	2015-03-18 07:56:01.817	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/grillet-kylling-med-lun-salat/
7	Ovnsbakt laks med tandoorikrydder, couscous og tzatziki	http://res.cloudinary.com/hnjelkrui/image/upload/v1423562007/qbv1nifsupoeglq7fxb4.jpg	Denne gode hverdagsretten med stekt laks, couscous og tzatziki har eksotiske smaker som både store og små setter pris på.  	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok opp vann, buljong og olje i en kjele. Trekk kjelen til side, og ha i coucous og dekk til med plastfolie. La couscousen svelle til all væske er borte.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Krydre laksefilet med tandoorikrydder. Ha margarin eller olje i en varm stekepanne, og stek laksefileter på middels varme i 3-5 minutter på hver side avhengig av tykkelse.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Vend inn revet sitronskall og hakket persille i couscousen.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server stekt laks med coucous og tzatziki. Pynt eventuelt med sitronbåter.</p>	1	40	Enkel	2015-02-10 09:53:17.45	2015-02-17 12:31:14.955	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/ovnsbakt-laks-med-tandoorikrydder-couscous-og-tzatziki/
64	Country-Style Ribs	https://res.cloudinary.com/hnjelkrui/image/upload/v1426065097/rmcgxnll6oyqp5h8m4vv.jpg	Spareribs er for mange den ubestridte éner på grillen – saftig, smakfullt og skummelt godt. Og helt perfekt blir det om du følger denne oppskriften! 	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Dekk hele spareribsstykket med krydderblandingen og pakk det i plastfolie. La det ligge kjølig minst 8 timer før du skal tilberede det. Ta det ut av kjøleskapet en halv time før du skal bruke det.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Legg spareribsen med kjøttsiden opp, på den kjølige delen av grillen og legg på lokk. Stek spareribsen 2-3 timer. La spareribsen hvile i aluminiumsfolie ca 30 minutter før servering. Spareribsen er ferdig når kjøttet har trukket seg litt vekk fra beinet, og du kan vri en del på det.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Om du bruker kullgrill pass på å etterfylle med kull underveis.</p>	1	180	Vanskelig	2015-03-11 09:11:29.479	2015-03-12 14:17:12.666	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/gjester/country-style-ribs/
66	Lammekoteletter med ingefær og pære	https://res.cloudinary.com/hnjelkrui/image/upload/v1426068389/xrxtjwocllyvpivdiot1.jpg	Lammekoteletter er tradisjonell kost for mange. Her har lammekotelettene fått følge av ingefær og pære - er du klar for noe nytt?	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Skjær pæra i små terninger. Finhakk hvitløk og ingefær. Krydre kotelettene med salt og pepper.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Brun lammekotelettene i pannen sammen med hvitløk, ingefær og pære.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Legg blandingen (hvitløk, ingefær, pære) oppå hver kotelett sammen med en klatt kremost eller Castello.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">La kotelettene ettersteke under lokk i 3-4 minutter avhengig av tykkelsen.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server gjerne med pasta eller godt brød.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">&nbsp;Lammekoteletter kan kjøpes som doble og enkle. Til én porsjon bør du minst beregne én dobbel eller to enkle koteletter. De er raske å tilberede, de trenger bare stekes 3-5 minutter avhengig av tykkelsen.</p>	1	20	Enkel	2015-03-11 10:06:22.96	2015-03-11 10:06:22.96	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/rask/lammekoteletter-med-ingefar-og-pare/
65	Carbonara chorizo	https://res.cloudinary.com/hnjelkrui/image/upload/v1426065403/c9qsn2gbxuielbm7vz02.jpg	Pasta er basis for utallige retter. Carbonara er en enkel klassiker basert på pasta og finnes i mange versjoner. Her er bacon erstattet med spanskinspirert spekepølse. Godt og spennende.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Kok pasta etter anvisning på pakken.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Fres chorizopølsen sammen med hakket hvitløk i stekepannen et par minutter. Hell i fløte og revet parmesan, og la det koke et par minutter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Sil pastaen og ha den i pannen.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Skill eggene, og rør eggeplommene inn i pastablandingen sammen med basilikum.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Smak til med sitronsaft og pepper.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med ferskt brød.</p>	1	10	Middels	2015-03-11 09:16:34.805	2015-03-12 14:16:53.556	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/carbonara-chorizo/
18	Roastbiffsalat med plommer	http://res.cloudinary.com/hnjelkrui/image/upload/v1423570318/oy2bv5wxzprezxhsmkn9.jpg	Roastbiff er perfekt i salat. Sammen med rødløk og det søte og syrlige i plommene, er dette en litt annerledes salat. 	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Del plommene i to og fjern steinen. Ha smør i en varm stekepanne og stek de halve plommene til de blir gylne. Legg dem til side.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Kutt løken i små terninger og stek i en panne til løken er blank. Skru ned temperaturen. Tilsett resten av ingrediensene til dressingen. Sil av løken, og sett den til side.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Del plommene i båter. Legg salaten i en bolle eller på et fat. Legg roastbiffen og plommebåtene over salaten.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">5.</span>&nbsp;Drypp litt dressing over salaten. Pynt med litt av den stekte løken på roastbiffen, og server resten av dressingen ved siden av.</p>	1	20	Enkel	2015-02-10 12:11:43.262	2015-03-12 14:30:14.499	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/roastbiffsalat-med-plommer/
72	Alt i en form	https://res.cloudinary.com/hnjelkrui/image/upload/v1426069410/eg2od923dpyixcnhw6rr.jpg	En super måte å lage middag på! Ha alt i en form og sett den i ovnen - så går resten av seg selv.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Forvarm ovnen til&nbsp;200 °C.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"></p><ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Ha ris i en ildfast form. Rør gurkemeie i varm buljong og slå dette over.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Bland vårløk, paprika og hvitløk i risen sammen med ertene.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Legg kjøtt på toppen og dryss over krydder. Stek i ovnen i ca. 20 minutter. Sett på grill eller overvarme og stek videre i 3-5 minutter for å få en gyllen brunfarge på kjøttet.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med brød.</p>	1	30	Enkel	2015-03-11 10:23:18.219	2015-03-11 10:23:18.219	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/alt-i-en-form/
22	Svinekoteletter med pære og rødkål	http://res.cloudinary.com/hnjelkrui/image/upload/v1423572621/fss2iracyjo8mqz87c8u.jpg	Enkelt og godt! Server kotelettene med lune pærer og gjør gjerne rødkålen litt mer spennende ved å smaksette den med purre og krydder.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Skjær noen hakk i fettranden på kotelettene, da blir det lettere å steke dem jevnt. Krydre kotelettene med salt og pepper.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Brun kotelettene på sterk varme i en stekepanne med margarin, 2-3 minutter på hver side. La kotelettene ettersteke på svakere varme i ca. 5 minutter.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Del pære i fire, og ta ut kjernehuset. Legg bitene i pannen sammen med kotelettene de siste 5 minuttene.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Fres purre i en liten kjele. Tilsett rosmarin og ha i godt avrent rødkål. Varm opp og krydre eventuelt med salt og pepper.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server kotelettene med varme pærer og rødkål.</p>	1	20	Enkel	2015-02-10 12:49:33.474	2015-02-17 12:30:34.997	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/svinekoteletter-med-pare-og-rodkal/
16	Risgrøt	http://res.cloudinary.com/hnjelkrui/image/upload/v1423570083/qzoouhexptgu4yeqsngd.jpg	Risgrøt med smør, sukker og kanel kan serveres hele året, men er kanskje vanligst i jula. Da vil mange ha en skåldet mandel i grøten, og en liten premie til den som finner mandelen.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok opp grøtris og vann i en gryte, og la det koke i 10 minutter på middels varme til vannet er nesten kokt inn.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Hell i melk, kok opp og senk varmen. La grøten småkoke på svak varme i ca. 1 time, eller til den er passe tykk. Rør om av og til slik at det ikke svir seg.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Smak til med salt.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server risgrøt med “smørøye”, sukker og kanel.</p>	1	60	Middels	2015-02-10 12:07:29.96	2015-03-12 14:31:01.288	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/risgrot/
20	Nakkekoteletter med spinat og hvite bønner	http://res.cloudinary.com/hnjelkrui/image/upload/v1423572761/ivlu7rqonc4549ohdjpk.jpg	Nakkekoteletter er takknemlig mat å ty til i en travel hverdag. Raskt, smakfullt og rimelig - stort bedre kan det ikke bli. Og her er tilbehøret ferdig før du får telt til tre, spinaten skal bare så vidt i den varme pannen før den er klar til servering.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Rens hvitløk. Press med knivflaten til hvitløken presses sammen. Skjær den i skiver, og finhakk den.&nbsp;Da kommer smakene ekstra godt frem.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Lag små snitt i fettranden, slik at koteletten steker jevnt. Brun kotelettene 2-3 minutter på begge sider i en varm stekepanne med litt olje. La kotelettene ettersteke på lav varme i ca. 5 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Surr hvitløk, bønner og sukkererter raskt i en stekepanne med litt olje. Ha i spinat, og stek til den har falt sammen og alt er gjennomvarmt. Smak til med salt og pepper.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server de saftige nakkekotelettene med stekt spinat og bønner.&nbsp;</p>	1	20	Enkel	2015-02-10 12:45:02.207	2015-02-17 12:30:32.747	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/nakkekoteletter-med-spinat-og-hvite-bonner/
90	Kyllingfilet i grove pitabrød	https://res.cloudinary.com/hnjelkrui/image/upload/v1426073133/aisydtfkcqx63hs1bafy.jpg	Saftig, grillet kylling, møre grønnsaker og varme, grove pitabrød gir et raskt og herlig måltid! Sunt og næringsrikt er det også.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Del paprika, squash og løk i strimler. Legg grønnsakene på et ark aluminiumsfolie, ca 30x40 cm. Ha på olje, salt og pepper. Grill pakken med grønnsaker i 8-10 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Del kyllingfilet i to på langs, ha på olje, salt og pepper. Grill kyllingfiletene i 2 minutter på hver side, etterstek på lavere varme i 2-3 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Varm pitabrød på grillen, og fyll brødet med frisk salat, bakte grønnsaker og kyllingfilet.</p>	1	20	Enkel	2015-03-11 11:25:26.66	2015-03-11 11:25:26.66	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/kyllingfilet-i-grove-pitabrod/
32	Hverdagsgryte	http://res.cloudinary.com/hnjelkrui/image/upload/v1423577089/hr0e4rlbjcidedq1hdey.jpg	En favoritt i vårt ungdommelige "testpanel" med barn i en alder fra 6-10 år. Denne gryten kan kanskje også være en god introduksjon av gryterett for kresne. Små biter kan virke positivt inn på barna. De revne gulrøttene er supre.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Ha margarin eller olje i en varm kjele. Vent til maragrinen slutter å bruse. Stek kjøttdeig i flere omganger.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Ha purre, hvitløk, gulrot og tomat i gryten.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Tilsett buljong og la det koke i noen minutter. Smak til med salt og pepper.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Serveres gjerne med poteter eller potetstappe.</p>	1	20	Enkel	2015-02-10 14:04:38.33	2015-03-12 14:26:13.093	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/hverdagsgryte/
91	Full pakke	https://res.cloudinary.com/hnjelkrui/image/upload/v1426073365/bsad3lg1vjh85dt0ab3u.jpg	Innpakket kylling er supert på travle dager. Her lages alt i en pakke, og smaken - den er fantastisk!	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Del kyllinglårene i to. Skjær poteter og tomat i skiver og finsnitt vårløken.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Legg et lag skivede poteter på et stykke smurt folie. Dryss over vårløk og legg på tomater. Krydre med salt og pepper. Legg kyllinglårene på toppen.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Brett opp kantene på folien og sett pakken inn i ovnen ved 225 °C i ca. 25 minutter.</p>	1	40	Middels	2015-03-11 11:29:12.877	2015-03-11 11:29:12.877	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/full-pakke/
27	Pasta med røkt skinke og soltørkede tomater	http://res.cloudinary.com/hnjelkrui/image/upload/v1423574053/kiqztqfwintqfkdovq9p.jpg	En enkel pastarett med spennende smaker – denne liker de fleste!	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Kok pasta som annvisning på pakken. Vask og del purre i ringer. Del soltørked tomate og røkt skinke i tynne strimler.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek purre, hvitløk, soltørkede tomater og skinke i litt olje. Tilsett kokt pasta og rør det hele godt sammen.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">&nbsp;Pisk egg og rør det inn i pastablandingen. La egget stivne litt i pastaen og dryss over parmesanost.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Serveres med en frisk grønn salat og grovt brød.</p>	1	20	Enkel	2015-02-10 13:13:41.903	2015-03-12 14:27:38.256	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/pasta-med-rokt-skinke-og-soltorkede-tomater/
21	Kyllingfilet med wokket grønnsaksmiks	http://res.cloudinary.com/hnjelkrui/image/upload/v1423572592/c7mdojyelywzylvdezha.jpg	Wokkede grønnsaker blir man aldri lei. Dessuten blir det saftig og godt, selv uten saus. Kyllingen kan gjerne smaksettes med honning.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Skjær kyllingfilet i store terninger og grønnsakene i passe store biter. Fennikel bør finsnittes.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Fres kjøttet i pannen til det er så vidt gjennomstekt. Ha på salt og pepper og la det hvile mens grønnsakene wokkes. Smak til grønnsakene med salt og pepper og anrett dem på en tallerken.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Tre kjøttet på spyd og legg det over grønnsakene. Dryss ristede pinjekjerner over før servering.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span style="color: inherit;">Tips 1:&nbsp;Ha litt honning i pannen på slutten av steketiden på kyllingbitene. Den søte smaken "kler" kyllingen godt, og bitene får dessuten en fin gyllen farge.</span></p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span style="color: inherit;">Tips 2: Stek kyllingbitene sammen med urtekrydder for å få ekstra god smak. Urter som passer godt er tiamin, rosmarin eller litt løpestikke.</span><br></p>	1	20	Enkel	2015-02-10 12:49:19.339	2015-03-12 14:29:30.939	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/kyllingfilet-med-wokket-gronnsaksmiks/
31	Medisterkaker med potetstappe, erter og bacon	http://res.cloudinary.com/hnjelkrui/image/upload/v1423577931/y0q1pzshw9ycj1npnftj.jpg	Medisterkaker er knallgod førjulsmat. Med potetstappe, erter og bacon blir dette en rask og smakfull middag som også de minste i familien kommer til å elske. 	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.&nbsp;</strong>Forvarm stekeovn til 180 C°.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.</strong>&nbsp;Legg medisterkaker i en ildfast form. Stek midt i stekeovn i ca. 15 minutter, eller til de er gjennomvarme.</p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Kjøp gjerne medisterdeig og lag dine egne medisterkaker. Form kakene i håndflaten ved hjelp av en skje, beregn ca. 40 g per kake. Brun kakene i en varm stekepanne med smør til de har fått en fin farge rundt det hele, legg dem over i en ildfast form og stek dem ferdige i stekeovn på 180 C° i ca. 10 minutter.</div></div><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.</strong>&nbsp;Skrell potet og skjær i terninger. Ha terningene over i en kjele med vann. Kok potetterningene til de er møre, ca. 10 minutter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"></p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Har du ekstra dårlig tid, kan du bruke ferdig potetmos.</div></div><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>4.</strong>&nbsp;Hell av kokevannet og mos potetene med en stamper. Spe med melk, og smak til med salt og pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>5.</strong>&nbsp;Stek bacon i en stekepanne med smør til det har fått en fin farge. Ha i erter mot slutten av steketiden og la det surre et par minutter til ertene er varme.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server medisterkakene med potetmos toppet med sprøstekt bacon og erter. En skje tyttebærsyltetøy smaker også godt til.</p>	1	30	Middels	2015-02-10 14:03:37.426	2015-03-12 14:26:35.094	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/medisterkaker-med-potetstappe-erter-og-bacon/
19	Nakkekoteletter med chilibønnegryte	http://res.cloudinary.com/hnjelkrui/image/upload/v1423570625/d60edmejopatvlfmzpit.jpg	Glad i koteletter, men lei surkål? Klar for å prøve noe nytt? Her er den nye middagsfavoritten din!	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Stek løk, paprika og selleri i en høy stekepanne/gryte med litt olje til grønnsakene er såvidt møre.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Hell på chilibønner. La gryten småkoke mens du steker kotelettene. Smak eventuelt til med salt og pepper. Dryss over finhakket persille før servering.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Lag små snitt i fettranden, slik at koteletten steker jevnt. Brun kotelettene 2-3 minutter på begge sider i en varm stekepanne med olje. La kotelettene ettersteke på lav varme i ca. 5 minutter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server saftige nakkekoteletter med chilibønnegryte og godt brød.</p>	2	20	Enkel	2015-02-10 12:16:51.02	2015-03-12 14:29:59.415	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/nakkekoteletter-med-chilibonnegryte/
44	Svineburger	https://res.cloudinary.com/hnjelkrui/image/upload/v1426061442/y1xcyokvg79ocxemoacq.jpg	Har du lyst på en lettvint, sunn og smaksrik middag? En god hot svineburger gjør susen for sultne og sunnhetsbevisste matelskere.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Skjær kjøttet i tynne biffer, og del eventuelt hver biff i to. Krydre biffene med salt og pepper, og brun dem raskt på sterk varme, ca. 2 minutter på hver side. Etterstek på lavere temperatur i 2-3 minutter på hver side.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Skjær skallet av ananasen, og del den i skiver. Rens løk, og kutt den i tynne ringer.&nbsp;Varm hamburgerbrød som anvist på pakken.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Fyll varme hamburgerbrød med spinat, ananas, kjøtt og rødløk. Server med ajvar.&nbsp;</p>	1	20	Enkel	2015-03-11 08:10:31.643	2015-03-11 08:10:31.643	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/svineburger/
37	Nudler med kjøttdeig	http://res.cloudinary.com/hnjelkrui/image/upload/v1423577914/hrlj7d5fcagbqw0gjsk6.jpg	Denne retten er laget med nudler som de fleste barn er veldig glad i. Vær obs på at nudler kan inneholde mye salt og fett. Sjekk bak på pakkene og sammenlign næringsinnholdet. Spagetti eller ris kan brukes som en erstatning for nudler i denne oppskriften.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Ha margarin eller olje i en varm stekepanne. Vent til margarinen slutter å bruse, og stek kjøttdeig i flere omganger. Bruk en stekespade til å dele den i mindre biter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Vask, skrell og kutt gulrot og sellerirot i strimler. Del brokkoli i mindre biter. Stek alle grønnsakene med finhakket hvitløk.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Kok nudler etter anvisning på pakken.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Bland kjøttdeig, grønnsaker og nudler, tilsett soyasaus og kraften fra aspargesbønneboksen.</li></ol>	1	30	Enkel	2015-02-10 14:18:26.397	2015-03-12 14:24:45.043	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/nudler-med-kjottdeig/
36	Pestomarinert ytrefilet	http://res.cloudinary.com/hnjelkrui/image/upload/v1423577860/umndjpidci5ukulvbvwl.jpg	Pesto er blitt manges favoritt. Blandingen av basilikum, parmesan, pinjekjerner og olje frister flere og flere. Pesto kan brukes til mye, også marinade. Her er det ytrefilet som har fått smak av pesto.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Bland pesto og sitronsaft i en plastpose. Legg i&nbsp;biffene, press ut luften og fordel marinaden rundt biffene. La dem marinere i 2-3 timer.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Enten du vil grille eller steke biffene, stek på sterk varme til kjøttsaften pipler ut på overflaten. Snu biffene, når det pipler på den andre siden er biffene medium stekt.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med pastasalat med pesto, og dryss så finhakkede pinjekjerner over retten.</p>	1	80	Enkel	2015-02-10 14:17:18.694	2015-03-12 14:25:02.1	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/kos/pestomarinert-ytrefilet/
33	Tacograteng	http://res.cloudinary.com/hnjelkrui/image/upload/v1423577281/zsmw8w3niferm5rg0sib.jpg	Tacokrydder kan brukes til mer enn fredagstaco med tortillaslefser eller tacoskjell. En tacograteng med kjøttdeig av svin og tacosmak er kjapp hverdagsmat for hele familien.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek kjøttdeig i margarin i en stekepanne. Ha på tacokrydder og følg anvisning på posen.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Fordel kjøttdeig, ananas og tomat i en ildfast formen.&nbsp;Hell over tacosaus og dryss over revet ost.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek gratengen midt i ovnen på 225&nbsp;ºC i 15 minutter til osten har fått gyllen farge.&nbsp;</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server gratengen med salat og créme fraîche.</p>	1	30	Enkel	2015-02-10 14:07:48.661	2015-03-12 14:25:40.459	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/tacograteng/
34	Kremet pasta med falukorv	http://res.cloudinary.com/hnjelkrui/image/upload/v1423577519/lylnwkcgysfz87dgofts.jpg	En rask og enkel middag. Perfekt for travle hverdager.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.&nbsp;</strong>Skjær falukorv i halve skiver og løk i halve ringer. Stek&nbsp;pølseskivene og løk gyllent i en stekepanne med litt margarin eller olje.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.</strong>&nbsp;Kok pasta etter anvisning på pakken. Hell av vannet.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.&nbsp;</strong>Lag pastasaus etter anvisning på posen.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>4.</strong>&nbsp;Rør sausen inn i pastaen og ha på stekt falukorv og løk.&nbsp;</p>	1	10	Enkel	2015-02-10 14:11:45.891	2015-02-17 12:30:05.726	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/kremet-pasta-med-falukorv/
39	Gullgravergrateng	http://res.cloudinary.com/hnjelkrui/image/upload/v1423578445/lk9pxg1wtmrnn8h3ed8y.jpg	Det som er supert med denne gullgravergratengen er at den er litt klebrig, og derfor ikke faller av skjea så lett når de minste lærer seg å spise selv. Dessuten er alle ingrediensene blandet, slik at barna får litt av alt - også grønnsaker - for hver munnfull.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Kok makaroni som anvist på pakken.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Lag hvit saus etter anvisning på posen.&nbsp;Avkjøl sausen litt, og rør inn egg og ost.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Skjær skinken i biter. Bland hvit saus, makaroni, skinke og grønnsakblanding. Hell dette i en smurt ildfast form. Strø over brødrasp.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek gratengen på 175 grader i stekeovn 30-40 minutter.</li></ol>	1	50	Middels	2015-02-10 14:27:17.248	2015-02-17 12:29:55.983	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/gullgravergrateng/
38	Koteletter med spansk vri	http://res.cloudinary.com/hnjelkrui/image/upload/v1423578308/jmc3cvxelnvcat9ecb7l.jpg	Kun koteletter med brun saus? Nei, her skal vi vise deg at koteletter kan brukes sammen med mange spennende ingredienser. Fiks ferdig på noen minutter.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Brun kotelettene raskt og dryss over litt salt og grovmalt pepper. Legg dem til side og hold varmt.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Del grønnsakene i strimler, pepper/chili i biter. Fres grønnsakene raskt i panna og tilsett cider/hvitvin.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Legg kotelettene over og legg på lokk. La det hele brassere (trekke) i ca. 10 minutter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med brød.</p>	1	30	Enkel	2015-02-10 14:24:37.539	2015-03-12 14:24:31.331	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/kos/koteletter-med-spansk-vri/
42	Tomatsuppe med kokt egg	http://res.cloudinary.com/hnjelkrui/image/upload/v1423579508/sl58r65mczxvgbr2t7vu.jpg	Hva er suppefavoritten i Norge? Kan det være tomatsuppe, mon tro? Uansett – enten du lager suppen fra pose eller tar deg tid til å lage den fra bunnen, så smaker den enda bedre med et hardkokt egg oppi!	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Kok egg i 10 minutter. Avkjøl i kaldt vann og skrell dem.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Fres løk og hvitløk myk og blank i en kjele med litt olje.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Tilsett tomatpuré, og la det surre ett minutt. Ha deretter i hakket tomat, vann, buljong og sukker. Kok opp og la det småkoke i ca. 10 minutter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">4. Kjør suppen til ønsket konsistens med stavmikser eller i hurtigmikser. Tilsett hakket basilikum og smak til med salt og pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server suppen med kokte egg.</p>	1	30	Enkel	2015-02-10 14:44:54.274	2015-02-12 13:45:48.981	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/tomatsuppe-med-kokt-egg/
40	Seibiff med løk	http://res.cloudinary.com/hnjelkrui/image/upload/v1423578639/wp1gtfpul5b66mxy4ep0.jpg	Sei er en ypperlig matfisk, og når vi snakker om smak stiller seien i en helt egen klasse. Seibiff med løk er god norsk hverdagsklassiker.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok poteter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Rens løk, del den i to og skjær den i tynne skiver. Smelt margarin og stek løken på middels varme til den er gyllen og har karamellisert seg. Smak til med salt og pepper.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Rens brokkoli og skjær den i fine buketter. Kok i lettsaltet vann, ca. 3 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Skjær fisken i serveringsstykker og vend dem i melblandingen. Stek fisken i panne med margarin, ca. to minutter på hver side.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">Server</span>&nbsp;med cherrytomater, brokkoli og kokte poteter.</p>	1	30	Enkel	2015-02-10 14:30:26.969	2015-03-12 14:23:34.213	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/tradisjon/seibiff-med-lok/
35	Thai-wok med kylling	http://res.cloudinary.com/hnjelkrui/image/upload/v1423577898/lwujpzitgcagyw0io0xt.jpg	I Thailand brukes fiskesaus på samme måte som vi bruker salt. Får du ikke tak i thailandsk fiskesaus, så går det bra å smake seg til med salt i stedet. Prøv vår thai-wok med kylling	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Stek kyllingstrimlene i smør i en panne til det er jevnt hvitt over det hele.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Ha i oppdelt løk, paprika, hvitløk og ingefær og stek litt videre.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Tilsett sukker, fiskesaus (salt), soyasaus og pepper. Spe med hønsebuljong, vann og kokosmelk. Smak til retten.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med jasminris. Pynt gjerne med strimlet vårløk.</p>	1	30	Middels	2015-02-10 14:14:27.841	2015-03-12 14:25:17.919	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/kos/thai-wok-med-kylling/
95	Hot grillet skinkebiff med maiskolbe	https://res.cloudinary.com/hnjelkrui/image/upload/v1426073865/y5tcwzzvfduxjejsk935.jpg	Med koriander, vårløk, chili og lime blir skinkebiff både frisk og sterk. Hot grillet skinkebiff med grillet maiskolbe er sunn og spicy hverdagsmat	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Rens maiskolber og ha dem i en kjele med kokende vann i ca. 2 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Bland chili, vårløk, koriander og olje sammen til en dressing. La den stå litt for å trekke smak, og hell den over kjøttet rett før servering.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Rør sammen smør, limesaft og –skall. Pensle maiskolber med limesmør og grill i 5-6 minutter. Strø maldonsalt over ved servering.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Pensle skinkebiffer med olje, krydre med salt og pepper. Grill i 2-3 minutter på hver side, til de er gjennomstekte.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server saftig skinkebiff med en hot oljedressing og deilig grillet maiskolbe.</p>	1	20	Enkel	2015-03-11 11:37:38.235	2015-03-11 11:37:38.235	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/hot-grillet-skinkebiff-med-maiskolbe/
30	Kylling i pita	http://res.cloudinary.com/hnjelkrui/image/upload/v1423576838/ix5o9rtpcrjeoleko349.jpg	Kylling i pita er raskt og enkelt, populært for både store og små er det også. Når du vil ha en forandring på retten kan du gjerne lage den med med strimlet svinekjøtt.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Skjær kyllingfilet i små terninger, ca. 1 x 1 cm. Skjær paprika i biter og vårløk i ringer.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Stek&nbsp;kyllingbitene på middels varme i en stekepanne med litt olje. Ha i paprika og vårløk, dryss over tikka masala-krydder og rør godt. Vend inn matyoghurt. Bland alt godt sammen og la det bli gjennomvarmt.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Fyll varme pitabrød med kyllingblandingen og friske salatblad.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server gjerne mer salat ved siden av.</p>	1	20	Enkel	2015-02-10 14:00:12.156	2015-02-17 12:30:20.087	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/kylling-i-pita/
13	Avokadosalat med strimlet svinekjøtt	http://res.cloudinary.com/hnjelkrui/image/upload/v1423562923/qlzfv85nqrnmpshjxofo.jpg	Mettende salat med mye godt i! Denne kan du trygt servere til middag.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Fres kjøttet et par minutter på sterk varme i litt olje. Stek det i to omganger. Dryss over salt og pepper.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Skyll salatene og skjær issalaten i strimler. Ruccula kan brukes som den er eller i biter. Legg salaten i en bolle sammen med løken. Avokado skjæres i båter og dynkes med litt sitronsaft slik at den holder fargen.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Pinjekjernene blir ekstra gode hvis de ristes i tørr stekepanne til de får en gyllen farge. Dryss pinjekjernene over salaten.</p>	1	20	Enkel	2015-02-10 10:08:25.271	2015-02-17 12:31:02.39	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/rask/avokadosalat-med-strimlet-svinekjott/
26	Kickwok	http://res.cloudinary.com/hnjelkrui/image/upload/v1423573983/ggb5dbjcevk7uc5pz4co.jpg	Det er nesten ingen vits å spise usunt, når det finnes så mye sunt og godt.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Kok fullkornsris som anvist på pakken.&nbsp;</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Skjær kinakål og paprika i tynne strimler. Skrell gulrot og skjær dem i tynne skiver med en ostehøvel.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Varm litt olje i en wok, og brun kjøttet i små porsjoner. Sett det til side.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Ha i litt olje, og stek grønnsakene raskt i mindre porsjoner.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">5.</span>&nbsp;Ha kjøttet og grønnsakene tilbake i wokken og rør inn sausen. Varm opp.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server wokken med fullkornsris og du har et enkelt og raskt hverdagsmåltid.&nbsp;</p>	1	20	Enkel	2015-02-10 13:12:44.138	2015-03-12 14:27:54.01	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/kickwok/
93	Paprikakylling med asparges	https://res.cloudinary.com/hnjelkrui/image/upload/v1426073655/smat2hjtlcxsinvwrvpu.jpg	Hvorfor ikke la grønnsakenes konge få ledsage kyllingfileten med muntert selskap av knasende cornflakes og syrlig rømme? Dette er en fabelaktig middag!	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Krydre kyllingfileten med salt, pepper og paprikapulver. Stek den i 2 minutter på hver side i middels varm panne. Etterstek på lav varme under lokk i 4 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Skrell nederste del av aspargesene. Kok dem i lettsaltet vann i 3-4 minutter til de er knapt møre. (avhengig av størrelse)</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med salat.</p>	1	20	Enkel	2015-03-11 11:34:08.207	2015-03-11 11:34:08.207	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/paprikakylling-med-asparges/
43	Kylling chop suey	https://res.cloudinary.com/hnjelkrui/image/upload/v1426061183/zaht7gaacyqtguicali9.jpg	Du har sikkert spist kylling chop suey på kinesisk restaurant. Hva med å lage den selv? Prøv vår enkle og smakfulle oppskrift.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Skjær kyllingkjøtt i strimler. Del løk i tynne båter, gulrot og vårløk i tynne skiver. Ha ingrediensene til sausen klar.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Vend kyllingstrimlene i maisstivelse og stek dem raskt i olje til de er gjennomstekt.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Ta kjøttet ut og fortsett med løk, gulrot og ingefær.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Ha kjøttet tilbake i pannen når grønnsakene er omtrent møre og tilsett de hermetiske wokgrønnsakene sammen med vårløk. Hell over hønsebuljong og kok opp.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">5.</span>&nbsp;Smak til med soyasaus, østerssaus og eventuelt salt og pepper.</p><h2 style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server gjerne med jasminris.</h2>	1	20	Middels	2015-03-11 08:05:54.451	2015-03-12 14:22:38.254	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/kylling-chop-suey/
2	Koteletter med wokgrønnsaker	http://res.cloudinary.com/hnjelkrui/image/upload/v1423561942/mapqp2nbzhvuphasaxb7.jpg	Enkelt, raskt og billig! Kan man ønske seg mer? Jo, godt og sunt! Denne retten fyller alle kriteriene for en rask hverdagsmiddag.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Sett over ris til koking.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Brun kotelettene på god varme i 2­-3 minutter på hver side. Ha på krydder, og etterstek i ca. 5 minutter på svak varme.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Ta kotelettene ut av panna, og fres wokgrønnsakene i litt olje på god varme. Tilsett buljong og la det koke i 1 minutt.</p>	1	20	Enkel	2015-02-10 09:14:20.076	2015-03-12 14:36:11.692	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/koteletter-med-wokgronnsaker/
77	Kyllingwok med sursøt saus	https://res.cloudinary.com/hnjelkrui/image/upload/v1426070918/i87rohfcv1tvjfrsmzgw.jpg	Sursøt saus lager du raskt selv - enkelt rimelig og med masse smak. I denne kyllingwoken smaker den nydelig!	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Ta av skinnet på grillet kylling og skjær kjøttet i passe store biter.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Gjør klart alle grønnsakene og ingrediensene til den sur-søte sausen.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Varm olje i en wok eller stor stekepanne og tilsett grønnsakene. La grønnsakene bli nesten møre og ha i kyllingkjøttet. La alt bli varmt og hell over sursøt saus som er rørt sammen. Kok opp og smak til.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server gjerne med ris.</p>	1	20	Enkel	2015-03-11 10:48:24.638	2015-03-12 14:13:56.135	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/rask/kyllingwok-med-sursot-saus/
48	Karbonader med løk	https://res.cloudinary.com/hnjelkrui/image/upload/v1426062084/i0bh7nsmdqauwb1a4ul5.jpg	Karbonader er mat som alle liker. Serveres både til lunsj og middag, på koldtbord og i mange sosiale lag.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Elt karbonadedeig lett med salt, pepper og potetmel. Rør inn vann.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Form karbonadene til 8 store flate kaker (per 500 g karbonadedeig). Lag rutemønster på overflaten med en sløv kniv.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Rens løk, del løken i to og skjær den i tynne skiver. Smelt margarin og stek løken på middels varme til den er gyllen og har karamellisert seg. Krydre med salt.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Karbonadene brunes i margarin på begge sider ved forholdsvis sterk varme. Etterstek ved svak varme 2-3 minutter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server nystekte karbonader på godt brød med stekt løk og salat som kveldskos, eller med kokte poteter og grønnsaker til middag.</p>	1	30	Enkel	2015-03-11 08:21:17.894	2015-03-12 14:21:33.391	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/karbonader-med-lok/
45	Omelett med kalkun og salsa	https://res.cloudinary.com/hnjelkrui/image/upload/v1426061594/wwyvovwk8knkrsz4fvim.jpg	Omelett er super mat når du er på farten, og bare skal spise noe raskt. Godt trente omelettkokker trenger ikke særlig mer enn ett minutt fra røren helles i panna til omeletten er serveringsklar.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Visp sammen egg, vann og salt. Skjær kalkunfilet og vårløk i strimler.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Smelt margarin i stekepannen til det freser. Hell eggemassen i pannen, og skyv den inn mot midten slik at den flyter ut til sidene.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Legg kalkun, salsa og vårløk på den ene halvparten når eggeblandingen er nesten stivnet. La omeletten steke noen sekunder før den andre halvparten brettes over. Hvelv den over på en tallerken. Omeletten er ferdig på ca. ett minutt.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server gjerne med salat og brød ved siden av.</p>	1	20	Enkel	2015-03-11 08:13:06.465	2015-03-12 14:22:24.287	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/omelett-med-kalkun-og-salsa/
49	Pannekaker	https://res.cloudinary.com/hnjelkrui/image/upload/v1426062198/wdbcvd63xxezrylh0gor.jpg	Pannekaker er middagsfavoritt nummer én i de fleste barnefamilier. Ungene vil nok helst fråtse i bare pannekaker, men den tradisjonelle kombinasjonen ertesuppe og pannekaker er også stadig like aktuell.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Bland mel og salt. Tilsett halvparten av melken. Rør godt til en tykk og klumpfri røre. Tilsett resten av melken. Visp inn egg. La røren svelle i ca. ½ time.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Smelt maragin i en god og varm stekepanne. Hell i en øse med pannekakerøre og vend på pannen, slik at røren legger seg i et jevnt lag. Snu pannekaken når den har stivnet på oversiden og blitt gyllenbrun på undersiden.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Når pannekaken er stekt på begge sider, brettes den sammen og legges i et ildfast fat med lokk. Pannekakene holder da varmen, slik at alle kan spise sammen.</p>	1	40	Middels	2015-03-11 08:23:13.472	2015-03-11 08:23:13.472	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/familien/pannekaker/
50	Kyllingfilet med rotgrønnsaker og fetaost	https://res.cloudinary.com/hnjelkrui/image/upload/v1426062281/l9o1pujcxjgthfjnxcda.jpg	Saftig, norsk kyllingfilet på sitt beste, servert med salat av gode rotgrønnsaker. Det slår aldri feil! Ingefær, rosenkål og fetaost gjør salaten ekstra spennende, og gir en frisk og deilig smak.	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.</strong>&nbsp;Skrell gulrot og rødbete. Riv først gulrot grovt på et rivjern og ha det i en bolle. Riv deretter rødbete over på en tallerken og sett den til side.&nbsp;</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"></p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Rødbeter er veldig fargesterke og vil garantert sette farge på både fingre og fjøl. Bruk derfor engangshansker og legg et ark matpapir på fjøla når du skal skrelle og rive rødbeter.</div></div><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"></p><div class="responsive-image lazy-load r169" data-transformations="['1000','1000','352','460']" data-original-src="http://images.matprat.no/fa7mdtllkj-tinymce" style="position: relative; height: auto; overflow: hidden; padding: 0px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"></div><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.</strong>&nbsp;Krydre kyllingfilet med salt og pepper. Ha margarin i en varm stekepanne og brun kyllingfileter i 2 minutter på hver side.&nbsp;</p><ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"></p><div class="responsive-image lazy-load r169" data-transformations="['1000','1000','352','460']" data-original-src="http://images.matprat.no/3lh2up2gv5-tinymce" style="position: relative; height: auto; overflow: hidden; padding: 0px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"></div><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.&nbsp;</strong>Etterstek på lav varme under lokk i ca. 4 minutter. Legg kyllingfiletene over på en fjøl mens du steker kål.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>4.</strong>&nbsp;Fres rosenkål raskt i stekepannen til den er mør. Ha den over i bollen sammen med revet gulrot. Bland også inn ingefær, persille, olivenolje og limesaft. Vend inn revet rødbete og smak til med salt og pepper.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Anrett salaten på tallerkener eller et stort fat, legg på kyllingfilet i skiver og smuldre over fetaost.&nbsp;</p>	1	30	Middels	2015-03-11 08:24:29.133	2015-03-11 08:24:29.133	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/kyllingfilet-med-rotgronnsaker-og-fetaost/
53	Medisterkaker med potetstappe, erter og bacon	https://res.cloudinary.com/hnjelkrui/image/upload/v1426062883/rvafop1l6kmwjh0pywr8.jpg	Medisterkaker er knallgod førjulsmat. Med potetstappe, erter og bacon blir dette en rask og smakfull middag som også de minste i familien kommer til å elske. 	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.&nbsp;</strong>Forvarm stekeovn til 180 C°.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.</strong>&nbsp;Legg medisterkaker i en ildfast form. Stek midt i stekeovn i ca. 15 minutter, eller til de er gjennomvarme.</p>	1	30	Middels	2015-03-11 08:34:31.863	2015-03-11 08:34:31.863	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/rask/medisterkaker-med-potetstappe-erter-og-bacon/
52	Fiskeburger	https://res.cloudinary.com/hnjelkrui/image/upload/v1426062698/bwaaz6b4hrabrc3eshqg.jpg	Har du vært på fisketur og fått en sei eller to på kroken kan du – om du er lei av å koke eller steke fisken – lage disse nydelige fiskeburgerne! Stek dem i stekepanne eller grill dem, og server dem i varme burgerbrød og med realt burgertilbehør.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Skjær seifilet i biter og ha dem i en foodprosessor. Tilsett salt og kjør til alt er blandet. Spe forsiktig med iskald melk. Ha i potetmel, finhakket løk, gressløk og pepper. Kjør et par omganger.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2.&nbsp;Ta litt kaldt vann på hendene og form store, litt flate fiskeburgere. Stek dem i en stekepanne med margarin, ca. 4 minutter på hver side.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Varm hamburgerbrød etter anvisning på pakken. Legg salat, tomat og sylteagurk i hamburgerbrødene og legg på ferdigstekte fiskeburgere.</p>	1	40	Middels	2015-03-11 08:31:30.657	2015-03-12 14:20:37.273	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/familien/fiskeburger/
54	Kyllingsalat med bønner og linser	https://res.cloudinary.com/hnjelkrui/image/upload/v1426063049/srapm5bcbbce1djboclu.jpg	Kyllingsalat med mør, norsk kylling, bønner og linser er en lett og smakfull middag eller lunsj. Chili og lime gjør salaten frisk, syrlig og hot. 	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>1.</strong>&nbsp;Fres hvitløk raskt i en varm stekepanne med olje. Legg i terninger av kyllingfilet, hell på vann og ha i buljongterning. Sett på lokk og la det trekke i 2-3 minutter, eller til kyllingen er gjennomkokt.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>2.</strong>&nbsp;Smak til kyllingen med chilipulver, limesaft, salt og pepper. Kraften skal være sterk, men også syrlig. Avkjøl litt.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><strong>3.</strong>&nbsp;Bland sammen ertebønne-linsemiks, agurk, rødløk og hjertesalat i en bolle. Hell kyllingbitene og kraften over i bollen med grønnsaker og bland godt.</p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Salaten smaker ekstra godt om du drysser over grovhakket koriander og mynte før servering.</div></div><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Anrett salaten i en stor bolle eller i dype tallerkener.</p><div class="highlight infobox big " style="margin: 20px 0px; position: relative; padding: 15px 15px 15px 60px; min-height: 45px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px; background-color: rgb(242, 240, 236);"><div class="rich-text" style="padding: 10px 0px 30px; clear: both;">Denne retten kan gjerne serveres med grovt brød. Dette vil øke kalori- og næringsinnholdet.</div></div>	1	30	Middels	2015-03-11 08:37:16.407	2015-03-11 08:37:16.407	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/kyllingsalat-med-bonner-og-linser/
80	Svin på erten	https://res.cloudinary.com/hnjelkrui/image/upload/v1426071592/ngtr2r1m2d6w9lr4gkj2.jpg	Erter og soltørkede tomater gir både god smak og flotte fargekontraster til retten. At den er lett å lage finner du fort ut.	1	0	<ol style="padding: 0px; margin-right: 0px; margin-bottom: 0.75em; margin-left: 0px; list-style: none; counter-reset: li 0; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px; line-height: 24px;"><li style="margin: 5px 0px 15px; counter-increment: li 1;">Kok pasta etter anvisning på pakken.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Stek kjøttdeig og løk i en stekepanne med margarin eller olje.</li><li style="margin: 5px 0px 15px; counter-increment: li 1;">Tilsett erter, tomat, krydder og matfløte, og la det småkoke 2-3 minutter.</li></ol><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med nykokt pasta</p>	1	20	Enkel	2015-03-11 10:59:37.298	2015-03-11 10:59:37.298	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/rask/svin-pa-erten/
55	Kyllingfilet med gratinerte rotfrukter	https://res.cloudinary.com/hnjelkrui/image/upload/v1426063101/cgjqnuavpc1x7hly38le.jpg	Søte rotfrukter, sprøtt ostedekke og saftig kylling er en topp kombinasjon! Som en variasjon kan poteter også bakes sammen med rotgrønnsakene.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Skrell rotgrønnsakene og skjær dem i grove strimler. Ha olje i&nbsp;en ildfast form og legg over grønnsakene. Dryss over parmesan, oregano, salt og pepper. Bland alt godt. Sett formen midt i ovnen på 225 °C og stek i 20-25 minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Brun kyllingfiletene i 2 minutter på hver side. Ha på salt og pepper.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Legg kyllingfiletene&nbsp;på toppen&nbsp;rotgrønnsakene i ovnen de siste 10 minuttene av steketiden.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med brød.</p>	1	30	Enkel	2015-03-11 08:38:11.912	2015-03-11 08:38:11.912	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/rask/kyllingfilet-med-gratinerte-rotfrukter/
81	Biffspyd med avokado	https://res.cloudinary.com/hnjelkrui/image/upload/v1426071618/art7d85rvcuduj9zcau7.jpg	Lager du denne retten skaffer du deg “sommerfeeling” på rekordtid. Husk å sjekke at avokadoen gir etter for trykk når du er i butikken, da er den nemlig moden nok til å spises. Smakelig måltid!\n\nSosialt\n	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Del avokadoen i to og fjern skall og stein. Hakk resten i småbiter og bland godt med hakket rødløk. Smak til med salt, pepper og sitronsaft.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Krydre kjøttet med salt og pepper. Tre kjøttet på et fuktet spyd og stek det i panne på middels varme i ca. 3 minutter på hver side.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">Server med ris og tomater</p>	1	10	Enkel	2015-03-11 11:00:11.271	2015-03-11 11:00:11.271	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/biffspyd-med-avokado/
97	Skau-kebab	https://res.cloudinary.com/hnjelkrui/image/upload/v1426074038/icfs4kuwaqphi6ea97xd.jpg	En passelig mett mage gjør en god tur enda bedre. Denne kebaben smaker veldig godt og sørger for både god energi og smil om munnen hele veien. God tur!	1	0	<p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">1. Stek kjøttet i margarin med krydder, hvitløk og chili i middels varm panne i et par minutter.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">2. Tilsett kantareller og stek videre i cirka ett minutt.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">3. Vend inn strimlet vårløk og server i pitabrød med yoghurt naturell.</p>	1	20	Enkel	2015-03-11 11:40:31.059	2015-03-11 11:40:31.059	2015-03-11 14:11:55.016861	\N	1	http://www.matprat.no/oppskrifter/sunn/skau-kebab/
96	Babi Asam Manis	https://res.cloudinary.com/hnjelkrui/image/upload/v1426073996/zgjdrvnef4q4uwdlawel.jpg	Woken er kommet for å bli. Oppskrift på strimlet svinekjøtt i sursøt saus.	1	0	<p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">1.</span>&nbsp;Skjær kjøttet og paprika i strimler og løk i ringer. Finhakk chili og hvitløk.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">2.</span>&nbsp;Fres kjøttet raskt i panne eller wok til det er pent gyllent (bør stekes i 2-3 omganger).</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">3.</span>&nbsp;Ta ut kjøttet og fres grønnsaker, chili og hvitløk et par minutter.</p><p class="mp_order" style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;"><span class="recipe-step" style="font-weight: bold; font-size: 20px; margin: 0px;">4.</span>&nbsp;Ha kjøttet tilbake i panna og tilsett resten av ingrediensene. Kok opp og smak evt. til med mer saus.</p><p style="margin-top: 5px; margin-bottom: 15px; line-height: 24px; color: rgb(0, 0, 0); font-family: Neutra2Text, 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 16px;">&nbsp;Server med kokt ris.</p>	2	20	Enkel	2015-03-11 11:39:45.193	2015-03-12 14:08:38.827	2015-03-11 14:11:55.016	\N	1	http://www.matprat.no/oppskrifter/sunn/babi-asam-manis/
\.


--
-- Name: recipe_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('recipe_id_seq', 101, true);


--
-- Data for Name: recipe_in_tag; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY recipe_in_tag (recipe_id, tag_id) FROM stdin;
1	1
44	6
49	1
50	6
53	2
54	6
55	2
57	2
66	2
72	6
80	2
81	6
82	6
84	6
85	6
90	6
91	6
93	6
95	6
97	6
98	6
100	6
101	6
42	1
41	1
39	1
34	1
30	1
20	1
22	1
13	2
10	2
11	1
7	1
101	9
99	6
99	10
96	6
96	9
94	6
94	9
92	6
92	10
89	6
89	9
88	6
88	9
87	6
87	9
86	2
86	10
83	6
83	9
79	6
79	11
78	6
78	9
77	2
77	9
76	6
76	9
75	6
75	10
74	6
74	9
73	6
73	11
71	1
71	4
71	6
70	6
70	9
69	1
69	10
68	2
68	3
67	7
67	10
65	2
65	10
64	8
64	7
64	1
63	7
63	11
62	7
62	11
61	2
61	10
60	7
60	3
59	2
59	10
58	2
58	3
52	1
52	6
51	6
51	3
48	1
48	4
47	6
47	10
46	6
46	11
45	6
45	2
43	6
43	9
40	6
40	1
38	7
37	1
37	9
36	7
36	10
36	1
35	7
35	9
33	1
33	11
32	1
32	4
32	2
31	4
31	2
29	11
29	2
28	1
28	10
27	2
27	10
26	1
26	9
25	1
25	6
25	2
24	2
24	4
23	1
23	10
23	7
23	8
21	2
21	9
19	1
19	11
18	1
18	6
18	2
17	2
17	1
17	10
16	4
14	1
14	9
12	2
12	9
9	1
9	6
8	2
8	9
6	2
6	4
5	1
5	4
5	6
5	2
3	1
3	4
2	2
2	9
2	6
4	2
\.


--
-- Data for Name: tags; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY tags (id, name) FROM stdin;
1	Familien
2	Rask
6	Sunn
7	Kos
8	Gjester
9	Asiatisk
10	Italiensk
11	Meksikansk
3	Indisk
4	Norsk
\.


--
-- Name: tags_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('tags_id_seq', 11, true);


--
-- Data for Name: unit; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY unit (id, name) FROM stdin;
1	liter
2	gram
3	kilogram
4	teaspoon
5	tablespoon
6	pcs
7	deciliter
8	bag
9	can
10	clove
11	slice
12	cup
13	leafs
14	pinch
\.


--
-- Name: unit_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('unit_id_seq', 14, true);


--
-- Data for Name: user_cold_start; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY user_cold_start (user_id, cold_start_id, answer, answer_time) FROM stdin;
16	1	t	2015-03-17 14:30:29.289
16	2	t	2015-03-17 14:30:29.972
16	3	t	2015-03-17 14:30:30.662
16	4	t	2015-03-17 14:30:31.336
16	5	t	2015-03-17 14:30:32.575
19	2	t	2015-03-17 19:37:06.576
19	3	t	2015-03-17 19:37:07.771
19	4	f	2015-03-17 19:37:08.436
19	5	t	2015-03-17 19:37:09.678
20	1	t	2015-03-18 07:12:30.351
20	2	f	2015-03-18 07:12:41.478
20	3	t	2015-03-18 07:12:47.459
20	4	f	2015-03-18 07:12:49.472
20	5	t	2015-03-18 07:12:51.043
21	2	t	2015-03-18 12:01:14.844
21	3	t	2015-03-18 12:01:16.134
21	4	t	2015-03-18 12:01:17.543
21	5	t	2015-03-18 12:01:18.504
22	3	t	2015-03-18 14:07:32.072
23	1	t	2015-03-18 14:45:54.068
24	1	t	2015-03-18 15:35:22.08
24	2	t	2015-03-18 15:35:24.025
24	3	t	2015-03-18 15:35:25.736
25	2	t	2015-03-18 16:35:44.567
25	3	t	2015-03-18 16:35:49.466
25	4	t	2015-03-18 16:35:50.724
25	5	t	2015-03-18 16:35:51.808
26	2	t	2015-03-18 16:41:35.944
26	4	t	2015-03-18 16:41:39.89
26	5	t	2015-03-18 16:41:41.494
27	1	f	2015-03-18 16:48:18.373
27	2	t	2015-03-18 16:48:20.822
27	3	f	2015-03-18 16:48:32.382
27	4	f	2015-03-18 16:48:33.494
27	5	f	2015-03-18 16:48:34.41
28	1	f	2015-03-18 17:08:30.763
28	2	t	2015-03-18 17:08:31.462
28	3	t	2015-03-18 17:08:32.402
28	4	f	2015-03-18 17:08:33.41
28	5	t	2015-03-18 17:08:35.216
29	3	t	2015-03-18 17:13:04.046
29	5	t	2015-03-18 17:13:06.669
30	1	t	2015-03-18 18:13:06.387
30	2	t	2015-03-18 18:13:08.06
30	3	f	2015-03-18 18:13:10.049
30	4	t	2015-03-18 18:13:12.646
30	5	t	2015-03-18 18:13:13.993
31	1	t	2015-03-18 21:11:53.727
31	2	t	2015-03-18 21:11:55.715
32	4	t	2015-03-19 00:00:59.253
32	5	t	2015-03-19 00:01:00.129
33	2	t	2015-03-19 12:33:14.531
33	5	t	2015-03-19 12:33:19.577
35	2	f	2015-03-19 14:52:29.536
35	3	f	2015-03-19 14:52:31.543
35	4	t	2015-03-19 14:52:33.141
35	5	t	2015-03-19 14:52:34.517
37	1	t	2015-03-19 15:26:44.235
37	2	t	2015-03-19 15:26:48.728
37	3	t	2015-03-19 15:26:49.994
37	4	t	2015-03-19 15:26:50.927
37	5	t	2015-03-19 15:26:51.953
38	1	t	2015-03-19 15:29:30.282
38	2	t	2015-03-19 15:29:32.212
38	3	t	2015-03-19 15:29:32.968
38	4	t	2015-03-19 15:29:33.637
38	5	t	2015-03-19 15:29:34.42
39	2	t	2015-03-19 21:11:51.135
39	3	t	2015-03-19 21:11:53.168
39	4	t	2015-03-19 21:11:54.352
39	5	t	2015-03-19 21:11:55.24
41	3	f	2015-03-20 11:12:04.37
41	4	t	2015-03-20 11:12:06.786
41	5	t	2015-03-20 11:16:39.418
42	2	t	2015-03-20 15:57:07.984
42	3	t	2015-03-20 15:57:08.466
42	4	t	2015-03-20 15:57:10.355
42	5	t	2015-03-20 15:57:11.755
43	1	t	2015-03-20 21:42:25.529
43	5	t	2015-03-20 21:42:32.588
49	5	t	2015-03-25 16:51:51.431
50	1	f	2015-03-26 18:34:30.918
50	2	t	2015-03-26 18:34:32.943
51	2	f	2015-03-29 21:50:10.183
51	3	t	2015-03-29 21:50:14.054
51	4	t	2015-03-29 21:50:15.53
51	5	t	2015-03-29 21:50:16.848
52	4	t	2015-03-29 23:32:20.572
53	2	t	2015-03-30 20:46:13.919
53	3	t	2015-03-30 20:46:25.98
53	4	t	2015-03-30 20:46:37.473
53	5	t	2015-03-30 20:46:38.18
54	1	t	2015-04-01 18:06:27.258
54	2	t	2015-04-01 18:06:40.197
54	3	t	2015-04-01 18:06:41.29
54	4	t	2015-04-01 18:06:42.27
54	5	t	2015-04-01 18:06:43.171
55	2	t	2015-04-01 23:11:24.751
55	3	t	2015-04-01 23:11:27.128
55	4	t	2015-04-01 23:11:28.448
55	5	t	2015-04-01 23:11:29.433
56	5	t	2015-04-03 12:02:41.265
57	1	t	2015-04-06 19:51:03.418
57	2	t	2015-04-06 19:51:06.819
57	3	t	2015-04-06 19:51:11.521
57	4	t	2015-04-06 19:51:12.765
57	5	t	2015-04-06 19:51:13.785
58	1	t	2015-04-07 09:58:14.297
58	2	t	2015-04-07 09:58:15.553
58	3	t	2015-04-07 09:58:17.031
58	4	t	2015-04-07 09:58:18.185
58	5	t	2015-04-07 09:58:19.165
59	5	f	2015-04-10 10:10:06.42
60	1	t	2015-04-10 13:36:09.561
60	2	t	2015-04-10 13:36:11.651
60	3	t	2015-04-10 13:36:15.064
60	4	t	2015-04-10 13:36:16.443
60	5	t	2015-04-10 13:36:18.745
63	3	t	2015-04-13 14:14:06.551
63	4	t	2015-04-13 14:14:09.269
63	5	t	2015-04-13 14:14:12.21
64	1	t	2015-04-13 16:15:40.712
64	2	t	2015-04-13 16:15:46.733
64	4	t	2015-04-13 16:15:49.603
64	5	t	2015-04-13 16:15:51.786
65	5	t	2015-04-13 16:17:39.827
67	4	t	2015-04-13 16:26:21.926
67	5	t	2015-04-13 16:26:23.721
68	2	t	2015-04-13 16:26:26.218
68	3	t	2015-04-13 16:26:27.884
68	4	t	2015-04-13 16:26:29.012
68	5	t	2015-04-13 16:26:29.975
69	2	t	2015-04-13 16:32:18.599
69	5	t	2015-04-13 16:32:23.663
70	2	t	2015-04-13 16:47:58.338
70	5	t	2015-04-13 16:48:06.136
73	2	t	2015-04-13 17:11:09.49
73	5	t	2015-04-13 17:11:18.256
74	2	t	2015-04-13 17:11:31.503
74	3	f	2015-04-13 17:11:48.338
74	4	t	2015-04-13 17:11:49.68
76	5	t	2015-04-13 17:16:58.2
77	1	t	2015-04-13 17:42:38.892
77	2	t	2015-04-13 17:42:40.183
77	3	f	2015-04-13 17:42:43.575
77	4	t	2015-04-13 17:42:44.808
77	5	t	2015-04-13 17:42:45.985
79	1	t	2015-04-13 18:32:58.05
79	2	t	2015-04-13 18:33:01.132
79	3	f	2015-04-13 18:33:10.443
79	5	t	2015-04-13 18:33:13.353
72	1	t	2015-04-13 18:36:42.223
80	2	f	2015-04-13 18:41:08.157
81	1	t	2015-04-13 18:44:19.807
81	2	t	2015-04-13 18:44:21.107
81	3	f	2015-04-13 18:44:34.567
81	4	t	2015-04-13 18:44:35.82
81	5	t	2015-04-13 18:44:36.893
82	1	t	2015-04-13 18:57:20.478
82	2	t	2015-04-13 18:57:21.747
82	3	t	2015-04-13 18:57:25.66
82	4	t	2015-04-13 18:57:27.114
82	5	t	2015-04-13 18:57:28.243
83	3	f	2015-04-13 19:15:32.599
83	5	t	2015-04-13 19:15:40.733
84	1	t	2015-04-13 19:31:38.456
84	2	t	2015-04-13 19:31:40.632
84	3	t	2015-04-13 19:31:42.521
84	4	t	2015-04-13 19:31:43.58
84	5	t	2015-04-13 19:31:46.495
85	2	t	2015-04-13 19:47:42.697
85	3	t	2015-04-13 19:47:45.557
85	4	t	2015-04-13 19:47:47.065
86	1	t	2015-04-13 20:40:48.354
86	2	f	2015-04-13 20:40:50.914
87	4	t	2015-04-13 20:42:14.664
88	2	t	2015-04-13 20:58:32.048
88	3	t	2015-04-13 20:58:40.432
88	5	t	2015-04-13 20:58:45.692
89	4	t	2015-04-13 21:09:07.928
89	5	t	2015-04-13 21:09:09.263
90	1	t	2015-04-13 21:28:56.185
90	2	t	2015-04-13 21:28:57.713
90	3	t	2015-04-13 21:28:59.27
90	4	t	2015-04-13 21:29:00.34
90	5	t	2015-04-13 21:29:01.127
91	1	t	2015-04-14 04:54:21.153
91	2	t	2015-04-14 04:54:22.943
91	3	t	2015-04-14 04:54:25.566
91	4	t	2015-04-14 04:54:26.899
91	5	t	2015-04-14 04:54:28.026
72	3	t	2015-04-14 05:27:55.584
72	4	t	2015-04-14 05:27:56.329
72	5	f	2015-04-14 05:27:56.834
92	5	f	2015-04-14 06:09:52.838
93	1	t	2015-04-14 06:28:58.382
93	2	f	2015-04-14 06:29:00.466
93	3	f	2015-04-14 06:29:03.423
93	4	f	2015-04-14 06:29:04.74
93	5	t	2015-04-14 06:29:05.801
94	1	t	2015-04-14 06:35:56.587
94	2	f	2015-04-14 06:36:00.446
94	3	f	2015-04-14 06:36:02.427
94	4	f	2015-04-14 06:36:05.81
94	5	t	2015-04-14 06:36:06.886
95	1	t	2015-04-14 06:47:34.388
95	2	t	2015-04-14 06:47:37.494
95	3	f	2015-04-14 06:47:41.251
95	4	t	2015-04-14 06:47:43.789
95	5	t	2015-04-14 06:47:45.081
96	1	t	2015-04-14 07:27:13.982
96	2	t	2015-04-14 07:27:16.337
96	3	t	2015-04-14 07:27:18.736
96	4	t	2015-04-14 07:27:20.047
96	5	t	2015-04-14 07:27:21.283
97	2	f	2015-04-14 08:52:51.65
97	3	f	2015-04-14 08:52:58.635
97	4	t	2015-04-14 08:53:01.402
97	5	t	2015-04-14 08:53:03.742
98	1	t	2015-04-14 10:39:37.36
98	2	f	2015-04-14 10:39:39.657
98	3	f	2015-04-14 10:39:43.469
98	4	t	2015-04-14 10:39:44.55
98	5	t	2015-04-14 10:39:45.46
99	1	f	2015-04-14 11:33:11.813
99	2	f	2015-04-14 11:33:11.917
99	4	f	2015-04-14 11:33:19.312
99	5	t	2015-04-14 11:33:20.604
100	1	t	2015-04-14 11:54:04.284
100	2	t	2015-04-14 11:54:15.81
100	3	t	2015-04-14 11:54:20.638
100	4	t	2015-04-14 11:54:22.575
101	1	t	2015-04-14 12:49:55.41
104	2	t	2015-04-14 15:19:12.36
104	4	t	2015-04-14 15:19:37.61
104	5	t	2015-04-14 15:19:38.67
105	2	t	2015-04-14 15:52:36.003
105	3	t	2015-04-14 15:52:37.551
105	4	t	2015-04-14 15:52:39.245
105	5	t	2015-04-14 15:52:40.131
106	1	t	2015-04-14 16:29:31.003
106	3	t	2015-04-14 16:29:35.056
106	2	f	2015-04-14 16:29:54.526
106	4	t	2015-04-14 16:29:56.974
106	5	f	2015-04-14 16:29:58.103
107	3	f	2015-04-14 17:58:54.325
107	4	t	2015-04-14 17:58:55.748
107	5	f	2015-04-14 17:58:57.296
108	3	t	2015-04-14 18:53:29.856
108	4	t	2015-04-14 18:53:31.264
108	5	t	2015-04-14 18:53:34.805
109	1	t	2015-04-14 19:29:40.761
109	2	f	2015-04-14 19:29:42.813
109	3	f	2015-04-14 19:29:46.61
109	4	t	2015-04-14 19:29:47.909
109	5	f	2015-04-14 19:29:49.341
112	1	t	2015-04-15 10:38:35.435
112	2	t	2015-04-15 10:38:37.994
112	3	f	2015-04-15 10:38:40.765
112	4	t	2015-04-15 10:38:42.746
112	5	f	2015-04-15 10:38:46.556
114	1	t	2015-04-16 08:05:03.484
114	2	t	2015-04-16 08:05:06.287
114	3	t	2015-04-16 08:05:09.083
114	4	t	2015-04-16 08:05:10.646
114	5	t	2015-04-16 08:05:13.771
86	4	t	2015-04-16 15:45:02.964
115	2	f	2015-04-16 20:06:41.189
115	3	f	2015-04-16 20:06:43.178
115	5	t	2015-04-16 20:06:45.929
116	1	t	2015-04-16 22:11:56.826
116	2	t	2015-04-16 22:11:58.913
116	3	t	2015-04-16 22:12:01.255
116	4	t	2015-04-16 22:12:02.735
116	5	t	2015-04-16 22:12:03.969
117	4	t	2015-04-20 22:11:30.656
117	5	t	2015-04-20 22:11:31.661
119	1	t	2015-04-23 13:33:48.532
119	2	f	2015-04-23 13:33:50.749
119	3	t	2015-04-23 13:33:55.051
119	4	t	2015-04-23 13:33:56.683
119	5	t	2015-04-23 13:33:58.208
72	2	f	2015-04-27 15:15:07.262
122	1	t	2015-04-27 20:02:05.871
122	2	t	2015-04-27 20:02:06.721
122	3	t	2015-04-27 20:02:08.899
122	4	t	2015-04-27 20:02:10.127
122	5	f	2015-04-27 20:02:11.973
123	2	t	2015-04-28 19:57:23.719
123	3	t	2015-04-28 19:57:25.497
123	4	f	2015-04-28 19:57:26.726
123	5	t	2015-04-28 19:57:27.685
124	1	f	2015-05-04 18:13:16.787
124	2	f	2015-05-04 18:13:19.533
124	3	f	2015-05-04 18:13:25.806
124	4	f	2015-05-04 18:13:25.864
124	5	f	2015-05-04 18:13:26.08
125	1	t	2015-05-06 16:52:12.031
125	2	t	2015-05-06 16:52:15.775
125	3	t	2015-05-06 16:52:17.815
125	4	t	2015-05-06 16:52:18.962
125	5	t	2015-05-06 16:52:19.992
126	2	t	2015-05-08 12:25:40.996
126	3	t	2015-05-08 12:25:41.677
126	4	t	2015-05-08 12:25:43.235
126	5	t	2015-05-08 12:25:43.725
\.


--
-- Data for Name: user_ingredient_tag; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY user_ingredient_tag (user_id, ingredient_tag_id, value) FROM stdin;
19	2	-1
20	2	-1
20	3	-0.800000012
19	17	-1
19	18	0.300000012
25	7	1.20000001e-08
25	11	1.20000001e-08
40	1	-1.99999988
19	13	1.00000012
83	18	-0.600000024
27	13	0.899999976
16	2	5
16	3	4.80000019
21	2	1
21	3	0.800000012
21	6	2.79999995
26	2	1
21	20	-0.699999988
21	17	-0.300000012
25	19	4.70000029
25	12	5
26	4	3.79999948
19	16	0.800000131
23	17	1.39999998
21	16	0.699999988
21	4	5
21	1	1
19	19	-1.80000007
21	8	1.69999993
19	6	3
21	19	3.5
21	5	5
22	20	-1
22	5	0.300000012
19	11	-0.299999982
22	1	0.300000012
22	15	0.600000024
21	7	1
21	11	1.30000007
21	12	3.5999999
19	8	0.800000131
19	12	3
21	13	1.30000007
25	13	0.300000012
25	17	-0.600000024
19	15	-3.19999981
27	6	3.19999981
26	19	2.29999995
19	3	-1.10000002
16	9	0.300000012
40	4	-5
25	8	3.79999995
19	4	-1.49999976
25	5	5
26	20	0.800000012
26	12	3.20000005
26	1	1.30000007
26	8	0.800000012
26	6	0.600000024
26	11	0.800000012
19	7	2.79999995
26	7	1.60000002
26	13	0.800000012
26	5	3.79999948
26	3	1.10000002
26	17	-0.600000024
26	16	2.39999986
27	2	-1
27	3	-0.800000012
25	4	5
23	6	-1.79999983
21	15	5
25	1	5
27	20	1.5999999
23	11	0.300000012
61	8	1.20000001e-08
24	16	-0.599999964
23	8	0.300000012
25	2	0.699999988
24	5	3.79999948
23	13	-0.299999982
28	15	1.20000005
23	12	1.20000001e-08
23	7	-0.599999964
23	18	0.5
17	12	-5
25	3	0.5
19	5	2.5999999
25	16	-0.800000072
24	20	-0.99999994
24	17	1.39999998
25	20	-1.5999999
19	20	-3.09999967
19	1	1.30000043
28	17	-0.800000012
28	18	-0.800000012
28	20	-1
28	2	-1
28	3	-0.800000012
34	11	0.300000012
28	16	1
28	19	-0.200000003
29	20	-1
29	16	1
23	19	-0.299999982
16	17	2.80000019
16	5	-5
16	12	-0.999999881
16	6	-2.69999981
16	19	-1.19999969
16	16	1.50000024
16	13	0.600000024
49	17	-0.300000012
24	18	0.200000003
27	9	-0.900000036
16	18	2.50000024
43	19	-0.400000006
43	5	1.70000005
17	13	-1.20000005
43	6	1.30000007
61	7	0.600000024
61	18	-0.300000012
61	1	0.900000036
63	19	0.300000012
16	15	-3.39999962
16	8	-1.29999995
16	11	0.800000012
16	20	-4.19999981
16	7	-1.19999993
24	8	0.900000036
20	17	0.200000003
64	6	0.5
20	16	0.699999988
20	18	1.10000002
24	15	3.49999952
20	6	0.200000003
20	1	1.4000001
20	20	-1.29999995
20	19	-0.5
17	11	-3.29999971
39	12	-3.29999971
17	7	-2.79999971
124	1	-1
17	6	-5
17	17	-0.899999976
17	8	-4.5999999
17	1	-5
24	6	2
24	19	2.5
27	18	1.5999999
119	1	-1.39999998
122	12	-0.899999976
124	17	-0.800000012
32	1	-1.5
32	17	-1.20000005
34	12	0.900000036
32	6	-0.900000036
32	3	0.5
31	20	-2.69999981
31	19	-4.19999981
31	17	-0.400000006
32	5	-3.89999986
28	1	-0.699999988
31	6	-2.49999976
20	13	1.30000007
40	8	-1.39999998
35	11	0.300000012
35	12	0.900000036
32	8	1.5
31	18	-2.19999981
31	1	-2.29999995
32	14	0.300000012
32	15	-4.09999943
32	4	-3.49999952
32	7	-4.19999999e-08
32	12	2.0999999
23	4	-5
32	16	1.5999999
32	11	0.299999982
34	13	0.300000012
30	18	0.800000012
30	20	1
30	2	1
30	3	0.800000012
33	16	1
30	16	1
23	3	0.300000012
34	8	1.20000001e-08
30	1	1.5999999
41	9	-1.5
31	11	-0.299999982
33	19	0.200000003
34	19	-0.300000012
31	3	-0.300000012
36	12	0.900000036
34	6	1.10000002
33	1	0.600000024
40	15	-5
28	4	1.99999988
35	4	1
28	6	0.5
32	2	1.5999999
32	19	-0.600000024
35	8	0.300000012
35	13	0.300000012
36	1	0.300000012
33	6	0.5
34	5	1.10000002
34	15	4.70000029
31	13	-0.599999964
34	4	5
29	19	0.699999988
34	17	0.300000012
33	4	1.69999993
28	5	1.5999999
32	18	-1.19999993
32	9	-0.600000024
32	13	-0.300000012
33	20	0.300000012
35	20	1
32	20	-2.69999981
35	2	1
33	15	2.39999986
33	5	2.49999976
31	14	-1.20000005
35	3	0.800000012
35	16	1
35	19	0.300000012
35	1	0.300000012
37	5	1
36	4	1.5
36	8	0.300000012
34	7	0.300000012
35	6	0.099999994
36	13	0.300000012
37	6	0.200000003
36	6	0.300000012
35	15	1.20000005
35	5	-0.399999976
36	15	1.20000005
34	1	1.10000002
35	7	0.300000012
37	1	1
36	5	0.600000024
36	7	0.300000012
37	20	-1
36	11	0.300000012
37	17	0.800000012
37	18	0.800000012
37	4	0.5
37	2	1
37	3	0.800000012
28	12	0.900000036
37	16	1.5
37	19	1.10000002
37	12	0.5
37	15	1.5
38	17	0.800000012
28	13	0.300000012
38	4	0.5
38	6	0.200000003
38	20	-1
38	2	1
38	3	0.800000012
38	5	0.699999988
38	18	0.5
31	12	-1.19999993
31	16	-1.49999988
29	4	0.900000095
30	19	0.900000036
30	12	0.900000036
38	19	0.600000024
40	7	1.30999993e-07
28	7	0.300000012
30	7	0.300000012
29	12	-0.900000036
29	13	-0.300000012
30	8	0.600000024
42	3	0.800000012
43	7	1.30000007
23	15	-5
24	1	3.0999999
39	11	-1.19999993
30	15	3.89999962
43	16	0.399999976
39	18	0.399999946
30	6	1.10000002
30	17	1.10000002
30	4	2.5999999
30	5	3.39999962
23	5	-0.299999744
23	16	0.300000012
61	15	2.39999986
23	20	1.20000001e-08
20	12	3.60000038
20	5	-0.799999774
20	8	1.00000012
20	7	1.60000002
20	11	1.00000012
20	15	-4.9000001
83	7	0.300000012
24	11	0.900000036
24	13	0.600000024
24	12	3.89999986
24	7	2.0999999
42	1	1.4000001
25	6	5
25	15	5
41	2	-2.5999999
38	16	0.699999988
38	1	0.399999976
40	13	1.30000007
28	11	0.300000012
28	8	0.300000012
29	11	-0.300000012
29	8	-0.600000024
30	11	0.300000012
26	15	2.89999962
43	12	5
43	13	1.30000007
27	17	-0.800000012
119	2	1
49	20	-0.600000024
30	13	0.300000012
23	9	-0.300000012
38	12	-0.300000012
26	18	0.300000012
25	14	-0.300000012
40	20	-2.39999986
42	20	-0.699999988
38	15	-2.0999999
19	9	-0.600000024
40	5	-5
29	1	-0.300000012
29	7	-0.300000012
29	6	-0.600000024
29	5	0.0999999642
43	8	2.5999999
40	11	0.399999976
40	3	-0.600000024
40	18	-0.600000024
49	18	-0.900000036
49	12	0.900000036
39	20	-3.39999962
38	9	-0.300000012
38	8	-0.600000024
24	3	-0.300000012
31	9	-0.300000012
31	5	-2.29999995
31	4	-5
43	18	0.800000012
31	7	-1.19999993
31	8	-2.99999976
31	15	-5
40	12	1.40000033
40	16	-2.39999986
40	6	-1.79999995
40	19	-3.69999957
42	2	1
43	11	2.5999999
27	14	0.600000024
42	17	-0.300000012
49	19	1.70000005
119	16	0.699999988
29	15	4.29999971
49	11	1.20000001e-08
25	18	5
117	2	0.699999988
49	16	0.699999928
49	13	0.300000012
40	17	-1.20000005
39	14	-0.600000024
39	2	0.699999988
49	5	0.900000036
16	1	3.09999967
49	15	-1.5
50	19	-1.20000001e-08
49	7	0.300000012
49	1	-0.299999952
43	4	1.69999981
50	7	0.600000024
39	6	-3.19999957
49	8	-0.899999976
39	17	-2.69999981
50	8	0.300000012
50	3	0.300000012
49	6	1.20000001e-08
59	16	-1
39	4	-2.79999948
39	3	0.5
39	16	4.20000029
49	14	-0.600000024
119	18	0.5
39	1	-2.29999971
39	7	1.10000002
117	20	-0.600000024
39	5	-4.19999981
50	2	0.300000012
39	15	0.200000525
39	8	0.50000006
43	1	3.29999995
39	13	0.300000012
59	5	0.600000024
50	12	0.300000012
50	1	-1
50	17	-0.800000012
50	18	-0.800000012
43	3	-0.300000012
50	6	0.800000012
50	15	3.89999962
43	15	-0.700000107
50	20	0.300000012
50	5	2.49999976
50	4	2.5999999
43	17	1.10000002
51	4	-0.5
59	11	0.300000012
43	20	1.00000012
59	12	0.900000036
51	5	-1
16	4	-5
51	6	-0.200000003
51	20	-1
51	2	1
51	3	0.800000012
51	19	0.300000012
51	8	0.600000024
51	15	1.5
51	1	0.300000012
51	16	1.29999995
52	3	0.200000003
52	2	1.29999995
52	19	0.699999988
52	4	-0.900000036
60	8	1.10000002
23	2	1.20000001e-08
60	6	1.29999995
60	19	0.300000012
61	4	1.20000005
23	1	-0.200000077
61	12	1.20000005
41	14	-1.79999995
61	20	-1.20000001e-08
61	11	0.300000012
61	5	1.20000001e-08
27	11	1.5
49	4	-1.5
56	13	-0.900000036
24	4	4.69999981
42	12	1.5
42	8	1.4000001
42	16	2.89999986
42	13	0.5
42	7	0.5
42	11	0.5
122	7	-0.299999982
54	18	0.800000012
54	20	-1
54	2	1
117	3	0.800000012
83	20	0.99999994
61	13	0.300000012
54	13	0.300000012
71	17	-0.300000012
83	4	1.79999995
61	6	1.20000001e-08
52	6	-0.300000012
52	15	-4.09999943
55	1	-0.600000024
85	5	2.5
54	5	0.99999994
54	15	1.20000005
18	6	0.300000012
18	7	0.300000012
18	4	1.5
18	13	0.300000012
84	20	-1
71	15	-0.300000012
55	12	-0.899999976
55	11	-0.299999982
55	17	-0.900000036
55	2	0.699999988
57	18	0.800000012
57	2	1
64	17	1.10000002
55	4	-5
117	8	1.00000012
55	15	-5
64	11	0.900000036
55	9	-0.300000012
65	20	-0.900000036
122	11	-0.600000024
57	13	-0.300000012
65	8	-0.299999982
79	4	-4.9000001
81	4	1.69999993
79	15	-5
57	4	-1.29999995
79	18	-0.699999988
57	15	-1.20000001e-08
58	18	0.800000012
58	20	-1
58	3	0.800000012
58	16	1
56	15	-4.09999943
58	5	1.5999999
59	19	-0.200000003
60	3	0.800000012
69	4	-2.70000005
60	16	1.29999995
60	20	-1.29999995
69	12	2.10000014
117	16	1.29999995
27	16	2.99999976
66	13	0.300000012
69	15	-4.69999981
69	20	-0.300000012
69	18	0.300000012
60	7	0.800000012
69	17	-1.20000001e-08
60	12	1.79999995
60	1	2.39999986
64	20	-1.79999997e-08
64	12	2.0999999
64	16	1.5999999
67	3	0.800000012
56	20	-0.599999964
68	20	-1
68	3	0.800000012
67	15	1.5
82	17	0.800000012
69	16	0.699999988
68	17	-0.300000012
84	2	1
78	19	-1.49999988
56	5	-1.5
66	6	0.600000024
56	11	-0.600000024
56	12	-2.0999999
63	20	-1
73	19	0.200000003
68	11	0.300000012
68	12	0.900000036
127	7	-0.300000012
63	4	1.5
65	15	-2.39999986
68	4	1.10000002
63	15	2.0999999
63	16	1.29999995
68	16	1.5999999
82	4	1.10000002
73	15	1.20000005
70	19	0.5
73	5	1.5999999
73	13	0.300000012
74	20	1
74	19	0.100000001
74	1	0.800000012
70	6	0.5
70	15	-1.20000005
74	7	0.800000012
74	8	0.800000012
70	11	0.600000024
70	12	1.79999995
72	3	1.80000019
76	20	-1.20000001e-08
77	17	0.800000012
71	5	-0.600000024
77	4	0.5
77	3	0.800000012
77	16	1
27	12	4.5
72	6	-5
72	1	-5
80	6	-0.200000003
81	18	0.800000012
81	16	1
79	13	0.300000012
27	4	5
65	7	-0.599999964
84	18	0.800000012
84	6	0.699999988
84	15	1.20000005
84	11	0.300000012
85	3	0.800000012
85	12	0.600000024
85	19	-0.199999779
66	15	2.0999999
87	19	0.100000001
86	17	-0.400000006
86	5	-4.9000001
87	3	1.10000002
87	2	1.29999995
85	1	0.600000024
87	6	0.300000012
87	4	1.5
87	20	0.300000012
78	8	-1.19999993
78	7	1.20000001e-08
65	6	-0.899999976
85	15	-2.5
85	20	-0.99999994
119	3	0.800000012
119	20	-1.5999999
72	8	-5
52	14	-0.300000012
52	17	-0.300000012
52	8	-0.900000036
54	3	0.800000012
52	5	-0.600000024
52	7	-0.600000024
52	12	0.299999982
83	16	0.699999988
61	16	0.900000036
54	11	0.300000012
54	12	0.900000036
54	19	0.900000036
54	6	0.200000003
55	3	0.800000012
117	19	0.5
117	15	-3.79999948
18	1	0.300000012
71	4	-1.20000001e-08
57	20	-1
57	3	0.800000012
66	4	2.69999981
57	1	0.699999988
57	6	-0.099999994
57	5	0.399999976
55	7	1.20000001e-08
55	16	-0.200000018
57	11	-0.300000012
57	12	-0.900000036
57	16	1.29999995
57	19	0.900000036
55	20	-1.29999995
55	5	-3.19999981
55	18	-1.20000005
58	19	0.600000024
58	1	1.29999995
58	6	0.5
58	15	1.20000005
58	7	0.300000012
58	8	0.300000012
58	13	0.300000012
81	1	1
65	13	0.300000012
64	4	2.29999971
79	7	-0.299999982
64	7	0.300000012
27	15	5
64	8	0.600000024
64	15	1.0999999
27	19	4.30000019
67	19	0.300000012
27	7	1.20000005
59	1	0.300000012
78	11	0.300000012
59	15	1.20000005
59	7	0.300000012
59	8	0.300000012
60	2	1
64	18	1.39999998
78	20	-0.600000024
56	16	0.699999928
67	8	0.600000024
56	14	-0.900000036
60	17	0.800000012
76	6	1.20000001e-08
56	17	-0.300000012
79	8	-1.49999988
56	18	-1.20000005
56	1	-1.19999993
69	5	-0.399999887
69	1	1.39999998
66	5	1.5
56	7	-0.600000024
69	19	-0.99999994
56	4	-4.39999962
60	11	0.5
56	6	-0.900000036
63	2	1
60	13	0.800000012
63	1	0.300000012
63	6	0.300000012
63	5	0.900000036
63	12	0.300000012
60	4	3
63	8	0.300000012
64	2	1
119	8	-2.39999986
66	11	0.300000012
66	12	0.900000036
65	4	-2.39999986
117	6	1.00000012
65	16	0.699999988
78	12	-0.599999964
70	20	0.300000012
68	13	0.300000012
76	4	-2.0999999
64	14	-0.300000012
76	9	-0.300000012
68	19	0.600000024
68	5	1.29999995
76	16	0.399999917
68	15	3.29999971
74	15	3.20000005
70	1	-1.20000001e-08
76	15	-1.5
65	11	-0.299999982
74	4	4.49999952
74	13	0.800000012
79	5	-1.39999998
64	1	0.99999994
70	7	0.600000024
70	4	1.39999998
70	8	-1.20000001e-08
70	13	0.300000012
71	6	-0.300000012
73	6	0.5
73	11	0.300000012
73	12	0.900000036
77	18	0.800000012
77	20	1
77	5	1.29999995
77	15	0.600000024
79	16	-0.200000077
79	19	-2.49999976
72	11	-3.59999967
122	13	-0.300000012
79	9	0.300000012
79	6	-1.29999995
78	5	-5
79	1	-1.99999988
72	13	-0.600000024
80	4	-0.5
81	2	1
81	3	0.800000012
81	5	1.5999999
81	19	0.600000024
81	6	0.5
81	15	1.20000005
82	18	0.800000012
82	5	1
82	20	-1
82	2	1
56	8	-2.0999999
65	1	-0.599999964
84	19	0.600000024
84	1	1.5999999
65	12	1.20000001e-08
65	5	-0.899999976
72	12	-5
52	1	-0.300000012
52	20	-0.300000012
83	19	0.200000003
54	1	1.29999995
54	7	0.300000012
56	19	-0.99999994
27	1	0.100000054
54	8	0.300000012
61	19	1.20000001e-08
74	6	1
54	16	1.29999995
54	4	1.10000002
54	17	0.5
59	6	0.300000012
69	7	0.800000012
59	4	1.5
59	13	0.300000012
55	13	0.300000012
69	11	0.800000012
76	19	1.10000002
66	8	0.600000024
63	3	0.800000012
63	7	0.300000012
64	3	0.800000012
69	13	0.800000012
60	18	0.5
74	5	2.5999999
74	11	0.800000012
74	12	2.4000001
69	6	-0.5
69	8	0.5
55	19	-2.0999999
55	6	-2.19999981
117	5	1.30000043
55	8	-2.69999981
70	16	0.699999988
77	6	0.200000003
64	13	-1.20000001e-08
77	2	1
70	17	-0.300000012
76	11	0.300000012
70	5	1.5999999
71	18	0.300000012
66	1	0.300000012
66	7	0.300000012
76	1	-0.299999982
117	4	0.500000358
117	13	0.5
117	18	-0.900000036
72	18	1.4000001
78	16	-0.299999982
76	13	0.300000012
27	8	-0.299999952
82	16	1
73	16	1
53	20	-1
53	2	1
53	3	0.800000012
53	19	0.300000012
64	19	3.59999967
73	1	0.300000012
77	19	0.600000024
72	5	-5
53	16	1.29999995
53	1	0.600000024
119	9	-0.300000012
60	5	2.89999986
119	13	-0.300000012
123	2	-1
60	15	2.9000001
53	6	0.5
77	1	1.29999995
53	15	2.69999981
53	5	1.5999999
53	7	0.300000012
53	11	0.300000012
53	12	0.900000036
18	15	1.20000005
53	4	1.99999988
53	8	0.900000036
53	13	0.300000012
18	5	0.600000024
18	11	0.300000012
18	12	0.900000036
18	8	0.300000012
57	17	0.800000012
57	7	-0.300000012
57	8	-0.300000012
58	17	0.800000012
58	2	1
73	7	0.300000012
82	19	0.600000024
73	4	1.99999988
73	8	0.300000012
58	11	0.300000012
58	12	0.900000036
64	5	2.79999995
67	2	1
58	4	2.5999999
68	2	1
67	1	0.300000012
67	16	1.29999995
74	2	1
74	3	0.800000012
76	7	-0.299999982
68	6	0.200000003
68	7	0.300000012
68	8	0.900000036
68	1	0.900000036
84	17	0.800000012
78	6	-1.79999983
79	14	-0.600000024
72	2	2.70000005
78	13	0.300000012
76	18	0.300000012
78	4	-5
79	12	-1.49999988
79	17	0.200000003
76	8	-0.299999982
76	12	0.600000024
79	11	-0.299999982
76	5	-0.299999982
79	20	-0.200000077
86	18	-0.099999994
80	5	-1
84	3	0.800000012
81	20	1
84	16	1
81	17	1.10000002
82	1	1
82	6	0.200000003
82	3	0.800000012
84	4	1.89999986
84	5	2.89999986
84	9	0.300000012
85	2	1
20	4	-0.100000113
123	15	-5
123	4	-5
86	8	-0.799999893
86	4	-5
86	6	-2.29999995
85	4	-2.79999995
85	6	-1.5999999
72	16	-2.29999995
78	15	-5
65	19	-1
86	16	-0.099999994
123	1	-2.0999999
87	5	0.300000012
87	7	0.600000024
87	12	0.300000012
117	17	-0.600000024
117	11	0.800000012
117	12	2.4000001
124	5	-1
124	16	-1
124	19	-0.600000024
119	12	-2.39999986
119	11	-0.600000024
124	15	0.900000036
127	11	0.299999982
123	5	-5
123	18	-1.5
99	16	-4.4000001
99	1	-2.19999957
99	4	-4.39999962
123	7	-1.20000005
123	3	-1.10000002
123	16	-0.800000012
123	20	-1.89999986
87	8	0.300000012
119	7	-0.300000012
117	1	-0.400000006
87	15	2.69999981
86	13	-0.600000024
124	4	-0.5
124	3	-0.800000012
123	6	-3.69999957
127	13	-0.300000012
99	9	-0.300000012
99	20	-2.19999981
99	6	1.0999999
99	15	-3.79999948
123	8	-1.19999993
123	19	-1.99999988
123	13	-0.600000024
123	11	-1.79999995
99	12	0.700000465
117	9	-0.300000012
86	20	-1.5
117	7	0.5
124	6	-0.200000003
119	17	-0.099999994
124	20	1.29999995
123	17	-1.20000005
119	5	-4.69999981
99	19	-4.80000019
99	5	-4.69999981
99	18	-1.20000005
123	12	-3.59999967
123	9	-0.900000036
87	18	0.300000012
87	13	0.300000012
91	19	1.20000005
89	13	0.300000012
90	2	1
90	3	0.800000012
91	5	3.69999957
93	4	5
92	8	-2.39999986
92	15	-5
92	19	-1.39999998
92	17	-0.300000012
90	7	-0.600000024
90	18	0.200000003
88	9	0.600000024
90	11	-0.300000012
91	6	0.800000012
90	13	-0.300000012
90	12	-1.5
91	18	1.39999998
91	17	1.10000002
91	15	5
92	11	-0.300000012
91	4	4.4000001
93	8	3.59999967
92	12	-0.900000036
88	20	-0.699999988
90	17	0.200000003
93	19	0.99999994
88	3	-0.600000024
90	15	-2
88	2	-0.900000036
92	13	-0.600000024
90	4	-2.39999962
88	16	0.0999999195
90	19	-0.199999928
90	5	-0.199999809
90	1	-0.200000018
90	6	-0.899999857
90	20	-1.5999999
90	9	-0.300000012
88	8	-0.300000012
93	3	-0.800000012
88	13	-0.600000024
88	18	-0.299999982
91	20	-1
88	17	0.899999976
88	1	2.0999999
91	2	1
91	3	0.800000012
95	1	1.29999995
93	17	1.99999988
91	16	1
88	6	0.800000012
88	5	3.99999976
88	19	-0.99999994
88	11	1.19999993
88	12	0.599999964
88	7	0.899999976
88	4	3.49999952
88	15	0.799999893
89	2	1
89	3	0.800000012
88	14	-0.300000012
93	1	5
89	16	1
72	4	-5
119	6	-1.10000002
90	16	0.0999999791
89	1	0.300000012
72	17	-2.29999971
92	20	-0.900000036
93	18	1.69999993
91	1	1.5999999
94	19	1.19999993
72	15	-5
72	7	-1.69999981
89	7	0.300000012
89	11	0.300000012
93	20	2.49999976
89	12	0.900000036
93	6	1.89999986
95	16	1
93	15	0.499999911
93	9	-0.300000012
93	14	0.300000012
92	16	-1.29999995
124	2	-1
91	7	0.300000012
94	6	0.600000024
91	11	0.300000012
91	12	0.900000036
124	18	-0.5
95	19	0.600000024
91	8	0.300000012
91	13	0.300000012
94	16	2.0999999
93	7	1.79999995
94	1	1.5999999
90	8	-0.200000048
93	5	2.89999986
72	9	-0.300000012
93	11	1.5
95	6	0.5
93	12	2.39999986
92	1	-0.300000012
124	13	0.300000012
92	18	-1.49999988
92	7	-0.600000024
92	5	-3.29999971
92	6	-2.0999999
93	16	-0.200000077
92	4	-5
92	14	-0.900000036
93	13	1.20000005
94	7	0.300000012
93	2	-1.29999995
94	5	0.900000036
94	18	0.800000012
94	11	0.300000012
94	12	0.900000036
96	1	1.5999999
96	17	0.200000003
95	5	1.5999999
89	8	0.600000024
94	20	1
94	2	-1
94	3	-0.800000012
94	4	5
94	13	0.300000012
94	8	0.600000024
94	15	5
94	17	1.60000002
95	17	0.800000012
95	18	0.800000012
95	20	1
95	2	1
95	3	0.800000012
95	15	1.20000005
95	7	0.300000012
95	11	0.300000012
95	12	0.900000036
95	4	2.5999999
95	8	0.300000012
95	13	0.300000012
96	18	0.800000012
89	19	0.600000024
96	20	-1
96	3	0.800000012
96	16	1.5999999
99	7	-1.99999988
99	8	1.00000048
119	19	-0.599999964
96	19	1.79999995
96	5	2.79999971
96	12	2.39999986
119	15	-4.69999981
125	1	1.29999995
125	7	-0.300000012
125	6	0.5
96	2	1
119	4	-4.39999962
27	5	5
96	4	4.70000029
96	15	5
125	8	-0.299999982
125	17	0.800000012
96	8	0.600000024
89	4	1.49999988
89	6	0.600000024
98	5	1.10000002
101	15	-0.899999917
89	15	2.0999999
89	5	1.5
97	2	1
97	3	0.800000012
97	16	1
97	19	0.300000012
97	20	1.29999995
101	7	0.300000012
98	4	1.89999986
97	1	1.20000001e-08
101	12	0.300000012
98	15	3.59999967
98	16	1.29999995
98	19	1.20000005
97	6	-0.5
120	12	-1.79999983
97	15	-0.899999976
97	5	-1.5999999
97	7	-0.300000012
97	11	-0.300000012
97	12	-0.900000036
120	4	-5
97	4	-2.5999999
97	8	-0.300000012
97	13	1.20000001e-08
78	18	-0.300000012
78	17	-0.300000012
78	1	-1.19999993
98	2	1
98	3	0.800000012
99	2	-1
101	4	-0.299999952
120	6	-2.39999986
118	8	0.900000036
101	1	1.5999999
100	20	-1
100	2	1
100	3	0.800000012
100	19	0.400000006
101	19	0.600000024
101	18	1.10000002
98	13	1.20000001e-08
100	1	1.29999995
99	3	-1.10000002
101	17	0.800000012
103	15	2.69999981
103	11	-0.300000012
103	12	-0.900000036
103	8	-1.20000001e-08
98	7	0.600000024
103	1	-1.20000001e-08
100	7	0.300000012
100	11	0.300000012
100	12	0.900000036
98	1	1.29999995
98	12	1.5
98	11	0.900000036
103	13	-0.300000012
98	20	1
103	16	0.600000024
100	8	0.300000012
100	13	0.300000012
100	6	0.800000012
72	14	-0.900000036
103	6	-0.900000036
98	17	1.10000002
100	5	2.19999981
98	18	0.5
100	18	1.10000002
100	4	2.5999999
100	17	1.10000002
98	8	0.900000036
104	2	1
98	6	0.699999988
104	3	0.800000012
72	19	-5
101	8	0.300000012
101	20	0.300000012
104	6	-1
99	13	1.30000007
104	15	-5
120	18	-0.900000036
103	17	-0.300000012
105	4	-5
101	5	-0.900000036
101	6	-0.600000024
103	18	0.300000012
96	7	0.600000024
103	19	0.299999982
17	20	-0.900000036
105	17	-1.20000005
96	11	1.20000005
96	13	0.600000024
121	4	-2.39999986
103	5	-1.5
17	4	-5
99	17	2.9000001
103	7	-0.300000012
103	4	-1.5
121	6	-0.300000012
17	19	-5
72	20	-5
121	18	-0.300000012
121	20	-0.300000012
99	11	1.70000005
17	16	-3.99999952
121	19	-0.300000012
105	15	-5
17	18	-2.0999999
122	8	0.300000012
105	2	1
122	1	1.29999995
105	3	0.800000012
104	4	-3.69999957
17	15	-5
104	5	-2.5999999
105	12	-2.69999981
105	5	-3.19999981
105	7	-0.900000036
105	13	-0.300000012
105	1	-2.0999999
105	6	-1.29999995
105	16	0.0999999791
105	18	-0.300000012
105	19	-2.39999986
105	20	-2.19999981
105	8	-1.5
104	8	-1.5
105	11	-0.900000036
104	11	-0.900000036
104	17	-0.300000012
104	12	-2.0999999
104	7	-0.600000024
104	16	0.699999988
104	20	-0.600000024
106	1	-0.200000077
104	1	-1.20000005
104	19	1.20000001e-08
104	13	-0.300000012
17	5	-5
106	17	-0.400000006
96	6	1.39999998
106	18	0.800000012
118	13	0.300000012
120	5	-2.39999986
118	16	-0.299999982
118	19	0.600000024
118	1	0.300000012
120	17	-1.79999997e-08
106	13	0.300000012
120	15	-5
125	3	0.800000012
122	6	-0.100000009
122	17	1.39999998
121	8	-0.300000012
121	5	-0.900000036
121	15	-2.99999976
121	11	-0.300000012
121	17	-0.600000024
106	11	-0.899999976
106	19	-2.99999976
125	13	-0.300000012
106	6	-1.19999993
106	5	-3.29999971
106	12	-1.19999993
125	18	0.5
125	20	-1.29999995
125	16	0.699999928
125	19	-0.299999982
120	13	-0.300000012
125	5	0.699999988
120	11	-0.899999917
120	1	-0.600000024
120	8	-0.899999917
125	2	1
118	18	0.300000012
118	7	0.600000024
118	5	1.5
120	20	0.300000012
120	19	-2.69999981
120	16	-1.5
121	12	-0.600000024
106	4	-5
122	2	1
125	11	-1.20000001e-08
122	18	0.5
122	15	2.39999986
122	4	-0.0999999791
125	12	-0.600000024
125	15	-1.80000019
125	4	-0.699999928
106	2	1
106	3	0.800000012
118	11	1.20000001e-08
118	12	0.600000024
118	17	-1.20000001e-08
126	2	1
120	7	-0.600000024
122	3	0.800000012
106	16	-2.29999995
126	7	-0.300000012
122	16	-1.29999995
122	19	0.200000003
122	20	-0.699999988
122	5	2.19999981
106	20	-1.89999986
126	4	-3.09999967
106	15	-5
17	3	-0.600000024
114	3	0.5
108	13	0.300000012
85	17	0.300000012
108	18	-0.300000012
106	8	-1.19999993
106	7	-0.299999982
107	20	1
107	2	1
107	3	0.800000012
107	16	-1
107	19	-0.100000001
107	4	0.600000024
108	8	-1.19999993
108	2	1
108	3	0.800000012
108	1	0.300000012
114	6	-0.800000012
108	5	0.80000037
108	16	0.99999994
111	3	0.800000012
111	20	0.800000012
108	11	1.30000007
114	2	1
109	17	0.800000012
109	18	0.800000012
109	5	-1
109	6	-0.200000003
109	2	1
109	3	0.800000012
115	19	-1
109	16	-1
109	19	0.200000003
109	15	0.300000012
109	1	1.29999995
109	13	0.300000012
109	20	1.29999995
111	6	1.5
109	4	0.099999994
110	6	0.300000012
110	5	0.600000024
110	15	1.20000005
110	4	0.600000024
110	17	0.300000012
111	19	1.69999993
111	1	0.5
85	13	0.300000012
114	17	0.200000003
111	5	3.99999928
111	4	3.79999948
111	15	2.59999967
65	3	-0.300000012
86	9	-0.300000012
111	8	1.10000002
65	17	-0.600000024
65	9	-0.300000012
65	18	-0.600000024
112	17	0.800000012
112	18	0.800000012
112	6	0.200000003
111	11	0.800000012
111	12	2.4000001
112	3	0.800000012
111	13	0.800000012
112	16	-1
114	20	-3.09999967
116	17	0.800000012
111	16	1.89999998
108	7	-0.299999982
126	20	-1
86	19	-2.5999999
112	1	1
112	13	0.300000012
112	20	1.29999995
126	3	0.800000012
86	14	-0.300000012
115	11	-0.300000012
114	12	-3.29999971
115	12	-0.900000036
86	7	-0.900000036
114	8	-1
114	15	-5
111	18	1.30000007
111	7	2.0999999
114	7	-0.599999964
114	18	0.5
114	4	-4.69999981
112	19	0.5
112	2	1.29999995
114	5	-1.69999969
112	5	1
86	11	-0.900000036
112	15	-1.20000001e-08
112	4	5
112	8	0.600000024
100	15	3.29999971
111	17	-0.600000024
113	4	0.600000024
114	9	-0.300000012
86	12	-1.79999995
126	16	1.29999995
114	16	-1.39999998
114	19	-1.89999974
39	19	-2.29999971
114	13	-0.300000012
115	18	-0.900000036
126	12	-1.20000005
115	15	-5
114	1	0.99999994
86	1	-1.19999993
86	15	-5
114	11	-1.20000005
86	2	0.699999988
86	3	0.5
116	18	0.800000012
126	5	-1.69999993
115	4	-5
115	1	-1.5
115	16	-0.200000018
115	6	-1.39999998
116	4	0.5
116	5	1
115	7	-0.900000036
115	8	-1.79999995
115	20	-0.800000012
116	6	0.200000003
115	17	-0.300000012
116	20	-1
115	5	-3.39999962
115	13	-1.20000005
116	2	1
116	3	0.800000012
116	19	0.600000024
116	8	0.600000024
116	15	1.5
116	1	1.29999995
116	16	1.29999995
85	18	-0.300000012
85	7	1.20000001e-08
85	11	1.20000001e-08
85	16	-0.900000036
85	8	-0.600000024
83	15	-1.20000005
83	17	0.299999982
83	12	1.20000005
83	8	-1.20000001e-08
83	1	-0.300000012
126	15	-4.5
120	3	-0.300000012
83	5	2.0999999
49	9	-0.300000012
126	1	1.20000001e-08
126	8	1.20000001e-08
126	6	-1
126	19	-0.599999964
83	11	0.600000024
83	6	0.900000036
66	19	0.300000012
41	13	-2.99999976
108	19	0.100000113
108	6	2.00000024
108	15	5
108	17	0.299999982
126	11	-0.600000024
41	18	-5
41	3	-1
41	16	-5
42	19	-0.099999994
41	5	-5
41	19	-5
42	6	0.100000024
42	15	3.79999971
41	15	-5
108	4	-0.400000215
126	13	-0.300000012
108	20	-0.699999988
41	17	-5
41	1	-5
41	12	-5
41	4	-5
127	17	-0.300000012
42	5	0.5
42	4	3.29999995
127	5	-1.79999983
127	4	-0.299999923
41	7	-5
41	6	-5
118	20	0.299999982
127	1	1.20000001e-08
108	12	1.9000001
127	6	4.80000004e-08
127	12	0.300000042
127	8	1.79999997e-08
41	8	-5
41	11	-5
118	6	0.300000012
118	15	3.5999999
127	15	-2.99999976
41	20	-5
127	19	0.299999952
118	4	1.79999995
\.


--
-- Data for Name: user_preferences; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY user_preferences (user_id) FROM stdin;
\.


--
-- Data for Name: user_recipe_tag; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY user_recipe_tag (user_id, recipe_tag_id, value) FROM stdin;
25	8	1.20000001e-08
38	2	-0.600000024
23	11	0.600000024
21	10	1.30000007
21	8	1.30000007
19	9	1.00000012
21	1	1.00000012
34	4	0.800000012
19	4	-0.600000024
21	2	-1.20000001e-08
21	3	1.60000002
34	2	0.800000012
22	2	0.300000012
22	3	0.300000012
26	10	0.800000012
31	7	-0.899999976
26	8	1.10000002
34	1	1.70000005
34	11	0.300000012
19	10	-0.299999952
32	3	-0.600000024
19	1	-0.49999997
19	7	-0.900000036
19	6	1.60000038
31	9	-0.300000012
19	3	-1.20000001e-08
26	4	0.300000012
26	2	0.300000012
25	9	1.20000001e-08
25	7	0.300000012
32	9	-1.5
29	1	1.20000001e-08
26	3	1.80000007
26	11	0.800000012
26	6	1.10000002
19	8	0.699999988
26	9	0.300000012
31	3	-0.299999982
31	10	-0.299999982
32	1	-0.900000036
32	6	-1.20000005
25	6	5
30	2	0.300000012
30	3	0.300000012
23	4	-0.300000012
23	3	0.300000012
31	1	-0.599999964
32	2	0.300000042
31	8	0.300000012
32	8	-1.20000001e-08
33	3	0.300000012
33	11	0.300000012
33	2	0.600000024
25	3	0.300000012
35	1	0.300000012
21	6	1
21	9	0.699999988
31	11	-0.900000036
21	7	3.20000005
31	2	-0.899999976
21	11	0.300000012
34	10	0.300000012
32	7	-0.300000012
32	11	-1.20000005
34	6	-0.300000012
34	9	-0.300000012
35	10	0.300000012
34	8	0.600000024
34	7	0.600000024
35	7	0.300000012
35	8	0.300000012
32	10	0.299999982
36	1	0.300000012
32	4	-1.20000001e-08
36	10	0.300000012
36	7	0.300000012
38	1	-0.300000012
36	8	0.300000012
37	6	0.5
38	3	-0.300000012
38	6	-0.300000012
19	11	-0.0999999642
38	9	0.300000012
19	2	-1.39999998
24	3	2.5
31	4	-0.600000024
31	6	-3.89999962
26	7	3.4000001
40	6	-2.99999976
40	1	-0.300000042
29	7	0.800000012
29	8	1.20000001e-08
26	1	0.5
25	10	1.20000001e-08
40	4	-0.300000012
30	10	0.300000012
30	8	1.20000001e-08
30	7	1.20000001e-08
30	6	0.300000012
30	9	0.300000012
40	8	0.700000107
40	3	-1.20000001e-08
27	6	0.300000012
16	10	1.10000002
39	4	-0.100000024
39	8	1.30000007
39	10	-0.899999976
39	1	0.599999964
27	11	1.79999995
24	11	0.300000012
27	1	-0.600000024
16	9	-0.600000024
23	2	-0.900000036
39	2	-0.0999997705
17	10	-2.99999976
27	3	1.70000005
27	10	0.900000036
27	7	-1.20000005
23	6	1.20000001e-08
17	7	-2.69999981
39	7	0.399999976
39	3	-1.20000005
39	11	-1.29999995
17	3	-1
30	1	0.300000012
23	8	4.39999962
23	10	1.20000001e-08
23	7	3.79999948
23	9	0.300000012
23	1	2.89999962
20	10	1.00000012
20	6	0.300000012
20	4	-0.600000024
20	9	-0.299999982
39	9	1.30000019
20	8	1.60000002
20	7	1.00000012
20	1	1.00000012
20	2	-1.20000005
16	8	-1.5999999
17	9	-1
24	6	1.20000005
17	2	-3.39999962
17	6	-4.80000019
17	8	-1.79999995
24	8	1.20000005
24	10	0.900000036
24	1	0.900000036
24	7	3.99999976
24	2	-0.299999982
24	9	-0.900000036
40	2	-0.900000036
40	7	-0.499999911
40	11	-1.5
40	10	0.399999976
40	9	-1.79999995
28	1	0.300000012
28	10	0.300000012
28	7	0.300000012
28	8	0.300000012
29	10	-0.300000012
29	6	-0.300000012
29	9	-0.300000012
29	3	0.800000012
25	11	-1.20000001e-08
25	2	-0.299999982
25	1	-0.899999976
42	11	-0.300000012
43	10	2.5999999
43	8	2.5999999
60	6	-0.300000012
60	11	1.20000001e-08
55	9	-1.20000005
55	11	-0.600000024
55	2	-0.900000036
61	8	1.20000001e-08
55	10	-0.299999982
55	1	-1.79999983
50	11	0.300000012
50	1	0.300000012
50	6	0.600000024
43	1	2.89999986
43	11	0.300000012
55	6	-1.79999995
43	3	-0.300000012
58	10	0.300000012
43	7	3
43	9	-0.300000012
58	8	0.600000024
56	6	-0.600000024
58	7	0.600000024
58	1	0.600000024
27	8	-1.5
49	10	1.20000001e-08
53	2	0.300000012
53	1	0.300000012
53	10	0.300000012
53	7	0.300000012
53	8	0.300000012
61	7	1.20000001e-08
60	4	-0.300000012
60	2	1.20000001e-08
49	7	-0.299999952
61	1	1.20000001e-08
56	9	-0.899999917
16	11	-1.5
49	3	0.600000024
49	8	1.79999997e-08
16	4	-0.600000024
54	10	0.300000012
16	2	-1.79999983
16	3	-0.900000036
16	6	-3.59999967
16	1	-3.0999999
51	2	0.300000012
54	8	1.20000001e-08
54	7	1.20000001e-08
49	1	-0.599999964
52	3	-0.300000012
52	1	-0.300000012
52	6	-0.600000024
54	2	0.300000012
54	9	0.300000012
54	1	-0.299999982
54	11	-0.300000012
42	1	0.799999952
39	6	-2.49999976
60	1	0.800000012
60	10	0.5
49	6	-0.299999982
49	11	-0.900000036
49	2	0.900000036
24	4	-0.600000024
49	9	0.900000036
55	4	-0.300000012
42	2	0.600000024
60	8	0.800000012
55	8	-0.299999982
27	4	1.20000005
42	7	1.0999999
42	9	-0.300000012
42	10	0.5
18	1	0.300000012
55	7	1.79999997e-08
18	10	0.300000012
27	2	4.20000029
55	3	0.300000012
18	7	0.300000012
42	8	1.0999999
59	1	0.300000012
59	10	0.300000012
18	8	0.300000012
59	7	0.300000012
59	8	0.300000012
27	9	1.5999999
30	11	0.300000012
57	10	-0.300000012
57	8	-0.600000024
57	7	-0.600000024
57	1	-0.600000024
57	2	0.300000012
57	9	0.300000012
60	3	1.20000001e-08
60	7	0.800000012
56	10	-0.600000024
61	2	0.600000024
61	9	0.300000012
61	11	-0.300000012
61	6	-0.600000024
61	10	1.20000001e-08
63	9	0.300000012
56	8	-0.900000036
56	7	-0.900000036
56	2	-0.899999976
56	1	-0.900000036
63	1	0.300000012
64	6	2.39999986
64	1	-0.300000012
65	8	1.20000001e-08
65	7	1.20000001e-08
65	6	-0.600000024
65	10	1.20000001e-08
64	7	0.900000036
64	4	-0.600000024
64	10	0.299999982
64	3	0.600000024
16	7	-1.39999998
64	9	0.600000024
64	11	-0.300000012
65	1	-0.599999964
64	8	0.600000024
69	3	1.20000001e-08
68	1	-0.300000012
65	4	-0.600000024
64	2	1.20000001e-08
69	2	1.20000001e-08
69	6	-0.900000036
66	10	0.300000012
66	8	0.600000024
66	7	0.600000024
66	1	0.600000024
68	10	0.300000012
68	8	1.20000001e-08
68	7	1.20000001e-08
68	3	0.300000012
69	8	0.200000003
69	10	0.5
69	1	-0.100000009
67	2	0.300000012
68	2	0.900000036
68	11	-0.300000012
68	9	0.300000012
72	4	0.0999999642
89	1	-1.20000001e-08
69	9	-0.600000024
69	7	-0.099999994
70	3	-0.300000012
70	2	-0.600000024
89	10	0.300000012
89	7	-1.20000001e-08
70	11	1.20000001e-08
70	1	-1.20000001e-08
70	10	0.300000012
70	7	0.300000012
70	8	-1.20000001e-08
71	1	-0.300000012
71	6	0.300000012
71	11	-1.20000001e-08
72	11	-2.0999999
89	8	-1.20000001e-08
73	1	0.300000012
73	10	0.300000012
73	7	0.300000012
73	8	0.300000012
74	1	0.800000012
74	10	0.800000012
74	7	0.800000012
74	8	0.800000012
92	11	-1.20000001e-08
76	10	0.300000012
81	8	0.300000012
76	8	-1.20000001e-08
81	7	0.300000012
76	7	-0.300000012
76	3	-0.300000012
76	1	-0.300000012
76	9	0.300000012
81	1	0.600000024
81	11	0.300000012
82	8	0.300000012
76	6	0.300000012
76	2	0.300000012
77	2	0.300000012
77	3	0.300000012
78	2	-0.899999976
78	1	-0.300000012
78	8	-1.20000001e-08
78	10	1.20000001e-08
82	7	0.300000012
82	1	0.300000012
83	8	0.300000012
79	8	-1.20000001e-08
79	3	1.20000001e-08
84	3	0.300000012
84	2	0.600000024
83	7	0.300000012
85	2	0.300000012
20	3	-0.300000012
20	11	-1.20000001e-08
86	11	-0.300000012
79	9	0.600000024
91	3	0.900000036
90	8	-0.300000012
86	9	-1.79999995
79	6	-0.299999982
79	11	-0.900000036
87	8	0.300000012
79	1	-1.20000005
79	7	-0.900000036
79	10	-0.299999982
92	9	-1.5
87	7	0.300000012
79	4	-0.900000036
87	1	0.600000024
87	6	0.600000024
79	2	-1.19999993
88	10	0.299999982
87	9	0.300000012
90	10	-0.300000012
88	8	-0.600000024
91	8	-0.300000012
90	7	-0.600000024
88	3	0.600000024
88	11	-0.300000012
91	6	0.600000024
93	6	-0.899999917
92	1	-1.20000005
92	4	-0.300000012
92	6	-1.49999988
90	1	-0.900000036
90	3	-0.300000012
78	6	-1.5
90	6	-0.499999881
90	11	-0.600000024
90	2	-0.600000024
85	3	2.4000001
90	9	0.100000024
91	2	0.300000012
88	6	-0.899999976
88	2	0.899999917
88	7	-0.600000024
88	9	0.300000012
93	9	0.300000012
88	4	0.300000012
88	1	0.599999964
91	10	0.300000012
91	7	0.299999952
72	9	-2.99999976
72	6	-5
93	3	-1.20000001e-08
93	2	2.39999986
92	10	-0.300000012
72	3	-1.5
72	8	-1.20000005
92	7	-0.600000024
72	1	-4.09999943
86	1	-2.69999981
92	8	-0.600000024
92	2	-0.300000012
93	8	-1.20000001e-08
93	4	0.900000036
93	7	-0.300000012
93	11	-1.79999997e-08
94	2	1.10000002
93	1	0.899999976
93	10	2.0999999
94	10	0.300000012
95	1	0.600000024
94	1	2.4000001
94	11	0.800000012
94	8	1.60000002
94	7	1.89999998
94	6	-0.300000012
94	9	0.5
94	3	0.300000012
95	10	0.300000012
95	7	0.600000024
95	8	0.600000024
96	8	-0.600000024
72	7	-2.69999981
91	1	-1.79999997e-08
86	10	-0.900000036
78	9	1.20000001e-08
72	2	-4.80000019
83	1	0.900000036
91	11	0.900000036
108	1	-0.600000024
72	10	-3.59999967
89	6	0.300000012
89	9	0.300000012
97	2	0.300000012
97	1	-0.600000024
97	10	1.20000001e-08
97	7	-0.600000024
97	8	-0.600000024
78	7	-0.300000012
78	3	-0.600000024
78	11	-0.600000024
105	8	-0.600000024
98	8	-1.20000001e-08
109	8	0.300000012
109	7	0.300000012
98	7	0.299999982
98	10	0.600000024
98	1	0.299999982
98	11	1.20000001e-08
98	6	-1.20000001e-08
109	1	0.300000012
98	2	-1.20000001e-08
98	9	0.299999982
100	10	0.300000012
100	7	-1.20000001e-08
100	8	-1.20000001e-08
100	1	0.299999982
101	8	0.300000012
101	7	0.300000012
110	1	0.300000012
101	9	0.300000012
110	11	0.300000012
101	11	-0.300000012
101	1	0.300000012
99	10	1.70000005
103	11	-1.20000001e-08
103	1	-0.900000036
103	10	-0.300000012
105	11	-0.600000024
103	8	-0.600000024
103	6	1.20000001e-08
103	9	-1.20000001e-08
103	7	-0.300000012
103	3	0.300000012
103	2	0.600000024
108	11	0.600000024
105	10	-0.600000024
105	7	-0.900000036
105	3	-0.600000024
105	1	-1.20000005
105	9	-0.600000024
96	1	-1.20000005
108	4	-0.600000024
105	6	-1.79999995
105	2	-1.5
114	6	-1.29999995
104	11	-0.600000024
111	8	0.5
17	1	-3.69999957
99	11	0.700000107
108	9	-1.20000001e-08
104	1	-0.599999964
108	6	0.400000095
108	7	-0.300000012
96	10	1.20000005
104	10	-0.600000024
114	11	-0.600000024
104	7	-0.599999964
104	8	1.20000001e-08
108	10	1.30000007
108	2	1.79999997e-08
104	6	-0.300000012
104	9	-0.600000024
17	11	-0.900000036
111	10	0.5
106	11	-0.300000012
114	9	-1
106	8	-1.20000001e-08
114	7	-1.5
112	8	2.29999995
106	3	-0.300000012
106	1	-0.600000024
106	9	-0.900000036
111	3	0.300000012
111	6	-1.20000001e-08
112	7	2.29999995
111	2	0.300000012
111	9	1.39999998
106	2	-1.5
106	10	-0.899999976
106	7	-0.600000024
106	6	-0.600000024
107	8	0.300000012
107	7	0.300000012
107	1	0.300000012
17	4	-1.5
108	8	-0.600000024
109	2	0.300000012
109	10	0.300000012
112	1	2.5999999
111	4	1.30000007
96	11	-0.600000024
111	11	-0.300000012
100	6	0.300000012
111	1	1.50000012
111	7	1.30000007
65	2	-0.300000012
65	9	1.20000001e-08
112	3	-0.300000012
112	2	-1.20000001e-08
112	10	0.300000012
96	6	1.20000005
100	11	0.600000024
113	8	0.300000012
113	7	0.300000012
113	1	0.300000012
114	8	-0.900000036
114	4	-1.20000001e-08
114	10	-1.5
114	2	-1.20000001e-08
86	6	-1.20000005
86	8	-0.600000024
114	1	-1.79999995
114	3	0.300000012
86	4	-0.300000012
86	7	-0.900000036
86	2	-1
86	3	-0.300000012
115	7	-0.300000012
115	8	-0.300000012
115	9	-1.5
115	1	-1.20000005
115	4	-0.300000012
115	6	-0.900000036
115	10	-0.900000036
96	7	-0.600000024
115	2	-1.20000005
85	9	-0.300000012
85	6	-0.900000036
85	7	0.600000024
85	10	-0.299999982
116	2	0.300000012
85	11	-0.300000012
118	2	1.20000001e-08
123	8	-0.900000036
85	4	-0.300000012
85	8	-0.599999964
85	1	-0.599999964
122	4	-0.300000012
41	3	-3.59999967
118	6	0.300000012
41	8	-2.99999976
118	10	0.300000012
118	1	0.300000012
118	9	0.600000024
41	11	-5
122	2	-0.300000012
123	10	-1.20000005
123	7	-1.79999995
120	10	-0.599999964
122	9	0.300000012
120	4	-0.600000024
122	1	-0.300000012
122	11	0.300000012
126	8	-1.20000001e-08
123	1	-1.79999995
41	1	-5
41	4	-3.89999962
41	7	-5
41	6	-5
41	9	-5
41	2	-5
41	10	-5
125	4	-0.300000012
83	3	-0.300000012
120	2	-1.19999993
83	11	1.20000001e-08
83	10	0.300000012
120	3	0.600000024
83	2	1.20000001e-08
83	6	-0.300000012
83	9	-1.20000001e-08
83	4	0.300000012
123	3	-0.299999982
120	6	-0.900000036
120	7	-0.300000012
119	8	-1.20000001e-08
117	6	-0.400000006
117	11	-0.300000012
120	9	-0.300000012
117	10	0.800000012
120	1	-1.5
117	8	1.10000002
121	8	-0.300000012
121	7	-0.300000012
121	1	-0.600000024
119	11	-0.900000036
117	7	0.200000003
117	3	-0.600000024
117	1	0.5
117	4	-0.600000024
117	2	-1.20000001e-08
117	9	0.200000003
121	6	-0.300000012
121	11	-0.600000024
121	2	-0.300000012
119	9	-0.300000012
121	10	-0.300000012
125	8	-0.600000024
123	6	-2.99999976
119	6	-1.20000005
118	3	0.300000012
118	8	1.20000001e-08
118	7	0.300000012
119	7	-0.600000024
119	10	-0.600000024
118	4	0.300000012
123	11	-1.20000005
118	11	-0.300000012
125	7	-0.900000036
66	6	0.300000012
66	9	0.300000012
126	7	-0.300000012
42	6	-0.300000012
119	2	-1.5
119	3	-0.600000024
119	1	-0.900000036
119	4	-1.20000001e-08
99	3	-1.5
120	11	-0.600000024
99	2	-3.29999971
125	2	0.300000012
123	9	-0.899999976
123	2	-1.49999988
99	9	1.20000029
125	3	-1.20000001e-08
99	4	-0.899999976
99	8	1.00000012
120	8	-0.600000024
126	1	-1.20000001e-08
99	7	-1.39999986
125	9	-0.900000036
99	1	0.500000358
99	6	2.79999995
96	9	1.20000001e-08
125	6	-1.20000001e-08
122	8	-0.600000024
122	6	0.300000012
122	10	-0.600000024
122	7	-0.300000012
122	3	0.300000012
125	1	-0.900000036
125	10	-1.20000001e-08
125	11	0.300000012
123	4	-0.900000036
127	10	0.600000024
126	2	0.300000012
126	9	-0.300000012
108	3	0.300000012
124	6	0.300000012
124	9	0.300000012
126	6	-0.600000024
126	10	-0.600000024
126	3	-0.300000012
127	8	1.20000001e-08
127	11	-0.300000012
127	9	-0.300000012
127	1	1.20000001e-08
127	6	-1.20000001e-08
127	2	0.300000012
127	7	-0.299999982
127	3	-0.300000012
\.


--
-- Data for Name: user_star_rate_recipe; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY user_star_rate_recipe (user_id, recipe_id, rating, created, created_long, source, data) FROM stdin;
19	58	3	2015-03-17 19:38:59.736	1426621139736	tags	{"score":1.0}
19	4	4	2015-03-17 19:40:01.551	1426621201551	tags	{"score":1.0}
20	64	5	2015-03-18 07:20:20.14	1426663220140	random	\N
16	87	4	2015-03-18 10:08:11.701	1426673291701	tags	{"score":4.0}
21	23	5	2015-03-18 12:03:45.256	1426680225256	tags	{"score":1.262499988079071}
21	60	5	2015-03-18 12:04:48.592	1426680288592	tags	{"score":4.850000023841858}
21	58	3	2015-03-18 12:06:15.471	1426680375471	CF	{"prediction":4.666666666666666}
19	14	4	2015-03-18 14:18:57.28	1426688337280	tags	{"score":0.6699999809265137}
19	19	2	2015-03-18 14:19:23.18	1426688363180	tags	{"score":4.888888816038768}
19	23	5	2015-03-18 14:20:12.018	1426688412018	CF	{"prediction":3.5681216931216935}
19	60	3	2015-03-18 14:23:10.45	1426688590450	CF	{"prediction":3.8333333333333335}
19	30	4	2015-03-18 14:23:25.986	1426688605986	tags	{"score":3.3999999284744264}
19	85	4	2015-03-18 14:23:36.72	1426688616720	random	\N
19	65	2	2015-03-18 14:23:47.802	1426688627802	random	\N
19	29	4	2015-03-18 14:24:05.78	1426688645780	random	\N
19	79	2	2015-03-18 14:24:31.293	1426688671293	random	\N
19	8	2	2015-03-18 14:24:44.261	1426688684262	random	\N
19	78	5	2015-03-18 14:24:53.348	1426688693348	tags	{"score":2.1272729472680525}
19	97	5	2015-03-18 14:25:00.857	1426688700857	tags	{"score":5.0133336623509726}
23	64	5	2015-03-18 14:48:11.386	1426690091386	CF	{"prediction":3.947368421052632}
26	23	4	2015-03-18 16:42:00.226	1426696920226	CF	{"prediction":4.142857142857142}
26	32	3	2015-03-18 16:42:37.762	1426696957762	tags	{"score":4.481818275018172}
26	60	5	2015-03-18 16:42:51.801	1426696971801	CF	{"prediction":3.4617153679653683}
26	97	4	2015-03-18 16:43:02.565	1426696982565	CF	{"prediction":4.073067632850242}
26	63	4	2015-03-18 16:43:25.955	1426697005955	tags	{"score":6.763636459003795}
20	23	5	2015-03-18 17:32:06.666	1426699926666	CF	{"prediction":4.9785714285714295}
21	78	5	2015-03-19 12:54:43.097	1426769683097	CF	{"prediction":4.419184981684982}
34	32	4	2015-03-19 14:09:35.368	1426774175368	tags	{"score":1.2545455477454446}
37	100	4	2015-03-19 15:27:44.807	1426778864807	search	\N
24	60	5	2015-03-19 16:11:09.174	1426781469174	CF	{"prediction":4.081896551724138}
19	63	2	2015-03-19 18:57:09.593	1426791429593	CF	{"prediction":3.5431783824640966}
19	50	4	2015-03-19 18:57:41.46	1426791461460	tags	{"score":6.166666762034098}
25	85	4	2015-03-20 16:04:59.746	1426867499746	CF	{"prediction":4.0}
43	67	5	2015-03-20 21:43:18.332	1426887798332	tags	{"score":1.0}
43	23	5	2015-03-20 21:43:37.503	1426887817503	CF	{"prediction":5.224786324786325}
43	64	5	2015-03-20 21:43:45.49	1426887825490	tags	{"score":6.733333428700765}
19	67	2	2015-03-21 00:13:48.447	1426896828447	CF	{"prediction":3.6552101480836234}
27	21	5	2015-03-22 13:55:12.943	1427032512943	random	\N
19	49	2	2015-03-25 11:44:15.763	1427283855763	random	\N
39	21	5	2015-03-19 21:13:41.552	1426799621552	tags	{"score":1.4571429235594613}
40	23	5	2015-03-19 22:44:20.438	1426805060438	CF	{"prediction":4.299663299663299}
40	49	4	2015-03-19 22:47:51.397	1426805271397	tags	{"score":0.7500000347693762}
29	60	4	2015-03-20 10:16:58.356	1426846618356	CF	{"prediction":4.2063492063492065}
24	97	5	2015-03-20 14:03:07.701	1426860187701	CF	{"prediction":4.936904761904763}
16	67	4	2015-03-27 14:06:44.091	1427465204091	CF	{"prediction":3.857142857142857}
60	23	4	2015-04-10 13:38:02.192	1428673082192	random	\N
64	97	3	2015-04-13 16:21:52.327	1428942112327	CF	{"prediction":4.25}
69	23	4	2015-04-13 16:33:11.126	1428942791126	CF	{"prediction":4.407801418439716}
74	23	4	2015-04-13 17:12:27.901	1428945147901	CF	{"prediction":4.376602564102564}
81	19	3	2015-04-13 18:46:58.84	1428950818840	cbr	{"similarUserId":81,"similarityToUser":1.0,"similarUserRating":2.0}
86	4	4	2015-04-13 20:42:04.335	1428957724335	tags	{"score":1.0}
88	67	3	2015-04-13 21:04:13.988	1428959053988	random	\N
94	4	3	2015-04-14 06:36:59.972	1428993419972	tags	{"score":1.0}
94	64	5	2015-04-14 06:37:54.658	1428993474658	CF	{"prediction":3.5}
94	19	4	2015-04-14 06:38:08.503	1428993488503	cbr	{"similarUserId":94,"similarityToUser":1.0,"similarUserRating":2.0}
94	21	4	2015-04-14 06:38:22.41	1428993502410	CF	{"prediction":4.298100048100047}
111	48	5	2015-04-15 07:30:28.531	1429083028531	CF	{"prediction":3.9906556372549016}
99	19	5	2015-04-14 15:34:58.747	1429025698747	cbr	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
99	100	5	2015-04-14 15:35:05.648	1429025705648	tags	{"score":0.4000000059604645}
99	23	5	2015-04-14 15:36:02.203	1429025762203	CF	{"prediction":5.3280423280423275}
99	32	3	2015-04-14 15:37:00.624	1429025820624	tags	{"score":7.263636437329379}
99	78	5	2015-04-14 15:39:55.754	1429025995754	CF	{"prediction":4.8382539682539685}
99	20	4	2015-04-14 15:40:22.339	1429026022339	tags	{"score":7.75}
72	48	5	2015-04-14 16:41:20.617	1429029680617	random	\N
39	79	4	2015-04-14 18:51:27.565	1429037487565	cbr	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":2.0}
39	64	5	2015-04-14 18:51:48.419	1429037508419	CF	{"prediction":4.958791208791209}
111	23	4	2015-04-15 07:27:42.814	1429082862814	CF	{"prediction":4.415151515151515}
111	35	4	2015-04-15 07:28:42.581	1429082922581	tags	{"score":3.6200000762939455}
16	64	1	2015-04-15 12:29:38.144	1429100978144	CF	{"prediction":4.6394300144300145}
17	14	4	2015-04-15 12:42:55.614	1429101775614	random	\N
112	64	5	2015-04-15 10:41:41.458	1429094501458	CF	{"prediction":4.528985507246377}
39	4	5	2015-04-15 15:55:55.27	1429113355270	cbr	{"similarUserId":39,"similarityToUser":1.0,"similarUserRating":3.0}
108	47	5	2015-04-16 03:35:06.989	1429155306989	tags	{"score":1.106249988079071}
114	78	4	2015-04-16 08:05:47.861	1429171547861	CF	{"prediction":4.408783783783784}
39	48	4	2015-04-16 15:25:11.995	1429197911995	CF	{"prediction":4.98941798941799}
90	78	5	2015-04-16 21:34:05.437	1429220045437	CF	{"prediction":4.2445054945054945}
85	60	5	2015-04-16 21:47:22.814	1429220842814	CF	{"prediction":4.232467532467532}
17	58	4	2015-04-17 12:50:45.914	1429275045914	cbr	{"similarUserId":17,"similarityToUser":1.0,"similarUserRating":3.0}
117	78	4	2015-04-20 22:11:52.351	1429567912351	CF	{"prediction":4.437974683544304}
117	23	4	2015-04-20 22:12:18.925	1429567938925	CF	{"prediction":4.0007102272727275}
99	26	5	2015-04-21 15:38:48.928	1429630728928	tags	{"score":3.3599998712539674}
99	47	5	2015-04-22 19:32:31.138	1429731151138	CF	{"prediction":4.675087767991597}
42	4	3	2015-04-22 20:34:42.341	1429734882341	tags	{"score":0.6888888743188646}
42	23	4	2015-04-22 20:35:11.929	1429734911929	CF	{"prediction":3.4380581148121907}
99	79	4	2015-04-23 15:28:34.726	1429802914726	cbr	{"similarUserId":99,"similarityToUser":1.0,"similarUserRating":2.0}
27	58	4	2015-04-28 18:19:48.871	1430245188871	cbr	{"similarUserId":27,"similarityToUser":1.0,"similarUserRating":3.0}
\.


--
-- Data for Name: user_viewed_recipe; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY user_viewed_recipe (user_id, recipe_id, duration, last_seen) FROM stdin;
17	87	2	2015-03-18 14:16:01.071
19	14	12	2015-03-18 14:19:07.744
19	19	9	2015-03-18 14:19:28.115
19	23	21	2015-03-18 14:20:31.123
19	60	6	2015-03-18 14:23:14.869
19	30	4	2015-03-18 14:23:28.472
19	85	6	2015-03-18 14:23:42.075
19	65	5	2015-03-18 14:23:51.867
19	29	6	2015-03-18 14:24:08.541
19	79	4	2015-03-18 14:24:34.257
19	8	4	2015-03-18 14:24:47.313
19	78	2	2015-03-18 14:24:54.848
19	97	4	2015-03-18 14:25:03.003
23	23	21	2015-03-18 14:46:31.157
23	64	2	2015-03-18 14:46:37.548
24	4	7	2015-03-18 15:35:57.161
25	20	11	2015-03-18 16:36:48.001
26	23	24	2015-03-18 16:42:20.721
26	64	2	2015-03-18 16:42:27.376
26	32	6	2015-03-18 16:42:40.849
26	97	6	2015-03-18 16:43:06.49
26	63	7	2015-03-18 16:43:28.877
26	35	23	2015-03-18 16:44:03.564
27	75	39	2015-03-18 16:50:11.914
25	78	1257	2015-03-18 16:57:48.929
29	64	20	2015-03-18 17:13:35.975
24	96	17	2015-03-18 18:07:17.217
23	35	7	2015-03-18 18:58:57.034
31	58	26	2015-03-18 21:13:00.153
31	23	14	2015-03-18 21:13:24.333
17	78	47	2015-03-17 14:35:07.856
17	101	16	2015-03-17 14:37:06.242
17	71	47	2015-03-17 14:37:57.307
31	64	7	2015-03-18 21:14:09.654
19	58	43	2015-03-17 19:39:17.819
19	4	4	2015-03-17 19:40:03.691
31	87	71	2015-03-18 21:16:27.79
31	14	11	2015-03-18 21:16:44.855
20	18	60	2015-03-18 07:15:31.043
20	64	32	2015-03-18 07:20:43.08
31	30	4	2015-03-18 21:17:45.969
31	29	5	2015-03-18 21:17:58.737
31	65	5	2015-03-18 21:18:31.326
31	49	3	2015-03-18 21:18:47.723
16	72	2	2015-03-18 09:59:42.92
16	87	21	2015-03-18 10:08:31.325
27	63	18	2015-03-18 21:21:35.066
16	58	117	2015-03-18 11:29:13.277
27	30	4	2015-03-18 21:22:34.658
21	64	76	2015-03-18 12:02:54.983
21	23	12	2015-03-18 12:03:56.299
21	60	46	2015-03-18 12:04:51.287
21	58	53	2015-03-18 12:06:17.243
22	58	11	2015-03-18 14:11:18.133
16	23	20	2015-03-18 14:13:03.644
32	4	22	2015-03-19 00:03:12.228
32	64	4	2015-03-19 00:03:28.553
32	97	14	2015-03-19 00:03:54.035
32	14	20	2015-03-19 00:04:38.503
32	7	4	2015-03-19 00:04:46.481
32	85	3	2015-03-19 00:04:56.134
32	30	2	2015-03-19 00:05:06.529
32	65	8	2015-03-19 00:06:13.926
32	53	9	2015-03-19 00:06:35.322
32	62	5	2015-03-19 00:06:43.81
32	59	2	2015-03-19 00:06:50.188
32	5	3	2015-03-19 00:06:57.332
32	25	3	2015-03-19 00:07:05.876
25	79	11	2015-03-20 15:55:40.757
25	85	80	2015-03-20 16:05:00.893
33	58	121	2015-03-19 12:40:53.054
33	29	95	2015-03-19 12:42:46.603
34	64	7	2015-03-19 14:08:35.668
25	60	106	2015-03-20 16:05:56.277
25	23	38	2015-03-20 16:06:19.747
34	19	9	2015-03-19 14:10:23.44
34	32	30	2015-03-19 14:11:29.018
19	63	17	2015-03-19 18:57:18.701
19	50	11	2015-03-19 18:57:46.124
24	19	1	2015-03-19 19:01:14.406
24	38	2	2015-03-19 19:01:23.434
24	64	2	2015-03-19 19:01:31.47
31	50	8	2015-03-19 19:21:39.215
23	78	16	2015-03-23 18:17:07.215
39	21	27	2015-03-19 21:14:11.084
40	60	9	2015-03-19 22:47:09.94
40	49	21	2015-03-19 22:47:55.515
40	21	25	2015-03-19 22:48:44.386
40	4	22	2015-03-19 22:49:31.328
40	92	17	2015-03-19 22:50:45.916
40	23	178	2015-03-19 23:05:08.709
28	23	38	2015-03-20 05:11:19.078
28	99	19	2015-03-20 05:12:37.123
29	60	15	2015-03-20 10:17:03.567
26	60	19	2015-03-20 14:04:32.507
25	21	14	2015-03-20 15:55:21.567
27	9	8	2015-03-20 18:39:44.715
27	7	8	2015-03-20 18:40:47.635
24	97	26558	2015-03-20 21:25:35.414
19	67	7	2015-03-21 00:13:55.365
27	91	6	2015-03-21 07:31:55.512
30	23	24	2015-03-22 18:52:50.066
27	31	9	2015-03-21 17:48:46.038
27	4	13	2015-03-22 12:45:20.026
30	98	2	2015-03-22 18:53:49.846
30	101	7	2015-03-22 18:53:40.616
30	58	40	2015-03-22 18:53:42.953
39	43	28	2015-03-23 16:46:51.709
39	4	19	2015-03-23 16:47:33.842
16	21	24	2015-03-24 10:56:58.137
39	30	8	2015-03-24 19:48:08.922
19	49	3	2015-03-25 11:44:18.036
39	14	14	2015-03-25 16:49:25.404
49	78	19	2015-03-25 16:52:57.662
43	23	9	2015-03-26 20:49:16.921
43	64	7	2015-03-26 20:49:23.56
27	29	10	2015-04-09 16:18:48.033
27	65	36	2015-04-24 16:18:33.237
27	57	16	2015-04-28 18:23:12.348
27	23	63	2015-04-27 20:47:58.838
27	32	20	2015-04-27 20:49:43.516
27	33	41	2015-04-01 09:05:11.353
39	23	18	2015-04-05 10:23:37.266
24	23	21	2015-04-22 12:13:45.392
27	19	28	2015-04-07 17:22:44.182
27	50	42	2015-04-28 18:18:43.061
17	58	996	2015-04-17 12:51:09.758
27	55	46	2015-04-21 20:33:34.115
24	60	34	2015-04-22 12:13:57.808
27	21	4234	2015-04-24 16:17:59.911
27	60	21	2015-04-28 18:18:58.805
27	58	35	2015-04-28 18:19:57.145
27	85	74	2015-04-28 18:21:23.523
27	40	48	2015-03-26 18:29:23.419
50	46	52	2015-03-26 18:40:40.781
50	52	6	2015-03-26 18:41:42.495
43	19	14	2015-03-26 20:49:10.917
43	67	35	2015-03-26 20:49:29.477
16	67	14	2015-03-27 14:06:54.456
52	9	3	2015-03-29 23:32:41.237
53	4	18	2015-03-30 20:47:15.277
53	23	29	2015-03-30 20:48:14.43
27	78	18	2015-03-31 21:06:17.377
49	68	5	2015-04-01 18:00:27.373
55	58	6	2015-04-01 23:11:53.097
55	23	7	2015-04-02 11:44:51.047
55	97	319	2015-04-02 11:50:45.248
55	60	9	2015-04-02 11:51:00.34
18	23	4	2015-04-02 19:54:53.252
56	77	43	2015-04-03 12:04:22.356
39	32	10	2015-04-05 10:22:45.919
57	21	19	2015-04-06 19:52:10.976
58	23	7	2015-04-07 09:58:43.252
60	23	23	2015-04-10 13:38:12.623
60	38	18	2015-04-10 13:38:59.716
61	23	29	2015-04-11 09:28:59.113
61	21	6	2015-04-11 09:29:29.856
61	97	2	2015-04-11 09:29:52.557
61	77	4	2015-04-11 09:30:06.453
63	14	82	2015-04-13 14:15:56.212
64	58	26	2015-04-13 16:16:41.816
64	10	11	2015-04-13 16:17:26.418
64	12	8	2015-04-13 16:17:53.551
64	45	4	2015-04-13 16:18:14.751
65	23	23	2015-04-13 16:18:26.748
64	79	33	2015-04-13 16:18:55.864
64	65	16	2015-04-13 16:19:33.744
64	23	16	2015-04-13 16:19:57.257
64	21	9	2015-04-13 16:20:39.097
64	54	4	2015-04-13 16:20:57.745
64	85	17	2015-04-13 16:21:30.999
66	23	15	2015-04-13 16:21:43.239
64	97	35	2015-04-13 16:22:20.57
64	64	36	2015-04-13 16:23:08.971
64	78	10	2015-04-13 16:23:30.9
64	72	11	2015-04-13 16:23:58.641
64	50	2	2015-04-13 16:24:14.331
64	60	16	2015-04-13 16:24:36.431
67	4	5	2015-04-13 16:26:46.193
68	4	8	2015-04-13 16:26:58.536
68	23	281	2015-04-13 16:31:48.865
68	21	4	2015-04-13 16:32:06.184
69	58	24	2015-04-13 16:32:57.117
69	23	13	2015-04-13 16:33:16.026
70	62	24	2015-04-13 16:49:10.037
70	49	6	2015-04-13 16:49:26.801
70	23	10	2015-04-13 16:49:45.678
71	79	13	2015-04-13 16:53:07.31
72	78	6	2015-04-13 17:07:22.309
73	23	52	2015-04-13 17:12:26.019
75	92	12	2015-04-13 17:15:34.541
75	101	12	2015-04-13 17:15:49.022
76	23	7	2015-04-13 17:17:21.581
76	21	4	2015-04-13 17:17:32.64
76	85	5	2015-04-13 17:17:59.911
76	50	9	2015-04-13 17:18:20.602
76	78	7	2015-04-13 17:18:29.352
78	23	2	2015-04-13 18:07:09.072
78	21	3	2015-04-13 18:07:31.189
79	58	11	2015-04-13 18:33:36.769
79	23	8	2015-04-13 18:34:02.982
79	21	2	2015-04-13 18:34:12.01
79	78	2	2015-04-13 18:34:19.487
79	97	1	2015-04-13 18:34:32.663
79	65	6	2015-04-13 18:34:48.154
79	66	1	2015-04-13 18:35:12.042
79	87	1	2015-04-13 18:35:24.438
72	85	10	2015-04-13 18:36:12.884
80	99	14	2015-04-13 18:42:34.521
80	92	18	2015-04-13 18:43:03.897
81	64	37	2015-04-13 18:45:51.91
82	64	17	2015-04-13 18:58:03.495
84	58	29	2015-04-13 19:32:30.546
85	58	32	2015-04-13 19:48:35.093
85	68	7	2015-04-13 19:48:58.153
91	58	42	2015-04-14 04:55:57.389
86	4	54	2015-04-13 20:42:34.926
87	52	13	2015-04-13 20:42:56.915
86	94	5	2015-04-13 20:43:02.266
87	64	28	2015-04-13 20:44:06.37
87	89	8	2015-04-13 20:44:58.97
88	78	27	2015-04-13 20:59:50.013
88	94	7	2015-04-13 21:00:06.689
88	84	13	2015-04-13 21:00:32.036
88	79	10	2015-04-13 21:01:10.379
88	60	7	2015-04-13 21:01:32.296
88	97	10	2015-04-13 21:01:53.743
88	30	3	2015-04-13 21:02:20.175
88	54	6	2015-04-13 21:02:41.413
88	87	2	2015-04-13 21:03:14.356
88	29	5	2015-04-13 21:03:35.142
88	67	6	2015-04-13 21:04:18.889
88	65	7	2015-04-13 21:04:33.645
88	32	5	2015-04-13 21:04:50.075
88	58	3	2015-04-13 21:04:58.819
88	49	3	2015-04-13 21:05:12.425
88	8	3	2015-04-13 21:05:22.366
88	14	12	2015-04-13 21:05:55.441
88	55	5	2015-04-13 21:06:11.276
88	66	2	2015-04-13 21:06:20.431
88	34	3	2015-04-13 21:06:33.321
88	16	6	2015-04-13 21:07:02.491
88	11	3	2015-04-13 21:07:20.059
89	23	9	2015-04-13 21:10:16.295
91	23	12	2015-04-14 04:56:26.296
91	19	5	2015-04-14 04:56:56.71
92	79	19	2015-04-14 06:10:26.824
92	42	10	2015-04-14 06:11:01.711
93	4	23	2015-04-14 06:29:46.732
93	8	2	2015-04-14 06:30:05.62
93	79	4	2015-04-14 06:30:21.923
93	10	2	2015-04-14 06:30:38.989
93	65	2	2015-04-14 06:31:02.656
93	32	4	2015-04-14 06:31:26.831
93	97	3	2015-04-14 06:31:43.176
93	80	2	2015-04-14 06:31:55.306
93	13	3	2015-04-14 06:32:08.093
93	67	2	2015-04-14 06:32:27.223
93	58	1	2015-04-14 06:32:35.103
93	14	1	2015-04-14 06:32:45.392
93	29	2	2015-04-14 06:33:05.728
93	90	2	2015-04-14 06:34:21.867
94	64	10	2015-04-14 06:37:57.99
83	64	33	2015-04-19 19:06:48.852
27	97	25	2015-04-28 18:19:11.134
91	60	33	2015-04-30 03:17:34.547
93	78	31	2015-05-02 17:17:22.421
93	49	2	2015-04-14 06:33:18.945
93	42	2	2015-04-14 06:33:40.385
93	26	2	2015-04-14 06:33:52.234
93	53	3	2015-04-14 06:33:30.881
93	12	2	2015-04-14 06:33:58.248
93	6	2	2015-04-14 06:34:04.665
93	23	5	2015-04-14 06:34:13.089
93	24	1	2015-04-14 06:34:35.788
94	4	43	2015-04-14 06:37:15.396
94	23	3	2015-04-14 06:37:42.473
93	48	2	2015-04-14 06:34:28.73
93	61	8	2015-04-14 06:34:48.701
94	19	8	2015-04-14 06:38:11.165
94	21	5	2015-04-14 06:38:24.544
95	64	46	2015-04-14 06:48:53.59
97	61	29	2015-04-14 08:53:50.726
98	23	7	2015-04-14 10:40:03.548
98	99	5	2015-04-14 10:40:18.49
98	86	3	2015-04-14 10:40:56.383
98	67	2	2015-04-14 10:41:06.002
98	19	4	2015-04-14 10:41:19.456
98	78	2	2015-04-14 10:41:32.887
98	21	2	2015-04-14 10:41:43.235
100	23	17	2015-04-14 11:55:16.214
101	64	18	2015-04-14 12:50:30.532
101	26	7	2015-04-14 12:50:51.381
101	1	6	2015-04-14 12:51:17.287
72	89	8	2015-04-14 13:52:21.015
103	79	12	2015-04-14 13:53:01.433
103	21	5	2015-04-14 13:53:21.423
103	60	3	2015-04-14 13:53:29.934
103	4	2	2015-04-14 13:53:39
99	19	19	2015-04-14 15:35:02.286
99	100	34	2015-04-14 15:35:08.375
99	23	57	2015-04-14 15:36:43.195
99	78	17	2015-04-14 15:39:59.712
99	20	13	2015-04-14 15:40:25.962
105	14	6	2015-04-14 15:53:05.089
104	64	3776	2015-04-14 16:22:45.078
106	23	4	2015-04-14 16:30:12.872
106	93	2	2015-04-14 16:31:08.278
107	64	7	2015-04-14 18:00:00.826
39	79	18	2015-04-14 18:51:40.627
39	64	5	2015-04-14 18:51:50.169
109	61	34	2015-04-14 19:30:43.817
109	64	29	2015-04-14 19:31:32.804
110	19	39	2015-04-14 21:58:08.244
111	23	66	2015-04-15 07:27:45.377
111	35	31	2015-04-15 07:28:45.124
111	60	2	2015-04-15 07:28:55.022
111	78	14	2015-04-15 07:29:15.845
111	21	3	2015-04-15 07:29:23.184
111	48	57	2015-04-15 07:30:30.887
111	42	2	2015-04-15 07:30:41.956
65	78	23	2015-04-15 09:08:31.728
112	64	56	2015-04-15 10:42:38.22
112	5	38	2015-04-15 10:45:11.09
112	7	14	2015-04-15 10:47:33.573
16	64	12	2015-04-15 12:29:49.2
113	64	6	2015-04-15 14:21:58.776
100	79	2560	2015-04-15 14:54:31.409
108	47	38	2015-04-16 03:35:26.408
108	21	4	2015-04-16 03:35:43.351
114	78	39	2015-04-16 08:06:12.38
114	97	29	2015-04-16 08:07:08.159
114	58	46	2015-04-16 08:08:31.11
114	79	27	2015-04-16 08:09:09.112
114	10	31	2015-04-16 08:10:40.302
114	32	48	2015-04-16 08:12:50.153
114	20	7	2015-04-16 13:52:16.946
39	48	10	2015-04-16 15:25:15.169
90	64	9	2015-04-16 21:34:01.079
90	78	18	2015-04-16 21:34:10.589
85	23	18	2015-04-16 21:46:46.384
116	4	59	2015-04-16 22:13:25.864
17	60	363	2015-04-17 12:50:05.045
17	29	114	2015-04-17 12:55:20.751
85	26	17	2015-04-18 15:57:11.257
83	62	6	2015-04-19 19:06:34.64
83	23	36	2015-04-19 19:07:30.278
117	78	17	2015-04-20 22:12:04.409
117	23	7	2015-04-20 22:12:25.159
117	64	1	2015-04-20 22:12:32.205
117	42	1	2015-04-20 22:12:41.958
117	21	2	2015-04-20 22:12:58.824
99	32	277	2015-04-21 10:04:59.361
122	97	24	2015-04-27 21:05:28.592
122	60	13	2015-04-27 21:06:05.251
99	26	15117	2015-04-21 15:39:10.817
56	78	173	2015-04-22 07:31:52.274
56	97	11	2015-04-22 07:32:26.694
56	83	2	2015-04-22 07:33:46.02
118	60	10	2015-04-22 12:53:50.868
118	48	5	2015-04-22 12:54:21.221
118	21	4	2015-04-22 12:54:41.834
123	26	9	2015-04-28 20:00:21.679
118	75	3	2015-04-23 08:49:12.501
118	26	4	2015-04-23 08:49:30.79
99	87	7	2015-04-23 13:21:43.859
122	96	19	2015-04-27 21:07:41.649
122	26	30	2015-04-27 21:09:34.449
119	47	19	2015-04-23 13:35:12.942
119	64	10	2015-04-23 13:35:38.396
119	21	5	2015-04-23 13:36:58.529
99	79	4348	2015-04-23 15:28:39.962
120	65	6	2015-04-24 13:24:09.783
120	60	5	2015-04-24 13:25:08.319
120	97	3	2015-04-24 13:25:25.508
120	67	5	2015-04-24 13:25:39.614
120	26	3	2015-04-24 13:25:53.668
120	58	4	2015-04-24 13:26:09.197
120	87	5	2015-04-24 13:26:25.49
27	86	26	2015-04-24 16:17:31.469
27	79	39	2015-04-24 16:18:08.279
99	64	8	2015-04-27 19:38:31.285
99	39	20	2015-04-27 19:39:37.017
99	47	58	2015-04-27 19:40:02.158
122	78	33	2015-04-27 20:03:09.354
27	47	6	2015-04-27 20:48:18.76
122	19	9	2015-04-27 21:10:37.846
122	101	19	2015-04-27 21:11:09.717
27	48	9	2015-04-28 18:20:18.728
27	26	4	2015-04-28 18:20:53.713
27	68	48	2015-04-28 18:22:26.659
123	58	8	2015-04-28 19:58:38.64
123	78	7	2015-04-28 19:58:57.476
123	12	37	2015-04-28 20:00:00.25
123	99	3	2015-04-28 20:00:55.814
17	21	15	2015-04-29 15:11:20.691
99	85	232	2015-04-29 13:56:01.304
17	26	36	2015-04-29 15:11:48.522
108	60	12	2015-05-01 19:48:51.631
96	78	23	2015-05-05 16:25:45.786
124	89	23	2015-05-04 18:14:03.131
99	98	35	2015-05-05 06:29:22.276
96	23	26	2015-05-05 16:24:57.293
96	47	41	2015-05-05 19:11:44.373
96	54	61	2015-05-05 19:11:27.557
125	4	37	2015-05-06 16:53:26.293
125	47	32	2015-05-06 16:55:03.162
125	58	27	2015-05-06 16:57:02.338
125	97	24	2015-05-06 16:57:36.975
125	19	7	2015-05-06 16:57:47.996
126	64	6	2015-05-08 12:27:25.116
127	28	9	2015-05-11 00:01:25.868
127	59	6	2015-05-11 00:02:46.593
\.


--
-- Data for Name: user_yes_no_rate_recipe; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY user_yes_no_rate_recipe (user_id, recipe_id, rating, last_seen) FROM stdin;
17	5	-1	2015-03-17 13:04:05.916
17	44	-1	2015-03-17 13:04:13.672
17	49	-1	2015-03-17 13:04:25.823
17	71	1	2015-03-17 14:37:09.266
27	92	-1	2015-03-18 16:52:41.374
19	58	2	2015-03-17 19:39:53.828
25	97	1	2015-03-18 16:57:55.887
29	64	1	2015-03-18 17:13:15.703
20	23	1	2015-03-18 17:32:04.128
20	38	-1	2015-03-18 17:32:42.328
30	58	1	2015-03-18 18:13:21.31
23	32	-1	2015-03-18 18:58:46.174
23	35	1	2015-03-18 18:58:49.173
23	60	1	2015-03-18 18:59:12.965
23	19	1	2015-03-18 18:59:26.818
20	17	1	2015-03-18 07:18:28.774
23	14	1	2015-03-18 18:59:37.111
23	87	1	2015-03-18 18:59:59.392
23	79	1	2015-03-18 19:00:07.932
20	40	1	2015-03-18 07:19:20.44
20	58	-5	2015-03-18 07:19:50.33
20	4	-9	2015-03-18 07:19:51.165
20	18	-3	2015-03-18 07:19:52.323
20	10	-2	2015-03-18 07:19:53.079
20	100	-3	2015-03-18 07:19:53.997
27	14	-1	2015-03-18 20:55:03.726
31	58	1	2015-03-18 21:12:32.326
31	64	1	2015-03-18 21:13:59.458
31	19	-1	2015-03-18 21:14:45.373
31	78	-1	2015-03-18 21:14:50.932
21	14	-1	2015-03-18 12:03:35.808
21	23	1	2015-03-18 12:03:42.649
21	60	1	2015-03-18 12:04:04.594
21	64	0	2015-03-18 12:04:59.504
21	4	-1	2015-03-18 12:05:15.199
21	87	-1	2015-03-18 12:05:19.566
21	58	1	2015-03-18 12:05:23.356
21	38	1	2015-03-18 12:06:24.64
22	58	1	2015-03-18 14:11:06.414
19	14	1	2015-03-18 14:18:55.019
19	87	-1	2015-03-18 14:19:15.069
19	19	1	2015-03-18 14:19:18.155
19	23	1	2015-03-18 14:20:10.275
19	42	-1	2015-03-18 14:23:05.072
19	60	0	2015-03-18 14:23:08.152
19	28	-1	2015-03-18 14:23:20.496
19	30	1	2015-03-18 14:23:24.332
19	38	-1	2015-03-18 14:23:33.176
19	85	1	2015-03-18 14:23:35.237
19	65	1	2015-03-18 14:23:46.031
19	41	-1	2015-03-18 14:23:55.847
19	4	0	2015-03-18 14:24:01.021
19	29	1	2015-03-18 14:24:02.177
19	79	1	2015-03-18 14:24:29.754
19	17	-1	2015-03-18 14:24:38.878
19	32	-2	2015-03-18 14:24:40.06
19	8	1	2015-03-18 14:24:42.642
19	62	-1	2015-03-18 14:24:50.248
19	78	1	2015-03-18 14:24:52.394
19	97	1	2015-03-18 14:24:58.951
16	22	1	2015-03-18 14:41:11.674
24	4	1	2015-03-18 15:35:49.853
25	23	1	2015-03-18 16:35:59.806
25	64	-1	2015-03-18 16:36:27.753
25	19	-1	2015-03-18 16:36:32.177
25	20	1	2015-03-18 16:36:36.467
25	78	1	2015-03-18 16:36:51.147
26	23	1	2015-03-18 16:41:56.257
26	64	1	2015-03-18 16:42:24.608
26	42	-1	2015-03-18 16:42:29.56
26	32	1	2015-03-18 16:42:34.423
26	20	-1	2015-03-18 16:42:43.139
26	60	1	2015-03-18 16:42:44.97
26	97	1	2015-03-18 16:43:00.34
26	63	1	2015-03-18 16:43:21.526
26	35	1	2015-03-18 16:43:39.429
27	75	1	2015-03-18 16:49:32.97
31	87	1	2015-03-18 21:15:15.61
31	14	1	2015-03-18 21:16:33.798
31	85	-1	2015-03-18 21:16:55.013
31	63	-1	2015-03-18 21:17:27.061
31	4	-1	2015-03-18 21:17:34.176
31	30	1	2015-03-18 21:17:41.254
31	29	1	2015-03-18 21:17:53.796
31	32	-1	2015-03-18 21:18:15.637
31	79	-2	2015-03-18 21:18:19.006
31	65	1	2015-03-18 21:18:26.114
31	49	1	2015-03-18 21:18:44.066
31	8	-1	2015-03-18 21:19:09.278
31	39	-1	2015-03-18 21:19:15.27
31	1	-1	2015-03-18 21:19:20.188
31	34	-1	2015-03-18 21:19:24.404
31	72	-1	2015-03-18 21:19:30.814
31	53	-1	2015-03-18 21:19:39.96
31	82	-1	2015-03-18 21:19:44.141
27	63	1	2015-03-18 21:21:16.53
31	23	0	2015-03-19 19:22:30.816
31	97	-2	2015-03-19 19:22:35.898
26	38	-2	2015-03-25 10:49:03.934
19	64	-2	2015-03-25 11:44:11.893
19	49	0	2015-03-25 11:44:13.978
27	30	1	2015-03-18 21:22:30.008
32	4	1	2015-03-19 00:01:28.823
32	23	-1	2015-03-19 00:03:16.179
27	4	0	2015-04-27 20:49:24.999
23	64	0	2015-04-10 16:05:02.749
27	58	1	2015-04-28 18:19:28.738
27	87	-3	2015-04-28 18:20:03.244
17	78	-1	2015-04-29 15:10:36.65
27	19	-1	2015-04-27 20:47:25.448
27	65	2	2015-04-24 16:18:20.566
27	97	0	2015-04-28 18:19:03.608
16	58	1	2015-03-27 14:06:24.508
16	64	-4	2015-03-27 14:05:38.507
27	23	4	2015-04-27 20:47:45.038
23	38	-1	2015-04-10 16:05:08.492
23	23	0	2015-04-10 16:05:13.845
23	78	1	2015-04-10 16:05:17.011
23	97	-2	2015-04-10 16:05:48.323
20	78	0	2015-04-13 20:02:08.702
20	64	2	2015-04-13 20:02:23.441
20	32	-2	2015-04-13 20:03:34.848
17	4	-4	2015-04-29 15:11:53.292
17	23	-3	2015-04-29 15:10:38.32
17	87	-1	2015-04-29 15:12:00.465
17	32	-3	2015-04-29 15:11:52.407
17	58	-7	2015-04-17 12:50:25.523
24	23	2	2015-04-22 12:13:33.427
27	78	-2	2015-04-27 20:47:29.417
27	60	3	2015-04-28 18:18:55.546
27	68	0	2015-04-28 18:20:28.652
27	85	3	2015-04-28 18:21:11.414
32	64	1	2015-03-19 00:03:23.978
32	78	-1	2015-03-19 00:03:34.08
32	97	1	2015-03-19 00:03:39.466
32	60	-1	2015-03-19 00:04:08.703
32	14	1	2015-03-19 00:04:17.74
32	7	1	2015-03-19 00:04:41.697
32	85	1	2015-03-19 00:04:52.893
32	42	-1	2015-03-19 00:04:58.443
32	22	-1	2015-03-19 00:05:00.613
32	63	-1	2015-03-19 00:05:02.449
32	30	1	2015-03-19 00:05:04.216
32	29	-1	2015-03-19 00:05:17.25
32	32	-1	2015-03-19 00:05:20.489
32	58	-1	2015-03-19 00:05:22.251
32	79	-1	2015-03-19 00:05:25.873
32	39	-1	2015-03-19 00:05:28.518
32	34	-1	2015-03-19 00:05:32.469
32	1	-1	2015-03-19 00:05:34.816
32	19	-1	2015-03-19 00:05:39.076
32	18	-1	2015-03-19 00:05:42.117
32	46	-1	2015-03-19 00:05:44.231
32	65	1	2015-03-19 00:06:05.829
32	8	-1	2015-03-19 00:06:16.609
32	53	1	2015-03-19 00:06:26.276
32	62	1	2015-03-19 00:06:38.507
32	83	-1	2015-03-19 00:06:46.207
32	59	1	2015-03-19 00:06:47.855
32	5	1	2015-03-19 00:06:53.741
32	101	-1	2015-03-19 00:06:59.642
32	87	-2	2015-03-19 00:07:00.938
32	25	1	2015-03-19 00:07:02.962
33	58	1	2015-03-19 12:38:41.9
33	29	1	2015-03-19 12:41:10.796
21	78	1	2015-03-19 12:53:16.917
21	63	1	2015-03-19 12:55:02.03
34	23	1	2015-03-19 14:08:01.848
34	78	-1	2015-03-19 14:08:24.846
34	64	1	2015-03-19 14:08:28.213
34	32	1	2015-03-19 14:09:29.004
34	19	1	2015-03-19 14:10:13.818
25	60	1	2015-03-19 14:20:02.741
35	23	1	2015-03-19 14:53:07.585
36	23	1	2015-03-19 14:56:16.524
38	58	-1	2015-03-19 15:29:44.112
38	4	-1	2015-03-19 15:29:45.939
38	18	-1	2015-03-19 15:29:47.985
38	12	1	2015-03-19 15:29:49.762
24	60	1	2015-03-19 16:10:45.786
19	63	1	2015-03-19 18:57:01.031
19	44	-1	2015-03-19 18:57:33.248
19	50	1	2015-03-19 18:57:34.261
24	19	1	2015-03-19 19:01:13.4
24	38	1	2015-03-19 19:01:20.674
24	35	-1	2015-03-19 19:01:27.002
24	65	1	2015-03-19 19:01:37.487
31	100	-2	2015-03-19 19:21:24.009
31	50	1	2015-03-19 19:21:31.056
31	25	-1	2015-03-19 19:21:54.546
31	101	-1	2015-03-19 19:21:59.963
31	84	-1	2015-03-19 19:22:06.309
31	67	-1	2015-03-19 19:22:13.065
31	24	-1	2015-03-19 19:22:17.399
31	92	-1	2015-03-19 19:22:21.374
31	60	-2	2015-03-19 19:22:24.902
31	90	-1	2015-03-19 19:22:42.712
39	21	1	2015-03-19 21:13:22.025
39	68	-1	2015-03-19 22:00:45.014
40	19	-1	2015-03-19 22:43:01.05
40	79	-1	2015-03-19 22:43:08.145
40	65	-1	2015-03-19 22:43:13.239
40	32	-1	2015-03-19 22:43:18.227
40	23	1	2015-03-19 22:43:23.164
40	35	-1	2015-03-19 22:46:29.514
40	38	-1	2015-03-19 22:46:35.539
40	58	-1	2015-03-19 22:46:42.081
40	64	-2	2015-03-19 22:46:46.405
40	60	1	2015-03-19 22:47:00.834
40	97	-1	2015-03-19 22:47:26.431
40	67	-1	2015-03-19 22:47:30.421
40	49	1	2015-03-19 22:47:33.699
40	87	-1	2015-03-19 22:48:04.24
40	100	-1	2015-03-19 22:48:07.256
40	21	1	2015-03-19 22:48:17.532
40	29	-1	2015-03-19 22:48:47.215
40	50	-1	2015-03-19 22:49:00.692
40	4	1	2015-03-19 22:49:09.006
40	39	-1	2015-03-19 22:49:36.7
40	85	-1	2015-03-19 22:49:42.803
40	30	-1	2015-03-19 22:49:47.174
40	8	-1	2015-03-19 22:49:52.772
40	78	-2	2015-03-19 22:49:54.133
40	63	-2	2015-03-19 22:49:55.443
40	99	-1	2015-03-19 22:50:00.578
40	14	-2	2015-03-19 22:50:02.463
40	44	-1	2015-03-19 22:50:03.493
28	23	1	2015-03-20 05:10:41.334
29	23	-1	2015-03-20 10:16:36.242
29	78	-1	2015-03-20 10:16:39.386
29	60	1	2015-03-20 10:16:47.867
41	10	-1	2015-03-20 11:16:01.662
24	32	-1	2015-03-20 14:02:51.822
24	58	-1	2015-03-20 14:02:53.645
24	97	1	2015-03-20 14:02:56.692
26	19	-1	2015-03-20 14:04:42.104
26	79	1	2015-03-20 14:04:51.166
25	21	1	2015-03-20 15:55:10.37
25	79	1	2015-03-20 15:55:29.251
25	85	1	2015-03-20 15:57:27.713
25	65	-1	2015-03-20 16:00:51.343
25	14	-1	2015-03-20 16:00:54.697
25	4	-1	2015-03-20 16:03:30.903
39	77	-2	2015-03-23 16:46:10.198
41	75	-3	2015-03-21 17:54:22.196
19	95	-2	2015-03-25 11:44:24.258
25	87	-1	2015-03-20 16:03:39.295
25	54	-1	2015-03-20 16:03:41.983
25	72	-1	2015-03-20 16:03:43.892
25	50	-2	2015-03-20 16:03:44.487
25	40	-1	2015-03-20 16:03:46.753
39	23	1	2015-04-14 18:52:08.999
39	4	2	2015-04-15 15:55:51.992
39	19	-4	2015-04-14 18:51:20.535
24	64	2	2015-04-22 12:14:06.907
42	4	2	2015-04-22 20:34:26.728
42	64	2	2015-04-22 20:34:55.831
41	60	-6	2015-04-20 08:09:54.314
41	19	-5	2015-04-20 08:09:54.708
41	97	-2	2015-04-20 08:10:01.928
42	23	0	2015-04-22 20:35:09.578
27	21	3	2015-04-24 16:17:57.165
42	21	-1	2015-03-20 16:04:12.824
25	41	-1	2015-03-20 16:03:49.12
42	19	-1	2015-03-20 16:03:59.65
42	77	1	2015-03-20 16:04:19.304
23	65	1	2015-03-20 16:22:29.654
27	50	1	2015-03-20 18:37:29.992
27	49	-1	2015-03-20 18:38:40.816
27	8	-1	2015-03-20 18:39:06.245
24	85	-1	2015-03-20 21:25:40.967
43	67	1	2015-03-20 21:42:51.204
43	23	1	2015-03-20 21:43:34.844
43	64	1	2015-03-20 21:43:44.219
19	100	-1	2015-03-21 00:13:36.435
19	54	-1	2015-03-21 00:13:44.479
19	67	-1	2015-03-21 00:14:01.275
19	39	-1	2015-03-21 00:14:03.121
27	91	1	2015-03-21 07:31:49.547
27	33	1	2015-03-21 15:15:24.563
41	11	-4	2015-03-21 18:10:31.845
27	31	1	2015-03-21 17:48:35.648
41	29	-1	2015-03-21 17:53:05.009
41	30	-1	2015-03-21 17:53:16.197
41	25	-2	2015-03-21 18:10:31.973
41	84	-1	2015-03-21 17:53:17.253
41	8	-1	2015-03-21 17:53:21.99
41	31	-1	2015-03-21 17:53:22.571
41	17	-3	2015-03-21 18:10:32.411
41	69	-1	2015-03-21 17:53:28.054
41	95	-2	2015-03-21 17:53:28.432
41	39	-1	2015-03-21 17:53:33.545
41	2	-1	2015-03-21 17:53:33.662
41	68	-1	2015-03-21 17:53:33.926
41	33	-1	2015-03-21 17:53:34.195
41	28	-1	2015-03-21 17:53:34.608
41	50	-5	2015-03-21 18:10:43.18
41	1	-1	2015-03-21 17:53:35.095
41	13	-2	2015-03-21 18:10:43.337
41	42	-1	2015-03-21 18:10:43.747
39	57	-1	2015-03-23 16:47:13.395
41	52	-1	2015-03-21 17:53:40.696
41	51	-1	2015-03-21 17:53:43.398
41	24	-2	2015-03-21 17:54:22.482
41	82	-1	2015-03-21 17:54:22.849
41	12	-2	2015-03-21 18:10:44.197
39	10	-1	2015-03-23 16:47:18.875
41	16	-2	2015-03-21 18:09:59.891
41	57	-3	2015-03-21 18:10:00.556
41	80	-2	2015-03-21 18:10:00.785
39	67	-1	2015-03-23 16:47:20.918
41	9	-2	2015-03-21 18:10:24.127
41	3	-1	2015-03-21 18:10:24.196
41	22	-1	2015-03-21 18:10:24.802
41	44	-1	2015-03-21 18:10:25.086
41	34	-1	2015-03-21 18:10:30.552
41	7	-5	2015-03-21 18:10:31.315
41	46	-1	2015-03-21 18:10:31.368
41	81	-1	2015-03-21 18:10:44.364
41	99	-2	2015-03-21 18:10:44.423
41	66	-1	2015-03-21 18:10:53.728
41	73	-2	2015-03-21 18:10:54.416
41	18	-2	2015-03-21 18:10:54.492
41	93	-1	2015-03-21 18:10:54.52
41	41	-2	2015-03-21 18:10:54.544
41	94	-2	2015-03-21 18:10:54.72
41	77	-1	2015-03-21 18:10:54.906
41	90	-2	2015-03-21 18:10:55.326
41	63	-2	2015-03-21 18:10:55.34
41	76	-1	2015-03-21 18:10:57.592
30	23	1	2015-03-22 18:52:25.525
30	64	-1	2015-03-23 11:27:52.931
30	78	1	2015-03-23 11:27:56.556
39	43	1	2015-03-23 16:46:21.68
39	97	-1	2015-03-23 16:47:07.606
39	60	-1	2015-03-23 16:47:10.696
39	6	-1	2015-03-23 16:47:11.513
39	49	-1	2015-03-23 16:48:06.873
39	50	-1	2015-03-23 16:48:11
39	5	-1	2015-03-23 16:48:12.568
39	2	-1	2015-03-23 16:48:15.171
23	42	0	2015-03-23 18:15:51.632
23	20	-1	2015-03-23 18:15:59.53
23	22	-1	2015-03-23 18:16:00.704
16	21	1	2015-03-24 10:56:33.636
16	4	-1	2015-03-24 10:57:31.387
39	87	-1	2015-03-24 19:47:54.339
39	100	-1	2015-03-24 19:47:57.125
39	30	1	2015-03-24 19:48:00.661
19	21	-2	2015-03-25 11:44:13.266
19	84	-2	2015-03-25 11:44:22.606
16	23	2	2015-03-25 14:57:32.409
39	29	-1	2015-03-25 16:49:08.336
39	14	1	2015-03-25 16:49:12.058
16	78	-2	2015-03-27 14:05:05.145
16	97	-2	2015-03-27 14:05:17.07
16	19	-2	2015-03-27 14:06:01.303
16	79	-2	2015-03-27 14:06:03.895
39	64	0	2015-04-14 18:51:44.763
49	64	-1	2015-04-15 15:55:52.932
41	49	-3	2015-03-30 06:46:23.476
41	43	-2	2015-03-30 06:46:24.1
41	58	-4	2015-03-30 06:46:30.865
41	85	-5	2015-03-30 06:46:31.085
27	80	-3	2015-04-27 20:47:19.301
27	57	-3	2015-04-27 20:47:13.34
41	14	-2	2015-03-30 06:46:32.166
41	53	-2	2015-03-30 06:46:32.28
41	55	-3	2015-03-30 06:46:32.467
49	23	0	2015-04-08 15:10:57.419
27	32	2	2015-04-27 20:49:33.314
27	66	-3	2015-04-27 20:48:06.931
39	78	-2	2015-04-16 15:25:01.977
39	58	-2	2015-04-05 10:23:22.236
39	85	-2	2015-04-05 10:23:23.792
27	67	-3	2015-04-28 18:19:20.782
39	32	-1	2015-04-16 15:24:48.668
49	21	3	2015-04-08 15:11:01.389
27	100	-3	2015-04-28 18:21:03.625
27	29	2	2015-04-09 16:18:41.327
23	7	0	2015-04-10 16:05:04.313
23	21	-2	2015-04-10 16:05:46.057
39	79	-1	2015-04-14 18:51:21.594
39	65	-3	2015-04-15 15:55:50.162
41	48	-3	2015-04-20 08:09:54.418
41	65	-5	2015-04-20 08:09:55.038
49	101	-1	2015-03-25 20:37:35.264
49	89	1	2015-03-25 20:37:40.213
24	79	0	2015-03-26 01:34:28.342
50	46	1	2015-03-26 18:39:48.286
50	52	1	2015-03-26 18:41:37.835
43	19	1	2015-03-26 20:48:56.809
43	60	-1	2015-03-26 20:49:42.715
43	38	-1	2015-03-26 20:49:46.004
43	35	-1	2015-03-26 20:49:48.954
16	60	-2	2015-03-27 14:05:20.76
16	1	-1	2015-03-27 14:05:26.4
16	49	-1	2015-03-27 14:05:35.971
16	24	-1	2015-03-27 14:05:37.573
16	44	-1	2015-03-27 14:05:40.073
16	55	-1	2015-03-27 14:05:43.867
16	29	-1	2015-03-27 14:05:52.488
16	14	-1	2015-03-27 14:05:56.381
16	50	-1	2015-03-27 14:05:57.354
16	85	-1	2015-03-27 14:05:59.225
16	65	-1	2015-03-27 14:06:09.966
16	32	-1	2015-03-27 14:06:11.466
16	95	-1	2015-03-27 14:06:12.959
16	54	-1	2015-03-27 14:06:16.787
16	100	-1	2015-03-27 14:06:25.686
16	67	1	2015-03-27 14:06:40.126
51	4	1	2015-03-29 21:50:39.45
52	52	-1	2015-03-29 23:32:28.817
52	40	-1	2015-03-29 23:32:31.814
52	51	-1	2015-03-29 23:32:33.123
52	9	1	2015-03-29 23:32:35.515
53	4	1	2015-03-30 20:46:58.558
53	23	1	2015-03-30 20:47:38.323
27	79	3	2015-04-24 16:18:05.473
49	77	-1	2015-04-01 18:00:02.269
49	4	-1	2015-04-01 18:00:18.959
41	78	-5	2015-04-20 08:09:53.968
54	23	1	2015-04-01 18:07:27.718
54	64	-1	2015-04-01 18:07:49.366
54	21	1	2015-04-01 18:07:56.352
54	19	-1	2015-04-01 18:08:15.119
55	4	-1	2015-04-01 23:11:39.668
55	58	1	2015-04-01 23:11:46.738
55	23	1	2015-04-02 11:44:44.23
55	48	-1	2015-04-02 11:45:09.869
55	22	-1	2015-04-02 11:45:12.139
55	19	-1	2015-04-02 11:45:13.879
55	64	-2	2015-04-02 11:45:15.405
55	21	-1	2015-04-02 11:45:17.937
55	78	-1	2015-04-02 11:45:23.363
55	97	1	2015-04-02 11:45:26.207
55	60	1	2015-04-02 11:50:50.947
55	68	-1	2015-04-02 11:51:03.98
55	47	-1	2015-04-02 11:51:07.045
55	14	-1	2015-04-02 11:51:09.866
55	50	-1	2015-04-02 11:51:14.991
55	85	-1	2015-04-02 11:51:17.071
55	87	-1	2015-04-02 11:51:21.659
55	79	-1	2015-04-02 11:51:23.829
55	65	-1	2015-04-02 11:51:27.521
55	7	-1	2015-04-02 11:51:29.664
55	98	-1	2015-04-02 11:51:31.8
27	55	4	2015-04-21 20:33:17.883
56	78	0	2015-04-22 07:28:58.015
41	20	-2	2015-04-02 12:30:04.638
18	23	1	2015-04-02 19:54:48.859
56	77	1	2015-04-03 12:03:01.967
30	19	1	2015-04-05 16:02:00.663
57	23	-1	2015-04-06 19:51:43.338
57	64	-1	2015-04-06 19:51:47.034
57	21	1	2015-04-06 19:51:51.399
58	23	1	2015-04-07 09:58:37.066
58	64	1	2015-04-07 09:58:52.074
49	78	1	2015-04-22 15:30:05.332
49	19	-1	2015-04-08 15:11:10.136
49	79	-2	2015-04-08 15:11:17.613
49	97	1	2015-04-08 15:18:46.591
59	23	1	2015-04-10 10:10:42.67
60	58	1	2015-04-10 13:36:31.497
60	19	1	2015-04-10 13:36:43.879
60	79	-1	2015-04-10 13:36:50.54
60	4	1	2015-04-10 13:37:02.048
60	65	-1	2015-04-10 13:37:25.149
60	32	-1	2015-04-10 13:37:46.667
60	23	1	2015-04-10 13:37:49.164
60	60	-1	2015-04-10 13:38:24.267
60	38	1	2015-04-10 13:38:41.659
23	49	-1	2015-04-10 16:05:09.897
23	17	-1	2015-04-10 16:06:02.306
23	70	-1	2015-04-10 16:06:07.96
61	23	1	2015-04-11 09:28:30.333
61	64	-1	2015-04-11 09:29:18.741
61	21	1	2015-04-11 09:29:24.093
61	78	-1	2015-04-11 09:29:45.078
61	97	1	2015-04-11 09:29:50.556
61	79	-1	2015-04-11 09:29:56.694
61	75	-1	2015-04-11 09:29:58.548
61	77	1	2015-04-11 09:30:02.07
56	64	-1	2015-04-11 15:44:53.06
56	4	-1	2015-04-11 15:45:03.914
56	89	-1	2015-04-11 15:45:06.999
56	101	-1	2015-04-11 15:45:10.2
56	21	-2	2015-04-11 15:45:12.02
56	53	-1	2015-04-11 15:45:14.995
56	23	-2	2015-04-11 15:45:17.114
63	14	1	2015-04-13 14:14:40.323
64	58	1	2015-04-13 16:16:15.619
64	61	-1	2015-04-13 16:16:59.975
64	10	1	2015-04-13 16:17:16.897
64	19	-1	2015-04-13 16:17:37.44
64	12	1	2015-04-13 16:17:46.347
64	6	-1	2015-04-13 16:18:01.733
65	23	1	2015-04-13 16:18:03.671
64	45	1	2015-04-13 16:18:11.089
64	79	1	2015-04-13 16:18:25.28
65	64	-1	2015-04-13 16:18:52.285
65	75	-1	2015-04-13 16:18:55.043
64	65	1	2015-04-13 16:19:18.507
64	23	1	2015-04-13 16:19:41.389
65	16	-1	2015-04-13 16:20:02.495
64	4	-1	2015-04-13 16:20:12.174
64	80	-1	2015-04-13 16:20:19.964
64	21	1	2015-04-13 16:20:30.435
64	54	1	2015-04-13 16:20:53.482
64	32	-1	2015-04-13 16:21:08.32
64	85	1	2015-04-13 16:21:14.672
66	23	1	2015-04-13 16:21:27.38
64	97	1	2015-04-13 16:21:44.773
66	64	1	2015-04-13 16:22:01.924
27	64	-9	2015-04-27 20:47:22.856
64	64	1	2015-04-13 16:22:31.457
68	64	-1	2015-04-13 16:31:56.57
68	58	1	2015-04-13 16:32:19.657
64	78	1	2015-04-13 16:23:20.438
64	72	1	2015-04-13 16:23:48.419
67	4	1	2015-04-13 16:26:40.545
68	4	1	2015-04-13 16:26:50.095
64	50	1	2015-04-13 16:24:11.615
69	78	-1	2015-04-13 16:33:23.34
69	21	-1	2015-04-13 16:33:24.936
64	60	1	2015-04-13 16:24:20.412
69	75	-1	2015-04-13 16:33:31.035
69	20	-1	2015-04-13 16:33:33.442
64	29	-1	2015-04-13 16:24:49.268
68	19	-1	2015-04-13 16:27:05.043
69	34	1	2015-04-13 16:33:40.369
64	14	-1	2015-04-13 16:24:51.893
69	58	1	2015-04-13 16:32:32.023
69	42	-1	2015-04-13 16:33:35.298
68	23	1	2015-04-13 16:27:06.839
69	23	1	2015-04-13 16:33:02.07
68	21	1	2015-04-13 16:32:01.956
69	60	-1	2015-04-13 16:33:27.691
69	64	-2	2015-04-13 16:33:28.798
69	95	-1	2015-04-13 16:33:37.871
70	58	-1	2015-04-13 16:48:32.689
70	4	-1	2015-04-13 16:48:36.407
70	62	1	2015-04-13 16:48:45.743
70	64	-1	2015-04-13 16:49:16.709
70	49	1	2015-04-13 16:49:19.944
70	19	-1	2015-04-13 16:49:33.544
70	23	1	2015-04-13 16:49:35.642
71	19	-1	2015-04-13 16:52:50.211
71	79	1	2015-04-13 16:52:53.471
72	21	-1	2015-04-13 17:07:14.317
73	23	1	2015-04-13 17:11:33.283
74	23	1	2015-04-13 17:12:11.362
76	64	-1	2015-04-13 17:17:09.714
76	23	1	2015-04-13 17:17:13.535
76	21	1	2015-04-13 17:17:27.672
76	78	1	2015-04-13 17:17:36.556
76	60	-1	2015-04-13 17:17:45.046
76	97	-1	2015-04-13 17:17:48.301
76	85	1	2015-04-13 17:17:54.263
76	4	-1	2015-04-13 17:18:03.724
76	14	-1	2015-04-13 17:18:07.407
76	50	1	2015-04-13 17:18:11.01
76	93	-1	2015-04-13 17:19:02.362
76	84	-1	2015-04-13 17:19:09.201
76	45	1	2015-04-13 17:19:14.175
77	58	1	2015-04-13 17:43:38.102
78	64	-1	2015-04-13 18:07:04.286
78	23	1	2015-04-13 18:07:06.266
78	75	-1	2015-04-13 18:07:11.223
78	21	1	2015-04-13 18:07:27.88
79	58	1	2015-04-13 18:33:25.183
79	19	-1	2015-04-13 18:33:48.557
79	64	-1	2015-04-13 18:33:52.941
79	23	1	2015-04-13 18:33:54.501
79	21	1	2015-04-13 18:34:09.158
79	78	1	2015-04-13 18:34:16.991
79	60	-1	2015-04-13 18:34:24.729
79	97	1	2015-04-13 18:34:30.768
79	79	-1	2015-04-13 18:34:35.667
79	65	1	2015-04-13 18:34:41.799
79	85	-1	2015-04-13 18:34:52.051
79	4	-1	2015-04-13 18:34:55.732
79	14	-1	2015-04-13 18:35:01.13
79	50	-1	2015-04-13 18:35:05.856
79	66	1	2015-04-13 18:35:10.208
79	32	-1	2015-04-13 18:35:17.784
79	87	1	2015-04-13 18:35:22.447
79	86	-1	2015-04-13 18:35:34.785
79	24	-1	2015-04-13 18:35:37.662
79	10	-1	2015-04-13 18:35:42.127
79	100	-1	2015-04-13 18:35:46.744
79	29	-1	2015-04-13 18:35:52.541
79	30	-1	2015-04-13 18:35:55.629
79	67	-2	2015-04-13 18:35:58.488
79	31	-1	2015-04-13 18:36:01.893
72	85	1	2015-04-13 18:36:02.658
79	53	-1	2015-04-13 18:36:04.58
72	32	-1	2015-04-13 18:37:22.519
81	64	1	2015-04-13 18:45:15.31
81	19	1	2015-04-13 18:46:42.449
82	64	1	2015-04-13 18:57:37.668
83	64	1	2015-04-13 19:15:53.255
84	58	1	2015-04-13 19:32:01.163
84	66	1	2015-04-13 19:33:05.024
85	58	1	2015-04-13 19:48:02.012
85	68	1	2015-04-13 19:48:50.35
20	21	-1	2015-04-13 20:02:03.857
20	60	-1	2015-04-13 20:02:13.135
20	97	0	2015-04-13 20:02:15.433
20	19	-1	2015-04-13 20:02:18.435
20	49	1	2015-04-13 20:02:33.591
20	79	1	2015-04-13 20:02:55.859
20	65	-1	2015-04-13 20:03:17.307
86	4	1	2015-04-13 20:41:19.427
86	19	-1	2015-04-13 20:42:42.706
87	52	1	2015-04-13 20:42:43.72
86	61	-1	2015-04-13 20:42:45.012
86	12	-1	2015-04-13 20:42:46.025
86	77	-1	2015-04-13 20:42:47.144
87	64	1	2015-04-13 20:43:37.67
87	89	1	2015-04-13 20:44:49.917
88	64	-1	2015-04-13 20:59:02.925
88	23	-1	2015-04-13 20:59:14.737
88	84	1	2015-04-13 21:00:17.57
88	19	-1	2015-04-13 21:00:52.037
88	79	1	2015-04-13 21:00:59.8
88	60	1	2015-04-13 21:01:23.066
88	97	1	2015-04-13 21:01:42.268
88	85	-1	2015-04-13 21:02:07.075
88	4	-1	2015-04-13 21:02:13.153
88	30	1	2015-04-13 21:02:15.994
88	54	1	2015-04-13 21:02:34.884
88	50	-1	2015-04-13 21:03:05.789
88	87	1	2015-04-13 21:03:11.599
88	72	-1	2015-04-13 21:03:24.958
88	29	1	2015-04-13 21:03:28.716
88	46	-1	2015-04-13 21:03:45.287
88	100	-1	2015-04-13 21:03:57.475
88	67	1	2015-04-13 21:04:10.798
88	65	1	2015-04-13 21:04:25.341
88	32	1	2015-04-13 21:04:46.629
88	58	1	2015-04-13 21:04:55.24
88	63	-1	2015-04-13 21:05:06.037
88	49	1	2015-04-13 21:05:08.998
88	8	1	2015-04-13 21:05:19.278
88	94	0	2015-04-13 21:05:28.41
88	9	-1	2015-04-13 21:05:32.42
88	82	-1	2015-04-13 21:05:35.471
88	80	-1	2015-04-13 21:05:37.924
88	91	-1	2015-04-13 21:05:45.344
88	14	2	2015-04-13 21:05:47.211
88	55	1	2015-04-13 21:06:04.891
88	66	1	2015-04-13 21:06:17.727
88	34	1	2015-04-13 21:06:30.505
88	78	0	2015-04-13 21:06:39.931
88	21	-2	2015-04-13 21:06:40.997
88	35	-1	2015-04-13 21:06:50.497
88	16	1	2015-04-13 21:06:54.063
88	48	-1	2015-04-13 21:07:11.668
88	11	1	2015-04-13 21:07:15.788
89	64	-1	2015-04-13 21:10:03.44
72	4	-2	2015-04-14 13:51:58.782
72	14	0	2015-04-14 13:52:00.77
72	78	0	2015-04-27 15:15:14.269
72	23	-2	2015-04-27 15:15:16.844
72	60	-2	2015-04-27 15:15:18.239
72	64	-2	2015-04-27 15:15:18.798
72	19	-2	2015-04-27 15:15:19.782
72	79	-2	2015-04-27 15:15:20.626
72	65	-2	2015-04-27 15:15:21.097
89	23	1	2015-04-13 21:10:07.29
90	23	-1	2015-04-13 21:29:19.201
90	78	1	2015-04-13 21:29:21.298
90	94	-1	2015-04-13 21:29:40.696
90	76	-1	2015-04-13 21:29:42.921
90	84	-1	2015-04-13 21:29:46.573
90	21	-1	2015-04-13 21:29:49.935
90	60	-1	2015-04-13 21:29:52.056
90	97	-1	2015-04-13 21:29:53.097
90	85	-1	2015-04-13 21:29:54.157
90	19	-2	2015-04-13 21:29:55.085
90	2	-1	2015-04-13 21:29:56.869
91	58	1	2015-04-14 04:54:36.685
91	23	1	2015-04-14 04:56:09.757
91	19	1	2015-04-14 04:56:51.202
72	30	-1	2015-04-14 05:27:44.842
72	67	-2	2015-04-14 05:28:05.217
72	50	-1	2015-04-14 05:28:06.61
72	100	-2	2015-04-14 13:52:05.591
72	29	-1	2015-04-14 05:28:08.999
72	88	-1	2015-04-14 05:28:12.669
72	22	-1	2015-04-14 05:28:17.482
92	19	-1	2015-04-14 06:10:03.117
92	79	1	2015-04-14 06:10:07.691
92	101	-1	2015-04-14 06:11:19.636
92	89	-1	2015-04-14 06:11:21.501
92	94	-1	2015-04-14 06:11:24.554
92	98	-1	2015-04-14 06:11:25.887
92	64	-1	2015-04-14 06:11:27.07
92	23	-1	2015-04-14 06:11:29.284
92	78	-1	2015-04-14 06:11:30.433
92	21	-1	2015-04-14 06:11:31.772
92	48	-1	2015-04-14 06:11:33.214
92	91	-1	2015-04-14 06:11:36.913
93	4	1	2015-04-14 06:29:23.115
93	19	-1	2015-04-14 06:30:11.584
93	79	1	2015-04-14 06:30:17.606
93	10	1	2015-04-14 06:30:36.055
93	65	1	2015-04-14 06:30:59.804
93	32	1	2015-04-14 06:31:22.416
93	97	1	2015-04-14 06:31:39.392
93	13	1	2015-04-14 06:32:04.682
93	60	-1	2015-04-14 06:32:14.505
93	85	-1	2015-04-14 06:32:17.681
93	30	-1	2015-04-14 06:32:22.569
93	67	1	2015-04-14 06:32:24.868
93	58	1	2015-04-14 06:32:33.154
93	14	1	2015-04-14 06:32:43.631
93	50	-1	2015-04-14 06:32:49.741
93	87	-1	2015-04-14 06:32:53.097
93	29	1	2015-04-14 06:33:02.914
93	100	-2	2015-04-14 06:33:12.71
93	63	-1	2015-04-14 06:33:14.747
93	49	1	2015-04-14 06:33:16.09
93	66	-1	2015-04-14 06:33:24.232
93	53	1	2015-04-14 06:33:27.797
93	56	-1	2015-04-14 06:33:35.033
93	42	1	2015-04-14 06:33:38.323
93	64	-2	2015-04-14 06:33:43.134
93	80	0	2015-04-14 06:33:44.462
93	5	-1	2015-04-14 06:33:46.309
93	26	1	2015-04-14 06:33:49.818
93	12	1	2015-04-14 06:33:56.072
93	6	1	2015-04-14 06:34:02.296
93	2	-1	2015-04-14 06:34:07.505
93	23	2	2015-04-14 06:34:10.756
93	90	1	2015-04-14 06:34:19.033
93	48	1	2015-04-14 06:34:26.239
93	57	-1	2015-04-14 06:34:32.163
93	24	1	2015-04-14 06:34:33.814
93	81	-1	2015-04-14 06:34:41.065
93	61	2	2015-04-14 06:34:42.916
93	8	0	2015-04-14 06:36:14.669
93	21	-2	2015-04-14 06:36:16.005
93	27	1	2015-04-14 06:36:19.292
94	4	1	2015-04-14 06:36:31.076
94	23	1	2015-04-14 06:37:39.02
94	64	1	2015-04-14 06:37:47.633
94	19	1	2015-04-14 06:38:02.441
94	21	1	2015-04-14 06:38:19.203
94	78	-1	2015-04-14 06:38:38.386
94	60	1	2015-04-14 06:38:45.509
95	64	1	2015-04-14 06:48:07.341
95	23	1	2015-04-14 06:48:57.427
89	78	1	2015-04-14 07:41:44.755
72	63	-1	2015-04-14 07:53:37.871
72	49	-1	2015-04-14 07:53:39.35
72	48	-1	2015-04-14 07:53:47.783
72	97	-2	2015-04-14 07:53:48.902
72	98	-1	2015-04-14 07:53:50.814
72	72	-1	2015-04-14 07:53:52.517
72	51	-1	2015-04-14 07:53:53.757
97	61	1	2015-04-14 08:53:18.89
97	64	-1	2015-04-14 08:53:58.871
97	23	-1	2015-04-14 08:54:05.297
78	68	-1	2015-04-14 10:36:26.776
78	4	-1	2015-04-14 10:36:28.762
78	80	-1	2015-04-14 10:36:29.899
78	78	-1	2015-04-14 10:36:30.797
78	60	-1	2015-04-14 10:36:32.073
78	97	-1	2015-04-14 10:36:32.996
78	85	-1	2015-04-14 10:36:33.995
78	19	-1	2015-04-14 10:36:35.385
78	29	-1	2015-04-14 10:36:38.859
78	50	-1	2015-04-14 10:36:43.746
98	64	-1	2015-04-14 10:39:53.843
98	23	1	2015-04-14 10:39:55.866
98	61	-1	2015-04-14 10:40:44.341
98	8	-1	2015-04-14 10:40:48.178
98	86	1	2015-04-14 10:40:52.925
98	67	1	2015-04-14 10:41:03.328
98	19	1	2015-04-14 10:41:15.039
98	79	-1	2015-04-14 10:41:27.641
98	78	1	2015-04-14 10:41:30.104
98	21	1	2015-04-14 10:41:40.578
100	64	-1	2015-04-14 11:54:48.014
100	23	1	2015-04-14 11:54:57.949
100	19	1	2015-04-14 11:55:25.521
101	64	1	2015-04-14 12:50:12.131
101	26	1	2015-04-14 12:50:43.434
101	19	-1	2015-04-14 12:51:01.69
101	20	-1	2015-04-14 12:51:07.223
101	1	1	2015-04-14 12:51:11.045
72	7	-1	2015-04-14 13:51:57.136
72	8	-2	2015-04-14 13:52:24.697
72	58	-2	2015-04-14 13:52:29.73
90	64	0	2015-04-16 21:33:51.638
91	60	2	2015-04-30 03:17:14.859
96	23	2	2015-05-05 16:24:48.913
91	64	-2	2015-04-30 03:17:51.105
91	79	2	2015-04-30 03:17:56.54
93	78	2	2015-05-02 17:16:54.495
96	64	-4	2015-05-05 16:24:38.831
72	87	-3	2015-04-14 13:51:59.733
72	6	-1	2015-04-14 13:52:04.38
72	86	-1	2015-04-14 13:52:07.279
72	89	1	2015-04-14 13:52:12.03
72	91	-1	2015-04-14 13:52:23.515
72	33	-1	2015-04-14 13:52:27.138
72	75	-2	2015-04-14 13:52:27.904
72	2	-1	2015-04-14 13:52:28.93
72	53	-1	2015-04-14 13:52:32.002
72	27	-1	2015-04-14 13:52:33.645
72	74	-1	2015-04-14 13:52:34.53
72	69	-1	2015-04-14 13:52:35.855
103	19	-1	2015-04-14 13:52:43.789
103	79	1	2015-04-14 13:52:48.608
103	64	-1	2015-04-14 13:53:07.676
103	23	-1	2015-04-14 13:53:10.935
103	78	-1	2015-04-14 13:53:14.024
103	21	1	2015-04-14 13:53:16.273
103	60	1	2015-04-14 13:53:26.43
103	4	1	2015-04-14 13:53:36.256
104	64	1	2015-04-14 15:19:48.009
99	100	1	2015-04-14 15:34:04.233
99	37	-1	2015-04-14 15:35:13.991
99	26	1	2015-04-14 15:35:28.115
99	23	1	2015-04-14 15:35:45.295
17	77	-1	2015-04-14 15:38:29.869
17	14	-1	2015-04-14 15:38:32.636
99	78	1	2015-04-14 15:39:42.399
99	20	1	2015-04-14 15:40:12.553
105	64	-1	2015-04-14 15:52:47.67
105	23	-1	2015-04-14 15:52:49.065
105	78	-1	2015-04-14 15:52:51.262
105	21	-1	2015-04-14 15:52:52.447
105	4	-1	2015-04-14 15:52:53.915
105	58	-1	2015-04-14 15:52:55.28
105	30	-1	2015-04-14 15:52:56.434
105	14	1	2015-04-14 15:52:58.169
105	19	-1	2015-04-14 15:53:08.408
105	79	-1	2015-04-14 15:53:09.617
105	65	-1	2015-04-14 15:53:12.53
105	60	-1	2015-04-14 15:53:15.313
105	26	-1	2015-04-14 15:53:16.909
105	100	-1	2015-04-14 15:53:17.981
105	97	-2	2015-04-14 15:53:19.958
105	81	-1	2015-04-14 15:53:21.308
105	10	-1	2015-04-14 15:53:22.538
104	19	-1	2015-04-14 16:22:47.867
104	67	-1	2015-04-14 16:22:49.522
104	62	-1	2015-04-14 16:22:54.883
104	14	-1	2015-04-14 16:22:56.385
104	23	-1	2015-04-14 16:22:58.13
104	78	-1	2015-04-14 16:23:01.342
106	19	-1	2015-04-14 16:30:03.73
106	64	-1	2015-04-14 16:30:04.795
106	23	1	2015-04-14 16:30:08.642
106	78	-1	2015-04-14 16:30:44.965
106	21	-1	2015-04-14 16:30:45.903
106	60	-1	2015-04-14 16:30:46.534
106	26	-1	2015-04-14 16:30:46.986
106	59	-1	2015-04-14 16:30:47.507
106	27	-1	2015-04-14 16:30:48.78
106	86	-1	2015-04-14 16:30:50.371
106	65	-1	2015-04-14 16:30:51.399
106	38	-1	2015-04-14 16:30:52.623
106	97	-1	2015-04-14 16:30:53.169
107	64	1	2015-04-14 17:59:53.159
39	35	-1	2015-04-14 18:51:57.708
109	61	1	2015-04-14 19:30:09.673
109	64	1	2015-04-14 19:31:03.365
110	19	1	2015-04-14 21:57:28.79
111	64	-1	2015-04-15 07:26:37.609
111	23	1	2015-04-15 07:26:41.696
111	75	-1	2015-04-15 07:27:56.997
111	35	1	2015-04-15 07:28:13.964
111	60	1	2015-04-15 07:28:52.537
111	78	1	2015-04-15 07:29:01.326
111	21	1	2015-04-15 07:29:20.095
111	48	1	2015-04-15 07:29:33.405
111	19	-1	2015-04-15 07:30:34.214
111	20	-1	2015-04-15 07:30:36.577
111	42	1	2015-04-15 07:30:40.378
111	38	-1	2015-04-15 07:30:52.394
65	39	-1	2015-04-15 09:07:06.77
65	10	-1	2015-04-15 09:07:08.211
65	78	1	2015-04-15 09:08:08.114
65	70	-1	2015-04-15 09:09:14.735
65	84	-1	2015-04-15 09:10:02.482
65	48	-1	2015-04-15 09:10:15.458
112	58	-1	2015-04-15 10:39:14.871
112	61	1	2015-04-15 10:39:21.95
112	64	1	2015-04-15 10:41:13.07
112	7	1	2015-04-15 10:47:18.377
100	79	1	2015-04-15 14:11:51.085
113	64	1	2015-04-15 14:21:52.483
114	46	-1	2015-04-16 08:06:31.905
114	97	1	2015-04-16 08:06:38.887
114	23	-1	2015-04-16 08:07:11.265
114	48	-1	2015-04-16 08:07:14.699
114	21	-1	2015-04-16 08:07:20.101
114	64	-2	2015-04-16 08:07:26.254
114	19	-1	2015-04-16 08:07:30.699
114	84	-1	2015-04-16 08:07:34.946
114	54	-1	2015-04-16 08:07:38.025
114	78	0	2015-04-16 08:07:39.255
114	58	1	2015-04-16 08:07:44.213
114	60	1	2015-04-16 08:09:56.761
114	10	1	2015-04-16 08:10:08.465
114	12	-1	2015-04-16 08:10:47.306
114	68	-1	2015-04-16 08:11:24.835
114	65	-1	2015-04-16 08:11:28.767
114	4	1	2015-04-16 08:11:33.285
114	32	1	2015-04-16 08:11:49.647
114	26	-1	2015-04-16 08:12:53.474
114	47	-1	2015-04-16 08:12:56.295
114	35	-1	2015-04-16 08:13:02.323
114	79	0	2015-04-16 08:13:13.068
99	42	-2	2015-04-21 10:02:37.733
49	45	0	2015-04-22 15:30:03.918
49	68	2	2015-04-22 15:30:13.78
99	32	0	2015-04-29 13:36:09.263
108	75	0	2015-04-24 15:43:37.024
108	23	1	2015-05-01 19:48:35.938
108	21	2	2015-05-01 19:55:43.215
72	26	-2	2015-04-27 15:15:22.712
99	30	-3	2015-04-27 19:40:11.583
17	19	-2	2015-04-29 15:10:30.388
17	79	-2	2015-04-29 15:10:31.721
17	65	-2	2015-04-29 15:10:35.123
17	21	0	2015-04-29 15:11:04.8
108	78	-3	2015-05-01 19:48:31.626
108	47	2	2015-05-01 19:55:53.593
108	48	-2	2015-05-01 19:56:05.71
108	64	-3	2015-05-01 19:56:07.923
114	67	-2	2015-04-16 08:13:09.14
114	87	-1	2015-04-16 08:13:07.535
114	100	-2	2015-04-16 08:13:09.764
114	41	-1	2015-04-16 08:13:11.659
108	79	1	2015-04-16 13:03:55.025
114	20	1	2015-04-16 13:52:02.198
114	30	-1	2015-04-16 13:52:58.752
39	48	1	2015-04-16 15:25:04.907
86	64	-1	2015-04-16 15:43:47.855
86	23	-1	2015-04-16 15:43:49.097
86	78	-1	2015-04-16 15:43:49.474
86	48	-1	2015-04-16 15:43:49.478
86	21	-1	2015-04-16 15:43:49.664
86	10	-1	2015-04-16 15:43:49.789
86	34	-1	2015-04-16 15:43:49.937
86	18	-1	2015-04-16 15:43:50.16
86	40	-1	2015-04-16 15:43:50.305
86	37	-1	2015-04-16 15:43:50.476
86	60	-1	2015-04-16 15:45:16.503
86	47	-1	2015-04-16 15:45:19.784
86	26	-1	2015-04-16 15:45:21.271
115	23	-1	2015-04-16 20:07:00.437
115	78	-1	2015-04-16 20:07:05.177
115	21	-1	2015-04-16 20:07:07.545
115	48	-1	2015-04-16 20:07:13.184
115	4	-1	2015-04-16 20:07:14.742
115	26	-1	2015-04-16 20:07:16.811
115	89	-1	2015-04-16 20:07:17.87
115	61	-1	2015-04-16 20:07:21.063
115	17	-1	2015-04-16 20:07:25.126
115	88	-1	2015-04-16 20:07:26.435
85	78	-1	2015-04-16 21:46:26.075
85	23	1	2015-04-16 21:46:32.617
85	60	1	2015-04-16 21:46:57.079
116	4	1	2015-04-16 22:12:26.318
17	67	-1	2015-04-17 12:50:22.657
17	26	2	2015-04-29 15:11:29.026
17	30	-1	2015-04-17 12:53:13.502
17	29	1	2015-04-17 12:53:26.061
85	38	-1	2015-04-18 15:54:56.901
85	63	-1	2015-04-18 15:55:24.443
118	77	-1	2015-04-23 08:49:05.541
85	21	-1	2015-04-18 15:55:31.134
85	48	-1	2015-04-18 15:55:33.221
85	64	-3	2015-04-18 15:55:36.336
85	47	-1	2015-04-18 15:55:38.228
85	56	-1	2015-04-18 15:55:42.332
85	99	-1	2015-04-18 15:55:43.971
85	26	1	2015-04-18 15:56:53.764
83	26	-1	2015-04-19 19:06:22.221
83	62	1	2015-04-19 19:06:27.793
83	19	1	2015-04-20 05:05:39.043
41	23	-5	2015-04-20 08:09:54.316
41	64	-5	2015-04-20 08:09:54.496
41	79	-5	2015-04-20 08:09:54.82
41	54	-3	2015-04-20 08:09:55.222
41	74	-1	2015-04-20 08:09:55.432
41	21	-6	2015-04-20 08:10:00.77
41	47	-1	2015-04-20 08:10:01.013
41	26	-2	2015-04-20 08:10:01.178
41	100	-3	2015-04-20 08:10:01.302
41	4	-4	2015-04-20 08:10:01.546
41	32	-4	2015-04-20 08:10:01.886
41	67	-4	2015-04-20 08:10:01.981
41	87	-6	2015-04-20 08:10:02.159
41	27	-2	2015-04-20 08:10:02.352
83	60	-1	2015-04-20 13:03:40.563
83	79	-2	2015-04-20 13:03:42.01
83	65	1	2015-04-20 13:03:53.712
83	32	1	2015-04-20 13:04:11.732
83	4	-1	2015-04-20 13:04:18.101
83	24	-1	2015-04-20 13:08:22.475
83	78	1	2015-04-20 13:08:25.948
83	48	1	2015-04-20 13:09:15.684
117	78	1	2015-04-20 22:11:46.292
117	89	-1	2015-04-20 22:12:10.348
117	87	-1	2015-04-20 22:12:12.462
117	96	-1	2015-04-20 22:12:14.012
117	79	-1	2015-04-20 22:12:16.104
117	23	1	2015-04-20 22:12:17.255
117	64	1	2015-04-20 22:12:30.283
117	7	-1	2015-04-20 22:12:35.978
117	32	-1	2015-04-20 22:12:37.835
117	42	1	2015-04-20 22:12:40.455
117	38	-1	2015-04-20 22:12:48.727
117	60	-2	2015-04-20 22:12:51.6
117	48	-1	2015-04-20 22:12:54.165
117	21	1	2015-04-20 22:12:56.293
99	22	-1	2015-04-21 10:02:41.596
99	41	-1	2015-04-21 10:02:44.302
99	47	1	2015-04-21 15:38:38.416
24	78	-1	2015-04-22 12:13:31.495
24	21	-1	2015-04-22 12:14:01.258
24	48	-1	2015-04-22 12:14:05.27
118	78	1	2015-04-22 12:52:24.64
118	23	1	2015-04-22 12:53:31.391
118	60	1	2015-04-22 12:53:39.952
118	64	-1	2015-04-22 12:54:14.579
118	48	1	2015-04-22 12:54:16.218
118	19	-1	2015-04-22 12:54:35.465
118	21	1	2015-04-22 12:54:37.817
49	84	-1	2015-04-22 15:30:06.907
66	78	1	2015-04-22 16:22:28.877
42	78	-1	2015-04-22 20:35:07.538
118	75	1	2015-04-23 08:49:09.196
118	47	-1	2015-04-23 08:49:22.675
118	26	1	2015-04-23 08:49:26.094
99	87	1	2015-04-23 13:21:35.869
99	11	-1	2015-04-23 13:21:59.323
99	79	1	2015-04-23 13:22:05.717
119	4	-1	2015-04-23 13:34:20.669
119	18	-1	2015-04-23 13:34:27.293
119	100	-1	2015-04-23 13:34:33.628
119	12	-1	2015-04-23 13:34:37.711
119	78	-1	2015-04-23 13:34:41.936
96	19	-2	2015-05-05 19:11:35.618
99	21	-3	2015-05-05 06:28:34.406
99	64	-1	2015-05-05 06:28:38.391
99	48	-3	2015-05-05 06:28:37.019
99	97	-2	2015-04-27 19:38:54.54
99	49	-2	2015-04-27 19:39:08.154
99	35	-2	2015-04-27 19:40:08.876
99	50	-2	2015-04-27 19:40:13.756
99	29	-2	2015-04-27 19:40:16.359
99	14	-2	2015-04-29 13:36:11.569
99	85	0	2015-04-29 13:36:18.689
17	47	-2	2015-04-29 15:10:39.626
17	60	0	2015-04-29 15:10:42.278
17	48	-3	2015-04-29 15:11:24.242
17	35	-2	2015-04-29 15:12:06.704
17	100	-2	2015-04-29 15:11:54.551
17	97	-3	2015-04-29 15:11:55.587
17	85	-2	2015-04-29 15:12:20.973
96	54	2	2015-05-04 14:22:26.384
99	60	-3	2015-05-05 06:28:31.63
96	47	2	2015-05-05 19:11:42.843
119	23	-1	2015-04-23 13:34:46.581
119	47	1	2015-04-23 13:34:53.828
119	64	1	2015-04-23 13:35:27.519
119	79	-1	2015-04-23 13:36:32.731
119	65	-1	2015-04-23 13:36:37.121
119	67	-1	2015-04-23 13:37:29.57
119	58	-1	2015-04-23 13:37:32.285
119	48	1	2015-04-23 13:37:38.805
119	19	-2	2015-04-23 13:36:40.836
119	60	-1	2015-04-23 13:36:44.726
119	21	1	2015-04-23 13:36:52.538
119	32	-1	2015-04-23 13:37:22.055
119	97	-1	2015-04-23 13:37:26.244
120	64	-1	2015-04-24 13:23:56.745
120	19	-1	2015-04-24 13:23:58.837
120	79	-1	2015-04-24 13:24:00.597
120	65	1	2015-04-24 13:24:03.045
120	4	-1	2015-04-24 13:24:21.526
120	10	-1	2015-04-24 13:24:23.632
120	59	-1	2015-04-24 13:24:26.435
120	86	-1	2015-04-24 13:24:32.163
120	78	-1	2015-04-24 13:24:33.558
120	23	-1	2015-04-24 13:24:48.646
120	47	-1	2015-04-24 13:24:56.32
120	60	1	2015-04-24 13:25:03.535
120	32	-1	2015-04-24 13:25:19.937
120	97	1	2015-04-24 13:25:22.797
120	67	1	2015-04-24 13:25:36.603
120	48	-1	2015-04-24 13:25:45.493
120	21	-1	2015-04-24 13:25:48.449
120	26	1	2015-04-24 13:25:50.685
120	58	1	2015-04-24 13:26:04.265
120	100	-1	2015-04-24 13:26:16.018
120	87	1	2015-04-24 13:26:20.408
120	85	-1	2015-04-24 13:26:44.425
120	35	-1	2015-04-24 13:26:48.141
120	20	-1	2015-04-24 13:26:49.427
108	54	-2	2015-04-24 15:43:40.411
108	72	-1	2015-04-24 15:43:43.045
108	59	-1	2015-04-24 15:44:06.042
108	27	-1	2015-04-24 15:44:10.179
121	64	-1	2015-04-26 06:15:57.674
121	19	-1	2015-04-26 06:16:05.91
121	79	-1	2015-04-26 06:16:13.722
121	65	-1	2015-04-26 06:16:29.464
72	47	-1	2015-04-27 15:15:17.674
72	20	-1	2015-04-27 15:15:21.854
99	65	-1	2015-04-27 19:39:00.352
99	39	1	2015-04-27 19:39:16.245
99	4	-2	2015-04-27 19:40:21.978
122	78	1	2015-04-27 20:02:22.614
27	47	1	2015-04-27 20:48:12.156
122	64	-1	2015-04-27 21:04:53.424
122	97	1	2015-04-27 21:05:03.851
122	23	-1	2015-04-27 21:05:39.445
122	47	-1	2015-04-27 21:05:46.381
122	60	1	2015-04-27 21:05:51.697
122	48	-1	2015-04-27 21:06:15.059
122	21	-1	2015-04-27 21:06:30.92
122	26	1	2015-04-27 21:06:36.387
122	19	1	2015-04-27 21:10:28.004
27	59	-1	2015-04-28 18:18:50.167
27	48	1	2015-04-28 18:20:08.812
27	26	1	2015-04-28 18:20:49.079
123	58	1	2015-04-28 19:58:30.399
123	68	-1	2015-04-28 19:58:44.572
123	60	-1	2015-04-28 19:58:47.339
123	78	1	2015-04-28 19:58:49.94
123	84	-1	2015-04-28 19:59:00.421
123	16	-1	2015-04-28 19:59:01.685
123	94	-1	2015-04-28 19:59:06.086
123	23	-1	2015-04-28 19:59:08.767
123	47	-1	2015-04-28 19:59:10.711
123	21	-1	2015-04-28 19:59:13.118
123	48	-1	2015-04-28 19:59:15.238
123	12	1	2015-04-28 19:59:22.001
123	65	-1	2015-04-28 20:00:08.32
123	4	-1	2015-04-28 20:00:09.531
123	26	1	2015-04-28 20:00:12.302
123	32	-1	2015-04-28 20:00:29.448
123	67	-1	2015-04-28 20:00:33.308
123	100	-1	2015-04-28 20:00:37.112
123	97	-2	2015-04-28 20:00:38.539
123	87	-2	2015-04-28 20:00:39.657
123	35	-1	2015-04-28 20:00:41.003
123	89	-1	2015-04-28 20:00:41.781
123	66	-2	2015-04-28 20:00:43.358
99	19	0	2015-04-29 13:36:01.59
99	93	-1	2015-04-29 13:56:16.014
99	58	-2	2015-04-29 13:56:20.473
99	67	-2	2015-04-29 13:56:21.98
99	63	-1	2015-04-29 13:56:24.456
99	8	-1	2015-04-29 13:56:24.945
99	73	1	2015-04-29 13:56:44.245
17	64	-3	2015-04-29 15:10:28.766
17	59	-1	2015-04-29 15:10:43.559
17	50	-2	2015-04-29 15:10:47.697
17	69	-1	2015-04-29 15:12:09.683
108	60	1	2015-05-01 19:48:39.675
108	26	1	2015-05-01 19:56:10.893
108	100	1	2015-05-01 20:02:03.127
108	19	1	2015-05-01 20:02:13.176
124	89	1	2015-05-04 18:13:40.781
123	64	-2	2015-05-04 19:53:52.75
123	19	-2	2015-05-04 19:53:53.554
123	79	-2	2015-05-04 19:53:54.205
99	34	-2	2015-05-05 06:28:42.478
99	98	0	2015-05-05 06:28:46.067
96	78	0	2015-05-05 16:24:44.905
125	4	1	2015-05-06 16:52:49.283
125	78	-1	2015-05-06 16:53:49.398
125	23	-1	2015-05-06 16:54:26.229
125	47	1	2015-05-06 16:54:30.894
125	60	-1	2015-05-06 16:55:21.888
125	21	-1	2015-05-06 16:55:57.239
125	48	-1	2015-05-06 16:55:59.383
125	64	-1	2015-05-06 16:56:02.019
125	58	1	2015-05-06 16:56:35.058
125	26	-1	2015-05-06 16:57:06.224
125	100	-1	2015-05-06 16:57:09.201
125	97	1	2015-05-06 16:57:14.19
125	19	1	2015-05-06 16:57:41.186
126	4	1	2015-05-08 12:25:58.624
126	78	-1	2015-05-08 12:27:11.743
126	23	-1	2015-05-08 12:27:14.077
126	47	-1	2015-05-08 12:27:15.024
126	60	-1	2015-05-08 12:27:16.593
126	64	1	2015-05-08 12:27:18.578
127	64	1	2015-05-11 00:00:13.229
127	28	1	2015-05-11 00:01:17.29
127	19	-1	2015-05-11 00:01:40.036
127	78	-1	2015-05-11 00:01:45.124
127	23	-1	2015-05-11 00:01:50.353
127	47	1	2015-05-11 00:01:55.412
127	59	1	2015-05-11 00:02:40.424
127	60	-1	2015-05-11 00:04:06.701
\.


--
-- Data for Name: userlogininfo; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY userlogininfo (user_id, login_info_id) FROM stdin;
1	1
16	15
17	16
18	17
19	18
20	19
21	20
22	21
23	22
24	23
25	24
26	25
27	26
28	27
29	28
30	29
31	30
32	31
33	32
34	33
35	34
36	35
37	36
38	37
39	38
40	39
41	40
42	41
43	42
44	43
49	44
50	45
51	46
52	47
53	48
54	49
55	50
56	51
57	52
58	53
59	54
60	55
61	56
62	57
63	58
64	59
65	60
66	61
67	62
68	63
69	64
70	65
71	66
72	67
73	68
74	69
75	70
76	71
77	72
78	73
79	74
80	75
81	76
82	77
83	78
84	79
85	80
86	81
87	82
88	83
89	84
90	85
91	86
92	87
93	88
94	89
95	90
96	91
97	92
98	93
99	94
100	95
101	96
102	97
103	98
104	99
105	100
106	101
107	102
108	103
109	104
110	105
111	106
112	107
113	108
114	109
115	110
116	111
117	112
118	113
119	114
120	115
121	116
122	117
123	118
124	119
125	120
126	121
127	122
\.


--
-- Data for Name: users; Type: TABLE DATA; Schema: public; Owner: mealchooser-db
--

COPY users (id, first_name, last_name, email, image, role, created, recipe_language, app_language, city, country, sex, year_born, enrolled, metric_system) FROM stdin;
28	Agnar	Aamodt	agnar@idi.ntnu.no	\N	user	2015-03-18 17:08:22.282	\N	\N	\N	\N	\N	\N	f	t
29	Dankel	Torkildsen	torkildsen@gmail.com	\N	user	2015-03-18 17:12:46.23	\N	\N	\N	\N	\N	\N	f	t
30	arman	vestad	arman.vestad@gmail.com	\N	user	2015-03-18 18:12:51.607	\N	\N	\N	\N	\N	\N	f	t
27	Ingeborg Ane	Lund	ingeborg_ane@hotmail.com	\N	user	2015-03-18 16:47:50.926	\N	\N	Hurum	\N	\N	1960	f	t
31	Marianne	Lund	marianne_lund80@hotmail.com	\N	user	2015-03-18 21:11:07.899	\N	\N	\N	\N	\N	\N	f	t
32	Majken	\N	majken.weiby@vikenfiber.no	\N	user	2015-03-19 00:00:39.326	\N	\N		\N	\N	\N	f	t
33	Arne	Bjarne	sybolt91@gmail.com	\N	user	2015-03-19 12:32:59.389	\N	\N	\N	\N	\N	\N	f	t
34	Edvard	Karlsen	edvard@plysjbyen.net	http://www.gravatar.com/avatar/9544dd47641f330192df46a1e2ae10da?d=404	user	2015-03-19 14:06:36.171	\N	\N	\N	\N	\N	\N	f	t
35	Sindrr	Johansen	sindre@sindrejohansen.no	http://www.gravatar.com/avatar/25d124ea7a551f98953052079c5840fc?d=404	user	2015-03-19 14:52:02.553	\N	\N	\N	\N	\N	\N	f	t
36	Andr	Lov	andrlov@stud.ntnu.no	\N	user	2015-03-19 14:53:15.769	\N	\N	\N	\N	\N	\N	f	t
19	Garr	Garr	garr@garr.garr	\N	user	2015-03-17 19:36:46.524	\N	\N	Veggen	\N	\N	2009	f	t
37	android	android	android@eatelligent.no	\N	user	2015-03-19 15:23:39.573	\N	\N	\N	\N	\N	\N	f	t
38	iphone	iphone	ios@eatelligent.no	\N	user	2015-03-19 15:29:25.421	\N	\N	\N	\N	\N	\N	f	t
39	Christoffer	Jahren	christoffer@jahren.as	\N	user	2015-03-19 21:11:36.367	\N	\N	\N	\N	\N	\N	f	t
23	Kjetil	Sletten	kjsletten@gmail.com	\N	user	2015-03-18 14:45:47.991	\N	\N	Hamar	\N	\N	1990	f	t
40	Khoshi	Saleh	khoshi1992@icluod.com	\N	user	2015-03-19 22:42:15.821	\N	\N	Norway	\N	\N	1992	f	t
1	admin	admin	mealchooserdev@gmail.com	\N	admin	2015-02-10 09:02:18.686	\N	\N	Hamar	\N	male	1992	f	t
24	Christian	Peter	christian150790@gmail.com	http://www.gravatar.com/avatar/21d918a15e0d7678e88e5243a523aef4?d=404	user	2015-03-18 15:35:16.575	\N	\N	\N	\N	\N	1990	f	t
25	Svein	Grimholt	grimholt@gmail.com	\N	user	2015-03-18 16:35:31.222	\N	\N	\N	\N	\N	\N	f	t
16	Øystein	Tandberg	tandeey@gmail.com	http://www.gravatar.com/avatar/e0683c8de64a56e070b0823902a9b9ad?d=404	user	2015-03-17 10:09:00.876	\N	\N	\N	\N	\N	1990	f	t
17	ss	ss	sigurd.l@gmail.com	http://www.gravatar.com/avatar/deb11e9b75f5bb1d7736f567bbbff654?d=404	user	2015-03-17 11:06:27.844	\N	\N	\N	\N	\N	1989	f	t
18	\N	\N	mealchooserdev+demo@gmail.com	\N	user	2015-03-17 14:52:30.518	\N	\N	\N	\N	\N	\N	f	t
41	pelle	Krogstad	halvorgb@gmail.com	http://www.gravatar.com/avatar/794896b5fd2aa8b486b593ff07ea7de1?d=404	user	2015-03-20 11:11:44.382	\N	\N	\N	\N	\N	\N	f	t
26	Helge	Langseth	helgel@idi.ntnu.no	\N	user	2015-03-18 16:41:27.746	\N	\N	Trondheim	\N	\N	1969	f	t
42	Torbein	Rein	torbein.rein@gmail.com	\N	user	2015-03-20 15:56:38.654	\N	\N	\N	\N	\N	\N	f	t
43	Petter	Tandberg	thegodofnoobs@gmail.com	\N	user	2015-03-20 21:42:15.108	\N	\N	\N	\N	\N	\N	f	t
44	Laval	Leung	lavalleung@mail.com	\N	user	2015-03-21 17:11:41.007	\N	\N	\N	\N	\N	\N	f	t
20	Thomas	Stenseth	stenseth.thomas@gmail.com	\N	user	2015-03-18 07:12:01.191	\N	\N	Trondheim	\N	\N	1991	f	t
21	Even	Lislebø	e.lislebo@gmail.com	\N	user	2015-03-18 12:01:06.196	\N	\N	\N	\N	\N	\N	f	t
22	Hans	Myraune	hans@myraune.no	\N	user	2015-03-18 14:07:13.526	\N	\N	\N	\N	\N	\N	f	t
49	Jostein	Brevik	jostein.brevik@gmail.com	\N	user	2015-03-25 16:51:33.713	\N	\N	\N	\N	\N	\N	f	t
65	fredrik	stenbro	fredrik.stenbro91@gmail.com	\N	user	2015-04-13 16:17:20.982	\N	\N	\N	\N	\N	1991	f	t
66	Pål	Duus	ptduus@gmail.com	\N	user	2015-04-13 16:20:48.481	\N	\N	\N	\N	\N	\N	f	t
67	Vegard	Woie	vegwoi@gmail.com	\N	user	2015-04-13 16:25:55.644	\N	\N	\N	\N	\N	\N	f	t
68	Torbjørn	Vadder	vadder@gmail.com	\N	user	2015-04-13 16:26:14.226	\N	\N	\N	\N	\N	\N	f	t
69	Magnus	Kongshem	kongshem@stud.ntnu.no	\N	user	2015-04-13 16:32:08.77	\N	\N	\N	\N	\N	\N	f	t
70	Marius	Hoel	djalkohol@hotmail.com	\N	user	2015-04-13 16:47:48.169	\N	\N	\N	\N	\N	\N	f	t
72	Sara	Nilssen	nilssensara@hotmail.com	\N	user	2015-04-13 17:06:51.033	\N	\N	\N	\N	\N	\N	f	t
73	Henrik	Dahl	henriksdahl@gmail.com	\N	user	2015-04-13 17:11:01.365	\N	\N	\N	\N	\N	\N	f	t
50	Albert	Solberg	alberts@online.no	\N	user	2015-03-26 18:34:00.911	\N	\N	Trondheim	\N	\N	1964	f	t
51	Mildrid	Stien	mille_ss@hotmail.com	\N	user	2015-03-29 21:49:13.022	\N	\N	\N	\N	\N	\N	f	t
52	A	A	alx_73@live.no	\N	user	2015-03-29 23:31:59.104	\N	\N	\N	\N	\N	\N	f	t
53	Odd Ivar	Lund	odd_lund@hotmail.com	\N	user	2015-03-30 20:45:27.634	\N	\N	\N	\N	\N	\N	f	t
54	Milly	Marmot	krioveraas@live.no	http://www.gravatar.com/avatar/652d0db7deeac320e5f300115ec1ff5d?d=404	user	2015-04-01 18:06:09.626	\N	\N	\N	\N	\N	\N	f	t
55	Silje	Kåsamoen	silje_nk_e@hotmail.com	\N	user	2015-04-01 23:11:05.603	\N	\N	\N	\N	\N	\N	f	t
74	Thomas Emil	Dagsvik	thomasedagsvik@gmail.com	\N	user	2015-04-13 17:11:21.014	\N	\N	\N	\N	\N	\N	f	t
75	Petter	Nordby	petternordby@hotmail.com	\N	user	2015-04-13 17:14:30.897	\N	\N	\N	\N	\N	\N	f	t
76	Magnhild	Gjestvang	magnhig@stud.ntnu.no	\N	user	2015-04-13 17:16:43.339	\N	\N	\N	\N	\N	\N	f	t
77	Bjarte	Sjursen	b.sjursen@gmail.com	\N	user	2015-04-13 17:42:30.125	\N	\N	\N	\N	\N	\N	f	t
78	Sus	Gus	susanne.g90@gmail.com	http://www.gravatar.com/avatar/3501394afcce17af487d0252f9d8287e?d=404	user	2015-04-13 18:06:32.162	\N	\N	\N	\N	\N	\N	f	t
79	Wenche Moe	Thorstensen	wenchemoe@hotmail.com	\N	user	2015-04-13 18:32:47.166	\N	\N	\N	\N	\N	\N	f	t
56	Øyvind	Tangen	oyvindrtangen@gmail.com	\N	user	2015-04-03 12:02:22.138	\N	\N	Oslo	\N	\N	1990	f	t
57	Kirsti	Nesbakken	kns@hebb.no	\N	user	2015-04-06 19:50:53.061	\N	\N	\N	\N	\N	\N	f	t
58	Hilde nyaard	Ihle	hildeny@online.no	\N	user	2015-04-07 09:58:03.623	\N	\N	\N	\N	\N	\N	f	t
59	Odd Arild	Skaflestad	odd_arild@hotmail.com	http://www.gravatar.com/avatar/8af17e0f7cd4066c81ab0e13bc2e860b?d=404	user	2015-04-10 10:09:39.028	\N	\N	\N	\N	\N	\N	f	t
60	John	Mienna	john.mienna@gmail.com	\N	user	2015-04-10 13:36:00.549	\N	\N	\N	\N	\N	\N	f	t
61	Nicolaj	Nielsen	nicolaj.niels1@hotmail.com	\N	user	2015-04-11 09:27:11.311	\N	\N	\N	\N	\N	\N	f	t
62	Ola	Nordmann	ola@eatelligent.no	\N	user	2015-04-13 14:10:58.19	\N	\N	\N	\N	\N	\N	f	t
63	Ola	Nordmann	nordmann@eatelligent.no	\N	user	2015-04-13 14:13:36.627	\N	\N	\N	\N	\N	\N	f	t
64	Siri Kval	Ødegård	sirikoe@gmail.com	\N	user	2015-04-13 16:15:25.37	\N	\N	\N	\N	\N	\N	f	t
80	Charlotte	Sjøthun	challa_87@hotmail.com	\N	user	2015-04-13 18:41:00.059	\N	\N	\N	\N	\N	\N	f	t
71	Steffen	Granly	steffen.granly@gmail.com	\N	user	2015-04-13 16:51:48.754	\N	\N	Mjøndalen	\N	\N	1989	f	t
81	playreader	play	hagelien@gmail.com	\N	user	2015-04-13 18:44:09.709	\N	\N	\N	\N	\N	\N	f	t
82	Jørgen	Svennevik Notland	jorgen.notland@gmail.com	\N	user	2015-04-13 18:57:16.223	\N	\N	\N	\N	\N	\N	f	t
83	David A	Nilssen	danilssen@hotmail.com	\N	user	2015-04-13 19:15:19.025	\N	\N	\N	\N	\N	\N	f	t
84	Line	Moseng	linemos@gmail.com	http://www.gravatar.com/avatar/f78ef853d048b6876b346ae141fedfd5?d=404	user	2015-04-13 19:31:15.799	\N	\N	\N	\N	\N	\N	f	t
85	Åsmund	Skatvedt	aasmund.skatvedt@gmail.com	\N	user	2015-04-13 19:47:37.429	\N	\N	\N	\N	\N	\N	f	t
87	Ingeborg	Ladegård	ingeborg.ladegard@gmail.com	\N	user	2015-04-13 20:41:49.129	\N	\N	\N	\N	\N	\N	f	t
86	Tuyet Trang Thi	Pham	tt@live.no	\N	user	2015-04-13 20:40:26.397	\N	\N	Kristiansand	\N	\N	1991	f	t
88	Maren	Boger	marenboger@gmail.com	\N	user	2015-04-13 20:58:11.649	\N	\N	\N	\N	\N	\N	f	t
89	Eirik	Ottinsen	eirikottins@gmail.com	\N	user	2015-04-13 21:08:55.488	\N	\N	\N	\N	\N	\N	f	t
90	Ingvild	Kildal	ingvildkildal@gmail.com	\N	user	2015-04-13 21:28:45.591	\N	\N	\N	\N	\N	\N	f	t
91	inga	bjørnevoll	inga.bjornevoll@gmail.com	\N	user	2015-04-14 04:54:07.56	\N	\N	\N	\N	\N	\N	f	t
92	Kia	Brekke	kia.brekke@gmail.com	\N	user	2015-04-14 06:09:38.879	\N	\N	\N	\N	\N	\N	f	t
122	Irene	Westbye	irene.westbye@gmail.com	\N	user	2015-04-27 19:42:51.766	\N	\N	Oslo	\N	\N	1988	f	t
94	Bjørn Erik	Haug	behaug@gmail.com	http://www.gravatar.com/avatar/f29394d6f3ace409968a179cbb78637c?d=404	user	2015-04-14 06:35:42.448	\N	\N	\N	\N	\N	\N	f	t
93	Sverre Bekk	Kristiansen	sverrebk@live.no	\N	user	2015-04-14 06:28:46.835	\N	\N	Hamar	\N	\N	1989	f	t
95	Åsmund	Heir	asmund.heir@gmail.com	\N	user	2015-04-14 06:47:28.687	\N	\N	\N	\N	\N	\N	f	t
96	Helga	Floberg	helgafloberg@yahoo.no	\N	user	2015-04-14 07:27:03.508	\N	\N	\N	\N	\N	\N	f	t
97	Marit	Stien	marit_stien@hotmail.com	\N	user	2015-04-14 08:52:24.276	\N	\N	\N	\N	\N	\N	f	t
98	Albert	Solberg	post@osterlie.no	\N	user	2015-04-14 10:39:29.324	\N	\N	\N	\N	\N	\N	f	t
99	Berit	Westbye	westbye.berit@gmail.com	\N	user	2015-04-14 11:16:17.793	\N	\N	\N	\N	\N	\N	f	t
100	Nanna	Simonsen	nanna.with@gmail.com	\N	user	2015-04-14 11:53:34.878	\N	\N	\N	\N	\N	\N	f	t
101	Gry	Karlsen	grylikar@hotmail.com	\N	user	2015-04-14 12:49:35.286	\N	\N	\N	\N	\N	\N	f	t
102	Linn Emelie	Schäffer	linnemelie.sch@gmail.com	\N	user	2015-04-14 13:35:58.307	\N	\N	\N	\N	\N	\N	f	t
103	Caroline	Hagelien	caroline.rh@gmail.com	\N	user	2015-04-14 13:51:56.438	\N	\N	\N	\N	\N	\N	f	t
104	Rikke	Hagen	mikke-rikke@hotmail.com	\N	user	2015-04-14 15:18:59.767	\N	\N	\N	\N	\N	\N	f	t
105	Othilia	Berg	othiliab@live.no	http://www.gravatar.com/avatar/6b2f9a9704d05355e379c5db028c7abb?d=404	user	2015-04-14 15:52:28.962	\N	\N	\N	\N	\N	\N	f	t
106	Ane	Elstad	elstad.ane@gmail.con	\N	user	2015-04-14 16:29:24.321	\N	\N	\N	\N	\N	\N	f	t
107	Kristoffer	Dalby	kradalby@kradalby.no	http://www.gravatar.com/avatar/2e5d2c3dd570ae61ab8b1b41484a6fed?d=404	user	2015-04-14 17:57:53.09	\N	\N	\N	\N	\N	\N	f	t
108	Morten	Holthe	morten.holthe92@gmail.com	\N	user	2015-04-14 18:53:07.358	\N	\N	\N	\N	\N	\N	f	t
109	Øyvind	Midtvedt	omidtvedt@gmail.com	\N	user	2015-04-14 19:29:26.698	\N	\N	\N	\N	\N	\N	f	t
110	Runa	Ugstad	rjugstad@online.no	\N	user	2015-04-14 21:55:15.422	\N	\N	\N	\N	\N	\N	f	t
111	Lina	Mass	linaelise2@hotmail.com	\N	user	2015-04-15 07:25:51.3	\N	\N	\N	\N	\N	\N	f	t
123	Tora	Løvli	tora.malha@gmail.com	http://www.gravatar.com/avatar/9ba6d36ad428fde4fbec84f2a1bc102e?d=404	user	2015-04-28 19:57:08.155	\N	\N	\N	\N	\N	\N	f	t
124	atinuke	francisca	atinuke.oshin@yahoo.com	\N	user	2015-05-04 18:12:25.696	\N	\N	\N	\N	\N	\N	f	t
125	Magnus	Bjørnstad	mvbjornstad@gmail.com	\N	user	2015-05-06 16:51:53.119	\N	\N	\N	\N	\N	\N	f	t
126	Bjørn	Mong	bjorn.mong@hotmail.bo	\N	user	2015-05-08 12:25:31.664	\N	\N	\N	\N	\N	\N	f	t
127	Lotta	G	denna_der@hotmail.no	\N	user	2015-05-10 23:58:24.694	\N	\N	\N	\N	\N	\N	f	t
112	Agnar	Aamodt	agnar.aamodt@idi.ntnu.no	\N	user	2015-04-15 10:38:20.895	\N	\N	Trondheim	\N	\N	1950	f	t
113	Marte	Skaanes	marteskan@hotmail.com	\N	user	2015-04-15 14:21:14.979	\N	\N	\N	\N	\N	\N	f	t
114	Maria	Bitkina	anastasia_volvo@hotmail.com	\N	user	2015-04-16 08:04:46.703	\N	\N	\N	\N	\N	\N	f	t
115	Fridtjov Falch	Sorø	fridtjov123@gmail.com	\N	user	2015-04-16 20:06:24.89	\N	\N	\N	\N	\N	\N	f	t
116	Marit	Manhenke	malma@martilsynet.no	\N	user	2015-04-16 22:11:40.11	\N	\N	\N	\N	\N	\N	f	t
117	Jonas	Wahl	jonas.wahl@me.com	\N	user	2015-04-20 22:11:14.524	\N	\N	Trondheim	\N	\N	1994	f	t
118	Hilde	Kilhavn	hilde.sigrid@hotmail.com	\N	user	2015-04-22 12:51:12.915	\N	\N	\N	\N	\N	\N	f	t
119	Torhild	Hansen	torhildhansen@gmail.com	\N	user	2015-04-23 13:33:15.368	\N	\N	\N	\N	\N	\N	f	t
120	Elise	Skarra	elisefotball@hotmail.com	\N	user	2015-04-24 13:22:55.53	\N	\N	\N	\N	\N	\N	f	t
121	Bjørg Woie	Berg	bjorgw@live.com	\N	user	2015-04-26 06:14:34.321	\N	\N	\N	\N	\N	\N	f	t
\.


--
-- Name: users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: mealchooser-db
--

SELECT pg_catalog.setval('users_id_seq', 128, true);


--
-- Name: cold_start_identifier_key; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY cold_start
    ADD CONSTRAINT cold_start_identifier_key UNIQUE (identifier);


--
-- Name: cold_start_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY cold_start
    ADD CONSTRAINT cold_start_pkey PRIMARY KEY (id);


--
-- Name: given_recommendation_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY given_recommendation
    ADD CONSTRAINT given_recommendation_pkey PRIMARY KEY (id);


--
-- Name: ingredient_name_key; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY ingredient
    ADD CONSTRAINT ingredient_name_key UNIQUE (name);


--
-- Name: ingredient_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY ingredient
    ADD CONSTRAINT ingredient_pkey PRIMARY KEY (id);


--
-- Name: ingredient_tag_name_key; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY ingredient_tag
    ADD CONSTRAINT ingredient_tag_name_key UNIQUE (name);


--
-- Name: ingredient_tag_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY ingredient_tag
    ADD CONSTRAINT ingredient_tag_pkey PRIMARY KEY (id);


--
-- Name: language_locale_key; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY language
    ADD CONSTRAINT language_locale_key UNIQUE (locale);


--
-- Name: language_name_key; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY language
    ADD CONSTRAINT language_name_key UNIQUE (name);


--
-- Name: language_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY language
    ADD CONSTRAINT language_pkey PRIMARY KEY (id);


--
-- Name: logininfo_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY logininfo
    ADD CONSTRAINT logininfo_pkey PRIMARY KEY (id);


--
-- Name: oauth1info_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY oauth1info
    ADD CONSTRAINT oauth1info_pkey PRIMARY KEY (id);


--
-- Name: oauth2info_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY oauth2info
    ADD CONSTRAINT oauth2info_pkey PRIMARY KEY (id);


--
-- Name: recipe_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY recipe
    ADD CONSTRAINT recipe_pkey PRIMARY KEY (id);


--
-- Name: tags_name_key; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY tags
    ADD CONSTRAINT tags_name_key UNIQUE (name);


--
-- Name: tags_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY tags
    ADD CONSTRAINT tags_pkey PRIMARY KEY (id);


--
-- Name: unit_name_key; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY unit
    ADD CONSTRAINT unit_name_key UNIQUE (name);


--
-- Name: unit_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY unit
    ADD CONSTRAINT unit_pkey PRIMARY KEY (id);


--
-- Name: users_email_key; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_email_key UNIQUE (email);


--
-- Name: users_pkey; Type: CONSTRAINT; Schema: public; Owner: mealchooser-db; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_pkey PRIMARY KEY (id);


--
-- Name: favorites_idx; Type: INDEX; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE UNIQUE INDEX favorites_idx ON favorites USING btree (user_id, recipe_id);


--
-- Name: ingredient_in_tag_idx; Type: INDEX; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE UNIQUE INDEX ingredient_in_tag_idx ON ingredient_in_tag USING btree (ingredient_id, tag_id);


--
-- Name: recipe_in_tag_idx; Type: INDEX; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE UNIQUE INDEX recipe_in_tag_idx ON recipe_in_tag USING btree (recipe_id, tag_id);


--
-- Name: user_ingredient_tag_idx; Type: INDEX; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE UNIQUE INDEX user_ingredient_tag_idx ON user_ingredient_tag USING btree (user_id, ingredient_tag_id);


--
-- Name: user_recipe_tag_idx; Type: INDEX; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE UNIQUE INDEX user_recipe_tag_idx ON user_recipe_tag USING btree (user_id, recipe_tag_id);


--
-- Name: user_star_rate_recipe_idx; Type: INDEX; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE UNIQUE INDEX user_star_rate_recipe_idx ON user_star_rate_recipe USING btree (user_id, recipe_id);


--
-- Name: user_viewed_recipe_idx; Type: INDEX; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE UNIQUE INDEX user_viewed_recipe_idx ON user_viewed_recipe USING btree (user_id, recipe_id);


--
-- Name: user_yes_no_rate_recipe_idx; Type: INDEX; Schema: public; Owner: mealchooser-db; Tablespace: 
--

CREATE UNIQUE INDEX user_yes_no_rate_recipe_idx ON user_yes_no_rate_recipe USING btree (user_id, recipe_id);


--
-- Name: favorites_recipe_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY favorites
    ADD CONSTRAINT favorites_recipe_id_fkey FOREIGN KEY (recipe_id) REFERENCES recipe(id) ON DELETE CASCADE;


--
-- Name: favorites_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY favorites
    ADD CONSTRAINT favorites_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- Name: given_recommendation_recipe_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY given_recommendation
    ADD CONSTRAINT given_recommendation_recipe_id_fkey FOREIGN KEY (recipe_id) REFERENCES recipe(id) ON DELETE CASCADE;


--
-- Name: given_recommendation_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY given_recommendation
    ADD CONSTRAINT given_recommendation_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- Name: ingredient_default_unit_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY ingredient
    ADD CONSTRAINT ingredient_default_unit_fkey FOREIGN KEY (default_unit) REFERENCES unit(id) ON DELETE CASCADE;


--
-- Name: ingredient_in_recipe_ingredient_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY ingredient_in_recipe
    ADD CONSTRAINT ingredient_in_recipe_ingredient_id_fkey FOREIGN KEY (ingredient_id) REFERENCES ingredient(id) ON DELETE CASCADE;


--
-- Name: ingredient_in_recipe_recipe_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY ingredient_in_recipe
    ADD CONSTRAINT ingredient_in_recipe_recipe_id_fkey FOREIGN KEY (recipe_id) REFERENCES recipe(id) ON DELETE CASCADE;


--
-- Name: ingredient_in_tag_ingredient_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY ingredient_in_tag
    ADD CONSTRAINT ingredient_in_tag_ingredient_id_fkey FOREIGN KEY (ingredient_id) REFERENCES ingredient(id) ON DELETE CASCADE;


--
-- Name: ingredient_in_tag_tag_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY ingredient_in_tag
    ADD CONSTRAINT ingredient_in_tag_tag_id_fkey FOREIGN KEY (tag_id) REFERENCES ingredient_tag(id) ON DELETE CASCADE;


--
-- Name: recipe_created_by_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY recipe
    ADD CONSTRAINT recipe_created_by_fkey FOREIGN KEY (created_by) REFERENCES users(id) ON DELETE CASCADE;


--
-- Name: recipe_in_tag_recipe_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY recipe_in_tag
    ADD CONSTRAINT recipe_in_tag_recipe_id_fkey FOREIGN KEY (recipe_id) REFERENCES recipe(id) ON DELETE CASCADE;


--
-- Name: recipe_in_tag_tag_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY recipe_in_tag
    ADD CONSTRAINT recipe_in_tag_tag_id_fkey FOREIGN KEY (tag_id) REFERENCES tags(id) ON DELETE CASCADE;


--
-- Name: recipe_language_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY recipe
    ADD CONSTRAINT recipe_language_fkey FOREIGN KEY (language) REFERENCES language(id) ON DELETE CASCADE;


--
-- Name: user_cold_start_cold_start_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_cold_start
    ADD CONSTRAINT user_cold_start_cold_start_id_fkey FOREIGN KEY (cold_start_id) REFERENCES cold_start(id) ON DELETE CASCADE;


--
-- Name: user_cold_start_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_cold_start
    ADD CONSTRAINT user_cold_start_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- Name: user_ingredient_tag_ingredient_tag_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_ingredient_tag
    ADD CONSTRAINT user_ingredient_tag_ingredient_tag_id_fkey FOREIGN KEY (ingredient_tag_id) REFERENCES ingredient_tag(id) ON DELETE CASCADE;


--
-- Name: user_ingredient_tag_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_ingredient_tag
    ADD CONSTRAINT user_ingredient_tag_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- Name: user_preferences_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_preferences
    ADD CONSTRAINT user_preferences_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- Name: user_recipe_tag_recipe_tag_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_recipe_tag
    ADD CONSTRAINT user_recipe_tag_recipe_tag_id_fkey FOREIGN KEY (recipe_tag_id) REFERENCES tags(id) ON DELETE CASCADE;


--
-- Name: user_recipe_tag_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_recipe_tag
    ADD CONSTRAINT user_recipe_tag_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- Name: user_star_rate_recipe_recipe_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_star_rate_recipe
    ADD CONSTRAINT user_star_rate_recipe_recipe_id_fkey FOREIGN KEY (recipe_id) REFERENCES recipe(id) ON DELETE CASCADE;


--
-- Name: user_star_rate_recipe_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_star_rate_recipe
    ADD CONSTRAINT user_star_rate_recipe_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- Name: user_viewed_recipe_recipe_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_viewed_recipe
    ADD CONSTRAINT user_viewed_recipe_recipe_id_fkey FOREIGN KEY (recipe_id) REFERENCES recipe(id) ON DELETE CASCADE;


--
-- Name: user_viewed_recipe_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_viewed_recipe
    ADD CONSTRAINT user_viewed_recipe_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- Name: user_yes_no_rate_recipe_recipe_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_yes_no_rate_recipe
    ADD CONSTRAINT user_yes_no_rate_recipe_recipe_id_fkey FOREIGN KEY (recipe_id) REFERENCES recipe(id) ON DELETE CASCADE;


--
-- Name: user_yes_no_rate_recipe_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY user_yes_no_rate_recipe
    ADD CONSTRAINT user_yes_no_rate_recipe_user_id_fkey FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- Name: users_app_language_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_app_language_fkey FOREIGN KEY (app_language) REFERENCES language(id);


--
-- Name: users_recipe_language_fkey; Type: FK CONSTRAINT; Schema: public; Owner: mealchooser-db
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_recipe_language_fkey FOREIGN KEY (recipe_language) REFERENCES language(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: tandberg
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM tandberg;
GRANT ALL ON SCHEMA public TO tandberg;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

